import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AnalysisServicesServerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly adminUsers?: string[];
    /**
     * @stability stable
     */
    readonly backupBlobContainerUri?: string;
    /**
     * @stability stable
     */
    readonly enablePowerBiService?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly querypoolConnectionMode?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ipv4_firewall_rule block.
     *
     * @stability stable
     */
    readonly ipv4FirewallRule?: AnalysisServicesServerIpv4FirewallRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AnalysisServicesServerTimeouts;
}
/**
 * @stability stable
 */
export interface AnalysisServicesServerIpv4FirewallRule {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly rangeEnd: string;
    /**
     * @stability stable
     */
    readonly rangeStart: string;
}
/**
 * @stability stable
 */
export interface AnalysisServicesServerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AnalysisServicesServer extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AnalysisServicesServerConfig);
    private _adminUsers?;
    /**
     * @stability stable
     */
    get adminUsers(): string[];
    /**
     * @stability stable
     */
    set adminUsers(value: string[]);
    /**
     * @stability stable
     */
    resetAdminUsers(): void;
    /**
     * @stability stable
     */
    get adminUsersInput(): string[] | undefined;
    private _backupBlobContainerUri?;
    /**
     * @stability stable
     */
    get backupBlobContainerUri(): string;
    /**
     * @stability stable
     */
    set backupBlobContainerUri(value: string);
    /**
     * @stability stable
     */
    resetBackupBlobContainerUri(): void;
    /**
     * @stability stable
     */
    get backupBlobContainerUriInput(): string | undefined;
    private _enablePowerBiService?;
    /**
     * @stability stable
     */
    get enablePowerBiService(): boolean;
    /**
     * @stability stable
     */
    set enablePowerBiService(value: boolean);
    /**
     * @stability stable
     */
    resetEnablePowerBiService(): void;
    /**
     * @stability stable
     */
    get enablePowerBiServiceInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _querypoolConnectionMode?;
    /**
     * @stability stable
     */
    get querypoolConnectionMode(): string;
    /**
     * @stability stable
     */
    set querypoolConnectionMode(value: string);
    /**
     * @stability stable
     */
    resetQuerypoolConnectionMode(): void;
    /**
     * @stability stable
     */
    get querypoolConnectionModeInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get serverFullName(): string;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    get skuInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ipv4FirewallRule?;
    /**
     * @stability stable
     */
    get ipv4FirewallRule(): AnalysisServicesServerIpv4FirewallRule[];
    /**
     * @stability stable
     */
    set ipv4FirewallRule(value: AnalysisServicesServerIpv4FirewallRule[]);
    /**
     * @stability stable
     */
    resetIpv4FirewallRule(): void;
    /**
     * @stability stable
     */
    get ipv4FirewallRuleInput(): AnalysisServicesServerIpv4FirewallRule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AnalysisServicesServerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AnalysisServicesServerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AnalysisServicesServerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
