import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementApiDiagnosticConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly alwaysLogErrors?: boolean;
    /**
     * @stability stable
     */
    readonly apiManagementLoggerId: string;
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly apiName: string;
    /**
     * @stability stable
     */
    readonly httpCorrelationProtocol?: string;
    /**
     * @stability stable
     */
    readonly identifier: string;
    /**
     * @stability stable
     */
    readonly logClientIp?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly samplingPercentage?: number;
    /**
     * @stability stable
     */
    readonly verbosity?: string;
    /**
     * backend_request block.
     *
     * @stability stable
     */
    readonly backendRequest?: ApiManagementApiDiagnosticBackendRequest[];
    /**
     * backend_response block.
     *
     * @stability stable
     */
    readonly backendResponse?: ApiManagementApiDiagnosticBackendResponse[];
    /**
     * frontend_request block.
     *
     * @stability stable
     */
    readonly frontendRequest?: ApiManagementApiDiagnosticFrontendRequest[];
    /**
     * frontend_response block.
     *
     * @stability stable
     */
    readonly frontendResponse?: ApiManagementApiDiagnosticFrontendResponse[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementApiDiagnosticTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementApiDiagnosticBackendRequest {
    /**
     * @stability stable
     */
    readonly bodyBytes?: number;
    /**
     * @stability stable
     */
    readonly headersToLog?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiDiagnosticBackendResponse {
    /**
     * @stability stable
     */
    readonly bodyBytes?: number;
    /**
     * @stability stable
     */
    readonly headersToLog?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiDiagnosticFrontendRequest {
    /**
     * @stability stable
     */
    readonly bodyBytes?: number;
    /**
     * @stability stable
     */
    readonly headersToLog?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiDiagnosticFrontendResponse {
    /**
     * @stability stable
     */
    readonly bodyBytes?: number;
    /**
     * @stability stable
     */
    readonly headersToLog?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiDiagnosticTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementApiDiagnostic extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiDiagnosticConfig);
    private _alwaysLogErrors?;
    /**
     * @stability stable
     */
    get alwaysLogErrors(): boolean;
    /**
     * @stability stable
     */
    set alwaysLogErrors(value: boolean);
    /**
     * @stability stable
     */
    resetAlwaysLogErrors(): void;
    /**
     * @stability stable
     */
    get alwaysLogErrorsInput(): boolean | undefined;
    private _apiManagementLoggerId;
    /**
     * @stability stable
     */
    get apiManagementLoggerId(): string;
    /**
     * @stability stable
     */
    set apiManagementLoggerId(value: string);
    /**
     * @stability stable
     */
    get apiManagementLoggerIdInput(): string;
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _apiName;
    /**
     * @stability stable
     */
    get apiName(): string;
    /**
     * @stability stable
     */
    set apiName(value: string);
    /**
     * @stability stable
     */
    get apiNameInput(): string;
    private _httpCorrelationProtocol?;
    /**
     * @stability stable
     */
    get httpCorrelationProtocol(): string;
    /**
     * @stability stable
     */
    set httpCorrelationProtocol(value: string);
    /**
     * @stability stable
     */
    resetHttpCorrelationProtocol(): void;
    /**
     * @stability stable
     */
    get httpCorrelationProtocolInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _identifier;
    /**
     * @stability stable
     */
    get identifier(): string;
    /**
     * @stability stable
     */
    set identifier(value: string);
    /**
     * @stability stable
     */
    get identifierInput(): string;
    private _logClientIp?;
    /**
     * @stability stable
     */
    get logClientIp(): boolean;
    /**
     * @stability stable
     */
    set logClientIp(value: boolean);
    /**
     * @stability stable
     */
    resetLogClientIp(): void;
    /**
     * @stability stable
     */
    get logClientIpInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _samplingPercentage?;
    /**
     * @stability stable
     */
    get samplingPercentage(): number;
    /**
     * @stability stable
     */
    set samplingPercentage(value: number);
    /**
     * @stability stable
     */
    resetSamplingPercentage(): void;
    /**
     * @stability stable
     */
    get samplingPercentageInput(): number | undefined;
    private _verbosity?;
    /**
     * @stability stable
     */
    get verbosity(): string;
    /**
     * @stability stable
     */
    set verbosity(value: string);
    /**
     * @stability stable
     */
    resetVerbosity(): void;
    /**
     * @stability stable
     */
    get verbosityInput(): string | undefined;
    private _backendRequest?;
    /**
     * @stability stable
     */
    get backendRequest(): ApiManagementApiDiagnosticBackendRequest[];
    /**
     * @stability stable
     */
    set backendRequest(value: ApiManagementApiDiagnosticBackendRequest[]);
    /**
     * @stability stable
     */
    resetBackendRequest(): void;
    /**
     * @stability stable
     */
    get backendRequestInput(): ApiManagementApiDiagnosticBackendRequest[] | undefined;
    private _backendResponse?;
    /**
     * @stability stable
     */
    get backendResponse(): ApiManagementApiDiagnosticBackendResponse[];
    /**
     * @stability stable
     */
    set backendResponse(value: ApiManagementApiDiagnosticBackendResponse[]);
    /**
     * @stability stable
     */
    resetBackendResponse(): void;
    /**
     * @stability stable
     */
    get backendResponseInput(): ApiManagementApiDiagnosticBackendResponse[] | undefined;
    private _frontendRequest?;
    /**
     * @stability stable
     */
    get frontendRequest(): ApiManagementApiDiagnosticFrontendRequest[];
    /**
     * @stability stable
     */
    set frontendRequest(value: ApiManagementApiDiagnosticFrontendRequest[]);
    /**
     * @stability stable
     */
    resetFrontendRequest(): void;
    /**
     * @stability stable
     */
    get frontendRequestInput(): ApiManagementApiDiagnosticFrontendRequest[] | undefined;
    private _frontendResponse?;
    /**
     * @stability stable
     */
    get frontendResponse(): ApiManagementApiDiagnosticFrontendResponse[];
    /**
     * @stability stable
     */
    set frontendResponse(value: ApiManagementApiDiagnosticFrontendResponse[]);
    /**
     * @stability stable
     */
    resetFrontendResponse(): void;
    /**
     * @stability stable
     */
    get frontendResponseInput(): ApiManagementApiDiagnosticFrontendResponse[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementApiDiagnosticTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementApiDiagnosticTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementApiDiagnosticTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
