import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementApiOperationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly apiName: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly method: string;
    /**
     * @stability stable
     */
    readonly operationId: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly urlTemplate: string;
    /**
     * request block.
     *
     * @stability stable
     */
    readonly request?: ApiManagementApiOperationRequest[];
    /**
     * response block.
     *
     * @stability stable
     */
    readonly response?: ApiManagementApiOperationResponse[];
    /**
     * template_parameter block.
     *
     * @stability stable
     */
    readonly templateParameter?: ApiManagementApiOperationTemplateParameter[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementApiOperationTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationRequestHeader {
    /**
     * @stability stable
     */
    readonly defaultValue?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly required: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationRequestQueryParameter {
    /**
     * @stability stable
     */
    readonly defaultValue?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly required: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationRequestRepresentationFormParameter {
    /**
     * @stability stable
     */
    readonly defaultValue?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly required: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationRequestRepresentation {
    /**
     * @stability stable
     */
    readonly contentType: string;
    /**
     * @stability stable
     */
    readonly sample?: string;
    /**
     * @stability stable
     */
    readonly schemaId?: string;
    /**
     * @stability stable
     */
    readonly typeName?: string;
    /**
     * form_parameter block.
     *
     * @stability stable
     */
    readonly formParameter?: ApiManagementApiOperationRequestRepresentationFormParameter[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationRequest {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * header block.
     *
     * @stability stable
     */
    readonly header?: ApiManagementApiOperationRequestHeader[];
    /**
     * query_parameter block.
     *
     * @stability stable
     */
    readonly queryParameter?: ApiManagementApiOperationRequestQueryParameter[];
    /**
     * representation block.
     *
     * @stability stable
     */
    readonly representation?: ApiManagementApiOperationRequestRepresentation[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationResponseHeader {
    /**
     * @stability stable
     */
    readonly defaultValue?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly required: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationResponseRepresentationFormParameter {
    /**
     * @stability stable
     */
    readonly defaultValue?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly required: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationResponseRepresentation {
    /**
     * @stability stable
     */
    readonly contentType: string;
    /**
     * @stability stable
     */
    readonly sample?: string;
    /**
     * @stability stable
     */
    readonly schemaId?: string;
    /**
     * @stability stable
     */
    readonly typeName?: string;
    /**
     * form_parameter block.
     *
     * @stability stable
     */
    readonly formParameter?: ApiManagementApiOperationResponseRepresentationFormParameter[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationResponse {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly statusCode: number;
    /**
     * header block.
     *
     * @stability stable
     */
    readonly header?: ApiManagementApiOperationResponseHeader[];
    /**
     * representation block.
     *
     * @stability stable
     */
    readonly representation?: ApiManagementApiOperationResponseRepresentation[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationTemplateParameter {
    /**
     * @stability stable
     */
    readonly defaultValue?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly required: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface ApiManagementApiOperationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementApiOperation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiOperationConfig);
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _apiName;
    /**
     * @stability stable
     */
    get apiName(): string;
    /**
     * @stability stable
     */
    set apiName(value: string);
    /**
     * @stability stable
     */
    get apiNameInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _method;
    /**
     * @stability stable
     */
    get method(): string;
    /**
     * @stability stable
     */
    set method(value: string);
    /**
     * @stability stable
     */
    get methodInput(): string;
    private _operationId;
    /**
     * @stability stable
     */
    get operationId(): string;
    /**
     * @stability stable
     */
    set operationId(value: string);
    /**
     * @stability stable
     */
    get operationIdInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _urlTemplate;
    /**
     * @stability stable
     */
    get urlTemplate(): string;
    /**
     * @stability stable
     */
    set urlTemplate(value: string);
    /**
     * @stability stable
     */
    get urlTemplateInput(): string;
    private _request?;
    /**
     * @stability stable
     */
    get request(): ApiManagementApiOperationRequest[];
    /**
     * @stability stable
     */
    set request(value: ApiManagementApiOperationRequest[]);
    /**
     * @stability stable
     */
    resetRequest(): void;
    /**
     * @stability stable
     */
    get requestInput(): ApiManagementApiOperationRequest[] | undefined;
    private _response?;
    /**
     * @stability stable
     */
    get response(): ApiManagementApiOperationResponse[];
    /**
     * @stability stable
     */
    set response(value: ApiManagementApiOperationResponse[]);
    /**
     * @stability stable
     */
    resetResponse(): void;
    /**
     * @stability stable
     */
    get responseInput(): ApiManagementApiOperationResponse[] | undefined;
    private _templateParameter?;
    /**
     * @stability stable
     */
    get templateParameter(): ApiManagementApiOperationTemplateParameter[];
    /**
     * @stability stable
     */
    set templateParameter(value: ApiManagementApiOperationTemplateParameter[]);
    /**
     * @stability stable
     */
    resetTemplateParameter(): void;
    /**
     * @stability stable
     */
    get templateParameterInput(): ApiManagementApiOperationTemplateParameter[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementApiOperationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementApiOperationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementApiOperationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
