import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementAuthorizationServerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly authorizationEndpoint: string;
    /**
     * @stability stable
     */
    readonly authorizationMethods: string[];
    /**
     * @stability stable
     */
    readonly bearerTokenSendingMethods?: string[];
    /**
     * @stability stable
     */
    readonly clientAuthenticationMethod?: string[];
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientRegistrationEndpoint: string;
    /**
     * @stability stable
     */
    readonly clientSecret?: string;
    /**
     * @stability stable
     */
    readonly defaultScope?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly grantTypes: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly resourceOwnerPassword?: string;
    /**
     * @stability stable
     */
    readonly resourceOwnerUsername?: string;
    /**
     * @stability stable
     */
    readonly supportState?: boolean;
    /**
     * @stability stable
     */
    readonly tokenEndpoint?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementAuthorizationServerTimeouts;
    /**
     * token_body_parameter block.
     *
     * @stability stable
     */
    readonly tokenBodyParameter?: ApiManagementAuthorizationServerTokenBodyParameter[];
}
/**
 * @stability stable
 */
export interface ApiManagementAuthorizationServerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface ApiManagementAuthorizationServerTokenBodyParameter {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementAuthorizationServer extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementAuthorizationServerConfig);
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _authorizationEndpoint;
    /**
     * @stability stable
     */
    get authorizationEndpoint(): string;
    /**
     * @stability stable
     */
    set authorizationEndpoint(value: string);
    /**
     * @stability stable
     */
    get authorizationEndpointInput(): string;
    private _authorizationMethods;
    /**
     * @stability stable
     */
    get authorizationMethods(): string[];
    /**
     * @stability stable
     */
    set authorizationMethods(value: string[]);
    /**
     * @stability stable
     */
    get authorizationMethodsInput(): string[];
    private _bearerTokenSendingMethods?;
    /**
     * @stability stable
     */
    get bearerTokenSendingMethods(): string[];
    /**
     * @stability stable
     */
    set bearerTokenSendingMethods(value: string[]);
    /**
     * @stability stable
     */
    resetBearerTokenSendingMethods(): void;
    /**
     * @stability stable
     */
    get bearerTokenSendingMethodsInput(): string[] | undefined;
    private _clientAuthenticationMethod?;
    /**
     * @stability stable
     */
    get clientAuthenticationMethod(): string[];
    /**
     * @stability stable
     */
    set clientAuthenticationMethod(value: string[]);
    /**
     * @stability stable
     */
    resetClientAuthenticationMethod(): void;
    /**
     * @stability stable
     */
    get clientAuthenticationMethodInput(): string[] | undefined;
    private _clientId;
    /**
     * @stability stable
     */
    get clientId(): string;
    /**
     * @stability stable
     */
    set clientId(value: string);
    /**
     * @stability stable
     */
    get clientIdInput(): string;
    private _clientRegistrationEndpoint;
    /**
     * @stability stable
     */
    get clientRegistrationEndpoint(): string;
    /**
     * @stability stable
     */
    set clientRegistrationEndpoint(value: string);
    /**
     * @stability stable
     */
    get clientRegistrationEndpointInput(): string;
    private _clientSecret?;
    /**
     * @stability stable
     */
    get clientSecret(): string;
    /**
     * @stability stable
     */
    set clientSecret(value: string);
    /**
     * @stability stable
     */
    resetClientSecret(): void;
    /**
     * @stability stable
     */
    get clientSecretInput(): string | undefined;
    private _defaultScope?;
    /**
     * @stability stable
     */
    get defaultScope(): string;
    /**
     * @stability stable
     */
    set defaultScope(value: string);
    /**
     * @stability stable
     */
    resetDefaultScope(): void;
    /**
     * @stability stable
     */
    get defaultScopeInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    private _grantTypes;
    /**
     * @stability stable
     */
    get grantTypes(): string[];
    /**
     * @stability stable
     */
    set grantTypes(value: string[]);
    /**
     * @stability stable
     */
    get grantTypesInput(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _resourceOwnerPassword?;
    /**
     * @stability stable
     */
    get resourceOwnerPassword(): string;
    /**
     * @stability stable
     */
    set resourceOwnerPassword(value: string);
    /**
     * @stability stable
     */
    resetResourceOwnerPassword(): void;
    /**
     * @stability stable
     */
    get resourceOwnerPasswordInput(): string | undefined;
    private _resourceOwnerUsername?;
    /**
     * @stability stable
     */
    get resourceOwnerUsername(): string;
    /**
     * @stability stable
     */
    set resourceOwnerUsername(value: string);
    /**
     * @stability stable
     */
    resetResourceOwnerUsername(): void;
    /**
     * @stability stable
     */
    get resourceOwnerUsernameInput(): string | undefined;
    private _supportState?;
    /**
     * @stability stable
     */
    get supportState(): boolean;
    /**
     * @stability stable
     */
    set supportState(value: boolean);
    /**
     * @stability stable
     */
    resetSupportState(): void;
    /**
     * @stability stable
     */
    get supportStateInput(): boolean | undefined;
    private _tokenEndpoint?;
    /**
     * @stability stable
     */
    get tokenEndpoint(): string;
    /**
     * @stability stable
     */
    set tokenEndpoint(value: string);
    /**
     * @stability stable
     */
    resetTokenEndpoint(): void;
    /**
     * @stability stable
     */
    get tokenEndpointInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementAuthorizationServerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementAuthorizationServerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementAuthorizationServerTimeouts | undefined;
    private _tokenBodyParameter?;
    /**
     * @stability stable
     */
    get tokenBodyParameter(): ApiManagementAuthorizationServerTokenBodyParameter[];
    /**
     * @stability stable
     */
    set tokenBodyParameter(value: ApiManagementAuthorizationServerTokenBodyParameter[]);
    /**
     * @stability stable
     */
    resetTokenBodyParameter(): void;
    /**
     * @stability stable
     */
    get tokenBodyParameterInput(): ApiManagementAuthorizationServerTokenBodyParameter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
