import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly apiManagementId: string;
    /**
     * developer_portal block.
     *
     * @stability stable
     */
    readonly developerPortal?: ApiManagementCustomDomainDeveloperPortal[];
    /**
     * management block.
     *
     * @stability stable
     */
    readonly management?: ApiManagementCustomDomainManagement[];
    /**
     * portal block.
     *
     * @stability stable
     */
    readonly portal?: ApiManagementCustomDomainPortal[];
    /**
     * proxy block.
     *
     * @stability stable
     */
    readonly proxy?: ApiManagementCustomDomainProxy[];
    /**
     * scm block.
     *
     * @stability stable
     */
    readonly scm?: ApiManagementCustomDomainScm[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementCustomDomainTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainDeveloperPortal {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainManagement {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainPortal {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainProxy {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly defaultSslBinding?: boolean;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainScm {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementCustomDomainTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementCustomDomain extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementCustomDomainConfig);
    private _apiManagementId;
    /**
     * @stability stable
     */
    get apiManagementId(): string;
    /**
     * @stability stable
     */
    set apiManagementId(value: string);
    /**
     * @stability stable
     */
    get apiManagementIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _developerPortal?;
    /**
     * @stability stable
     */
    get developerPortal(): ApiManagementCustomDomainDeveloperPortal[];
    /**
     * @stability stable
     */
    set developerPortal(value: ApiManagementCustomDomainDeveloperPortal[]);
    /**
     * @stability stable
     */
    resetDeveloperPortal(): void;
    /**
     * @stability stable
     */
    get developerPortalInput(): ApiManagementCustomDomainDeveloperPortal[] | undefined;
    private _management?;
    /**
     * @stability stable
     */
    get management(): ApiManagementCustomDomainManagement[];
    /**
     * @stability stable
     */
    set management(value: ApiManagementCustomDomainManagement[]);
    /**
     * @stability stable
     */
    resetManagement(): void;
    /**
     * @stability stable
     */
    get managementInput(): ApiManagementCustomDomainManagement[] | undefined;
    private _portal?;
    /**
     * @stability stable
     */
    get portal(): ApiManagementCustomDomainPortal[];
    /**
     * @stability stable
     */
    set portal(value: ApiManagementCustomDomainPortal[]);
    /**
     * @stability stable
     */
    resetPortal(): void;
    /**
     * @stability stable
     */
    get portalInput(): ApiManagementCustomDomainPortal[] | undefined;
    private _proxy?;
    /**
     * @stability stable
     */
    get proxy(): ApiManagementCustomDomainProxy[];
    /**
     * @stability stable
     */
    set proxy(value: ApiManagementCustomDomainProxy[]);
    /**
     * @stability stable
     */
    resetProxy(): void;
    /**
     * @stability stable
     */
    get proxyInput(): ApiManagementCustomDomainProxy[] | undefined;
    private _scm?;
    /**
     * @stability stable
     */
    get scm(): ApiManagementCustomDomainScm[];
    /**
     * @stability stable
     */
    set scm(value: ApiManagementCustomDomainScm[]);
    /**
     * @stability stable
     */
    resetScm(): void;
    /**
     * @stability stable
     */
    get scmInput(): ApiManagementCustomDomainScm[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementCustomDomainTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementCustomDomainTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementCustomDomainTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
