import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementEmailTemplateConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly body: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly subject: string;
    /**
     * @stability stable
     */
    readonly templateName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementEmailTemplateTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementEmailTemplateTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementEmailTemplate extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementEmailTemplateConfig);
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _body;
    /**
     * @stability stable
     */
    get body(): string;
    /**
     * @stability stable
     */
    set body(value: string);
    /**
     * @stability stable
     */
    get bodyInput(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _subject;
    /**
     * @stability stable
     */
    get subject(): string;
    /**
     * @stability stable
     */
    set subject(value: string);
    /**
     * @stability stable
     */
    get subjectInput(): string;
    private _templateName;
    /**
     * @stability stable
     */
    get templateName(): string;
    /**
     * @stability stable
     */
    set templateName(value: string);
    /**
     * @stability stable
     */
    get templateNameInput(): string;
    /**
     * @stability stable
     */
    get title(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementEmailTemplateTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementEmailTemplateTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementEmailTemplateTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
