import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementIdentityProviderAadb2CConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allowedTenant: string;
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly authority: string;
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
    /**
     * @stability stable
     */
    readonly passwordResetPolicy?: string;
    /**
     * @stability stable
     */
    readonly profileEditingPolicy?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly signinPolicy: string;
    /**
     * @stability stable
     */
    readonly signinTenant: string;
    /**
     * @stability stable
     */
    readonly signupPolicy: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementIdentityProviderAadb2CTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementIdentityProviderAadb2CTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementIdentityProviderAadb2C extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderAadb2CConfig);
    private _allowedTenant;
    /**
     * @stability stable
     */
    get allowedTenant(): string;
    /**
     * @stability stable
     */
    set allowedTenant(value: string);
    /**
     * @stability stable
     */
    get allowedTenantInput(): string;
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _authority;
    /**
     * @stability stable
     */
    get authority(): string;
    /**
     * @stability stable
     */
    set authority(value: string);
    /**
     * @stability stable
     */
    get authorityInput(): string;
    private _clientId;
    /**
     * @stability stable
     */
    get clientId(): string;
    /**
     * @stability stable
     */
    set clientId(value: string);
    /**
     * @stability stable
     */
    get clientIdInput(): string;
    private _clientSecret;
    /**
     * @stability stable
     */
    get clientSecret(): string;
    /**
     * @stability stable
     */
    set clientSecret(value: string);
    /**
     * @stability stable
     */
    get clientSecretInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _passwordResetPolicy?;
    /**
     * @stability stable
     */
    get passwordResetPolicy(): string;
    /**
     * @stability stable
     */
    set passwordResetPolicy(value: string);
    /**
     * @stability stable
     */
    resetPasswordResetPolicy(): void;
    /**
     * @stability stable
     */
    get passwordResetPolicyInput(): string | undefined;
    private _profileEditingPolicy?;
    /**
     * @stability stable
     */
    get profileEditingPolicy(): string;
    /**
     * @stability stable
     */
    set profileEditingPolicy(value: string);
    /**
     * @stability stable
     */
    resetProfileEditingPolicy(): void;
    /**
     * @stability stable
     */
    get profileEditingPolicyInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _signinPolicy;
    /**
     * @stability stable
     */
    get signinPolicy(): string;
    /**
     * @stability stable
     */
    set signinPolicy(value: string);
    /**
     * @stability stable
     */
    get signinPolicyInput(): string;
    private _signinTenant;
    /**
     * @stability stable
     */
    get signinTenant(): string;
    /**
     * @stability stable
     */
    set signinTenant(value: string);
    /**
     * @stability stable
     */
    get signinTenantInput(): string;
    private _signupPolicy;
    /**
     * @stability stable
     */
    get signupPolicy(): string;
    /**
     * @stability stable
     */
    set signupPolicy(value: string);
    /**
     * @stability stable
     */
    get signupPolicyInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementIdentityProviderAadb2CTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementIdentityProviderAadb2CTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementIdentityProviderAadb2CTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
