import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementIdentityProviderTwitterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly apiKey: string;
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly apiSecretKey: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementIdentityProviderTwitterTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementIdentityProviderTwitterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementIdentityProviderTwitter extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderTwitterConfig);
    private _apiKey;
    /**
     * @stability stable
     */
    get apiKey(): string;
    /**
     * @stability stable
     */
    set apiKey(value: string);
    /**
     * @stability stable
     */
    get apiKeyInput(): string;
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _apiSecretKey;
    /**
     * @stability stable
     */
    get apiSecretKey(): string;
    /**
     * @stability stable
     */
    set apiSecretKey(value: string);
    /**
     * @stability stable
     */
    get apiSecretKeyInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementIdentityProviderTwitterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementIdentityProviderTwitterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementIdentityProviderTwitterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
