import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementLoggerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly apiManagementName: string;
    /**
     * @stability stable
     */
    readonly buffered?: boolean;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly resourceId?: string;
    /**
     * application_insights block.
     *
     * @stability stable
     */
    readonly applicationInsights?: ApiManagementLoggerApplicationInsights[];
    /**
     * eventhub block.
     *
     * @stability stable
     */
    readonly eventhub?: ApiManagementLoggerEventhub[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementLoggerTimeouts;
}
/**
 * @stability stable
 */
export interface ApiManagementLoggerApplicationInsights {
    /**
     * @stability stable
     */
    readonly instrumentationKey: string;
}
/**
 * @stability stable
 */
export interface ApiManagementLoggerEventhub {
    /**
     * @stability stable
     */
    readonly connectionString: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface ApiManagementLoggerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApiManagementLogger extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementLoggerConfig);
    private _apiManagementName;
    /**
     * @stability stable
     */
    get apiManagementName(): string;
    /**
     * @stability stable
     */
    set apiManagementName(value: string);
    /**
     * @stability stable
     */
    get apiManagementNameInput(): string;
    private _buffered?;
    /**
     * @stability stable
     */
    get buffered(): boolean;
    /**
     * @stability stable
     */
    set buffered(value: boolean);
    /**
     * @stability stable
     */
    resetBuffered(): void;
    /**
     * @stability stable
     */
    get bufferedInput(): boolean | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _resourceId?;
    /**
     * @stability stable
     */
    get resourceId(): string;
    /**
     * @stability stable
     */
    set resourceId(value: string);
    /**
     * @stability stable
     */
    resetResourceId(): void;
    /**
     * @stability stable
     */
    get resourceIdInput(): string | undefined;
    private _applicationInsights?;
    /**
     * @stability stable
     */
    get applicationInsights(): ApiManagementLoggerApplicationInsights[];
    /**
     * @stability stable
     */
    set applicationInsights(value: ApiManagementLoggerApplicationInsights[]);
    /**
     * @stability stable
     */
    resetApplicationInsights(): void;
    /**
     * @stability stable
     */
    get applicationInsightsInput(): ApiManagementLoggerApplicationInsights[] | undefined;
    private _eventhub?;
    /**
     * @stability stable
     */
    get eventhub(): ApiManagementLoggerEventhub[];
    /**
     * @stability stable
     */
    set eventhub(value: ApiManagementLoggerEventhub[]);
    /**
     * @stability stable
     */
    resetEventhub(): void;
    /**
     * @stability stable
     */
    get eventhubInput(): ApiManagementLoggerEventhub[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementLoggerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementLoggerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementLoggerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
