import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiManagementConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly notificationSenderEmail?: string;
    /**
     * @stability stable
     */
    readonly policy?: ApiManagementPolicy[];
    /**
     * @stability stable
     */
    readonly publisherEmail: string;
    /**
     * @stability stable
     */
    readonly publisherName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualNetworkType?: string;
    /**
     * additional_location block.
     *
     * @stability stable
     */
    readonly additionalLocation?: ApiManagementAdditionalLocation[];
    /**
     * certificate block.
     *
     * @stability stable
     */
    readonly certificate?: ApiManagementCertificate[];
    /**
     * hostname_configuration block.
     *
     * @stability stable
     */
    readonly hostnameConfiguration?: ApiManagementHostnameConfiguration[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: ApiManagementIdentity[];
    /**
     * protocols block.
     *
     * @stability stable
     */
    readonly protocols?: ApiManagementProtocols[];
    /**
     * security block.
     *
     * @stability stable
     */
    readonly security?: ApiManagementSecurity[];
    /**
     * sign_in block.
     *
     * @stability stable
     */
    readonly signIn?: ApiManagementSignIn[];
    /**
     * sign_up block.
     *
     * @stability stable
     */
    readonly signUp?: ApiManagementSignUp[];
    /**
     * tenant_access block.
     *
     * @stability stable
     */
    readonly tenantAccess?: ApiManagementTenantAccess[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApiManagementTimeouts;
    /**
     * virtual_network_configuration block.
     *
     * @stability stable
     */
    readonly virtualNetworkConfiguration?: ApiManagementVirtualNetworkConfiguration[];
}
/**
 * @stability stable
 */
export interface ApiManagementPolicy {
    /**
     * @stability stable
     */
    readonly xmlContent?: string;
    /**
     * @stability stable
     */
    readonly xmlLink?: string;
}
/**
 * @stability stable
 */
export interface ApiManagementAdditionalLocationVirtualNetworkConfiguration {
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface ApiManagementAdditionalLocation {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * virtual_network_configuration block.
     *
     * @stability stable
     */
    readonly virtualNetworkConfiguration?: ApiManagementAdditionalLocationVirtualNetworkConfiguration[];
}
/**
 * @stability stable
 */
export interface ApiManagementCertificate {
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly encodedCertificate: string;
    /**
     * @stability stable
     */
    readonly storeName: string;
}
/**
 * @stability stable
 */
export interface ApiManagementHostnameConfigurationDeveloperPortal {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementHostnameConfigurationManagement {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementHostnameConfigurationPortal {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementHostnameConfigurationProxy {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly defaultSslBinding?: boolean;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementHostnameConfigurationScm {
    /**
     * @stability stable
     */
    readonly certificate?: string;
    /**
     * @stability stable
     */
    readonly certificatePassword?: string;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly keyVaultId?: string;
    /**
     * @stability stable
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementHostnameConfiguration {
    /**
     * developer_portal block.
     *
     * @stability stable
     */
    readonly developerPortal?: ApiManagementHostnameConfigurationDeveloperPortal[];
    /**
     * management block.
     *
     * @stability stable
     */
    readonly management?: ApiManagementHostnameConfigurationManagement[];
    /**
     * portal block.
     *
     * @stability stable
     */
    readonly portal?: ApiManagementHostnameConfigurationPortal[];
    /**
     * proxy block.
     *
     * @stability stable
     */
    readonly proxy?: ApiManagementHostnameConfigurationProxy[];
    /**
     * scm block.
     *
     * @stability stable
     */
    readonly scm?: ApiManagementHostnameConfigurationScm[];
}
/**
 * @stability stable
 */
export interface ApiManagementIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface ApiManagementProtocols {
    /**
     * @stability stable
     */
    readonly enableHttp2?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementSecurity {
    /**
     * @stability stable
     */
    readonly enableBackendSsl30?: boolean;
    /**
     * @stability stable
     */
    readonly enableBackendTls10?: boolean;
    /**
     * @stability stable
     */
    readonly enableBackendTls11?: boolean;
    /**
     * @stability stable
     */
    readonly enableFrontendSsl30?: boolean;
    /**
     * @stability stable
     */
    readonly enableFrontendTls10?: boolean;
    /**
     * @stability stable
     */
    readonly enableFrontendTls11?: boolean;
    /**
     * @stability stable
     */
    readonly enableTripleDesCiphers?: boolean;
    /**
     * @stability stable
     */
    readonly tlsEcdheEcdsaWithAes128CbcShaCiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsEcdheEcdsaWithAes256CbcShaCiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsEcdheRsaWithAes128CbcShaCiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsEcdheRsaWithAes256CbcShaCiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsRsaWithAes128CbcSha256CiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsRsaWithAes128CbcShaCiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsRsaWithAes128GcmSha256CiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsRsaWithAes256CbcSha256CiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tlsRsaWithAes256CbcShaCiphersEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tripleDesCiphersEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementSignIn {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementSignUpTermsOfService {
    /**
     * @stability stable
     */
    readonly consentRequired: boolean;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly text?: string;
}
/**
 * @stability stable
 */
export interface ApiManagementSignUp {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * terms_of_service block.
     *
     * @stability stable
     */
    readonly termsOfService: ApiManagementSignUpTermsOfService[];
}
/**
 * @stability stable
 */
export interface ApiManagementTenantAccess {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface ApiManagementTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface ApiManagementVirtualNetworkConfiguration {
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export declare class ApiManagement extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiManagementConfig);
    /**
     * @stability stable
     */
    get developerPortalUrl(): string;
    /**
     * @stability stable
     */
    get gatewayRegionalUrl(): string;
    /**
     * @stability stable
     */
    get gatewayUrl(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get managementApiUrl(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _notificationSenderEmail?;
    /**
     * @stability stable
     */
    get notificationSenderEmail(): string;
    /**
     * @stability stable
     */
    set notificationSenderEmail(value: string);
    /**
     * @stability stable
     */
    resetNotificationSenderEmail(): void;
    /**
     * @stability stable
     */
    get notificationSenderEmailInput(): string | undefined;
    private _policy?;
    /**
     * @stability stable
     */
    get policy(): ApiManagementPolicy[];
    /**
     * @stability stable
     */
    set policy(value: ApiManagementPolicy[]);
    /**
     * @stability stable
     */
    resetPolicy(): void;
    /**
     * @stability stable
     */
    get policyInput(): ApiManagementPolicy[] | undefined;
    /**
     * @stability stable
     */
    get portalUrl(): string;
    /**
     * @stability stable
     */
    get privateIpAddresses(): string[];
    /**
     * @stability stable
     */
    get publicIpAddresses(): string[];
    private _publisherEmail;
    /**
     * @stability stable
     */
    get publisherEmail(): string;
    /**
     * @stability stable
     */
    set publisherEmail(value: string);
    /**
     * @stability stable
     */
    get publisherEmailInput(): string;
    private _publisherName;
    /**
     * @stability stable
     */
    get publisherName(): string;
    /**
     * @stability stable
     */
    set publisherName(value: string);
    /**
     * @stability stable
     */
    get publisherNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get scmUrl(): string;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualNetworkType?;
    /**
     * @stability stable
     */
    get virtualNetworkType(): string;
    /**
     * @stability stable
     */
    set virtualNetworkType(value: string);
    /**
     * @stability stable
     */
    resetVirtualNetworkType(): void;
    /**
     * @stability stable
     */
    get virtualNetworkTypeInput(): string | undefined;
    private _additionalLocation?;
    /**
     * @stability stable
     */
    get additionalLocation(): ApiManagementAdditionalLocation[];
    /**
     * @stability stable
     */
    set additionalLocation(value: ApiManagementAdditionalLocation[]);
    /**
     * @stability stable
     */
    resetAdditionalLocation(): void;
    /**
     * @stability stable
     */
    get additionalLocationInput(): ApiManagementAdditionalLocation[] | undefined;
    private _certificate?;
    /**
     * @stability stable
     */
    get certificate(): ApiManagementCertificate[];
    /**
     * @stability stable
     */
    set certificate(value: ApiManagementCertificate[]);
    /**
     * @stability stable
     */
    resetCertificate(): void;
    /**
     * @stability stable
     */
    get certificateInput(): ApiManagementCertificate[] | undefined;
    private _hostnameConfiguration?;
    /**
     * @stability stable
     */
    get hostnameConfiguration(): ApiManagementHostnameConfiguration[];
    /**
     * @stability stable
     */
    set hostnameConfiguration(value: ApiManagementHostnameConfiguration[]);
    /**
     * @stability stable
     */
    resetHostnameConfiguration(): void;
    /**
     * @stability stable
     */
    get hostnameConfigurationInput(): ApiManagementHostnameConfiguration[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): ApiManagementIdentity[];
    /**
     * @stability stable
     */
    set identity(value: ApiManagementIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): ApiManagementIdentity[] | undefined;
    private _protocols?;
    /**
     * @stability stable
     */
    get protocols(): ApiManagementProtocols[];
    /**
     * @stability stable
     */
    set protocols(value: ApiManagementProtocols[]);
    /**
     * @stability stable
     */
    resetProtocols(): void;
    /**
     * @stability stable
     */
    get protocolsInput(): ApiManagementProtocols[] | undefined;
    private _security?;
    /**
     * @stability stable
     */
    get security(): ApiManagementSecurity[];
    /**
     * @stability stable
     */
    set security(value: ApiManagementSecurity[]);
    /**
     * @stability stable
     */
    resetSecurity(): void;
    /**
     * @stability stable
     */
    get securityInput(): ApiManagementSecurity[] | undefined;
    private _signIn?;
    /**
     * @stability stable
     */
    get signIn(): ApiManagementSignIn[];
    /**
     * @stability stable
     */
    set signIn(value: ApiManagementSignIn[]);
    /**
     * @stability stable
     */
    resetSignIn(): void;
    /**
     * @stability stable
     */
    get signInInput(): ApiManagementSignIn[] | undefined;
    private _signUp?;
    /**
     * @stability stable
     */
    get signUp(): ApiManagementSignUp[];
    /**
     * @stability stable
     */
    set signUp(value: ApiManagementSignUp[]);
    /**
     * @stability stable
     */
    resetSignUp(): void;
    /**
     * @stability stable
     */
    get signUpInput(): ApiManagementSignUp[] | undefined;
    private _tenantAccess?;
    /**
     * @stability stable
     */
    get tenantAccess(): ApiManagementTenantAccess[];
    /**
     * @stability stable
     */
    set tenantAccess(value: ApiManagementTenantAccess[]);
    /**
     * @stability stable
     */
    resetTenantAccess(): void;
    /**
     * @stability stable
     */
    get tenantAccessInput(): ApiManagementTenantAccess[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApiManagementTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApiManagementTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApiManagementTimeouts | undefined;
    private _virtualNetworkConfiguration?;
    /**
     * @stability stable
     */
    get virtualNetworkConfiguration(): ApiManagementVirtualNetworkConfiguration[];
    /**
     * @stability stable
     */
    set virtualNetworkConfiguration(value: ApiManagementVirtualNetworkConfiguration[]);
    /**
     * @stability stable
     */
    resetVirtualNetworkConfiguration(): void;
    /**
     * @stability stable
     */
    get virtualNetworkConfigurationInput(): ApiManagementVirtualNetworkConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
