import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServiceActiveSlotConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly appServiceName: string;
    /**
     * @stability stable
     */
    readonly appServiceSlotName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServiceActiveSlotTimeouts;
}
/**
 * @stability stable
 */
export interface AppServiceActiveSlotTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppServiceActiveSlot extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServiceActiveSlotConfig);
    private _appServiceName;
    /**
     * @stability stable
     */
    get appServiceName(): string;
    /**
     * @stability stable
     */
    set appServiceName(value: string);
    /**
     * @stability stable
     */
    get appServiceNameInput(): string;
    private _appServiceSlotName;
    /**
     * @stability stable
     */
    get appServiceSlotName(): string;
    /**
     * @stability stable
     */
    set appServiceSlotName(value: string);
    /**
     * @stability stable
     */
    get appServiceSlotNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServiceActiveSlotTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServiceActiveSlotTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServiceActiveSlotTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
