import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServiceCertificateBindingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly certificateId: string;
    /**
     * @stability stable
     */
    readonly hostnameBindingId: string;
    /**
     * @stability stable
     */
    readonly sslState: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServiceCertificateBindingTimeouts;
}
/**
 * @stability stable
 */
export interface AppServiceCertificateBindingTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class AppServiceCertificateBinding extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServiceCertificateBindingConfig);
    /**
     * @stability stable
     */
    get appServiceName(): string;
    private _certificateId;
    /**
     * @stability stable
     */
    get certificateId(): string;
    /**
     * @stability stable
     */
    set certificateId(value: string);
    /**
     * @stability stable
     */
    get certificateIdInput(): string;
    /**
     * @stability stable
     */
    get hostname(): string;
    private _hostnameBindingId;
    /**
     * @stability stable
     */
    get hostnameBindingId(): string;
    /**
     * @stability stable
     */
    set hostnameBindingId(value: string);
    /**
     * @stability stable
     */
    get hostnameBindingIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _sslState;
    /**
     * @stability stable
     */
    get sslState(): string;
    /**
     * @stability stable
     */
    set sslState(value: string);
    /**
     * @stability stable
     */
    get sslStateInput(): string;
    /**
     * @stability stable
     */
    get thumbprint(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServiceCertificateBindingTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServiceCertificateBindingTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServiceCertificateBindingTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
