import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServiceEnvironmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allowedUserIpCidrs?: string[];
    /**
     * @stability stable
     */
    readonly frontEndScaleFactor?: number;
    /**
     * @stability stable
     */
    readonly internalLoadBalancingMode?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly pricingTier?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName?: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly userWhitelistedIpRanges?: string[];
    /**
     * cluster_setting block.
     *
     * @stability stable
     */
    readonly clusterSetting?: AppServiceEnvironmentClusterSetting[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServiceEnvironmentTimeouts;
}
/**
 * @stability stable
 */
export interface AppServiceEnvironmentClusterSetting {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface AppServiceEnvironmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppServiceEnvironment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServiceEnvironmentConfig);
    private _allowedUserIpCidrs?;
    /**
     * @stability stable
     */
    get allowedUserIpCidrs(): string[];
    /**
     * @stability stable
     */
    set allowedUserIpCidrs(value: string[]);
    /**
     * @stability stable
     */
    resetAllowedUserIpCidrs(): void;
    /**
     * @stability stable
     */
    get allowedUserIpCidrsInput(): string[] | undefined;
    private _frontEndScaleFactor?;
    /**
     * @stability stable
     */
    get frontEndScaleFactor(): number;
    /**
     * @stability stable
     */
    set frontEndScaleFactor(value: number);
    /**
     * @stability stable
     */
    resetFrontEndScaleFactor(): void;
    /**
     * @stability stable
     */
    get frontEndScaleFactorInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _internalLoadBalancingMode?;
    /**
     * @stability stable
     */
    get internalLoadBalancingMode(): string;
    /**
     * @stability stable
     */
    set internalLoadBalancingMode(value: string);
    /**
     * @stability stable
     */
    resetInternalLoadBalancingMode(): void;
    /**
     * @stability stable
     */
    get internalLoadBalancingModeInput(): string | undefined;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _pricingTier?;
    /**
     * @stability stable
     */
    get pricingTier(): string;
    /**
     * @stability stable
     */
    set pricingTier(value: string);
    /**
     * @stability stable
     */
    resetPricingTier(): void;
    /**
     * @stability stable
     */
    get pricingTierInput(): string | undefined;
    private _resourceGroupName?;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    resetResourceGroupName(): void;
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string | undefined;
    private _subnetId;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    set subnetId(value: string);
    /**
     * @stability stable
     */
    get subnetIdInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _userWhitelistedIpRanges?;
    /**
     * @stability stable
     */
    get userWhitelistedIpRanges(): string[];
    /**
     * @stability stable
     */
    set userWhitelistedIpRanges(value: string[]);
    /**
     * @stability stable
     */
    resetUserWhitelistedIpRanges(): void;
    /**
     * @stability stable
     */
    get userWhitelistedIpRangesInput(): string[] | undefined;
    private _clusterSetting?;
    /**
     * @stability stable
     */
    get clusterSetting(): AppServiceEnvironmentClusterSetting[];
    /**
     * @stability stable
     */
    set clusterSetting(value: AppServiceEnvironmentClusterSetting[]);
    /**
     * @stability stable
     */
    resetClusterSetting(): void;
    /**
     * @stability stable
     */
    get clusterSettingInput(): AppServiceEnvironmentClusterSetting[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServiceEnvironmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServiceEnvironmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServiceEnvironmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
