import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServiceHybridConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly appServiceName: string;
    /**
     * @stability stable
     */
    readonly hostname: string;
    /**
     * @stability stable
     */
    readonly port: number;
    /**
     * @stability stable
     */
    readonly relayId: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sendKeyName?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServiceHybridConnectionTimeouts;
}
/**
 * @stability stable
 */
export interface AppServiceHybridConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppServiceHybridConnection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServiceHybridConnectionConfig);
    private _appServiceName;
    /**
     * @stability stable
     */
    get appServiceName(): string;
    /**
     * @stability stable
     */
    set appServiceName(value: string);
    /**
     * @stability stable
     */
    get appServiceNameInput(): string;
    private _hostname;
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    set hostname(value: string);
    /**
     * @stability stable
     */
    get hostnameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    private _port;
    /**
     * @stability stable
     */
    get port(): number;
    /**
     * @stability stable
     */
    set port(value: number);
    /**
     * @stability stable
     */
    get portInput(): number;
    private _relayId;
    /**
     * @stability stable
     */
    get relayId(): string;
    /**
     * @stability stable
     */
    set relayId(value: string);
    /**
     * @stability stable
     */
    get relayIdInput(): string;
    /**
     * @stability stable
     */
    get relayName(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sendKeyName?;
    /**
     * @stability stable
     */
    get sendKeyName(): string;
    /**
     * @stability stable
     */
    set sendKeyName(value: string);
    /**
     * @stability stable
     */
    resetSendKeyName(): void;
    /**
     * @stability stable
     */
    get sendKeyNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get sendKeyValue(): string;
    /**
     * @stability stable
     */
    get serviceBusNamespace(): string;
    /**
     * @stability stable
     */
    get serviceBusSuffix(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServiceHybridConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServiceHybridConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServiceHybridConnectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
