import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServicePlanConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly appServiceEnvironmentId?: string;
    /**
     * @stability stable
     */
    readonly isXenon?: boolean;
    /**
     * @stability stable
     */
    readonly kind?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maximumElasticWorkerCount?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly perSiteScaling?: boolean;
    /**
     * @stability stable
     */
    readonly reserved?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     *
     * @stability stable
     */
    readonly sku: AppServicePlanSku[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServicePlanTimeouts;
}
/**
 * @stability stable
 */
export interface AppServicePlanSku {
    /**
     * @stability stable
     */
    readonly capacity?: number;
    /**
     * @stability stable
     */
    readonly size: string;
    /**
     * @stability stable
     */
    readonly tier: string;
}
/**
 * @stability stable
 */
export interface AppServicePlanTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppServicePlan extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServicePlanConfig);
    private _appServiceEnvironmentId?;
    /**
     * @stability stable
     */
    get appServiceEnvironmentId(): string;
    /**
     * @stability stable
     */
    set appServiceEnvironmentId(value: string);
    /**
     * @stability stable
     */
    resetAppServiceEnvironmentId(): void;
    /**
     * @stability stable
     */
    get appServiceEnvironmentIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _isXenon?;
    /**
     * @stability stable
     */
    get isXenon(): boolean;
    /**
     * @stability stable
     */
    set isXenon(value: boolean);
    /**
     * @stability stable
     */
    resetIsXenon(): void;
    /**
     * @stability stable
     */
    get isXenonInput(): boolean | undefined;
    private _kind?;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    set kind(value: string);
    /**
     * @stability stable
     */
    resetKind(): void;
    /**
     * @stability stable
     */
    get kindInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maximumElasticWorkerCount?;
    /**
     * @stability stable
     */
    get maximumElasticWorkerCount(): number;
    /**
     * @stability stable
     */
    set maximumElasticWorkerCount(value: number);
    /**
     * @stability stable
     */
    resetMaximumElasticWorkerCount(): void;
    /**
     * @stability stable
     */
    get maximumElasticWorkerCountInput(): number | undefined;
    /**
     * @stability stable
     */
    get maximumNumberOfWorkers(): number;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _perSiteScaling?;
    /**
     * @stability stable
     */
    get perSiteScaling(): boolean;
    /**
     * @stability stable
     */
    set perSiteScaling(value: boolean);
    /**
     * @stability stable
     */
    resetPerSiteScaling(): void;
    /**
     * @stability stable
     */
    get perSiteScalingInput(): boolean | undefined;
    private _reserved?;
    /**
     * @stability stable
     */
    get reserved(): boolean;
    /**
     * @stability stable
     */
    set reserved(value: boolean);
    /**
     * @stability stable
     */
    resetReserved(): void;
    /**
     * @stability stable
     */
    get reservedInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): AppServicePlanSku[];
    /**
     * @stability stable
     */
    set sku(value: AppServicePlanSku[]);
    /**
     * @stability stable
     */
    get skuInput(): AppServicePlanSku[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServicePlanTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServicePlanTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServicePlanTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
