import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServiceSlotConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly appServiceName: string;
    /**
     * @stability stable
     */
    readonly appServicePlanId: string;
    /**
     * @stability stable
     */
    readonly appSettings?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly clientAffinityEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly httpsOnly?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * auth_settings block.
     *
     * @stability stable
     */
    readonly authSettings?: AppServiceSlotAuthSettings[];
    /**
     * connection_string block.
     *
     * @stability stable
     */
    readonly connectionString?: AppServiceSlotConnectionString[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: AppServiceSlotIdentity[];
    /**
     * logs block.
     *
     * @stability stable
     */
    readonly logs?: AppServiceSlotLogs[];
    /**
     * site_config block.
     *
     * @stability stable
     */
    readonly siteConfig?: AppServiceSlotSiteConfig[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServiceSlotTimeouts;
}
/**
 * @stability stable
 */
export declare class AppServiceSlotSiteCredential extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotAuthSettingsActiveDirectory {
    /**
     * @stability stable
     */
    readonly allowedAudiences?: string[];
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret?: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotAuthSettingsFacebook {
    /**
     * @stability stable
     */
    readonly appId: string;
    /**
     * @stability stable
     */
    readonly appSecret: string;
    /**
     * @stability stable
     */
    readonly oauthScopes?: string[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotAuthSettingsGoogle {
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
    /**
     * @stability stable
     */
    readonly oauthScopes?: string[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotAuthSettingsMicrosoft {
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
    /**
     * @stability stable
     */
    readonly oauthScopes?: string[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotAuthSettingsTwitter {
    /**
     * @stability stable
     */
    readonly consumerKey: string;
    /**
     * @stability stable
     */
    readonly consumerSecret: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotAuthSettings {
    /**
     * @stability stable
     */
    readonly additionalLoginParams?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly allowedExternalRedirectUrls?: string[];
    /**
     * @stability stable
     */
    readonly defaultProvider?: string;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly issuer?: string;
    /**
     * @stability stable
     */
    readonly runtimeVersion?: string;
    /**
     * @stability stable
     */
    readonly tokenRefreshExtensionHours?: number;
    /**
     * @stability stable
     */
    readonly tokenStoreEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly unauthenticatedClientAction?: string;
    /**
     * active_directory block.
     *
     * @stability stable
     */
    readonly activeDirectory?: AppServiceSlotAuthSettingsActiveDirectory[];
    /**
     * facebook block.
     *
     * @stability stable
     */
    readonly facebook?: AppServiceSlotAuthSettingsFacebook[];
    /**
     * google block.
     *
     * @stability stable
     */
    readonly google?: AppServiceSlotAuthSettingsGoogle[];
    /**
     * microsoft block.
     *
     * @stability stable
     */
    readonly microsoft?: AppServiceSlotAuthSettingsMicrosoft[];
    /**
     * twitter block.
     *
     * @stability stable
     */
    readonly twitter?: AppServiceSlotAuthSettingsTwitter[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotConnectionString {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotLogsApplicationLogsAzureBlobStorage {
    /**
     * @stability stable
     */
    readonly level: string;
    /**
     * @stability stable
     */
    readonly retentionInDays: number;
    /**
     * @stability stable
     */
    readonly sasUrl: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotLogsApplicationLogs {
    /**
     * @stability stable
     */
    readonly fileSystemLevel?: string;
    /**
     * azure_blob_storage block.
     *
     * @stability stable
     */
    readonly azureBlobStorage?: AppServiceSlotLogsApplicationLogsAzureBlobStorage[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotLogsHttpLogsAzureBlobStorage {
    /**
     * @stability stable
     */
    readonly retentionInDays: number;
    /**
     * @stability stable
     */
    readonly sasUrl: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotLogsHttpLogsFileSystem {
    /**
     * @stability stable
     */
    readonly retentionInDays: number;
    /**
     * @stability stable
     */
    readonly retentionInMb: number;
}
/**
 * @stability stable
 */
export interface AppServiceSlotLogsHttpLogs {
    /**
     * azure_blob_storage block.
     *
     * @stability stable
     */
    readonly azureBlobStorage?: AppServiceSlotLogsHttpLogsAzureBlobStorage[];
    /**
     * file_system block.
     *
     * @stability stable
     */
    readonly fileSystem?: AppServiceSlotLogsHttpLogsFileSystem[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotLogs {
    /**
     * @stability stable
     */
    readonly detailedErrorMessagesEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly failedRequestTracingEnabled?: boolean;
    /**
     * application_logs block.
     *
     * @stability stable
     */
    readonly applicationLogs?: AppServiceSlotLogsApplicationLogs[];
    /**
     * http_logs block.
     *
     * @stability stable
     */
    readonly httpLogs?: AppServiceSlotLogsHttpLogs[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotSiteConfigIpRestriction {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly serviceTag?: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkSubnetId?: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotSiteConfigScmIpRestriction {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly serviceTag?: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkSubnetId?: string;
}
/**
 * @stability stable
 */
export interface AppServiceSlotSiteConfigCors {
    /**
     * @stability stable
     */
    readonly allowedOrigins: string[];
    /**
     * @stability stable
     */
    readonly supportCredentials?: boolean;
}
/**
 * @stability stable
 */
export interface AppServiceSlotSiteConfig {
    /**
     * @stability stable
     */
    readonly alwaysOn?: boolean;
    /**
     * @stability stable
     */
    readonly appCommandLine?: string;
    /**
     * @stability stable
     */
    readonly autoSwapSlotName?: string;
    /**
     * @stability stable
     */
    readonly defaultDocuments?: string[];
    /**
     * @stability stable
     */
    readonly dotnetFrameworkVersion?: string;
    /**
     * @stability stable
     */
    readonly ftpsState?: string;
    /**
     * @stability stable
     */
    readonly healthCheckPath?: string;
    /**
     * @stability stable
     */
    readonly http2Enabled?: boolean;
    /**
     * @stability stable
     */
    readonly ipRestriction?: AppServiceSlotSiteConfigIpRestriction[];
    /**
     * @stability stable
     */
    readonly javaContainer?: string;
    /**
     * @stability stable
     */
    readonly javaContainerVersion?: string;
    /**
     * @stability stable
     */
    readonly javaVersion?: string;
    /**
     * @stability stable
     */
    readonly linuxFxVersion?: string;
    /**
     * @stability stable
     */
    readonly localMysqlEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly managedPipelineMode?: string;
    /**
     * @stability stable
     */
    readonly minTlsVersion?: string;
    /**
     * @stability stable
     */
    readonly numberOfWorkers?: number;
    /**
     * @stability stable
     */
    readonly phpVersion?: string;
    /**
     * @stability stable
     */
    readonly pythonVersion?: string;
    /**
     * @stability stable
     */
    readonly remoteDebuggingEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly remoteDebuggingVersion?: string;
    /**
     * @stability stable
     */
    readonly scmIpRestriction?: AppServiceSlotSiteConfigScmIpRestriction[];
    /**
     * @stability stable
     */
    readonly scmType?: string;
    /**
     * @stability stable
     */
    readonly scmUseMainIpRestriction?: boolean;
    /**
     * @stability stable
     */
    readonly use32BitWorkerProcess?: boolean;
    /**
     * @stability stable
     */
    readonly websocketsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly windowsFxVersion?: string;
    /**
     * cors block.
     *
     * @stability stable
     */
    readonly cors?: AppServiceSlotSiteConfigCors[];
}
/**
 * @stability stable
 */
export interface AppServiceSlotTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppServiceSlot extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServiceSlotConfig);
    private _appServiceName;
    /**
     * @stability stable
     */
    get appServiceName(): string;
    /**
     * @stability stable
     */
    set appServiceName(value: string);
    /**
     * @stability stable
     */
    get appServiceNameInput(): string;
    private _appServicePlanId;
    /**
     * @stability stable
     */
    get appServicePlanId(): string;
    /**
     * @stability stable
     */
    set appServicePlanId(value: string);
    /**
     * @stability stable
     */
    get appServicePlanIdInput(): string;
    private _appSettings?;
    /**
     * @stability stable
     */
    get appSettings(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set appSettings(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetAppSettings(): void;
    /**
     * @stability stable
     */
    get appSettingsInput(): {
        [key: string]: string;
    } | undefined;
    private _clientAffinityEnabled?;
    /**
     * @stability stable
     */
    get clientAffinityEnabled(): boolean;
    /**
     * @stability stable
     */
    set clientAffinityEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetClientAffinityEnabled(): void;
    /**
     * @stability stable
     */
    get clientAffinityEnabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get defaultSiteHostname(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    private _httpsOnly?;
    /**
     * @stability stable
     */
    get httpsOnly(): boolean;
    /**
     * @stability stable
     */
    set httpsOnly(value: boolean);
    /**
     * @stability stable
     */
    resetHttpsOnly(): void;
    /**
     * @stability stable
     */
    get httpsOnlyInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    siteCredential(index: string): AppServiceSlotSiteCredential;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _authSettings?;
    /**
     * @stability stable
     */
    get authSettings(): AppServiceSlotAuthSettings[];
    /**
     * @stability stable
     */
    set authSettings(value: AppServiceSlotAuthSettings[]);
    /**
     * @stability stable
     */
    resetAuthSettings(): void;
    /**
     * @stability stable
     */
    get authSettingsInput(): AppServiceSlotAuthSettings[] | undefined;
    private _connectionString?;
    /**
     * @stability stable
     */
    get connectionString(): AppServiceSlotConnectionString[];
    /**
     * @stability stable
     */
    set connectionString(value: AppServiceSlotConnectionString[]);
    /**
     * @stability stable
     */
    resetConnectionString(): void;
    /**
     * @stability stable
     */
    get connectionStringInput(): AppServiceSlotConnectionString[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): AppServiceSlotIdentity[];
    /**
     * @stability stable
     */
    set identity(value: AppServiceSlotIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): AppServiceSlotIdentity[] | undefined;
    private _logs?;
    /**
     * @stability stable
     */
    get logs(): AppServiceSlotLogs[];
    /**
     * @stability stable
     */
    set logs(value: AppServiceSlotLogs[]);
    /**
     * @stability stable
     */
    resetLogs(): void;
    /**
     * @stability stable
     */
    get logsInput(): AppServiceSlotLogs[] | undefined;
    private _siteConfig?;
    /**
     * @stability stable
     */
    get siteConfig(): AppServiceSlotSiteConfig[];
    /**
     * @stability stable
     */
    set siteConfig(value: AppServiceSlotSiteConfig[]);
    /**
     * @stability stable
     */
    resetSiteConfig(): void;
    /**
     * @stability stable
     */
    get siteConfigInput(): AppServiceSlotSiteConfig[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServiceSlotTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServiceSlotTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServiceSlotTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
