import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AppServiceSourceControlTokenConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly token: string;
    /**
     * @stability stable
     */
    readonly tokenSecret?: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AppServiceSourceControlTokenTimeouts;
}
/**
 * @stability stable
 */
export interface AppServiceSourceControlTokenTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AppServiceSourceControlToken extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppServiceSourceControlTokenConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _token;
    /**
     * @stability stable
     */
    get token(): string;
    /**
     * @stability stable
     */
    set token(value: string);
    /**
     * @stability stable
     */
    get tokenInput(): string;
    private _tokenSecret?;
    /**
     * @stability stable
     */
    get tokenSecret(): string;
    /**
     * @stability stable
     */
    set tokenSecret(value: string);
    /**
     * @stability stable
     */
    resetTokenSecret(): void;
    /**
     * @stability stable
     */
    get tokenSecretInput(): string | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AppServiceSourceControlTokenTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AppServiceSourceControlTokenTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AppServiceSourceControlTokenTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
