import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApplicationGatewayConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly enableHttp2?: boolean;
    /**
     * @stability stable
     */
    readonly firewallPolicyId?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * authentication_certificate block.
     *
     * @stability stable
     */
    readonly authenticationCertificate?: ApplicationGatewayAuthenticationCertificate[];
    /**
     * autoscale_configuration block.
     *
     * @stability stable
     */
    readonly autoscaleConfiguration?: ApplicationGatewayAutoscaleConfiguration[];
    /**
     * backend_address_pool block.
     *
     * @stability stable
     */
    readonly backendAddressPool: ApplicationGatewayBackendAddressPool[];
    /**
     * backend_http_settings block.
     *
     * @stability stable
     */
    readonly backendHttpSettings: ApplicationGatewayBackendHttpSettings[];
    /**
     * custom_error_configuration block.
     *
     * @stability stable
     */
    readonly customErrorConfiguration?: ApplicationGatewayCustomErrorConfiguration[];
    /**
     * frontend_ip_configuration block.
     *
     * @stability stable
     */
    readonly frontendIpConfiguration: ApplicationGatewayFrontendIpConfiguration[];
    /**
     * frontend_port block.
     *
     * @stability stable
     */
    readonly frontendPort: ApplicationGatewayFrontendPort[];
    /**
     * gateway_ip_configuration block.
     *
     * @stability stable
     */
    readonly gatewayIpConfiguration: ApplicationGatewayGatewayIpConfiguration[];
    /**
     * http_listener block.
     *
     * @stability stable
     */
    readonly httpListener: ApplicationGatewayHttpListener[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: ApplicationGatewayIdentity[];
    /**
     * probe block.
     *
     * @stability stable
     */
    readonly probe?: ApplicationGatewayProbe[];
    /**
     * redirect_configuration block.
     *
     * @stability stable
     */
    readonly redirectConfiguration?: ApplicationGatewayRedirectConfiguration[];
    /**
     * request_routing_rule block.
     *
     * @stability stable
     */
    readonly requestRoutingRule: ApplicationGatewayRequestRoutingRule[];
    /**
     * rewrite_rule_set block.
     *
     * @stability stable
     */
    readonly rewriteRuleSet?: ApplicationGatewayRewriteRuleSet[];
    /**
     * sku block.
     *
     * @stability stable
     */
    readonly sku: ApplicationGatewaySku[];
    /**
     * ssl_certificate block.
     *
     * @stability stable
     */
    readonly sslCertificate?: ApplicationGatewaySslCertificate[];
    /**
     * ssl_policy block.
     *
     * @stability stable
     */
    readonly sslPolicy?: ApplicationGatewaySslPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApplicationGatewayTimeouts;
    /**
     * trusted_root_certificate block.
     *
     * @stability stable
     */
    readonly trustedRootCertificate?: ApplicationGatewayTrustedRootCertificate[];
    /**
     * url_path_map block.
     *
     * @stability stable
     */
    readonly urlPathMap?: ApplicationGatewayUrlPathMap[];
    /**
     * waf_configuration block.
     *
     * @stability stable
     */
    readonly wafConfiguration?: ApplicationGatewayWafConfiguration[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayAuthenticationCertificate {
    /**
     * @stability stable
     */
    readonly data: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayAutoscaleConfiguration {
    /**
     * @stability stable
     */
    readonly maxCapacity?: number;
    /**
     * @stability stable
     */
    readonly minCapacity: number;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayBackendAddressPool {
    /**
     * @stability stable
     */
    readonly fqdns?: string[];
    /**
     * @stability stable
     */
    readonly ipAddresses?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayBackendHttpSettingsAuthenticationCertificate {
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayBackendHttpSettingsConnectionDraining {
    /**
     * @stability stable
     */
    readonly drainTimeoutSec: number;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayBackendHttpSettings {
    /**
     * @stability stable
     */
    readonly affinityCookieName?: string;
    /**
     * @stability stable
     */
    readonly cookieBasedAffinity: string;
    /**
     * @stability stable
     */
    readonly hostName?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly path?: string;
    /**
     * @stability stable
     */
    readonly pickHostNameFromBackendAddress?: boolean;
    /**
     * @stability stable
     */
    readonly port: number;
    /**
     * @stability stable
     */
    readonly probeName?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly requestTimeout?: number;
    /**
     * @stability stable
     */
    readonly trustedRootCertificateNames?: string[];
    /**
     * authentication_certificate block.
     *
     * @stability stable
     */
    readonly authenticationCertificate?: ApplicationGatewayBackendHttpSettingsAuthenticationCertificate[];
    /**
     * connection_draining block.
     *
     * @stability stable
     */
    readonly connectionDraining?: ApplicationGatewayBackendHttpSettingsConnectionDraining[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayCustomErrorConfiguration {
    /**
     * @stability stable
     */
    readonly customErrorPageUrl: string;
    /**
     * @stability stable
     */
    readonly statusCode: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayFrontendIpConfiguration {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateIpAddress?: string;
    /**
     * @stability stable
     */
    readonly privateIpAddressAllocation?: string;
    /**
     * @stability stable
     */
    readonly publicIpAddressId?: string;
    /**
     * @stability stable
     */
    readonly subnetId?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayFrontendPort {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly port: number;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayGatewayIpConfiguration {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayHttpListenerCustomErrorConfiguration {
    /**
     * @stability stable
     */
    readonly customErrorPageUrl: string;
    /**
     * @stability stable
     */
    readonly statusCode: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayHttpListener {
    /**
     * @stability stable
     */
    readonly firewallPolicyId?: string;
    /**
     * @stability stable
     */
    readonly frontendIpConfigurationName: string;
    /**
     * @stability stable
     */
    readonly frontendPortName: string;
    /**
     * @stability stable
     */
    readonly hostName?: string;
    /**
     * @stability stable
     */
    readonly hostNames?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly requireSni?: boolean;
    /**
     * @stability stable
     */
    readonly sslCertificateName?: string;
    /**
     * custom_error_configuration block.
     *
     * @stability stable
     */
    readonly customErrorConfiguration?: ApplicationGatewayHttpListenerCustomErrorConfiguration[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayIdentity {
    /**
     * @stability stable
     */
    readonly identityIds: string[];
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayProbeMatch {
    /**
     * @stability stable
     */
    readonly body?: string;
    /**
     * @stability stable
     */
    readonly statusCode?: string[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayProbe {
    /**
     * @stability stable
     */
    readonly host?: string;
    /**
     * @stability stable
     */
    readonly interval: number;
    /**
     * @stability stable
     */
    readonly minimumServers?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly path: string;
    /**
     * @stability stable
     */
    readonly pickHostNameFromBackendHttpSettings?: boolean;
    /**
     * @stability stable
     */
    readonly port?: number;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly timeout: number;
    /**
     * @stability stable
     */
    readonly unhealthyThreshold: number;
    /**
     * match block.
     *
     * @stability stable
     */
    readonly match?: ApplicationGatewayProbeMatch[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRedirectConfiguration {
    /**
     * @stability stable
     */
    readonly includePath?: boolean;
    /**
     * @stability stable
     */
    readonly includeQueryString?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly redirectType: string;
    /**
     * @stability stable
     */
    readonly targetListenerName?: string;
    /**
     * @stability stable
     */
    readonly targetUrl?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRequestRoutingRule {
    /**
     * @stability stable
     */
    readonly backendAddressPoolName?: string;
    /**
     * @stability stable
     */
    readonly backendHttpSettingsName?: string;
    /**
     * @stability stable
     */
    readonly httpListenerName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly redirectConfigurationName?: string;
    /**
     * @stability stable
     */
    readonly rewriteRuleSetName?: string;
    /**
     * @stability stable
     */
    readonly ruleType: string;
    /**
     * @stability stable
     */
    readonly urlPathMapName?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRewriteRuleSetRewriteRuleCondition {
    /**
     * @stability stable
     */
    readonly ignoreCase?: boolean;
    /**
     * @stability stable
     */
    readonly negate?: boolean;
    /**
     * @stability stable
     */
    readonly pattern: string;
    /**
     * @stability stable
     */
    readonly variable: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRewriteRuleSetRewriteRuleRequestHeaderConfiguration {
    /**
     * @stability stable
     */
    readonly headerName: string;
    /**
     * @stability stable
     */
    readonly headerValue: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRewriteRuleSetRewriteRuleResponseHeaderConfiguration {
    /**
     * @stability stable
     */
    readonly headerName: string;
    /**
     * @stability stable
     */
    readonly headerValue: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRewriteRuleSetRewriteRuleUrl {
    /**
     * @stability stable
     */
    readonly path?: string;
    /**
     * @stability stable
     */
    readonly queryString?: string;
    /**
     * @stability stable
     */
    readonly reroute?: boolean;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRewriteRuleSetRewriteRule {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly ruleSequence: number;
    /**
     * condition block.
     *
     * @stability stable
     */
    readonly condition?: ApplicationGatewayRewriteRuleSetRewriteRuleCondition[];
    /**
     * request_header_configuration block.
     *
     * @stability stable
     */
    readonly requestHeaderConfiguration?: ApplicationGatewayRewriteRuleSetRewriteRuleRequestHeaderConfiguration[];
    /**
     * response_header_configuration block.
     *
     * @stability stable
     */
    readonly responseHeaderConfiguration?: ApplicationGatewayRewriteRuleSetRewriteRuleResponseHeaderConfiguration[];
    /**
     * url block.
     *
     * @stability stable
     */
    readonly url?: ApplicationGatewayRewriteRuleSetRewriteRuleUrl[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayRewriteRuleSet {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * rewrite_rule block.
     *
     * @stability stable
     */
    readonly rewriteRule?: ApplicationGatewayRewriteRuleSetRewriteRule[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewaySku {
    /**
     * @stability stable
     */
    readonly capacity?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tier: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewaySslCertificate {
    /**
     * @stability stable
     */
    readonly data?: string;
    /**
     * @stability stable
     */
    readonly keyVaultSecretId?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly password?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewaySslPolicy {
    /**
     * @stability stable
     */
    readonly cipherSuites?: string[];
    /**
     * @stability stable
     */
    readonly disabledProtocols?: string[];
    /**
     * @stability stable
     */
    readonly minProtocolVersion?: string;
    /**
     * @stability stable
     */
    readonly policyName?: string;
    /**
     * @stability stable
     */
    readonly policyType?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayTrustedRootCertificate {
    /**
     * @stability stable
     */
    readonly data: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayUrlPathMapPathRule {
    /**
     * @stability stable
     */
    readonly backendAddressPoolName?: string;
    /**
     * @stability stable
     */
    readonly backendHttpSettingsName?: string;
    /**
     * @stability stable
     */
    readonly firewallPolicyId?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly paths: string[];
    /**
     * @stability stable
     */
    readonly redirectConfigurationName?: string;
    /**
     * @stability stable
     */
    readonly rewriteRuleSetName?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayUrlPathMap {
    /**
     * @stability stable
     */
    readonly defaultBackendAddressPoolName?: string;
    /**
     * @stability stable
     */
    readonly defaultBackendHttpSettingsName?: string;
    /**
     * @stability stable
     */
    readonly defaultRedirectConfigurationName?: string;
    /**
     * @stability stable
     */
    readonly defaultRewriteRuleSetName?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * path_rule block.
     *
     * @stability stable
     */
    readonly pathRule: ApplicationGatewayUrlPathMapPathRule[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayWafConfigurationDisabledRuleGroup {
    /**
     * @stability stable
     */
    readonly ruleGroupName: string;
    /**
     * @stability stable
     */
    readonly rules?: number[];
}
/**
 * @stability stable
 */
export interface ApplicationGatewayWafConfigurationExclusion {
    /**
     * @stability stable
     */
    readonly matchVariable: string;
    /**
     * @stability stable
     */
    readonly selector?: string;
    /**
     * @stability stable
     */
    readonly selectorMatchOperator?: string;
}
/**
 * @stability stable
 */
export interface ApplicationGatewayWafConfiguration {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly fileUploadLimitMb?: number;
    /**
     * @stability stable
     */
    readonly firewallMode: string;
    /**
     * @stability stable
     */
    readonly maxRequestBodySizeKb?: number;
    /**
     * @stability stable
     */
    readonly requestBodyCheck?: boolean;
    /**
     * @stability stable
     */
    readonly ruleSetType?: string;
    /**
     * @stability stable
     */
    readonly ruleSetVersion: string;
    /**
     * disabled_rule_group block.
     *
     * @stability stable
     */
    readonly disabledRuleGroup?: ApplicationGatewayWafConfigurationDisabledRuleGroup[];
    /**
     * exclusion block.
     *
     * @stability stable
     */
    readonly exclusion?: ApplicationGatewayWafConfigurationExclusion[];
}
/**
 * @stability stable
 */
export declare class ApplicationGateway extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApplicationGatewayConfig);
    private _enableHttp2?;
    /**
     * @stability stable
     */
    get enableHttp2(): boolean;
    /**
     * @stability stable
     */
    set enableHttp2(value: boolean);
    /**
     * @stability stable
     */
    resetEnableHttp2(): void;
    /**
     * @stability stable
     */
    get enableHttp2Input(): boolean | undefined;
    private _firewallPolicyId?;
    /**
     * @stability stable
     */
    get firewallPolicyId(): string;
    /**
     * @stability stable
     */
    set firewallPolicyId(value: string);
    /**
     * @stability stable
     */
    resetFirewallPolicyId(): void;
    /**
     * @stability stable
     */
    get firewallPolicyIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _authenticationCertificate?;
    /**
     * @stability stable
     */
    get authenticationCertificate(): ApplicationGatewayAuthenticationCertificate[];
    /**
     * @stability stable
     */
    set authenticationCertificate(value: ApplicationGatewayAuthenticationCertificate[]);
    /**
     * @stability stable
     */
    resetAuthenticationCertificate(): void;
    /**
     * @stability stable
     */
    get authenticationCertificateInput(): ApplicationGatewayAuthenticationCertificate[] | undefined;
    private _autoscaleConfiguration?;
    /**
     * @stability stable
     */
    get autoscaleConfiguration(): ApplicationGatewayAutoscaleConfiguration[];
    /**
     * @stability stable
     */
    set autoscaleConfiguration(value: ApplicationGatewayAutoscaleConfiguration[]);
    /**
     * @stability stable
     */
    resetAutoscaleConfiguration(): void;
    /**
     * @stability stable
     */
    get autoscaleConfigurationInput(): ApplicationGatewayAutoscaleConfiguration[] | undefined;
    private _backendAddressPool;
    /**
     * @stability stable
     */
    get backendAddressPool(): ApplicationGatewayBackendAddressPool[];
    /**
     * @stability stable
     */
    set backendAddressPool(value: ApplicationGatewayBackendAddressPool[]);
    /**
     * @stability stable
     */
    get backendAddressPoolInput(): ApplicationGatewayBackendAddressPool[];
    private _backendHttpSettings;
    /**
     * @stability stable
     */
    get backendHttpSettings(): ApplicationGatewayBackendHttpSettings[];
    /**
     * @stability stable
     */
    set backendHttpSettings(value: ApplicationGatewayBackendHttpSettings[]);
    /**
     * @stability stable
     */
    get backendHttpSettingsInput(): ApplicationGatewayBackendHttpSettings[];
    private _customErrorConfiguration?;
    /**
     * @stability stable
     */
    get customErrorConfiguration(): ApplicationGatewayCustomErrorConfiguration[];
    /**
     * @stability stable
     */
    set customErrorConfiguration(value: ApplicationGatewayCustomErrorConfiguration[]);
    /**
     * @stability stable
     */
    resetCustomErrorConfiguration(): void;
    /**
     * @stability stable
     */
    get customErrorConfigurationInput(): ApplicationGatewayCustomErrorConfiguration[] | undefined;
    private _frontendIpConfiguration;
    /**
     * @stability stable
     */
    get frontendIpConfiguration(): ApplicationGatewayFrontendIpConfiguration[];
    /**
     * @stability stable
     */
    set frontendIpConfiguration(value: ApplicationGatewayFrontendIpConfiguration[]);
    /**
     * @stability stable
     */
    get frontendIpConfigurationInput(): ApplicationGatewayFrontendIpConfiguration[];
    private _frontendPort;
    /**
     * @stability stable
     */
    get frontendPort(): ApplicationGatewayFrontendPort[];
    /**
     * @stability stable
     */
    set frontendPort(value: ApplicationGatewayFrontendPort[]);
    /**
     * @stability stable
     */
    get frontendPortInput(): ApplicationGatewayFrontendPort[];
    private _gatewayIpConfiguration;
    /**
     * @stability stable
     */
    get gatewayIpConfiguration(): ApplicationGatewayGatewayIpConfiguration[];
    /**
     * @stability stable
     */
    set gatewayIpConfiguration(value: ApplicationGatewayGatewayIpConfiguration[]);
    /**
     * @stability stable
     */
    get gatewayIpConfigurationInput(): ApplicationGatewayGatewayIpConfiguration[];
    private _httpListener;
    /**
     * @stability stable
     */
    get httpListener(): ApplicationGatewayHttpListener[];
    /**
     * @stability stable
     */
    set httpListener(value: ApplicationGatewayHttpListener[]);
    /**
     * @stability stable
     */
    get httpListenerInput(): ApplicationGatewayHttpListener[];
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): ApplicationGatewayIdentity[];
    /**
     * @stability stable
     */
    set identity(value: ApplicationGatewayIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): ApplicationGatewayIdentity[] | undefined;
    private _probe?;
    /**
     * @stability stable
     */
    get probe(): ApplicationGatewayProbe[];
    /**
     * @stability stable
     */
    set probe(value: ApplicationGatewayProbe[]);
    /**
     * @stability stable
     */
    resetProbe(): void;
    /**
     * @stability stable
     */
    get probeInput(): ApplicationGatewayProbe[] | undefined;
    private _redirectConfiguration?;
    /**
     * @stability stable
     */
    get redirectConfiguration(): ApplicationGatewayRedirectConfiguration[];
    /**
     * @stability stable
     */
    set redirectConfiguration(value: ApplicationGatewayRedirectConfiguration[]);
    /**
     * @stability stable
     */
    resetRedirectConfiguration(): void;
    /**
     * @stability stable
     */
    get redirectConfigurationInput(): ApplicationGatewayRedirectConfiguration[] | undefined;
    private _requestRoutingRule;
    /**
     * @stability stable
     */
    get requestRoutingRule(): ApplicationGatewayRequestRoutingRule[];
    /**
     * @stability stable
     */
    set requestRoutingRule(value: ApplicationGatewayRequestRoutingRule[]);
    /**
     * @stability stable
     */
    get requestRoutingRuleInput(): ApplicationGatewayRequestRoutingRule[];
    private _rewriteRuleSet?;
    /**
     * @stability stable
     */
    get rewriteRuleSet(): ApplicationGatewayRewriteRuleSet[];
    /**
     * @stability stable
     */
    set rewriteRuleSet(value: ApplicationGatewayRewriteRuleSet[]);
    /**
     * @stability stable
     */
    resetRewriteRuleSet(): void;
    /**
     * @stability stable
     */
    get rewriteRuleSetInput(): ApplicationGatewayRewriteRuleSet[] | undefined;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): ApplicationGatewaySku[];
    /**
     * @stability stable
     */
    set sku(value: ApplicationGatewaySku[]);
    /**
     * @stability stable
     */
    get skuInput(): ApplicationGatewaySku[];
    private _sslCertificate?;
    /**
     * @stability stable
     */
    get sslCertificate(): ApplicationGatewaySslCertificate[];
    /**
     * @stability stable
     */
    set sslCertificate(value: ApplicationGatewaySslCertificate[]);
    /**
     * @stability stable
     */
    resetSslCertificate(): void;
    /**
     * @stability stable
     */
    get sslCertificateInput(): ApplicationGatewaySslCertificate[] | undefined;
    private _sslPolicy?;
    /**
     * @stability stable
     */
    get sslPolicy(): ApplicationGatewaySslPolicy[];
    /**
     * @stability stable
     */
    set sslPolicy(value: ApplicationGatewaySslPolicy[]);
    /**
     * @stability stable
     */
    resetSslPolicy(): void;
    /**
     * @stability stable
     */
    get sslPolicyInput(): ApplicationGatewaySslPolicy[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApplicationGatewayTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApplicationGatewayTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApplicationGatewayTimeouts | undefined;
    private _trustedRootCertificate?;
    /**
     * @stability stable
     */
    get trustedRootCertificate(): ApplicationGatewayTrustedRootCertificate[];
    /**
     * @stability stable
     */
    set trustedRootCertificate(value: ApplicationGatewayTrustedRootCertificate[]);
    /**
     * @stability stable
     */
    resetTrustedRootCertificate(): void;
    /**
     * @stability stable
     */
    get trustedRootCertificateInput(): ApplicationGatewayTrustedRootCertificate[] | undefined;
    private _urlPathMap?;
    /**
     * @stability stable
     */
    get urlPathMap(): ApplicationGatewayUrlPathMap[];
    /**
     * @stability stable
     */
    set urlPathMap(value: ApplicationGatewayUrlPathMap[]);
    /**
     * @stability stable
     */
    resetUrlPathMap(): void;
    /**
     * @stability stable
     */
    get urlPathMapInput(): ApplicationGatewayUrlPathMap[] | undefined;
    private _wafConfiguration?;
    /**
     * @stability stable
     */
    get wafConfiguration(): ApplicationGatewayWafConfiguration[];
    /**
     * @stability stable
     */
    set wafConfiguration(value: ApplicationGatewayWafConfiguration[]);
    /**
     * @stability stable
     */
    resetWafConfiguration(): void;
    /**
     * @stability stable
     */
    get wafConfigurationInput(): ApplicationGatewayWafConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
