import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApplicationInsightsApiKeyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly applicationInsightsId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly readPermissions?: string[];
    /**
     * @stability stable
     */
    readonly writePermissions?: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApplicationInsightsApiKeyTimeouts;
}
/**
 * @stability stable
 */
export interface ApplicationInsightsApiKeyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApplicationInsightsApiKey extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsApiKeyConfig);
    /**
     * @stability stable
     */
    get apiKey(): string;
    private _applicationInsightsId;
    /**
     * @stability stable
     */
    get applicationInsightsId(): string;
    /**
     * @stability stable
     */
    set applicationInsightsId(value: string);
    /**
     * @stability stable
     */
    get applicationInsightsIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _readPermissions?;
    /**
     * @stability stable
     */
    get readPermissions(): string[];
    /**
     * @stability stable
     */
    set readPermissions(value: string[]);
    /**
     * @stability stable
     */
    resetReadPermissions(): void;
    /**
     * @stability stable
     */
    get readPermissionsInput(): string[] | undefined;
    private _writePermissions?;
    /**
     * @stability stable
     */
    get writePermissions(): string[];
    /**
     * @stability stable
     */
    set writePermissions(value: string[]);
    /**
     * @stability stable
     */
    resetWritePermissions(): void;
    /**
     * @stability stable
     */
    get writePermissionsInput(): string[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApplicationInsightsApiKeyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApplicationInsightsApiKeyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApplicationInsightsApiKeyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
