import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApplicationInsightsSmartDetectionRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly additionalEmailRecipients?: string[];
    /**
     * @stability stable
     */
    readonly applicationInsightsId: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly sendEmailsToSubscriptionOwners?: boolean;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApplicationInsightsSmartDetectionRuleTimeouts;
}
/**
 * @stability stable
 */
export interface ApplicationInsightsSmartDetectionRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApplicationInsightsSmartDetectionRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsSmartDetectionRuleConfig);
    private _additionalEmailRecipients?;
    /**
     * @stability stable
     */
    get additionalEmailRecipients(): string[];
    /**
     * @stability stable
     */
    set additionalEmailRecipients(value: string[]);
    /**
     * @stability stable
     */
    resetAdditionalEmailRecipients(): void;
    /**
     * @stability stable
     */
    get additionalEmailRecipientsInput(): string[] | undefined;
    private _applicationInsightsId;
    /**
     * @stability stable
     */
    get applicationInsightsId(): string;
    /**
     * @stability stable
     */
    set applicationInsightsId(value: string);
    /**
     * @stability stable
     */
    get applicationInsightsIdInput(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _sendEmailsToSubscriptionOwners?;
    /**
     * @stability stable
     */
    get sendEmailsToSubscriptionOwners(): boolean;
    /**
     * @stability stable
     */
    set sendEmailsToSubscriptionOwners(value: boolean);
    /**
     * @stability stable
     */
    resetSendEmailsToSubscriptionOwners(): void;
    /**
     * @stability stable
     */
    get sendEmailsToSubscriptionOwnersInput(): boolean | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApplicationInsightsSmartDetectionRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApplicationInsightsSmartDetectionRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApplicationInsightsSmartDetectionRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
