import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApplicationInsightsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly applicationType: string;
    /**
     * @stability stable
     */
    readonly dailyDataCapInGb?: number;
    /**
     * @stability stable
     */
    readonly dailyDataCapNotificationsDisabled?: boolean;
    /**
     * @stability stable
     */
    readonly disableIpMasking?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly retentionInDays?: number;
    /**
     * @stability stable
     */
    readonly samplingPercentage?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ApplicationInsightsTimeouts;
}
/**
 * @stability stable
 */
export interface ApplicationInsightsTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ApplicationInsights extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsConfig);
    /**
     * @stability stable
     */
    get appId(): string;
    private _applicationType;
    /**
     * @stability stable
     */
    get applicationType(): string;
    /**
     * @stability stable
     */
    set applicationType(value: string);
    /**
     * @stability stable
     */
    get applicationTypeInput(): string;
    /**
     * @stability stable
     */
    get connectionString(): string;
    private _dailyDataCapInGb?;
    /**
     * @stability stable
     */
    get dailyDataCapInGb(): number;
    /**
     * @stability stable
     */
    set dailyDataCapInGb(value: number);
    /**
     * @stability stable
     */
    resetDailyDataCapInGb(): void;
    /**
     * @stability stable
     */
    get dailyDataCapInGbInput(): number | undefined;
    private _dailyDataCapNotificationsDisabled?;
    /**
     * @stability stable
     */
    get dailyDataCapNotificationsDisabled(): boolean;
    /**
     * @stability stable
     */
    set dailyDataCapNotificationsDisabled(value: boolean);
    /**
     * @stability stable
     */
    resetDailyDataCapNotificationsDisabled(): void;
    /**
     * @stability stable
     */
    get dailyDataCapNotificationsDisabledInput(): boolean | undefined;
    private _disableIpMasking?;
    /**
     * @stability stable
     */
    get disableIpMasking(): boolean;
    /**
     * @stability stable
     */
    set disableIpMasking(value: boolean);
    /**
     * @stability stable
     */
    resetDisableIpMasking(): void;
    /**
     * @stability stable
     */
    get disableIpMaskingInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get instrumentationKey(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _retentionInDays?;
    /**
     * @stability stable
     */
    get retentionInDays(): number;
    /**
     * @stability stable
     */
    set retentionInDays(value: number);
    /**
     * @stability stable
     */
    resetRetentionInDays(): void;
    /**
     * @stability stable
     */
    get retentionInDaysInput(): number | undefined;
    private _samplingPercentage?;
    /**
     * @stability stable
     */
    get samplingPercentage(): number;
    /**
     * @stability stable
     */
    set samplingPercentage(value: number);
    /**
     * @stability stable
     */
    resetSamplingPercentage(): void;
    /**
     * @stability stable
     */
    get samplingPercentageInput(): number | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ApplicationInsightsTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ApplicationInsightsTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ApplicationInsightsTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
