import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AutomationJobScheduleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly automationAccountName: string;
    /**
     * @stability stable
     */
    readonly jobScheduleId?: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly runOn?: string;
    /**
     * @stability stable
     */
    readonly runbookName: string;
    /**
     * @stability stable
     */
    readonly scheduleName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AutomationJobScheduleTimeouts;
}
/**
 * @stability stable
 */
export interface AutomationJobScheduleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AutomationJobSchedule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AutomationJobScheduleConfig);
    private _automationAccountName;
    /**
     * @stability stable
     */
    get automationAccountName(): string;
    /**
     * @stability stable
     */
    set automationAccountName(value: string);
    /**
     * @stability stable
     */
    get automationAccountNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _jobScheduleId?;
    /**
     * @stability stable
     */
    get jobScheduleId(): string;
    /**
     * @stability stable
     */
    set jobScheduleId(value: string);
    /**
     * @stability stable
     */
    resetJobScheduleId(): void;
    /**
     * @stability stable
     */
    get jobScheduleIdInput(): string | undefined;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set parameters(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _runOn?;
    /**
     * @stability stable
     */
    get runOn(): string;
    /**
     * @stability stable
     */
    set runOn(value: string);
    /**
     * @stability stable
     */
    resetRunOn(): void;
    /**
     * @stability stable
     */
    get runOnInput(): string | undefined;
    private _runbookName;
    /**
     * @stability stable
     */
    get runbookName(): string;
    /**
     * @stability stable
     */
    set runbookName(value: string);
    /**
     * @stability stable
     */
    get runbookNameInput(): string;
    private _scheduleName;
    /**
     * @stability stable
     */
    get scheduleName(): string;
    /**
     * @stability stable
     */
    set scheduleName(value: string);
    /**
     * @stability stable
     */
    get scheduleNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AutomationJobScheduleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AutomationJobScheduleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AutomationJobScheduleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
