import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AutomationModuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly automationAccountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * module_link block.
     *
     * @stability stable
     */
    readonly moduleLink: AutomationModuleModuleLink[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AutomationModuleTimeouts;
}
/**
 * @stability stable
 */
export interface AutomationModuleModuleLinkHash {
    /**
     * @stability stable
     */
    readonly algorithm: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface AutomationModuleModuleLink {
    /**
     * @stability stable
     */
    readonly uri: string;
    /**
     * hash block.
     *
     * @stability stable
     */
    readonly hash?: AutomationModuleModuleLinkHash[];
}
/**
 * @stability stable
 */
export interface AutomationModuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AutomationModule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AutomationModuleConfig);
    private _automationAccountName;
    /**
     * @stability stable
     */
    get automationAccountName(): string;
    /**
     * @stability stable
     */
    set automationAccountName(value: string);
    /**
     * @stability stable
     */
    get automationAccountNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _moduleLink;
    /**
     * @stability stable
     */
    get moduleLink(): AutomationModuleModuleLink[];
    /**
     * @stability stable
     */
    set moduleLink(value: AutomationModuleModuleLink[]);
    /**
     * @stability stable
     */
    get moduleLinkInput(): AutomationModuleModuleLink[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AutomationModuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AutomationModuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AutomationModuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
