import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AutomationRunbookConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly automationAccountName: string;
    /**
     * @stability stable
     */
    readonly content?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly jobSchedule?: AutomationRunbookJobSchedule[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly logProgress: boolean;
    /**
     * @stability stable
     */
    readonly logVerbose: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly runbookType: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * publish_content_link block.
     *
     * @stability stable
     */
    readonly publishContentLink?: AutomationRunbookPublishContentLink[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AutomationRunbookTimeouts;
}
/**
 * @stability stable
 */
export interface AutomationRunbookJobSchedule {
    /**
     * @stability stable
     */
    readonly jobScheduleId?: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly runOn?: string;
    /**
     * @stability stable
     */
    readonly scheduleName?: string;
}
/**
 * @stability stable
 */
export interface AutomationRunbookPublishContentLinkHash {
    /**
     * @stability stable
     */
    readonly algorithm: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface AutomationRunbookPublishContentLink {
    /**
     * @stability stable
     */
    readonly uri: string;
    /**
     * @stability stable
     */
    readonly version?: string;
    /**
     * hash block.
     *
     * @stability stable
     */
    readonly hash?: AutomationRunbookPublishContentLinkHash[];
}
/**
 * @stability stable
 */
export interface AutomationRunbookTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AutomationRunbook extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AutomationRunbookConfig);
    private _automationAccountName;
    /**
     * @stability stable
     */
    get automationAccountName(): string;
    /**
     * @stability stable
     */
    set automationAccountName(value: string);
    /**
     * @stability stable
     */
    get automationAccountNameInput(): string;
    private _content?;
    /**
     * @stability stable
     */
    get content(): string;
    /**
     * @stability stable
     */
    set content(value: string);
    /**
     * @stability stable
     */
    resetContent(): void;
    /**
     * @stability stable
     */
    get contentInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _jobSchedule?;
    /**
     * @stability stable
     */
    get jobSchedule(): AutomationRunbookJobSchedule[];
    /**
     * @stability stable
     */
    set jobSchedule(value: AutomationRunbookJobSchedule[]);
    /**
     * @stability stable
     */
    resetJobSchedule(): void;
    /**
     * @stability stable
     */
    get jobScheduleInput(): AutomationRunbookJobSchedule[] | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _logProgress;
    /**
     * @stability stable
     */
    get logProgress(): boolean;
    /**
     * @stability stable
     */
    set logProgress(value: boolean);
    /**
     * @stability stable
     */
    get logProgressInput(): boolean;
    private _logVerbose;
    /**
     * @stability stable
     */
    get logVerbose(): boolean;
    /**
     * @stability stable
     */
    set logVerbose(value: boolean);
    /**
     * @stability stable
     */
    get logVerboseInput(): boolean;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _runbookType;
    /**
     * @stability stable
     */
    get runbookType(): string;
    /**
     * @stability stable
     */
    set runbookType(value: string);
    /**
     * @stability stable
     */
    get runbookTypeInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _publishContentLink?;
    /**
     * @stability stable
     */
    get publishContentLink(): AutomationRunbookPublishContentLink[];
    /**
     * @stability stable
     */
    set publishContentLink(value: AutomationRunbookPublishContentLink[]);
    /**
     * @stability stable
     */
    resetPublishContentLink(): void;
    /**
     * @stability stable
     */
    get publishContentLinkInput(): AutomationRunbookPublishContentLink[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AutomationRunbookTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AutomationRunbookTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AutomationRunbookTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
