import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface AutomationScheduleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly automationAccountName: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly expiryTime?: string;
    /**
     * @stability stable
     */
    readonly frequency: string;
    /**
     * @stability stable
     */
    readonly interval?: number;
    /**
     * @stability stable
     */
    readonly monthDays?: number[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly startTime?: string;
    /**
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * @stability stable
     */
    readonly weekDays?: string[];
    /**
     * monthly_occurrence block.
     *
     * @stability stable
     */
    readonly monthlyOccurrence?: AutomationScheduleMonthlyOccurrence[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: AutomationScheduleTimeouts;
}
/**
 * @stability stable
 */
export interface AutomationScheduleMonthlyOccurrence {
    /**
     * @stability stable
     */
    readonly day: string;
    /**
     * @stability stable
     */
    readonly occurrence: number;
}
/**
 * @stability stable
 */
export interface AutomationScheduleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class AutomationSchedule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AutomationScheduleConfig);
    private _automationAccountName;
    /**
     * @stability stable
     */
    get automationAccountName(): string;
    /**
     * @stability stable
     */
    set automationAccountName(value: string);
    /**
     * @stability stable
     */
    get automationAccountNameInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _expiryTime?;
    /**
     * @stability stable
     */
    get expiryTime(): string;
    /**
     * @stability stable
     */
    set expiryTime(value: string);
    /**
     * @stability stable
     */
    resetExpiryTime(): void;
    /**
     * @stability stable
     */
    get expiryTimeInput(): string | undefined;
    private _frequency;
    /**
     * @stability stable
     */
    get frequency(): string;
    /**
     * @stability stable
     */
    set frequency(value: string);
    /**
     * @stability stable
     */
    get frequencyInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _interval?;
    /**
     * @stability stable
     */
    get interval(): number;
    /**
     * @stability stable
     */
    set interval(value: number);
    /**
     * @stability stable
     */
    resetInterval(): void;
    /**
     * @stability stable
     */
    get intervalInput(): number | undefined;
    private _monthDays?;
    /**
     * @stability stable
     */
    get monthDays(): number[];
    /**
     * @stability stable
     */
    set monthDays(value: number[]);
    /**
     * @stability stable
     */
    resetMonthDays(): void;
    /**
     * @stability stable
     */
    get monthDaysInput(): number[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _startTime?;
    /**
     * @stability stable
     */
    get startTime(): string;
    /**
     * @stability stable
     */
    set startTime(value: string);
    /**
     * @stability stable
     */
    resetStartTime(): void;
    /**
     * @stability stable
     */
    get startTimeInput(): string | undefined;
    private _timezone?;
    /**
     * @stability stable
     */
    get timezone(): string;
    /**
     * @stability stable
     */
    set timezone(value: string);
    /**
     * @stability stable
     */
    resetTimezone(): void;
    /**
     * @stability stable
     */
    get timezoneInput(): string | undefined;
    private _weekDays?;
    /**
     * @stability stable
     */
    get weekDays(): string[];
    /**
     * @stability stable
     */
    set weekDays(value: string[]);
    /**
     * @stability stable
     */
    resetWeekDays(): void;
    /**
     * @stability stable
     */
    get weekDaysInput(): string[] | undefined;
    private _monthlyOccurrence?;
    /**
     * @stability stable
     */
    get monthlyOccurrence(): AutomationScheduleMonthlyOccurrence[];
    /**
     * @stability stable
     */
    set monthlyOccurrence(value: AutomationScheduleMonthlyOccurrence[]);
    /**
     * @stability stable
     */
    resetMonthlyOccurrence(): void;
    /**
     * @stability stable
     */
    get monthlyOccurrenceInput(): AutomationScheduleMonthlyOccurrence[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): AutomationScheduleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: AutomationScheduleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): AutomationScheduleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
