import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BackupPolicyFileShareConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly recoveryVaultName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * backup block.
     *
     * @stability stable
     */
    readonly backup: BackupPolicyFileShareBackup[];
    /**
     * retention_daily block.
     *
     * @stability stable
     */
    readonly retentionDaily: BackupPolicyFileShareRetentionDaily[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: BackupPolicyFileShareTimeouts;
}
/**
 * @stability stable
 */
export interface BackupPolicyFileShareBackup {
    /**
     * @stability stable
     */
    readonly frequency: string;
    /**
     * @stability stable
     */
    readonly time: string;
}
/**
 * @stability stable
 */
export interface BackupPolicyFileShareRetentionDaily {
    /**
     * @stability stable
     */
    readonly count: number;
}
/**
 * @stability stable
 */
export interface BackupPolicyFileShareTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class BackupPolicyFileShare extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BackupPolicyFileShareConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _recoveryVaultName;
    /**
     * @stability stable
     */
    get recoveryVaultName(): string;
    /**
     * @stability stable
     */
    set recoveryVaultName(value: string);
    /**
     * @stability stable
     */
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timezone?;
    /**
     * @stability stable
     */
    get timezone(): string;
    /**
     * @stability stable
     */
    set timezone(value: string);
    /**
     * @stability stable
     */
    resetTimezone(): void;
    /**
     * @stability stable
     */
    get timezoneInput(): string | undefined;
    private _backup;
    /**
     * @stability stable
     */
    get backup(): BackupPolicyFileShareBackup[];
    /**
     * @stability stable
     */
    set backup(value: BackupPolicyFileShareBackup[]);
    /**
     * @stability stable
     */
    get backupInput(): BackupPolicyFileShareBackup[];
    private _retentionDaily;
    /**
     * @stability stable
     */
    get retentionDaily(): BackupPolicyFileShareRetentionDaily[];
    /**
     * @stability stable
     */
    set retentionDaily(value: BackupPolicyFileShareRetentionDaily[]);
    /**
     * @stability stable
     */
    get retentionDailyInput(): BackupPolicyFileShareRetentionDaily[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): BackupPolicyFileShareTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: BackupPolicyFileShareTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): BackupPolicyFileShareTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
