import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BackupPolicyVmConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly instantRestoreRetentionDays?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly recoveryVaultName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * backup block.
     *
     * @stability stable
     */
    readonly backup: BackupPolicyVmBackup[];
    /**
     * retention_daily block.
     *
     * @stability stable
     */
    readonly retentionDaily?: BackupPolicyVmRetentionDaily[];
    /**
     * retention_monthly block.
     *
     * @stability stable
     */
    readonly retentionMonthly?: BackupPolicyVmRetentionMonthly[];
    /**
     * retention_weekly block.
     *
     * @stability stable
     */
    readonly retentionWeekly?: BackupPolicyVmRetentionWeekly[];
    /**
     * retention_yearly block.
     *
     * @stability stable
     */
    readonly retentionYearly?: BackupPolicyVmRetentionYearly[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: BackupPolicyVmTimeouts;
}
/**
 * @stability stable
 */
export interface BackupPolicyVmBackup {
    /**
     * @stability stable
     */
    readonly frequency: string;
    /**
     * @stability stable
     */
    readonly time: string;
    /**
     * @stability stable
     */
    readonly weekdays?: string[];
}
/**
 * @stability stable
 */
export interface BackupPolicyVmRetentionDaily {
    /**
     * @stability stable
     */
    readonly count: number;
}
/**
 * @stability stable
 */
export interface BackupPolicyVmRetentionMonthly {
    /**
     * @stability stable
     */
    readonly count: number;
    /**
     * @stability stable
     */
    readonly weekdays: string[];
    /**
     * @stability stable
     */
    readonly weeks: string[];
}
/**
 * @stability stable
 */
export interface BackupPolicyVmRetentionWeekly {
    /**
     * @stability stable
     */
    readonly count: number;
    /**
     * @stability stable
     */
    readonly weekdays: string[];
}
/**
 * @stability stable
 */
export interface BackupPolicyVmRetentionYearly {
    /**
     * @stability stable
     */
    readonly count: number;
    /**
     * @stability stable
     */
    readonly months: string[];
    /**
     * @stability stable
     */
    readonly weekdays: string[];
    /**
     * @stability stable
     */
    readonly weeks: string[];
}
/**
 * @stability stable
 */
export interface BackupPolicyVmTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class BackupPolicyVm extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BackupPolicyVmConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _instantRestoreRetentionDays?;
    /**
     * @stability stable
     */
    get instantRestoreRetentionDays(): number;
    /**
     * @stability stable
     */
    set instantRestoreRetentionDays(value: number);
    /**
     * @stability stable
     */
    resetInstantRestoreRetentionDays(): void;
    /**
     * @stability stable
     */
    get instantRestoreRetentionDaysInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _recoveryVaultName;
    /**
     * @stability stable
     */
    get recoveryVaultName(): string;
    /**
     * @stability stable
     */
    set recoveryVaultName(value: string);
    /**
     * @stability stable
     */
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timezone?;
    /**
     * @stability stable
     */
    get timezone(): string;
    /**
     * @stability stable
     */
    set timezone(value: string);
    /**
     * @stability stable
     */
    resetTimezone(): void;
    /**
     * @stability stable
     */
    get timezoneInput(): string | undefined;
    private _backup;
    /**
     * @stability stable
     */
    get backup(): BackupPolicyVmBackup[];
    /**
     * @stability stable
     */
    set backup(value: BackupPolicyVmBackup[]);
    /**
     * @stability stable
     */
    get backupInput(): BackupPolicyVmBackup[];
    private _retentionDaily?;
    /**
     * @stability stable
     */
    get retentionDaily(): BackupPolicyVmRetentionDaily[];
    /**
     * @stability stable
     */
    set retentionDaily(value: BackupPolicyVmRetentionDaily[]);
    /**
     * @stability stable
     */
    resetRetentionDaily(): void;
    /**
     * @stability stable
     */
    get retentionDailyInput(): BackupPolicyVmRetentionDaily[] | undefined;
    private _retentionMonthly?;
    /**
     * @stability stable
     */
    get retentionMonthly(): BackupPolicyVmRetentionMonthly[];
    /**
     * @stability stable
     */
    set retentionMonthly(value: BackupPolicyVmRetentionMonthly[]);
    /**
     * @stability stable
     */
    resetRetentionMonthly(): void;
    /**
     * @stability stable
     */
    get retentionMonthlyInput(): BackupPolicyVmRetentionMonthly[] | undefined;
    private _retentionWeekly?;
    /**
     * @stability stable
     */
    get retentionWeekly(): BackupPolicyVmRetentionWeekly[];
    /**
     * @stability stable
     */
    set retentionWeekly(value: BackupPolicyVmRetentionWeekly[]);
    /**
     * @stability stable
     */
    resetRetentionWeekly(): void;
    /**
     * @stability stable
     */
    get retentionWeeklyInput(): BackupPolicyVmRetentionWeekly[] | undefined;
    private _retentionYearly?;
    /**
     * @stability stable
     */
    get retentionYearly(): BackupPolicyVmRetentionYearly[];
    /**
     * @stability stable
     */
    set retentionYearly(value: BackupPolicyVmRetentionYearly[]);
    /**
     * @stability stable
     */
    resetRetentionYearly(): void;
    /**
     * @stability stable
     */
    get retentionYearlyInput(): BackupPolicyVmRetentionYearly[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): BackupPolicyVmTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: BackupPolicyVmTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): BackupPolicyVmTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
