import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BatchPoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly displayName?: string;
    /**
     * @stability stable
     */
    readonly maxTasksPerNode?: number;
    /**
     * @stability stable
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly nodeAgentSkuId: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly stopPendingResizeOperation?: boolean;
    /**
     * @stability stable
     */
    readonly vmSize: string;
    /**
     * auto_scale block.
     *
     * @stability stable
     */
    readonly autoScale?: BatchPoolAutoScale[];
    /**
     * certificate block.
     *
     * @stability stable
     */
    readonly certificate?: BatchPoolCertificate[];
    /**
     * container_configuration block.
     *
     * @stability stable
     */
    readonly containerConfiguration?: BatchPoolContainerConfiguration[];
    /**
     * fixed_scale block.
     *
     * @stability stable
     */
    readonly fixedScale?: BatchPoolFixedScale[];
    /**
     * network_configuration block.
     *
     * @stability stable
     */
    readonly networkConfiguration?: BatchPoolNetworkConfiguration[];
    /**
     * start_task block.
     *
     * @stability stable
     */
    readonly startTask?: BatchPoolStartTask[];
    /**
     * storage_image_reference block.
     *
     * @stability stable
     */
    readonly storageImageReference: BatchPoolStorageImageReference[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: BatchPoolTimeouts;
}
/**
 * @stability stable
 */
export interface BatchPoolAutoScale {
    /**
     * @stability stable
     */
    readonly evaluationInterval?: string;
    /**
     * @stability stable
     */
    readonly formula: string;
}
/**
 * @stability stable
 */
export interface BatchPoolCertificate {
    /**
     * @stability stable
     */
    readonly id: string;
    /**
     * @stability stable
     */
    readonly storeLocation: string;
    /**
     * @stability stable
     */
    readonly storeName?: string;
    /**
     * @stability stable
     */
    readonly visibility?: string[];
}
/**
 * @stability stable
 */
export interface BatchPoolContainerConfigurationContainerRegistries {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly registryServer?: string;
    /**
     * @stability stable
     */
    readonly userName?: string;
}
/**
 * @stability stable
 */
export interface BatchPoolContainerConfiguration {
    /**
     * @stability stable
     */
    readonly containerImageNames?: string[];
    /**
     * @stability stable
     */
    readonly containerRegistries?: BatchPoolContainerConfigurationContainerRegistries[];
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface BatchPoolFixedScale {
    /**
     * @stability stable
     */
    readonly resizeTimeout?: string;
    /**
     * @stability stable
     */
    readonly targetDedicatedNodes?: number;
    /**
     * @stability stable
     */
    readonly targetLowPriorityNodes?: number;
}
/**
 * @stability stable
 */
export interface BatchPoolNetworkConfigurationEndpointConfigurationNetworkSecurityGroupRules {
    /**
     * @stability stable
     */
    readonly access: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly sourceAddressPrefix: string;
}
/**
 * @stability stable
 */
export interface BatchPoolNetworkConfigurationEndpointConfiguration {
    /**
     * @stability stable
     */
    readonly backendPort: number;
    /**
     * @stability stable
     */
    readonly frontendPortRange: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * network_security_group_rules block.
     *
     * @stability stable
     */
    readonly networkSecurityGroupRules?: BatchPoolNetworkConfigurationEndpointConfigurationNetworkSecurityGroupRules[];
}
/**
 * @stability stable
 */
export interface BatchPoolNetworkConfiguration {
    /**
     * @stability stable
     */
    readonly publicAddressProvisioningType?: string;
    /**
     * @stability stable
     */
    readonly publicIps?: string[];
    /**
     * @stability stable
     */
    readonly subnetId: string;
    /**
     * endpoint_configuration block.
     *
     * @stability stable
     */
    readonly endpointConfiguration?: BatchPoolNetworkConfigurationEndpointConfiguration[];
}
/**
 * @stability stable
 */
export interface BatchPoolStartTaskResourceFile {
    /**
     * @stability stable
     */
    readonly autoStorageContainerName?: string;
    /**
     * @stability stable
     */
    readonly blobPrefix?: string;
    /**
     * @stability stable
     */
    readonly fileMode?: string;
    /**
     * @stability stable
     */
    readonly filePath?: string;
    /**
     * @stability stable
     */
    readonly httpUrl?: string;
    /**
     * @stability stable
     */
    readonly storageContainerUrl?: string;
}
/**
 * @stability stable
 */
export interface BatchPoolStartTaskUserIdentityAutoUser {
    /**
     * @stability stable
     */
    readonly elevationLevel?: string;
    /**
     * @stability stable
     */
    readonly scope?: string;
}
/**
 * @stability stable
 */
export interface BatchPoolStartTaskUserIdentity {
    /**
     * @stability stable
     */
    readonly userName?: string;
    /**
     * auto_user block.
     *
     * @stability stable
     */
    readonly autoUser?: BatchPoolStartTaskUserIdentityAutoUser[];
}
/**
 * @stability stable
 */
export interface BatchPoolStartTask {
    /**
     * @stability stable
     */
    readonly commandLine: string;
    /**
     * @stability stable
     */
    readonly environment?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly maxTaskRetryCount?: number;
    /**
     * @stability stable
     */
    readonly waitForSuccess?: boolean;
    /**
     * resource_file block.
     *
     * @stability stable
     */
    readonly resourceFile?: BatchPoolStartTaskResourceFile[];
    /**
     * user_identity block.
     *
     * @stability stable
     */
    readonly userIdentity: BatchPoolStartTaskUserIdentity[];
}
/**
 * @stability stable
 */
export interface BatchPoolStorageImageReference {
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly offer?: string;
    /**
     * @stability stable
     */
    readonly publisher?: string;
    /**
     * @stability stable
     */
    readonly sku?: string;
    /**
     * @stability stable
     */
    readonly version?: string;
}
/**
 * @stability stable
 */
export interface BatchPoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class BatchPool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BatchPoolConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    private _displayName?;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    resetDisplayName(): void;
    /**
     * @stability stable
     */
    get displayNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _maxTasksPerNode?;
    /**
     * @stability stable
     */
    get maxTasksPerNode(): number;
    /**
     * @stability stable
     */
    set maxTasksPerNode(value: number);
    /**
     * @stability stable
     */
    resetMaxTasksPerNode(): void;
    /**
     * @stability stable
     */
    get maxTasksPerNodeInput(): number | undefined;
    private _metadata?;
    /**
     * @stability stable
     */
    get metadata(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set metadata(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetMetadata(): void;
    /**
     * @stability stable
     */
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _nodeAgentSkuId;
    /**
     * @stability stable
     */
    get nodeAgentSkuId(): string;
    /**
     * @stability stable
     */
    set nodeAgentSkuId(value: string);
    /**
     * @stability stable
     */
    get nodeAgentSkuIdInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _stopPendingResizeOperation?;
    /**
     * @stability stable
     */
    get stopPendingResizeOperation(): boolean;
    /**
     * @stability stable
     */
    set stopPendingResizeOperation(value: boolean);
    /**
     * @stability stable
     */
    resetStopPendingResizeOperation(): void;
    /**
     * @stability stable
     */
    get stopPendingResizeOperationInput(): boolean | undefined;
    private _vmSize;
    /**
     * @stability stable
     */
    get vmSize(): string;
    /**
     * @stability stable
     */
    set vmSize(value: string);
    /**
     * @stability stable
     */
    get vmSizeInput(): string;
    private _autoScale?;
    /**
     * @stability stable
     */
    get autoScale(): BatchPoolAutoScale[];
    /**
     * @stability stable
     */
    set autoScale(value: BatchPoolAutoScale[]);
    /**
     * @stability stable
     */
    resetAutoScale(): void;
    /**
     * @stability stable
     */
    get autoScaleInput(): BatchPoolAutoScale[] | undefined;
    private _certificate?;
    /**
     * @stability stable
     */
    get certificate(): BatchPoolCertificate[];
    /**
     * @stability stable
     */
    set certificate(value: BatchPoolCertificate[]);
    /**
     * @stability stable
     */
    resetCertificate(): void;
    /**
     * @stability stable
     */
    get certificateInput(): BatchPoolCertificate[] | undefined;
    private _containerConfiguration?;
    /**
     * @stability stable
     */
    get containerConfiguration(): BatchPoolContainerConfiguration[];
    /**
     * @stability stable
     */
    set containerConfiguration(value: BatchPoolContainerConfiguration[]);
    /**
     * @stability stable
     */
    resetContainerConfiguration(): void;
    /**
     * @stability stable
     */
    get containerConfigurationInput(): BatchPoolContainerConfiguration[] | undefined;
    private _fixedScale?;
    /**
     * @stability stable
     */
    get fixedScale(): BatchPoolFixedScale[];
    /**
     * @stability stable
     */
    set fixedScale(value: BatchPoolFixedScale[]);
    /**
     * @stability stable
     */
    resetFixedScale(): void;
    /**
     * @stability stable
     */
    get fixedScaleInput(): BatchPoolFixedScale[] | undefined;
    private _networkConfiguration?;
    /**
     * @stability stable
     */
    get networkConfiguration(): BatchPoolNetworkConfiguration[];
    /**
     * @stability stable
     */
    set networkConfiguration(value: BatchPoolNetworkConfiguration[]);
    /**
     * @stability stable
     */
    resetNetworkConfiguration(): void;
    /**
     * @stability stable
     */
    get networkConfigurationInput(): BatchPoolNetworkConfiguration[] | undefined;
    private _startTask?;
    /**
     * @stability stable
     */
    get startTask(): BatchPoolStartTask[];
    /**
     * @stability stable
     */
    set startTask(value: BatchPoolStartTask[]);
    /**
     * @stability stable
     */
    resetStartTask(): void;
    /**
     * @stability stable
     */
    get startTaskInput(): BatchPoolStartTask[] | undefined;
    private _storageImageReference;
    /**
     * @stability stable
     */
    get storageImageReference(): BatchPoolStorageImageReference[];
    /**
     * @stability stable
     */
    set storageImageReference(value: BatchPoolStorageImageReference[]);
    /**
     * @stability stable
     */
    get storageImageReferenceInput(): BatchPoolStorageImageReference[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): BatchPoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: BatchPoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): BatchPoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
