import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BlueprintAssignmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly lockExcludePrincipals?: string[];
    /**
     * @stability stable
     */
    readonly lockMode?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameterValues?: string;
    /**
     * @stability stable
     */
    readonly resourceGroups?: string;
    /**
     * @stability stable
     */
    readonly targetSubscriptionId: string;
    /**
     * @stability stable
     */
    readonly versionId: string;
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: BlueprintAssignmentIdentity[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: BlueprintAssignmentTimeouts;
}
/**
 * @stability stable
 */
export interface BlueprintAssignmentIdentity {
    /**
     * @stability stable
     */
    readonly identityIds: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface BlueprintAssignmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class BlueprintAssignment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BlueprintAssignmentConfig);
    /**
     * @stability stable
     */
    get blueprintName(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _lockExcludePrincipals?;
    /**
     * @stability stable
     */
    get lockExcludePrincipals(): string[];
    /**
     * @stability stable
     */
    set lockExcludePrincipals(value: string[]);
    /**
     * @stability stable
     */
    resetLockExcludePrincipals(): void;
    /**
     * @stability stable
     */
    get lockExcludePrincipalsInput(): string[] | undefined;
    private _lockMode?;
    /**
     * @stability stable
     */
    get lockMode(): string;
    /**
     * @stability stable
     */
    set lockMode(value: string);
    /**
     * @stability stable
     */
    resetLockMode(): void;
    /**
     * @stability stable
     */
    get lockModeInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameterValues?;
    /**
     * @stability stable
     */
    get parameterValues(): string;
    /**
     * @stability stable
     */
    set parameterValues(value: string);
    /**
     * @stability stable
     */
    resetParameterValues(): void;
    /**
     * @stability stable
     */
    get parameterValuesInput(): string | undefined;
    private _resourceGroups?;
    /**
     * @stability stable
     */
    get resourceGroups(): string;
    /**
     * @stability stable
     */
    set resourceGroups(value: string);
    /**
     * @stability stable
     */
    resetResourceGroups(): void;
    /**
     * @stability stable
     */
    get resourceGroupsInput(): string | undefined;
    private _targetSubscriptionId;
    /**
     * @stability stable
     */
    get targetSubscriptionId(): string;
    /**
     * @stability stable
     */
    set targetSubscriptionId(value: string);
    /**
     * @stability stable
     */
    get targetSubscriptionIdInput(): string;
    /**
     * @stability stable
     */
    get type(): string;
    private _versionId;
    /**
     * @stability stable
     */
    get versionId(): string;
    /**
     * @stability stable
     */
    set versionId(value: string);
    /**
     * @stability stable
     */
    get versionIdInput(): string;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): BlueprintAssignmentIdentity[];
    /**
     * @stability stable
     */
    set identity(value: BlueprintAssignmentIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): BlueprintAssignmentIdentity[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): BlueprintAssignmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: BlueprintAssignmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): BlueprintAssignmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
