import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BotChannelDirectlineConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly botName: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * site block.
     *
     * @stability stable
     */
    readonly site: BotChannelDirectlineSite[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: BotChannelDirectlineTimeouts;
}
/**
 * @stability stable
 */
export interface BotChannelDirectlineSite {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly enhancedAuthenticationEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly trustedOrigins?: string[];
    /**
     * @stability stable
     */
    readonly v1Allowed?: boolean;
    /**
     * @stability stable
     */
    readonly v3Allowed?: boolean;
}
/**
 * @stability stable
 */
export interface BotChannelDirectlineTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class BotChannelDirectline extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BotChannelDirectlineConfig);
    private _botName;
    /**
     * @stability stable
     */
    get botName(): string;
    /**
     * @stability stable
     */
    set botName(value: string);
    /**
     * @stability stable
     */
    get botNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _site;
    /**
     * @stability stable
     */
    get site(): BotChannelDirectlineSite[];
    /**
     * @stability stable
     */
    set site(value: BotChannelDirectlineSite[]);
    /**
     * @stability stable
     */
    get siteInput(): BotChannelDirectlineSite[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): BotChannelDirectlineTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: BotChannelDirectlineTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): BotChannelDirectlineTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
