import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BotChannelSlackConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly botName: string;
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
    /**
     * @stability stable
     */
    readonly landingPageUrl?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly verificationToken: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: BotChannelSlackTimeouts;
}
/**
 * @stability stable
 */
export interface BotChannelSlackTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class BotChannelSlack extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BotChannelSlackConfig);
    private _botName;
    /**
     * @stability stable
     */
    get botName(): string;
    /**
     * @stability stable
     */
    set botName(value: string);
    /**
     * @stability stable
     */
    get botNameInput(): string;
    private _clientId;
    /**
     * @stability stable
     */
    get clientId(): string;
    /**
     * @stability stable
     */
    set clientId(value: string);
    /**
     * @stability stable
     */
    get clientIdInput(): string;
    private _clientSecret;
    /**
     * @stability stable
     */
    get clientSecret(): string;
    /**
     * @stability stable
     */
    set clientSecret(value: string);
    /**
     * @stability stable
     */
    get clientSecretInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _landingPageUrl?;
    /**
     * @stability stable
     */
    get landingPageUrl(): string;
    /**
     * @stability stable
     */
    set landingPageUrl(value: string);
    /**
     * @stability stable
     */
    resetLandingPageUrl(): void;
    /**
     * @stability stable
     */
    get landingPageUrlInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _verificationToken;
    /**
     * @stability stable
     */
    get verificationToken(): string;
    /**
     * @stability stable
     */
    set verificationToken(value: string);
    /**
     * @stability stable
     */
    get verificationTokenInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): BotChannelSlackTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: BotChannelSlackTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): BotChannelSlackTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
