import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CdnEndpointConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly contentTypesToCompress?: string[];
    /**
     * @stability stable
     */
    readonly isCompressionEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly isHttpAllowed?: boolean;
    /**
     * @stability stable
     */
    readonly isHttpsAllowed?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly optimizationType?: string;
    /**
     * @stability stable
     */
    readonly originHostHeader?: string;
    /**
     * @stability stable
     */
    readonly originPath?: string;
    /**
     * @stability stable
     */
    readonly probePath?: string;
    /**
     * @stability stable
     */
    readonly profileName: string;
    /**
     * @stability stable
     */
    readonly querystringCachingBehaviour?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * delivery_rule block.
     *
     * @stability stable
     */
    readonly deliveryRule?: CdnEndpointDeliveryRule[];
    /**
     * geo_filter block.
     *
     * @stability stable
     */
    readonly geoFilter?: CdnEndpointGeoFilter[];
    /**
     * global_delivery_rule block.
     *
     * @stability stable
     */
    readonly globalDeliveryRule?: CdnEndpointGlobalDeliveryRule[];
    /**
     * origin block.
     *
     * @stability stable
     */
    readonly origin: CdnEndpointOrigin[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CdnEndpointTimeouts;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleCacheExpirationAction {
    /**
     * @stability stable
     */
    readonly behavior: string;
    /**
     * @stability stable
     */
    readonly duration?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleCacheKeyQueryStringAction {
    /**
     * @stability stable
     */
    readonly behavior: string;
    /**
     * @stability stable
     */
    readonly parameters?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleCookiesCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleDeviceCondition {
    /**
     * @stability stable
     */
    readonly matchValues: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleHttpVersionCondition {
    /**
     * @stability stable
     */
    readonly matchValues: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleModifyRequestHeaderAction {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleModifyResponseHeaderAction {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRulePostArgCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleQueryStringCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleRemoteAddressCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleRequestBodyCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleRequestHeaderCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleRequestMethodCondition {
    /**
     * @stability stable
     */
    readonly matchValues: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleRequestSchemeCondition {
    /**
     * @stability stable
     */
    readonly matchValues: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleRequestUriCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleUrlFileExtensionCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleUrlFileNameCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleUrlPathCondition {
    /**
     * @stability stable
     */
    readonly matchValues?: string[];
    /**
     * @stability stable
     */
    readonly negateCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleUrlRedirectAction {
    /**
     * @stability stable
     */
    readonly fragment?: string;
    /**
     * @stability stable
     */
    readonly hostname?: string;
    /**
     * @stability stable
     */
    readonly path?: string;
    /**
     * @stability stable
     */
    readonly protocol?: string;
    /**
     * @stability stable
     */
    readonly queryString?: string;
    /**
     * @stability stable
     */
    readonly redirectType: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRuleUrlRewriteAction {
    /**
     * @stability stable
     */
    readonly destination: string;
    /**
     * @stability stable
     */
    readonly preserveUnmatchedPath?: boolean;
    /**
     * @stability stable
     */
    readonly sourcePattern: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointDeliveryRule {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly order: number;
    /**
     * cache_expiration_action block.
     *
     * @stability stable
     */
    readonly cacheExpirationAction?: CdnEndpointDeliveryRuleCacheExpirationAction[];
    /**
     * cache_key_query_string_action block.
     *
     * @stability stable
     */
    readonly cacheKeyQueryStringAction?: CdnEndpointDeliveryRuleCacheKeyQueryStringAction[];
    /**
     * cookies_condition block.
     *
     * @stability stable
     */
    readonly cookiesCondition?: CdnEndpointDeliveryRuleCookiesCondition[];
    /**
     * device_condition block.
     *
     * @stability stable
     */
    readonly deviceCondition?: CdnEndpointDeliveryRuleDeviceCondition[];
    /**
     * http_version_condition block.
     *
     * @stability stable
     */
    readonly httpVersionCondition?: CdnEndpointDeliveryRuleHttpVersionCondition[];
    /**
     * modify_request_header_action block.
     *
     * @stability stable
     */
    readonly modifyRequestHeaderAction?: CdnEndpointDeliveryRuleModifyRequestHeaderAction[];
    /**
     * modify_response_header_action block.
     *
     * @stability stable
     */
    readonly modifyResponseHeaderAction?: CdnEndpointDeliveryRuleModifyResponseHeaderAction[];
    /**
     * post_arg_condition block.
     *
     * @stability stable
     */
    readonly postArgCondition?: CdnEndpointDeliveryRulePostArgCondition[];
    /**
     * query_string_condition block.
     *
     * @stability stable
     */
    readonly queryStringCondition?: CdnEndpointDeliveryRuleQueryStringCondition[];
    /**
     * remote_address_condition block.
     *
     * @stability stable
     */
    readonly remoteAddressCondition?: CdnEndpointDeliveryRuleRemoteAddressCondition[];
    /**
     * request_body_condition block.
     *
     * @stability stable
     */
    readonly requestBodyCondition?: CdnEndpointDeliveryRuleRequestBodyCondition[];
    /**
     * request_header_condition block.
     *
     * @stability stable
     */
    readonly requestHeaderCondition?: CdnEndpointDeliveryRuleRequestHeaderCondition[];
    /**
     * request_method_condition block.
     *
     * @stability stable
     */
    readonly requestMethodCondition?: CdnEndpointDeliveryRuleRequestMethodCondition[];
    /**
     * request_scheme_condition block.
     *
     * @stability stable
     */
    readonly requestSchemeCondition?: CdnEndpointDeliveryRuleRequestSchemeCondition[];
    /**
     * request_uri_condition block.
     *
     * @stability stable
     */
    readonly requestUriCondition?: CdnEndpointDeliveryRuleRequestUriCondition[];
    /**
     * url_file_extension_condition block.
     *
     * @stability stable
     */
    readonly urlFileExtensionCondition?: CdnEndpointDeliveryRuleUrlFileExtensionCondition[];
    /**
     * url_file_name_condition block.
     *
     * @stability stable
     */
    readonly urlFileNameCondition?: CdnEndpointDeliveryRuleUrlFileNameCondition[];
    /**
     * url_path_condition block.
     *
     * @stability stable
     */
    readonly urlPathCondition?: CdnEndpointDeliveryRuleUrlPathCondition[];
    /**
     * url_redirect_action block.
     *
     * @stability stable
     */
    readonly urlRedirectAction?: CdnEndpointDeliveryRuleUrlRedirectAction[];
    /**
     * url_rewrite_action block.
     *
     * @stability stable
     */
    readonly urlRewriteAction?: CdnEndpointDeliveryRuleUrlRewriteAction[];
}
/**
 * @stability stable
 */
export interface CdnEndpointGeoFilter {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly countryCodes: string[];
    /**
     * @stability stable
     */
    readonly relativePath: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRuleCacheExpirationAction {
    /**
     * @stability stable
     */
    readonly behavior: string;
    /**
     * @stability stable
     */
    readonly duration?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRuleCacheKeyQueryStringAction {
    /**
     * @stability stable
     */
    readonly behavior: string;
    /**
     * @stability stable
     */
    readonly parameters?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRuleModifyRequestHeaderAction {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRuleModifyResponseHeaderAction {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRuleUrlRedirectAction {
    /**
     * @stability stable
     */
    readonly fragment?: string;
    /**
     * @stability stable
     */
    readonly hostname?: string;
    /**
     * @stability stable
     */
    readonly path?: string;
    /**
     * @stability stable
     */
    readonly protocol?: string;
    /**
     * @stability stable
     */
    readonly queryString?: string;
    /**
     * @stability stable
     */
    readonly redirectType: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRuleUrlRewriteAction {
    /**
     * @stability stable
     */
    readonly destination: string;
    /**
     * @stability stable
     */
    readonly preserveUnmatchedPath?: boolean;
    /**
     * @stability stable
     */
    readonly sourcePattern: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointGlobalDeliveryRule {
    /**
     * cache_expiration_action block.
     *
     * @stability stable
     */
    readonly cacheExpirationAction?: CdnEndpointGlobalDeliveryRuleCacheExpirationAction[];
    /**
     * cache_key_query_string_action block.
     *
     * @stability stable
     */
    readonly cacheKeyQueryStringAction?: CdnEndpointGlobalDeliveryRuleCacheKeyQueryStringAction[];
    /**
     * modify_request_header_action block.
     *
     * @stability stable
     */
    readonly modifyRequestHeaderAction?: CdnEndpointGlobalDeliveryRuleModifyRequestHeaderAction[];
    /**
     * modify_response_header_action block.
     *
     * @stability stable
     */
    readonly modifyResponseHeaderAction?: CdnEndpointGlobalDeliveryRuleModifyResponseHeaderAction[];
    /**
     * url_redirect_action block.
     *
     * @stability stable
     */
    readonly urlRedirectAction?: CdnEndpointGlobalDeliveryRuleUrlRedirectAction[];
    /**
     * url_rewrite_action block.
     *
     * @stability stable
     */
    readonly urlRewriteAction?: CdnEndpointGlobalDeliveryRuleUrlRewriteAction[];
}
/**
 * @stability stable
 */
export interface CdnEndpointOrigin {
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly httpPort?: number;
    /**
     * @stability stable
     */
    readonly httpsPort?: number;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface CdnEndpointTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CdnEndpoint extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CdnEndpointConfig);
    private _contentTypesToCompress?;
    /**
     * @stability stable
     */
    get contentTypesToCompress(): string[];
    /**
     * @stability stable
     */
    set contentTypesToCompress(value: string[]);
    /**
     * @stability stable
     */
    resetContentTypesToCompress(): void;
    /**
     * @stability stable
     */
    get contentTypesToCompressInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get hostName(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _isCompressionEnabled?;
    /**
     * @stability stable
     */
    get isCompressionEnabled(): boolean;
    /**
     * @stability stable
     */
    set isCompressionEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetIsCompressionEnabled(): void;
    /**
     * @stability stable
     */
    get isCompressionEnabledInput(): boolean | undefined;
    private _isHttpAllowed?;
    /**
     * @stability stable
     */
    get isHttpAllowed(): boolean;
    /**
     * @stability stable
     */
    set isHttpAllowed(value: boolean);
    /**
     * @stability stable
     */
    resetIsHttpAllowed(): void;
    /**
     * @stability stable
     */
    get isHttpAllowedInput(): boolean | undefined;
    private _isHttpsAllowed?;
    /**
     * @stability stable
     */
    get isHttpsAllowed(): boolean;
    /**
     * @stability stable
     */
    set isHttpsAllowed(value: boolean);
    /**
     * @stability stable
     */
    resetIsHttpsAllowed(): void;
    /**
     * @stability stable
     */
    get isHttpsAllowedInput(): boolean | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _optimizationType?;
    /**
     * @stability stable
     */
    get optimizationType(): string;
    /**
     * @stability stable
     */
    set optimizationType(value: string);
    /**
     * @stability stable
     */
    resetOptimizationType(): void;
    /**
     * @stability stable
     */
    get optimizationTypeInput(): string | undefined;
    private _originHostHeader?;
    /**
     * @stability stable
     */
    get originHostHeader(): string;
    /**
     * @stability stable
     */
    set originHostHeader(value: string);
    /**
     * @stability stable
     */
    resetOriginHostHeader(): void;
    /**
     * @stability stable
     */
    get originHostHeaderInput(): string | undefined;
    private _originPath?;
    /**
     * @stability stable
     */
    get originPath(): string;
    /**
     * @stability stable
     */
    set originPath(value: string);
    /**
     * @stability stable
     */
    resetOriginPath(): void;
    /**
     * @stability stable
     */
    get originPathInput(): string | undefined;
    private _probePath?;
    /**
     * @stability stable
     */
    get probePath(): string;
    /**
     * @stability stable
     */
    set probePath(value: string);
    /**
     * @stability stable
     */
    resetProbePath(): void;
    /**
     * @stability stable
     */
    get probePathInput(): string | undefined;
    private _profileName;
    /**
     * @stability stable
     */
    get profileName(): string;
    /**
     * @stability stable
     */
    set profileName(value: string);
    /**
     * @stability stable
     */
    get profileNameInput(): string;
    private _querystringCachingBehaviour?;
    /**
     * @stability stable
     */
    get querystringCachingBehaviour(): string;
    /**
     * @stability stable
     */
    set querystringCachingBehaviour(value: string);
    /**
     * @stability stable
     */
    resetQuerystringCachingBehaviour(): void;
    /**
     * @stability stable
     */
    get querystringCachingBehaviourInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _deliveryRule?;
    /**
     * @stability stable
     */
    get deliveryRule(): CdnEndpointDeliveryRule[];
    /**
     * @stability stable
     */
    set deliveryRule(value: CdnEndpointDeliveryRule[]);
    /**
     * @stability stable
     */
    resetDeliveryRule(): void;
    /**
     * @stability stable
     */
    get deliveryRuleInput(): CdnEndpointDeliveryRule[] | undefined;
    private _geoFilter?;
    /**
     * @stability stable
     */
    get geoFilter(): CdnEndpointGeoFilter[];
    /**
     * @stability stable
     */
    set geoFilter(value: CdnEndpointGeoFilter[]);
    /**
     * @stability stable
     */
    resetGeoFilter(): void;
    /**
     * @stability stable
     */
    get geoFilterInput(): CdnEndpointGeoFilter[] | undefined;
    private _globalDeliveryRule?;
    /**
     * @stability stable
     */
    get globalDeliveryRule(): CdnEndpointGlobalDeliveryRule[];
    /**
     * @stability stable
     */
    set globalDeliveryRule(value: CdnEndpointGlobalDeliveryRule[]);
    /**
     * @stability stable
     */
    resetGlobalDeliveryRule(): void;
    /**
     * @stability stable
     */
    get globalDeliveryRuleInput(): CdnEndpointGlobalDeliveryRule[] | undefined;
    private _origin;
    /**
     * @stability stable
     */
    get origin(): CdnEndpointOrigin[];
    /**
     * @stability stable
     */
    set origin(value: CdnEndpointOrigin[]);
    /**
     * @stability stable
     */
    get originInput(): CdnEndpointOrigin[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CdnEndpointTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CdnEndpointTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CdnEndpointTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
