import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CognitiveAccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customSubdomainName?: string;
    /**
     * @stability stable
     */
    readonly kind: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly qnaRuntimeEndpoint?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * network_acls block.
     *
     * @stability stable
     */
    readonly networkAcls?: CognitiveAccountNetworkAcls[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CognitiveAccountTimeouts;
}
/**
 * @stability stable
 */
export interface CognitiveAccountNetworkAcls {
    /**
     * @stability stable
     */
    readonly defaultAction: string;
    /**
     * @stability stable
     */
    readonly ipRules?: string[];
    /**
     * @stability stable
     */
    readonly virtualNetworkSubnetIds?: string[];
}
/**
 * @stability stable
 */
export interface CognitiveAccountTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CognitiveAccount extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CognitiveAccountConfig);
    private _customSubdomainName?;
    /**
     * @stability stable
     */
    get customSubdomainName(): string;
    /**
     * @stability stable
     */
    set customSubdomainName(value: string);
    /**
     * @stability stable
     */
    resetCustomSubdomainName(): void;
    /**
     * @stability stable
     */
    get customSubdomainNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get endpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _kind;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    set kind(value: string);
    /**
     * @stability stable
     */
    get kindInput(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get primaryAccessKey(): string;
    private _qnaRuntimeEndpoint?;
    /**
     * @stability stable
     */
    get qnaRuntimeEndpoint(): string;
    /**
     * @stability stable
     */
    set qnaRuntimeEndpoint(value: string);
    /**
     * @stability stable
     */
    resetQnaRuntimeEndpoint(): void;
    /**
     * @stability stable
     */
    get qnaRuntimeEndpointInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryAccessKey(): string;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _networkAcls?;
    /**
     * @stability stable
     */
    get networkAcls(): CognitiveAccountNetworkAcls[];
    /**
     * @stability stable
     */
    set networkAcls(value: CognitiveAccountNetworkAcls[]);
    /**
     * @stability stable
     */
    resetNetworkAcls(): void;
    /**
     * @stability stable
     */
    get networkAclsInput(): CognitiveAccountNetworkAcls[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CognitiveAccountTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CognitiveAccountTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CognitiveAccountTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
