import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ContainerGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dnsNameLabel?: string;
    /**
     * @stability stable
     */
    readonly ipAddressType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkProfileId?: string;
    /**
     * @stability stable
     */
    readonly osType: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly restartPolicy?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * container block.
     *
     * @stability stable
     */
    readonly container: ContainerGroupContainer[];
    /**
     * diagnostics block.
     *
     * @stability stable
     */
    readonly diagnostics?: ContainerGroupDiagnostics[];
    /**
     * dns_config block.
     *
     * @stability stable
     */
    readonly dnsConfig?: ContainerGroupDnsConfig[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: ContainerGroupIdentity[];
    /**
     * image_registry_credential block.
     *
     * @stability stable
     */
    readonly imageRegistryCredential?: ContainerGroupImageRegistryCredential[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ContainerGroupTimeouts;
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerGpu {
    /**
     * @stability stable
     */
    readonly count?: number;
    /**
     * @stability stable
     */
    readonly sku?: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerLivenessProbeHttpGet {
    /**
     * @stability stable
     */
    readonly path?: string;
    /**
     * @stability stable
     */
    readonly port?: number;
    /**
     * @stability stable
     */
    readonly scheme?: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerLivenessProbe {
    /**
     * @stability stable
     */
    readonly exec?: string[];
    /**
     * @stability stable
     */
    readonly failureThreshold?: number;
    /**
     * @stability stable
     */
    readonly initialDelaySeconds?: number;
    /**
     * @stability stable
     */
    readonly periodSeconds?: number;
    /**
     * @stability stable
     */
    readonly successThreshold?: number;
    /**
     * @stability stable
     */
    readonly timeoutSeconds?: number;
    /**
     * http_get block.
     *
     * @stability stable
     */
    readonly httpGet?: ContainerGroupContainerLivenessProbeHttpGet[];
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerPorts {
    /**
     * @stability stable
     */
    readonly port?: number;
    /**
     * @stability stable
     */
    readonly protocol?: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerReadinessProbeHttpGet {
    /**
     * @stability stable
     */
    readonly path?: string;
    /**
     * @stability stable
     */
    readonly port?: number;
    /**
     * @stability stable
     */
    readonly scheme?: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerReadinessProbe {
    /**
     * @stability stable
     */
    readonly exec?: string[];
    /**
     * @stability stable
     */
    readonly failureThreshold?: number;
    /**
     * @stability stable
     */
    readonly initialDelaySeconds?: number;
    /**
     * @stability stable
     */
    readonly periodSeconds?: number;
    /**
     * @stability stable
     */
    readonly successThreshold?: number;
    /**
     * @stability stable
     */
    readonly timeoutSeconds?: number;
    /**
     * http_get block.
     *
     * @stability stable
     */
    readonly httpGet?: ContainerGroupContainerReadinessProbeHttpGet[];
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerVolumeGitRepo {
    /**
     * @stability stable
     */
    readonly directory?: string;
    /**
     * @stability stable
     */
    readonly revision?: string;
    /**
     * @stability stable
     */
    readonly url: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupContainerVolume {
    /**
     * @stability stable
     */
    readonly emptyDir?: boolean;
    /**
     * @stability stable
     */
    readonly mountPath: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly readOnly?: boolean;
    /**
     * @stability stable
     */
    readonly secret?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly shareName?: string;
    /**
     * @stability stable
     */
    readonly storageAccountKey?: string;
    /**
     * @stability stable
     */
    readonly storageAccountName?: string;
    /**
     * git_repo block.
     *
     * @stability stable
     */
    readonly gitRepo?: ContainerGroupContainerVolumeGitRepo[];
}
/**
 * @stability stable
 */
export interface ContainerGroupContainer {
    /**
     * @stability stable
     */
    readonly commands?: string[];
    /**
     * @stability stable
     */
    readonly cpu: number;
    /**
     * @stability stable
     */
    readonly environmentVariables?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly image: string;
    /**
     * @stability stable
     */
    readonly memory: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly secureEnvironmentVariables?: {
        [key: string]: string;
    };
    /**
     * gpu block.
     *
     * @stability stable
     */
    readonly gpu?: ContainerGroupContainerGpu[];
    /**
     * liveness_probe block.
     *
     * @stability stable
     */
    readonly livenessProbe?: ContainerGroupContainerLivenessProbe[];
    /**
     * ports block.
     *
     * @stability stable
     */
    readonly ports?: ContainerGroupContainerPorts[];
    /**
     * readiness_probe block.
     *
     * @stability stable
     */
    readonly readinessProbe?: ContainerGroupContainerReadinessProbe[];
    /**
     * volume block.
     *
     * @stability stable
     */
    readonly volume?: ContainerGroupContainerVolume[];
}
/**
 * @stability stable
 */
export interface ContainerGroupDiagnosticsLogAnalytics {
    /**
     * @stability stable
     */
    readonly logType?: string;
    /**
     * @stability stable
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly workspaceId: string;
    /**
     * @stability stable
     */
    readonly workspaceKey: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupDiagnostics {
    /**
     * log_analytics block.
     *
     * @stability stable
     */
    readonly logAnalytics: ContainerGroupDiagnosticsLogAnalytics[];
}
/**
 * @stability stable
 */
export interface ContainerGroupDnsConfig {
    /**
     * @stability stable
     */
    readonly nameservers: string[];
    /**
     * @stability stable
     */
    readonly options: string[];
    /**
     * @stability stable
     */
    readonly searchDomains: string[];
}
/**
 * @stability stable
 */
export interface ContainerGroupIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupImageRegistryCredential {
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface ContainerGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ContainerGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ContainerGroupConfig);
    private _dnsNameLabel?;
    /**
     * @stability stable
     */
    get dnsNameLabel(): string;
    /**
     * @stability stable
     */
    set dnsNameLabel(value: string);
    /**
     * @stability stable
     */
    resetDnsNameLabel(): void;
    /**
     * @stability stable
     */
    get dnsNameLabelInput(): string | undefined;
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    private _ipAddressType?;
    /**
     * @stability stable
     */
    get ipAddressType(): string;
    /**
     * @stability stable
     */
    set ipAddressType(value: string);
    /**
     * @stability stable
     */
    resetIpAddressType(): void;
    /**
     * @stability stable
     */
    get ipAddressTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkProfileId?;
    /**
     * @stability stable
     */
    get networkProfileId(): string;
    /**
     * @stability stable
     */
    set networkProfileId(value: string);
    /**
     * @stability stable
     */
    resetNetworkProfileId(): void;
    /**
     * @stability stable
     */
    get networkProfileIdInput(): string | undefined;
    private _osType;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    set osType(value: string);
    /**
     * @stability stable
     */
    get osTypeInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _restartPolicy?;
    /**
     * @stability stable
     */
    get restartPolicy(): string;
    /**
     * @stability stable
     */
    set restartPolicy(value: string);
    /**
     * @stability stable
     */
    resetRestartPolicy(): void;
    /**
     * @stability stable
     */
    get restartPolicyInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _container;
    /**
     * @stability stable
     */
    get container(): ContainerGroupContainer[];
    /**
     * @stability stable
     */
    set container(value: ContainerGroupContainer[]);
    /**
     * @stability stable
     */
    get containerInput(): ContainerGroupContainer[];
    private _diagnostics?;
    /**
     * @stability stable
     */
    get diagnostics(): ContainerGroupDiagnostics[];
    /**
     * @stability stable
     */
    set diagnostics(value: ContainerGroupDiagnostics[]);
    /**
     * @stability stable
     */
    resetDiagnostics(): void;
    /**
     * @stability stable
     */
    get diagnosticsInput(): ContainerGroupDiagnostics[] | undefined;
    private _dnsConfig?;
    /**
     * @stability stable
     */
    get dnsConfig(): ContainerGroupDnsConfig[];
    /**
     * @stability stable
     */
    set dnsConfig(value: ContainerGroupDnsConfig[]);
    /**
     * @stability stable
     */
    resetDnsConfig(): void;
    /**
     * @stability stable
     */
    get dnsConfigInput(): ContainerGroupDnsConfig[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): ContainerGroupIdentity[];
    /**
     * @stability stable
     */
    set identity(value: ContainerGroupIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): ContainerGroupIdentity[] | undefined;
    private _imageRegistryCredential?;
    /**
     * @stability stable
     */
    get imageRegistryCredential(): ContainerGroupImageRegistryCredential[];
    /**
     * @stability stable
     */
    set imageRegistryCredential(value: ContainerGroupImageRegistryCredential[]);
    /**
     * @stability stable
     */
    resetImageRegistryCredential(): void;
    /**
     * @stability stable
     */
    get imageRegistryCredentialInput(): ContainerGroupImageRegistryCredential[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ContainerGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ContainerGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ContainerGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
