import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ContainerRegistryConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly adminEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly georeplicationLocations?: string[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkRuleSet?: ContainerRegistryNetworkRuleSet[];
    /**
     * @stability stable
     */
    readonly publicNetworkAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly quarantinePolicyEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly retentionPolicy?: ContainerRegistryRetentionPolicy[];
    /**
     * @stability stable
     */
    readonly sku?: string;
    /**
     * @stability stable
     */
    readonly storageAccountId?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly trustPolicy?: ContainerRegistryTrustPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ContainerRegistryTimeouts;
}
/**
 * @stability stable
 */
export interface ContainerRegistryNetworkRuleSetIpRule {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipRange?: string;
}
/**
 * @stability stable
 */
export interface ContainerRegistryNetworkRuleSetVirtualNetwork {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly subnetId?: string;
}
/**
 * @stability stable
 */
export interface ContainerRegistryNetworkRuleSet {
    /**
     * @stability stable
     */
    readonly defaultAction?: string;
    /**
     * @stability stable
     */
    readonly ipRule?: ContainerRegistryNetworkRuleSetIpRule[];
    /**
     * @stability stable
     */
    readonly virtualNetwork?: ContainerRegistryNetworkRuleSetVirtualNetwork[];
}
/**
 * @stability stable
 */
export interface ContainerRegistryRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days?: number;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
}
/**
 * @stability stable
 */
export interface ContainerRegistryTrustPolicy {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
}
/**
 * @stability stable
 */
export interface ContainerRegistryTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ContainerRegistry extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ContainerRegistryConfig);
    private _adminEnabled?;
    /**
     * @stability stable
     */
    get adminEnabled(): boolean;
    /**
     * @stability stable
     */
    set adminEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetAdminEnabled(): void;
    /**
     * @stability stable
     */
    get adminEnabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get adminPassword(): string;
    /**
     * @stability stable
     */
    get adminUsername(): string;
    private _georeplicationLocations?;
    /**
     * @stability stable
     */
    get georeplicationLocations(): string[];
    /**
     * @stability stable
     */
    set georeplicationLocations(value: string[]);
    /**
     * @stability stable
     */
    resetGeoreplicationLocations(): void;
    /**
     * @stability stable
     */
    get georeplicationLocationsInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get loginServer(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkRuleSet?;
    /**
     * @stability stable
     */
    get networkRuleSet(): ContainerRegistryNetworkRuleSet[];
    /**
     * @stability stable
     */
    set networkRuleSet(value: ContainerRegistryNetworkRuleSet[]);
    /**
     * @stability stable
     */
    resetNetworkRuleSet(): void;
    /**
     * @stability stable
     */
    get networkRuleSetInput(): ContainerRegistryNetworkRuleSet[] | undefined;
    private _publicNetworkAccessEnabled?;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabled(): boolean;
    /**
     * @stability stable
     */
    set publicNetworkAccessEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetPublicNetworkAccessEnabled(): void;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabledInput(): boolean | undefined;
    private _quarantinePolicyEnabled?;
    /**
     * @stability stable
     */
    get quarantinePolicyEnabled(): boolean;
    /**
     * @stability stable
     */
    set quarantinePolicyEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetQuarantinePolicyEnabled(): void;
    /**
     * @stability stable
     */
    get quarantinePolicyEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _retentionPolicy?;
    /**
     * @stability stable
     */
    get retentionPolicy(): ContainerRegistryRetentionPolicy[];
    /**
     * @stability stable
     */
    set retentionPolicy(value: ContainerRegistryRetentionPolicy[]);
    /**
     * @stability stable
     */
    resetRetentionPolicy(): void;
    /**
     * @stability stable
     */
    get retentionPolicyInput(): ContainerRegistryRetentionPolicy[] | undefined;
    private _sku?;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    resetSku(): void;
    /**
     * @stability stable
     */
    get skuInput(): string | undefined;
    private _storageAccountId?;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountId(): void;
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _trustPolicy?;
    /**
     * @stability stable
     */
    get trustPolicy(): ContainerRegistryTrustPolicy[];
    /**
     * @stability stable
     */
    set trustPolicy(value: ContainerRegistryTrustPolicy[]);
    /**
     * @stability stable
     */
    resetTrustPolicy(): void;
    /**
     * @stability stable
     */
    get trustPolicyInput(): ContainerRegistryTrustPolicy[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ContainerRegistryTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ContainerRegistryTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ContainerRegistryTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
