import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cassandraKeyspaceId: string;
    /**
     * @stability stable
     */
    readonly defaultTtl?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     *
     * @stability stable
     */
    readonly autoscaleSettings?: CosmosdbCassandraTableAutoscaleSettings[];
    /**
     * schema block.
     *
     * @stability stable
     */
    readonly schema: CosmosdbCassandraTableSchema[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CosmosdbCassandraTableTimeouts;
}
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableAutoscaleSettings {
    /**
     * @stability stable
     */
    readonly maxThroughput?: number;
}
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableSchemaClusterKey {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly orderBy: string;
}
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableSchemaColumn {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableSchemaPartitionKey {
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableSchema {
    /**
     * cluster_key block.
     *
     * @stability stable
     */
    readonly clusterKey?: CosmosdbCassandraTableSchemaClusterKey[];
    /**
     * column block.
     *
     * @stability stable
     */
    readonly column: CosmosdbCassandraTableSchemaColumn[];
    /**
     * partition_key block.
     *
     * @stability stable
     */
    readonly partitionKey: CosmosdbCassandraTableSchemaPartitionKey[];
}
/**
 * @stability stable
 */
export interface CosmosdbCassandraTableTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CosmosdbCassandraTable extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CosmosdbCassandraTableConfig);
    private _cassandraKeyspaceId;
    /**
     * @stability stable
     */
    get cassandraKeyspaceId(): string;
    /**
     * @stability stable
     */
    set cassandraKeyspaceId(value: string);
    /**
     * @stability stable
     */
    get cassandraKeyspaceIdInput(): string;
    private _defaultTtl?;
    /**
     * @stability stable
     */
    get defaultTtl(): number;
    /**
     * @stability stable
     */
    set defaultTtl(value: number);
    /**
     * @stability stable
     */
    resetDefaultTtl(): void;
    /**
     * @stability stable
     */
    get defaultTtlInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _throughput?;
    /**
     * @stability stable
     */
    get throughput(): number;
    /**
     * @stability stable
     */
    set throughput(value: number);
    /**
     * @stability stable
     */
    resetThroughput(): void;
    /**
     * @stability stable
     */
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    /**
     * @stability stable
     */
    get autoscaleSettings(): CosmosdbCassandraTableAutoscaleSettings[];
    /**
     * @stability stable
     */
    set autoscaleSettings(value: CosmosdbCassandraTableAutoscaleSettings[]);
    /**
     * @stability stable
     */
    resetAutoscaleSettings(): void;
    /**
     * @stability stable
     */
    get autoscaleSettingsInput(): CosmosdbCassandraTableAutoscaleSettings[] | undefined;
    private _schema;
    /**
     * @stability stable
     */
    get schema(): CosmosdbCassandraTableSchema[];
    /**
     * @stability stable
     */
    set schema(value: CosmosdbCassandraTableSchema[]);
    /**
     * @stability stable
     */
    get schemaInput(): CosmosdbCassandraTableSchema[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CosmosdbCassandraTableTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CosmosdbCassandraTableTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CosmosdbCassandraTableTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
