import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CosmosdbGremlinGraphConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly defaultTtl?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly partitionKeyPath?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     *
     * @stability stable
     */
    readonly autoscaleSettings?: CosmosdbGremlinGraphAutoscaleSettings[];
    /**
     * conflict_resolution_policy block.
     *
     * @stability stable
     */
    readonly conflictResolutionPolicy: CosmosdbGremlinGraphConflictResolutionPolicy[];
    /**
     * index_policy block.
     *
     * @stability stable
     */
    readonly indexPolicy: CosmosdbGremlinGraphIndexPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CosmosdbGremlinGraphTimeouts;
    /**
     * unique_key block.
     *
     * @stability stable
     */
    readonly uniqueKey?: CosmosdbGremlinGraphUniqueKey[];
}
/**
 * @stability stable
 */
export interface CosmosdbGremlinGraphAutoscaleSettings {
    /**
     * @stability stable
     */
    readonly maxThroughput?: number;
}
/**
 * @stability stable
 */
export interface CosmosdbGremlinGraphConflictResolutionPolicy {
    /**
     * @stability stable
     */
    readonly conflictResolutionPath?: string;
    /**
     * @stability stable
     */
    readonly conflictResolutionProcedure?: string;
    /**
     * @stability stable
     */
    readonly mode: string;
}
/**
 * @stability stable
 */
export interface CosmosdbGremlinGraphIndexPolicy {
    /**
     * @stability stable
     */
    readonly automatic?: boolean;
    /**
     * @stability stable
     */
    readonly excludedPaths?: string[];
    /**
     * @stability stable
     */
    readonly includedPaths?: string[];
    /**
     * @stability stable
     */
    readonly indexingMode: string;
}
/**
 * @stability stable
 */
export interface CosmosdbGremlinGraphTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface CosmosdbGremlinGraphUniqueKey {
    /**
     * @stability stable
     */
    readonly paths: string[];
}
/**
 * @stability stable
 */
export declare class CosmosdbGremlinGraph extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CosmosdbGremlinGraphConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    private _databaseName;
    /**
     * @stability stable
     */
    get databaseName(): string;
    /**
     * @stability stable
     */
    set databaseName(value: string);
    /**
     * @stability stable
     */
    get databaseNameInput(): string;
    private _defaultTtl?;
    /**
     * @stability stable
     */
    get defaultTtl(): number;
    /**
     * @stability stable
     */
    set defaultTtl(value: number);
    /**
     * @stability stable
     */
    resetDefaultTtl(): void;
    /**
     * @stability stable
     */
    get defaultTtlInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _partitionKeyPath?;
    /**
     * @stability stable
     */
    get partitionKeyPath(): string;
    /**
     * @stability stable
     */
    set partitionKeyPath(value: string);
    /**
     * @stability stable
     */
    resetPartitionKeyPath(): void;
    /**
     * @stability stable
     */
    get partitionKeyPathInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _throughput?;
    /**
     * @stability stable
     */
    get throughput(): number;
    /**
     * @stability stable
     */
    set throughput(value: number);
    /**
     * @stability stable
     */
    resetThroughput(): void;
    /**
     * @stability stable
     */
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    /**
     * @stability stable
     */
    get autoscaleSettings(): CosmosdbGremlinGraphAutoscaleSettings[];
    /**
     * @stability stable
     */
    set autoscaleSettings(value: CosmosdbGremlinGraphAutoscaleSettings[]);
    /**
     * @stability stable
     */
    resetAutoscaleSettings(): void;
    /**
     * @stability stable
     */
    get autoscaleSettingsInput(): CosmosdbGremlinGraphAutoscaleSettings[] | undefined;
    private _conflictResolutionPolicy;
    /**
     * @stability stable
     */
    get conflictResolutionPolicy(): CosmosdbGremlinGraphConflictResolutionPolicy[];
    /**
     * @stability stable
     */
    set conflictResolutionPolicy(value: CosmosdbGremlinGraphConflictResolutionPolicy[]);
    /**
     * @stability stable
     */
    get conflictResolutionPolicyInput(): CosmosdbGremlinGraphConflictResolutionPolicy[];
    private _indexPolicy;
    /**
     * @stability stable
     */
    get indexPolicy(): CosmosdbGremlinGraphIndexPolicy[];
    /**
     * @stability stable
     */
    set indexPolicy(value: CosmosdbGremlinGraphIndexPolicy[]);
    /**
     * @stability stable
     */
    get indexPolicyInput(): CosmosdbGremlinGraphIndexPolicy[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CosmosdbGremlinGraphTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CosmosdbGremlinGraphTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CosmosdbGremlinGraphTimeouts | undefined;
    private _uniqueKey?;
    /**
     * @stability stable
     */
    get uniqueKey(): CosmosdbGremlinGraphUniqueKey[];
    /**
     * @stability stable
     */
    set uniqueKey(value: CosmosdbGremlinGraphUniqueKey[]);
    /**
     * @stability stable
     */
    resetUniqueKey(): void;
    /**
     * @stability stable
     */
    get uniqueKeyInput(): CosmosdbGremlinGraphUniqueKey[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
