import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CosmosdbMongoCollectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly defaultTtlSeconds?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly shardKey?: string;
    /**
     * @stability stable
     */
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     *
     * @stability stable
     */
    readonly autoscaleSettings?: CosmosdbMongoCollectionAutoscaleSettings[];
    /**
     * index block.
     *
     * @stability stable
     */
    readonly index?: CosmosdbMongoCollectionIndex[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CosmosdbMongoCollectionTimeouts;
}
/**
 * @stability stable
 */
export declare class CosmosdbMongoCollectionSystemIndexes extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get keys(): string[];
    /**
     * @stability stable
     */
    get unique(): boolean;
}
/**
 * @stability stable
 */
export interface CosmosdbMongoCollectionAutoscaleSettings {
    /**
     * @stability stable
     */
    readonly maxThroughput?: number;
}
/**
 * @stability stable
 */
export interface CosmosdbMongoCollectionIndex {
    /**
     * @stability stable
     */
    readonly keys: string[];
    /**
     * @stability stable
     */
    readonly unique?: boolean;
}
/**
 * @stability stable
 */
export interface CosmosdbMongoCollectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CosmosdbMongoCollection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CosmosdbMongoCollectionConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    private _databaseName;
    /**
     * @stability stable
     */
    get databaseName(): string;
    /**
     * @stability stable
     */
    set databaseName(value: string);
    /**
     * @stability stable
     */
    get databaseNameInput(): string;
    private _defaultTtlSeconds?;
    /**
     * @stability stable
     */
    get defaultTtlSeconds(): number;
    /**
     * @stability stable
     */
    set defaultTtlSeconds(value: number);
    /**
     * @stability stable
     */
    resetDefaultTtlSeconds(): void;
    /**
     * @stability stable
     */
    get defaultTtlSecondsInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _shardKey?;
    /**
     * @stability stable
     */
    get shardKey(): string;
    /**
     * @stability stable
     */
    set shardKey(value: string);
    /**
     * @stability stable
     */
    resetShardKey(): void;
    /**
     * @stability stable
     */
    get shardKeyInput(): string | undefined;
    /**
     * @stability stable
     */
    systemIndexes(index: string): CosmosdbMongoCollectionSystemIndexes;
    private _throughput?;
    /**
     * @stability stable
     */
    get throughput(): number;
    /**
     * @stability stable
     */
    set throughput(value: number);
    /**
     * @stability stable
     */
    resetThroughput(): void;
    /**
     * @stability stable
     */
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    /**
     * @stability stable
     */
    get autoscaleSettings(): CosmosdbMongoCollectionAutoscaleSettings[];
    /**
     * @stability stable
     */
    set autoscaleSettings(value: CosmosdbMongoCollectionAutoscaleSettings[]);
    /**
     * @stability stable
     */
    resetAutoscaleSettings(): void;
    /**
     * @stability stable
     */
    get autoscaleSettingsInput(): CosmosdbMongoCollectionAutoscaleSettings[] | undefined;
    private _index?;
    /**
     * @stability stable
     */
    get index(): CosmosdbMongoCollectionIndex[];
    /**
     * @stability stable
     */
    set index(value: CosmosdbMongoCollectionIndex[]);
    /**
     * @stability stable
     */
    resetIndex(): void;
    /**
     * @stability stable
     */
    get indexInput(): CosmosdbMongoCollectionIndex[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CosmosdbMongoCollectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CosmosdbMongoCollectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CosmosdbMongoCollectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
