import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CosmosdbMongoDatabaseConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly throughput?: number;
    /**
     * autoscale_settings block.
     *
     * @stability stable
     */
    readonly autoscaleSettings?: CosmosdbMongoDatabaseAutoscaleSettings[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CosmosdbMongoDatabaseTimeouts;
}
/**
 * @stability stable
 */
export interface CosmosdbMongoDatabaseAutoscaleSettings {
    /**
     * @stability stable
     */
    readonly maxThroughput?: number;
}
/**
 * @stability stable
 */
export interface CosmosdbMongoDatabaseTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CosmosdbMongoDatabase extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CosmosdbMongoDatabaseConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _throughput?;
    /**
     * @stability stable
     */
    get throughput(): number;
    /**
     * @stability stable
     */
    set throughput(value: number);
    /**
     * @stability stable
     */
    resetThroughput(): void;
    /**
     * @stability stable
     */
    get throughputInput(): number | undefined;
    private _autoscaleSettings?;
    /**
     * @stability stable
     */
    get autoscaleSettings(): CosmosdbMongoDatabaseAutoscaleSettings[];
    /**
     * @stability stable
     */
    set autoscaleSettings(value: CosmosdbMongoDatabaseAutoscaleSettings[]);
    /**
     * @stability stable
     */
    resetAutoscaleSettings(): void;
    /**
     * @stability stable
     */
    get autoscaleSettingsInput(): CosmosdbMongoDatabaseAutoscaleSettings[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CosmosdbMongoDatabaseTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CosmosdbMongoDatabaseTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CosmosdbMongoDatabaseTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
