import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CostManagementExportResourceGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly active?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly recurrencePeriodEnd: string;
    /**
     * @stability stable
     */
    readonly recurrencePeriodStart: string;
    /**
     * @stability stable
     */
    readonly recurrenceType: string;
    /**
     * @stability stable
     */
    readonly resourceGroupId: string;
    /**
     * delivery_info block.
     *
     * @stability stable
     */
    readonly deliveryInfo: CostManagementExportResourceGroupDeliveryInfo[];
    /**
     * query block.
     *
     * @stability stable
     */
    readonly query: CostManagementExportResourceGroupQuery[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CostManagementExportResourceGroupTimeouts;
}
/**
 * @stability stable
 */
export interface CostManagementExportResourceGroupDeliveryInfo {
    /**
     * @stability stable
     */
    readonly containerName: string;
    /**
     * @stability stable
     */
    readonly rootFolderPath: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
}
/**
 * @stability stable
 */
export interface CostManagementExportResourceGroupQuery {
    /**
     * @stability stable
     */
    readonly timeFrame: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface CostManagementExportResourceGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CostManagementExportResourceGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CostManagementExportResourceGroupConfig);
    private _active?;
    /**
     * @stability stable
     */
    get active(): boolean;
    /**
     * @stability stable
     */
    set active(value: boolean);
    /**
     * @stability stable
     */
    resetActive(): void;
    /**
     * @stability stable
     */
    get activeInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _recurrencePeriodEnd;
    /**
     * @stability stable
     */
    get recurrencePeriodEnd(): string;
    /**
     * @stability stable
     */
    set recurrencePeriodEnd(value: string);
    /**
     * @stability stable
     */
    get recurrencePeriodEndInput(): string;
    private _recurrencePeriodStart;
    /**
     * @stability stable
     */
    get recurrencePeriodStart(): string;
    /**
     * @stability stable
     */
    set recurrencePeriodStart(value: string);
    /**
     * @stability stable
     */
    get recurrencePeriodStartInput(): string;
    private _recurrenceType;
    /**
     * @stability stable
     */
    get recurrenceType(): string;
    /**
     * @stability stable
     */
    set recurrenceType(value: string);
    /**
     * @stability stable
     */
    get recurrenceTypeInput(): string;
    private _resourceGroupId;
    /**
     * @stability stable
     */
    get resourceGroupId(): string;
    /**
     * @stability stable
     */
    set resourceGroupId(value: string);
    /**
     * @stability stable
     */
    get resourceGroupIdInput(): string;
    private _deliveryInfo;
    /**
     * @stability stable
     */
    get deliveryInfo(): CostManagementExportResourceGroupDeliveryInfo[];
    /**
     * @stability stable
     */
    set deliveryInfo(value: CostManagementExportResourceGroupDeliveryInfo[]);
    /**
     * @stability stable
     */
    get deliveryInfoInput(): CostManagementExportResourceGroupDeliveryInfo[];
    private _query;
    /**
     * @stability stable
     */
    get query(): CostManagementExportResourceGroupQuery[];
    /**
     * @stability stable
     */
    set query(value: CostManagementExportResourceGroupQuery[]);
    /**
     * @stability stable
     */
    get queryInput(): CostManagementExportResourceGroupQuery[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CostManagementExportResourceGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CostManagementExportResourceGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CostManagementExportResourceGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
