import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CustomProviderConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action?: CustomProviderAction[];
    /**
     * resource_type block.
     *
     * @stability stable
     */
    readonly resourceType?: CustomProviderResourceType[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CustomProviderTimeouts;
    /**
     * validation block.
     *
     * @stability stable
     */
    readonly validation?: CustomProviderValidation[];
}
/**
 * @stability stable
 */
export interface CustomProviderAction {
    /**
     * @stability stable
     */
    readonly endpoint: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface CustomProviderResourceType {
    /**
     * @stability stable
     */
    readonly endpoint: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly routingType?: string;
}
/**
 * @stability stable
 */
export interface CustomProviderTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface CustomProviderValidation {
    /**
     * @stability stable
     */
    readonly specification: string;
}
/**
 * @stability stable
 */
export declare class CustomProvider extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CustomProviderConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _action?;
    /**
     * @stability stable
     */
    get action(): CustomProviderAction[];
    /**
     * @stability stable
     */
    set action(value: CustomProviderAction[]);
    /**
     * @stability stable
     */
    resetAction(): void;
    /**
     * @stability stable
     */
    get actionInput(): CustomProviderAction[] | undefined;
    private _resourceType?;
    /**
     * @stability stable
     */
    get resourceType(): CustomProviderResourceType[];
    /**
     * @stability stable
     */
    set resourceType(value: CustomProviderResourceType[]);
    /**
     * @stability stable
     */
    resetResourceType(): void;
    /**
     * @stability stable
     */
    get resourceTypeInput(): CustomProviderResourceType[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CustomProviderTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CustomProviderTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CustomProviderTimeouts | undefined;
    private _validation?;
    /**
     * @stability stable
     */
    get validation(): CustomProviderValidation[];
    /**
     * @stability stable
     */
    set validation(value: CustomProviderValidation[]);
    /**
     * @stability stable
     */
    resetValidation(): void;
    /**
     * @stability stable
     */
    get validationInput(): CustomProviderValidation[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
