import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermApiManagementConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermApiManagementTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementAdditionalLocation extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get gatewayRegionalUrl(): string;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    get privateIpAddresses(): string[];
    /**
     * @stability stable
     */
    get publicIpAddresses(): string[];
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementHostnameConfigurationDeveloperPortal extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostName(): string;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    get negotiateClientCertificate(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementHostnameConfigurationManagement extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostName(): string;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    get negotiateClientCertificate(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementHostnameConfigurationPortal extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostName(): string;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    get negotiateClientCertificate(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementHostnameConfigurationProxy extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultSslBinding(): boolean;
    /**
     * @stability stable
     */
    get hostName(): string;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    get negotiateClientCertificate(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementHostnameConfigurationScm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostName(): string;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    get negotiateClientCertificate(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementHostnameConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get developerPortal(): any;
    /**
     * @stability stable
     */
    get management(): any;
    /**
     * @stability stable
     */
    get portal(): any;
    /**
     * @stability stable
     */
    get proxy(): any;
    /**
     * @stability stable
     */
    get scm(): any;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagementIdentity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get identityIds(): string[];
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermApiManagementTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermApiManagement extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementConfig);
    /**
     * @stability stable
     */
    additionalLocation(index: string): DataAzurermApiManagementAdditionalLocation;
    /**
     * @stability stable
     */
    get developerPortalUrl(): string;
    /**
     * @stability stable
     */
    get gatewayRegionalUrl(): string;
    /**
     * @stability stable
     */
    get gatewayUrl(): string;
    /**
     * @stability stable
     */
    hostnameConfiguration(index: string): DataAzurermApiManagementHostnameConfiguration;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    identity(index: string): DataAzurermApiManagementIdentity;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    get managementApiUrl(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get notificationSenderEmail(): string;
    /**
     * @stability stable
     */
    get portalUrl(): string;
    /**
     * @stability stable
     */
    get privateIpAddresses(): string[];
    /**
     * @stability stable
     */
    get publicIpAddresses(): string[];
    /**
     * @stability stable
     */
    get publisherEmail(): string;
    /**
     * @stability stable
     */
    get publisherName(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get scmUrl(): string;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermApiManagementTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermApiManagementTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermApiManagementTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
