import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermAppServiceCertificateOrderConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermAppServiceCertificateOrderTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceCertificateOrderCertificates extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get certificateName(): string;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    get keyVaultSecretName(): string;
    /**
     * @stability stable
     */
    get provisioningState(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermAppServiceCertificateOrderTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceCertificateOrder extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceCertificateOrderConfig);
    /**
     * @stability stable
     */
    get appServiceCertificateNotRenewableReasons(): string[];
    /**
     * @stability stable
     */
    get autoRenew(): boolean;
    /**
     * @stability stable
     */
    certificates(index: string): DataAzurermAppServiceCertificateOrderCertificates;
    /**
     * @stability stable
     */
    get csr(): string;
    /**
     * @stability stable
     */
    get distinguishedName(): string;
    /**
     * @stability stable
     */
    get domainVerificationToken(): string;
    /**
     * @stability stable
     */
    get expirationTime(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get intermediateThumbprint(): string;
    /**
     * @stability stable
     */
    get isPrivateKeyExternal(): boolean;
    /**
     * @stability stable
     */
    get keySize(): number;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get productType(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get rootThumbprint(): string;
    /**
     * @stability stable
     */
    get signedCertificateThumbprint(): string;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    get validityInYears(): number;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermAppServiceCertificateOrderTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermAppServiceCertificateOrderTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermAppServiceCertificateOrderTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
