import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermAppServiceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermAppServiceTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceConnectionString extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceSiteConfigCors extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get allowedOrigins(): string[];
    /**
     * @stability stable
     */
    get supportCredentials(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceSiteConfigIpRestriction extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get action(): string;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    get serviceTag(): string;
    /**
     * @stability stable
     */
    get virtualNetworkSubnetId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceSiteConfigScmIpRestriction extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get action(): string;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    get serviceTag(): string;
    /**
     * @stability stable
     */
    get virtualNetworkSubnetId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceSiteConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get alwaysOn(): boolean;
    /**
     * @stability stable
     */
    get appCommandLine(): string;
    /**
     * @stability stable
     */
    get cors(): any;
    /**
     * @stability stable
     */
    get defaultDocuments(): string[];
    /**
     * @stability stable
     */
    get dotnetFrameworkVersion(): string;
    /**
     * @stability stable
     */
    get ftpsState(): string;
    /**
     * @stability stable
     */
    get healthCheckPath(): string;
    /**
     * @stability stable
     */
    get http2Enabled(): boolean;
    /**
     * @stability stable
     */
    get ipRestriction(): any;
    /**
     * @stability stable
     */
    get javaContainer(): string;
    /**
     * @stability stable
     */
    get javaContainerVersion(): string;
    /**
     * @stability stable
     */
    get javaVersion(): string;
    /**
     * @stability stable
     */
    get linuxFxVersion(): string;
    /**
     * @stability stable
     */
    get localMysqlEnabled(): boolean;
    /**
     * @stability stable
     */
    get managedPipelineMode(): string;
    /**
     * @stability stable
     */
    get minTlsVersion(): string;
    /**
     * @stability stable
     */
    get numberOfWorkers(): number;
    /**
     * @stability stable
     */
    get phpVersion(): string;
    /**
     * @stability stable
     */
    get pythonVersion(): string;
    /**
     * @stability stable
     */
    get remoteDebuggingEnabled(): boolean;
    /**
     * @stability stable
     */
    get remoteDebuggingVersion(): string;
    /**
     * @stability stable
     */
    get scmIpRestriction(): any;
    /**
     * @stability stable
     */
    get scmType(): string;
    /**
     * @stability stable
     */
    get scmUseMainIpRestriction(): boolean;
    /**
     * @stability stable
     */
    get use32BitWorkerProcess(): boolean;
    /**
     * @stability stable
     */
    get websocketsEnabled(): boolean;
    /**
     * @stability stable
     */
    get windowsFxVersion(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceSiteCredential extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppServiceSourceControl extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get branch(): string;
    /**
     * @stability stable
     */
    get manualIntegration(): boolean;
    /**
     * @stability stable
     */
    get repoUrl(): string;
    /**
     * @stability stable
     */
    get rollbackEnabled(): boolean;
    /**
     * @stability stable
     */
    get useMercurial(): boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermAppServiceTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermAppService extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceConfig);
    /**
     * @stability stable
     */
    get appServicePlanId(): string;
    /**
     * @stability stable
     */
    appSettings(key: string): string;
    /**
     * @stability stable
     */
    get clientAffinityEnabled(): boolean;
    /**
     * @stability stable
     */
    get clientCertEnabled(): boolean;
    /**
     * @stability stable
     */
    connectionString(index: string): DataAzurermAppServiceConnectionString;
    /**
     * @stability stable
     */
    get customDomainVerificationId(): string;
    /**
     * @stability stable
     */
    get defaultSiteHostname(): string;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    get httpsOnly(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get outboundIpAddressList(): string[];
    /**
     * @stability stable
     */
    get outboundIpAddresses(): string;
    /**
     * @stability stable
     */
    get possibleOutboundIpAddressList(): string[];
    /**
     * @stability stable
     */
    get possibleOutboundIpAddresses(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    siteConfig(index: string): DataAzurermAppServiceSiteConfig;
    /**
     * @stability stable
     */
    siteCredential(index: string): DataAzurermAppServiceSiteCredential;
    /**
     * @stability stable
     */
    sourceControl(index: string): DataAzurermAppServiceSourceControl;
    /**
     * @stability stable
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermAppServiceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermAppServiceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermAppServiceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
