import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * certificate block.
     *
     * @stability stable
     */
    readonly certificate?: DataAzurermBatchPoolCertificate[];
    /**
     * network_configuration block.
     *
     * @stability stable
     */
    readonly networkConfiguration?: DataAzurermBatchPoolNetworkConfiguration[];
    /**
     * start_task block.
     *
     * @stability stable
     */
    readonly startTask?: DataAzurermBatchPoolStartTask[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermBatchPoolTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermBatchPoolAutoScale extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get evaluationInterval(): string;
    /**
     * @stability stable
     */
    get formula(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermBatchPoolContainerConfigurationContainerRegistries extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get registryServer(): string;
    /**
     * @stability stable
     */
    get userName(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermBatchPoolContainerConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerImageNames(): string[];
    /**
     * @stability stable
     */
    get containerRegistries(): any;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermBatchPoolFixedScale extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get resizeTimeout(): string;
    /**
     * @stability stable
     */
    get targetDedicatedNodes(): number;
    /**
     * @stability stable
     */
    get targetLowPriorityNodes(): number;
}
/**
 * @stability stable
 */
export declare class DataAzurermBatchPoolStorageImageReference extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get offer(): string;
    /**
     * @stability stable
     */
    get publisher(): string;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    get version(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolCertificate {
    /**
     * @stability stable
     */
    readonly id: string;
    /**
     * @stability stable
     */
    readonly storeLocation: string;
    /**
     * @stability stable
     */
    readonly storeName?: string;
    /**
     * @stability stable
     */
    readonly visibility?: string[];
}
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolNetworkConfigurationEndpointConfigurationNetworkSecurityGroupRules {
}
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolNetworkConfigurationEndpointConfiguration {
    /**
     * network_security_group_rules block.
     *
     * @stability stable
     */
    readonly networkSecurityGroupRules?: DataAzurermBatchPoolNetworkConfigurationEndpointConfigurationNetworkSecurityGroupRules[];
}
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolNetworkConfiguration {
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * endpoint_configuration block.
     *
     * @stability stable
     */
    readonly endpointConfiguration?: DataAzurermBatchPoolNetworkConfigurationEndpointConfiguration[];
}
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolStartTask {
    /**
     * @stability stable
     */
    readonly commandLine: string;
    /**
     * @stability stable
     */
    readonly environment?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly maxTaskRetryCount?: number;
    /**
     * @stability stable
     */
    readonly waitForSuccess?: boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermBatchPoolTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermBatchPool extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermBatchPoolConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    /**
     * @stability stable
     */
    autoScale(index: string): DataAzurermBatchPoolAutoScale;
    /**
     * @stability stable
     */
    containerConfiguration(index: string): DataAzurermBatchPoolContainerConfiguration;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    fixedScale(index: string): DataAzurermBatchPoolFixedScale;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get maxTasksPerNode(): number;
    /**
     * @stability stable
     */
    metadata(key: string): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get nodeAgentSkuId(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    storageImageReference(index: string): DataAzurermBatchPoolStorageImageReference;
    /**
     * @stability stable
     */
    get vmSize(): string;
    private _certificate?;
    /**
     * @stability stable
     */
    get certificate(): DataAzurermBatchPoolCertificate[];
    /**
     * @stability stable
     */
    set certificate(value: DataAzurermBatchPoolCertificate[]);
    /**
     * @stability stable
     */
    resetCertificate(): void;
    /**
     * @stability stable
     */
    get certificateInput(): DataAzurermBatchPoolCertificate[] | undefined;
    private _networkConfiguration?;
    /**
     * @stability stable
     */
    get networkConfiguration(): DataAzurermBatchPoolNetworkConfiguration[];
    /**
     * @stability stable
     */
    set networkConfiguration(value: DataAzurermBatchPoolNetworkConfiguration[]);
    /**
     * @stability stable
     */
    resetNetworkConfiguration(): void;
    /**
     * @stability stable
     */
    get networkConfigurationInput(): DataAzurermBatchPoolNetworkConfiguration[] | undefined;
    private _startTask?;
    /**
     * @stability stable
     */
    get startTask(): DataAzurermBatchPoolStartTask[];
    /**
     * @stability stable
     */
    set startTask(value: DataAzurermBatchPoolStartTask[]);
    /**
     * @stability stable
     */
    resetStartTask(): void;
    /**
     * @stability stable
     */
    get startTaskInput(): DataAzurermBatchPoolStartTask[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermBatchPoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermBatchPoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermBatchPoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
