import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermBillingEnrollmentAccountScopeConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly billingAccountName: string;
    /**
     * @stability stable
     */
    readonly enrollmentAccountName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermBillingEnrollmentAccountScopeTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermBillingEnrollmentAccountScopeTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermBillingEnrollmentAccountScope extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermBillingEnrollmentAccountScopeConfig);
    private _billingAccountName;
    /**
     * @stability stable
     */
    get billingAccountName(): string;
    /**
     * @stability stable
     */
    set billingAccountName(value: string);
    /**
     * @stability stable
     */
    get billingAccountNameInput(): string;
    private _enrollmentAccountName;
    /**
     * @stability stable
     */
    get enrollmentAccountName(): string;
    /**
     * @stability stable
     */
    set enrollmentAccountName(value: string);
    /**
     * @stability stable
     */
    get enrollmentAccountNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermBillingEnrollmentAccountScopeTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermBillingEnrollmentAccountScopeTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermBillingEnrollmentAccountScopeTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
