import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermBillingMcaAccountScopeConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly billingAccountName: string;
    /**
     * @stability stable
     */
    readonly billingProfileName: string;
    /**
     * @stability stable
     */
    readonly invoiceSectionName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermBillingMcaAccountScopeTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermBillingMcaAccountScopeTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermBillingMcaAccountScope extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermBillingMcaAccountScopeConfig);
    private _billingAccountName;
    /**
     * @stability stable
     */
    get billingAccountName(): string;
    /**
     * @stability stable
     */
    set billingAccountName(value: string);
    /**
     * @stability stable
     */
    get billingAccountNameInput(): string;
    private _billingProfileName;
    /**
     * @stability stable
     */
    get billingProfileName(): string;
    /**
     * @stability stable
     */
    set billingProfileName(value: string);
    /**
     * @stability stable
     */
    get billingProfileNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _invoiceSectionName;
    /**
     * @stability stable
     */
    get invoiceSectionName(): string;
    /**
     * @stability stable
     */
    set invoiceSectionName(value: string);
    /**
     * @stability stable
     */
    get invoiceSectionNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermBillingMcaAccountScopeTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermBillingMcaAccountScopeTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermBillingMcaAccountScopeTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
