import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermDataFactoryConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermDataFactoryTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermDataFactoryGithubConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    get branchName(): string;
    /**
     * @stability stable
     */
    get gitUrl(): string;
    /**
     * @stability stable
     */
    get repositoryName(): string;
    /**
     * @stability stable
     */
    get rootFolder(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermDataFactoryIdentity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermDataFactoryVstsConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    get branchName(): string;
    /**
     * @stability stable
     */
    get projectName(): string;
    /**
     * @stability stable
     */
    get repositoryName(): string;
    /**
     * @stability stable
     */
    get rootFolder(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermDataFactoryTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermDataFactory extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermDataFactoryConfig);
    /**
     * @stability stable
     */
    githubConfiguration(index: string): DataAzurermDataFactoryGithubConfiguration;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    identity(index: string): DataAzurermDataFactoryIdentity;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    vstsConfiguration(index: string): DataAzurermDataFactoryVstsConfiguration;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermDataFactoryTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermDataFactoryTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermDataFactoryTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
