import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermFirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermFirewallPolicyTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermFirewallPolicyDns extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get networkRuleFqdnEnabled(): boolean;
    /**
     * @stability stable
     */
    get proxyEnabled(): boolean;
    /**
     * @stability stable
     */
    get servers(): string[];
}
/**
 * @stability stable
 */
export declare class DataAzurermFirewallPolicyThreatIntelligenceAllowlist extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fqdns(): string[];
    /**
     * @stability stable
     */
    get ipAddresses(): string[];
}
/**
 * @stability stable
 */
export interface DataAzurermFirewallPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermFirewallPolicy extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermFirewallPolicyConfig);
    /**
     * @stability stable
     */
    get basePolicyId(): string;
    /**
     * @stability stable
     */
    get childPolicies(): string[];
    /**
     * @stability stable
     */
    dns(index: string): DataAzurermFirewallPolicyDns;
    /**
     * @stability stable
     */
    get firewalls(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get ruleCollectionGroups(): string[];
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    threatIntelligenceAllowlist(index: string): DataAzurermFirewallPolicyThreatIntelligenceAllowlist;
    /**
     * @stability stable
     */
    get threatIntelligenceMode(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermFirewallPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermFirewallPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermFirewallPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
