import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermKeyVaultCertificateConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly keyVaultId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly version?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermKeyVaultCertificateTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyIssuerParameters extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyKeyProperties extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exportable(): boolean;
    /**
     * @stability stable
     */
    get keySize(): number;
    /**
     * @stability stable
     */
    get keyType(): string;
    /**
     * @stability stable
     */
    get reuseKey(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyLifetimeActionAction extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get actionType(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyLifetimeActionTrigger extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get daysBeforeExpiry(): number;
    /**
     * @stability stable
     */
    get lifetimePercentage(): number;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyLifetimeAction extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get action(): any;
    /**
     * @stability stable
     */
    get trigger(): any;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicySecretProperties extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get contentType(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyX509CertificatePropertiesSubjectAlternativeNames extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get dnsNames(): string[];
    /**
     * @stability stable
     */
    get emails(): string[];
    /**
     * @stability stable
     */
    get upns(): string[];
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicyX509CertificateProperties extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get extendedKeyUsage(): string[];
    /**
     * @stability stable
     */
    get keyUsage(): string[];
    /**
     * @stability stable
     */
    get subject(): string;
    /**
     * @stability stable
     */
    get subjectAlternativeNames(): any;
    /**
     * @stability stable
     */
    get validityInMonths(): number;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificateCertificatePolicy extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get issuerParameters(): any;
    /**
     * @stability stable
     */
    get keyProperties(): any;
    /**
     * @stability stable
     */
    get lifetimeAction(): any;
    /**
     * @stability stable
     */
    get secretProperties(): any;
    /**
     * @stability stable
     */
    get x509CertificateProperties(): any;
}
/**
 * @stability stable
 */
export interface DataAzurermKeyVaultCertificateTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultCertificate extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultCertificateConfig);
    /**
     * @stability stable
     */
    get certificateData(): string;
    /**
     * @stability stable
     */
    get certificateDataBase64(): string;
    /**
     * @stability stable
     */
    certificatePolicy(index: string): DataAzurermKeyVaultCertificateCertificatePolicy;
    /**
     * @stability stable
     */
    get id(): string;
    private _keyVaultId;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    set keyVaultId(value: string);
    /**
     * @stability stable
     */
    get keyVaultIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get secretId(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    get thumbprint(): string;
    private _version?;
    /**
     * @stability stable
     */
    get version(): string;
    /**
     * @stability stable
     */
    set version(value: string);
    /**
     * @stability stable
     */
    resetVersion(): void;
    /**
     * @stability stable
     */
    get versionInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermKeyVaultCertificateTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermKeyVaultCertificateTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermKeyVaultCertificateTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
