import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermKeyVaultConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermKeyVaultTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultAccessPolicy extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get applicationId(): string;
    /**
     * @stability stable
     */
    get certificatePermissions(): string[];
    /**
     * @stability stable
     */
    get keyPermissions(): string[];
    /**
     * @stability stable
     */
    get objectId(): string;
    /**
     * @stability stable
     */
    get secretPermissions(): string[];
    /**
     * @stability stable
     */
    get storagePermissions(): string[];
    /**
     * @stability stable
     */
    get tenantId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVaultNetworkAcls extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get bypass(): string;
    /**
     * @stability stable
     */
    get defaultAction(): string;
    /**
     * @stability stable
     */
    get ipRules(): string[];
    /**
     * @stability stable
     */
    get virtualNetworkSubnetIds(): string[];
}
/**
 * @stability stable
 */
export interface DataAzurermKeyVaultTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKeyVault extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultConfig);
    /**
     * @stability stable
     */
    accessPolicy(index: string): DataAzurermKeyVaultAccessPolicy;
    /**
     * @stability stable
     */
    get enabledForDeployment(): boolean;
    /**
     * @stability stable
     */
    get enabledForDiskEncryption(): boolean;
    /**
     * @stability stable
     */
    get enabledForTemplateDeployment(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    networkAcls(index: string): DataAzurermKeyVaultNetworkAcls;
    /**
     * @stability stable
     */
    get purgeProtectionEnabled(): boolean;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    get softDeleteEnabled(): boolean;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    get vaultUri(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermKeyVaultTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermKeyVaultTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermKeyVaultTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
