import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermKubernetesClusterNodePoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly kubernetesClusterName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermKubernetesClusterNodePoolTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterNodePoolUpgradeSettings extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get maxSurge(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermKubernetesClusterNodePoolTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterNodePool extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesClusterNodePoolConfig);
    /**
     * @stability stable
     */
    get availabilityZones(): string[];
    /**
     * @stability stable
     */
    get enableAutoScaling(): boolean;
    /**
     * @stability stable
     */
    get enableNodePublicIp(): boolean;
    /**
     * @stability stable
     */
    get evictionPolicy(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _kubernetesClusterName;
    /**
     * @stability stable
     */
    get kubernetesClusterName(): string;
    /**
     * @stability stable
     */
    set kubernetesClusterName(value: string);
    /**
     * @stability stable
     */
    get kubernetesClusterNameInput(): string;
    /**
     * @stability stable
     */
    get maxCount(): number;
    /**
     * @stability stable
     */
    get maxPods(): number;
    /**
     * @stability stable
     */
    get minCount(): number;
    /**
     * @stability stable
     */
    get mode(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get nodeCount(): number;
    /**
     * @stability stable
     */
    nodeLabels(key: string): string;
    /**
     * @stability stable
     */
    get nodeTaints(): string[];
    /**
     * @stability stable
     */
    get orchestratorVersion(): string;
    /**
     * @stability stable
     */
    get osDiskSizeGb(): number;
    /**
     * @stability stable
     */
    get osDiskType(): string;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    get priority(): string;
    /**
     * @stability stable
     */
    get proximityPlacementGroupId(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get spotMaxPrice(): number;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    upgradeSettings(index: string): DataAzurermKubernetesClusterNodePoolUpgradeSettings;
    /**
     * @stability stable
     */
    get vmSize(): string;
    /**
     * @stability stable
     */
    get vnetSubnetId(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermKubernetesClusterNodePoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermKubernetesClusterNodePoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermKubernetesClusterNodePoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
