import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermKubernetesClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermKubernetesClusterTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAddonProfileAzurePolicy extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get enabled(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAddonProfileHttpApplicationRouting extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    get httpApplicationRoutingZoneName(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAddonProfileKubeDashboard extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get enabled(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAddonProfileOmsAgentOmsAgentIdentity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get clientId(): string;
    /**
     * @stability stable
     */
    get objectId(): string;
    /**
     * @stability stable
     */
    get userAssignedIdentityId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAddonProfileOmsAgent extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    get omsAgentIdentity(): any;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAddonProfile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get azurePolicy(): any;
    /**
     * @stability stable
     */
    get httpApplicationRouting(): any;
    /**
     * @stability stable
     */
    get kubeDashboard(): any;
    /**
     * @stability stable
     */
    get omsAgent(): any;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAgentPoolProfileUpgradeSettings extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get maxSurge(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterAgentPoolProfile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get availabilityZones(): string[];
    /**
     * @stability stable
     */
    get count(): number;
    /**
     * @stability stable
     */
    get enableAutoScaling(): boolean;
    /**
     * @stability stable
     */
    get enableNodePublicIp(): boolean;
    /**
     * @stability stable
     */
    get maxCount(): number;
    /**
     * @stability stable
     */
    get maxPods(): number;
    /**
     * @stability stable
     */
    get minCount(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get nodeLabels(): any;
    /**
     * @stability stable
     */
    get nodeTaints(): string[];
    /**
     * @stability stable
     */
    get orchestratorVersion(): string;
    /**
     * @stability stable
     */
    get osDiskSizeGb(): number;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    get tags(): any;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get upgradeSettings(): any;
    /**
     * @stability stable
     */
    get vmSize(): string;
    /**
     * @stability stable
     */
    get vnetSubnetId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterIdentity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get userAssignedIdentityId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterKubeAdminConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get clientCertificate(): string;
    /**
     * @stability stable
     */
    get clientKey(): string;
    /**
     * @stability stable
     */
    get clusterCaCertificate(): string;
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterKubeConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get clientCertificate(): string;
    /**
     * @stability stable
     */
    get clientKey(): string;
    /**
     * @stability stable
     */
    get clusterCaCertificate(): string;
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterKubeletIdentity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get clientId(): string;
    /**
     * @stability stable
     */
    get objectId(): string;
    /**
     * @stability stable
     */
    get userAssignedIdentityId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterLinuxProfileSshKey extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get keyData(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterLinuxProfile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get adminUsername(): string;
    /**
     * @stability stable
     */
    get sshKey(): any;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterNetworkProfile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get dnsServiceIp(): string;
    /**
     * @stability stable
     */
    get dockerBridgeCidr(): string;
    /**
     * @stability stable
     */
    get loadBalancerSku(): string;
    /**
     * @stability stable
     */
    get networkPlugin(): string;
    /**
     * @stability stable
     */
    get networkPolicy(): string;
    /**
     * @stability stable
     */
    get podCidr(): string;
    /**
     * @stability stable
     */
    get serviceCidr(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterRoleBasedAccessControlAzureActiveDirectory extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get adminGroupObjectIds(): string[];
    /**
     * @stability stable
     */
    get clientAppId(): string;
    /**
     * @stability stable
     */
    get managed(): boolean;
    /**
     * @stability stable
     */
    get serverAppId(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterRoleBasedAccessControl extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get azureActiveDirectory(): any;
    /**
     * @stability stable
     */
    get enabled(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterServicePrincipal extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get clientId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesClusterWindowsProfile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get adminUsername(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermKubernetesClusterTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesCluster extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesClusterConfig);
    /**
     * @stability stable
     */
    addonProfile(index: string): DataAzurermKubernetesClusterAddonProfile;
    /**
     * @stability stable
     */
    agentPoolProfile(index: string): DataAzurermKubernetesClusterAgentPoolProfile;
    /**
     * @stability stable
     */
    get apiServerAuthorizedIpRanges(): string[];
    /**
     * @stability stable
     */
    get diskEncryptionSetId(): string;
    /**
     * @stability stable
     */
    get dnsPrefix(): string;
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    identity(index: string): DataAzurermKubernetesClusterIdentity;
    /**
     * @stability stable
     */
    kubeAdminConfig(index: string): DataAzurermKubernetesClusterKubeAdminConfig;
    /**
     * @stability stable
     */
    get kubeAdminConfigRaw(): string;
    /**
     * @stability stable
     */
    kubeConfig(index: string): DataAzurermKubernetesClusterKubeConfig;
    /**
     * @stability stable
     */
    get kubeConfigRaw(): string;
    /**
     * @stability stable
     */
    kubeletIdentity(index: string): DataAzurermKubernetesClusterKubeletIdentity;
    /**
     * @stability stable
     */
    get kubernetesVersion(): string;
    /**
     * @stability stable
     */
    linuxProfile(index: string): DataAzurermKubernetesClusterLinuxProfile;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    networkProfile(index: string): DataAzurermKubernetesClusterNetworkProfile;
    /**
     * @stability stable
     */
    get nodeResourceGroup(): string;
    /**
     * @stability stable
     */
    get privateClusterEnabled(): boolean;
    /**
     * @stability stable
     */
    get privateFqdn(): string;
    /**
     * @stability stable
     */
    get privateLinkEnabled(): boolean;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    roleBasedAccessControl(index: string): DataAzurermKubernetesClusterRoleBasedAccessControl;
    /**
     * @stability stable
     */
    servicePrincipal(index: string): DataAzurermKubernetesClusterServicePrincipal;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    windowsProfile(index: string): DataAzurermKubernetesClusterWindowsProfile;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermKubernetesClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermKubernetesClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermKubernetesClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
