import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermKubernetesServiceVersionsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly includePreview?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly versionPrefix?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermKubernetesServiceVersionsTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermKubernetesServiceVersionsTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermKubernetesServiceVersions extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesServiceVersionsConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _includePreview?;
    /**
     * @stability stable
     */
    get includePreview(): boolean;
    /**
     * @stability stable
     */
    set includePreview(value: boolean);
    /**
     * @stability stable
     */
    resetIncludePreview(): void;
    /**
     * @stability stable
     */
    get includePreviewInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get latestVersion(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _versionPrefix?;
    /**
     * @stability stable
     */
    get versionPrefix(): string;
    /**
     * @stability stable
     */
    set versionPrefix(value: string);
    /**
     * @stability stable
     */
    resetVersionPrefix(): void;
    /**
     * @stability stable
     */
    get versionPrefixInput(): string | undefined;
    /**
     * @stability stable
     */
    get versions(): string[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermKubernetesServiceVersionsTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermKubernetesServiceVersionsTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermKubernetesServiceVersionsTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
