import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermMonitorActionGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermMonitorActionGroupTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupArmRoleReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get roleId(): string;
    /**
     * @stability stable
     */
    get useCommonAlertSchema(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupAutomationRunbookReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get automationAccountId(): string;
    /**
     * @stability stable
     */
    get isGlobalRunbook(): boolean;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get runbookName(): string;
    /**
     * @stability stable
     */
    get serviceUri(): string;
    /**
     * @stability stable
     */
    get useCommonAlertSchema(): boolean;
    /**
     * @stability stable
     */
    get webhookResourceId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupAzureAppPushReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get emailAddress(): string;
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupAzureFunctionReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get functionAppResourceId(): string;
    /**
     * @stability stable
     */
    get functionName(): string;
    /**
     * @stability stable
     */
    get httpTriggerUrl(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get useCommonAlertSchema(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupEmailReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get emailAddress(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get useCommonAlertSchema(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupItsmReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get connectionId(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get region(): string;
    /**
     * @stability stable
     */
    get ticketConfiguration(): string;
    /**
     * @stability stable
     */
    get workspaceId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupLogicAppReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get callbackUrl(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get resourceId(): string;
    /**
     * @stability stable
     */
    get useCommonAlertSchema(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupSmsReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get countryCode(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get phoneNumber(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupVoiceReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get countryCode(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get phoneNumber(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupWebhookReceiverAadAuth extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get identifierUri(): string;
    /**
     * @stability stable
     */
    get objectId(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroupWebhookReceiver extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get aadAuth(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get serviceUri(): string;
    /**
     * @stability stable
     */
    get useCommonAlertSchema(): boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermMonitorActionGroupTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermMonitorActionGroup extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermMonitorActionGroupConfig);
    /**
     * @stability stable
     */
    armRoleReceiver(index: string): DataAzurermMonitorActionGroupArmRoleReceiver;
    /**
     * @stability stable
     */
    automationRunbookReceiver(index: string): DataAzurermMonitorActionGroupAutomationRunbookReceiver;
    /**
     * @stability stable
     */
    azureAppPushReceiver(index: string): DataAzurermMonitorActionGroupAzureAppPushReceiver;
    /**
     * @stability stable
     */
    azureFunctionReceiver(index: string): DataAzurermMonitorActionGroupAzureFunctionReceiver;
    /**
     * @stability stable
     */
    emailReceiver(index: string): DataAzurermMonitorActionGroupEmailReceiver;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    itsmReceiver(index: string): DataAzurermMonitorActionGroupItsmReceiver;
    /**
     * @stability stable
     */
    logicAppReceiver(index: string): DataAzurermMonitorActionGroupLogicAppReceiver;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get shortName(): string;
    /**
     * @stability stable
     */
    smsReceiver(index: string): DataAzurermMonitorActionGroupSmsReceiver;
    /**
     * @stability stable
     */
    voiceReceiver(index: string): DataAzurermMonitorActionGroupVoiceReceiver;
    /**
     * @stability stable
     */
    webhookReceiver(index: string): DataAzurermMonitorActionGroupWebhookReceiver;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermMonitorActionGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermMonitorActionGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermMonitorActionGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
