import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermNatGatewayConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly publicIpAddressIds?: string[];
    /**
     * @stability stable
     */
    readonly publicIpPrefixIds?: string[];
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermNatGatewayTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermNatGatewayTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermNatGateway extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermNatGatewayConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get idleTimeoutInMinutes(): number;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _publicIpAddressIds?;
    /**
     * @stability stable
     */
    get publicIpAddressIds(): string[];
    /**
     * @stability stable
     */
    set publicIpAddressIds(value: string[]);
    /**
     * @stability stable
     */
    resetPublicIpAddressIds(): void;
    /**
     * @stability stable
     */
    get publicIpAddressIdsInput(): string[] | undefined;
    private _publicIpPrefixIds?;
    /**
     * @stability stable
     */
    get publicIpPrefixIds(): string[];
    /**
     * @stability stable
     */
    set publicIpPrefixIds(value: string[]);
    /**
     * @stability stable
     */
    resetPublicIpPrefixIds(): void;
    /**
     * @stability stable
     */
    get publicIpPrefixIdsInput(): string[] | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get resourceGuid(): string;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    get zones(): string[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermNatGatewayTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermNatGatewayTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermNatGatewayTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
