import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermNetappVolumeConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly poolName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermNetappVolumeTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermNetappVolumeDataProtectionReplication extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get endpointType(): string;
    /**
     * @stability stable
     */
    get remoteVolumeLocation(): string;
    /**
     * @stability stable
     */
    get remoteVolumeResourceId(): string;
    /**
     * @stability stable
     */
    get replicationSchedule(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermNetappVolumeTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermNetappVolume extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermNetappVolumeConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    /**
     * @stability stable
     */
    dataProtectionReplication(index: string): DataAzurermNetappVolumeDataProtectionReplication;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    get mountIpAddresses(): string[];
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _poolName;
    /**
     * @stability stable
     */
    get poolName(): string;
    /**
     * @stability stable
     */
    set poolName(value: string);
    /**
     * @stability stable
     */
    get poolNameInput(): string;
    /**
     * @stability stable
     */
    get protocols(): string[];
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get serviceLevel(): string;
    /**
     * @stability stable
     */
    get storageQuotaInGb(): number;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    get volumePath(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermNetappVolumeTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermNetappVolumeTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermNetappVolumeTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
