import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermNetworkSecurityGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermNetworkSecurityGroupTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermNetworkSecurityGroupSecurityRule extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get access(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get destinationAddressPrefix(): string;
    /**
     * @stability stable
     */
    get destinationAddressPrefixes(): string[];
    /**
     * @stability stable
     */
    get destinationApplicationSecurityGroupIds(): string[];
    /**
     * @stability stable
     */
    get destinationPortRange(): string;
    /**
     * @stability stable
     */
    get destinationPortRanges(): string[];
    /**
     * @stability stable
     */
    get direction(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    get protocol(): string;
    /**
     * @stability stable
     */
    get sourceAddressPrefix(): string;
    /**
     * @stability stable
     */
    get sourceAddressPrefixes(): string[];
    /**
     * @stability stable
     */
    get sourceApplicationSecurityGroupIds(): string[];
    /**
     * @stability stable
     */
    get sourcePortRange(): string;
    /**
     * @stability stable
     */
    get sourcePortRanges(): string[];
}
/**
 * @stability stable
 */
export interface DataAzurermNetworkSecurityGroupTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermNetworkSecurityGroup extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermNetworkSecurityGroupConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    securityRule(index: string): DataAzurermNetworkSecurityGroupSecurityRule;
    /**
     * @stability stable
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermNetworkSecurityGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermNetworkSecurityGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermNetworkSecurityGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
