import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermNotificationHubConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly namespaceName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermNotificationHubTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermNotificationHubApnsCredential extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get applicationMode(): string;
    /**
     * @stability stable
     */
    get bundleId(): string;
    /**
     * @stability stable
     */
    get keyId(): string;
    /**
     * @stability stable
     */
    get teamId(): string;
    /**
     * @stability stable
     */
    get token(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermNotificationHubGcmCredential extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiKey(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermNotificationHubTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermNotificationHub extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermNotificationHubConfig);
    /**
     * @stability stable
     */
    apnsCredential(index: string): DataAzurermNotificationHubApnsCredential;
    /**
     * @stability stable
     */
    gcmCredential(index: string): DataAzurermNotificationHubGcmCredential;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _namespaceName;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    /**
     * @stability stable
     */
    set namespaceName(value: string);
    /**
     * @stability stable
     */
    get namespaceNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermNotificationHubTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermNotificationHubTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermNotificationHubTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
