import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermPublicIpsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allocationType?: string;
    /**
     * @stability stable
     */
    readonly attached?: boolean;
    /**
     * @stability stable
     */
    readonly namePrefix?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermPublicIpsTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermPublicIpsPublicIps extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get domainNameLabel(): string;
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermPublicIpsTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermPublicIps extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpsConfig);
    private _allocationType?;
    /**
     * @stability stable
     */
    get allocationType(): string;
    /**
     * @stability stable
     */
    set allocationType(value: string);
    /**
     * @stability stable
     */
    resetAllocationType(): void;
    /**
     * @stability stable
     */
    get allocationTypeInput(): string | undefined;
    private _attached?;
    /**
     * @stability stable
     */
    get attached(): boolean;
    /**
     * @stability stable
     */
    set attached(value: boolean);
    /**
     * @stability stable
     */
    resetAttached(): void;
    /**
     * @stability stable
     */
    get attachedInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _namePrefix?;
    /**
     * @stability stable
     */
    get namePrefix(): string;
    /**
     * @stability stable
     */
    set namePrefix(value: string);
    /**
     * @stability stable
     */
    resetNamePrefix(): void;
    /**
     * @stability stable
     */
    get namePrefixInput(): string | undefined;
    /**
     * @stability stable
     */
    publicIps(index: string): DataAzurermPublicIpsPublicIps;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermPublicIpsTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermPublicIpsTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermPublicIpsTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
