import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermRedisCacheConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermRedisCacheTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermRedisCachePatchSchedule extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get dayOfWeek(): string;
    /**
     * @stability stable
     */
    get startHourUtc(): number;
}
/**
 * @stability stable
 */
export declare class DataAzurermRedisCacheRedisConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get aofBackupEnabled(): boolean;
    /**
     * @stability stable
     */
    get aofStorageConnectionString0(): string;
    /**
     * @stability stable
     */
    get aofStorageConnectionString1(): string;
    /**
     * @stability stable
     */
    get enableAuthentication(): boolean;
    /**
     * @stability stable
     */
    get maxclients(): number;
    /**
     * @stability stable
     */
    get maxfragmentationmemoryReserved(): number;
    /**
     * @stability stable
     */
    get maxmemoryDelta(): number;
    /**
     * @stability stable
     */
    get maxmemoryPolicy(): string;
    /**
     * @stability stable
     */
    get maxmemoryReserved(): number;
    /**
     * @stability stable
     */
    get notifyKeyspaceEvents(): string;
    /**
     * @stability stable
     */
    get rdbBackupEnabled(): boolean;
    /**
     * @stability stable
     */
    get rdbBackupFrequency(): number;
    /**
     * @stability stable
     */
    get rdbBackupMaxSnapshotCount(): number;
    /**
     * @stability stable
     */
    get rdbStorageConnectionString(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermRedisCacheTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermRedisCache extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermRedisCacheConfig);
    /**
     * @stability stable
     */
    get capacity(): number;
    /**
     * @stability stable
     */
    get enableNonSslPort(): boolean;
    /**
     * @stability stable
     */
    get family(): string;
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    get minimumTlsVersion(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    patchSchedule(index: string): DataAzurermRedisCachePatchSchedule;
    /**
     * @stability stable
     */
    get port(): number;
    /**
     * @stability stable
     */
    get primaryAccessKey(): string;
    /**
     * @stability stable
     */
    get primaryConnectionString(): string;
    /**
     * @stability stable
     */
    get privateStaticIpAddress(): string;
    /**
     * @stability stable
     */
    redisConfiguration(index: string): DataAzurermRedisCacheRedisConfiguration;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryAccessKey(): string;
    /**
     * @stability stable
     */
    get secondaryConnectionString(): string;
    /**
     * @stability stable
     */
    get shardCount(): number;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    get sslPort(): number;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermRedisCacheTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermRedisCacheTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermRedisCacheTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
