import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermSentinelAlertRuleTemplateConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly displayName?: string;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermSentinelAlertRuleTemplateTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermSentinelAlertRuleTemplateScheduledTemplate extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get query(): string;
    /**
     * @stability stable
     */
    get queryFrequency(): string;
    /**
     * @stability stable
     */
    get queryPeriod(): string;
    /**
     * @stability stable
     */
    get severity(): string;
    /**
     * @stability stable
     */
    get tactics(): string[];
    /**
     * @stability stable
     */
    get triggerOperator(): string;
    /**
     * @stability stable
     */
    get triggerThreshold(): number;
}
/**
 * @stability stable
 */
export declare class DataAzurermSentinelAlertRuleTemplateSecurityIncidentTemplate extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get productFilter(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermSentinelAlertRuleTemplateTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSentinelAlertRuleTemplate extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermSentinelAlertRuleTemplateConfig);
    private _displayName?;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    resetDisplayName(): void;
    /**
     * @stability stable
     */
    get displayNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsWorkspaceId;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    scheduledTemplate(index: string): DataAzurermSentinelAlertRuleTemplateScheduledTemplate;
    /**
     * @stability stable
     */
    securityIncidentTemplate(index: string): DataAzurermSentinelAlertRuleTemplateSecurityIncidentTemplate;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermSentinelAlertRuleTemplateTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermSentinelAlertRuleTemplateTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermSentinelAlertRuleTemplateTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
