import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermSharedImageVersionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly galleryName: string;
    /**
     * @stability stable
     */
    readonly imageName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermSharedImageVersionTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermSharedImageVersionTargetRegion extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get regionalReplicaCount(): number;
    /**
     * @stability stable
     */
    get storageAccountType(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermSharedImageVersionTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSharedImageVersion extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermSharedImageVersionConfig);
    /**
     * @stability stable
     */
    get excludeFromLatest(): boolean;
    private _galleryName;
    /**
     * @stability stable
     */
    get galleryName(): string;
    /**
     * @stability stable
     */
    set galleryName(value: string);
    /**
     * @stability stable
     */
    get galleryNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _imageName;
    /**
     * @stability stable
     */
    get imageName(): string;
    /**
     * @stability stable
     */
    set imageName(value: string);
    /**
     * @stability stable
     */
    get imageNameInput(): string;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    get managedImageId(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get osDiskImageSizeGb(): number;
    /**
     * @stability stable
     */
    get osDiskSnapshotId(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    targetRegion(index: string): DataAzurermSharedImageVersionTargetRegion;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermSharedImageVersionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermSharedImageVersionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermSharedImageVersionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
