import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermSpringCloudServiceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermSpringCloudServiceTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingHttpBasicAuth extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingRepositoryHttpBasicAuth extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingRepositorySshAuth extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostKey(): string;
    /**
     * @stability stable
     */
    get hostKeyAlgorithm(): string;
    /**
     * @stability stable
     */
    get privateKey(): string;
    /**
     * @stability stable
     */
    get strictHostKeyCheckingEnabled(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingRepository extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get httpBasicAuth(): any;
    /**
     * @stability stable
     */
    get label(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get pattern(): string[];
    /**
     * @stability stable
     */
    get searchPaths(): string[];
    /**
     * @stability stable
     */
    get sshAuth(): any;
    /**
     * @stability stable
     */
    get uri(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudServiceConfigServerGitSettingSshAuth extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostKey(): string;
    /**
     * @stability stable
     */
    get hostKeyAlgorithm(): string;
    /**
     * @stability stable
     */
    get privateKey(): string;
    /**
     * @stability stable
     */
    get strictHostKeyCheckingEnabled(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudServiceConfigServerGitSetting extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get httpBasicAuth(): any;
    /**
     * @stability stable
     */
    get label(): string;
    /**
     * @stability stable
     */
    get repository(): any;
    /**
     * @stability stable
     */
    get searchPaths(): string[];
    /**
     * @stability stable
     */
    get sshAuth(): any;
    /**
     * @stability stable
     */
    get uri(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermSpringCloudServiceTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSpringCloudService extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermSpringCloudServiceConfig);
    /**
     * @stability stable
     */
    configServerGitSetting(index: string): DataAzurermSpringCloudServiceConfigServerGitSetting;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get outboundPublicIpAddresses(): string[];
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermSpringCloudServiceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermSpringCloudServiceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermSpringCloudServiceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
