import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountBlobContainerSasConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cacheControl?: string;
    /**
     * @stability stable
     */
    readonly connectionString: string;
    /**
     * @stability stable
     */
    readonly containerName: string;
    /**
     * @stability stable
     */
    readonly contentDisposition?: string;
    /**
     * @stability stable
     */
    readonly contentEncoding?: string;
    /**
     * @stability stable
     */
    readonly contentLanguage?: string;
    /**
     * @stability stable
     */
    readonly contentType?: string;
    /**
     * @stability stable
     */
    readonly expiry: string;
    /**
     * @stability stable
     */
    readonly httpsOnly?: boolean;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly start: string;
    /**
     * permissions block.
     *
     * @stability stable
     */
    readonly permissions: DataAzurermStorageAccountBlobContainerSasPermissions[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermStorageAccountBlobContainerSasTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountBlobContainerSasPermissions {
    /**
     * @stability stable
     */
    readonly add: boolean;
    /**
     * @stability stable
     */
    readonly create: boolean;
    /**
     * @stability stable
     */
    readonly delete: boolean;
    /**
     * @stability stable
     */
    readonly list: boolean;
    /**
     * @stability stable
     */
    readonly read: boolean;
    /**
     * @stability stable
     */
    readonly write: boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountBlobContainerSasTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermStorageAccountBlobContainerSas extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountBlobContainerSasConfig);
    private _cacheControl?;
    /**
     * @stability stable
     */
    get cacheControl(): string;
    /**
     * @stability stable
     */
    set cacheControl(value: string);
    /**
     * @stability stable
     */
    resetCacheControl(): void;
    /**
     * @stability stable
     */
    get cacheControlInput(): string | undefined;
    private _connectionString;
    /**
     * @stability stable
     */
    get connectionString(): string;
    /**
     * @stability stable
     */
    set connectionString(value: string);
    /**
     * @stability stable
     */
    get connectionStringInput(): string;
    private _containerName;
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    set containerName(value: string);
    /**
     * @stability stable
     */
    get containerNameInput(): string;
    private _contentDisposition?;
    /**
     * @stability stable
     */
    get contentDisposition(): string;
    /**
     * @stability stable
     */
    set contentDisposition(value: string);
    /**
     * @stability stable
     */
    resetContentDisposition(): void;
    /**
     * @stability stable
     */
    get contentDispositionInput(): string | undefined;
    private _contentEncoding?;
    /**
     * @stability stable
     */
    get contentEncoding(): string;
    /**
     * @stability stable
     */
    set contentEncoding(value: string);
    /**
     * @stability stable
     */
    resetContentEncoding(): void;
    /**
     * @stability stable
     */
    get contentEncodingInput(): string | undefined;
    private _contentLanguage?;
    /**
     * @stability stable
     */
    get contentLanguage(): string;
    /**
     * @stability stable
     */
    set contentLanguage(value: string);
    /**
     * @stability stable
     */
    resetContentLanguage(): void;
    /**
     * @stability stable
     */
    get contentLanguageInput(): string | undefined;
    private _contentType?;
    /**
     * @stability stable
     */
    get contentType(): string;
    /**
     * @stability stable
     */
    set contentType(value: string);
    /**
     * @stability stable
     */
    resetContentType(): void;
    /**
     * @stability stable
     */
    get contentTypeInput(): string | undefined;
    private _expiry;
    /**
     * @stability stable
     */
    get expiry(): string;
    /**
     * @stability stable
     */
    set expiry(value: string);
    /**
     * @stability stable
     */
    get expiryInput(): string;
    private _httpsOnly?;
    /**
     * @stability stable
     */
    get httpsOnly(): boolean;
    /**
     * @stability stable
     */
    set httpsOnly(value: boolean);
    /**
     * @stability stable
     */
    resetHttpsOnly(): void;
    /**
     * @stability stable
     */
    get httpsOnlyInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _ipAddress?;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    /**
     * @stability stable
     */
    set ipAddress(value: string);
    /**
     * @stability stable
     */
    resetIpAddress(): void;
    /**
     * @stability stable
     */
    get ipAddressInput(): string | undefined;
    /**
     * @stability stable
     */
    get sas(): string;
    private _start;
    /**
     * @stability stable
     */
    get start(): string;
    /**
     * @stability stable
     */
    set start(value: string);
    /**
     * @stability stable
     */
    get startInput(): string;
    private _permissions;
    /**
     * @stability stable
     */
    get permissions(): DataAzurermStorageAccountBlobContainerSasPermissions[];
    /**
     * @stability stable
     */
    set permissions(value: DataAzurermStorageAccountBlobContainerSasPermissions[]);
    /**
     * @stability stable
     */
    get permissionsInput(): DataAzurermStorageAccountBlobContainerSasPermissions[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermStorageAccountBlobContainerSasTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermStorageAccountBlobContainerSasTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermStorageAccountBlobContainerSasTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
