import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountSasConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly connectionString: string;
    /**
     * @stability stable
     */
    readonly expiry: string;
    /**
     * @stability stable
     */
    readonly httpsOnly?: boolean;
    /**
     * @stability stable
     */
    readonly signedVersion?: string;
    /**
     * @stability stable
     */
    readonly start: string;
    /**
     * permissions block.
     *
     * @stability stable
     */
    readonly permissions: DataAzurermStorageAccountSasPermissions[];
    /**
     * resource_types block.
     *
     * @stability stable
     */
    readonly resourceTypes: DataAzurermStorageAccountSasResourceTypes[];
    /**
     * services block.
     *
     * @stability stable
     */
    readonly services: DataAzurermStorageAccountSasServices[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermStorageAccountSasTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountSasPermissions {
    /**
     * @stability stable
     */
    readonly add: boolean;
    /**
     * @stability stable
     */
    readonly create: boolean;
    /**
     * @stability stable
     */
    readonly delete: boolean;
    /**
     * @stability stable
     */
    readonly list: boolean;
    /**
     * @stability stable
     */
    readonly process: boolean;
    /**
     * @stability stable
     */
    readonly read: boolean;
    /**
     * @stability stable
     */
    readonly update: boolean;
    /**
     * @stability stable
     */
    readonly write: boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountSasResourceTypes {
    /**
     * @stability stable
     */
    readonly container: boolean;
    /**
     * @stability stable
     */
    readonly object: boolean;
    /**
     * @stability stable
     */
    readonly service: boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountSasServices {
    /**
     * @stability stable
     */
    readonly blob: boolean;
    /**
     * @stability stable
     */
    readonly file: boolean;
    /**
     * @stability stable
     */
    readonly queue: boolean;
    /**
     * @stability stable
     */
    readonly table: boolean;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageAccountSasTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermStorageAccountSas extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountSasConfig);
    private _connectionString;
    /**
     * @stability stable
     */
    get connectionString(): string;
    /**
     * @stability stable
     */
    set connectionString(value: string);
    /**
     * @stability stable
     */
    get connectionStringInput(): string;
    private _expiry;
    /**
     * @stability stable
     */
    get expiry(): string;
    /**
     * @stability stable
     */
    set expiry(value: string);
    /**
     * @stability stable
     */
    get expiryInput(): string;
    private _httpsOnly?;
    /**
     * @stability stable
     */
    get httpsOnly(): boolean;
    /**
     * @stability stable
     */
    set httpsOnly(value: boolean);
    /**
     * @stability stable
     */
    resetHttpsOnly(): void;
    /**
     * @stability stable
     */
    get httpsOnlyInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get sas(): string;
    private _signedVersion?;
    /**
     * @stability stable
     */
    get signedVersion(): string;
    /**
     * @stability stable
     */
    set signedVersion(value: string);
    /**
     * @stability stable
     */
    resetSignedVersion(): void;
    /**
     * @stability stable
     */
    get signedVersionInput(): string | undefined;
    private _start;
    /**
     * @stability stable
     */
    get start(): string;
    /**
     * @stability stable
     */
    set start(value: string);
    /**
     * @stability stable
     */
    get startInput(): string;
    private _permissions;
    /**
     * @stability stable
     */
    get permissions(): DataAzurermStorageAccountSasPermissions[];
    /**
     * @stability stable
     */
    set permissions(value: DataAzurermStorageAccountSasPermissions[]);
    /**
     * @stability stable
     */
    get permissionsInput(): DataAzurermStorageAccountSasPermissions[];
    private _resourceTypes;
    /**
     * @stability stable
     */
    get resourceTypes(): DataAzurermStorageAccountSasResourceTypes[];
    /**
     * @stability stable
     */
    set resourceTypes(value: DataAzurermStorageAccountSasResourceTypes[]);
    /**
     * @stability stable
     */
    get resourceTypesInput(): DataAzurermStorageAccountSasResourceTypes[];
    private _services;
    /**
     * @stability stable
     */
    get services(): DataAzurermStorageAccountSasServices[];
    /**
     * @stability stable
     */
    set services(value: DataAzurermStorageAccountSasServices[]);
    /**
     * @stability stable
     */
    get servicesInput(): DataAzurermStorageAccountSasServices[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermStorageAccountSasTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermStorageAccountSasTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermStorageAccountSasTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
