import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermStorageContainerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermStorageContainerTimeouts;
}
/**
 * @stability stable
 */
export interface DataAzurermStorageContainerTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermStorageContainer extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageContainerConfig);
    /**
     * @stability stable
     */
    get containerAccessType(): string;
    /**
     * @stability stable
     */
    get hasImmutabilityPolicy(): boolean;
    /**
     * @stability stable
     */
    get hasLegalHold(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _metadata?;
    /**
     * @stability stable
     */
    get metadata(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set metadata(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetMetadata(): void;
    /**
     * @stability stable
     */
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get resourceManagerId(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermStorageContainerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermStorageContainerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermStorageContainerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
