import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermSubscriptionsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly displayNameContains?: string;
    /**
     * @stability stable
     */
    readonly displayNamePrefix?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermSubscriptionsTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermSubscriptionsSubscriptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get locationPlacementId(): string;
    /**
     * @stability stable
     */
    get quotaId(): string;
    /**
     * @stability stable
     */
    get spendingLimit(): string;
    /**
     * @stability stable
     */
    get state(): string;
    /**
     * @stability stable
     */
    get subscriptionId(): string;
    /**
     * @stability stable
     */
    get tags(): any;
    /**
     * @stability stable
     */
    get tenantId(): string;
}
/**
 * @stability stable
 */
export interface DataAzurermSubscriptionsTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermSubscriptions extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAzurermSubscriptionsConfig);
    private _displayNameContains?;
    /**
     * @stability stable
     */
    get displayNameContains(): string;
    /**
     * @stability stable
     */
    set displayNameContains(value: string);
    /**
     * @stability stable
     */
    resetDisplayNameContains(): void;
    /**
     * @stability stable
     */
    get displayNameContainsInput(): string | undefined;
    private _displayNamePrefix?;
    /**
     * @stability stable
     */
    get displayNamePrefix(): string;
    /**
     * @stability stable
     */
    set displayNamePrefix(value: string);
    /**
     * @stability stable
     */
    resetDisplayNamePrefix(): void;
    /**
     * @stability stable
     */
    get displayNamePrefixInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    subscriptions(index: string): DataAzurermSubscriptionsSubscriptions;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermSubscriptionsTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermSubscriptionsTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermSubscriptionsTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
