import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermVirtualNetworkGatewayConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermVirtualNetworkGatewayConnectionTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayConnectionIpsecPolicy extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get dhGroup(): string;
    /**
     * @stability stable
     */
    get ikeEncryption(): string;
    /**
     * @stability stable
     */
    get ikeIntegrity(): string;
    /**
     * @stability stable
     */
    get ipsecEncryption(): string;
    /**
     * @stability stable
     */
    get ipsecIntegrity(): string;
    /**
     * @stability stable
     */
    get pfsGroup(): string;
    /**
     * @stability stable
     */
    get saDatasize(): number;
    /**
     * @stability stable
     */
    get saLifetime(): number;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayConnectionTrafficSelectorPolicy extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get localAddressCidrs(): string[];
    /**
     * @stability stable
     */
    get remoteAddressCidrs(): string[];
}
/**
 * @stability stable
 */
export interface DataAzurermVirtualNetworkGatewayConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayConnection extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkGatewayConnectionConfig);
    /**
     * @stability stable
     */
    get authorizationKey(): string;
    /**
     * @stability stable
     */
    get connectionProtocol(): string;
    /**
     * @stability stable
     */
    get dpdTimeoutSeconds(): number;
    /**
     * @stability stable
     */
    get egressBytesTransferred(): number;
    /**
     * @stability stable
     */
    get enableBgp(): boolean;
    /**
     * @stability stable
     */
    get expressRouteCircuitId(): string;
    /**
     * @stability stable
     */
    get expressRouteGatewayBypass(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ingressBytesTransferred(): number;
    /**
     * @stability stable
     */
    ipsecPolicy(index: string): DataAzurermVirtualNetworkGatewayConnectionIpsecPolicy;
    /**
     * @stability stable
     */
    get localAzureIpAddressEnabled(): boolean;
    /**
     * @stability stable
     */
    get localNetworkGatewayId(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get peerVirtualNetworkGatewayId(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get resourceGuid(): string;
    /**
     * @stability stable
     */
    get routingWeight(): number;
    /**
     * @stability stable
     */
    get sharedKey(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    trafficSelectorPolicy(index: string): DataAzurermVirtualNetworkGatewayConnectionTrafficSelectorPolicy;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get usePolicyBasedTrafficSelectors(): boolean;
    /**
     * @stability stable
     */
    get virtualNetworkGatewayId(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermVirtualNetworkGatewayConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermVirtualNetworkGatewayConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermVirtualNetworkGatewayConnectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
