import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAzurermVirtualNetworkGatewayConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataAzurermVirtualNetworkGatewayTimeouts;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayBgpSettings extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get asn(): number;
    /**
     * @stability stable
     */
    get peerWeight(): number;
    /**
     * @stability stable
     */
    get peeringAddress(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayCustomRoute extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get addressPrefixes(): string[];
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayIpConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get privateIpAddressAllocation(): string;
    /**
     * @stability stable
     */
    get publicIpAddressId(): string;
    /**
     * @stability stable
     */
    get subnetId(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfigurationRevokedCertificate extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get thumbprint(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfigurationRootCertificate extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get publicCertData(): string;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfiguration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get aadAudience(): string;
    /**
     * @stability stable
     */
    get aadIssuer(): string;
    /**
     * @stability stable
     */
    get aadTenant(): string;
    /**
     * @stability stable
     */
    get addressSpace(): string[];
    /**
     * @stability stable
     */
    get radiusServerAddress(): string;
    /**
     * @stability stable
     */
    get radiusServerSecret(): string;
    /**
     * @stability stable
     */
    get revokedCertificate(): any;
    /**
     * @stability stable
     */
    get rootCertificate(): any;
    /**
     * @stability stable
     */
    get vpnClientProtocols(): string[];
}
/**
 * @stability stable
 */
export interface DataAzurermVirtualNetworkGatewayTimeouts {
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataAzurermVirtualNetworkGateway extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkGatewayConfig);
    /**
     * @stability stable
     */
    get activeActive(): boolean;
    /**
     * @stability stable
     */
    bgpSettings(index: string): DataAzurermVirtualNetworkGatewayBgpSettings;
    /**
     * @stability stable
     */
    customRoute(index: string): DataAzurermVirtualNetworkGatewayCustomRoute;
    /**
     * @stability stable
     */
    get defaultLocalNetworkGatewayId(): string;
    /**
     * @stability stable
     */
    get enableBgp(): boolean;
    /**
     * @stability stable
     */
    get generation(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    ipConfiguration(index: string): DataAzurermVirtualNetworkGatewayIpConfiguration;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get privateIpAddressEnabled(): boolean;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    vpnClientConfiguration(index: string): DataAzurermVirtualNetworkGatewayVpnClientConfiguration;
    /**
     * @stability stable
     */
    get vpnType(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataAzurermVirtualNetworkGatewayTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataAzurermVirtualNetworkGatewayTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataAzurermVirtualNetworkGatewayTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
