import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataFactoryDatasetParquetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly additionalProperties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly annotations?: string[];
    /**
     * @stability stable
     */
    readonly compressionCodec?: string;
    /**
     * @stability stable
     */
    readonly compressionLevel?: string;
    /**
     * @stability stable
     */
    readonly dataFactoryName: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly folder?: string;
    /**
     * @stability stable
     */
    readonly linkedServiceName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * azure_blob_storage_location block.
     *
     * @stability stable
     */
    readonly azureBlobStorageLocation?: DataFactoryDatasetParquetAzureBlobStorageLocation[];
    /**
     * http_server_location block.
     *
     * @stability stable
     */
    readonly httpServerLocation?: DataFactoryDatasetParquetHttpServerLocation[];
    /**
     * schema_column block.
     *
     * @stability stable
     */
    readonly schemaColumn?: DataFactoryDatasetParquetSchemaColumn[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataFactoryDatasetParquetTimeouts;
}
/**
 * @stability stable
 */
export interface DataFactoryDatasetParquetAzureBlobStorageLocation {
    /**
     * @stability stable
     */
    readonly container: string;
    /**
     * @stability stable
     */
    readonly filename: string;
    /**
     * @stability stable
     */
    readonly path: string;
}
/**
 * @stability stable
 */
export interface DataFactoryDatasetParquetHttpServerLocation {
    /**
     * @stability stable
     */
    readonly filename: string;
    /**
     * @stability stable
     */
    readonly path: string;
    /**
     * @stability stable
     */
    readonly relativeUrl: string;
}
/**
 * @stability stable
 */
export interface DataFactoryDatasetParquetSchemaColumn {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface DataFactoryDatasetParquetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DataFactoryDatasetParquet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataFactoryDatasetParquetConfig);
    private _additionalProperties?;
    /**
     * @stability stable
     */
    get additionalProperties(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set additionalProperties(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetAdditionalProperties(): void;
    /**
     * @stability stable
     */
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    /**
     * @stability stable
     */
    get annotations(): string[];
    /**
     * @stability stable
     */
    set annotations(value: string[]);
    /**
     * @stability stable
     */
    resetAnnotations(): void;
    /**
     * @stability stable
     */
    get annotationsInput(): string[] | undefined;
    private _compressionCodec?;
    /**
     * @stability stable
     */
    get compressionCodec(): string;
    /**
     * @stability stable
     */
    set compressionCodec(value: string);
    /**
     * @stability stable
     */
    resetCompressionCodec(): void;
    /**
     * @stability stable
     */
    get compressionCodecInput(): string | undefined;
    private _compressionLevel?;
    /**
     * @stability stable
     */
    get compressionLevel(): string;
    /**
     * @stability stable
     */
    set compressionLevel(value: string);
    /**
     * @stability stable
     */
    resetCompressionLevel(): void;
    /**
     * @stability stable
     */
    get compressionLevelInput(): string | undefined;
    private _dataFactoryName;
    /**
     * @stability stable
     */
    get dataFactoryName(): string;
    /**
     * @stability stable
     */
    set dataFactoryName(value: string);
    /**
     * @stability stable
     */
    get dataFactoryNameInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _folder?;
    /**
     * @stability stable
     */
    get folder(): string;
    /**
     * @stability stable
     */
    set folder(value: string);
    /**
     * @stability stable
     */
    resetFolder(): void;
    /**
     * @stability stable
     */
    get folderInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _linkedServiceName;
    /**
     * @stability stable
     */
    get linkedServiceName(): string;
    /**
     * @stability stable
     */
    set linkedServiceName(value: string);
    /**
     * @stability stable
     */
    get linkedServiceNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set parameters(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _azureBlobStorageLocation?;
    /**
     * @stability stable
     */
    get azureBlobStorageLocation(): DataFactoryDatasetParquetAzureBlobStorageLocation[];
    /**
     * @stability stable
     */
    set azureBlobStorageLocation(value: DataFactoryDatasetParquetAzureBlobStorageLocation[]);
    /**
     * @stability stable
     */
    resetAzureBlobStorageLocation(): void;
    /**
     * @stability stable
     */
    get azureBlobStorageLocationInput(): DataFactoryDatasetParquetAzureBlobStorageLocation[] | undefined;
    private _httpServerLocation?;
    /**
     * @stability stable
     */
    get httpServerLocation(): DataFactoryDatasetParquetHttpServerLocation[];
    /**
     * @stability stable
     */
    set httpServerLocation(value: DataFactoryDatasetParquetHttpServerLocation[]);
    /**
     * @stability stable
     */
    resetHttpServerLocation(): void;
    /**
     * @stability stable
     */
    get httpServerLocationInput(): DataFactoryDatasetParquetHttpServerLocation[] | undefined;
    private _schemaColumn?;
    /**
     * @stability stable
     */
    get schemaColumn(): DataFactoryDatasetParquetSchemaColumn[];
    /**
     * @stability stable
     */
    set schemaColumn(value: DataFactoryDatasetParquetSchemaColumn[]);
    /**
     * @stability stable
     */
    resetSchemaColumn(): void;
    /**
     * @stability stable
     */
    get schemaColumnInput(): DataFactoryDatasetParquetSchemaColumn[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataFactoryDatasetParquetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataFactoryDatasetParquetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataFactoryDatasetParquetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
