import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataFactoryIntegrationRuntimeAzureSsisConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dataFactoryName: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly edition?: string;
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maxParallelExecutionsPerNode?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly nodeSize: string;
    /**
     * @stability stable
     */
    readonly numberOfNodes?: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * catalog_info block.
     *
     * @stability stable
     */
    readonly catalogInfo?: DataFactoryIntegrationRuntimeAzureSsisCatalogInfo[];
    /**
     * custom_setup_script block.
     *
     * @stability stable
     */
    readonly customSetupScript?: DataFactoryIntegrationRuntimeAzureSsisCustomSetupScript[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataFactoryIntegrationRuntimeAzureSsisTimeouts;
    /**
     * vnet_integration block.
     *
     * @stability stable
     */
    readonly vnetIntegration?: DataFactoryIntegrationRuntimeAzureSsisVnetIntegration[];
}
/**
 * @stability stable
 */
export interface DataFactoryIntegrationRuntimeAzureSsisCatalogInfo {
    /**
     * @stability stable
     */
    readonly administratorLogin?: string;
    /**
     * @stability stable
     */
    readonly administratorPassword?: string;
    /**
     * @stability stable
     */
    readonly pricingTier?: string;
    /**
     * @stability stable
     */
    readonly serverEndpoint: string;
}
/**
 * @stability stable
 */
export interface DataFactoryIntegrationRuntimeAzureSsisCustomSetupScript {
    /**
     * @stability stable
     */
    readonly blobContainerUri: string;
    /**
     * @stability stable
     */
    readonly sasToken: string;
}
/**
 * @stability stable
 */
export interface DataFactoryIntegrationRuntimeAzureSsisTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface DataFactoryIntegrationRuntimeAzureSsisVnetIntegration {
    /**
     * @stability stable
     */
    readonly subnetName: string;
    /**
     * @stability stable
     */
    readonly vnetId: string;
}
/**
 * @stability stable
 */
export declare class DataFactoryIntegrationRuntimeAzureSsis extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataFactoryIntegrationRuntimeAzureSsisConfig);
    private _dataFactoryName;
    /**
     * @stability stable
     */
    get dataFactoryName(): string;
    /**
     * @stability stable
     */
    set dataFactoryName(value: string);
    /**
     * @stability stable
     */
    get dataFactoryNameInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _edition?;
    /**
     * @stability stable
     */
    get edition(): string;
    /**
     * @stability stable
     */
    set edition(value: string);
    /**
     * @stability stable
     */
    resetEdition(): void;
    /**
     * @stability stable
     */
    get editionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _licenseType?;
    /**
     * @stability stable
     */
    get licenseType(): string;
    /**
     * @stability stable
     */
    set licenseType(value: string);
    /**
     * @stability stable
     */
    resetLicenseType(): void;
    /**
     * @stability stable
     */
    get licenseTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maxParallelExecutionsPerNode?;
    /**
     * @stability stable
     */
    get maxParallelExecutionsPerNode(): number;
    /**
     * @stability stable
     */
    set maxParallelExecutionsPerNode(value: number);
    /**
     * @stability stable
     */
    resetMaxParallelExecutionsPerNode(): void;
    /**
     * @stability stable
     */
    get maxParallelExecutionsPerNodeInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _nodeSize;
    /**
     * @stability stable
     */
    get nodeSize(): string;
    /**
     * @stability stable
     */
    set nodeSize(value: string);
    /**
     * @stability stable
     */
    get nodeSizeInput(): string;
    private _numberOfNodes?;
    /**
     * @stability stable
     */
    get numberOfNodes(): number;
    /**
     * @stability stable
     */
    set numberOfNodes(value: number);
    /**
     * @stability stable
     */
    resetNumberOfNodes(): void;
    /**
     * @stability stable
     */
    get numberOfNodesInput(): number | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _catalogInfo?;
    /**
     * @stability stable
     */
    get catalogInfo(): DataFactoryIntegrationRuntimeAzureSsisCatalogInfo[];
    /**
     * @stability stable
     */
    set catalogInfo(value: DataFactoryIntegrationRuntimeAzureSsisCatalogInfo[]);
    /**
     * @stability stable
     */
    resetCatalogInfo(): void;
    /**
     * @stability stable
     */
    get catalogInfoInput(): DataFactoryIntegrationRuntimeAzureSsisCatalogInfo[] | undefined;
    private _customSetupScript?;
    /**
     * @stability stable
     */
    get customSetupScript(): DataFactoryIntegrationRuntimeAzureSsisCustomSetupScript[];
    /**
     * @stability stable
     */
    set customSetupScript(value: DataFactoryIntegrationRuntimeAzureSsisCustomSetupScript[]);
    /**
     * @stability stable
     */
    resetCustomSetupScript(): void;
    /**
     * @stability stable
     */
    get customSetupScriptInput(): DataFactoryIntegrationRuntimeAzureSsisCustomSetupScript[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataFactoryIntegrationRuntimeAzureSsisTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataFactoryIntegrationRuntimeAzureSsisTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataFactoryIntegrationRuntimeAzureSsisTimeouts | undefined;
    private _vnetIntegration?;
    /**
     * @stability stable
     */
    get vnetIntegration(): DataFactoryIntegrationRuntimeAzureSsisVnetIntegration[];
    /**
     * @stability stable
     */
    set vnetIntegration(value: DataFactoryIntegrationRuntimeAzureSsisVnetIntegration[]);
    /**
     * @stability stable
     */
    resetVnetIntegration(): void;
    /**
     * @stability stable
     */
    get vnetIntegrationInput(): DataFactoryIntegrationRuntimeAzureSsisVnetIntegration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
