import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataFactoryLinkedServiceAzureDatabricksConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accessToken?: string;
    /**
     * @stability stable
     */
    readonly adbDomain: string;
    /**
     * @stability stable
     */
    readonly additionalProperties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly annotations?: string[];
    /**
     * @stability stable
     */
    readonly dataFactoryName: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly existingClusterId?: string;
    /**
     * @stability stable
     */
    readonly integrationRuntimeName?: string;
    /**
     * @stability stable
     */
    readonly msiWorkSpaceResourceId?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * instance_pool block.
     *
     * @stability stable
     */
    readonly instancePool?: DataFactoryLinkedServiceAzureDatabricksInstancePool[];
    /**
     * key_vault_password block.
     *
     * @stability stable
     */
    readonly keyVaultPassword?: DataFactoryLinkedServiceAzureDatabricksKeyVaultPassword[];
    /**
     * new_cluster_config block.
     *
     * @stability stable
     */
    readonly newClusterConfig?: DataFactoryLinkedServiceAzureDatabricksNewClusterConfig[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataFactoryLinkedServiceAzureDatabricksTimeouts;
}
/**
 * @stability stable
 */
export interface DataFactoryLinkedServiceAzureDatabricksInstancePool {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly instancePoolId: string;
    /**
     * @stability stable
     */
    readonly maxNumberOfWorkers?: number;
    /**
     * @stability stable
     */
    readonly minNumberOfWorkers?: number;
}
/**
 * @stability stable
 */
export interface DataFactoryLinkedServiceAzureDatabricksKeyVaultPassword {
    /**
     * @stability stable
     */
    readonly linkedServiceName: string;
    /**
     * @stability stable
     */
    readonly secretName: string;
}
/**
 * @stability stable
 */
export interface DataFactoryLinkedServiceAzureDatabricksNewClusterConfig {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly customTags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly driverNodeType?: string;
    /**
     * @stability stable
     */
    readonly initScripts?: string[];
    /**
     * @stability stable
     */
    readonly logDestination?: string;
    /**
     * @stability stable
     */
    readonly maxNumberOfWorkers?: number;
    /**
     * @stability stable
     */
    readonly minNumberOfWorkers?: number;
    /**
     * @stability stable
     */
    readonly nodeType: string;
    /**
     * @stability stable
     */
    readonly sparkConfig?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly sparkEnvironmentVariables?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface DataFactoryLinkedServiceAzureDatabricksTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DataFactoryLinkedServiceAzureDatabricks extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataFactoryLinkedServiceAzureDatabricksConfig);
    private _accessToken?;
    /**
     * @stability stable
     */
    get accessToken(): string;
    /**
     * @stability stable
     */
    set accessToken(value: string);
    /**
     * @stability stable
     */
    resetAccessToken(): void;
    /**
     * @stability stable
     */
    get accessTokenInput(): string | undefined;
    private _adbDomain;
    /**
     * @stability stable
     */
    get adbDomain(): string;
    /**
     * @stability stable
     */
    set adbDomain(value: string);
    /**
     * @stability stable
     */
    get adbDomainInput(): string;
    private _additionalProperties?;
    /**
     * @stability stable
     */
    get additionalProperties(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set additionalProperties(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetAdditionalProperties(): void;
    /**
     * @stability stable
     */
    get additionalPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _annotations?;
    /**
     * @stability stable
     */
    get annotations(): string[];
    /**
     * @stability stable
     */
    set annotations(value: string[]);
    /**
     * @stability stable
     */
    resetAnnotations(): void;
    /**
     * @stability stable
     */
    get annotationsInput(): string[] | undefined;
    private _dataFactoryName;
    /**
     * @stability stable
     */
    get dataFactoryName(): string;
    /**
     * @stability stable
     */
    set dataFactoryName(value: string);
    /**
     * @stability stable
     */
    get dataFactoryNameInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _existingClusterId?;
    /**
     * @stability stable
     */
    get existingClusterId(): string;
    /**
     * @stability stable
     */
    set existingClusterId(value: string);
    /**
     * @stability stable
     */
    resetExistingClusterId(): void;
    /**
     * @stability stable
     */
    get existingClusterIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _integrationRuntimeName?;
    /**
     * @stability stable
     */
    get integrationRuntimeName(): string;
    /**
     * @stability stable
     */
    set integrationRuntimeName(value: string);
    /**
     * @stability stable
     */
    resetIntegrationRuntimeName(): void;
    /**
     * @stability stable
     */
    get integrationRuntimeNameInput(): string | undefined;
    private _msiWorkSpaceResourceId?;
    /**
     * @stability stable
     */
    get msiWorkSpaceResourceId(): string;
    /**
     * @stability stable
     */
    set msiWorkSpaceResourceId(value: string);
    /**
     * @stability stable
     */
    resetMsiWorkSpaceResourceId(): void;
    /**
     * @stability stable
     */
    get msiWorkSpaceResourceIdInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set parameters(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _instancePool?;
    /**
     * @stability stable
     */
    get instancePool(): DataFactoryLinkedServiceAzureDatabricksInstancePool[];
    /**
     * @stability stable
     */
    set instancePool(value: DataFactoryLinkedServiceAzureDatabricksInstancePool[]);
    /**
     * @stability stable
     */
    resetInstancePool(): void;
    /**
     * @stability stable
     */
    get instancePoolInput(): DataFactoryLinkedServiceAzureDatabricksInstancePool[] | undefined;
    private _keyVaultPassword?;
    /**
     * @stability stable
     */
    get keyVaultPassword(): DataFactoryLinkedServiceAzureDatabricksKeyVaultPassword[];
    /**
     * @stability stable
     */
    set keyVaultPassword(value: DataFactoryLinkedServiceAzureDatabricksKeyVaultPassword[]);
    /**
     * @stability stable
     */
    resetKeyVaultPassword(): void;
    /**
     * @stability stable
     */
    get keyVaultPasswordInput(): DataFactoryLinkedServiceAzureDatabricksKeyVaultPassword[] | undefined;
    private _newClusterConfig?;
    /**
     * @stability stable
     */
    get newClusterConfig(): DataFactoryLinkedServiceAzureDatabricksNewClusterConfig[];
    /**
     * @stability stable
     */
    set newClusterConfig(value: DataFactoryLinkedServiceAzureDatabricksNewClusterConfig[]);
    /**
     * @stability stable
     */
    resetNewClusterConfig(): void;
    /**
     * @stability stable
     */
    get newClusterConfigInput(): DataFactoryLinkedServiceAzureDatabricksNewClusterConfig[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataFactoryLinkedServiceAzureDatabricksTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataFactoryLinkedServiceAzureDatabricksTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataFactoryLinkedServiceAzureDatabricksTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
