import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataLakeStoreFileConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly localFilePath: string;
    /**
     * @stability stable
     */
    readonly remoteFilePath: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataLakeStoreFileTimeouts;
}
/**
 * @stability stable
 */
export interface DataLakeStoreFileTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DataLakeStoreFile extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataLakeStoreFileConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _localFilePath;
    /**
     * @stability stable
     */
    get localFilePath(): string;
    /**
     * @stability stable
     */
    set localFilePath(value: string);
    /**
     * @stability stable
     */
    get localFilePathInput(): string;
    private _remoteFilePath;
    /**
     * @stability stable
     */
    get remoteFilePath(): string;
    /**
     * @stability stable
     */
    set remoteFilePath(value: string);
    /**
     * @stability stable
     */
    get remoteFilePathInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataLakeStoreFileTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataLakeStoreFileTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataLakeStoreFileTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
