import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataShareDatasetBlobStorageConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly containerName: string;
    /**
     * @stability stable
     */
    readonly dataShareId: string;
    /**
     * @stability stable
     */
    readonly filePath?: string;
    /**
     * @stability stable
     */
    readonly folderPath?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount: DataShareDatasetBlobStorageStorageAccount[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataShareDatasetBlobStorageTimeouts;
}
/**
 * @stability stable
 */
export interface DataShareDatasetBlobStorageStorageAccount {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly subscriptionId: string;
}
/**
 * @stability stable
 */
export interface DataShareDatasetBlobStorageTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataShareDatasetBlobStorage extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataShareDatasetBlobStorageConfig);
    private _containerName;
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    set containerName(value: string);
    /**
     * @stability stable
     */
    get containerNameInput(): string;
    private _dataShareId;
    /**
     * @stability stable
     */
    get dataShareId(): string;
    /**
     * @stability stable
     */
    set dataShareId(value: string);
    /**
     * @stability stable
     */
    get dataShareIdInput(): string;
    /**
     * @stability stable
     */
    get displayName(): string;
    private _filePath?;
    /**
     * @stability stable
     */
    get filePath(): string;
    /**
     * @stability stable
     */
    set filePath(value: string);
    /**
     * @stability stable
     */
    resetFilePath(): void;
    /**
     * @stability stable
     */
    get filePathInput(): string | undefined;
    private _folderPath?;
    /**
     * @stability stable
     */
    get folderPath(): string;
    /**
     * @stability stable
     */
    set folderPath(value: string);
    /**
     * @stability stable
     */
    resetFolderPath(): void;
    /**
     * @stability stable
     */
    get folderPathInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _storageAccount;
    /**
     * @stability stable
     */
    get storageAccount(): DataShareDatasetBlobStorageStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: DataShareDatasetBlobStorageStorageAccount[]);
    /**
     * @stability stable
     */
    get storageAccountInput(): DataShareDatasetBlobStorageStorageAccount[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataShareDatasetBlobStorageTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataShareDatasetBlobStorageTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataShareDatasetBlobStorageTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
