import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataShareDatasetKustoClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly kustoClusterId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly shareId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataShareDatasetKustoClusterTimeouts;
}
/**
 * @stability stable
 */
export interface DataShareDatasetKustoClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class DataShareDatasetKustoCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataShareDatasetKustoClusterConfig);
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _kustoClusterId;
    /**
     * @stability stable
     */
    get kustoClusterId(): string;
    /**
     * @stability stable
     */
    set kustoClusterId(value: string);
    /**
     * @stability stable
     */
    get kustoClusterIdInput(): string;
    /**
     * @stability stable
     */
    get kustoClusterLocation(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _shareId;
    /**
     * @stability stable
     */
    get shareId(): string;
    /**
     * @stability stable
     */
    set shareId(value: string);
    /**
     * @stability stable
     */
    get shareIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataShareDatasetKustoClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataShareDatasetKustoClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataShareDatasetKustoClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
