import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataboxEdgeOrderConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deviceName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * contact block.
     *
     * @stability stable
     */
    readonly contact: DataboxEdgeOrderContact[];
    /**
     * shipment_address block.
     *
     * @stability stable
     */
    readonly shipmentAddress: DataboxEdgeOrderShipmentAddress[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DataboxEdgeOrderTimeouts;
}
/**
 * @stability stable
 */
export declare class DataboxEdgeOrderReturnTracking extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get carrierName(): string;
    /**
     * @stability stable
     */
    get serialNumber(): string;
    /**
     * @stability stable
     */
    get trackingId(): string;
    /**
     * @stability stable
     */
    get trackingUrl(): string;
}
/**
 * @stability stable
 */
export declare class DataboxEdgeOrderShipmentHistory extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get additionalDetails(): any;
    /**
     * @stability stable
     */
    get comments(): string;
    /**
     * @stability stable
     */
    get lastUpdate(): string;
}
/**
 * @stability stable
 */
export declare class DataboxEdgeOrderShipmentTracking extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get carrierName(): string;
    /**
     * @stability stable
     */
    get serialNumber(): string;
    /**
     * @stability stable
     */
    get trackingId(): string;
    /**
     * @stability stable
     */
    get trackingUrl(): string;
}
/**
 * @stability stable
 */
export declare class DataboxEdgeOrderStatus extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get additionalDetails(): any;
    /**
     * @stability stable
     */
    get comments(): string;
    /**
     * @stability stable
     */
    get info(): string;
    /**
     * @stability stable
     */
    get lastUpdate(): string;
}
/**
 * @stability stable
 */
export interface DataboxEdgeOrderContact {
    /**
     * @stability stable
     */
    readonly companyName: string;
    /**
     * @stability stable
     */
    readonly emails: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly phoneNumber: string;
}
/**
 * @stability stable
 */
export interface DataboxEdgeOrderShipmentAddress {
    /**
     * @stability stable
     */
    readonly address: string[];
    /**
     * @stability stable
     */
    readonly city: string;
    /**
     * @stability stable
     */
    readonly country: string;
    /**
     * @stability stable
     */
    readonly postalCode: string;
    /**
     * @stability stable
     */
    readonly state: string;
}
/**
 * @stability stable
 */
export interface DataboxEdgeOrderTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DataboxEdgeOrder extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataboxEdgeOrderConfig);
    private _deviceName;
    /**
     * @stability stable
     */
    get deviceName(): string;
    /**
     * @stability stable
     */
    set deviceName(value: string);
    /**
     * @stability stable
     */
    get deviceNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    returnTracking(index: string): DataboxEdgeOrderReturnTracking;
    /**
     * @stability stable
     */
    get serialNumber(): string;
    /**
     * @stability stable
     */
    shipmentHistory(index: string): DataboxEdgeOrderShipmentHistory;
    /**
     * @stability stable
     */
    shipmentTracking(index: string): DataboxEdgeOrderShipmentTracking;
    /**
     * @stability stable
     */
    status(index: string): DataboxEdgeOrderStatus;
    private _contact;
    /**
     * @stability stable
     */
    get contact(): DataboxEdgeOrderContact[];
    /**
     * @stability stable
     */
    set contact(value: DataboxEdgeOrderContact[]);
    /**
     * @stability stable
     */
    get contactInput(): DataboxEdgeOrderContact[];
    private _shipmentAddress;
    /**
     * @stability stable
     */
    get shipmentAddress(): DataboxEdgeOrderShipmentAddress[];
    /**
     * @stability stable
     */
    set shipmentAddress(value: DataboxEdgeOrderShipmentAddress[]);
    /**
     * @stability stable
     */
    get shipmentAddressInput(): DataboxEdgeOrderShipmentAddress[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DataboxEdgeOrderTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DataboxEdgeOrderTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DataboxEdgeOrderTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
