import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DatabricksWorkspaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly managedResourceGroupName?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_parameters block.
     *
     * @stability stable
     */
    readonly customParameters?: DatabricksWorkspaceCustomParameters[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DatabricksWorkspaceTimeouts;
}
/**
 * @stability stable
 */
export interface DatabricksWorkspaceCustomParameters {
    /**
     * @stability stable
     */
    readonly noPublicIp?: boolean;
    /**
     * @stability stable
     */
    readonly privateSubnetName?: string;
    /**
     * @stability stable
     */
    readonly publicSubnetName?: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
}
/**
 * @stability stable
 */
export interface DatabricksWorkspaceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DatabricksWorkspace extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DatabricksWorkspaceConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get managedResourceGroupId(): string;
    private _managedResourceGroupName?;
    /**
     * @stability stable
     */
    get managedResourceGroupName(): string;
    /**
     * @stability stable
     */
    set managedResourceGroupName(value: string);
    /**
     * @stability stable
     */
    resetManagedResourceGroupName(): void;
    /**
     * @stability stable
     */
    get managedResourceGroupNameInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    get skuInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get workspaceId(): string;
    /**
     * @stability stable
     */
    get workspaceUrl(): string;
    private _customParameters?;
    /**
     * @stability stable
     */
    get customParameters(): DatabricksWorkspaceCustomParameters[];
    /**
     * @stability stable
     */
    set customParameters(value: DatabricksWorkspaceCustomParameters[]);
    /**
     * @stability stable
     */
    resetCustomParameters(): void;
    /**
     * @stability stable
     */
    get customParametersInput(): DatabricksWorkspaceCustomParameters[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DatabricksWorkspaceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DatabricksWorkspaceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DatabricksWorkspaceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
