import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DedicatedHardwareSecurityModuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly stampId?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * network_profile block.
     *
     * @stability stable
     */
    readonly networkProfile: DedicatedHardwareSecurityModuleNetworkProfile[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DedicatedHardwareSecurityModuleTimeouts;
}
/**
 * @stability stable
 */
export interface DedicatedHardwareSecurityModuleNetworkProfile {
    /**
     * @stability stable
     */
    readonly networkInterfacePrivateIpAddresses: string[];
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface DedicatedHardwareSecurityModuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DedicatedHardwareSecurityModule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DedicatedHardwareSecurityModuleConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _stampId?;
    /**
     * @stability stable
     */
    get stampId(): string;
    /**
     * @stability stable
     */
    set stampId(value: string);
    /**
     * @stability stable
     */
    resetStampId(): void;
    /**
     * @stability stable
     */
    get stampIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _networkProfile;
    /**
     * @stability stable
     */
    get networkProfile(): DedicatedHardwareSecurityModuleNetworkProfile[];
    /**
     * @stability stable
     */
    set networkProfile(value: DedicatedHardwareSecurityModuleNetworkProfile[]);
    /**
     * @stability stable
     */
    get networkProfileInput(): DedicatedHardwareSecurityModuleNetworkProfile[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DedicatedHardwareSecurityModuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DedicatedHardwareSecurityModuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DedicatedHardwareSecurityModuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
