import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DevTestGlobalVmShutdownScheduleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dailyRecurrenceTime: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly timezone: string;
    /**
     * @stability stable
     */
    readonly virtualMachineId: string;
    /**
     * notification_settings block.
     *
     * @stability stable
     */
    readonly notificationSettings: DevTestGlobalVmShutdownScheduleNotificationSettings[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DevTestGlobalVmShutdownScheduleTimeouts;
}
/**
 * @stability stable
 */
export interface DevTestGlobalVmShutdownScheduleNotificationSettings {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly timeInMinutes?: number;
    /**
     * @stability stable
     */
    readonly webhookUrl?: string;
}
/**
 * @stability stable
 */
export interface DevTestGlobalVmShutdownScheduleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DevTestGlobalVmShutdownSchedule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DevTestGlobalVmShutdownScheduleConfig);
    private _dailyRecurrenceTime;
    /**
     * @stability stable
     */
    get dailyRecurrenceTime(): string;
    /**
     * @stability stable
     */
    set dailyRecurrenceTime(value: string);
    /**
     * @stability stable
     */
    get dailyRecurrenceTimeInput(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timezone;
    /**
     * @stability stable
     */
    get timezone(): string;
    /**
     * @stability stable
     */
    set timezone(value: string);
    /**
     * @stability stable
     */
    get timezoneInput(): string;
    private _virtualMachineId;
    /**
     * @stability stable
     */
    get virtualMachineId(): string;
    /**
     * @stability stable
     */
    set virtualMachineId(value: string);
    /**
     * @stability stable
     */
    get virtualMachineIdInput(): string;
    private _notificationSettings;
    /**
     * @stability stable
     */
    get notificationSettings(): DevTestGlobalVmShutdownScheduleNotificationSettings[];
    /**
     * @stability stable
     */
    set notificationSettings(value: DevTestGlobalVmShutdownScheduleNotificationSettings[]);
    /**
     * @stability stable
     */
    get notificationSettingsInput(): DevTestGlobalVmShutdownScheduleNotificationSettings[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DevTestGlobalVmShutdownScheduleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DevTestGlobalVmShutdownScheduleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DevTestGlobalVmShutdownScheduleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
