import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DevTestPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly evaluatorType: string;
    /**
     * @stability stable
     */
    readonly factData?: string;
    /**
     * @stability stable
     */
    readonly labName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly policySetName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly threshold: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DevTestPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface DevTestPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DevTestPolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DevTestPolicyConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _evaluatorType;
    /**
     * @stability stable
     */
    get evaluatorType(): string;
    /**
     * @stability stable
     */
    set evaluatorType(value: string);
    /**
     * @stability stable
     */
    get evaluatorTypeInput(): string;
    private _factData?;
    /**
     * @stability stable
     */
    get factData(): string;
    /**
     * @stability stable
     */
    set factData(value: string);
    /**
     * @stability stable
     */
    resetFactData(): void;
    /**
     * @stability stable
     */
    get factDataInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _labName;
    /**
     * @stability stable
     */
    get labName(): string;
    /**
     * @stability stable
     */
    set labName(value: string);
    /**
     * @stability stable
     */
    get labNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _policySetName;
    /**
     * @stability stable
     */
    get policySetName(): string;
    /**
     * @stability stable
     */
    set policySetName(value: string);
    /**
     * @stability stable
     */
    get policySetNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _threshold;
    /**
     * @stability stable
     */
    get threshold(): string;
    /**
     * @stability stable
     */
    set threshold(value: string);
    /**
     * @stability stable
     */
    get thresholdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DevTestPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DevTestPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DevTestPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
