import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DevTestWindowsVirtualMachineConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allowClaim?: boolean;
    /**
     * @stability stable
     */
    readonly disallowPublicIpAddress?: boolean;
    /**
     * @stability stable
     */
    readonly labName: string;
    /**
     * @stability stable
     */
    readonly labSubnetName: string;
    /**
     * @stability stable
     */
    readonly labVirtualNetworkId: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly notes?: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly size: string;
    /**
     * @stability stable
     */
    readonly storageType: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * gallery_image_reference block.
     *
     * @stability stable
     */
    readonly galleryImageReference: DevTestWindowsVirtualMachineGalleryImageReference[];
    /**
     * inbound_nat_rule block.
     *
     * @stability stable
     */
    readonly inboundNatRule?: DevTestWindowsVirtualMachineInboundNatRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DevTestWindowsVirtualMachineTimeouts;
}
/**
 * @stability stable
 */
export interface DevTestWindowsVirtualMachineGalleryImageReference {
    /**
     * @stability stable
     */
    readonly offer: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly version: string;
}
/**
 * @stability stable
 */
export interface DevTestWindowsVirtualMachineInboundNatRule {
    /**
     * @stability stable
     */
    readonly backendPort: number;
    /**
     * @stability stable
     */
    readonly protocol: string;
}
/**
 * @stability stable
 */
export interface DevTestWindowsVirtualMachineTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DevTestWindowsVirtualMachine extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DevTestWindowsVirtualMachineConfig);
    private _allowClaim?;
    /**
     * @stability stable
     */
    get allowClaim(): boolean;
    /**
     * @stability stable
     */
    set allowClaim(value: boolean);
    /**
     * @stability stable
     */
    resetAllowClaim(): void;
    /**
     * @stability stable
     */
    get allowClaimInput(): boolean | undefined;
    private _disallowPublicIpAddress?;
    /**
     * @stability stable
     */
    get disallowPublicIpAddress(): boolean;
    /**
     * @stability stable
     */
    set disallowPublicIpAddress(value: boolean);
    /**
     * @stability stable
     */
    resetDisallowPublicIpAddress(): void;
    /**
     * @stability stable
     */
    get disallowPublicIpAddressInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _labName;
    /**
     * @stability stable
     */
    get labName(): string;
    /**
     * @stability stable
     */
    set labName(value: string);
    /**
     * @stability stable
     */
    get labNameInput(): string;
    private _labSubnetName;
    /**
     * @stability stable
     */
    get labSubnetName(): string;
    /**
     * @stability stable
     */
    set labSubnetName(value: string);
    /**
     * @stability stable
     */
    get labSubnetNameInput(): string;
    private _labVirtualNetworkId;
    /**
     * @stability stable
     */
    get labVirtualNetworkId(): string;
    /**
     * @stability stable
     */
    set labVirtualNetworkId(value: string);
    /**
     * @stability stable
     */
    get labVirtualNetworkIdInput(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _notes?;
    /**
     * @stability stable
     */
    get notes(): string;
    /**
     * @stability stable
     */
    set notes(value: string);
    /**
     * @stability stable
     */
    resetNotes(): void;
    /**
     * @stability stable
     */
    get notesInput(): string | undefined;
    private _password;
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    set password(value: string);
    /**
     * @stability stable
     */
    get passwordInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _size;
    /**
     * @stability stable
     */
    get size(): string;
    /**
     * @stability stable
     */
    set size(value: string);
    /**
     * @stability stable
     */
    get sizeInput(): string;
    private _storageType;
    /**
     * @stability stable
     */
    get storageType(): string;
    /**
     * @stability stable
     */
    set storageType(value: string);
    /**
     * @stability stable
     */
    get storageTypeInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get uniqueIdentifier(): string;
    private _username;
    /**
     * @stability stable
     */
    get username(): string;
    /**
     * @stability stable
     */
    set username(value: string);
    /**
     * @stability stable
     */
    get usernameInput(): string;
    private _galleryImageReference;
    /**
     * @stability stable
     */
    get galleryImageReference(): DevTestWindowsVirtualMachineGalleryImageReference[];
    /**
     * @stability stable
     */
    set galleryImageReference(value: DevTestWindowsVirtualMachineGalleryImageReference[]);
    /**
     * @stability stable
     */
    get galleryImageReferenceInput(): DevTestWindowsVirtualMachineGalleryImageReference[];
    private _inboundNatRule?;
    /**
     * @stability stable
     */
    get inboundNatRule(): DevTestWindowsVirtualMachineInboundNatRule[];
    /**
     * @stability stable
     */
    set inboundNatRule(value: DevTestWindowsVirtualMachineInboundNatRule[]);
    /**
     * @stability stable
     */
    resetInboundNatRule(): void;
    /**
     * @stability stable
     */
    get inboundNatRuleInput(): DevTestWindowsVirtualMachineInboundNatRule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DevTestWindowsVirtualMachineTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DevTestWindowsVirtualMachineTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DevTestWindowsVirtualMachineTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
