import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DevspaceControllerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly targetContainerHostCredentialsBase64: string;
    /**
     * @stability stable
     */
    readonly targetContainerHostResourceId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DevspaceControllerTimeouts;
}
/**
 * @stability stable
 */
export interface DevspaceControllerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DevspaceController extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DevspaceControllerConfig);
    /**
     * @stability stable
     */
    get dataPlaneFqdn(): string;
    /**
     * @stability stable
     */
    get hostSuffix(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetContainerHostCredentialsBase64;
    /**
     * @stability stable
     */
    get targetContainerHostCredentialsBase64(): string;
    /**
     * @stability stable
     */
    set targetContainerHostCredentialsBase64(value: string);
    /**
     * @stability stable
     */
    get targetContainerHostCredentialsBase64Input(): string;
    private _targetContainerHostResourceId;
    /**
     * @stability stable
     */
    get targetContainerHostResourceId(): string;
    /**
     * @stability stable
     */
    set targetContainerHostResourceId(value: string);
    /**
     * @stability stable
     */
    get targetContainerHostResourceIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DevspaceControllerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DevspaceControllerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DevspaceControllerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
