import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DigitalTwinsEndpointEventgridConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deadLetterStorageSecret?: string;
    /**
     * @stability stable
     */
    readonly digitalTwinsId: string;
    /**
     * @stability stable
     */
    readonly eventgridTopicEndpoint: string;
    /**
     * @stability stable
     */
    readonly eventgridTopicPrimaryAccessKey: string;
    /**
     * @stability stable
     */
    readonly eventgridTopicSecondaryAccessKey: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DigitalTwinsEndpointEventgridTimeouts;
}
/**
 * @stability stable
 */
export interface DigitalTwinsEndpointEventgridTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DigitalTwinsEndpointEventgrid extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DigitalTwinsEndpointEventgridConfig);
    private _deadLetterStorageSecret?;
    /**
     * @stability stable
     */
    get deadLetterStorageSecret(): string;
    /**
     * @stability stable
     */
    set deadLetterStorageSecret(value: string);
    /**
     * @stability stable
     */
    resetDeadLetterStorageSecret(): void;
    /**
     * @stability stable
     */
    get deadLetterStorageSecretInput(): string | undefined;
    private _digitalTwinsId;
    /**
     * @stability stable
     */
    get digitalTwinsId(): string;
    /**
     * @stability stable
     */
    set digitalTwinsId(value: string);
    /**
     * @stability stable
     */
    get digitalTwinsIdInput(): string;
    private _eventgridTopicEndpoint;
    /**
     * @stability stable
     */
    get eventgridTopicEndpoint(): string;
    /**
     * @stability stable
     */
    set eventgridTopicEndpoint(value: string);
    /**
     * @stability stable
     */
    get eventgridTopicEndpointInput(): string;
    private _eventgridTopicPrimaryAccessKey;
    /**
     * @stability stable
     */
    get eventgridTopicPrimaryAccessKey(): string;
    /**
     * @stability stable
     */
    set eventgridTopicPrimaryAccessKey(value: string);
    /**
     * @stability stable
     */
    get eventgridTopicPrimaryAccessKeyInput(): string;
    private _eventgridTopicSecondaryAccessKey;
    /**
     * @stability stable
     */
    get eventgridTopicSecondaryAccessKey(): string;
    /**
     * @stability stable
     */
    set eventgridTopicSecondaryAccessKey(value: string);
    /**
     * @stability stable
     */
    get eventgridTopicSecondaryAccessKeyInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DigitalTwinsEndpointEventgridTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DigitalTwinsEndpointEventgridTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DigitalTwinsEndpointEventgridTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
