import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DigitalTwinsEndpointEventhubConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deadLetterStorageSecret?: string;
    /**
     * @stability stable
     */
    readonly digitalTwinsId: string;
    /**
     * @stability stable
     */
    readonly eventhubPrimaryConnectionString: string;
    /**
     * @stability stable
     */
    readonly eventhubSecondaryConnectionString: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DigitalTwinsEndpointEventhubTimeouts;
}
/**
 * @stability stable
 */
export interface DigitalTwinsEndpointEventhubTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DigitalTwinsEndpointEventhub extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DigitalTwinsEndpointEventhubConfig);
    private _deadLetterStorageSecret?;
    /**
     * @stability stable
     */
    get deadLetterStorageSecret(): string;
    /**
     * @stability stable
     */
    set deadLetterStorageSecret(value: string);
    /**
     * @stability stable
     */
    resetDeadLetterStorageSecret(): void;
    /**
     * @stability stable
     */
    get deadLetterStorageSecretInput(): string | undefined;
    private _digitalTwinsId;
    /**
     * @stability stable
     */
    get digitalTwinsId(): string;
    /**
     * @stability stable
     */
    set digitalTwinsId(value: string);
    /**
     * @stability stable
     */
    get digitalTwinsIdInput(): string;
    private _eventhubPrimaryConnectionString;
    /**
     * @stability stable
     */
    get eventhubPrimaryConnectionString(): string;
    /**
     * @stability stable
     */
    set eventhubPrimaryConnectionString(value: string);
    /**
     * @stability stable
     */
    get eventhubPrimaryConnectionStringInput(): string;
    private _eventhubSecondaryConnectionString;
    /**
     * @stability stable
     */
    get eventhubSecondaryConnectionString(): string;
    /**
     * @stability stable
     */
    set eventhubSecondaryConnectionString(value: string);
    /**
     * @stability stable
     */
    get eventhubSecondaryConnectionStringInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DigitalTwinsEndpointEventhubTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DigitalTwinsEndpointEventhubTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DigitalTwinsEndpointEventhubTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
