import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DigitalTwinsEndpointServicebusConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deadLetterStorageSecret?: string;
    /**
     * @stability stable
     */
    readonly digitalTwinsId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly servicebusPrimaryConnectionString: string;
    /**
     * @stability stable
     */
    readonly servicebusSecondaryConnectionString: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DigitalTwinsEndpointServicebusTimeouts;
}
/**
 * @stability stable
 */
export interface DigitalTwinsEndpointServicebusTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DigitalTwinsEndpointServicebus extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DigitalTwinsEndpointServicebusConfig);
    private _deadLetterStorageSecret?;
    /**
     * @stability stable
     */
    get deadLetterStorageSecret(): string;
    /**
     * @stability stable
     */
    set deadLetterStorageSecret(value: string);
    /**
     * @stability stable
     */
    resetDeadLetterStorageSecret(): void;
    /**
     * @stability stable
     */
    get deadLetterStorageSecretInput(): string | undefined;
    private _digitalTwinsId;
    /**
     * @stability stable
     */
    get digitalTwinsId(): string;
    /**
     * @stability stable
     */
    set digitalTwinsId(value: string);
    /**
     * @stability stable
     */
    get digitalTwinsIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _servicebusPrimaryConnectionString;
    /**
     * @stability stable
     */
    get servicebusPrimaryConnectionString(): string;
    /**
     * @stability stable
     */
    set servicebusPrimaryConnectionString(value: string);
    /**
     * @stability stable
     */
    get servicebusPrimaryConnectionStringInput(): string;
    private _servicebusSecondaryConnectionString;
    /**
     * @stability stable
     */
    get servicebusSecondaryConnectionString(): string;
    /**
     * @stability stable
     */
    set servicebusSecondaryConnectionString(value: string);
    /**
     * @stability stable
     */
    get servicebusSecondaryConnectionStringInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DigitalTwinsEndpointServicebusTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DigitalTwinsEndpointServicebusTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DigitalTwinsEndpointServicebusTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
