import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DnsZoneConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * soa_record block.
     *
     * @stability stable
     */
    readonly soaRecord?: DnsZoneSoaRecord[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DnsZoneTimeouts;
}
/**
 * @stability stable
 */
export interface DnsZoneSoaRecord {
    /**
     * @stability stable
     */
    readonly email: string;
    /**
     * @stability stable
     */
    readonly expireTime?: number;
    /**
     * @stability stable
     */
    readonly hostName: string;
    /**
     * @stability stable
     */
    readonly minimumTtl?: number;
    /**
     * @stability stable
     */
    readonly refreshTime?: number;
    /**
     * @stability stable
     */
    readonly retryTime?: number;
    /**
     * @stability stable
     */
    readonly serialNumber?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly ttl?: number;
}
/**
 * @stability stable
 */
export interface DnsZoneTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DnsZone extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DnsZoneConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get maxNumberOfRecordSets(): number;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get nameServers(): string[];
    /**
     * @stability stable
     */
    get numberOfRecordSets(): number;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _soaRecord?;
    /**
     * @stability stable
     */
    get soaRecord(): DnsZoneSoaRecord[];
    /**
     * @stability stable
     */
    set soaRecord(value: DnsZoneSoaRecord[]);
    /**
     * @stability stable
     */
    resetSoaRecord(): void;
    /**
     * @stability stable
     */
    get soaRecordInput(): DnsZoneSoaRecord[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DnsZoneTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DnsZoneTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DnsZoneTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
