import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EventgridDomainConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly inboundIpRule?: EventgridDomainInboundIpRule[];
    /**
     * @stability stable
     */
    readonly inputSchema?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly publicNetworkAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * input_mapping_default_values block.
     *
     * @stability stable
     */
    readonly inputMappingDefaultValues?: EventgridDomainInputMappingDefaultValues[];
    /**
     * input_mapping_fields block.
     *
     * @stability stable
     */
    readonly inputMappingFields?: EventgridDomainInputMappingFields[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: EventgridDomainTimeouts;
}
/**
 * @stability stable
 */
export interface EventgridDomainInboundIpRule {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipMask?: string;
}
/**
 * @stability stable
 */
export interface EventgridDomainInputMappingDefaultValues {
    /**
     * @stability stable
     */
    readonly dataVersion?: string;
    /**
     * @stability stable
     */
    readonly eventType?: string;
    /**
     * @stability stable
     */
    readonly subject?: string;
}
/**
 * @stability stable
 */
export interface EventgridDomainInputMappingFields {
    /**
     * @stability stable
     */
    readonly dataVersion?: string;
    /**
     * @stability stable
     */
    readonly eventTime?: string;
    /**
     * @stability stable
     */
    readonly eventType?: string;
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly subject?: string;
    /**
     * @stability stable
     */
    readonly topic?: string;
}
/**
 * @stability stable
 */
export interface EventgridDomainTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class EventgridDomain extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EventgridDomainConfig);
    /**
     * @stability stable
     */
    get endpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _inboundIpRule?;
    /**
     * @stability stable
     */
    get inboundIpRule(): EventgridDomainInboundIpRule[];
    /**
     * @stability stable
     */
    set inboundIpRule(value: EventgridDomainInboundIpRule[]);
    /**
     * @stability stable
     */
    resetInboundIpRule(): void;
    /**
     * @stability stable
     */
    get inboundIpRuleInput(): EventgridDomainInboundIpRule[] | undefined;
    private _inputSchema?;
    /**
     * @stability stable
     */
    get inputSchema(): string;
    /**
     * @stability stable
     */
    set inputSchema(value: string);
    /**
     * @stability stable
     */
    resetInputSchema(): void;
    /**
     * @stability stable
     */
    get inputSchemaInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get primaryAccessKey(): string;
    private _publicNetworkAccessEnabled?;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabled(): boolean;
    /**
     * @stability stable
     */
    set publicNetworkAccessEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetPublicNetworkAccessEnabled(): void;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryAccessKey(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _inputMappingDefaultValues?;
    /**
     * @stability stable
     */
    get inputMappingDefaultValues(): EventgridDomainInputMappingDefaultValues[];
    /**
     * @stability stable
     */
    set inputMappingDefaultValues(value: EventgridDomainInputMappingDefaultValues[]);
    /**
     * @stability stable
     */
    resetInputMappingDefaultValues(): void;
    /**
     * @stability stable
     */
    get inputMappingDefaultValuesInput(): EventgridDomainInputMappingDefaultValues[] | undefined;
    private _inputMappingFields?;
    /**
     * @stability stable
     */
    get inputMappingFields(): EventgridDomainInputMappingFields[];
    /**
     * @stability stable
     */
    set inputMappingFields(value: EventgridDomainInputMappingFields[]);
    /**
     * @stability stable
     */
    resetInputMappingFields(): void;
    /**
     * @stability stable
     */
    get inputMappingFieldsInput(): EventgridDomainInputMappingFields[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): EventgridDomainTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: EventgridDomainTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): EventgridDomainTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
