import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly eventDeliverySchema?: string;
    /**
     * @stability stable
     */
    readonly eventhubEndpointId?: string;
    /**
     * @stability stable
     */
    readonly expirationTimeUtc?: string;
    /**
     * @stability stable
     */
    readonly hybridConnectionEndpointId?: string;
    /**
     * @stability stable
     */
    readonly includedEventTypes?: string[];
    /**
     * @stability stable
     */
    readonly labels?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly scope: string;
    /**
     * @stability stable
     */
    readonly serviceBusQueueEndpointId?: string;
    /**
     * @stability stable
     */
    readonly serviceBusTopicEndpointId?: string;
    /**
     * @stability stable
     */
    readonly topicName?: string;
    /**
     * advanced_filter block.
     *
     * @stability stable
     */
    readonly advancedFilter?: EventgridEventSubscriptionAdvancedFilter[];
    /**
     * azure_function_endpoint block.
     *
     * @stability stable
     */
    readonly azureFunctionEndpoint?: EventgridEventSubscriptionAzureFunctionEndpoint[];
    /**
     * eventhub_endpoint block.
     *
     * @stability stable
     */
    readonly eventhubEndpoint?: EventgridEventSubscriptionEventhubEndpoint[];
    /**
     * hybrid_connection_endpoint block.
     *
     * @stability stable
     */
    readonly hybridConnectionEndpoint?: EventgridEventSubscriptionHybridConnectionEndpoint[];
    /**
     * retry_policy block.
     *
     * @stability stable
     */
    readonly retryPolicy?: EventgridEventSubscriptionRetryPolicy[];
    /**
     * storage_blob_dead_letter_destination block.
     *
     * @stability stable
     */
    readonly storageBlobDeadLetterDestination?: EventgridEventSubscriptionStorageBlobDeadLetterDestination[];
    /**
     * storage_queue_endpoint block.
     *
     * @stability stable
     */
    readonly storageQueueEndpoint?: EventgridEventSubscriptionStorageQueueEndpoint[];
    /**
     * subject_filter block.
     *
     * @stability stable
     */
    readonly subjectFilter?: EventgridEventSubscriptionSubjectFilter[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: EventgridEventSubscriptionTimeouts;
    /**
     * webhook_endpoint block.
     *
     * @stability stable
     */
    readonly webhookEndpoint?: EventgridEventSubscriptionWebhookEndpoint[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterBoolEquals {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: boolean;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterNumberGreaterThan {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterNumberGreaterThanOrEquals {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterNumberIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: number[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterNumberLessThan {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterNumberLessThanOrEquals {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterNumberNotIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: number[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterStringBeginsWith {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterStringContains {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterStringEndsWith {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterStringIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilterStringNotIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAdvancedFilter {
    /**
     * bool_equals block.
     *
     * @stability stable
     */
    readonly boolEquals?: EventgridEventSubscriptionAdvancedFilterBoolEquals[];
    /**
     * number_greater_than block.
     *
     * @stability stable
     */
    readonly numberGreaterThan?: EventgridEventSubscriptionAdvancedFilterNumberGreaterThan[];
    /**
     * number_greater_than_or_equals block.
     *
     * @stability stable
     */
    readonly numberGreaterThanOrEquals?: EventgridEventSubscriptionAdvancedFilterNumberGreaterThanOrEquals[];
    /**
     * number_in block.
     *
     * @stability stable
     */
    readonly numberIn?: EventgridEventSubscriptionAdvancedFilterNumberIn[];
    /**
     * number_less_than block.
     *
     * @stability stable
     */
    readonly numberLessThan?: EventgridEventSubscriptionAdvancedFilterNumberLessThan[];
    /**
     * number_less_than_or_equals block.
     *
     * @stability stable
     */
    readonly numberLessThanOrEquals?: EventgridEventSubscriptionAdvancedFilterNumberLessThanOrEquals[];
    /**
     * number_not_in block.
     *
     * @stability stable
     */
    readonly numberNotIn?: EventgridEventSubscriptionAdvancedFilterNumberNotIn[];
    /**
     * string_begins_with block.
     *
     * @stability stable
     */
    readonly stringBeginsWith?: EventgridEventSubscriptionAdvancedFilterStringBeginsWith[];
    /**
     * string_contains block.
     *
     * @stability stable
     */
    readonly stringContains?: EventgridEventSubscriptionAdvancedFilterStringContains[];
    /**
     * string_ends_with block.
     *
     * @stability stable
     */
    readonly stringEndsWith?: EventgridEventSubscriptionAdvancedFilterStringEndsWith[];
    /**
     * string_in block.
     *
     * @stability stable
     */
    readonly stringIn?: EventgridEventSubscriptionAdvancedFilterStringIn[];
    /**
     * string_not_in block.
     *
     * @stability stable
     */
    readonly stringNotIn?: EventgridEventSubscriptionAdvancedFilterStringNotIn[];
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionAzureFunctionEndpoint {
    /**
     * @stability stable
     */
    readonly functionId: string;
    /**
     * @stability stable
     */
    readonly maxEventsPerBatch?: number;
    /**
     * @stability stable
     */
    readonly preferredBatchSizeInKilobytes?: number;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionEventhubEndpoint {
    /**
     * @stability stable
     */
    readonly eventhubId?: string;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionHybridConnectionEndpoint {
    /**
     * @stability stable
     */
    readonly hybridConnectionId?: string;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionRetryPolicy {
    /**
     * @stability stable
     */
    readonly eventTimeToLive: number;
    /**
     * @stability stable
     */
    readonly maxDeliveryAttempts: number;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionStorageBlobDeadLetterDestination {
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * @stability stable
     */
    readonly storageBlobContainerName: string;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionStorageQueueEndpoint {
    /**
     * @stability stable
     */
    readonly queueName: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionSubjectFilter {
    /**
     * @stability stable
     */
    readonly caseSensitive?: boolean;
    /**
     * @stability stable
     */
    readonly subjectBeginsWith?: string;
    /**
     * @stability stable
     */
    readonly subjectEndsWith?: string;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface EventgridEventSubscriptionWebhookEndpoint {
    /**
     * @stability stable
     */
    readonly activeDirectoryAppIdOrUri?: string;
    /**
     * @stability stable
     */
    readonly activeDirectoryTenantId?: string;
    /**
     * @stability stable
     */
    readonly maxEventsPerBatch?: number;
    /**
     * @stability stable
     */
    readonly preferredBatchSizeInKilobytes?: number;
    /**
     * @stability stable
     */
    readonly url: string;
}
/**
 * @stability stable
 */
export declare class EventgridEventSubscription extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EventgridEventSubscriptionConfig);
    private _eventDeliverySchema?;
    /**
     * @stability stable
     */
    get eventDeliverySchema(): string;
    /**
     * @stability stable
     */
    set eventDeliverySchema(value: string);
    /**
     * @stability stable
     */
    resetEventDeliverySchema(): void;
    /**
     * @stability stable
     */
    get eventDeliverySchemaInput(): string | undefined;
    private _eventhubEndpointId?;
    /**
     * @stability stable
     */
    get eventhubEndpointId(): string;
    /**
     * @stability stable
     */
    set eventhubEndpointId(value: string);
    /**
     * @stability stable
     */
    resetEventhubEndpointId(): void;
    /**
     * @stability stable
     */
    get eventhubEndpointIdInput(): string | undefined;
    private _expirationTimeUtc?;
    /**
     * @stability stable
     */
    get expirationTimeUtc(): string;
    /**
     * @stability stable
     */
    set expirationTimeUtc(value: string);
    /**
     * @stability stable
     */
    resetExpirationTimeUtc(): void;
    /**
     * @stability stable
     */
    get expirationTimeUtcInput(): string | undefined;
    private _hybridConnectionEndpointId?;
    /**
     * @stability stable
     */
    get hybridConnectionEndpointId(): string;
    /**
     * @stability stable
     */
    set hybridConnectionEndpointId(value: string);
    /**
     * @stability stable
     */
    resetHybridConnectionEndpointId(): void;
    /**
     * @stability stable
     */
    get hybridConnectionEndpointIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _includedEventTypes?;
    /**
     * @stability stable
     */
    get includedEventTypes(): string[];
    /**
     * @stability stable
     */
    set includedEventTypes(value: string[]);
    /**
     * @stability stable
     */
    resetIncludedEventTypes(): void;
    /**
     * @stability stable
     */
    get includedEventTypesInput(): string[] | undefined;
    private _labels?;
    /**
     * @stability stable
     */
    get labels(): string[];
    /**
     * @stability stable
     */
    set labels(value: string[]);
    /**
     * @stability stable
     */
    resetLabels(): void;
    /**
     * @stability stable
     */
    get labelsInput(): string[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _scope;
    /**
     * @stability stable
     */
    get scope(): string;
    /**
     * @stability stable
     */
    set scope(value: string);
    /**
     * @stability stable
     */
    get scopeInput(): string;
    private _serviceBusQueueEndpointId?;
    /**
     * @stability stable
     */
    get serviceBusQueueEndpointId(): string;
    /**
     * @stability stable
     */
    set serviceBusQueueEndpointId(value: string);
    /**
     * @stability stable
     */
    resetServiceBusQueueEndpointId(): void;
    /**
     * @stability stable
     */
    get serviceBusQueueEndpointIdInput(): string | undefined;
    private _serviceBusTopicEndpointId?;
    /**
     * @stability stable
     */
    get serviceBusTopicEndpointId(): string;
    /**
     * @stability stable
     */
    set serviceBusTopicEndpointId(value: string);
    /**
     * @stability stable
     */
    resetServiceBusTopicEndpointId(): void;
    /**
     * @stability stable
     */
    get serviceBusTopicEndpointIdInput(): string | undefined;
    private _topicName?;
    /**
     * @stability stable
     */
    get topicName(): string;
    /**
     * @stability stable
     */
    set topicName(value: string);
    /**
     * @stability stable
     */
    resetTopicName(): void;
    /**
     * @stability stable
     */
    get topicNameInput(): string | undefined;
    private _advancedFilter?;
    /**
     * @stability stable
     */
    get advancedFilter(): EventgridEventSubscriptionAdvancedFilter[];
    /**
     * @stability stable
     */
    set advancedFilter(value: EventgridEventSubscriptionAdvancedFilter[]);
    /**
     * @stability stable
     */
    resetAdvancedFilter(): void;
    /**
     * @stability stable
     */
    get advancedFilterInput(): EventgridEventSubscriptionAdvancedFilter[] | undefined;
    private _azureFunctionEndpoint?;
    /**
     * @stability stable
     */
    get azureFunctionEndpoint(): EventgridEventSubscriptionAzureFunctionEndpoint[];
    /**
     * @stability stable
     */
    set azureFunctionEndpoint(value: EventgridEventSubscriptionAzureFunctionEndpoint[]);
    /**
     * @stability stable
     */
    resetAzureFunctionEndpoint(): void;
    /**
     * @stability stable
     */
    get azureFunctionEndpointInput(): EventgridEventSubscriptionAzureFunctionEndpoint[] | undefined;
    private _eventhubEndpoint?;
    /**
     * @stability stable
     */
    get eventhubEndpoint(): EventgridEventSubscriptionEventhubEndpoint[];
    /**
     * @stability stable
     */
    set eventhubEndpoint(value: EventgridEventSubscriptionEventhubEndpoint[]);
    /**
     * @stability stable
     */
    resetEventhubEndpoint(): void;
    /**
     * @stability stable
     */
    get eventhubEndpointInput(): EventgridEventSubscriptionEventhubEndpoint[] | undefined;
    private _hybridConnectionEndpoint?;
    /**
     * @stability stable
     */
    get hybridConnectionEndpoint(): EventgridEventSubscriptionHybridConnectionEndpoint[];
    /**
     * @stability stable
     */
    set hybridConnectionEndpoint(value: EventgridEventSubscriptionHybridConnectionEndpoint[]);
    /**
     * @stability stable
     */
    resetHybridConnectionEndpoint(): void;
    /**
     * @stability stable
     */
    get hybridConnectionEndpointInput(): EventgridEventSubscriptionHybridConnectionEndpoint[] | undefined;
    private _retryPolicy?;
    /**
     * @stability stable
     */
    get retryPolicy(): EventgridEventSubscriptionRetryPolicy[];
    /**
     * @stability stable
     */
    set retryPolicy(value: EventgridEventSubscriptionRetryPolicy[]);
    /**
     * @stability stable
     */
    resetRetryPolicy(): void;
    /**
     * @stability stable
     */
    get retryPolicyInput(): EventgridEventSubscriptionRetryPolicy[] | undefined;
    private _storageBlobDeadLetterDestination?;
    /**
     * @stability stable
     */
    get storageBlobDeadLetterDestination(): EventgridEventSubscriptionStorageBlobDeadLetterDestination[];
    /**
     * @stability stable
     */
    set storageBlobDeadLetterDestination(value: EventgridEventSubscriptionStorageBlobDeadLetterDestination[]);
    /**
     * @stability stable
     */
    resetStorageBlobDeadLetterDestination(): void;
    /**
     * @stability stable
     */
    get storageBlobDeadLetterDestinationInput(): EventgridEventSubscriptionStorageBlobDeadLetterDestination[] | undefined;
    private _storageQueueEndpoint?;
    /**
     * @stability stable
     */
    get storageQueueEndpoint(): EventgridEventSubscriptionStorageQueueEndpoint[];
    /**
     * @stability stable
     */
    set storageQueueEndpoint(value: EventgridEventSubscriptionStorageQueueEndpoint[]);
    /**
     * @stability stable
     */
    resetStorageQueueEndpoint(): void;
    /**
     * @stability stable
     */
    get storageQueueEndpointInput(): EventgridEventSubscriptionStorageQueueEndpoint[] | undefined;
    private _subjectFilter?;
    /**
     * @stability stable
     */
    get subjectFilter(): EventgridEventSubscriptionSubjectFilter[];
    /**
     * @stability stable
     */
    set subjectFilter(value: EventgridEventSubscriptionSubjectFilter[]);
    /**
     * @stability stable
     */
    resetSubjectFilter(): void;
    /**
     * @stability stable
     */
    get subjectFilterInput(): EventgridEventSubscriptionSubjectFilter[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): EventgridEventSubscriptionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: EventgridEventSubscriptionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): EventgridEventSubscriptionTimeouts | undefined;
    private _webhookEndpoint?;
    /**
     * @stability stable
     */
    get webhookEndpoint(): EventgridEventSubscriptionWebhookEndpoint[];
    /**
     * @stability stable
     */
    set webhookEndpoint(value: EventgridEventSubscriptionWebhookEndpoint[]);
    /**
     * @stability stable
     */
    resetWebhookEndpoint(): void;
    /**
     * @stability stable
     */
    get webhookEndpointInput(): EventgridEventSubscriptionWebhookEndpoint[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
