import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly eventDeliverySchema?: string;
    /**
     * @stability stable
     */
    readonly eventhubEndpointId?: string;
    /**
     * @stability stable
     */
    readonly expirationTimeUtc?: string;
    /**
     * @stability stable
     */
    readonly hybridConnectionEndpointId?: string;
    /**
     * @stability stable
     */
    readonly includedEventTypes?: string[];
    /**
     * @stability stable
     */
    readonly labels?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceBusQueueEndpointId?: string;
    /**
     * @stability stable
     */
    readonly serviceBusTopicEndpointId?: string;
    /**
     * @stability stable
     */
    readonly systemTopic: string;
    /**
     * advanced_filter block.
     *
     * @stability stable
     */
    readonly advancedFilter?: EventgridSystemTopicEventSubscriptionAdvancedFilter[];
    /**
     * azure_function_endpoint block.
     *
     * @stability stable
     */
    readonly azureFunctionEndpoint?: EventgridSystemTopicEventSubscriptionAzureFunctionEndpoint[];
    /**
     * retry_policy block.
     *
     * @stability stable
     */
    readonly retryPolicy?: EventgridSystemTopicEventSubscriptionRetryPolicy[];
    /**
     * storage_blob_dead_letter_destination block.
     *
     * @stability stable
     */
    readonly storageBlobDeadLetterDestination?: EventgridSystemTopicEventSubscriptionStorageBlobDeadLetterDestination[];
    /**
     * storage_queue_endpoint block.
     *
     * @stability stable
     */
    readonly storageQueueEndpoint?: EventgridSystemTopicEventSubscriptionStorageQueueEndpoint[];
    /**
     * subject_filter block.
     *
     * @stability stable
     */
    readonly subjectFilter?: EventgridSystemTopicEventSubscriptionSubjectFilter[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: EventgridSystemTopicEventSubscriptionTimeouts;
    /**
     * webhook_endpoint block.
     *
     * @stability stable
     */
    readonly webhookEndpoint?: EventgridSystemTopicEventSubscriptionWebhookEndpoint[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterBoolEquals {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: boolean;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterNumberGreaterThan {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterNumberGreaterThanOrEquals {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterNumberIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: number[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterNumberLessThan {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterNumberLessThanOrEquals {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterNumberNotIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: number[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterStringBeginsWith {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterStringContains {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterStringEndsWith {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterStringIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilterStringNotIn {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAdvancedFilter {
    /**
     * bool_equals block.
     *
     * @stability stable
     */
    readonly boolEquals?: EventgridSystemTopicEventSubscriptionAdvancedFilterBoolEquals[];
    /**
     * number_greater_than block.
     *
     * @stability stable
     */
    readonly numberGreaterThan?: EventgridSystemTopicEventSubscriptionAdvancedFilterNumberGreaterThan[];
    /**
     * number_greater_than_or_equals block.
     *
     * @stability stable
     */
    readonly numberGreaterThanOrEquals?: EventgridSystemTopicEventSubscriptionAdvancedFilterNumberGreaterThanOrEquals[];
    /**
     * number_in block.
     *
     * @stability stable
     */
    readonly numberIn?: EventgridSystemTopicEventSubscriptionAdvancedFilterNumberIn[];
    /**
     * number_less_than block.
     *
     * @stability stable
     */
    readonly numberLessThan?: EventgridSystemTopicEventSubscriptionAdvancedFilterNumberLessThan[];
    /**
     * number_less_than_or_equals block.
     *
     * @stability stable
     */
    readonly numberLessThanOrEquals?: EventgridSystemTopicEventSubscriptionAdvancedFilterNumberLessThanOrEquals[];
    /**
     * number_not_in block.
     *
     * @stability stable
     */
    readonly numberNotIn?: EventgridSystemTopicEventSubscriptionAdvancedFilterNumberNotIn[];
    /**
     * string_begins_with block.
     *
     * @stability stable
     */
    readonly stringBeginsWith?: EventgridSystemTopicEventSubscriptionAdvancedFilterStringBeginsWith[];
    /**
     * string_contains block.
     *
     * @stability stable
     */
    readonly stringContains?: EventgridSystemTopicEventSubscriptionAdvancedFilterStringContains[];
    /**
     * string_ends_with block.
     *
     * @stability stable
     */
    readonly stringEndsWith?: EventgridSystemTopicEventSubscriptionAdvancedFilterStringEndsWith[];
    /**
     * string_in block.
     *
     * @stability stable
     */
    readonly stringIn?: EventgridSystemTopicEventSubscriptionAdvancedFilterStringIn[];
    /**
     * string_not_in block.
     *
     * @stability stable
     */
    readonly stringNotIn?: EventgridSystemTopicEventSubscriptionAdvancedFilterStringNotIn[];
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionAzureFunctionEndpoint {
    /**
     * @stability stable
     */
    readonly functionId: string;
    /**
     * @stability stable
     */
    readonly maxEventsPerBatch?: number;
    /**
     * @stability stable
     */
    readonly preferredBatchSizeInKilobytes?: number;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionRetryPolicy {
    /**
     * @stability stable
     */
    readonly eventTimeToLive: number;
    /**
     * @stability stable
     */
    readonly maxDeliveryAttempts: number;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionStorageBlobDeadLetterDestination {
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * @stability stable
     */
    readonly storageBlobContainerName: string;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionStorageQueueEndpoint {
    /**
     * @stability stable
     */
    readonly queueName: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionSubjectFilter {
    /**
     * @stability stable
     */
    readonly caseSensitive?: boolean;
    /**
     * @stability stable
     */
    readonly subjectBeginsWith?: string;
    /**
     * @stability stable
     */
    readonly subjectEndsWith?: string;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface EventgridSystemTopicEventSubscriptionWebhookEndpoint {
    /**
     * @stability stable
     */
    readonly activeDirectoryAppIdOrUri?: string;
    /**
     * @stability stable
     */
    readonly activeDirectoryTenantId?: string;
    /**
     * @stability stable
     */
    readonly maxEventsPerBatch?: number;
    /**
     * @stability stable
     */
    readonly preferredBatchSizeInKilobytes?: number;
    /**
     * @stability stable
     */
    readonly url: string;
}
/**
 * @stability stable
 */
export declare class EventgridSystemTopicEventSubscription extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EventgridSystemTopicEventSubscriptionConfig);
    private _eventDeliverySchema?;
    /**
     * @stability stable
     */
    get eventDeliverySchema(): string;
    /**
     * @stability stable
     */
    set eventDeliverySchema(value: string);
    /**
     * @stability stable
     */
    resetEventDeliverySchema(): void;
    /**
     * @stability stable
     */
    get eventDeliverySchemaInput(): string | undefined;
    private _eventhubEndpointId?;
    /**
     * @stability stable
     */
    get eventhubEndpointId(): string;
    /**
     * @stability stable
     */
    set eventhubEndpointId(value: string);
    /**
     * @stability stable
     */
    resetEventhubEndpointId(): void;
    /**
     * @stability stable
     */
    get eventhubEndpointIdInput(): string | undefined;
    private _expirationTimeUtc?;
    /**
     * @stability stable
     */
    get expirationTimeUtc(): string;
    /**
     * @stability stable
     */
    set expirationTimeUtc(value: string);
    /**
     * @stability stable
     */
    resetExpirationTimeUtc(): void;
    /**
     * @stability stable
     */
    get expirationTimeUtcInput(): string | undefined;
    private _hybridConnectionEndpointId?;
    /**
     * @stability stable
     */
    get hybridConnectionEndpointId(): string;
    /**
     * @stability stable
     */
    set hybridConnectionEndpointId(value: string);
    /**
     * @stability stable
     */
    resetHybridConnectionEndpointId(): void;
    /**
     * @stability stable
     */
    get hybridConnectionEndpointIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _includedEventTypes?;
    /**
     * @stability stable
     */
    get includedEventTypes(): string[];
    /**
     * @stability stable
     */
    set includedEventTypes(value: string[]);
    /**
     * @stability stable
     */
    resetIncludedEventTypes(): void;
    /**
     * @stability stable
     */
    get includedEventTypesInput(): string[] | undefined;
    private _labels?;
    /**
     * @stability stable
     */
    get labels(): string[];
    /**
     * @stability stable
     */
    set labels(value: string[]);
    /**
     * @stability stable
     */
    resetLabels(): void;
    /**
     * @stability stable
     */
    get labelsInput(): string[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serviceBusQueueEndpointId?;
    /**
     * @stability stable
     */
    get serviceBusQueueEndpointId(): string;
    /**
     * @stability stable
     */
    set serviceBusQueueEndpointId(value: string);
    /**
     * @stability stable
     */
    resetServiceBusQueueEndpointId(): void;
    /**
     * @stability stable
     */
    get serviceBusQueueEndpointIdInput(): string | undefined;
    private _serviceBusTopicEndpointId?;
    /**
     * @stability stable
     */
    get serviceBusTopicEndpointId(): string;
    /**
     * @stability stable
     */
    set serviceBusTopicEndpointId(value: string);
    /**
     * @stability stable
     */
    resetServiceBusTopicEndpointId(): void;
    /**
     * @stability stable
     */
    get serviceBusTopicEndpointIdInput(): string | undefined;
    private _systemTopic;
    /**
     * @stability stable
     */
    get systemTopic(): string;
    /**
     * @stability stable
     */
    set systemTopic(value: string);
    /**
     * @stability stable
     */
    get systemTopicInput(): string;
    private _advancedFilter?;
    /**
     * @stability stable
     */
    get advancedFilter(): EventgridSystemTopicEventSubscriptionAdvancedFilter[];
    /**
     * @stability stable
     */
    set advancedFilter(value: EventgridSystemTopicEventSubscriptionAdvancedFilter[]);
    /**
     * @stability stable
     */
    resetAdvancedFilter(): void;
    /**
     * @stability stable
     */
    get advancedFilterInput(): EventgridSystemTopicEventSubscriptionAdvancedFilter[] | undefined;
    private _azureFunctionEndpoint?;
    /**
     * @stability stable
     */
    get azureFunctionEndpoint(): EventgridSystemTopicEventSubscriptionAzureFunctionEndpoint[];
    /**
     * @stability stable
     */
    set azureFunctionEndpoint(value: EventgridSystemTopicEventSubscriptionAzureFunctionEndpoint[]);
    /**
     * @stability stable
     */
    resetAzureFunctionEndpoint(): void;
    /**
     * @stability stable
     */
    get azureFunctionEndpointInput(): EventgridSystemTopicEventSubscriptionAzureFunctionEndpoint[] | undefined;
    private _retryPolicy?;
    /**
     * @stability stable
     */
    get retryPolicy(): EventgridSystemTopicEventSubscriptionRetryPolicy[];
    /**
     * @stability stable
     */
    set retryPolicy(value: EventgridSystemTopicEventSubscriptionRetryPolicy[]);
    /**
     * @stability stable
     */
    resetRetryPolicy(): void;
    /**
     * @stability stable
     */
    get retryPolicyInput(): EventgridSystemTopicEventSubscriptionRetryPolicy[] | undefined;
    private _storageBlobDeadLetterDestination?;
    /**
     * @stability stable
     */
    get storageBlobDeadLetterDestination(): EventgridSystemTopicEventSubscriptionStorageBlobDeadLetterDestination[];
    /**
     * @stability stable
     */
    set storageBlobDeadLetterDestination(value: EventgridSystemTopicEventSubscriptionStorageBlobDeadLetterDestination[]);
    /**
     * @stability stable
     */
    resetStorageBlobDeadLetterDestination(): void;
    /**
     * @stability stable
     */
    get storageBlobDeadLetterDestinationInput(): EventgridSystemTopicEventSubscriptionStorageBlobDeadLetterDestination[] | undefined;
    private _storageQueueEndpoint?;
    /**
     * @stability stable
     */
    get storageQueueEndpoint(): EventgridSystemTopicEventSubscriptionStorageQueueEndpoint[];
    /**
     * @stability stable
     */
    set storageQueueEndpoint(value: EventgridSystemTopicEventSubscriptionStorageQueueEndpoint[]);
    /**
     * @stability stable
     */
    resetStorageQueueEndpoint(): void;
    /**
     * @stability stable
     */
    get storageQueueEndpointInput(): EventgridSystemTopicEventSubscriptionStorageQueueEndpoint[] | undefined;
    private _subjectFilter?;
    /**
     * @stability stable
     */
    get subjectFilter(): EventgridSystemTopicEventSubscriptionSubjectFilter[];
    /**
     * @stability stable
     */
    set subjectFilter(value: EventgridSystemTopicEventSubscriptionSubjectFilter[]);
    /**
     * @stability stable
     */
    resetSubjectFilter(): void;
    /**
     * @stability stable
     */
    get subjectFilterInput(): EventgridSystemTopicEventSubscriptionSubjectFilter[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): EventgridSystemTopicEventSubscriptionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: EventgridSystemTopicEventSubscriptionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): EventgridSystemTopicEventSubscriptionTimeouts | undefined;
    private _webhookEndpoint?;
    /**
     * @stability stable
     */
    get webhookEndpoint(): EventgridSystemTopicEventSubscriptionWebhookEndpoint[];
    /**
     * @stability stable
     */
    set webhookEndpoint(value: EventgridSystemTopicEventSubscriptionWebhookEndpoint[]);
    /**
     * @stability stable
     */
    resetWebhookEndpoint(): void;
    /**
     * @stability stable
     */
    get webhookEndpointInput(): EventgridSystemTopicEventSubscriptionWebhookEndpoint[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
