import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EventgridTopicConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly inboundIpRule?: EventgridTopicInboundIpRule[];
    /**
     * @stability stable
     */
    readonly inputSchema?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly publicNetworkAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * input_mapping_default_values block.
     *
     * @stability stable
     */
    readonly inputMappingDefaultValues?: EventgridTopicInputMappingDefaultValues[];
    /**
     * input_mapping_fields block.
     *
     * @stability stable
     */
    readonly inputMappingFields?: EventgridTopicInputMappingFields[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: EventgridTopicTimeouts;
}
/**
 * @stability stable
 */
export interface EventgridTopicInboundIpRule {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipMask?: string;
}
/**
 * @stability stable
 */
export interface EventgridTopicInputMappingDefaultValues {
    /**
     * @stability stable
     */
    readonly dataVersion?: string;
    /**
     * @stability stable
     */
    readonly eventType?: string;
    /**
     * @stability stable
     */
    readonly subject?: string;
}
/**
 * @stability stable
 */
export interface EventgridTopicInputMappingFields {
    /**
     * @stability stable
     */
    readonly dataVersion?: string;
    /**
     * @stability stable
     */
    readonly eventTime?: string;
    /**
     * @stability stable
     */
    readonly eventType?: string;
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly subject?: string;
    /**
     * @stability stable
     */
    readonly topic?: string;
}
/**
 * @stability stable
 */
export interface EventgridTopicTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class EventgridTopic extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EventgridTopicConfig);
    /**
     * @stability stable
     */
    get endpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _inboundIpRule?;
    /**
     * @stability stable
     */
    get inboundIpRule(): EventgridTopicInboundIpRule[];
    /**
     * @stability stable
     */
    set inboundIpRule(value: EventgridTopicInboundIpRule[]);
    /**
     * @stability stable
     */
    resetInboundIpRule(): void;
    /**
     * @stability stable
     */
    get inboundIpRuleInput(): EventgridTopicInboundIpRule[] | undefined;
    private _inputSchema?;
    /**
     * @stability stable
     */
    get inputSchema(): string;
    /**
     * @stability stable
     */
    set inputSchema(value: string);
    /**
     * @stability stable
     */
    resetInputSchema(): void;
    /**
     * @stability stable
     */
    get inputSchemaInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get primaryAccessKey(): string;
    private _publicNetworkAccessEnabled?;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabled(): boolean;
    /**
     * @stability stable
     */
    set publicNetworkAccessEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetPublicNetworkAccessEnabled(): void;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryAccessKey(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _inputMappingDefaultValues?;
    /**
     * @stability stable
     */
    get inputMappingDefaultValues(): EventgridTopicInputMappingDefaultValues[];
    /**
     * @stability stable
     */
    set inputMappingDefaultValues(value: EventgridTopicInputMappingDefaultValues[]);
    /**
     * @stability stable
     */
    resetInputMappingDefaultValues(): void;
    /**
     * @stability stable
     */
    get inputMappingDefaultValuesInput(): EventgridTopicInputMappingDefaultValues[] | undefined;
    private _inputMappingFields?;
    /**
     * @stability stable
     */
    get inputMappingFields(): EventgridTopicInputMappingFields[];
    /**
     * @stability stable
     */
    set inputMappingFields(value: EventgridTopicInputMappingFields[]);
    /**
     * @stability stable
     */
    resetInputMappingFields(): void;
    /**
     * @stability stable
     */
    get inputMappingFieldsInput(): EventgridTopicInputMappingFields[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): EventgridTopicTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: EventgridTopicTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): EventgridTopicTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
