import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EventhubNamespaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoInflateEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly capacity?: number;
    /**
     * @stability stable
     */
    readonly dedicatedClusterId?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maximumThroughputUnits?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkRulesets?: EventhubNamespaceNetworkRulesets[];
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zoneRedundant?: boolean;
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: EventhubNamespaceIdentity[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: EventhubNamespaceTimeouts;
}
/**
 * @stability stable
 */
export interface EventhubNamespaceNetworkRulesetsIpRule {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipMask?: string;
}
/**
 * @stability stable
 */
export interface EventhubNamespaceNetworkRulesetsVirtualNetworkRule {
    /**
     * @stability stable
     */
    readonly ignoreMissingVirtualNetworkServiceEndpoint?: boolean;
    /**
     * @stability stable
     */
    readonly subnetId?: string;
}
/**
 * @stability stable
 */
export interface EventhubNamespaceNetworkRulesets {
    /**
     * @stability stable
     */
    readonly defaultAction?: string;
    /**
     * @stability stable
     */
    readonly ipRule?: EventhubNamespaceNetworkRulesetsIpRule[];
    /**
     * @stability stable
     */
    readonly trustedServiceAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly virtualNetworkRule?: EventhubNamespaceNetworkRulesetsVirtualNetworkRule[];
}
/**
 * @stability stable
 */
export interface EventhubNamespaceIdentity {
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface EventhubNamespaceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class EventhubNamespace extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EventhubNamespaceConfig);
    private _autoInflateEnabled?;
    /**
     * @stability stable
     */
    get autoInflateEnabled(): boolean;
    /**
     * @stability stable
     */
    set autoInflateEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetAutoInflateEnabled(): void;
    /**
     * @stability stable
     */
    get autoInflateEnabledInput(): boolean | undefined;
    private _capacity?;
    /**
     * @stability stable
     */
    get capacity(): number;
    /**
     * @stability stable
     */
    set capacity(value: number);
    /**
     * @stability stable
     */
    resetCapacity(): void;
    /**
     * @stability stable
     */
    get capacityInput(): number | undefined;
    private _dedicatedClusterId?;
    /**
     * @stability stable
     */
    get dedicatedClusterId(): string;
    /**
     * @stability stable
     */
    set dedicatedClusterId(value: string);
    /**
     * @stability stable
     */
    resetDedicatedClusterId(): void;
    /**
     * @stability stable
     */
    get dedicatedClusterIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get defaultPrimaryConnectionString(): string;
    /**
     * @stability stable
     */
    get defaultPrimaryConnectionStringAlias(): string;
    /**
     * @stability stable
     */
    get defaultPrimaryKey(): string;
    /**
     * @stability stable
     */
    get defaultSecondaryConnectionString(): string;
    /**
     * @stability stable
     */
    get defaultSecondaryConnectionStringAlias(): string;
    /**
     * @stability stable
     */
    get defaultSecondaryKey(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maximumThroughputUnits?;
    /**
     * @stability stable
     */
    get maximumThroughputUnits(): number;
    /**
     * @stability stable
     */
    set maximumThroughputUnits(value: number);
    /**
     * @stability stable
     */
    resetMaximumThroughputUnits(): void;
    /**
     * @stability stable
     */
    get maximumThroughputUnitsInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkRulesets?;
    /**
     * @stability stable
     */
    get networkRulesets(): EventhubNamespaceNetworkRulesets[];
    /**
     * @stability stable
     */
    set networkRulesets(value: EventhubNamespaceNetworkRulesets[]);
    /**
     * @stability stable
     */
    resetNetworkRulesets(): void;
    /**
     * @stability stable
     */
    get networkRulesetsInput(): EventhubNamespaceNetworkRulesets[] | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    get skuInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zoneRedundant?;
    /**
     * @stability stable
     */
    get zoneRedundant(): boolean;
    /**
     * @stability stable
     */
    set zoneRedundant(value: boolean);
    /**
     * @stability stable
     */
    resetZoneRedundant(): void;
    /**
     * @stability stable
     */
    get zoneRedundantInput(): boolean | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): EventhubNamespaceIdentity[];
    /**
     * @stability stable
     */
    set identity(value: EventhubNamespaceIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): EventhubNamespaceIdentity[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): EventhubNamespaceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: EventhubNamespaceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): EventhubNamespaceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
