import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EventhubConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly messageRetention: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly namespaceName: string;
    /**
     * @stability stable
     */
    readonly partitionCount: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * capture_description block.
     *
     * @stability stable
     */
    readonly captureDescription?: EventhubCaptureDescription[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: EventhubTimeouts;
}
/**
 * @stability stable
 */
export interface EventhubCaptureDescriptionDestination {
    /**
     * @stability stable
     */
    readonly archiveNameFormat: string;
    /**
     * @stability stable
     */
    readonly blobContainerName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
}
/**
 * @stability stable
 */
export interface EventhubCaptureDescription {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly encoding: string;
    /**
     * @stability stable
     */
    readonly intervalInSeconds?: number;
    /**
     * @stability stable
     */
    readonly sizeLimitInBytes?: number;
    /**
     * @stability stable
     */
    readonly skipEmptyArchives?: boolean;
    /**
     * destination block.
     *
     * @stability stable
     */
    readonly destination: EventhubCaptureDescriptionDestination[];
}
/**
 * @stability stable
 */
export interface EventhubTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class Eventhub extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EventhubConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _messageRetention;
    /**
     * @stability stable
     */
    get messageRetention(): number;
    /**
     * @stability stable
     */
    set messageRetention(value: number);
    /**
     * @stability stable
     */
    get messageRetentionInput(): number;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _namespaceName;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    /**
     * @stability stable
     */
    set namespaceName(value: string);
    /**
     * @stability stable
     */
    get namespaceNameInput(): string;
    private _partitionCount;
    /**
     * @stability stable
     */
    get partitionCount(): number;
    /**
     * @stability stable
     */
    set partitionCount(value: number);
    /**
     * @stability stable
     */
    get partitionCountInput(): number;
    /**
     * @stability stable
     */
    get partitionIds(): string[];
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _captureDescription?;
    /**
     * @stability stable
     */
    get captureDescription(): EventhubCaptureDescription[];
    /**
     * @stability stable
     */
    set captureDescription(value: EventhubCaptureDescription[]);
    /**
     * @stability stable
     */
    resetCaptureDescription(): void;
    /**
     * @stability stable
     */
    get captureDescriptionInput(): EventhubCaptureDescription[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): EventhubTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: EventhubTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): EventhubTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
