import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ExpressRouteCircuitConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allowClassicOperations?: boolean;
    /**
     * @stability stable
     */
    readonly bandwidthInMbps: number;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly peeringLocation: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceProviderName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     *
     * @stability stable
     */
    readonly sku: ExpressRouteCircuitSku[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ExpressRouteCircuitTimeouts;
}
/**
 * @stability stable
 */
export interface ExpressRouteCircuitSku {
    /**
     * @stability stable
     */
    readonly family: string;
    /**
     * @stability stable
     */
    readonly tier: string;
}
/**
 * @stability stable
 */
export interface ExpressRouteCircuitTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ExpressRouteCircuit extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ExpressRouteCircuitConfig);
    private _allowClassicOperations?;
    /**
     * @stability stable
     */
    get allowClassicOperations(): boolean;
    /**
     * @stability stable
     */
    set allowClassicOperations(value: boolean);
    /**
     * @stability stable
     */
    resetAllowClassicOperations(): void;
    /**
     * @stability stable
     */
    get allowClassicOperationsInput(): boolean | undefined;
    private _bandwidthInMbps;
    /**
     * @stability stable
     */
    get bandwidthInMbps(): number;
    /**
     * @stability stable
     */
    set bandwidthInMbps(value: number);
    /**
     * @stability stable
     */
    get bandwidthInMbpsInput(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _peeringLocation;
    /**
     * @stability stable
     */
    get peeringLocation(): string;
    /**
     * @stability stable
     */
    set peeringLocation(value: string);
    /**
     * @stability stable
     */
    get peeringLocationInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get serviceKey(): string;
    private _serviceProviderName;
    /**
     * @stability stable
     */
    get serviceProviderName(): string;
    /**
     * @stability stable
     */
    set serviceProviderName(value: string);
    /**
     * @stability stable
     */
    get serviceProviderNameInput(): string;
    /**
     * @stability stable
     */
    get serviceProviderProvisioningState(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): ExpressRouteCircuitSku[];
    /**
     * @stability stable
     */
    set sku(value: ExpressRouteCircuitSku[]);
    /**
     * @stability stable
     */
    get skuInput(): ExpressRouteCircuitSku[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ExpressRouteCircuitTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ExpressRouteCircuitTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ExpressRouteCircuitTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
