import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ExpressRoutePortConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly bandwidthInGbps: number;
    /**
     * @stability stable
     */
    readonly encapsulation: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly peeringLocation: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: ExpressRoutePortIdentity[];
    /**
     * link1 block.
     *
     * @stability stable
     */
    readonly link1?: ExpressRoutePortLink1[];
    /**
     * link2 block.
     *
     * @stability stable
     */
    readonly link2?: ExpressRoutePortLink2[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ExpressRoutePortTimeouts;
}
/**
 * @stability stable
 */
export interface ExpressRoutePortIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface ExpressRoutePortLink1 {
    /**
     * @stability stable
     */
    readonly adminEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly macsecCakKeyvaultSecretId?: string;
    /**
     * @stability stable
     */
    readonly macsecCipher?: string;
    /**
     * @stability stable
     */
    readonly macsecCknKeyvaultSecretId?: string;
}
/**
 * @stability stable
 */
export interface ExpressRoutePortLink2 {
    /**
     * @stability stable
     */
    readonly adminEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly macsecCakKeyvaultSecretId?: string;
    /**
     * @stability stable
     */
    readonly macsecCipher?: string;
    /**
     * @stability stable
     */
    readonly macsecCknKeyvaultSecretId?: string;
}
/**
 * @stability stable
 */
export interface ExpressRoutePortTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ExpressRoutePort extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ExpressRoutePortConfig);
    private _bandwidthInGbps;
    /**
     * @stability stable
     */
    get bandwidthInGbps(): number;
    /**
     * @stability stable
     */
    set bandwidthInGbps(value: number);
    /**
     * @stability stable
     */
    get bandwidthInGbpsInput(): number;
    private _encapsulation;
    /**
     * @stability stable
     */
    get encapsulation(): string;
    /**
     * @stability stable
     */
    set encapsulation(value: string);
    /**
     * @stability stable
     */
    get encapsulationInput(): string;
    /**
     * @stability stable
     */
    get ethertype(): string;
    /**
     * @stability stable
     */
    get guid(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get mtu(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _peeringLocation;
    /**
     * @stability stable
     */
    get peeringLocation(): string;
    /**
     * @stability stable
     */
    set peeringLocation(value: string);
    /**
     * @stability stable
     */
    get peeringLocationInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): ExpressRoutePortIdentity[];
    /**
     * @stability stable
     */
    set identity(value: ExpressRoutePortIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): ExpressRoutePortIdentity[] | undefined;
    private _link1?;
    /**
     * @stability stable
     */
    get link1(): ExpressRoutePortLink1[];
    /**
     * @stability stable
     */
    set link1(value: ExpressRoutePortLink1[]);
    /**
     * @stability stable
     */
    resetLink1(): void;
    /**
     * @stability stable
     */
    get link1Input(): ExpressRoutePortLink1[] | undefined;
    private _link2?;
    /**
     * @stability stable
     */
    get link2(): ExpressRoutePortLink2[];
    /**
     * @stability stable
     */
    set link2(value: ExpressRoutePortLink2[]);
    /**
     * @stability stable
     */
    resetLink2(): void;
    /**
     * @stability stable
     */
    get link2Input(): ExpressRoutePortLink2[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ExpressRoutePortTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ExpressRoutePortTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ExpressRoutePortTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
