import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FirewallApplicationRuleCollectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly azureFirewallName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: FirewallApplicationRuleCollectionRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: FirewallApplicationRuleCollectionTimeouts;
}
/**
 * @stability stable
 */
export interface FirewallApplicationRuleCollectionRuleProtocol {
    /**
     * @stability stable
     */
    readonly port?: number;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface FirewallApplicationRuleCollectionRule {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly fqdnTags?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly sourceAddresses?: string[];
    /**
     * @stability stable
     */
    readonly sourceIpGroups?: string[];
    /**
     * @stability stable
     */
    readonly targetFqdns?: string[];
    /**
     * protocol block.
     *
     * @stability stable
     */
    readonly protocol?: FirewallApplicationRuleCollectionRuleProtocol[];
}
/**
 * @stability stable
 */
export interface FirewallApplicationRuleCollectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class FirewallApplicationRuleCollection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FirewallApplicationRuleCollectionConfig);
    private _action;
    /**
     * @stability stable
     */
    get action(): string;
    /**
     * @stability stable
     */
    set action(value: string);
    /**
     * @stability stable
     */
    get actionInput(): string;
    private _azureFirewallName;
    /**
     * @stability stable
     */
    get azureFirewallName(): string;
    /**
     * @stability stable
     */
    set azureFirewallName(value: string);
    /**
     * @stability stable
     */
    get azureFirewallNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    get priorityInput(): number;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _rule;
    /**
     * @stability stable
     */
    get rule(): FirewallApplicationRuleCollectionRule[];
    /**
     * @stability stable
     */
    set rule(value: FirewallApplicationRuleCollectionRule[]);
    /**
     * @stability stable
     */
    get ruleInput(): FirewallApplicationRuleCollectionRule[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): FirewallApplicationRuleCollectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: FirewallApplicationRuleCollectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): FirewallApplicationRuleCollectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
