import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FirewallNetworkRuleCollectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly azureFirewallName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: FirewallNetworkRuleCollectionRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: FirewallNetworkRuleCollectionTimeouts;
}
/**
 * @stability stable
 */
export interface FirewallNetworkRuleCollectionRule {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly destinationAddresses?: string[];
    /**
     * @stability stable
     */
    readonly destinationFqdns?: string[];
    /**
     * @stability stable
     */
    readonly destinationIpGroups?: string[];
    /**
     * @stability stable
     */
    readonly destinationPorts: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protocols: string[];
    /**
     * @stability stable
     */
    readonly sourceAddresses?: string[];
    /**
     * @stability stable
     */
    readonly sourceIpGroups?: string[];
}
/**
 * @stability stable
 */
export interface FirewallNetworkRuleCollectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class FirewallNetworkRuleCollection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FirewallNetworkRuleCollectionConfig);
    private _action;
    /**
     * @stability stable
     */
    get action(): string;
    /**
     * @stability stable
     */
    set action(value: string);
    /**
     * @stability stable
     */
    get actionInput(): string;
    private _azureFirewallName;
    /**
     * @stability stable
     */
    get azureFirewallName(): string;
    /**
     * @stability stable
     */
    set azureFirewallName(value: string);
    /**
     * @stability stable
     */
    get azureFirewallNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    get priorityInput(): number;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _rule;
    /**
     * @stability stable
     */
    get rule(): FirewallNetworkRuleCollectionRule[];
    /**
     * @stability stable
     */
    set rule(value: FirewallNetworkRuleCollectionRule[]);
    /**
     * @stability stable
     */
    get ruleInput(): FirewallNetworkRuleCollectionRule[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): FirewallNetworkRuleCollectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: FirewallNetworkRuleCollectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): FirewallNetworkRuleCollectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
