import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly firewallPolicyId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * application_rule_collection block.
     *
     * @stability stable
     */
    readonly applicationRuleCollection?: FirewallPolicyRuleCollectionGroupApplicationRuleCollection[];
    /**
     * nat_rule_collection block.
     *
     * @stability stable
     */
    readonly natRuleCollection?: FirewallPolicyRuleCollectionGroupNatRuleCollection[];
    /**
     * network_rule_collection block.
     *
     * @stability stable
     */
    readonly networkRuleCollection?: FirewallPolicyRuleCollectionGroupNetworkRuleCollection[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: FirewallPolicyRuleCollectionGroupTimeouts;
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRuleProtocols {
    /**
     * @stability stable
     */
    readonly port: number;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRule {
    /**
     * @stability stable
     */
    readonly destinationFqdnTags?: string[];
    /**
     * @stability stable
     */
    readonly destinationFqdns?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly sourceAddresses?: string[];
    /**
     * @stability stable
     */
    readonly sourceIpGroups?: string[];
    /**
     * protocols block.
     *
     * @stability stable
     */
    readonly protocols: FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRuleProtocols[];
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupApplicationRuleCollection {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: FirewallPolicyRuleCollectionGroupApplicationRuleCollectionRule[];
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupNatRuleCollectionRule {
    /**
     * @stability stable
     */
    readonly destinationAddress?: string;
    /**
     * @stability stable
     */
    readonly destinationPorts?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protocols: string[];
    /**
     * @stability stable
     */
    readonly sourceAddresses?: string[];
    /**
     * @stability stable
     */
    readonly sourceIpGroups?: string[];
    /**
     * @stability stable
     */
    readonly translatedAddress: string;
    /**
     * @stability stable
     */
    readonly translatedPort: number;
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupNatRuleCollection {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: FirewallPolicyRuleCollectionGroupNatRuleCollectionRule[];
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupNetworkRuleCollectionRule {
    /**
     * @stability stable
     */
    readonly destinationAddresses?: string[];
    /**
     * @stability stable
     */
    readonly destinationFqdns?: string[];
    /**
     * @stability stable
     */
    readonly destinationIpGroups?: string[];
    /**
     * @stability stable
     */
    readonly destinationPorts: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protocols: string[];
    /**
     * @stability stable
     */
    readonly sourceAddresses?: string[];
    /**
     * @stability stable
     */
    readonly sourceIpGroups?: string[];
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupNetworkRuleCollection {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: FirewallPolicyRuleCollectionGroupNetworkRuleCollectionRule[];
}
/**
 * @stability stable
 */
export interface FirewallPolicyRuleCollectionGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class FirewallPolicyRuleCollectionGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FirewallPolicyRuleCollectionGroupConfig);
    private _firewallPolicyId;
    /**
     * @stability stable
     */
    get firewallPolicyId(): string;
    /**
     * @stability stable
     */
    set firewallPolicyId(value: string);
    /**
     * @stability stable
     */
    get firewallPolicyIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    get priorityInput(): number;
    private _applicationRuleCollection?;
    /**
     * @stability stable
     */
    get applicationRuleCollection(): FirewallPolicyRuleCollectionGroupApplicationRuleCollection[];
    /**
     * @stability stable
     */
    set applicationRuleCollection(value: FirewallPolicyRuleCollectionGroupApplicationRuleCollection[]);
    /**
     * @stability stable
     */
    resetApplicationRuleCollection(): void;
    /**
     * @stability stable
     */
    get applicationRuleCollectionInput(): FirewallPolicyRuleCollectionGroupApplicationRuleCollection[] | undefined;
    private _natRuleCollection?;
    /**
     * @stability stable
     */
    get natRuleCollection(): FirewallPolicyRuleCollectionGroupNatRuleCollection[];
    /**
     * @stability stable
     */
    set natRuleCollection(value: FirewallPolicyRuleCollectionGroupNatRuleCollection[]);
    /**
     * @stability stable
     */
    resetNatRuleCollection(): void;
    /**
     * @stability stable
     */
    get natRuleCollectionInput(): FirewallPolicyRuleCollectionGroupNatRuleCollection[] | undefined;
    private _networkRuleCollection?;
    /**
     * @stability stable
     */
    get networkRuleCollection(): FirewallPolicyRuleCollectionGroupNetworkRuleCollection[];
    /**
     * @stability stable
     */
    set networkRuleCollection(value: FirewallPolicyRuleCollectionGroupNetworkRuleCollection[]);
    /**
     * @stability stable
     */
    resetNetworkRuleCollection(): void;
    /**
     * @stability stable
     */
    get networkRuleCollectionInput(): FirewallPolicyRuleCollectionGroupNetworkRuleCollection[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): FirewallPolicyRuleCollectionGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: FirewallPolicyRuleCollectionGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): FirewallPolicyRuleCollectionGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
