import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FrontdoorCustomHttpsConfigurationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customHttpsProvisioningEnabled: boolean;
    /**
     * @stability stable
     */
    readonly frontendEndpointId: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName?: string;
    /**
     * custom_https_configuration block.
     *
     * @stability stable
     */
    readonly customHttpsConfiguration?: FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: FrontdoorCustomHttpsConfigurationTimeouts;
}
/**
 * @stability stable
 */
export interface FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration {
    /**
     * @stability stable
     */
    readonly azureKeyVaultCertificateSecretName?: string;
    /**
     * @stability stable
     */
    readonly azureKeyVaultCertificateSecretVersion?: string;
    /**
     * @stability stable
     */
    readonly azureKeyVaultCertificateVaultId?: string;
    /**
     * @stability stable
     */
    readonly certificateSource?: string;
}
/**
 * @stability stable
 */
export interface FrontdoorCustomHttpsConfigurationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class FrontdoorCustomHttpsConfiguration extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FrontdoorCustomHttpsConfigurationConfig);
    private _customHttpsProvisioningEnabled;
    /**
     * @stability stable
     */
    get customHttpsProvisioningEnabled(): boolean;
    /**
     * @stability stable
     */
    set customHttpsProvisioningEnabled(value: boolean);
    /**
     * @stability stable
     */
    get customHttpsProvisioningEnabledInput(): boolean;
    private _frontendEndpointId;
    /**
     * @stability stable
     */
    get frontendEndpointId(): string;
    /**
     * @stability stable
     */
    set frontendEndpointId(value: string);
    /**
     * @stability stable
     */
    get frontendEndpointIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceGroupName?;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    resetResourceGroupName(): void;
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string | undefined;
    private _customHttpsConfiguration?;
    /**
     * @stability stable
     */
    get customHttpsConfiguration(): FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[];
    /**
     * @stability stable
     */
    set customHttpsConfiguration(value: FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[]);
    /**
     * @stability stable
     */
    resetCustomHttpsConfiguration(): void;
    /**
     * @stability stable
     */
    get customHttpsConfigurationInput(): FrontdoorCustomHttpsConfigurationCustomHttpsConfiguration[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): FrontdoorCustomHttpsConfigurationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: FrontdoorCustomHttpsConfigurationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): FrontdoorCustomHttpsConfigurationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
