import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customBlockResponseBody?: string;
    /**
     * @stability stable
     */
    readonly customBlockResponseStatusCode?: number;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly mode?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly redirectUrl?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_rule block.
     *
     * @stability stable
     */
    readonly customRule?: FrontdoorFirewallPolicyCustomRule[];
    /**
     * managed_rule block.
     *
     * @stability stable
     */
    readonly managedRule?: FrontdoorFirewallPolicyManagedRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: FrontdoorFirewallPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyCustomRuleMatchCondition {
    /**
     * @stability stable
     */
    readonly matchValues: string[];
    /**
     * @stability stable
     */
    readonly matchVariable: string;
    /**
     * @stability stable
     */
    readonly negationCondition?: boolean;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector?: string;
    /**
     * @stability stable
     */
    readonly transforms?: string[];
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyCustomRule {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly rateLimitDurationInMinutes?: number;
    /**
     * @stability stable
     */
    readonly rateLimitThreshold?: number;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * match_condition block.
     *
     * @stability stable
     */
    readonly matchCondition?: FrontdoorFirewallPolicyCustomRuleMatchCondition[];
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyManagedRuleExclusion {
    /**
     * @stability stable
     */
    readonly matchVariable: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector: string;
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyManagedRuleOverrideExclusion {
    /**
     * @stability stable
     */
    readonly matchVariable: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector: string;
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyManagedRuleOverrideRuleExclusion {
    /**
     * @stability stable
     */
    readonly matchVariable: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly selector: string;
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyManagedRuleOverrideRule {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly ruleId: string;
    /**
     * exclusion block.
     *
     * @stability stable
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleOverrideRuleExclusion[];
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyManagedRuleOverride {
    /**
     * @stability stable
     */
    readonly ruleGroupName: string;
    /**
     * exclusion block.
     *
     * @stability stable
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleOverrideExclusion[];
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule?: FrontdoorFirewallPolicyManagedRuleOverrideRule[];
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyManagedRule {
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly version: string;
    /**
     * exclusion block.
     *
     * @stability stable
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleExclusion[];
    /**
     * override block.
     *
     * @stability stable
     */
    readonly override?: FrontdoorFirewallPolicyManagedRuleOverride[];
}
/**
 * @stability stable
 */
export interface FrontdoorFirewallPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class FrontdoorFirewallPolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FrontdoorFirewallPolicyConfig);
    private _customBlockResponseBody?;
    /**
     * @stability stable
     */
    get customBlockResponseBody(): string;
    /**
     * @stability stable
     */
    set customBlockResponseBody(value: string);
    /**
     * @stability stable
     */
    resetCustomBlockResponseBody(): void;
    /**
     * @stability stable
     */
    get customBlockResponseBodyInput(): string | undefined;
    private _customBlockResponseStatusCode?;
    /**
     * @stability stable
     */
    get customBlockResponseStatusCode(): number;
    /**
     * @stability stable
     */
    set customBlockResponseStatusCode(value: number);
    /**
     * @stability stable
     */
    resetCustomBlockResponseStatusCode(): void;
    /**
     * @stability stable
     */
    get customBlockResponseStatusCodeInput(): number | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get frontendEndpointIds(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _mode?;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    set mode(value: string);
    /**
     * @stability stable
     */
    resetMode(): void;
    /**
     * @stability stable
     */
    get modeInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _redirectUrl?;
    /**
     * @stability stable
     */
    get redirectUrl(): string;
    /**
     * @stability stable
     */
    set redirectUrl(value: string);
    /**
     * @stability stable
     */
    resetRedirectUrl(): void;
    /**
     * @stability stable
     */
    get redirectUrlInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _customRule?;
    /**
     * @stability stable
     */
    get customRule(): FrontdoorFirewallPolicyCustomRule[];
    /**
     * @stability stable
     */
    set customRule(value: FrontdoorFirewallPolicyCustomRule[]);
    /**
     * @stability stable
     */
    resetCustomRule(): void;
    /**
     * @stability stable
     */
    get customRuleInput(): FrontdoorFirewallPolicyCustomRule[] | undefined;
    private _managedRule?;
    /**
     * @stability stable
     */
    get managedRule(): FrontdoorFirewallPolicyManagedRule[];
    /**
     * @stability stable
     */
    set managedRule(value: FrontdoorFirewallPolicyManagedRule[]);
    /**
     * @stability stable
     */
    resetManagedRule(): void;
    /**
     * @stability stable
     */
    get managedRuleInput(): FrontdoorFirewallPolicyManagedRule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): FrontdoorFirewallPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: FrontdoorFirewallPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): FrontdoorFirewallPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
