import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface FunctionAppSlotConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly appServicePlanId: string;
    /**
     * @stability stable
     */
    readonly appSettings?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly clientAffinityEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly dailyMemoryTimeQuota?: number;
    /**
     * @stability stable
     */
    readonly enableBuiltinLogging?: boolean;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly functionAppName: string;
    /**
     * @stability stable
     */
    readonly httpsOnly?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly osType?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageAccountAccessKey: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly version?: string;
    /**
     * auth_settings block.
     *
     * @stability stable
     */
    readonly authSettings?: FunctionAppSlotAuthSettings[];
    /**
     * connection_string block.
     *
     * @stability stable
     */
    readonly connectionString?: FunctionAppSlotConnectionString[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: FunctionAppSlotIdentity[];
    /**
     * site_config block.
     *
     * @stability stable
     */
    readonly siteConfig?: FunctionAppSlotSiteConfig[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: FunctionAppSlotTimeouts;
}
/**
 * @stability stable
 */
export declare class FunctionAppSlotSiteCredential extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    get username(): string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotAuthSettingsActiveDirectory {
    /**
     * @stability stable
     */
    readonly allowedAudiences?: string[];
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret?: string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotAuthSettingsFacebook {
    /**
     * @stability stable
     */
    readonly appId: string;
    /**
     * @stability stable
     */
    readonly appSecret: string;
    /**
     * @stability stable
     */
    readonly oauthScopes?: string[];
}
/**
 * @stability stable
 */
export interface FunctionAppSlotAuthSettingsGoogle {
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
    /**
     * @stability stable
     */
    readonly oauthScopes?: string[];
}
/**
 * @stability stable
 */
export interface FunctionAppSlotAuthSettingsMicrosoft {
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
    /**
     * @stability stable
     */
    readonly oauthScopes?: string[];
}
/**
 * @stability stable
 */
export interface FunctionAppSlotAuthSettingsTwitter {
    /**
     * @stability stable
     */
    readonly consumerKey: string;
    /**
     * @stability stable
     */
    readonly consumerSecret: string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotAuthSettings {
    /**
     * @stability stable
     */
    readonly additionalLoginParams?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly allowedExternalRedirectUrls?: string[];
    /**
     * @stability stable
     */
    readonly defaultProvider?: string;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly issuer?: string;
    /**
     * @stability stable
     */
    readonly runtimeVersion?: string;
    /**
     * @stability stable
     */
    readonly tokenRefreshExtensionHours?: number;
    /**
     * @stability stable
     */
    readonly tokenStoreEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly unauthenticatedClientAction?: string;
    /**
     * active_directory block.
     *
     * @stability stable
     */
    readonly activeDirectory?: FunctionAppSlotAuthSettingsActiveDirectory[];
    /**
     * facebook block.
     *
     * @stability stable
     */
    readonly facebook?: FunctionAppSlotAuthSettingsFacebook[];
    /**
     * google block.
     *
     * @stability stable
     */
    readonly google?: FunctionAppSlotAuthSettingsGoogle[];
    /**
     * microsoft block.
     *
     * @stability stable
     */
    readonly microsoft?: FunctionAppSlotAuthSettingsMicrosoft[];
    /**
     * twitter block.
     *
     * @stability stable
     */
    readonly twitter?: FunctionAppSlotAuthSettingsTwitter[];
}
/**
 * @stability stable
 */
export interface FunctionAppSlotConnectionString {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotSiteConfigIpRestriction {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly serviceTag?: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkSubnetId?: string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotSiteConfigScmIpRestriction {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly serviceTag?: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkSubnetId?: string;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotSiteConfigCors {
    /**
     * @stability stable
     */
    readonly allowedOrigins: string[];
    /**
     * @stability stable
     */
    readonly supportCredentials?: boolean;
}
/**
 * @stability stable
 */
export interface FunctionAppSlotSiteConfig {
    /**
     * @stability stable
     */
    readonly alwaysOn?: boolean;
    /**
     * @stability stable
     */
    readonly autoSwapSlotName?: string;
    /**
     * @stability stable
     */
    readonly ftpsState?: string;
    /**
     * @stability stable
     */
    readonly healthCheckPath?: string;
    /**
     * @stability stable
     */
    readonly http2Enabled?: boolean;
    /**
     * @stability stable
     */
    readonly ipRestriction?: FunctionAppSlotSiteConfigIpRestriction[];
    /**
     * @stability stable
     */
    readonly linuxFxVersion?: string;
    /**
     * @stability stable
     */
    readonly minTlsVersion?: string;
    /**
     * @stability stable
     */
    readonly preWarmedInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly scmIpRestriction?: FunctionAppSlotSiteConfigScmIpRestriction[];
    /**
     * @stability stable
     */
    readonly scmType?: string;
    /**
     * @stability stable
     */
    readonly scmUseMainIpRestriction?: boolean;
    /**
     * @stability stable
     */
    readonly use32BitWorkerProcess?: boolean;
    /**
     * @stability stable
     */
    readonly websocketsEnabled?: boolean;
    /**
     * cors block.
     *
     * @stability stable
     */
    readonly cors?: FunctionAppSlotSiteConfigCors[];
}
/**
 * @stability stable
 */
export interface FunctionAppSlotTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class FunctionAppSlot extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: FunctionAppSlotConfig);
    private _appServicePlanId;
    /**
     * @stability stable
     */
    get appServicePlanId(): string;
    /**
     * @stability stable
     */
    set appServicePlanId(value: string);
    /**
     * @stability stable
     */
    get appServicePlanIdInput(): string;
    private _appSettings?;
    /**
     * @stability stable
     */
    get appSettings(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set appSettings(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetAppSettings(): void;
    /**
     * @stability stable
     */
    get appSettingsInput(): {
        [key: string]: string;
    } | undefined;
    private _clientAffinityEnabled?;
    /**
     * @stability stable
     */
    get clientAffinityEnabled(): boolean;
    /**
     * @stability stable
     */
    set clientAffinityEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetClientAffinityEnabled(): void;
    /**
     * @stability stable
     */
    get clientAffinityEnabledInput(): boolean | undefined;
    private _dailyMemoryTimeQuota?;
    /**
     * @stability stable
     */
    get dailyMemoryTimeQuota(): number;
    /**
     * @stability stable
     */
    set dailyMemoryTimeQuota(value: number);
    /**
     * @stability stable
     */
    resetDailyMemoryTimeQuota(): void;
    /**
     * @stability stable
     */
    get dailyMemoryTimeQuotaInput(): number | undefined;
    /**
     * @stability stable
     */
    get defaultHostname(): string;
    private _enableBuiltinLogging?;
    /**
     * @stability stable
     */
    get enableBuiltinLogging(): boolean;
    /**
     * @stability stable
     */
    set enableBuiltinLogging(value: boolean);
    /**
     * @stability stable
     */
    resetEnableBuiltinLogging(): void;
    /**
     * @stability stable
     */
    get enableBuiltinLoggingInput(): boolean | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    private _functionAppName;
    /**
     * @stability stable
     */
    get functionAppName(): string;
    /**
     * @stability stable
     */
    set functionAppName(value: string);
    /**
     * @stability stable
     */
    get functionAppNameInput(): string;
    private _httpsOnly?;
    /**
     * @stability stable
     */
    get httpsOnly(): boolean;
    /**
     * @stability stable
     */
    set httpsOnly(value: boolean);
    /**
     * @stability stable
     */
    resetHttpsOnly(): void;
    /**
     * @stability stable
     */
    get httpsOnlyInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get kind(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _osType?;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    set osType(value: string);
    /**
     * @stability stable
     */
    resetOsType(): void;
    /**
     * @stability stable
     */
    get osTypeInput(): string | undefined;
    /**
     * @stability stable
     */
    get outboundIpAddresses(): string;
    /**
     * @stability stable
     */
    get possibleOutboundIpAddresses(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    siteCredential(index: string): FunctionAppSlotSiteCredential;
    private _storageAccountAccessKey;
    /**
     * @stability stable
     */
    get storageAccountAccessKey(): string;
    /**
     * @stability stable
     */
    set storageAccountAccessKey(value: string);
    /**
     * @stability stable
     */
    get storageAccountAccessKeyInput(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _version?;
    /**
     * @stability stable
     */
    get version(): string;
    /**
     * @stability stable
     */
    set version(value: string);
    /**
     * @stability stable
     */
    resetVersion(): void;
    /**
     * @stability stable
     */
    get versionInput(): string | undefined;
    private _authSettings?;
    /**
     * @stability stable
     */
    get authSettings(): FunctionAppSlotAuthSettings[];
    /**
     * @stability stable
     */
    set authSettings(value: FunctionAppSlotAuthSettings[]);
    /**
     * @stability stable
     */
    resetAuthSettings(): void;
    /**
     * @stability stable
     */
    get authSettingsInput(): FunctionAppSlotAuthSettings[] | undefined;
    private _connectionString?;
    /**
     * @stability stable
     */
    get connectionString(): FunctionAppSlotConnectionString[];
    /**
     * @stability stable
     */
    set connectionString(value: FunctionAppSlotConnectionString[]);
    /**
     * @stability stable
     */
    resetConnectionString(): void;
    /**
     * @stability stable
     */
    get connectionStringInput(): FunctionAppSlotConnectionString[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): FunctionAppSlotIdentity[];
    /**
     * @stability stable
     */
    set identity(value: FunctionAppSlotIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): FunctionAppSlotIdentity[] | undefined;
    private _siteConfig?;
    /**
     * @stability stable
     */
    get siteConfig(): FunctionAppSlotSiteConfig[];
    /**
     * @stability stable
     */
    set siteConfig(value: FunctionAppSlotSiteConfig[]);
    /**
     * @stability stable
     */
    resetSiteConfig(): void;
    /**
     * @stability stable
     */
    get siteConfigInput(): FunctionAppSlotSiteConfig[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): FunctionAppSlotTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: FunctionAppSlotTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): FunctionAppSlotTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
