import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * @stability stable
     */
    readonly tlsMinVersion?: string;
    /**
     * component_version block.
     *
     * @stability stable
     */
    readonly componentVersion: HdinsightHadoopClusterComponentVersion[];
    /**
     * gateway block.
     *
     * @stability stable
     */
    readonly gateway: HdinsightHadoopClusterGateway[];
    /**
     * metastores block.
     *
     * @stability stable
     */
    readonly metastores?: HdinsightHadoopClusterMetastores[];
    /**
     * monitor block.
     *
     * @stability stable
     */
    readonly monitor?: HdinsightHadoopClusterMonitor[];
    /**
     * roles block.
     *
     * @stability stable
     */
    readonly roles: HdinsightHadoopClusterRoles[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount?: HdinsightHadoopClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     *
     * @stability stable
     */
    readonly storageAccountGen2?: HdinsightHadoopClusterStorageAccountGen2[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HdinsightHadoopClusterTimeouts;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterComponentVersion {
    /**
     * @stability stable
     */
    readonly hadoop: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterGateway {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterMetastoresAmbari {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterMetastoresHive {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterMetastoresOozie {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterMetastores {
    /**
     * ambari block.
     *
     * @stability stable
     */
    readonly ambari?: HdinsightHadoopClusterMetastoresAmbari[];
    /**
     * hive block.
     *
     * @stability stable
     */
    readonly hive?: HdinsightHadoopClusterMetastoresHive[];
    /**
     * oozie block.
     *
     * @stability stable
     */
    readonly oozie?: HdinsightHadoopClusterMetastoresOozie[];
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterMonitor {
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly primaryKey: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterRolesEdgeNodeInstallScriptAction {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly uri: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterRolesEdgeNode {
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly vmSize: string;
    /**
     * install_script_action block.
     *
     * @stability stable
     */
    readonly installScriptAction: HdinsightHadoopClusterRolesEdgeNodeInstallScriptAction[];
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterRolesHeadNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterRolesWorkerNode {
    /**
     * @stability stable
     */
    readonly minInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterRolesZookeeperNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterRoles {
    /**
     * edge_node block.
     *
     * @stability stable
     */
    readonly edgeNode?: HdinsightHadoopClusterRolesEdgeNode[];
    /**
     * head_node block.
     *
     * @stability stable
     */
    readonly headNode: HdinsightHadoopClusterRolesHeadNode[];
    /**
     * worker_node block.
     *
     * @stability stable
     */
    readonly workerNode: HdinsightHadoopClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     *
     * @stability stable
     */
    readonly zookeeperNode: HdinsightHadoopClusterRolesZookeeperNode[];
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterStorageAccount {
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterStorageAccountGen2 {
    /**
     * @stability stable
     */
    readonly filesystemId: string;
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly managedIdentityResourceId: string;
    /**
     * @stability stable
     */
    readonly storageResourceId: string;
}
/**
 * @stability stable
 */
export interface HdinsightHadoopClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HdinsightHadoopCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HdinsightHadoopClusterConfig);
    private _clusterVersion;
    /**
     * @stability stable
     */
    get clusterVersion(): string;
    /**
     * @stability stable
     */
    set clusterVersion(value: string);
    /**
     * @stability stable
     */
    get clusterVersionInput(): string;
    /**
     * @stability stable
     */
    get httpsEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _tlsMinVersion?;
    /**
     * @stability stable
     */
    get tlsMinVersion(): string;
    /**
     * @stability stable
     */
    set tlsMinVersion(value: string);
    /**
     * @stability stable
     */
    resetTlsMinVersion(): void;
    /**
     * @stability stable
     */
    get tlsMinVersionInput(): string | undefined;
    private _componentVersion;
    /**
     * @stability stable
     */
    get componentVersion(): HdinsightHadoopClusterComponentVersion[];
    /**
     * @stability stable
     */
    set componentVersion(value: HdinsightHadoopClusterComponentVersion[]);
    /**
     * @stability stable
     */
    get componentVersionInput(): HdinsightHadoopClusterComponentVersion[];
    private _gateway;
    /**
     * @stability stable
     */
    get gateway(): HdinsightHadoopClusterGateway[];
    /**
     * @stability stable
     */
    set gateway(value: HdinsightHadoopClusterGateway[]);
    /**
     * @stability stable
     */
    get gatewayInput(): HdinsightHadoopClusterGateway[];
    private _metastores?;
    /**
     * @stability stable
     */
    get metastores(): HdinsightHadoopClusterMetastores[];
    /**
     * @stability stable
     */
    set metastores(value: HdinsightHadoopClusterMetastores[]);
    /**
     * @stability stable
     */
    resetMetastores(): void;
    /**
     * @stability stable
     */
    get metastoresInput(): HdinsightHadoopClusterMetastores[] | undefined;
    private _monitor?;
    /**
     * @stability stable
     */
    get monitor(): HdinsightHadoopClusterMonitor[];
    /**
     * @stability stable
     */
    set monitor(value: HdinsightHadoopClusterMonitor[]);
    /**
     * @stability stable
     */
    resetMonitor(): void;
    /**
     * @stability stable
     */
    get monitorInput(): HdinsightHadoopClusterMonitor[] | undefined;
    private _roles;
    /**
     * @stability stable
     */
    get roles(): HdinsightHadoopClusterRoles[];
    /**
     * @stability stable
     */
    set roles(value: HdinsightHadoopClusterRoles[]);
    /**
     * @stability stable
     */
    get rolesInput(): HdinsightHadoopClusterRoles[];
    private _storageAccount?;
    /**
     * @stability stable
     */
    get storageAccount(): HdinsightHadoopClusterStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: HdinsightHadoopClusterStorageAccount[]);
    /**
     * @stability stable
     */
    resetStorageAccount(): void;
    /**
     * @stability stable
     */
    get storageAccountInput(): HdinsightHadoopClusterStorageAccount[] | undefined;
    private _storageAccountGen2?;
    /**
     * @stability stable
     */
    get storageAccountGen2(): HdinsightHadoopClusterStorageAccountGen2[];
    /**
     * @stability stable
     */
    set storageAccountGen2(value: HdinsightHadoopClusterStorageAccountGen2[]);
    /**
     * @stability stable
     */
    resetStorageAccountGen2(): void;
    /**
     * @stability stable
     */
    get storageAccountGen2Input(): HdinsightHadoopClusterStorageAccountGen2[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HdinsightHadoopClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HdinsightHadoopClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HdinsightHadoopClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
