import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * @stability stable
     */
    readonly tlsMinVersion?: string;
    /**
     * component_version block.
     *
     * @stability stable
     */
    readonly componentVersion: HdinsightKafkaClusterComponentVersion[];
    /**
     * gateway block.
     *
     * @stability stable
     */
    readonly gateway: HdinsightKafkaClusterGateway[];
    /**
     * metastores block.
     *
     * @stability stable
     */
    readonly metastores?: HdinsightKafkaClusterMetastores[];
    /**
     * monitor block.
     *
     * @stability stable
     */
    readonly monitor?: HdinsightKafkaClusterMonitor[];
    /**
     * rest_proxy block.
     *
     * @stability stable
     */
    readonly restProxy?: HdinsightKafkaClusterRestProxy[];
    /**
     * roles block.
     *
     * @stability stable
     */
    readonly roles: HdinsightKafkaClusterRoles[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount?: HdinsightKafkaClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     *
     * @stability stable
     */
    readonly storageAccountGen2?: HdinsightKafkaClusterStorageAccountGen2[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HdinsightKafkaClusterTimeouts;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterComponentVersion {
    /**
     * @stability stable
     */
    readonly kafka: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterGateway {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterMetastoresAmbari {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterMetastoresHive {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterMetastoresOozie {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterMetastores {
    /**
     * ambari block.
     *
     * @stability stable
     */
    readonly ambari?: HdinsightKafkaClusterMetastoresAmbari[];
    /**
     * hive block.
     *
     * @stability stable
     */
    readonly hive?: HdinsightKafkaClusterMetastoresHive[];
    /**
     * oozie block.
     *
     * @stability stable
     */
    readonly oozie?: HdinsightKafkaClusterMetastoresOozie[];
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterMonitor {
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly primaryKey: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterRestProxy {
    /**
     * @stability stable
     */
    readonly securityGroupId: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterRolesHeadNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterRolesKafkaManagementNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterRolesWorkerNode {
    /**
     * @stability stable
     */
    readonly minInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly numberOfDisksPerNode: number;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterRolesZookeeperNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterRoles {
    /**
     * head_node block.
     *
     * @stability stable
     */
    readonly headNode: HdinsightKafkaClusterRolesHeadNode[];
    /**
     * kafka_management_node block.
     *
     * @stability stable
     */
    readonly kafkaManagementNode?: HdinsightKafkaClusterRolesKafkaManagementNode[];
    /**
     * worker_node block.
     *
     * @stability stable
     */
    readonly workerNode: HdinsightKafkaClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     *
     * @stability stable
     */
    readonly zookeeperNode: HdinsightKafkaClusterRolesZookeeperNode[];
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterStorageAccount {
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterStorageAccountGen2 {
    /**
     * @stability stable
     */
    readonly filesystemId: string;
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly managedIdentityResourceId: string;
    /**
     * @stability stable
     */
    readonly storageResourceId: string;
}
/**
 * @stability stable
 */
export interface HdinsightKafkaClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HdinsightKafkaCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HdinsightKafkaClusterConfig);
    private _clusterVersion;
    /**
     * @stability stable
     */
    get clusterVersion(): string;
    /**
     * @stability stable
     */
    set clusterVersion(value: string);
    /**
     * @stability stable
     */
    get clusterVersionInput(): string;
    /**
     * @stability stable
     */
    get httpsEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get kafkaRestProxyEndpoint(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _tlsMinVersion?;
    /**
     * @stability stable
     */
    get tlsMinVersion(): string;
    /**
     * @stability stable
     */
    set tlsMinVersion(value: string);
    /**
     * @stability stable
     */
    resetTlsMinVersion(): void;
    /**
     * @stability stable
     */
    get tlsMinVersionInput(): string | undefined;
    private _componentVersion;
    /**
     * @stability stable
     */
    get componentVersion(): HdinsightKafkaClusterComponentVersion[];
    /**
     * @stability stable
     */
    set componentVersion(value: HdinsightKafkaClusterComponentVersion[]);
    /**
     * @stability stable
     */
    get componentVersionInput(): HdinsightKafkaClusterComponentVersion[];
    private _gateway;
    /**
     * @stability stable
     */
    get gateway(): HdinsightKafkaClusterGateway[];
    /**
     * @stability stable
     */
    set gateway(value: HdinsightKafkaClusterGateway[]);
    /**
     * @stability stable
     */
    get gatewayInput(): HdinsightKafkaClusterGateway[];
    private _metastores?;
    /**
     * @stability stable
     */
    get metastores(): HdinsightKafkaClusterMetastores[];
    /**
     * @stability stable
     */
    set metastores(value: HdinsightKafkaClusterMetastores[]);
    /**
     * @stability stable
     */
    resetMetastores(): void;
    /**
     * @stability stable
     */
    get metastoresInput(): HdinsightKafkaClusterMetastores[] | undefined;
    private _monitor?;
    /**
     * @stability stable
     */
    get monitor(): HdinsightKafkaClusterMonitor[];
    /**
     * @stability stable
     */
    set monitor(value: HdinsightKafkaClusterMonitor[]);
    /**
     * @stability stable
     */
    resetMonitor(): void;
    /**
     * @stability stable
     */
    get monitorInput(): HdinsightKafkaClusterMonitor[] | undefined;
    private _restProxy?;
    /**
     * @stability stable
     */
    get restProxy(): HdinsightKafkaClusterRestProxy[];
    /**
     * @stability stable
     */
    set restProxy(value: HdinsightKafkaClusterRestProxy[]);
    /**
     * @stability stable
     */
    resetRestProxy(): void;
    /**
     * @stability stable
     */
    get restProxyInput(): HdinsightKafkaClusterRestProxy[] | undefined;
    private _roles;
    /**
     * @stability stable
     */
    get roles(): HdinsightKafkaClusterRoles[];
    /**
     * @stability stable
     */
    set roles(value: HdinsightKafkaClusterRoles[]);
    /**
     * @stability stable
     */
    get rolesInput(): HdinsightKafkaClusterRoles[];
    private _storageAccount?;
    /**
     * @stability stable
     */
    get storageAccount(): HdinsightKafkaClusterStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: HdinsightKafkaClusterStorageAccount[]);
    /**
     * @stability stable
     */
    resetStorageAccount(): void;
    /**
     * @stability stable
     */
    get storageAccountInput(): HdinsightKafkaClusterStorageAccount[] | undefined;
    private _storageAccountGen2?;
    /**
     * @stability stable
     */
    get storageAccountGen2(): HdinsightKafkaClusterStorageAccountGen2[];
    /**
     * @stability stable
     */
    set storageAccountGen2(value: HdinsightKafkaClusterStorageAccountGen2[]);
    /**
     * @stability stable
     */
    resetStorageAccountGen2(): void;
    /**
     * @stability stable
     */
    get storageAccountGen2Input(): HdinsightKafkaClusterStorageAccountGen2[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HdinsightKafkaClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HdinsightKafkaClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HdinsightKafkaClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
