import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly rstudio: boolean;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * @stability stable
     */
    readonly tlsMinVersion?: string;
    /**
     * gateway block.
     *
     * @stability stable
     */
    readonly gateway: HdinsightMlServicesClusterGateway[];
    /**
     * roles block.
     *
     * @stability stable
     */
    readonly roles: HdinsightMlServicesClusterRoles[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount?: HdinsightMlServicesClusterStorageAccount[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HdinsightMlServicesClusterTimeouts;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterGateway {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterRolesEdgeNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterRolesHeadNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterRolesWorkerNode {
    /**
     * @stability stable
     */
    readonly minInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterRolesZookeeperNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterRoles {
    /**
     * edge_node block.
     *
     * @stability stable
     */
    readonly edgeNode: HdinsightMlServicesClusterRolesEdgeNode[];
    /**
     * head_node block.
     *
     * @stability stable
     */
    readonly headNode: HdinsightMlServicesClusterRolesHeadNode[];
    /**
     * worker_node block.
     *
     * @stability stable
     */
    readonly workerNode: HdinsightMlServicesClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     *
     * @stability stable
     */
    readonly zookeeperNode: HdinsightMlServicesClusterRolesZookeeperNode[];
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterStorageAccount {
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
}
/**
 * @stability stable
 */
export interface HdinsightMlServicesClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HdinsightMlServicesCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HdinsightMlServicesClusterConfig);
    private _clusterVersion;
    /**
     * @stability stable
     */
    get clusterVersion(): string;
    /**
     * @stability stable
     */
    set clusterVersion(value: string);
    /**
     * @stability stable
     */
    get clusterVersionInput(): string;
    /**
     * @stability stable
     */
    get edgeSshEndpoint(): string;
    /**
     * @stability stable
     */
    get httpsEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _rstudio;
    /**
     * @stability stable
     */
    get rstudio(): boolean;
    /**
     * @stability stable
     */
    set rstudio(value: boolean);
    /**
     * @stability stable
     */
    get rstudioInput(): boolean;
    /**
     * @stability stable
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _tlsMinVersion?;
    /**
     * @stability stable
     */
    get tlsMinVersion(): string;
    /**
     * @stability stable
     */
    set tlsMinVersion(value: string);
    /**
     * @stability stable
     */
    resetTlsMinVersion(): void;
    /**
     * @stability stable
     */
    get tlsMinVersionInput(): string | undefined;
    private _gateway;
    /**
     * @stability stable
     */
    get gateway(): HdinsightMlServicesClusterGateway[];
    /**
     * @stability stable
     */
    set gateway(value: HdinsightMlServicesClusterGateway[]);
    /**
     * @stability stable
     */
    get gatewayInput(): HdinsightMlServicesClusterGateway[];
    private _roles;
    /**
     * @stability stable
     */
    get roles(): HdinsightMlServicesClusterRoles[];
    /**
     * @stability stable
     */
    set roles(value: HdinsightMlServicesClusterRoles[]);
    /**
     * @stability stable
     */
    get rolesInput(): HdinsightMlServicesClusterRoles[];
    private _storageAccount?;
    /**
     * @stability stable
     */
    get storageAccount(): HdinsightMlServicesClusterStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: HdinsightMlServicesClusterStorageAccount[]);
    /**
     * @stability stable
     */
    resetStorageAccount(): void;
    /**
     * @stability stable
     */
    get storageAccountInput(): HdinsightMlServicesClusterStorageAccount[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HdinsightMlServicesClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HdinsightMlServicesClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HdinsightMlServicesClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
