import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HdinsightRserverClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly rstudio: boolean;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * @stability stable
     */
    readonly tlsMinVersion?: string;
    /**
     * gateway block.
     *
     * @stability stable
     */
    readonly gateway: HdinsightRserverClusterGateway[];
    /**
     * roles block.
     *
     * @stability stable
     */
    readonly roles: HdinsightRserverClusterRoles[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount?: HdinsightRserverClusterStorageAccount[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HdinsightRserverClusterTimeouts;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterGateway {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterRolesEdgeNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterRolesHeadNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterRolesWorkerNode {
    /**
     * @stability stable
     */
    readonly minInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterRolesZookeeperNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterRoles {
    /**
     * edge_node block.
     *
     * @stability stable
     */
    readonly edgeNode: HdinsightRserverClusterRolesEdgeNode[];
    /**
     * head_node block.
     *
     * @stability stable
     */
    readonly headNode: HdinsightRserverClusterRolesHeadNode[];
    /**
     * worker_node block.
     *
     * @stability stable
     */
    readonly workerNode: HdinsightRserverClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     *
     * @stability stable
     */
    readonly zookeeperNode: HdinsightRserverClusterRolesZookeeperNode[];
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterStorageAccount {
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
}
/**
 * @stability stable
 */
export interface HdinsightRserverClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HdinsightRserverCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HdinsightRserverClusterConfig);
    private _clusterVersion;
    /**
     * @stability stable
     */
    get clusterVersion(): string;
    /**
     * @stability stable
     */
    set clusterVersion(value: string);
    /**
     * @stability stable
     */
    get clusterVersionInput(): string;
    /**
     * @stability stable
     */
    get edgeSshEndpoint(): string;
    /**
     * @stability stable
     */
    get httpsEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _rstudio;
    /**
     * @stability stable
     */
    get rstudio(): boolean;
    /**
     * @stability stable
     */
    set rstudio(value: boolean);
    /**
     * @stability stable
     */
    get rstudioInput(): boolean;
    /**
     * @stability stable
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _tlsMinVersion?;
    /**
     * @stability stable
     */
    get tlsMinVersion(): string;
    /**
     * @stability stable
     */
    set tlsMinVersion(value: string);
    /**
     * @stability stable
     */
    resetTlsMinVersion(): void;
    /**
     * @stability stable
     */
    get tlsMinVersionInput(): string | undefined;
    private _gateway;
    /**
     * @stability stable
     */
    get gateway(): HdinsightRserverClusterGateway[];
    /**
     * @stability stable
     */
    set gateway(value: HdinsightRserverClusterGateway[]);
    /**
     * @stability stable
     */
    get gatewayInput(): HdinsightRserverClusterGateway[];
    private _roles;
    /**
     * @stability stable
     */
    get roles(): HdinsightRserverClusterRoles[];
    /**
     * @stability stable
     */
    set roles(value: HdinsightRserverClusterRoles[]);
    /**
     * @stability stable
     */
    get rolesInput(): HdinsightRserverClusterRoles[];
    private _storageAccount?;
    /**
     * @stability stable
     */
    get storageAccount(): HdinsightRserverClusterStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: HdinsightRserverClusterStorageAccount[]);
    /**
     * @stability stable
     */
    resetStorageAccount(): void;
    /**
     * @stability stable
     */
    get storageAccountInput(): HdinsightRserverClusterStorageAccount[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HdinsightRserverClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HdinsightRserverClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HdinsightRserverClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
