import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HdinsightSparkClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * @stability stable
     */
    readonly tlsMinVersion?: string;
    /**
     * component_version block.
     *
     * @stability stable
     */
    readonly componentVersion: HdinsightSparkClusterComponentVersion[];
    /**
     * gateway block.
     *
     * @stability stable
     */
    readonly gateway: HdinsightSparkClusterGateway[];
    /**
     * metastores block.
     *
     * @stability stable
     */
    readonly metastores?: HdinsightSparkClusterMetastores[];
    /**
     * monitor block.
     *
     * @stability stable
     */
    readonly monitor?: HdinsightSparkClusterMonitor[];
    /**
     * roles block.
     *
     * @stability stable
     */
    readonly roles: HdinsightSparkClusterRoles[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount?: HdinsightSparkClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     *
     * @stability stable
     */
    readonly storageAccountGen2?: HdinsightSparkClusterStorageAccountGen2[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HdinsightSparkClusterTimeouts;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterComponentVersion {
    /**
     * @stability stable
     */
    readonly spark: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterGateway {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterMetastoresAmbari {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterMetastoresHive {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterMetastoresOozie {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterMetastores {
    /**
     * ambari block.
     *
     * @stability stable
     */
    readonly ambari?: HdinsightSparkClusterMetastoresAmbari[];
    /**
     * hive block.
     *
     * @stability stable
     */
    readonly hive?: HdinsightSparkClusterMetastoresHive[];
    /**
     * oozie block.
     *
     * @stability stable
     */
    readonly oozie?: HdinsightSparkClusterMetastoresOozie[];
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterMonitor {
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly primaryKey: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterRolesHeadNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterRolesWorkerNode {
    /**
     * @stability stable
     */
    readonly minInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterRolesZookeeperNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterRoles {
    /**
     * head_node block.
     *
     * @stability stable
     */
    readonly headNode: HdinsightSparkClusterRolesHeadNode[];
    /**
     * worker_node block.
     *
     * @stability stable
     */
    readonly workerNode: HdinsightSparkClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     *
     * @stability stable
     */
    readonly zookeeperNode: HdinsightSparkClusterRolesZookeeperNode[];
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterStorageAccount {
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterStorageAccountGen2 {
    /**
     * @stability stable
     */
    readonly filesystemId: string;
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly managedIdentityResourceId: string;
    /**
     * @stability stable
     */
    readonly storageResourceId: string;
}
/**
 * @stability stable
 */
export interface HdinsightSparkClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HdinsightSparkCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HdinsightSparkClusterConfig);
    private _clusterVersion;
    /**
     * @stability stable
     */
    get clusterVersion(): string;
    /**
     * @stability stable
     */
    set clusterVersion(value: string);
    /**
     * @stability stable
     */
    get clusterVersionInput(): string;
    /**
     * @stability stable
     */
    get httpsEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _tlsMinVersion?;
    /**
     * @stability stable
     */
    get tlsMinVersion(): string;
    /**
     * @stability stable
     */
    set tlsMinVersion(value: string);
    /**
     * @stability stable
     */
    resetTlsMinVersion(): void;
    /**
     * @stability stable
     */
    get tlsMinVersionInput(): string | undefined;
    private _componentVersion;
    /**
     * @stability stable
     */
    get componentVersion(): HdinsightSparkClusterComponentVersion[];
    /**
     * @stability stable
     */
    set componentVersion(value: HdinsightSparkClusterComponentVersion[]);
    /**
     * @stability stable
     */
    get componentVersionInput(): HdinsightSparkClusterComponentVersion[];
    private _gateway;
    /**
     * @stability stable
     */
    get gateway(): HdinsightSparkClusterGateway[];
    /**
     * @stability stable
     */
    set gateway(value: HdinsightSparkClusterGateway[]);
    /**
     * @stability stable
     */
    get gatewayInput(): HdinsightSparkClusterGateway[];
    private _metastores?;
    /**
     * @stability stable
     */
    get metastores(): HdinsightSparkClusterMetastores[];
    /**
     * @stability stable
     */
    set metastores(value: HdinsightSparkClusterMetastores[]);
    /**
     * @stability stable
     */
    resetMetastores(): void;
    /**
     * @stability stable
     */
    get metastoresInput(): HdinsightSparkClusterMetastores[] | undefined;
    private _monitor?;
    /**
     * @stability stable
     */
    get monitor(): HdinsightSparkClusterMonitor[];
    /**
     * @stability stable
     */
    set monitor(value: HdinsightSparkClusterMonitor[]);
    /**
     * @stability stable
     */
    resetMonitor(): void;
    /**
     * @stability stable
     */
    get monitorInput(): HdinsightSparkClusterMonitor[] | undefined;
    private _roles;
    /**
     * @stability stable
     */
    get roles(): HdinsightSparkClusterRoles[];
    /**
     * @stability stable
     */
    set roles(value: HdinsightSparkClusterRoles[]);
    /**
     * @stability stable
     */
    get rolesInput(): HdinsightSparkClusterRoles[];
    private _storageAccount?;
    /**
     * @stability stable
     */
    get storageAccount(): HdinsightSparkClusterStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: HdinsightSparkClusterStorageAccount[]);
    /**
     * @stability stable
     */
    resetStorageAccount(): void;
    /**
     * @stability stable
     */
    get storageAccountInput(): HdinsightSparkClusterStorageAccount[] | undefined;
    private _storageAccountGen2?;
    /**
     * @stability stable
     */
    get storageAccountGen2(): HdinsightSparkClusterStorageAccountGen2[];
    /**
     * @stability stable
     */
    set storageAccountGen2(value: HdinsightSparkClusterStorageAccountGen2[]);
    /**
     * @stability stable
     */
    resetStorageAccountGen2(): void;
    /**
     * @stability stable
     */
    get storageAccountGen2Input(): HdinsightSparkClusterStorageAccountGen2[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HdinsightSparkClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HdinsightSparkClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HdinsightSparkClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
