import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HdinsightStormClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterVersion: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * @stability stable
     */
    readonly tlsMinVersion?: string;
    /**
     * component_version block.
     *
     * @stability stable
     */
    readonly componentVersion: HdinsightStormClusterComponentVersion[];
    /**
     * gateway block.
     *
     * @stability stable
     */
    readonly gateway: HdinsightStormClusterGateway[];
    /**
     * metastores block.
     *
     * @stability stable
     */
    readonly metastores?: HdinsightStormClusterMetastores[];
    /**
     * monitor block.
     *
     * @stability stable
     */
    readonly monitor?: HdinsightStormClusterMonitor[];
    /**
     * roles block.
     *
     * @stability stable
     */
    readonly roles: HdinsightStormClusterRoles[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount?: HdinsightStormClusterStorageAccount[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HdinsightStormClusterTimeouts;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterComponentVersion {
    /**
     * @stability stable
     */
    readonly storm: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterGateway {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterMetastoresAmbari {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterMetastoresHive {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterMetastoresOozie {
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly password: string;
    /**
     * @stability stable
     */
    readonly server: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterMetastores {
    /**
     * ambari block.
     *
     * @stability stable
     */
    readonly ambari?: HdinsightStormClusterMetastoresAmbari[];
    /**
     * hive block.
     *
     * @stability stable
     */
    readonly hive?: HdinsightStormClusterMetastoresHive[];
    /**
     * oozie block.
     *
     * @stability stable
     */
    readonly oozie?: HdinsightStormClusterMetastoresOozie[];
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterMonitor {
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly primaryKey: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterRolesHeadNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterRolesWorkerNode {
    /**
     * @stability stable
     */
    readonly minInstanceCount?: number;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly targetInstanceCount: number;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterRolesZookeeperNode {
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly sshKeys?: string[];
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly username: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId?: string;
    /**
     * @stability stable
     */
    readonly vmSize: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterRoles {
    /**
     * head_node block.
     *
     * @stability stable
     */
    readonly headNode: HdinsightStormClusterRolesHeadNode[];
    /**
     * worker_node block.
     *
     * @stability stable
     */
    readonly workerNode: HdinsightStormClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     *
     * @stability stable
     */
    readonly zookeeperNode: HdinsightStormClusterRolesZookeeperNode[];
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterStorageAccount {
    /**
     * @stability stable
     */
    readonly isDefault: boolean;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
}
/**
 * @stability stable
 */
export interface HdinsightStormClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HdinsightStormCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HdinsightStormClusterConfig);
    private _clusterVersion;
    /**
     * @stability stable
     */
    get clusterVersion(): string;
    /**
     * @stability stable
     */
    set clusterVersion(value: string);
    /**
     * @stability stable
     */
    get clusterVersionInput(): string;
    /**
     * @stability stable
     */
    get httpsEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _tlsMinVersion?;
    /**
     * @stability stable
     */
    get tlsMinVersion(): string;
    /**
     * @stability stable
     */
    set tlsMinVersion(value: string);
    /**
     * @stability stable
     */
    resetTlsMinVersion(): void;
    /**
     * @stability stable
     */
    get tlsMinVersionInput(): string | undefined;
    private _componentVersion;
    /**
     * @stability stable
     */
    get componentVersion(): HdinsightStormClusterComponentVersion[];
    /**
     * @stability stable
     */
    set componentVersion(value: HdinsightStormClusterComponentVersion[]);
    /**
     * @stability stable
     */
    get componentVersionInput(): HdinsightStormClusterComponentVersion[];
    private _gateway;
    /**
     * @stability stable
     */
    get gateway(): HdinsightStormClusterGateway[];
    /**
     * @stability stable
     */
    set gateway(value: HdinsightStormClusterGateway[]);
    /**
     * @stability stable
     */
    get gatewayInput(): HdinsightStormClusterGateway[];
    private _metastores?;
    /**
     * @stability stable
     */
    get metastores(): HdinsightStormClusterMetastores[];
    /**
     * @stability stable
     */
    set metastores(value: HdinsightStormClusterMetastores[]);
    /**
     * @stability stable
     */
    resetMetastores(): void;
    /**
     * @stability stable
     */
    get metastoresInput(): HdinsightStormClusterMetastores[] | undefined;
    private _monitor?;
    /**
     * @stability stable
     */
    get monitor(): HdinsightStormClusterMonitor[];
    /**
     * @stability stable
     */
    set monitor(value: HdinsightStormClusterMonitor[]);
    /**
     * @stability stable
     */
    resetMonitor(): void;
    /**
     * @stability stable
     */
    get monitorInput(): HdinsightStormClusterMonitor[] | undefined;
    private _roles;
    /**
     * @stability stable
     */
    get roles(): HdinsightStormClusterRoles[];
    /**
     * @stability stable
     */
    set roles(value: HdinsightStormClusterRoles[]);
    /**
     * @stability stable
     */
    get rolesInput(): HdinsightStormClusterRoles[];
    private _storageAccount?;
    /**
     * @stability stable
     */
    get storageAccount(): HdinsightStormClusterStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: HdinsightStormClusterStorageAccount[]);
    /**
     * @stability stable
     */
    resetStorageAccount(): void;
    /**
     * @stability stable
     */
    get storageAccountInput(): HdinsightStormClusterStorageAccount[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HdinsightStormClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HdinsightStormClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HdinsightStormClusterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
