import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HealthcareServiceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accessPolicyObjectIds?: string[];
    /**
     * @stability stable
     */
    readonly cosmosdbThroughput?: number;
    /**
     * @stability stable
     */
    readonly kind?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * authentication_configuration block.
     *
     * @stability stable
     */
    readonly authenticationConfiguration?: HealthcareServiceAuthenticationConfiguration[];
    /**
     * cors_configuration block.
     *
     * @stability stable
     */
    readonly corsConfiguration?: HealthcareServiceCorsConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HealthcareServiceTimeouts;
}
/**
 * @stability stable
 */
export interface HealthcareServiceAuthenticationConfiguration {
    /**
     * @stability stable
     */
    readonly audience?: string;
    /**
     * @stability stable
     */
    readonly authority?: string;
    /**
     * @stability stable
     */
    readonly smartProxyEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface HealthcareServiceCorsConfiguration {
    /**
     * @stability stable
     */
    readonly allowCredentials?: boolean;
    /**
     * @stability stable
     */
    readonly allowedHeaders?: string[];
    /**
     * @stability stable
     */
    readonly allowedMethods?: string[];
    /**
     * @stability stable
     */
    readonly allowedOrigins?: string[];
    /**
     * @stability stable
     */
    readonly maxAgeInSeconds?: number;
}
/**
 * @stability stable
 */
export interface HealthcareServiceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HealthcareService extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HealthcareServiceConfig);
    private _accessPolicyObjectIds?;
    /**
     * @stability stable
     */
    get accessPolicyObjectIds(): string[];
    /**
     * @stability stable
     */
    set accessPolicyObjectIds(value: string[]);
    /**
     * @stability stable
     */
    resetAccessPolicyObjectIds(): void;
    /**
     * @stability stable
     */
    get accessPolicyObjectIdsInput(): string[] | undefined;
    private _cosmosdbThroughput?;
    /**
     * @stability stable
     */
    get cosmosdbThroughput(): number;
    /**
     * @stability stable
     */
    set cosmosdbThroughput(value: number);
    /**
     * @stability stable
     */
    resetCosmosdbThroughput(): void;
    /**
     * @stability stable
     */
    get cosmosdbThroughputInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _kind?;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    set kind(value: string);
    /**
     * @stability stable
     */
    resetKind(): void;
    /**
     * @stability stable
     */
    get kindInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _authenticationConfiguration?;
    /**
     * @stability stable
     */
    get authenticationConfiguration(): HealthcareServiceAuthenticationConfiguration[];
    /**
     * @stability stable
     */
    set authenticationConfiguration(value: HealthcareServiceAuthenticationConfiguration[]);
    /**
     * @stability stable
     */
    resetAuthenticationConfiguration(): void;
    /**
     * @stability stable
     */
    get authenticationConfigurationInput(): HealthcareServiceAuthenticationConfiguration[] | undefined;
    private _corsConfiguration?;
    /**
     * @stability stable
     */
    get corsConfiguration(): HealthcareServiceCorsConfiguration[];
    /**
     * @stability stable
     */
    set corsConfiguration(value: HealthcareServiceCorsConfiguration[]);
    /**
     * @stability stable
     */
    resetCorsConfiguration(): void;
    /**
     * @stability stable
     */
    get corsConfigurationInput(): HealthcareServiceCorsConfiguration[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HealthcareServiceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HealthcareServiceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HealthcareServiceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
