import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HpcCacheAccessPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly hpcCacheId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * access_rule block.
     *
     * @stability stable
     */
    readonly accessRule: HpcCacheAccessPolicyAccessRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HpcCacheAccessPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface HpcCacheAccessPolicyAccessRule {
    /**
     * @stability stable
     */
    readonly access: string;
    /**
     * @stability stable
     */
    readonly anonymousGid?: number;
    /**
     * @stability stable
     */
    readonly anonymousUid?: number;
    /**
     * @stability stable
     */
    readonly filter?: string;
    /**
     * @stability stable
     */
    readonly rootSquashEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly scope: string;
    /**
     * @stability stable
     */
    readonly submountAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly suidEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface HpcCacheAccessPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HpcCacheAccessPolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HpcCacheAccessPolicyConfig);
    private _hpcCacheId;
    /**
     * @stability stable
     */
    get hpcCacheId(): string;
    /**
     * @stability stable
     */
    set hpcCacheId(value: string);
    /**
     * @stability stable
     */
    get hpcCacheIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _accessRule;
    /**
     * @stability stable
     */
    get accessRule(): HpcCacheAccessPolicyAccessRule[];
    /**
     * @stability stable
     */
    set accessRule(value: HpcCacheAccessPolicyAccessRule[]);
    /**
     * @stability stable
     */
    get accessRuleInput(): HpcCacheAccessPolicyAccessRule[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HpcCacheAccessPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HpcCacheAccessPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HpcCacheAccessPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
