import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HpcCacheBlobTargetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accessPolicyName?: string;
    /**
     * @stability stable
     */
    readonly cacheName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly namespacePath: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageContainerId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HpcCacheBlobTargetTimeouts;
}
/**
 * @stability stable
 */
export interface HpcCacheBlobTargetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HpcCacheBlobTarget extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HpcCacheBlobTargetConfig);
    private _accessPolicyName?;
    /**
     * @stability stable
     */
    get accessPolicyName(): string;
    /**
     * @stability stable
     */
    set accessPolicyName(value: string);
    /**
     * @stability stable
     */
    resetAccessPolicyName(): void;
    /**
     * @stability stable
     */
    get accessPolicyNameInput(): string | undefined;
    private _cacheName;
    /**
     * @stability stable
     */
    get cacheName(): string;
    /**
     * @stability stable
     */
    set cacheName(value: string);
    /**
     * @stability stable
     */
    get cacheNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _namespacePath;
    /**
     * @stability stable
     */
    get namespacePath(): string;
    /**
     * @stability stable
     */
    set namespacePath(value: string);
    /**
     * @stability stable
     */
    get namespacePathInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _storageContainerId;
    /**
     * @stability stable
     */
    get storageContainerId(): string;
    /**
     * @stability stable
     */
    set storageContainerId(value: string);
    /**
     * @stability stable
     */
    get storageContainerIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HpcCacheBlobTargetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HpcCacheBlobTargetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HpcCacheBlobTargetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
