import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface HpcCacheNfsTargetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cacheName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly targetHostName: string;
    /**
     * @stability stable
     */
    readonly usageModel: string;
    /**
     * namespace_junction block.
     *
     * @stability stable
     */
    readonly namespaceJunction: HpcCacheNfsTargetNamespaceJunction[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: HpcCacheNfsTargetTimeouts;
}
/**
 * @stability stable
 */
export interface HpcCacheNfsTargetNamespaceJunction {
    /**
     * @stability stable
     */
    readonly accessPolicyName?: string;
    /**
     * @stability stable
     */
    readonly namespacePath: string;
    /**
     * @stability stable
     */
    readonly nfsExport: string;
    /**
     * @stability stable
     */
    readonly targetPath?: string;
}
/**
 * @stability stable
 */
export interface HpcCacheNfsTargetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class HpcCacheNfsTarget extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: HpcCacheNfsTargetConfig);
    private _cacheName;
    /**
     * @stability stable
     */
    get cacheName(): string;
    /**
     * @stability stable
     */
    set cacheName(value: string);
    /**
     * @stability stable
     */
    get cacheNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _targetHostName;
    /**
     * @stability stable
     */
    get targetHostName(): string;
    /**
     * @stability stable
     */
    set targetHostName(value: string);
    /**
     * @stability stable
     */
    get targetHostNameInput(): string;
    private _usageModel;
    /**
     * @stability stable
     */
    get usageModel(): string;
    /**
     * @stability stable
     */
    set usageModel(value: string);
    /**
     * @stability stable
     */
    get usageModelInput(): string;
    private _namespaceJunction;
    /**
     * @stability stable
     */
    get namespaceJunction(): HpcCacheNfsTargetNamespaceJunction[];
    /**
     * @stability stable
     */
    set namespaceJunction(value: HpcCacheNfsTargetNamespaceJunction[]);
    /**
     * @stability stable
     */
    get namespaceJunctionInput(): HpcCacheNfsTargetNamespaceJunction[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): HpcCacheNfsTargetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: HpcCacheNfsTargetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): HpcCacheNfsTargetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
