import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IotSecurityDeviceGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly iothubId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * allow_rule block.
     *
     * @stability stable
     */
    readonly allowRule?: IotSecurityDeviceGroupAllowRule[];
    /**
     * range_rule block.
     *
     * @stability stable
     */
    readonly rangeRule?: IotSecurityDeviceGroupRangeRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IotSecurityDeviceGroupTimeouts;
}
/**
 * @stability stable
 */
export interface IotSecurityDeviceGroupAllowRule {
    /**
     * @stability stable
     */
    readonly connectionToIpNotAllowed?: string[];
    /**
     * @stability stable
     */
    readonly localUserNotAllowed?: string[];
    /**
     * @stability stable
     */
    readonly processNotAllowed?: string[];
}
/**
 * @stability stable
 */
export interface IotSecurityDeviceGroupRangeRule {
    /**
     * @stability stable
     */
    readonly duration: string;
    /**
     * @stability stable
     */
    readonly max: number;
    /**
     * @stability stable
     */
    readonly min: number;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface IotSecurityDeviceGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IotSecurityDeviceGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IotSecurityDeviceGroupConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _iothubId;
    /**
     * @stability stable
     */
    get iothubId(): string;
    /**
     * @stability stable
     */
    set iothubId(value: string);
    /**
     * @stability stable
     */
    get iothubIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _allowRule?;
    /**
     * @stability stable
     */
    get allowRule(): IotSecurityDeviceGroupAllowRule[];
    /**
     * @stability stable
     */
    set allowRule(value: IotSecurityDeviceGroupAllowRule[]);
    /**
     * @stability stable
     */
    resetAllowRule(): void;
    /**
     * @stability stable
     */
    get allowRuleInput(): IotSecurityDeviceGroupAllowRule[] | undefined;
    private _rangeRule?;
    /**
     * @stability stable
     */
    get rangeRule(): IotSecurityDeviceGroupRangeRule[];
    /**
     * @stability stable
     */
    set rangeRule(value: IotSecurityDeviceGroupRangeRule[]);
    /**
     * @stability stable
     */
    resetRangeRule(): void;
    /**
     * @stability stable
     */
    get rangeRuleInput(): IotSecurityDeviceGroupRangeRule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IotSecurityDeviceGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IotSecurityDeviceGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IotSecurityDeviceGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
