import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IotSecuritySolutionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly eventsToExport?: string[];
    /**
     * @stability stable
     */
    readonly iothubIds: string[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId?: string;
    /**
     * @stability stable
     */
    readonly logUnmaskedIpsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly queryForResources?: string;
    /**
     * @stability stable
     */
    readonly querySubscriptionIds?: string[];
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * recommendations_enabled block.
     *
     * @stability stable
     */
    readonly recommendationsEnabled?: IotSecuritySolutionRecommendationsEnabled[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IotSecuritySolutionTimeouts;
}
/**
 * @stability stable
 */
export interface IotSecuritySolutionRecommendationsEnabled {
    /**
     * @stability stable
     */
    readonly acrAuthentication?: boolean;
    /**
     * @stability stable
     */
    readonly agentSendUnutilizedMsg?: boolean;
    /**
     * @stability stable
     */
    readonly baseline?: boolean;
    /**
     * @stability stable
     */
    readonly edgeHubMemOptimize?: boolean;
    /**
     * @stability stable
     */
    readonly edgeLoggingOption?: boolean;
    /**
     * @stability stable
     */
    readonly inconsistentModuleSettings?: boolean;
    /**
     * @stability stable
     */
    readonly installAgent?: boolean;
    /**
     * @stability stable
     */
    readonly ipFilterDenyAll?: boolean;
    /**
     * @stability stable
     */
    readonly ipFilterPermissiveRule?: boolean;
    /**
     * @stability stable
     */
    readonly openPorts?: boolean;
    /**
     * @stability stable
     */
    readonly permissiveFirewallPolicy?: boolean;
    /**
     * @stability stable
     */
    readonly permissiveInputFirewallRules?: boolean;
    /**
     * @stability stable
     */
    readonly permissiveOutputFirewallRules?: boolean;
    /**
     * @stability stable
     */
    readonly privilegedDockerOptions?: boolean;
    /**
     * @stability stable
     */
    readonly sharedCredentials?: boolean;
    /**
     * @stability stable
     */
    readonly vulnerableTlsCipherSuite?: boolean;
}
/**
 * @stability stable
 */
export interface IotSecuritySolutionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IotSecuritySolution extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IotSecuritySolutionConfig);
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    private _eventsToExport?;
    /**
     * @stability stable
     */
    get eventsToExport(): string[];
    /**
     * @stability stable
     */
    set eventsToExport(value: string[]);
    /**
     * @stability stable
     */
    resetEventsToExport(): void;
    /**
     * @stability stable
     */
    get eventsToExportInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _iothubIds;
    /**
     * @stability stable
     */
    get iothubIds(): string[];
    /**
     * @stability stable
     */
    set iothubIds(value: string[]);
    /**
     * @stability stable
     */
    get iothubIdsInput(): string[];
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _logAnalyticsWorkspaceId?;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    resetLogAnalyticsWorkspaceId(): void;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string | undefined;
    private _logUnmaskedIpsEnabled?;
    /**
     * @stability stable
     */
    get logUnmaskedIpsEnabled(): boolean;
    /**
     * @stability stable
     */
    set logUnmaskedIpsEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetLogUnmaskedIpsEnabled(): void;
    /**
     * @stability stable
     */
    get logUnmaskedIpsEnabledInput(): boolean | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _queryForResources?;
    /**
     * @stability stable
     */
    get queryForResources(): string;
    /**
     * @stability stable
     */
    set queryForResources(value: string);
    /**
     * @stability stable
     */
    resetQueryForResources(): void;
    /**
     * @stability stable
     */
    get queryForResourcesInput(): string | undefined;
    private _querySubscriptionIds?;
    /**
     * @stability stable
     */
    get querySubscriptionIds(): string[];
    /**
     * @stability stable
     */
    set querySubscriptionIds(value: string[]);
    /**
     * @stability stable
     */
    resetQuerySubscriptionIds(): void;
    /**
     * @stability stable
     */
    get querySubscriptionIdsInput(): string[] | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _recommendationsEnabled?;
    /**
     * @stability stable
     */
    get recommendationsEnabled(): IotSecuritySolutionRecommendationsEnabled[];
    /**
     * @stability stable
     */
    set recommendationsEnabled(value: IotSecuritySolutionRecommendationsEnabled[]);
    /**
     * @stability stable
     */
    resetRecommendationsEnabled(): void;
    /**
     * @stability stable
     */
    get recommendationsEnabledInput(): IotSecuritySolutionRecommendationsEnabled[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IotSecuritySolutionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IotSecuritySolutionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IotSecuritySolutionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
