import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IotTimeSeriesInsightsGen2EnvironmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly idProperties: string[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly warmStoreDataRetentionTime?: string;
    /**
     * storage block.
     *
     * @stability stable
     */
    readonly storage: IotTimeSeriesInsightsGen2EnvironmentStorage[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IotTimeSeriesInsightsGen2EnvironmentTimeouts;
}
/**
 * @stability stable
 */
export interface IotTimeSeriesInsightsGen2EnvironmentStorage {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface IotTimeSeriesInsightsGen2EnvironmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IotTimeSeriesInsightsGen2Environment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IotTimeSeriesInsightsGen2EnvironmentConfig);
    /**
     * @stability stable
     */
    get dataAccessFqdn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _idProperties;
    /**
     * @stability stable
     */
    get idProperties(): string[];
    /**
     * @stability stable
     */
    set idProperties(value: string[]);
    /**
     * @stability stable
     */
    get idPropertiesInput(): string[];
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _warmStoreDataRetentionTime?;
    /**
     * @stability stable
     */
    get warmStoreDataRetentionTime(): string;
    /**
     * @stability stable
     */
    set warmStoreDataRetentionTime(value: string);
    /**
     * @stability stable
     */
    resetWarmStoreDataRetentionTime(): void;
    /**
     * @stability stable
     */
    get warmStoreDataRetentionTimeInput(): string | undefined;
    private _storage;
    /**
     * @stability stable
     */
    get storage(): IotTimeSeriesInsightsGen2EnvironmentStorage[];
    /**
     * @stability stable
     */
    set storage(value: IotTimeSeriesInsightsGen2EnvironmentStorage[]);
    /**
     * @stability stable
     */
    get storageInput(): IotTimeSeriesInsightsGen2EnvironmentStorage[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IotTimeSeriesInsightsGen2EnvironmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IotTimeSeriesInsightsGen2EnvironmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IotTimeSeriesInsightsGen2EnvironmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
