import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IotTimeSeriesInsightsReferenceDataSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dataStringComparisonBehavior?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly timeSeriesInsightsEnvironmentId: string;
    /**
     * key_property block.
     *
     * @stability stable
     */
    readonly keyProperty: IotTimeSeriesInsightsReferenceDataSetKeyProperty[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IotTimeSeriesInsightsReferenceDataSetTimeouts;
}
/**
 * @stability stable
 */
export interface IotTimeSeriesInsightsReferenceDataSetKeyProperty {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface IotTimeSeriesInsightsReferenceDataSetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IotTimeSeriesInsightsReferenceDataSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IotTimeSeriesInsightsReferenceDataSetConfig);
    private _dataStringComparisonBehavior?;
    /**
     * @stability stable
     */
    get dataStringComparisonBehavior(): string;
    /**
     * @stability stable
     */
    set dataStringComparisonBehavior(value: string);
    /**
     * @stability stable
     */
    resetDataStringComparisonBehavior(): void;
    /**
     * @stability stable
     */
    get dataStringComparisonBehaviorInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeSeriesInsightsEnvironmentId;
    /**
     * @stability stable
     */
    get timeSeriesInsightsEnvironmentId(): string;
    /**
     * @stability stable
     */
    set timeSeriesInsightsEnvironmentId(value: string);
    /**
     * @stability stable
     */
    get timeSeriesInsightsEnvironmentIdInput(): string;
    private _keyProperty;
    /**
     * @stability stable
     */
    get keyProperty(): IotTimeSeriesInsightsReferenceDataSetKeyProperty[];
    /**
     * @stability stable
     */
    set keyProperty(value: IotTimeSeriesInsightsReferenceDataSetKeyProperty[]);
    /**
     * @stability stable
     */
    get keyPropertyInput(): IotTimeSeriesInsightsReferenceDataSetKeyProperty[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IotTimeSeriesInsightsReferenceDataSetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IotTimeSeriesInsightsReferenceDataSetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IotTimeSeriesInsightsReferenceDataSetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
