import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IothubDpsCertificateConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly certificateContent: string;
    /**
     * @stability stable
     */
    readonly iotDpsName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IothubDpsCertificateTimeouts;
}
/**
 * @stability stable
 */
export interface IothubDpsCertificateTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IothubDpsCertificate extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IothubDpsCertificateConfig);
    private _certificateContent;
    /**
     * @stability stable
     */
    get certificateContent(): string;
    /**
     * @stability stable
     */
    set certificateContent(value: string);
    /**
     * @stability stable
     */
    get certificateContentInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _iotDpsName;
    /**
     * @stability stable
     */
    get iotDpsName(): string;
    /**
     * @stability stable
     */
    set iotDpsName(value: string);
    /**
     * @stability stable
     */
    get iotDpsNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IothubDpsCertificateTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IothubDpsCertificateTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IothubDpsCertificateTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
