import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IothubDpsSharedAccessPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly enrollmentRead?: boolean;
    /**
     * @stability stable
     */
    readonly enrollmentWrite?: boolean;
    /**
     * @stability stable
     */
    readonly iothubDpsName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly registrationRead?: boolean;
    /**
     * @stability stable
     */
    readonly registrationWrite?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceConfig?: boolean;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IothubDpsSharedAccessPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface IothubDpsSharedAccessPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IothubDpsSharedAccessPolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IothubDpsSharedAccessPolicyConfig);
    private _enrollmentRead?;
    /**
     * @stability stable
     */
    get enrollmentRead(): boolean;
    /**
     * @stability stable
     */
    set enrollmentRead(value: boolean);
    /**
     * @stability stable
     */
    resetEnrollmentRead(): void;
    /**
     * @stability stable
     */
    get enrollmentReadInput(): boolean | undefined;
    private _enrollmentWrite?;
    /**
     * @stability stable
     */
    get enrollmentWrite(): boolean;
    /**
     * @stability stable
     */
    set enrollmentWrite(value: boolean);
    /**
     * @stability stable
     */
    resetEnrollmentWrite(): void;
    /**
     * @stability stable
     */
    get enrollmentWriteInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _iothubDpsName;
    /**
     * @stability stable
     */
    get iothubDpsName(): string;
    /**
     * @stability stable
     */
    set iothubDpsName(value: string);
    /**
     * @stability stable
     */
    get iothubDpsNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get primaryConnectionString(): string;
    /**
     * @stability stable
     */
    get primaryKey(): string;
    private _registrationRead?;
    /**
     * @stability stable
     */
    get registrationRead(): boolean;
    /**
     * @stability stable
     */
    set registrationRead(value: boolean);
    /**
     * @stability stable
     */
    resetRegistrationRead(): void;
    /**
     * @stability stable
     */
    get registrationReadInput(): boolean | undefined;
    private _registrationWrite?;
    /**
     * @stability stable
     */
    get registrationWrite(): boolean;
    /**
     * @stability stable
     */
    set registrationWrite(value: boolean);
    /**
     * @stability stable
     */
    resetRegistrationWrite(): void;
    /**
     * @stability stable
     */
    get registrationWriteInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryConnectionString(): string;
    /**
     * @stability stable
     */
    get secondaryKey(): string;
    private _serviceConfig?;
    /**
     * @stability stable
     */
    get serviceConfig(): boolean;
    /**
     * @stability stable
     */
    set serviceConfig(value: boolean);
    /**
     * @stability stable
     */
    resetServiceConfig(): void;
    /**
     * @stability stable
     */
    get serviceConfigInput(): boolean | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IothubDpsSharedAccessPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IothubDpsSharedAccessPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IothubDpsSharedAccessPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
