import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IothubDpsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * linked_hub block.
     *
     * @stability stable
     */
    readonly linkedHub?: IothubDpsLinkedHub[];
    /**
     * sku block.
     *
     * @stability stable
     */
    readonly sku: IothubDpsSku[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IothubDpsTimeouts;
}
/**
 * @stability stable
 */
export interface IothubDpsLinkedHub {
    /**
     * @stability stable
     */
    readonly allocationWeight?: number;
    /**
     * @stability stable
     */
    readonly applyAllocationPolicy?: boolean;
    /**
     * @stability stable
     */
    readonly connectionString: string;
    /**
     * @stability stable
     */
    readonly location: string;
}
/**
 * @stability stable
 */
export interface IothubDpsSku {
    /**
     * @stability stable
     */
    readonly capacity: number;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface IothubDpsTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IothubDps extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IothubDpsConfig);
    /**
     * @stability stable
     */
    get allocationPolicy(): string;
    /**
     * @stability stable
     */
    get deviceProvisioningHostName(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get idScope(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get serviceOperationsHostName(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _linkedHub?;
    /**
     * @stability stable
     */
    get linkedHub(): IothubDpsLinkedHub[];
    /**
     * @stability stable
     */
    set linkedHub(value: IothubDpsLinkedHub[]);
    /**
     * @stability stable
     */
    resetLinkedHub(): void;
    /**
     * @stability stable
     */
    get linkedHubInput(): IothubDpsLinkedHub[] | undefined;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): IothubDpsSku[];
    /**
     * @stability stable
     */
    set sku(value: IothubDpsSku[]);
    /**
     * @stability stable
     */
    get skuInput(): IothubDpsSku[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IothubDpsTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IothubDpsTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IothubDpsTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
