import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IothubEndpointStorageContainerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly batchFrequencyInSeconds?: number;
    /**
     * @stability stable
     */
    readonly connectionString: string;
    /**
     * @stability stable
     */
    readonly containerName: string;
    /**
     * @stability stable
     */
    readonly encoding?: string;
    /**
     * @stability stable
     */
    readonly fileNameFormat?: string;
    /**
     * @stability stable
     */
    readonly iothubName: string;
    /**
     * @stability stable
     */
    readonly maxChunkSizeInBytes?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IothubEndpointStorageContainerTimeouts;
}
/**
 * @stability stable
 */
export interface IothubEndpointStorageContainerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IothubEndpointStorageContainer extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IothubEndpointStorageContainerConfig);
    private _batchFrequencyInSeconds?;
    /**
     * @stability stable
     */
    get batchFrequencyInSeconds(): number;
    /**
     * @stability stable
     */
    set batchFrequencyInSeconds(value: number);
    /**
     * @stability stable
     */
    resetBatchFrequencyInSeconds(): void;
    /**
     * @stability stable
     */
    get batchFrequencyInSecondsInput(): number | undefined;
    private _connectionString;
    /**
     * @stability stable
     */
    get connectionString(): string;
    /**
     * @stability stable
     */
    set connectionString(value: string);
    /**
     * @stability stable
     */
    get connectionStringInput(): string;
    private _containerName;
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    set containerName(value: string);
    /**
     * @stability stable
     */
    get containerNameInput(): string;
    private _encoding?;
    /**
     * @stability stable
     */
    get encoding(): string;
    /**
     * @stability stable
     */
    set encoding(value: string);
    /**
     * @stability stable
     */
    resetEncoding(): void;
    /**
     * @stability stable
     */
    get encodingInput(): string | undefined;
    private _fileNameFormat?;
    /**
     * @stability stable
     */
    get fileNameFormat(): string;
    /**
     * @stability stable
     */
    set fileNameFormat(value: string);
    /**
     * @stability stable
     */
    resetFileNameFormat(): void;
    /**
     * @stability stable
     */
    get fileNameFormatInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _iothubName;
    /**
     * @stability stable
     */
    get iothubName(): string;
    /**
     * @stability stable
     */
    set iothubName(value: string);
    /**
     * @stability stable
     */
    get iothubNameInput(): string;
    private _maxChunkSizeInBytes?;
    /**
     * @stability stable
     */
    get maxChunkSizeInBytes(): number;
    /**
     * @stability stable
     */
    set maxChunkSizeInBytes(value: number);
    /**
     * @stability stable
     */
    resetMaxChunkSizeInBytes(): void;
    /**
     * @stability stable
     */
    get maxChunkSizeInBytesInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IothubEndpointStorageContainerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IothubEndpointStorageContainerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IothubEndpointStorageContainerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
