import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IothubSharedAccessPolicyAConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deviceConnect?: boolean;
    /**
     * @stability stable
     */
    readonly iothubName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly registryRead?: boolean;
    /**
     * @stability stable
     */
    readonly registryWrite?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceConnect?: boolean;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: IothubSharedAccessPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface IothubSharedAccessPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class IothubSharedAccessPolicyA extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IothubSharedAccessPolicyAConfig);
    private _deviceConnect?;
    /**
     * @stability stable
     */
    get deviceConnect(): boolean;
    /**
     * @stability stable
     */
    set deviceConnect(value: boolean);
    /**
     * @stability stable
     */
    resetDeviceConnect(): void;
    /**
     * @stability stable
     */
    get deviceConnectInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _iothubName;
    /**
     * @stability stable
     */
    get iothubName(): string;
    /**
     * @stability stable
     */
    set iothubName(value: string);
    /**
     * @stability stable
     */
    get iothubNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get primaryConnectionString(): string;
    /**
     * @stability stable
     */
    get primaryKey(): string;
    private _registryRead?;
    /**
     * @stability stable
     */
    get registryRead(): boolean;
    /**
     * @stability stable
     */
    set registryRead(value: boolean);
    /**
     * @stability stable
     */
    resetRegistryRead(): void;
    /**
     * @stability stable
     */
    get registryReadInput(): boolean | undefined;
    private _registryWrite?;
    /**
     * @stability stable
     */
    get registryWrite(): boolean;
    /**
     * @stability stable
     */
    set registryWrite(value: boolean);
    /**
     * @stability stable
     */
    resetRegistryWrite(): void;
    /**
     * @stability stable
     */
    get registryWriteInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryConnectionString(): string;
    /**
     * @stability stable
     */
    get secondaryKey(): string;
    private _serviceConnect?;
    /**
     * @stability stable
     */
    get serviceConnect(): boolean;
    /**
     * @stability stable
     */
    set serviceConnect(value: boolean);
    /**
     * @stability stable
     */
    resetServiceConnect(): void;
    /**
     * @stability stable
     */
    get serviceConnectInput(): boolean | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): IothubSharedAccessPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: IothubSharedAccessPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): IothubSharedAccessPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
