import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface KeyVaultAccessPolicyAConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly applicationId?: string;
    /**
     * @stability stable
     */
    readonly certificatePermissions?: string[];
    /**
     * @stability stable
     */
    readonly keyPermissions?: string[];
    /**
     * @stability stable
     */
    readonly keyVaultId: string;
    /**
     * @stability stable
     */
    readonly objectId: string;
    /**
     * @stability stable
     */
    readonly secretPermissions?: string[];
    /**
     * @stability stable
     */
    readonly storagePermissions?: string[];
    /**
     * @stability stable
     */
    readonly tenantId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: KeyVaultAccessPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface KeyVaultAccessPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class KeyVaultAccessPolicyA extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: KeyVaultAccessPolicyAConfig);
    private _applicationId?;
    /**
     * @stability stable
     */
    get applicationId(): string;
    /**
     * @stability stable
     */
    set applicationId(value: string);
    /**
     * @stability stable
     */
    resetApplicationId(): void;
    /**
     * @stability stable
     */
    get applicationIdInput(): string | undefined;
    private _certificatePermissions?;
    /**
     * @stability stable
     */
    get certificatePermissions(): string[];
    /**
     * @stability stable
     */
    set certificatePermissions(value: string[]);
    /**
     * @stability stable
     */
    resetCertificatePermissions(): void;
    /**
     * @stability stable
     */
    get certificatePermissionsInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _keyPermissions?;
    /**
     * @stability stable
     */
    get keyPermissions(): string[];
    /**
     * @stability stable
     */
    set keyPermissions(value: string[]);
    /**
     * @stability stable
     */
    resetKeyPermissions(): void;
    /**
     * @stability stable
     */
    get keyPermissionsInput(): string[] | undefined;
    private _keyVaultId;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    set keyVaultId(value: string);
    /**
     * @stability stable
     */
    get keyVaultIdInput(): string;
    private _objectId;
    /**
     * @stability stable
     */
    get objectId(): string;
    /**
     * @stability stable
     */
    set objectId(value: string);
    /**
     * @stability stable
     */
    get objectIdInput(): string;
    private _secretPermissions?;
    /**
     * @stability stable
     */
    get secretPermissions(): string[];
    /**
     * @stability stable
     */
    set secretPermissions(value: string[]);
    /**
     * @stability stable
     */
    resetSecretPermissions(): void;
    /**
     * @stability stable
     */
    get secretPermissionsInput(): string[] | undefined;
    private _storagePermissions?;
    /**
     * @stability stable
     */
    get storagePermissions(): string[];
    /**
     * @stability stable
     */
    set storagePermissions(value: string[]);
    /**
     * @stability stable
     */
    resetStoragePermissions(): void;
    /**
     * @stability stable
     */
    get storagePermissionsInput(): string[] | undefined;
    private _tenantId;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    set tenantId(value: string);
    /**
     * @stability stable
     */
    get tenantIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): KeyVaultAccessPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: KeyVaultAccessPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): KeyVaultAccessPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
