import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface KeyVaultCertificateIssuerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountId?: string;
    /**
     * @stability stable
     */
    readonly keyVaultId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly orgId?: string;
    /**
     * @stability stable
     */
    readonly password?: string;
    /**
     * @stability stable
     */
    readonly providerName: string;
    /**
     * admin block.
     *
     * @stability stable
     */
    readonly admin?: KeyVaultCertificateIssuerAdmin[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: KeyVaultCertificateIssuerTimeouts;
}
/**
 * @stability stable
 */
export interface KeyVaultCertificateIssuerAdmin {
    /**
     * @stability stable
     */
    readonly emailAddress: string;
    /**
     * @stability stable
     */
    readonly firstName?: string;
    /**
     * @stability stable
     */
    readonly lastName?: string;
    /**
     * @stability stable
     */
    readonly phone?: string;
}
/**
 * @stability stable
 */
export interface KeyVaultCertificateIssuerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class KeyVaultCertificateIssuer extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: KeyVaultCertificateIssuerConfig);
    private _accountId?;
    /**
     * @stability stable
     */
    get accountId(): string;
    /**
     * @stability stable
     */
    set accountId(value: string);
    /**
     * @stability stable
     */
    resetAccountId(): void;
    /**
     * @stability stable
     */
    get accountIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _keyVaultId;
    /**
     * @stability stable
     */
    get keyVaultId(): string;
    /**
     * @stability stable
     */
    set keyVaultId(value: string);
    /**
     * @stability stable
     */
    get keyVaultIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _orgId?;
    /**
     * @stability stable
     */
    get orgId(): string;
    /**
     * @stability stable
     */
    set orgId(value: string);
    /**
     * @stability stable
     */
    resetOrgId(): void;
    /**
     * @stability stable
     */
    get orgIdInput(): string | undefined;
    private _password?;
    /**
     * @stability stable
     */
    get password(): string;
    /**
     * @stability stable
     */
    set password(value: string);
    /**
     * @stability stable
     */
    resetPassword(): void;
    /**
     * @stability stable
     */
    get passwordInput(): string | undefined;
    private _providerName;
    /**
     * @stability stable
     */
    get providerName(): string;
    /**
     * @stability stable
     */
    set providerName(value: string);
    /**
     * @stability stable
     */
    get providerNameInput(): string;
    private _admin?;
    /**
     * @stability stable
     */
    get admin(): KeyVaultCertificateIssuerAdmin[];
    /**
     * @stability stable
     */
    set admin(value: KeyVaultCertificateIssuerAdmin[]);
    /**
     * @stability stable
     */
    resetAdmin(): void;
    /**
     * @stability stable
     */
    get adminInput(): KeyVaultCertificateIssuerAdmin[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): KeyVaultCertificateIssuerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: KeyVaultCertificateIssuerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): KeyVaultCertificateIssuerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
