import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface KubernetesClusterNodePoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly availabilityZones?: string[];
    /**
     * @stability stable
     */
    readonly enableAutoScaling?: boolean;
    /**
     * @stability stable
     */
    readonly enableHostEncryption?: boolean;
    /**
     * @stability stable
     */
    readonly enableNodePublicIp?: boolean;
    /**
     * @stability stable
     */
    readonly evictionPolicy?: string;
    /**
     * @stability stable
     */
    readonly kubernetesClusterId: string;
    /**
     * @stability stable
     */
    readonly maxCount?: number;
    /**
     * @stability stable
     */
    readonly maxPods?: number;
    /**
     * @stability stable
     */
    readonly minCount?: number;
    /**
     * @stability stable
     */
    readonly mode?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly nodeCount?: number;
    /**
     * @stability stable
     */
    readonly nodeLabels?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly nodeTaints?: string[];
    /**
     * @stability stable
     */
    readonly orchestratorVersion?: string;
    /**
     * @stability stable
     */
    readonly osDiskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly osDiskType?: string;
    /**
     * @stability stable
     */
    readonly osType?: string;
    /**
     * @stability stable
     */
    readonly priority?: string;
    /**
     * @stability stable
     */
    readonly proximityPlacementGroupId?: string;
    /**
     * @stability stable
     */
    readonly spotMaxPrice?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly vmSize: string;
    /**
     * @stability stable
     */
    readonly vnetSubnetId?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: KubernetesClusterNodePoolTimeouts;
    /**
     * upgrade_settings block.
     *
     * @stability stable
     */
    readonly upgradeSettings?: KubernetesClusterNodePoolUpgradeSettings[];
}
/**
 * @stability stable
 */
export interface KubernetesClusterNodePoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface KubernetesClusterNodePoolUpgradeSettings {
    /**
     * @stability stable
     */
    readonly maxSurge: string;
}
/**
 * @stability stable
 */
export declare class KubernetesClusterNodePool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: KubernetesClusterNodePoolConfig);
    private _availabilityZones?;
    /**
     * @stability stable
     */
    get availabilityZones(): string[];
    /**
     * @stability stable
     */
    set availabilityZones(value: string[]);
    /**
     * @stability stable
     */
    resetAvailabilityZones(): void;
    /**
     * @stability stable
     */
    get availabilityZonesInput(): string[] | undefined;
    private _enableAutoScaling?;
    /**
     * @stability stable
     */
    get enableAutoScaling(): boolean;
    /**
     * @stability stable
     */
    set enableAutoScaling(value: boolean);
    /**
     * @stability stable
     */
    resetEnableAutoScaling(): void;
    /**
     * @stability stable
     */
    get enableAutoScalingInput(): boolean | undefined;
    private _enableHostEncryption?;
    /**
     * @stability stable
     */
    get enableHostEncryption(): boolean;
    /**
     * @stability stable
     */
    set enableHostEncryption(value: boolean);
    /**
     * @stability stable
     */
    resetEnableHostEncryption(): void;
    /**
     * @stability stable
     */
    get enableHostEncryptionInput(): boolean | undefined;
    private _enableNodePublicIp?;
    /**
     * @stability stable
     */
    get enableNodePublicIp(): boolean;
    /**
     * @stability stable
     */
    set enableNodePublicIp(value: boolean);
    /**
     * @stability stable
     */
    resetEnableNodePublicIp(): void;
    /**
     * @stability stable
     */
    get enableNodePublicIpInput(): boolean | undefined;
    private _evictionPolicy?;
    /**
     * @stability stable
     */
    get evictionPolicy(): string;
    /**
     * @stability stable
     */
    set evictionPolicy(value: string);
    /**
     * @stability stable
     */
    resetEvictionPolicy(): void;
    /**
     * @stability stable
     */
    get evictionPolicyInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _kubernetesClusterId;
    /**
     * @stability stable
     */
    get kubernetesClusterId(): string;
    /**
     * @stability stable
     */
    set kubernetesClusterId(value: string);
    /**
     * @stability stable
     */
    get kubernetesClusterIdInput(): string;
    private _maxCount?;
    /**
     * @stability stable
     */
    get maxCount(): number;
    /**
     * @stability stable
     */
    set maxCount(value: number);
    /**
     * @stability stable
     */
    resetMaxCount(): void;
    /**
     * @stability stable
     */
    get maxCountInput(): number | undefined;
    private _maxPods?;
    /**
     * @stability stable
     */
    get maxPods(): number;
    /**
     * @stability stable
     */
    set maxPods(value: number);
    /**
     * @stability stable
     */
    resetMaxPods(): void;
    /**
     * @stability stable
     */
    get maxPodsInput(): number | undefined;
    private _minCount?;
    /**
     * @stability stable
     */
    get minCount(): number;
    /**
     * @stability stable
     */
    set minCount(value: number);
    /**
     * @stability stable
     */
    resetMinCount(): void;
    /**
     * @stability stable
     */
    get minCountInput(): number | undefined;
    private _mode?;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    set mode(value: string);
    /**
     * @stability stable
     */
    resetMode(): void;
    /**
     * @stability stable
     */
    get modeInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _nodeCount?;
    /**
     * @stability stable
     */
    get nodeCount(): number;
    /**
     * @stability stable
     */
    set nodeCount(value: number);
    /**
     * @stability stable
     */
    resetNodeCount(): void;
    /**
     * @stability stable
     */
    get nodeCountInput(): number | undefined;
    private _nodeLabels?;
    /**
     * @stability stable
     */
    get nodeLabels(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set nodeLabels(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetNodeLabels(): void;
    /**
     * @stability stable
     */
    get nodeLabelsInput(): {
        [key: string]: string;
    } | undefined;
    private _nodeTaints?;
    /**
     * @stability stable
     */
    get nodeTaints(): string[];
    /**
     * @stability stable
     */
    set nodeTaints(value: string[]);
    /**
     * @stability stable
     */
    resetNodeTaints(): void;
    /**
     * @stability stable
     */
    get nodeTaintsInput(): string[] | undefined;
    private _orchestratorVersion?;
    /**
     * @stability stable
     */
    get orchestratorVersion(): string;
    /**
     * @stability stable
     */
    set orchestratorVersion(value: string);
    /**
     * @stability stable
     */
    resetOrchestratorVersion(): void;
    /**
     * @stability stable
     */
    get orchestratorVersionInput(): string | undefined;
    private _osDiskSizeGb?;
    /**
     * @stability stable
     */
    get osDiskSizeGb(): number;
    /**
     * @stability stable
     */
    set osDiskSizeGb(value: number);
    /**
     * @stability stable
     */
    resetOsDiskSizeGb(): void;
    /**
     * @stability stable
     */
    get osDiskSizeGbInput(): number | undefined;
    private _osDiskType?;
    /**
     * @stability stable
     */
    get osDiskType(): string;
    /**
     * @stability stable
     */
    set osDiskType(value: string);
    /**
     * @stability stable
     */
    resetOsDiskType(): void;
    /**
     * @stability stable
     */
    get osDiskTypeInput(): string | undefined;
    private _osType?;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    set osType(value: string);
    /**
     * @stability stable
     */
    resetOsType(): void;
    /**
     * @stability stable
     */
    get osTypeInput(): string | undefined;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): string;
    /**
     * @stability stable
     */
    set priority(value: string);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): string | undefined;
    private _proximityPlacementGroupId?;
    /**
     * @stability stable
     */
    get proximityPlacementGroupId(): string;
    /**
     * @stability stable
     */
    set proximityPlacementGroupId(value: string);
    /**
     * @stability stable
     */
    resetProximityPlacementGroupId(): void;
    /**
     * @stability stable
     */
    get proximityPlacementGroupIdInput(): string | undefined;
    private _spotMaxPrice?;
    /**
     * @stability stable
     */
    get spotMaxPrice(): number;
    /**
     * @stability stable
     */
    set spotMaxPrice(value: number);
    /**
     * @stability stable
     */
    resetSpotMaxPrice(): void;
    /**
     * @stability stable
     */
    get spotMaxPriceInput(): number | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _vmSize;
    /**
     * @stability stable
     */
    get vmSize(): string;
    /**
     * @stability stable
     */
    set vmSize(value: string);
    /**
     * @stability stable
     */
    get vmSizeInput(): string;
    private _vnetSubnetId?;
    /**
     * @stability stable
     */
    get vnetSubnetId(): string;
    /**
     * @stability stable
     */
    set vnetSubnetId(value: string);
    /**
     * @stability stable
     */
    resetVnetSubnetId(): void;
    /**
     * @stability stable
     */
    get vnetSubnetIdInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): KubernetesClusterNodePoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: KubernetesClusterNodePoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): KubernetesClusterNodePoolTimeouts | undefined;
    private _upgradeSettings?;
    /**
     * @stability stable
     */
    get upgradeSettings(): KubernetesClusterNodePoolUpgradeSettings[];
    /**
     * @stability stable
     */
    set upgradeSettings(value: KubernetesClusterNodePoolUpgradeSettings[]);
    /**
     * @stability stable
     */
    resetUpgradeSettings(): void;
    /**
     * @stability stable
     */
    get upgradeSettingsInput(): KubernetesClusterNodePoolUpgradeSettings[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
