import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LbBackendAddressPoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly loadbalancerId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName?: string;
    /**
     * backend_address block.
     *
     * @stability stable
     */
    readonly backendAddress?: LbBackendAddressPoolBackendAddress[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LbBackendAddressPoolTimeouts;
}
/**
 * @stability stable
 */
export interface LbBackendAddressPoolBackendAddress {
    /**
     * @stability stable
     */
    readonly ipAddress: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly virtualNetworkId: string;
}
/**
 * @stability stable
 */
export interface LbBackendAddressPoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LbBackendAddressPool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LbBackendAddressPoolConfig);
    /**
     * @stability stable
     */
    get backendIpConfigurations(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get loadBalancingRules(): string[];
    private _loadbalancerId;
    /**
     * @stability stable
     */
    get loadbalancerId(): string;
    /**
     * @stability stable
     */
    set loadbalancerId(value: string);
    /**
     * @stability stable
     */
    get loadbalancerIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get outboundRules(): string[];
    private _resourceGroupName?;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    resetResourceGroupName(): void;
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string | undefined;
    private _backendAddress?;
    /**
     * @stability stable
     */
    get backendAddress(): LbBackendAddressPoolBackendAddress[];
    /**
     * @stability stable
     */
    set backendAddress(value: LbBackendAddressPoolBackendAddress[]);
    /**
     * @stability stable
     */
    resetBackendAddress(): void;
    /**
     * @stability stable
     */
    get backendAddressInput(): LbBackendAddressPoolBackendAddress[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LbBackendAddressPoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LbBackendAddressPoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LbBackendAddressPoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
