import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LbNatPoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly backendPort: number;
    /**
     * @stability stable
     */
    readonly frontendIpConfigurationName: string;
    /**
     * @stability stable
     */
    readonly frontendPortEnd: number;
    /**
     * @stability stable
     */
    readonly frontendPortStart: number;
    /**
     * @stability stable
     */
    readonly loadbalancerId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LbNatPoolTimeouts;
}
/**
 * @stability stable
 */
export interface LbNatPoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LbNatPool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LbNatPoolConfig);
    private _backendPort;
    /**
     * @stability stable
     */
    get backendPort(): number;
    /**
     * @stability stable
     */
    set backendPort(value: number);
    /**
     * @stability stable
     */
    get backendPortInput(): number;
    /**
     * @stability stable
     */
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    /**
     * @stability stable
     */
    get frontendIpConfigurationName(): string;
    /**
     * @stability stable
     */
    set frontendIpConfigurationName(value: string);
    /**
     * @stability stable
     */
    get frontendIpConfigurationNameInput(): string;
    private _frontendPortEnd;
    /**
     * @stability stable
     */
    get frontendPortEnd(): number;
    /**
     * @stability stable
     */
    set frontendPortEnd(value: number);
    /**
     * @stability stable
     */
    get frontendPortEndInput(): number;
    private _frontendPortStart;
    /**
     * @stability stable
     */
    get frontendPortStart(): number;
    /**
     * @stability stable
     */
    set frontendPortStart(value: number);
    /**
     * @stability stable
     */
    get frontendPortStartInput(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _loadbalancerId;
    /**
     * @stability stable
     */
    get loadbalancerId(): string;
    /**
     * @stability stable
     */
    set loadbalancerId(value: string);
    /**
     * @stability stable
     */
    get loadbalancerIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _protocol;
    /**
     * @stability stable
     */
    get protocol(): string;
    /**
     * @stability stable
     */
    set protocol(value: string);
    /**
     * @stability stable
     */
    get protocolInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LbNatPoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LbNatPoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LbNatPoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
