import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LbRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly backendAddressPoolId?: string;
    /**
     * @stability stable
     */
    readonly backendPort: number;
    /**
     * @stability stable
     */
    readonly disableOutboundSnat?: boolean;
    /**
     * @stability stable
     */
    readonly enableFloatingIp?: boolean;
    /**
     * @stability stable
     */
    readonly enableTcpReset?: boolean;
    /**
     * @stability stable
     */
    readonly frontendIpConfigurationName: string;
    /**
     * @stability stable
     */
    readonly frontendPort: number;
    /**
     * @stability stable
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     * @stability stable
     */
    readonly loadDistribution?: string;
    /**
     * @stability stable
     */
    readonly loadbalancerId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly probeId?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LbRuleTimeouts;
}
/**
 * @stability stable
 */
export interface LbRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LbRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LbRuleConfig);
    private _backendAddressPoolId?;
    /**
     * @stability stable
     */
    get backendAddressPoolId(): string;
    /**
     * @stability stable
     */
    set backendAddressPoolId(value: string);
    /**
     * @stability stable
     */
    resetBackendAddressPoolId(): void;
    /**
     * @stability stable
     */
    get backendAddressPoolIdInput(): string | undefined;
    private _backendPort;
    /**
     * @stability stable
     */
    get backendPort(): number;
    /**
     * @stability stable
     */
    set backendPort(value: number);
    /**
     * @stability stable
     */
    get backendPortInput(): number;
    private _disableOutboundSnat?;
    /**
     * @stability stable
     */
    get disableOutboundSnat(): boolean;
    /**
     * @stability stable
     */
    set disableOutboundSnat(value: boolean);
    /**
     * @stability stable
     */
    resetDisableOutboundSnat(): void;
    /**
     * @stability stable
     */
    get disableOutboundSnatInput(): boolean | undefined;
    private _enableFloatingIp?;
    /**
     * @stability stable
     */
    get enableFloatingIp(): boolean;
    /**
     * @stability stable
     */
    set enableFloatingIp(value: boolean);
    /**
     * @stability stable
     */
    resetEnableFloatingIp(): void;
    /**
     * @stability stable
     */
    get enableFloatingIpInput(): boolean | undefined;
    private _enableTcpReset?;
    /**
     * @stability stable
     */
    get enableTcpReset(): boolean;
    /**
     * @stability stable
     */
    set enableTcpReset(value: boolean);
    /**
     * @stability stable
     */
    resetEnableTcpReset(): void;
    /**
     * @stability stable
     */
    get enableTcpResetInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    /**
     * @stability stable
     */
    get frontendIpConfigurationName(): string;
    /**
     * @stability stable
     */
    set frontendIpConfigurationName(value: string);
    /**
     * @stability stable
     */
    get frontendIpConfigurationNameInput(): string;
    private _frontendPort;
    /**
     * @stability stable
     */
    get frontendPort(): number;
    /**
     * @stability stable
     */
    set frontendPort(value: number);
    /**
     * @stability stable
     */
    get frontendPortInput(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _idleTimeoutInMinutes?;
    /**
     * @stability stable
     */
    get idleTimeoutInMinutes(): number;
    /**
     * @stability stable
     */
    set idleTimeoutInMinutes(value: number);
    /**
     * @stability stable
     */
    resetIdleTimeoutInMinutes(): void;
    /**
     * @stability stable
     */
    get idleTimeoutInMinutesInput(): number | undefined;
    private _loadDistribution?;
    /**
     * @stability stable
     */
    get loadDistribution(): string;
    /**
     * @stability stable
     */
    set loadDistribution(value: string);
    /**
     * @stability stable
     */
    resetLoadDistribution(): void;
    /**
     * @stability stable
     */
    get loadDistributionInput(): string | undefined;
    private _loadbalancerId;
    /**
     * @stability stable
     */
    get loadbalancerId(): string;
    /**
     * @stability stable
     */
    set loadbalancerId(value: string);
    /**
     * @stability stable
     */
    get loadbalancerIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _probeId?;
    /**
     * @stability stable
     */
    get probeId(): string;
    /**
     * @stability stable
     */
    set probeId(value: string);
    /**
     * @stability stable
     */
    resetProbeId(): void;
    /**
     * @stability stable
     */
    get probeIdInput(): string | undefined;
    private _protocol;
    /**
     * @stability stable
     */
    get protocol(): string;
    /**
     * @stability stable
     */
    set protocol(value: string);
    /**
     * @stability stable
     */
    get protocolInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LbRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LbRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LbRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
