import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LighthouseDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly lighthouseDefinitionId?: string;
    /**
     * @stability stable
     */
    readonly managingTenantId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly scope: string;
    /**
     * authorization block.
     *
     * @stability stable
     */
    readonly authorization: LighthouseDefinitionAuthorization[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LighthouseDefinitionTimeouts;
}
/**
 * @stability stable
 */
export interface LighthouseDefinitionAuthorization {
    /**
     * @stability stable
     */
    readonly principalDisplayName?: string;
    /**
     * @stability stable
     */
    readonly principalId: string;
    /**
     * @stability stable
     */
    readonly roleDefinitionId: string;
}
/**
 * @stability stable
 */
export interface LighthouseDefinitionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LighthouseDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LighthouseDefinitionConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _lighthouseDefinitionId?;
    /**
     * @stability stable
     */
    get lighthouseDefinitionId(): string;
    /**
     * @stability stable
     */
    set lighthouseDefinitionId(value: string);
    /**
     * @stability stable
     */
    resetLighthouseDefinitionId(): void;
    /**
     * @stability stable
     */
    get lighthouseDefinitionIdInput(): string | undefined;
    private _managingTenantId;
    /**
     * @stability stable
     */
    get managingTenantId(): string;
    /**
     * @stability stable
     */
    set managingTenantId(value: string);
    /**
     * @stability stable
     */
    get managingTenantIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _scope;
    /**
     * @stability stable
     */
    get scope(): string;
    /**
     * @stability stable
     */
    set scope(value: string);
    /**
     * @stability stable
     */
    get scopeInput(): string;
    private _authorization;
    /**
     * @stability stable
     */
    get authorization(): LighthouseDefinitionAuthorization[];
    /**
     * @stability stable
     */
    set authorization(value: LighthouseDefinitionAuthorization[]);
    /**
     * @stability stable
     */
    get authorizationInput(): LighthouseDefinitionAuthorization[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LighthouseDefinitionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LighthouseDefinitionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LighthouseDefinitionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
