import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LinuxVirtualMachineConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly adminPassword?: string;
    /**
     * @stability stable
     */
    readonly adminUsername: string;
    /**
     * @stability stable
     */
    readonly allowExtensionOperations?: boolean;
    /**
     * @stability stable
     */
    readonly availabilitySetId?: string;
    /**
     * @stability stable
     */
    readonly computerName?: string;
    /**
     * @stability stable
     */
    readonly customData?: string;
    /**
     * @stability stable
     */
    readonly dedicatedHostId?: string;
    /**
     * @stability stable
     */
    readonly disablePasswordAuthentication?: boolean;
    /**
     * @stability stable
     */
    readonly encryptionAtHostEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly evictionPolicy?: string;
    /**
     * @stability stable
     */
    readonly extensionsTimeBudget?: string;
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maxBidPrice?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkInterfaceIds: string[];
    /**
     * @stability stable
     */
    readonly platformFaultDomain?: number;
    /**
     * @stability stable
     */
    readonly priority?: string;
    /**
     * @stability stable
     */
    readonly provisionVmAgent?: boolean;
    /**
     * @stability stable
     */
    readonly proximityPlacementGroupId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly size: string;
    /**
     * @stability stable
     */
    readonly sourceImageId?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualMachineScaleSetId?: string;
    /**
     * @stability stable
     */
    readonly zone?: string;
    /**
     * additional_capabilities block.
     *
     * @stability stable
     */
    readonly additionalCapabilities?: LinuxVirtualMachineAdditionalCapabilities[];
    /**
     * admin_ssh_key block.
     *
     * @stability stable
     */
    readonly adminSshKey?: LinuxVirtualMachineAdminSshKey[];
    /**
     * boot_diagnostics block.
     *
     * @stability stable
     */
    readonly bootDiagnostics?: LinuxVirtualMachineBootDiagnostics[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: LinuxVirtualMachineIdentity[];
    /**
     * os_disk block.
     *
     * @stability stable
     */
    readonly osDisk: LinuxVirtualMachineOsDisk[];
    /**
     * plan block.
     *
     * @stability stable
     */
    readonly plan?: LinuxVirtualMachinePlan[];
    /**
     * secret block.
     *
     * @stability stable
     */
    readonly secret?: LinuxVirtualMachineSecret[];
    /**
     * source_image_reference block.
     *
     * @stability stable
     */
    readonly sourceImageReference?: LinuxVirtualMachineSourceImageReference[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LinuxVirtualMachineTimeouts;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineAdditionalCapabilities {
    /**
     * @stability stable
     */
    readonly ultraSsdEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineAdminSshKey {
    /**
     * @stability stable
     */
    readonly publicKey: string;
    /**
     * @stability stable
     */
    readonly username: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineBootDiagnostics {
    /**
     * @stability stable
     */
    readonly storageAccountUri?: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineOsDiskDiffDiskSettings {
    /**
     * @stability stable
     */
    readonly option: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineOsDisk {
    /**
     * @stability stable
     */
    readonly caching: string;
    /**
     * @stability stable
     */
    readonly diskEncryptionSetId?: string;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly storageAccountType: string;
    /**
     * @stability stable
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     *
     * @stability stable
     */
    readonly diffDiskSettings?: LinuxVirtualMachineOsDiskDiffDiskSettings[];
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachinePlan {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly product: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineSecretCertificate {
    /**
     * @stability stable
     */
    readonly url: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineSecret {
    /**
     * @stability stable
     */
    readonly keyVaultId: string;
    /**
     * certificate block.
     *
     * @stability stable
     */
    readonly certificate: LinuxVirtualMachineSecretCertificate[];
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineSourceImageReference {
    /**
     * @stability stable
     */
    readonly offer: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly version: string;
}
/**
 * @stability stable
 */
export interface LinuxVirtualMachineTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LinuxVirtualMachine extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LinuxVirtualMachineConfig);
    private _adminPassword?;
    /**
     * @stability stable
     */
    get adminPassword(): string;
    /**
     * @stability stable
     */
    set adminPassword(value: string);
    /**
     * @stability stable
     */
    resetAdminPassword(): void;
    /**
     * @stability stable
     */
    get adminPasswordInput(): string | undefined;
    private _adminUsername;
    /**
     * @stability stable
     */
    get adminUsername(): string;
    /**
     * @stability stable
     */
    set adminUsername(value: string);
    /**
     * @stability stable
     */
    get adminUsernameInput(): string;
    private _allowExtensionOperations?;
    /**
     * @stability stable
     */
    get allowExtensionOperations(): boolean;
    /**
     * @stability stable
     */
    set allowExtensionOperations(value: boolean);
    /**
     * @stability stable
     */
    resetAllowExtensionOperations(): void;
    /**
     * @stability stable
     */
    get allowExtensionOperationsInput(): boolean | undefined;
    private _availabilitySetId?;
    /**
     * @stability stable
     */
    get availabilitySetId(): string;
    /**
     * @stability stable
     */
    set availabilitySetId(value: string);
    /**
     * @stability stable
     */
    resetAvailabilitySetId(): void;
    /**
     * @stability stable
     */
    get availabilitySetIdInput(): string | undefined;
    private _computerName?;
    /**
     * @stability stable
     */
    get computerName(): string;
    /**
     * @stability stable
     */
    set computerName(value: string);
    /**
     * @stability stable
     */
    resetComputerName(): void;
    /**
     * @stability stable
     */
    get computerNameInput(): string | undefined;
    private _customData?;
    /**
     * @stability stable
     */
    get customData(): string;
    /**
     * @stability stable
     */
    set customData(value: string);
    /**
     * @stability stable
     */
    resetCustomData(): void;
    /**
     * @stability stable
     */
    get customDataInput(): string | undefined;
    private _dedicatedHostId?;
    /**
     * @stability stable
     */
    get dedicatedHostId(): string;
    /**
     * @stability stable
     */
    set dedicatedHostId(value: string);
    /**
     * @stability stable
     */
    resetDedicatedHostId(): void;
    /**
     * @stability stable
     */
    get dedicatedHostIdInput(): string | undefined;
    private _disablePasswordAuthentication?;
    /**
     * @stability stable
     */
    get disablePasswordAuthentication(): boolean;
    /**
     * @stability stable
     */
    set disablePasswordAuthentication(value: boolean);
    /**
     * @stability stable
     */
    resetDisablePasswordAuthentication(): void;
    /**
     * @stability stable
     */
    get disablePasswordAuthenticationInput(): boolean | undefined;
    private _encryptionAtHostEnabled?;
    /**
     * @stability stable
     */
    get encryptionAtHostEnabled(): boolean;
    /**
     * @stability stable
     */
    set encryptionAtHostEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetEncryptionAtHostEnabled(): void;
    /**
     * @stability stable
     */
    get encryptionAtHostEnabledInput(): boolean | undefined;
    private _evictionPolicy?;
    /**
     * @stability stable
     */
    get evictionPolicy(): string;
    /**
     * @stability stable
     */
    set evictionPolicy(value: string);
    /**
     * @stability stable
     */
    resetEvictionPolicy(): void;
    /**
     * @stability stable
     */
    get evictionPolicyInput(): string | undefined;
    private _extensionsTimeBudget?;
    /**
     * @stability stable
     */
    get extensionsTimeBudget(): string;
    /**
     * @stability stable
     */
    set extensionsTimeBudget(value: string);
    /**
     * @stability stable
     */
    resetExtensionsTimeBudget(): void;
    /**
     * @stability stable
     */
    get extensionsTimeBudgetInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _licenseType?;
    /**
     * @stability stable
     */
    get licenseType(): string;
    /**
     * @stability stable
     */
    set licenseType(value: string);
    /**
     * @stability stable
     */
    resetLicenseType(): void;
    /**
     * @stability stable
     */
    get licenseTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maxBidPrice?;
    /**
     * @stability stable
     */
    get maxBidPrice(): number;
    /**
     * @stability stable
     */
    set maxBidPrice(value: number);
    /**
     * @stability stable
     */
    resetMaxBidPrice(): void;
    /**
     * @stability stable
     */
    get maxBidPriceInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkInterfaceIds;
    /**
     * @stability stable
     */
    get networkInterfaceIds(): string[];
    /**
     * @stability stable
     */
    set networkInterfaceIds(value: string[]);
    /**
     * @stability stable
     */
    get networkInterfaceIdsInput(): string[];
    private _platformFaultDomain?;
    /**
     * @stability stable
     */
    get platformFaultDomain(): number;
    /**
     * @stability stable
     */
    set platformFaultDomain(value: number);
    /**
     * @stability stable
     */
    resetPlatformFaultDomain(): void;
    /**
     * @stability stable
     */
    get platformFaultDomainInput(): number | undefined;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): string;
    /**
     * @stability stable
     */
    set priority(value: string);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): string | undefined;
    /**
     * @stability stable
     */
    get privateIpAddress(): string;
    /**
     * @stability stable
     */
    get privateIpAddresses(): string[];
    private _provisionVmAgent?;
    /**
     * @stability stable
     */
    get provisionVmAgent(): boolean;
    /**
     * @stability stable
     */
    set provisionVmAgent(value: boolean);
    /**
     * @stability stable
     */
    resetProvisionVmAgent(): void;
    /**
     * @stability stable
     */
    get provisionVmAgentInput(): boolean | undefined;
    private _proximityPlacementGroupId?;
    /**
     * @stability stable
     */
    get proximityPlacementGroupId(): string;
    /**
     * @stability stable
     */
    set proximityPlacementGroupId(value: string);
    /**
     * @stability stable
     */
    resetProximityPlacementGroupId(): void;
    /**
     * @stability stable
     */
    get proximityPlacementGroupIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get publicIpAddress(): string;
    /**
     * @stability stable
     */
    get publicIpAddresses(): string[];
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _size;
    /**
     * @stability stable
     */
    get size(): string;
    /**
     * @stability stable
     */
    set size(value: string);
    /**
     * @stability stable
     */
    get sizeInput(): string;
    private _sourceImageId?;
    /**
     * @stability stable
     */
    get sourceImageId(): string;
    /**
     * @stability stable
     */
    set sourceImageId(value: string);
    /**
     * @stability stable
     */
    resetSourceImageId(): void;
    /**
     * @stability stable
     */
    get sourceImageIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get virtualMachineId(): string;
    private _virtualMachineScaleSetId?;
    /**
     * @stability stable
     */
    get virtualMachineScaleSetId(): string;
    /**
     * @stability stable
     */
    set virtualMachineScaleSetId(value: string);
    /**
     * @stability stable
     */
    resetVirtualMachineScaleSetId(): void;
    /**
     * @stability stable
     */
    get virtualMachineScaleSetIdInput(): string | undefined;
    private _zone?;
    /**
     * @stability stable
     */
    get zone(): string;
    /**
     * @stability stable
     */
    set zone(value: string);
    /**
     * @stability stable
     */
    resetZone(): void;
    /**
     * @stability stable
     */
    get zoneInput(): string | undefined;
    private _additionalCapabilities?;
    /**
     * @stability stable
     */
    get additionalCapabilities(): LinuxVirtualMachineAdditionalCapabilities[];
    /**
     * @stability stable
     */
    set additionalCapabilities(value: LinuxVirtualMachineAdditionalCapabilities[]);
    /**
     * @stability stable
     */
    resetAdditionalCapabilities(): void;
    /**
     * @stability stable
     */
    get additionalCapabilitiesInput(): LinuxVirtualMachineAdditionalCapabilities[] | undefined;
    private _adminSshKey?;
    /**
     * @stability stable
     */
    get adminSshKey(): LinuxVirtualMachineAdminSshKey[];
    /**
     * @stability stable
     */
    set adminSshKey(value: LinuxVirtualMachineAdminSshKey[]);
    /**
     * @stability stable
     */
    resetAdminSshKey(): void;
    /**
     * @stability stable
     */
    get adminSshKeyInput(): LinuxVirtualMachineAdminSshKey[] | undefined;
    private _bootDiagnostics?;
    /**
     * @stability stable
     */
    get bootDiagnostics(): LinuxVirtualMachineBootDiagnostics[];
    /**
     * @stability stable
     */
    set bootDiagnostics(value: LinuxVirtualMachineBootDiagnostics[]);
    /**
     * @stability stable
     */
    resetBootDiagnostics(): void;
    /**
     * @stability stable
     */
    get bootDiagnosticsInput(): LinuxVirtualMachineBootDiagnostics[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): LinuxVirtualMachineIdentity[];
    /**
     * @stability stable
     */
    set identity(value: LinuxVirtualMachineIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): LinuxVirtualMachineIdentity[] | undefined;
    private _osDisk;
    /**
     * @stability stable
     */
    get osDisk(): LinuxVirtualMachineOsDisk[];
    /**
     * @stability stable
     */
    set osDisk(value: LinuxVirtualMachineOsDisk[]);
    /**
     * @stability stable
     */
    get osDiskInput(): LinuxVirtualMachineOsDisk[];
    private _plan?;
    /**
     * @stability stable
     */
    get plan(): LinuxVirtualMachinePlan[];
    /**
     * @stability stable
     */
    set plan(value: LinuxVirtualMachinePlan[]);
    /**
     * @stability stable
     */
    resetPlan(): void;
    /**
     * @stability stable
     */
    get planInput(): LinuxVirtualMachinePlan[] | undefined;
    private _secret?;
    /**
     * @stability stable
     */
    get secret(): LinuxVirtualMachineSecret[];
    /**
     * @stability stable
     */
    set secret(value: LinuxVirtualMachineSecret[]);
    /**
     * @stability stable
     */
    resetSecret(): void;
    /**
     * @stability stable
     */
    get secretInput(): LinuxVirtualMachineSecret[] | undefined;
    private _sourceImageReference?;
    /**
     * @stability stable
     */
    get sourceImageReference(): LinuxVirtualMachineSourceImageReference[];
    /**
     * @stability stable
     */
    set sourceImageReference(value: LinuxVirtualMachineSourceImageReference[]);
    /**
     * @stability stable
     */
    resetSourceImageReference(): void;
    /**
     * @stability stable
     */
    get sourceImageReferenceInput(): LinuxVirtualMachineSourceImageReference[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LinuxVirtualMachineTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LinuxVirtualMachineTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LinuxVirtualMachineTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
