import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogAnalyticsDataExportRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly destinationResourceId: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tableNames: string[];
    /**
     * @stability stable
     */
    readonly workspaceResourceId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogAnalyticsDataExportRuleTimeouts;
}
/**
 * @stability stable
 */
export interface LogAnalyticsDataExportRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogAnalyticsDataExportRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsDataExportRuleConfig);
    private _destinationResourceId;
    /**
     * @stability stable
     */
    get destinationResourceId(): string;
    /**
     * @stability stable
     */
    set destinationResourceId(value: string);
    /**
     * @stability stable
     */
    get destinationResourceIdInput(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get exportRuleId(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tableNames;
    /**
     * @stability stable
     */
    get tableNames(): string[];
    /**
     * @stability stable
     */
    set tableNames(value: string[]);
    /**
     * @stability stable
     */
    get tableNamesInput(): string[];
    private _workspaceResourceId;
    /**
     * @stability stable
     */
    get workspaceResourceId(): string;
    /**
     * @stability stable
     */
    set workspaceResourceId(value: string);
    /**
     * @stability stable
     */
    get workspaceResourceIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogAnalyticsDataExportRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogAnalyticsDataExportRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogAnalyticsDataExportRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
