import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogAnalyticsLinkedStorageAccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dataSourceType: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageAccountIds: string[];
    /**
     * @stability stable
     */
    readonly workspaceResourceId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogAnalyticsLinkedStorageAccountTimeouts;
}
/**
 * @stability stable
 */
export interface LogAnalyticsLinkedStorageAccountTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogAnalyticsLinkedStorageAccount extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsLinkedStorageAccountConfig);
    private _dataSourceType;
    /**
     * @stability stable
     */
    get dataSourceType(): string;
    /**
     * @stability stable
     */
    set dataSourceType(value: string);
    /**
     * @stability stable
     */
    get dataSourceTypeInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _storageAccountIds;
    /**
     * @stability stable
     */
    get storageAccountIds(): string[];
    /**
     * @stability stable
     */
    set storageAccountIds(value: string[]);
    /**
     * @stability stable
     */
    get storageAccountIdsInput(): string[];
    private _workspaceResourceId;
    /**
     * @stability stable
     */
    get workspaceResourceId(): string;
    /**
     * @stability stable
     */
    set workspaceResourceId(value: string);
    /**
     * @stability stable
     */
    get workspaceResourceIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogAnalyticsLinkedStorageAccountTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogAnalyticsLinkedStorageAccountTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogAnalyticsLinkedStorageAccountTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
