import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogAnalyticsSavedSearchConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly category: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly functionAlias?: string;
    /**
     * @stability stable
     */
    readonly functionParameters?: string[];
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly query: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogAnalyticsSavedSearchTimeouts;
}
/**
 * @stability stable
 */
export interface LogAnalyticsSavedSearchTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogAnalyticsSavedSearch extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsSavedSearchConfig);
    private _category;
    /**
     * @stability stable
     */
    get category(): string;
    /**
     * @stability stable
     */
    set category(value: string);
    /**
     * @stability stable
     */
    get categoryInput(): string;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    private _functionAlias?;
    /**
     * @stability stable
     */
    get functionAlias(): string;
    /**
     * @stability stable
     */
    set functionAlias(value: string);
    /**
     * @stability stable
     */
    resetFunctionAlias(): void;
    /**
     * @stability stable
     */
    get functionAliasInput(): string | undefined;
    private _functionParameters?;
    /**
     * @stability stable
     */
    get functionParameters(): string[];
    /**
     * @stability stable
     */
    set functionParameters(value: string[]);
    /**
     * @stability stable
     */
    resetFunctionParameters(): void;
    /**
     * @stability stable
     */
    get functionParametersInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsWorkspaceId;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _query;
    /**
     * @stability stable
     */
    get query(): string;
    /**
     * @stability stable
     */
    set query(value: string);
    /**
     * @stability stable
     */
    get queryInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogAnalyticsSavedSearchTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogAnalyticsSavedSearchTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogAnalyticsSavedSearchTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
