import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogAnalyticsStorageInsightsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly blobContainerNames?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly tableNames?: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly workspaceId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogAnalyticsStorageInsightsTimeouts;
}
/**
 * @stability stable
 */
export interface LogAnalyticsStorageInsightsTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogAnalyticsStorageInsights extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsStorageInsightsConfig);
    private _blobContainerNames?;
    /**
     * @stability stable
     */
    get blobContainerNames(): string[];
    /**
     * @stability stable
     */
    set blobContainerNames(value: string[]);
    /**
     * @stability stable
     */
    resetBlobContainerNames(): void;
    /**
     * @stability stable
     */
    get blobContainerNamesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _storageAccountId;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string;
    private _storageAccountKey;
    /**
     * @stability stable
     */
    get storageAccountKey(): string;
    /**
     * @stability stable
     */
    set storageAccountKey(value: string);
    /**
     * @stability stable
     */
    get storageAccountKeyInput(): string;
    private _tableNames?;
    /**
     * @stability stable
     */
    get tableNames(): string[];
    /**
     * @stability stable
     */
    set tableNames(value: string[]);
    /**
     * @stability stable
     */
    resetTableNames(): void;
    /**
     * @stability stable
     */
    get tableNamesInput(): string[] | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _workspaceId;
    /**
     * @stability stable
     */
    get workspaceId(): string;
    /**
     * @stability stable
     */
    set workspaceId(value: string);
    /**
     * @stability stable
     */
    get workspaceIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogAnalyticsStorageInsightsTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogAnalyticsStorageInsightsTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogAnalyticsStorageInsightsTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
