import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogAnalyticsWorkspaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dailyQuotaGb?: number;
    /**
     * @stability stable
     */
    readonly internetIngestionEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly internetQueryEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly reservationCapcityInGbPerDay?: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly retentionInDays?: number;
    /**
     * @stability stable
     */
    readonly sku?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogAnalyticsWorkspaceTimeouts;
}
/**
 * @stability stable
 */
export interface LogAnalyticsWorkspaceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogAnalyticsWorkspace extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsWorkspaceConfig);
    private _dailyQuotaGb?;
    /**
     * @stability stable
     */
    get dailyQuotaGb(): number;
    /**
     * @stability stable
     */
    set dailyQuotaGb(value: number);
    /**
     * @stability stable
     */
    resetDailyQuotaGb(): void;
    /**
     * @stability stable
     */
    get dailyQuotaGbInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _internetIngestionEnabled?;
    /**
     * @stability stable
     */
    get internetIngestionEnabled(): boolean;
    /**
     * @stability stable
     */
    set internetIngestionEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetInternetIngestionEnabled(): void;
    /**
     * @stability stable
     */
    get internetIngestionEnabledInput(): boolean | undefined;
    private _internetQueryEnabled?;
    /**
     * @stability stable
     */
    get internetQueryEnabled(): boolean;
    /**
     * @stability stable
     */
    set internetQueryEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetInternetQueryEnabled(): void;
    /**
     * @stability stable
     */
    get internetQueryEnabledInput(): boolean | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get portalUrl(): string;
    /**
     * @stability stable
     */
    get primarySharedKey(): string;
    private _reservationCapcityInGbPerDay?;
    /**
     * @stability stable
     */
    get reservationCapcityInGbPerDay(): number;
    /**
     * @stability stable
     */
    set reservationCapcityInGbPerDay(value: number);
    /**
     * @stability stable
     */
    resetReservationCapcityInGbPerDay(): void;
    /**
     * @stability stable
     */
    get reservationCapcityInGbPerDayInput(): number | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _retentionInDays?;
    /**
     * @stability stable
     */
    get retentionInDays(): number;
    /**
     * @stability stable
     */
    set retentionInDays(value: number);
    /**
     * @stability stable
     */
    resetRetentionInDays(): void;
    /**
     * @stability stable
     */
    get retentionInDaysInput(): number | undefined;
    /**
     * @stability stable
     */
    get secondarySharedKey(): string;
    private _sku?;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    resetSku(): void;
    /**
     * @stability stable
     */
    get skuInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get workspaceId(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogAnalyticsWorkspaceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogAnalyticsWorkspaceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogAnalyticsWorkspaceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
