import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogicAppActionHttpConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly body?: string;
    /**
     * @stability stable
     */
    readonly headers?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly logicAppId: string;
    /**
     * @stability stable
     */
    readonly method: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly uri: string;
    /**
     * run_after block.
     *
     * @stability stable
     */
    readonly runAfter?: LogicAppActionHttpRunAfter[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogicAppActionHttpTimeouts;
}
/**
 * @stability stable
 */
export interface LogicAppActionHttpRunAfter {
    /**
     * @stability stable
     */
    readonly actionName: string;
    /**
     * @stability stable
     */
    readonly actionResult: string;
}
/**
 * @stability stable
 */
export interface LogicAppActionHttpTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogicAppActionHttp extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogicAppActionHttpConfig);
    private _body?;
    /**
     * @stability stable
     */
    get body(): string;
    /**
     * @stability stable
     */
    set body(value: string);
    /**
     * @stability stable
     */
    resetBody(): void;
    /**
     * @stability stable
     */
    get bodyInput(): string | undefined;
    private _headers?;
    /**
     * @stability stable
     */
    get headers(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set headers(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetHeaders(): void;
    /**
     * @stability stable
     */
    get headersInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logicAppId;
    /**
     * @stability stable
     */
    get logicAppId(): string;
    /**
     * @stability stable
     */
    set logicAppId(value: string);
    /**
     * @stability stable
     */
    get logicAppIdInput(): string;
    private _method;
    /**
     * @stability stable
     */
    get method(): string;
    /**
     * @stability stable
     */
    set method(value: string);
    /**
     * @stability stable
     */
    get methodInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _uri;
    /**
     * @stability stable
     */
    get uri(): string;
    /**
     * @stability stable
     */
    set uri(value: string);
    /**
     * @stability stable
     */
    get uriInput(): string;
    private _runAfter?;
    /**
     * @stability stable
     */
    get runAfter(): LogicAppActionHttpRunAfter[];
    /**
     * @stability stable
     */
    set runAfter(value: LogicAppActionHttpRunAfter[]);
    /**
     * @stability stable
     */
    resetRunAfter(): void;
    /**
     * @stability stable
     */
    get runAfterInput(): LogicAppActionHttpRunAfter[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogicAppActionHttpTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogicAppActionHttpTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogicAppActionHttpTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
