import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogicAppTriggerHttpRequestConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly logicAppId: string;
    /**
     * @stability stable
     */
    readonly method?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly relativePath?: string;
    /**
     * @stability stable
     */
    readonly schema: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogicAppTriggerHttpRequestTimeouts;
}
/**
 * @stability stable
 */
export interface LogicAppTriggerHttpRequestTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogicAppTriggerHttpRequest extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogicAppTriggerHttpRequestConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _logicAppId;
    /**
     * @stability stable
     */
    get logicAppId(): string;
    /**
     * @stability stable
     */
    set logicAppId(value: string);
    /**
     * @stability stable
     */
    get logicAppIdInput(): string;
    private _method?;
    /**
     * @stability stable
     */
    get method(): string;
    /**
     * @stability stable
     */
    set method(value: string);
    /**
     * @stability stable
     */
    resetMethod(): void;
    /**
     * @stability stable
     */
    get methodInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _relativePath?;
    /**
     * @stability stable
     */
    get relativePath(): string;
    /**
     * @stability stable
     */
    set relativePath(value: string);
    /**
     * @stability stable
     */
    resetRelativePath(): void;
    /**
     * @stability stable
     */
    get relativePathInput(): string | undefined;
    private _schema;
    /**
     * @stability stable
     */
    get schema(): string;
    /**
     * @stability stable
     */
    set schema(value: string);
    /**
     * @stability stable
     */
    get schemaInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogicAppTriggerHttpRequestTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogicAppTriggerHttpRequestTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogicAppTriggerHttpRequestTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
