import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogicAppTriggerRecurrenceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly frequency: string;
    /**
     * @stability stable
     */
    readonly interval: number;
    /**
     * @stability stable
     */
    readonly logicAppId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly startTime?: string;
    /**
     * @stability stable
     */
    readonly timeZone?: string;
    /**
     * schedule block.
     *
     * @stability stable
     */
    readonly schedule?: LogicAppTriggerRecurrenceSchedule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogicAppTriggerRecurrenceTimeouts;
}
/**
 * @stability stable
 */
export interface LogicAppTriggerRecurrenceSchedule {
    /**
     * @stability stable
     */
    readonly atTheseHours?: number[];
    /**
     * @stability stable
     */
    readonly atTheseMinutes?: number[];
    /**
     * @stability stable
     */
    readonly onTheseDays?: string[];
}
/**
 * @stability stable
 */
export interface LogicAppTriggerRecurrenceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogicAppTriggerRecurrence extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogicAppTriggerRecurrenceConfig);
    private _frequency;
    /**
     * @stability stable
     */
    get frequency(): string;
    /**
     * @stability stable
     */
    set frequency(value: string);
    /**
     * @stability stable
     */
    get frequencyInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _interval;
    /**
     * @stability stable
     */
    get interval(): number;
    /**
     * @stability stable
     */
    set interval(value: number);
    /**
     * @stability stable
     */
    get intervalInput(): number;
    private _logicAppId;
    /**
     * @stability stable
     */
    get logicAppId(): string;
    /**
     * @stability stable
     */
    set logicAppId(value: string);
    /**
     * @stability stable
     */
    get logicAppIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _startTime?;
    /**
     * @stability stable
     */
    get startTime(): string;
    /**
     * @stability stable
     */
    set startTime(value: string);
    /**
     * @stability stable
     */
    resetStartTime(): void;
    /**
     * @stability stable
     */
    get startTimeInput(): string | undefined;
    private _timeZone?;
    /**
     * @stability stable
     */
    get timeZone(): string;
    /**
     * @stability stable
     */
    set timeZone(value: string);
    /**
     * @stability stable
     */
    resetTimeZone(): void;
    /**
     * @stability stable
     */
    get timeZoneInput(): string | undefined;
    private _schedule?;
    /**
     * @stability stable
     */
    get schedule(): LogicAppTriggerRecurrenceSchedule[];
    /**
     * @stability stable
     */
    set schedule(value: LogicAppTriggerRecurrenceSchedule[]);
    /**
     * @stability stable
     */
    resetSchedule(): void;
    /**
     * @stability stable
     */
    get scheduleInput(): LogicAppTriggerRecurrenceSchedule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogicAppTriggerRecurrenceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogicAppTriggerRecurrenceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogicAppTriggerRecurrenceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
