import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LogicAppWorkflowConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly integrationServiceEnvironmentId?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly logicAppIntegrationAccountId?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly workflowSchema?: string;
    /**
     * @stability stable
     */
    readonly workflowVersion?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: LogicAppWorkflowTimeouts;
}
/**
 * @stability stable
 */
export interface LogicAppWorkflowTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class LogicAppWorkflow extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LogicAppWorkflowConfig);
    /**
     * @stability stable
     */
    get accessEndpoint(): string;
    /**
     * @stability stable
     */
    get connectorEndpointIpAddresses(): string[];
    /**
     * @stability stable
     */
    get connectorOutboundIpAddresses(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _integrationServiceEnvironmentId?;
    /**
     * @stability stable
     */
    get integrationServiceEnvironmentId(): string;
    /**
     * @stability stable
     */
    set integrationServiceEnvironmentId(value: string);
    /**
     * @stability stable
     */
    resetIntegrationServiceEnvironmentId(): void;
    /**
     * @stability stable
     */
    get integrationServiceEnvironmentIdInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _logicAppIntegrationAccountId?;
    /**
     * @stability stable
     */
    get logicAppIntegrationAccountId(): string;
    /**
     * @stability stable
     */
    set logicAppIntegrationAccountId(value: string);
    /**
     * @stability stable
     */
    resetLogicAppIntegrationAccountId(): void;
    /**
     * @stability stable
     */
    get logicAppIntegrationAccountIdInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set parameters(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get workflowEndpointIpAddresses(): string[];
    /**
     * @stability stable
     */
    get workflowOutboundIpAddresses(): string[];
    private _workflowSchema?;
    /**
     * @stability stable
     */
    get workflowSchema(): string;
    /**
     * @stability stable
     */
    set workflowSchema(value: string);
    /**
     * @stability stable
     */
    resetWorkflowSchema(): void;
    /**
     * @stability stable
     */
    get workflowSchemaInput(): string | undefined;
    private _workflowVersion?;
    /**
     * @stability stable
     */
    get workflowVersion(): string;
    /**
     * @stability stable
     */
    set workflowVersion(value: string);
    /**
     * @stability stable
     */
    resetWorkflowVersion(): void;
    /**
     * @stability stable
     */
    get workflowVersionInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): LogicAppWorkflowTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: LogicAppWorkflowTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): LogicAppWorkflowTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
