import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ManagedApplicationDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly createUiDefinition?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly lockLevel: string;
    /**
     * @stability stable
     */
    readonly mainTemplate?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly packageEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly packageFileUri?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * authorization block.
     *
     * @stability stable
     */
    readonly authorization?: ManagedApplicationDefinitionAuthorization[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ManagedApplicationDefinitionTimeouts;
}
/**
 * @stability stable
 */
export interface ManagedApplicationDefinitionAuthorization {
    /**
     * @stability stable
     */
    readonly roleDefinitionId: string;
    /**
     * @stability stable
     */
    readonly servicePrincipalId: string;
}
/**
 * @stability stable
 */
export interface ManagedApplicationDefinitionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ManagedApplicationDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ManagedApplicationDefinitionConfig);
    private _createUiDefinition?;
    /**
     * @stability stable
     */
    get createUiDefinition(): string;
    /**
     * @stability stable
     */
    set createUiDefinition(value: string);
    /**
     * @stability stable
     */
    resetCreateUiDefinition(): void;
    /**
     * @stability stable
     */
    get createUiDefinitionInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _lockLevel;
    /**
     * @stability stable
     */
    get lockLevel(): string;
    /**
     * @stability stable
     */
    set lockLevel(value: string);
    /**
     * @stability stable
     */
    get lockLevelInput(): string;
    private _mainTemplate?;
    /**
     * @stability stable
     */
    get mainTemplate(): string;
    /**
     * @stability stable
     */
    set mainTemplate(value: string);
    /**
     * @stability stable
     */
    resetMainTemplate(): void;
    /**
     * @stability stable
     */
    get mainTemplateInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _packageEnabled?;
    /**
     * @stability stable
     */
    get packageEnabled(): boolean;
    /**
     * @stability stable
     */
    set packageEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetPackageEnabled(): void;
    /**
     * @stability stable
     */
    get packageEnabledInput(): boolean | undefined;
    private _packageFileUri?;
    /**
     * @stability stable
     */
    get packageFileUri(): string;
    /**
     * @stability stable
     */
    set packageFileUri(value: string);
    /**
     * @stability stable
     */
    resetPackageFileUri(): void;
    /**
     * @stability stable
     */
    get packageFileUriInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _authorization?;
    /**
     * @stability stable
     */
    get authorization(): ManagedApplicationDefinitionAuthorization[];
    /**
     * @stability stable
     */
    set authorization(value: ManagedApplicationDefinitionAuthorization[]);
    /**
     * @stability stable
     */
    resetAuthorization(): void;
    /**
     * @stability stable
     */
    get authorizationInput(): ManagedApplicationDefinitionAuthorization[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ManagedApplicationDefinitionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ManagedApplicationDefinitionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ManagedApplicationDefinitionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
