import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ManagedDiskConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly createOption: string;
    /**
     * @stability stable
     */
    readonly diskEncryptionSetId?: string;
    /**
     * @stability stable
     */
    readonly diskIopsReadWrite?: number;
    /**
     * @stability stable
     */
    readonly diskMbpsReadWrite?: number;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly imageReferenceId?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly osType?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sourceResourceId?: string;
    /**
     * @stability stable
     */
    readonly sourceUri?: string;
    /**
     * @stability stable
     */
    readonly storageAccountId?: string;
    /**
     * @stability stable
     */
    readonly storageAccountType: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * encryption_settings block.
     *
     * @stability stable
     */
    readonly encryptionSettings?: ManagedDiskEncryptionSettings[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ManagedDiskTimeouts;
}
/**
 * @stability stable
 */
export interface ManagedDiskEncryptionSettingsDiskEncryptionKey {
    /**
     * @stability stable
     */
    readonly secretUrl: string;
    /**
     * @stability stable
     */
    readonly sourceVaultId: string;
}
/**
 * @stability stable
 */
export interface ManagedDiskEncryptionSettingsKeyEncryptionKey {
    /**
     * @stability stable
     */
    readonly keyUrl: string;
    /**
     * @stability stable
     */
    readonly sourceVaultId: string;
}
/**
 * @stability stable
 */
export interface ManagedDiskEncryptionSettings {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * disk_encryption_key block.
     *
     * @stability stable
     */
    readonly diskEncryptionKey?: ManagedDiskEncryptionSettingsDiskEncryptionKey[];
    /**
     * key_encryption_key block.
     *
     * @stability stable
     */
    readonly keyEncryptionKey?: ManagedDiskEncryptionSettingsKeyEncryptionKey[];
}
/**
 * @stability stable
 */
export interface ManagedDiskTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ManagedDisk extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ManagedDiskConfig);
    private _createOption;
    /**
     * @stability stable
     */
    get createOption(): string;
    /**
     * @stability stable
     */
    set createOption(value: string);
    /**
     * @stability stable
     */
    get createOptionInput(): string;
    private _diskEncryptionSetId?;
    /**
     * @stability stable
     */
    get diskEncryptionSetId(): string;
    /**
     * @stability stable
     */
    set diskEncryptionSetId(value: string);
    /**
     * @stability stable
     */
    resetDiskEncryptionSetId(): void;
    /**
     * @stability stable
     */
    get diskEncryptionSetIdInput(): string | undefined;
    private _diskIopsReadWrite?;
    /**
     * @stability stable
     */
    get diskIopsReadWrite(): number;
    /**
     * @stability stable
     */
    set diskIopsReadWrite(value: number);
    /**
     * @stability stable
     */
    resetDiskIopsReadWrite(): void;
    /**
     * @stability stable
     */
    get diskIopsReadWriteInput(): number | undefined;
    private _diskMbpsReadWrite?;
    /**
     * @stability stable
     */
    get diskMbpsReadWrite(): number;
    /**
     * @stability stable
     */
    set diskMbpsReadWrite(value: number);
    /**
     * @stability stable
     */
    resetDiskMbpsReadWrite(): void;
    /**
     * @stability stable
     */
    get diskMbpsReadWriteInput(): number | undefined;
    private _diskSizeGb?;
    /**
     * @stability stable
     */
    get diskSizeGb(): number;
    /**
     * @stability stable
     */
    set diskSizeGb(value: number);
    /**
     * @stability stable
     */
    resetDiskSizeGb(): void;
    /**
     * @stability stable
     */
    get diskSizeGbInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _imageReferenceId?;
    /**
     * @stability stable
     */
    get imageReferenceId(): string;
    /**
     * @stability stable
     */
    set imageReferenceId(value: string);
    /**
     * @stability stable
     */
    resetImageReferenceId(): void;
    /**
     * @stability stable
     */
    get imageReferenceIdInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _osType?;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    set osType(value: string);
    /**
     * @stability stable
     */
    resetOsType(): void;
    /**
     * @stability stable
     */
    get osTypeInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sourceResourceId?;
    /**
     * @stability stable
     */
    get sourceResourceId(): string;
    /**
     * @stability stable
     */
    set sourceResourceId(value: string);
    /**
     * @stability stable
     */
    resetSourceResourceId(): void;
    /**
     * @stability stable
     */
    get sourceResourceIdInput(): string | undefined;
    private _sourceUri?;
    /**
     * @stability stable
     */
    get sourceUri(): string;
    /**
     * @stability stable
     */
    set sourceUri(value: string);
    /**
     * @stability stable
     */
    resetSourceUri(): void;
    /**
     * @stability stable
     */
    get sourceUriInput(): string | undefined;
    private _storageAccountId?;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountId(): void;
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string | undefined;
    private _storageAccountType;
    /**
     * @stability stable
     */
    get storageAccountType(): string;
    /**
     * @stability stable
     */
    set storageAccountType(value: string);
    /**
     * @stability stable
     */
    get storageAccountTypeInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _encryptionSettings?;
    /**
     * @stability stable
     */
    get encryptionSettings(): ManagedDiskEncryptionSettings[];
    /**
     * @stability stable
     */
    set encryptionSettings(value: ManagedDiskEncryptionSettings[]);
    /**
     * @stability stable
     */
    resetEncryptionSettings(): void;
    /**
     * @stability stable
     */
    get encryptionSettingsInput(): ManagedDiskEncryptionSettings[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ManagedDiskTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ManagedDiskTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ManagedDiskTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
