import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ManagementGroupSubscriptionAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly managementGroupId: string;
    /**
     * @stability stable
     */
    readonly subscriptionId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ManagementGroupSubscriptionAssociationTimeouts;
}
/**
 * @stability stable
 */
export interface ManagementGroupSubscriptionAssociationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class ManagementGroupSubscriptionAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ManagementGroupSubscriptionAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _managementGroupId;
    /**
     * @stability stable
     */
    get managementGroupId(): string;
    /**
     * @stability stable
     */
    set managementGroupId(value: string);
    /**
     * @stability stable
     */
    get managementGroupIdInput(): string;
    private _subscriptionId;
    /**
     * @stability stable
     */
    get subscriptionId(): string;
    /**
     * @stability stable
     */
    set subscriptionId(value: string);
    /**
     * @stability stable
     */
    get subscriptionIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ManagementGroupSubscriptionAssociationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ManagementGroupSubscriptionAssociationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ManagementGroupSubscriptionAssociationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
