import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MarketplaceAgreementConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly offer: string;
    /**
     * @stability stable
     */
    readonly plan: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MarketplaceAgreementTimeouts;
}
/**
 * @stability stable
 */
export interface MarketplaceAgreementTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MarketplaceAgreement extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MarketplaceAgreementConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get licenseTextLink(): string;
    private _offer;
    /**
     * @stability stable
     */
    get offer(): string;
    /**
     * @stability stable
     */
    set offer(value: string);
    /**
     * @stability stable
     */
    get offerInput(): string;
    private _plan;
    /**
     * @stability stable
     */
    get plan(): string;
    /**
     * @stability stable
     */
    set plan(value: string);
    /**
     * @stability stable
     */
    get planInput(): string;
    /**
     * @stability stable
     */
    get privacyPolicyLink(): string;
    private _publisher;
    /**
     * @stability stable
     */
    get publisher(): string;
    /**
     * @stability stable
     */
    set publisher(value: string);
    /**
     * @stability stable
     */
    get publisherInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MarketplaceAgreementTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MarketplaceAgreementTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MarketplaceAgreementTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
