import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly mediaServicesAccountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * policy_option block.
     *
     * @stability stable
     */
    readonly policyOption: MediaContentKeyPolicyPolicyOption[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaContentKeyPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOptionFairplayConfigurationOfflineRentalConfiguration {
    /**
     * @stability stable
     */
    readonly playbackDurationSeconds?: number;
    /**
     * @stability stable
     */
    readonly storageDurationSeconds?: number;
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOptionFairplayConfiguration {
    /**
     * @stability stable
     */
    readonly ask?: string;
    /**
     * @stability stable
     */
    readonly pfx?: string;
    /**
     * @stability stable
     */
    readonly pfxPassword?: string;
    /**
     * @stability stable
     */
    readonly rentalAndLeaseKeyType?: string;
    /**
     * @stability stable
     */
    readonly rentalDurationSeconds?: number;
    /**
     * offline_rental_configuration block.
     *
     * @stability stable
     */
    readonly offlineRentalConfiguration?: MediaContentKeyPolicyPolicyOptionFairplayConfigurationOfflineRentalConfiguration[];
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOptionPlayreadyConfigurationLicensePlayRight {
    /**
     * @stability stable
     */
    readonly agcAndColorStripeRestriction?: number;
    /**
     * @stability stable
     */
    readonly allowPassingVideoContentToUnknownOutput?: string;
    /**
     * @stability stable
     */
    readonly analogVideoOpl?: number;
    /**
     * @stability stable
     */
    readonly compressedDigitalAudioOpl?: number;
    /**
     * @stability stable
     */
    readonly digitalVideoOnlyContentRestriction?: boolean;
    /**
     * @stability stable
     */
    readonly firstPlayExpiration?: string;
    /**
     * @stability stable
     */
    readonly imageConstraintForAnalogComponentVideoRestriction?: boolean;
    /**
     * @stability stable
     */
    readonly imageConstraintForAnalogComputerMonitorRestriction?: boolean;
    /**
     * @stability stable
     */
    readonly scmsRestriction?: number;
    /**
     * @stability stable
     */
    readonly uncompressedDigitalAudioOpl?: number;
    /**
     * @stability stable
     */
    readonly uncompressedDigitalVideoOpl?: number;
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOptionPlayreadyConfigurationLicense {
    /**
     * @stability stable
     */
    readonly allowTestDevices?: boolean;
    /**
     * @stability stable
     */
    readonly beginDate?: string;
    /**
     * @stability stable
     */
    readonly contentKeyLocationFromHeaderEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly contentKeyLocationFromKeyId?: string;
    /**
     * @stability stable
     */
    readonly contentType?: string;
    /**
     * @stability stable
     */
    readonly expirationDate?: string;
    /**
     * @stability stable
     */
    readonly gracePeriod?: string;
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly relativeBeginDate?: string;
    /**
     * @stability stable
     */
    readonly relativeExpirationDate?: string;
    /**
     * play_right block.
     *
     * @stability stable
     */
    readonly playRight?: MediaContentKeyPolicyPolicyOptionPlayreadyConfigurationLicensePlayRight[];
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOptionTokenRestrictionRequiredClaim {
    /**
     * @stability stable
     */
    readonly type?: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOptionTokenRestriction {
    /**
     * @stability stable
     */
    readonly audience?: string;
    /**
     * @stability stable
     */
    readonly issuer?: string;
    /**
     * @stability stable
     */
    readonly openIdConnectDiscoveryDocument?: string;
    /**
     * @stability stable
     */
    readonly primaryRsaTokenKeyExponent?: string;
    /**
     * @stability stable
     */
    readonly primaryRsaTokenKeyModulus?: string;
    /**
     * @stability stable
     */
    readonly primarySymmetricTokenKey?: string;
    /**
     * @stability stable
     */
    readonly primaryX509TokenKeyRaw?: string;
    /**
     * @stability stable
     */
    readonly tokenType?: string;
    /**
     * required_claim block.
     *
     * @stability stable
     */
    readonly requiredClaim?: MediaContentKeyPolicyPolicyOptionTokenRestrictionRequiredClaim[];
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyPolicyOption {
    /**
     * @stability stable
     */
    readonly clearKeyConfigurationEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly openRestrictionEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly widevineConfigurationTemplate?: string;
    /**
     * fairplay_configuration block.
     *
     * @stability stable
     */
    readonly fairplayConfiguration?: MediaContentKeyPolicyPolicyOptionFairplayConfiguration[];
    /**
     * playready_configuration_license block.
     *
     * @stability stable
     */
    readonly playreadyConfigurationLicense?: MediaContentKeyPolicyPolicyOptionPlayreadyConfigurationLicense[];
    /**
     * token_restriction block.
     *
     * @stability stable
     */
    readonly tokenRestriction?: MediaContentKeyPolicyPolicyOptionTokenRestriction[];
}
/**
 * @stability stable
 */
export interface MediaContentKeyPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MediaContentKeyPolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaContentKeyPolicyConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _mediaServicesAccountName;
    /**
     * @stability stable
     */
    get mediaServicesAccountName(): string;
    /**
     * @stability stable
     */
    set mediaServicesAccountName(value: string);
    /**
     * @stability stable
     */
    get mediaServicesAccountNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _policyOption;
    /**
     * @stability stable
     */
    get policyOption(): MediaContentKeyPolicyPolicyOption[];
    /**
     * @stability stable
     */
    set policyOption(value: MediaContentKeyPolicyPolicyOption[]);
    /**
     * @stability stable
     */
    get policyOptionInput(): MediaContentKeyPolicyPolicyOption[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaContentKeyPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaContentKeyPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaContentKeyPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
