import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaJobConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly mediaServicesAccountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly transformName: string;
    /**
     * input_asset block.
     *
     * @stability stable
     */
    readonly inputAsset: MediaJobInputAsset[];
    /**
     * output_asset block.
     *
     * @stability stable
     */
    readonly outputAsset: MediaJobOutputAsset[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaJobTimeouts;
}
/**
 * @stability stable
 */
export interface MediaJobInputAsset {
    /**
     * @stability stable
     */
    readonly label?: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface MediaJobOutputAsset {
    /**
     * @stability stable
     */
    readonly label?: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface MediaJobTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MediaJob extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaJobConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _mediaServicesAccountName;
    /**
     * @stability stable
     */
    get mediaServicesAccountName(): string;
    /**
     * @stability stable
     */
    set mediaServicesAccountName(value: string);
    /**
     * @stability stable
     */
    get mediaServicesAccountNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): string;
    /**
     * @stability stable
     */
    set priority(value: string);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _transformName;
    /**
     * @stability stable
     */
    get transformName(): string;
    /**
     * @stability stable
     */
    set transformName(value: string);
    /**
     * @stability stable
     */
    get transformNameInput(): string;
    private _inputAsset;
    /**
     * @stability stable
     */
    get inputAsset(): MediaJobInputAsset[];
    /**
     * @stability stable
     */
    set inputAsset(value: MediaJobInputAsset[]);
    /**
     * @stability stable
     */
    get inputAssetInput(): MediaJobInputAsset[];
    private _outputAsset;
    /**
     * @stability stable
     */
    get outputAsset(): MediaJobOutputAsset[];
    /**
     * @stability stable
     */
    set outputAsset(value: MediaJobOutputAsset[]);
    /**
     * @stability stable
     */
    get outputAssetInput(): MediaJobOutputAsset[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaJobTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaJobTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaJobTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
