import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaLiveEventOutputConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly archiveWindowDuration: string;
    /**
     * @stability stable
     */
    readonly assetName: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly hlsFragmentsPerTsSegment?: number;
    /**
     * @stability stable
     */
    readonly liveEventId: string;
    /**
     * @stability stable
     */
    readonly manifestName?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly outputSnapTimeInSeconds?: number;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaLiveEventOutputTimeouts;
}
/**
 * @stability stable
 */
export interface MediaLiveEventOutputTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MediaLiveEventOutput extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaLiveEventOutputConfig);
    private _archiveWindowDuration;
    /**
     * @stability stable
     */
    get archiveWindowDuration(): string;
    /**
     * @stability stable
     */
    set archiveWindowDuration(value: string);
    /**
     * @stability stable
     */
    get archiveWindowDurationInput(): string;
    private _assetName;
    /**
     * @stability stable
     */
    get assetName(): string;
    /**
     * @stability stable
     */
    set assetName(value: string);
    /**
     * @stability stable
     */
    get assetNameInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _hlsFragmentsPerTsSegment?;
    /**
     * @stability stable
     */
    get hlsFragmentsPerTsSegment(): number;
    /**
     * @stability stable
     */
    set hlsFragmentsPerTsSegment(value: number);
    /**
     * @stability stable
     */
    resetHlsFragmentsPerTsSegment(): void;
    /**
     * @stability stable
     */
    get hlsFragmentsPerTsSegmentInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _liveEventId;
    /**
     * @stability stable
     */
    get liveEventId(): string;
    /**
     * @stability stable
     */
    set liveEventId(value: string);
    /**
     * @stability stable
     */
    get liveEventIdInput(): string;
    private _manifestName?;
    /**
     * @stability stable
     */
    get manifestName(): string;
    /**
     * @stability stable
     */
    set manifestName(value: string);
    /**
     * @stability stable
     */
    resetManifestName(): void;
    /**
     * @stability stable
     */
    get manifestNameInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _outputSnapTimeInSeconds?;
    /**
     * @stability stable
     */
    get outputSnapTimeInSeconds(): number;
    /**
     * @stability stable
     */
    set outputSnapTimeInSeconds(value: number);
    /**
     * @stability stable
     */
    resetOutputSnapTimeInSeconds(): void;
    /**
     * @stability stable
     */
    get outputSnapTimeInSecondsInput(): number | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaLiveEventOutputTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaLiveEventOutputTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaLiveEventOutputTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
