import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaLiveEventConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoStartEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly hostnamePrefix?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly mediaServicesAccountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly transcriptionLanguages?: string[];
    /**
     * @stability stable
     */
    readonly useStaticHostname?: boolean;
    /**
     * cross_site_access_policy block.
     *
     * @stability stable
     */
    readonly crossSiteAccessPolicy?: MediaLiveEventCrossSiteAccessPolicy[];
    /**
     * encoding block.
     *
     * @stability stable
     */
    readonly encoding?: MediaLiveEventEncoding[];
    /**
     * input block.
     *
     * @stability stable
     */
    readonly input: MediaLiveEventInput[];
    /**
     * preview block.
     *
     * @stability stable
     */
    readonly preview?: MediaLiveEventPreview[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaLiveEventTimeouts;
}
/**
 * @stability stable
 */
export interface MediaLiveEventCrossSiteAccessPolicy {
    /**
     * @stability stable
     */
    readonly clientAccessPolicy?: string;
    /**
     * @stability stable
     */
    readonly crossDomainPolicy?: string;
}
/**
 * @stability stable
 */
export interface MediaLiveEventEncoding {
    /**
     * @stability stable
     */
    readonly keyFrameInterval?: string;
    /**
     * @stability stable
     */
    readonly presetName?: string;
    /**
     * @stability stable
     */
    readonly stretchMode?: string;
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface MediaLiveEventInputIpAccessControlAllow {
    /**
     * @stability stable
     */
    readonly address?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly subnetPrefixLength?: number;
}
/**
 * @stability stable
 */
export interface MediaLiveEventInput {
    /**
     * @stability stable
     */
    readonly accessToken?: string;
    /**
     * @stability stable
     */
    readonly keyFrameIntervalDuration?: string;
    /**
     * @stability stable
     */
    readonly streamingProtocol?: string;
    /**
     * ip_access_control_allow block.
     *
     * @stability stable
     */
    readonly ipAccessControlAllow?: MediaLiveEventInputIpAccessControlAllow[];
}
/**
 * @stability stable
 */
export interface MediaLiveEventPreviewIpAccessControlAllow {
    /**
     * @stability stable
     */
    readonly address?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly subnetPrefixLength?: number;
}
/**
 * @stability stable
 */
export interface MediaLiveEventPreview {
    /**
     * @stability stable
     */
    readonly alternativeMediaId?: string;
    /**
     * @stability stable
     */
    readonly previewLocator?: string;
    /**
     * @stability stable
     */
    readonly streamingPolicyName?: string;
    /**
     * ip_access_control_allow block.
     *
     * @stability stable
     */
    readonly ipAccessControlAllow?: MediaLiveEventPreviewIpAccessControlAllow[];
}
/**
 * @stability stable
 */
export interface MediaLiveEventTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MediaLiveEvent extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaLiveEventConfig);
    private _autoStartEnabled?;
    /**
     * @stability stable
     */
    get autoStartEnabled(): boolean;
    /**
     * @stability stable
     */
    set autoStartEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetAutoStartEnabled(): void;
    /**
     * @stability stable
     */
    get autoStartEnabledInput(): boolean | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _hostnamePrefix?;
    /**
     * @stability stable
     */
    get hostnamePrefix(): string;
    /**
     * @stability stable
     */
    set hostnamePrefix(value: string);
    /**
     * @stability stable
     */
    resetHostnamePrefix(): void;
    /**
     * @stability stable
     */
    get hostnamePrefixInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _mediaServicesAccountName;
    /**
     * @stability stable
     */
    get mediaServicesAccountName(): string;
    /**
     * @stability stable
     */
    set mediaServicesAccountName(value: string);
    /**
     * @stability stable
     */
    get mediaServicesAccountNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _transcriptionLanguages?;
    /**
     * @stability stable
     */
    get transcriptionLanguages(): string[];
    /**
     * @stability stable
     */
    set transcriptionLanguages(value: string[]);
    /**
     * @stability stable
     */
    resetTranscriptionLanguages(): void;
    /**
     * @stability stable
     */
    get transcriptionLanguagesInput(): string[] | undefined;
    private _useStaticHostname?;
    /**
     * @stability stable
     */
    get useStaticHostname(): boolean;
    /**
     * @stability stable
     */
    set useStaticHostname(value: boolean);
    /**
     * @stability stable
     */
    resetUseStaticHostname(): void;
    /**
     * @stability stable
     */
    get useStaticHostnameInput(): boolean | undefined;
    private _crossSiteAccessPolicy?;
    /**
     * @stability stable
     */
    get crossSiteAccessPolicy(): MediaLiveEventCrossSiteAccessPolicy[];
    /**
     * @stability stable
     */
    set crossSiteAccessPolicy(value: MediaLiveEventCrossSiteAccessPolicy[]);
    /**
     * @stability stable
     */
    resetCrossSiteAccessPolicy(): void;
    /**
     * @stability stable
     */
    get crossSiteAccessPolicyInput(): MediaLiveEventCrossSiteAccessPolicy[] | undefined;
    private _encoding?;
    /**
     * @stability stable
     */
    get encoding(): MediaLiveEventEncoding[];
    /**
     * @stability stable
     */
    set encoding(value: MediaLiveEventEncoding[]);
    /**
     * @stability stable
     */
    resetEncoding(): void;
    /**
     * @stability stable
     */
    get encodingInput(): MediaLiveEventEncoding[] | undefined;
    private _input;
    /**
     * @stability stable
     */
    get input(): MediaLiveEventInput[];
    /**
     * @stability stable
     */
    set input(value: MediaLiveEventInput[]);
    /**
     * @stability stable
     */
    get inputInput(): MediaLiveEventInput[];
    private _preview?;
    /**
     * @stability stable
     */
    get preview(): MediaLiveEventPreview[];
    /**
     * @stability stable
     */
    set preview(value: MediaLiveEventPreview[]);
    /**
     * @stability stable
     */
    resetPreview(): void;
    /**
     * @stability stable
     */
    get previewInput(): MediaLiveEventPreview[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaLiveEventTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaLiveEventTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaLiveEventTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
