import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaServicesAccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageAuthenticationType?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: MediaServicesAccountIdentity[];
    /**
     * storage_account block.
     *
     * @stability stable
     */
    readonly storageAccount: MediaServicesAccountStorageAccount[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaServicesAccountTimeouts;
}
/**
 * @stability stable
 */
export interface MediaServicesAccountIdentity {
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface MediaServicesAccountStorageAccount {
    /**
     * @stability stable
     */
    readonly id: string;
    /**
     * @stability stable
     */
    readonly isPrimary?: boolean;
}
/**
 * @stability stable
 */
export interface MediaServicesAccountTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MediaServicesAccount extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaServicesAccountConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _storageAuthenticationType?;
    /**
     * @stability stable
     */
    get storageAuthenticationType(): string;
    /**
     * @stability stable
     */
    set storageAuthenticationType(value: string);
    /**
     * @stability stable
     */
    resetStorageAuthenticationType(): void;
    /**
     * @stability stable
     */
    get storageAuthenticationTypeInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): MediaServicesAccountIdentity[];
    /**
     * @stability stable
     */
    set identity(value: MediaServicesAccountIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): MediaServicesAccountIdentity[] | undefined;
    private _storageAccount;
    /**
     * @stability stable
     */
    get storageAccount(): MediaServicesAccountStorageAccount[];
    /**
     * @stability stable
     */
    set storageAccount(value: MediaServicesAccountStorageAccount[]);
    /**
     * @stability stable
     */
    get storageAccountInput(): MediaServicesAccountStorageAccount[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaServicesAccountTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaServicesAccountTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaServicesAccountTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
