import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaStreamingLocatorConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly alternativeMediaId?: string;
    /**
     * @stability stable
     */
    readonly assetName: string;
    /**
     * @stability stable
     */
    readonly defaultContentKeyPolicyName?: string;
    /**
     * @stability stable
     */
    readonly endTime?: string;
    /**
     * @stability stable
     */
    readonly mediaServicesAccountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly startTime?: string;
    /**
     * @stability stable
     */
    readonly streamingLocatorId?: string;
    /**
     * @stability stable
     */
    readonly streamingPolicyName: string;
    /**
     * content_key block.
     *
     * @stability stable
     */
    readonly contentKey?: MediaStreamingLocatorContentKey[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaStreamingLocatorTimeouts;
}
/**
 * @stability stable
 */
export interface MediaStreamingLocatorContentKey {
    /**
     * @stability stable
     */
    readonly contentKeyId?: string;
    /**
     * @stability stable
     */
    readonly labelReferenceInStreamingPolicy?: string;
    /**
     * @stability stable
     */
    readonly policyName?: string;
    /**
     * @stability stable
     */
    readonly type?: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface MediaStreamingLocatorTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class MediaStreamingLocator extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaStreamingLocatorConfig);
    private _alternativeMediaId?;
    /**
     * @stability stable
     */
    get alternativeMediaId(): string;
    /**
     * @stability stable
     */
    set alternativeMediaId(value: string);
    /**
     * @stability stable
     */
    resetAlternativeMediaId(): void;
    /**
     * @stability stable
     */
    get alternativeMediaIdInput(): string | undefined;
    private _assetName;
    /**
     * @stability stable
     */
    get assetName(): string;
    /**
     * @stability stable
     */
    set assetName(value: string);
    /**
     * @stability stable
     */
    get assetNameInput(): string;
    private _defaultContentKeyPolicyName?;
    /**
     * @stability stable
     */
    get defaultContentKeyPolicyName(): string;
    /**
     * @stability stable
     */
    set defaultContentKeyPolicyName(value: string);
    /**
     * @stability stable
     */
    resetDefaultContentKeyPolicyName(): void;
    /**
     * @stability stable
     */
    get defaultContentKeyPolicyNameInput(): string | undefined;
    private _endTime?;
    /**
     * @stability stable
     */
    get endTime(): string;
    /**
     * @stability stable
     */
    set endTime(value: string);
    /**
     * @stability stable
     */
    resetEndTime(): void;
    /**
     * @stability stable
     */
    get endTimeInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _mediaServicesAccountName;
    /**
     * @stability stable
     */
    get mediaServicesAccountName(): string;
    /**
     * @stability stable
     */
    set mediaServicesAccountName(value: string);
    /**
     * @stability stable
     */
    get mediaServicesAccountNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _startTime?;
    /**
     * @stability stable
     */
    get startTime(): string;
    /**
     * @stability stable
     */
    set startTime(value: string);
    /**
     * @stability stable
     */
    resetStartTime(): void;
    /**
     * @stability stable
     */
    get startTimeInput(): string | undefined;
    private _streamingLocatorId?;
    /**
     * @stability stable
     */
    get streamingLocatorId(): string;
    /**
     * @stability stable
     */
    set streamingLocatorId(value: string);
    /**
     * @stability stable
     */
    resetStreamingLocatorId(): void;
    /**
     * @stability stable
     */
    get streamingLocatorIdInput(): string | undefined;
    private _streamingPolicyName;
    /**
     * @stability stable
     */
    get streamingPolicyName(): string;
    /**
     * @stability stable
     */
    set streamingPolicyName(value: string);
    /**
     * @stability stable
     */
    get streamingPolicyNameInput(): string;
    private _contentKey?;
    /**
     * @stability stable
     */
    get contentKey(): MediaStreamingLocatorContentKey[];
    /**
     * @stability stable
     */
    set contentKey(value: MediaStreamingLocatorContentKey[]);
    /**
     * @stability stable
     */
    resetContentKey(): void;
    /**
     * @stability stable
     */
    get contentKeyInput(): MediaStreamingLocatorContentKey[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaStreamingLocatorTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaStreamingLocatorTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaStreamingLocatorTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
