import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MediaTransformConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly mediaServicesAccountName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * output block.
     *
     * @stability stable
     */
    readonly output?: MediaTransformOutput[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MediaTransformTimeouts;
}
/**
 * @stability stable
 */
export interface MediaTransformOutputAudioAnalyzerPreset {
    /**
     * @stability stable
     */
    readonly audioAnalysisMode?: string;
    /**
     * @stability stable
     */
    readonly audioLanguage?: string;
}
/**
 * @stability stable
 */
export interface MediaTransformOutputBuiltinPreset {
    /**
     * @stability stable
     */
    readonly presetName?: string;
}
/**
 * @stability stable
 */
export interface MediaTransformOutputFaceDetectorPreset {
    /**
     * @stability stable
     */
    readonly analysisResolution?: string;
}
/**
 * @stability stable
 */
export interface MediaTransformOutputVideoAnalyzerPreset {
    /**
     * @stability stable
     */
    readonly audioAnalysisMode?: string;
    /**
     * @stability stable
     */
    readonly audioLanguage?: string;
    /**
     * @stability stable
     */
    readonly insightsType?: string;
}
/**
 * @stability stable
 */
export interface MediaTransformOutput {
    /**
     * @stability stable
     */
    readonly onErrorAction?: string;
    /**
     * @stability stable
     */
    readonly relativePriority?: string;
    /**
     * audio_analyzer_preset block.
     *
     * @stability stable
     */
    readonly audioAnalyzerPreset?: MediaTransformOutputAudioAnalyzerPreset[];
    /**
     * builtin_preset block.
     *
     * @stability stable
     */
    readonly builtinPreset?: MediaTransformOutputBuiltinPreset[];
    /**
     * face_detector_preset block.
     *
     * @stability stable
     */
    readonly faceDetectorPreset?: MediaTransformOutputFaceDetectorPreset[];
    /**
     * video_analyzer_preset block.
     *
     * @stability stable
     */
    readonly videoAnalyzerPreset?: MediaTransformOutputVideoAnalyzerPreset[];
}
/**
 * @stability stable
 */
export interface MediaTransformTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MediaTransform extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MediaTransformConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _mediaServicesAccountName;
    /**
     * @stability stable
     */
    get mediaServicesAccountName(): string;
    /**
     * @stability stable
     */
    set mediaServicesAccountName(value: string);
    /**
     * @stability stable
     */
    get mediaServicesAccountNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _output?;
    /**
     * @stability stable
     */
    get output(): MediaTransformOutput[];
    /**
     * @stability stable
     */
    set output(value: MediaTransformOutput[]);
    /**
     * @stability stable
     */
    resetOutput(): void;
    /**
     * @stability stable
     */
    get outputInput(): MediaTransformOutput[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MediaTransformTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MediaTransformTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MediaTransformTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
