import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorActionGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly shortName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * arm_role_receiver block.
     *
     * @stability stable
     */
    readonly armRoleReceiver?: MonitorActionGroupArmRoleReceiver[];
    /**
     * automation_runbook_receiver block.
     *
     * @stability stable
     */
    readonly automationRunbookReceiver?: MonitorActionGroupAutomationRunbookReceiver[];
    /**
     * azure_app_push_receiver block.
     *
     * @stability stable
     */
    readonly azureAppPushReceiver?: MonitorActionGroupAzureAppPushReceiver[];
    /**
     * azure_function_receiver block.
     *
     * @stability stable
     */
    readonly azureFunctionReceiver?: MonitorActionGroupAzureFunctionReceiver[];
    /**
     * email_receiver block.
     *
     * @stability stable
     */
    readonly emailReceiver?: MonitorActionGroupEmailReceiver[];
    /**
     * itsm_receiver block.
     *
     * @stability stable
     */
    readonly itsmReceiver?: MonitorActionGroupItsmReceiver[];
    /**
     * logic_app_receiver block.
     *
     * @stability stable
     */
    readonly logicAppReceiver?: MonitorActionGroupLogicAppReceiver[];
    /**
     * sms_receiver block.
     *
     * @stability stable
     */
    readonly smsReceiver?: MonitorActionGroupSmsReceiver[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorActionGroupTimeouts;
    /**
     * voice_receiver block.
     *
     * @stability stable
     */
    readonly voiceReceiver?: MonitorActionGroupVoiceReceiver[];
    /**
     * webhook_receiver block.
     *
     * @stability stable
     */
    readonly webhookReceiver?: MonitorActionGroupWebhookReceiver[];
}
/**
 * @stability stable
 */
export interface MonitorActionGroupArmRoleReceiver {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly roleId: string;
    /**
     * @stability stable
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupAutomationRunbookReceiver {
    /**
     * @stability stable
     */
    readonly automationAccountId: string;
    /**
     * @stability stable
     */
    readonly isGlobalRunbook: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly runbookName: string;
    /**
     * @stability stable
     */
    readonly serviceUri: string;
    /**
     * @stability stable
     */
    readonly useCommonAlertSchema?: boolean;
    /**
     * @stability stable
     */
    readonly webhookResourceId: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupAzureAppPushReceiver {
    /**
     * @stability stable
     */
    readonly emailAddress: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupAzureFunctionReceiver {
    /**
     * @stability stable
     */
    readonly functionAppResourceId: string;
    /**
     * @stability stable
     */
    readonly functionName: string;
    /**
     * @stability stable
     */
    readonly httpTriggerUrl: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupEmailReceiver {
    /**
     * @stability stable
     */
    readonly emailAddress: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupItsmReceiver {
    /**
     * @stability stable
     */
    readonly connectionId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly region: string;
    /**
     * @stability stable
     */
    readonly ticketConfiguration: string;
    /**
     * @stability stable
     */
    readonly workspaceId: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupLogicAppReceiver {
    /**
     * @stability stable
     */
    readonly callbackUrl: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceId: string;
    /**
     * @stability stable
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupSmsReceiver {
    /**
     * @stability stable
     */
    readonly countryCode: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly phoneNumber: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupVoiceReceiver {
    /**
     * @stability stable
     */
    readonly countryCode: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly phoneNumber: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupWebhookReceiverAadAuth {
    /**
     * @stability stable
     */
    readonly identifierUri?: string;
    /**
     * @stability stable
     */
    readonly objectId: string;
    /**
     * @stability stable
     */
    readonly tenantId?: string;
}
/**
 * @stability stable
 */
export interface MonitorActionGroupWebhookReceiver {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly serviceUri: string;
    /**
     * @stability stable
     */
    readonly useCommonAlertSchema?: boolean;
    /**
     * aad_auth block.
     *
     * @stability stable
     */
    readonly aadAuth?: MonitorActionGroupWebhookReceiverAadAuth[];
}
/**
 * @stability stable
 */
export declare class MonitorActionGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorActionGroupConfig);
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _shortName;
    /**
     * @stability stable
     */
    get shortName(): string;
    /**
     * @stability stable
     */
    set shortName(value: string);
    /**
     * @stability stable
     */
    get shortNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _armRoleReceiver?;
    /**
     * @stability stable
     */
    get armRoleReceiver(): MonitorActionGroupArmRoleReceiver[];
    /**
     * @stability stable
     */
    set armRoleReceiver(value: MonitorActionGroupArmRoleReceiver[]);
    /**
     * @stability stable
     */
    resetArmRoleReceiver(): void;
    /**
     * @stability stable
     */
    get armRoleReceiverInput(): MonitorActionGroupArmRoleReceiver[] | undefined;
    private _automationRunbookReceiver?;
    /**
     * @stability stable
     */
    get automationRunbookReceiver(): MonitorActionGroupAutomationRunbookReceiver[];
    /**
     * @stability stable
     */
    set automationRunbookReceiver(value: MonitorActionGroupAutomationRunbookReceiver[]);
    /**
     * @stability stable
     */
    resetAutomationRunbookReceiver(): void;
    /**
     * @stability stable
     */
    get automationRunbookReceiverInput(): MonitorActionGroupAutomationRunbookReceiver[] | undefined;
    private _azureAppPushReceiver?;
    /**
     * @stability stable
     */
    get azureAppPushReceiver(): MonitorActionGroupAzureAppPushReceiver[];
    /**
     * @stability stable
     */
    set azureAppPushReceiver(value: MonitorActionGroupAzureAppPushReceiver[]);
    /**
     * @stability stable
     */
    resetAzureAppPushReceiver(): void;
    /**
     * @stability stable
     */
    get azureAppPushReceiverInput(): MonitorActionGroupAzureAppPushReceiver[] | undefined;
    private _azureFunctionReceiver?;
    /**
     * @stability stable
     */
    get azureFunctionReceiver(): MonitorActionGroupAzureFunctionReceiver[];
    /**
     * @stability stable
     */
    set azureFunctionReceiver(value: MonitorActionGroupAzureFunctionReceiver[]);
    /**
     * @stability stable
     */
    resetAzureFunctionReceiver(): void;
    /**
     * @stability stable
     */
    get azureFunctionReceiverInput(): MonitorActionGroupAzureFunctionReceiver[] | undefined;
    private _emailReceiver?;
    /**
     * @stability stable
     */
    get emailReceiver(): MonitorActionGroupEmailReceiver[];
    /**
     * @stability stable
     */
    set emailReceiver(value: MonitorActionGroupEmailReceiver[]);
    /**
     * @stability stable
     */
    resetEmailReceiver(): void;
    /**
     * @stability stable
     */
    get emailReceiverInput(): MonitorActionGroupEmailReceiver[] | undefined;
    private _itsmReceiver?;
    /**
     * @stability stable
     */
    get itsmReceiver(): MonitorActionGroupItsmReceiver[];
    /**
     * @stability stable
     */
    set itsmReceiver(value: MonitorActionGroupItsmReceiver[]);
    /**
     * @stability stable
     */
    resetItsmReceiver(): void;
    /**
     * @stability stable
     */
    get itsmReceiverInput(): MonitorActionGroupItsmReceiver[] | undefined;
    private _logicAppReceiver?;
    /**
     * @stability stable
     */
    get logicAppReceiver(): MonitorActionGroupLogicAppReceiver[];
    /**
     * @stability stable
     */
    set logicAppReceiver(value: MonitorActionGroupLogicAppReceiver[]);
    /**
     * @stability stable
     */
    resetLogicAppReceiver(): void;
    /**
     * @stability stable
     */
    get logicAppReceiverInput(): MonitorActionGroupLogicAppReceiver[] | undefined;
    private _smsReceiver?;
    /**
     * @stability stable
     */
    get smsReceiver(): MonitorActionGroupSmsReceiver[];
    /**
     * @stability stable
     */
    set smsReceiver(value: MonitorActionGroupSmsReceiver[]);
    /**
     * @stability stable
     */
    resetSmsReceiver(): void;
    /**
     * @stability stable
     */
    get smsReceiverInput(): MonitorActionGroupSmsReceiver[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorActionGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorActionGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorActionGroupTimeouts | undefined;
    private _voiceReceiver?;
    /**
     * @stability stable
     */
    get voiceReceiver(): MonitorActionGroupVoiceReceiver[];
    /**
     * @stability stable
     */
    set voiceReceiver(value: MonitorActionGroupVoiceReceiver[]);
    /**
     * @stability stable
     */
    resetVoiceReceiver(): void;
    /**
     * @stability stable
     */
    get voiceReceiverInput(): MonitorActionGroupVoiceReceiver[] | undefined;
    private _webhookReceiver?;
    /**
     * @stability stable
     */
    get webhookReceiver(): MonitorActionGroupWebhookReceiver[];
    /**
     * @stability stable
     */
    set webhookReceiver(value: MonitorActionGroupWebhookReceiver[]);
    /**
     * @stability stable
     */
    resetWebhookReceiver(): void;
    /**
     * @stability stable
     */
    get webhookReceiverInput(): MonitorActionGroupWebhookReceiver[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
