import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly actionGroupId: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * condition block.
     *
     * @stability stable
     */
    readonly condition?: MonitorActionRuleActionGroupCondition[];
    /**
     * scope block.
     *
     * @stability stable
     */
    readonly scope?: MonitorActionRuleActionGroupScope[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorActionRuleActionGroupTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionAlertContext {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionAlertRuleId {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionDescription {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionMonitor {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionMonitorService {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionSeverity {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupConditionTargetResourceType {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupCondition {
    /**
     * alert_context block.
     *
     * @stability stable
     */
    readonly alertContext?: MonitorActionRuleActionGroupConditionAlertContext[];
    /**
     * alert_rule_id block.
     *
     * @stability stable
     */
    readonly alertRuleId?: MonitorActionRuleActionGroupConditionAlertRuleId[];
    /**
     * description block.
     *
     * @stability stable
     */
    readonly description?: MonitorActionRuleActionGroupConditionDescription[];
    /**
     * monitor block.
     *
     * @stability stable
     */
    readonly monitor?: MonitorActionRuleActionGroupConditionMonitor[];
    /**
     * monitor_service block.
     *
     * @stability stable
     */
    readonly monitorService?: MonitorActionRuleActionGroupConditionMonitorService[];
    /**
     * severity block.
     *
     * @stability stable
     */
    readonly severity?: MonitorActionRuleActionGroupConditionSeverity[];
    /**
     * target_resource_type block.
     *
     * @stability stable
     */
    readonly targetResourceType?: MonitorActionRuleActionGroupConditionTargetResourceType[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupScope {
    /**
     * @stability stable
     */
    readonly resourceIds: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface MonitorActionRuleActionGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorActionRuleActionGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorActionRuleActionGroupConfig);
    private _actionGroupId;
    /**
     * @stability stable
     */
    get actionGroupId(): string;
    /**
     * @stability stable
     */
    set actionGroupId(value: string);
    /**
     * @stability stable
     */
    get actionGroupIdInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _condition?;
    /**
     * @stability stable
     */
    get condition(): MonitorActionRuleActionGroupCondition[];
    /**
     * @stability stable
     */
    set condition(value: MonitorActionRuleActionGroupCondition[]);
    /**
     * @stability stable
     */
    resetCondition(): void;
    /**
     * @stability stable
     */
    get conditionInput(): MonitorActionRuleActionGroupCondition[] | undefined;
    private _scope?;
    /**
     * @stability stable
     */
    get scope(): MonitorActionRuleActionGroupScope[];
    /**
     * @stability stable
     */
    set scope(value: MonitorActionRuleActionGroupScope[]);
    /**
     * @stability stable
     */
    resetScope(): void;
    /**
     * @stability stable
     */
    get scopeInput(): MonitorActionRuleActionGroupScope[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorActionRuleActionGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorActionRuleActionGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorActionRuleActionGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
