import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * condition block.
     *
     * @stability stable
     */
    readonly condition?: MonitorActionRuleSuppressionCondition[];
    /**
     * scope block.
     *
     * @stability stable
     */
    readonly scope?: MonitorActionRuleSuppressionScope[];
    /**
     * suppression block.
     *
     * @stability stable
     */
    readonly suppression: MonitorActionRuleSuppressionSuppression[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorActionRuleSuppressionTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionAlertContext {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionAlertRuleId {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionDescription {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionMonitor {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionMonitorService {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionSeverity {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionConditionTargetResourceType {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionCondition {
    /**
     * alert_context block.
     *
     * @stability stable
     */
    readonly alertContext?: MonitorActionRuleSuppressionConditionAlertContext[];
    /**
     * alert_rule_id block.
     *
     * @stability stable
     */
    readonly alertRuleId?: MonitorActionRuleSuppressionConditionAlertRuleId[];
    /**
     * description block.
     *
     * @stability stable
     */
    readonly description?: MonitorActionRuleSuppressionConditionDescription[];
    /**
     * monitor block.
     *
     * @stability stable
     */
    readonly monitor?: MonitorActionRuleSuppressionConditionMonitor[];
    /**
     * monitor_service block.
     *
     * @stability stable
     */
    readonly monitorService?: MonitorActionRuleSuppressionConditionMonitorService[];
    /**
     * severity block.
     *
     * @stability stable
     */
    readonly severity?: MonitorActionRuleSuppressionConditionSeverity[];
    /**
     * target_resource_type block.
     *
     * @stability stable
     */
    readonly targetResourceType?: MonitorActionRuleSuppressionConditionTargetResourceType[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionScope {
    /**
     * @stability stable
     */
    readonly resourceIds: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionSuppressionSchedule {
    /**
     * @stability stable
     */
    readonly endDateUtc: string;
    /**
     * @stability stable
     */
    readonly recurrenceMonthly?: number[];
    /**
     * @stability stable
     */
    readonly recurrenceWeekly?: string[];
    /**
     * @stability stable
     */
    readonly startDateUtc: string;
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionSuppression {
    /**
     * @stability stable
     */
    readonly recurrenceType: string;
    /**
     * schedule block.
     *
     * @stability stable
     */
    readonly schedule?: MonitorActionRuleSuppressionSuppressionSchedule[];
}
/**
 * @stability stable
 */
export interface MonitorActionRuleSuppressionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorActionRuleSuppression extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorActionRuleSuppressionConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _condition?;
    /**
     * @stability stable
     */
    get condition(): MonitorActionRuleSuppressionCondition[];
    /**
     * @stability stable
     */
    set condition(value: MonitorActionRuleSuppressionCondition[]);
    /**
     * @stability stable
     */
    resetCondition(): void;
    /**
     * @stability stable
     */
    get conditionInput(): MonitorActionRuleSuppressionCondition[] | undefined;
    private _scope?;
    /**
     * @stability stable
     */
    get scope(): MonitorActionRuleSuppressionScope[];
    /**
     * @stability stable
     */
    set scope(value: MonitorActionRuleSuppressionScope[]);
    /**
     * @stability stable
     */
    resetScope(): void;
    /**
     * @stability stable
     */
    get scopeInput(): MonitorActionRuleSuppressionScope[] | undefined;
    private _suppression;
    /**
     * @stability stable
     */
    get suppression(): MonitorActionRuleSuppressionSuppression[];
    /**
     * @stability stable
     */
    set suppression(value: MonitorActionRuleSuppressionSuppression[]);
    /**
     * @stability stable
     */
    get suppressionInput(): MonitorActionRuleSuppressionSuppression[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorActionRuleSuppressionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorActionRuleSuppressionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorActionRuleSuppressionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
