import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorActivityLogAlertConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scopes: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action?: MonitorActivityLogAlertAction[];
    /**
     * criteria block.
     *
     * @stability stable
     */
    readonly criteria: MonitorActivityLogAlertCriteria[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorActivityLogAlertTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorActivityLogAlertAction {
    /**
     * @stability stable
     */
    readonly actionGroupId: string;
    /**
     * @stability stable
     */
    readonly webhookProperties?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface MonitorActivityLogAlertCriteriaServiceHealth {
    /**
     * @stability stable
     */
    readonly events?: string[];
    /**
     * @stability stable
     */
    readonly locations?: string[];
    /**
     * @stability stable
     */
    readonly services?: string[];
}
/**
 * @stability stable
 */
export interface MonitorActivityLogAlertCriteria {
    /**
     * @stability stable
     */
    readonly caller?: string;
    /**
     * @stability stable
     */
    readonly category: string;
    /**
     * @stability stable
     */
    readonly level?: string;
    /**
     * @stability stable
     */
    readonly operationName?: string;
    /**
     * @stability stable
     */
    readonly recommendationCategory?: string;
    /**
     * @stability stable
     */
    readonly recommendationImpact?: string;
    /**
     * @stability stable
     */
    readonly recommendationType?: string;
    /**
     * @stability stable
     */
    readonly resourceGroup?: string;
    /**
     * @stability stable
     */
    readonly resourceId?: string;
    /**
     * @stability stable
     */
    readonly resourceProvider?: string;
    /**
     * @stability stable
     */
    readonly resourceType?: string;
    /**
     * @stability stable
     */
    readonly status?: string;
    /**
     * @stability stable
     */
    readonly subStatus?: string;
    /**
     * service_health block.
     *
     * @stability stable
     */
    readonly serviceHealth?: MonitorActivityLogAlertCriteriaServiceHealth[];
}
/**
 * @stability stable
 */
export interface MonitorActivityLogAlertTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorActivityLogAlert extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorActivityLogAlertConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scopes;
    /**
     * @stability stable
     */
    get scopes(): string[];
    /**
     * @stability stable
     */
    set scopes(value: string[]);
    /**
     * @stability stable
     */
    get scopesInput(): string[];
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _action?;
    /**
     * @stability stable
     */
    get action(): MonitorActivityLogAlertAction[];
    /**
     * @stability stable
     */
    set action(value: MonitorActivityLogAlertAction[]);
    /**
     * @stability stable
     */
    resetAction(): void;
    /**
     * @stability stable
     */
    get actionInput(): MonitorActivityLogAlertAction[] | undefined;
    private _criteria;
    /**
     * @stability stable
     */
    get criteria(): MonitorActivityLogAlertCriteria[];
    /**
     * @stability stable
     */
    set criteria(value: MonitorActivityLogAlertCriteria[]);
    /**
     * @stability stable
     */
    get criteriaInput(): MonitorActivityLogAlertCriteria[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorActivityLogAlertTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorActivityLogAlertTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorActivityLogAlertTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
