import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly targetResourceId: string;
    /**
     * notification block.
     *
     * @stability stable
     */
    readonly notification?: MonitorAutoscaleSettingNotification[];
    /**
     * profile block.
     *
     * @stability stable
     */
    readonly profile: MonitorAutoscaleSettingProfile[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorAutoscaleSettingTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingNotificationEmail {
    /**
     * @stability stable
     */
    readonly customEmails?: string[];
    /**
     * @stability stable
     */
    readonly sendToSubscriptionAdministrator?: boolean;
    /**
     * @stability stable
     */
    readonly sendToSubscriptionCoAdministrator?: boolean;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingNotificationWebhook {
    /**
     * @stability stable
     */
    readonly properties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly serviceUri: string;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingNotification {
    /**
     * email block.
     *
     * @stability stable
     */
    readonly email?: MonitorAutoscaleSettingNotificationEmail[];
    /**
     * webhook block.
     *
     * @stability stable
     */
    readonly webhook?: MonitorAutoscaleSettingNotificationWebhook[];
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileCapacity {
    /**
     * @stability stable
     */
    readonly default: number;
    /**
     * @stability stable
     */
    readonly maximum: number;
    /**
     * @stability stable
     */
    readonly minimum: number;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileFixedDate {
    /**
     * @stability stable
     */
    readonly end: string;
    /**
     * @stability stable
     */
    readonly start: string;
    /**
     * @stability stable
     */
    readonly timezone?: string;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileRecurrence {
    /**
     * @stability stable
     */
    readonly days: string[];
    /**
     * @stability stable
     */
    readonly hours: number[];
    /**
     * @stability stable
     */
    readonly minutes: number[];
    /**
     * @stability stable
     */
    readonly timezone?: string;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileRuleMetricTriggerDimensions {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileRuleMetricTrigger {
    /**
     * @stability stable
     */
    readonly metricName: string;
    /**
     * @stability stable
     */
    readonly metricNamespace?: string;
    /**
     * @stability stable
     */
    readonly metricResourceId: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly statistic: string;
    /**
     * @stability stable
     */
    readonly threshold: number;
    /**
     * @stability stable
     */
    readonly timeAggregation: string;
    /**
     * @stability stable
     */
    readonly timeGrain: string;
    /**
     * @stability stable
     */
    readonly timeWindow: string;
    /**
     * dimensions block.
     *
     * @stability stable
     */
    readonly dimensions?: MonitorAutoscaleSettingProfileRuleMetricTriggerDimensions[];
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileRuleScaleAction {
    /**
     * @stability stable
     */
    readonly cooldown: string;
    /**
     * @stability stable
     */
    readonly direction: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfileRule {
    /**
     * metric_trigger block.
     *
     * @stability stable
     */
    readonly metricTrigger: MonitorAutoscaleSettingProfileRuleMetricTrigger[];
    /**
     * scale_action block.
     *
     * @stability stable
     */
    readonly scaleAction: MonitorAutoscaleSettingProfileRuleScaleAction[];
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingProfile {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * capacity block.
     *
     * @stability stable
     */
    readonly capacity: MonitorAutoscaleSettingProfileCapacity[];
    /**
     * fixed_date block.
     *
     * @stability stable
     */
    readonly fixedDate?: MonitorAutoscaleSettingProfileFixedDate[];
    /**
     * recurrence block.
     *
     * @stability stable
     */
    readonly recurrence?: MonitorAutoscaleSettingProfileRecurrence[];
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule?: MonitorAutoscaleSettingProfileRule[];
}
/**
 * @stability stable
 */
export interface MonitorAutoscaleSettingTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorAutoscaleSetting extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorAutoscaleSettingConfig);
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetResourceId;
    /**
     * @stability stable
     */
    get targetResourceId(): string;
    /**
     * @stability stable
     */
    set targetResourceId(value: string);
    /**
     * @stability stable
     */
    get targetResourceIdInput(): string;
    private _notification?;
    /**
     * @stability stable
     */
    get notification(): MonitorAutoscaleSettingNotification[];
    /**
     * @stability stable
     */
    set notification(value: MonitorAutoscaleSettingNotification[]);
    /**
     * @stability stable
     */
    resetNotification(): void;
    /**
     * @stability stable
     */
    get notificationInput(): MonitorAutoscaleSettingNotification[] | undefined;
    private _profile;
    /**
     * @stability stable
     */
    get profile(): MonitorAutoscaleSettingProfile[];
    /**
     * @stability stable
     */
    set profile(value: MonitorAutoscaleSettingProfile[]);
    /**
     * @stability stable
     */
    get profileInput(): MonitorAutoscaleSettingProfile[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorAutoscaleSettingTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorAutoscaleSettingTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorAutoscaleSettingTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
