import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorDiagnosticSettingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly eventhubAuthorizationRuleId?: string;
    /**
     * @stability stable
     */
    readonly eventhubName?: string;
    /**
     * @stability stable
     */
    readonly logAnalyticsDestinationType?: string;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly storageAccountId?: string;
    /**
     * @stability stable
     */
    readonly targetResourceId: string;
    /**
     * log block.
     *
     * @stability stable
     */
    readonly log?: MonitorDiagnosticSettingLog[];
    /**
     * metric block.
     *
     * @stability stable
     */
    readonly metric?: MonitorDiagnosticSettingMetric[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorDiagnosticSettingTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorDiagnosticSettingLogRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days?: number;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface MonitorDiagnosticSettingLog {
    /**
     * @stability stable
     */
    readonly category: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * retention_policy block.
     *
     * @stability stable
     */
    readonly retentionPolicy?: MonitorDiagnosticSettingLogRetentionPolicy[];
}
/**
 * @stability stable
 */
export interface MonitorDiagnosticSettingMetricRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days?: number;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface MonitorDiagnosticSettingMetric {
    /**
     * @stability stable
     */
    readonly category: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * retention_policy block.
     *
     * @stability stable
     */
    readonly retentionPolicy?: MonitorDiagnosticSettingMetricRetentionPolicy[];
}
/**
 * @stability stable
 */
export interface MonitorDiagnosticSettingTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorDiagnosticSetting extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorDiagnosticSettingConfig);
    private _eventhubAuthorizationRuleId?;
    /**
     * @stability stable
     */
    get eventhubAuthorizationRuleId(): string;
    /**
     * @stability stable
     */
    set eventhubAuthorizationRuleId(value: string);
    /**
     * @stability stable
     */
    resetEventhubAuthorizationRuleId(): void;
    /**
     * @stability stable
     */
    get eventhubAuthorizationRuleIdInput(): string | undefined;
    private _eventhubName?;
    /**
     * @stability stable
     */
    get eventhubName(): string;
    /**
     * @stability stable
     */
    set eventhubName(value: string);
    /**
     * @stability stable
     */
    resetEventhubName(): void;
    /**
     * @stability stable
     */
    get eventhubNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsDestinationType?;
    /**
     * @stability stable
     */
    get logAnalyticsDestinationType(): string;
    /**
     * @stability stable
     */
    set logAnalyticsDestinationType(value: string);
    /**
     * @stability stable
     */
    resetLogAnalyticsDestinationType(): void;
    /**
     * @stability stable
     */
    get logAnalyticsDestinationTypeInput(): string | undefined;
    private _logAnalyticsWorkspaceId?;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    resetLogAnalyticsWorkspaceId(): void;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _storageAccountId?;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountId(): void;
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string | undefined;
    private _targetResourceId;
    /**
     * @stability stable
     */
    get targetResourceId(): string;
    /**
     * @stability stable
     */
    set targetResourceId(value: string);
    /**
     * @stability stable
     */
    get targetResourceIdInput(): string;
    private _log?;
    /**
     * @stability stable
     */
    get log(): MonitorDiagnosticSettingLog[];
    /**
     * @stability stable
     */
    set log(value: MonitorDiagnosticSettingLog[]);
    /**
     * @stability stable
     */
    resetLog(): void;
    /**
     * @stability stable
     */
    get logInput(): MonitorDiagnosticSettingLog[] | undefined;
    private _metric?;
    /**
     * @stability stable
     */
    get metric(): MonitorDiagnosticSettingMetric[];
    /**
     * @stability stable
     */
    set metric(value: MonitorDiagnosticSettingMetric[]);
    /**
     * @stability stable
     */
    resetMetric(): void;
    /**
     * @stability stable
     */
    get metricInput(): MonitorDiagnosticSettingMetric[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorDiagnosticSettingTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorDiagnosticSettingTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorDiagnosticSettingTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
