import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorLogProfileConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly categories: string[];
    /**
     * @stability stable
     */
    readonly locations: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly servicebusRuleId?: string;
    /**
     * @stability stable
     */
    readonly storageAccountId?: string;
    /**
     * retention_policy block.
     *
     * @stability stable
     */
    readonly retentionPolicy: MonitorLogProfileRetentionPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorLogProfileTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorLogProfileRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days?: number;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface MonitorLogProfileTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorLogProfile extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorLogProfileConfig);
    private _categories;
    /**
     * @stability stable
     */
    get categories(): string[];
    /**
     * @stability stable
     */
    set categories(value: string[]);
    /**
     * @stability stable
     */
    get categoriesInput(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _locations;
    /**
     * @stability stable
     */
    get locations(): string[];
    /**
     * @stability stable
     */
    set locations(value: string[]);
    /**
     * @stability stable
     */
    get locationsInput(): string[];
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _servicebusRuleId?;
    /**
     * @stability stable
     */
    get servicebusRuleId(): string;
    /**
     * @stability stable
     */
    set servicebusRuleId(value: string);
    /**
     * @stability stable
     */
    resetServicebusRuleId(): void;
    /**
     * @stability stable
     */
    get servicebusRuleIdInput(): string | undefined;
    private _storageAccountId?;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountId(): void;
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string | undefined;
    private _retentionPolicy;
    /**
     * @stability stable
     */
    get retentionPolicy(): MonitorLogProfileRetentionPolicy[];
    /**
     * @stability stable
     */
    set retentionPolicy(value: MonitorLogProfileRetentionPolicy[]);
    /**
     * @stability stable
     */
    get retentionPolicyInput(): MonitorLogProfileRetentionPolicy[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorLogProfileTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorLogProfileTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorLogProfileTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
