import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorMetricAlertConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoMitigate?: boolean;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly frequency?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scopes: string[];
    /**
     * @stability stable
     */
    readonly severity?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * The location of the target resource.
     *
     * Required when using subscription, resource group scope or multiple scopes.
     *
     * @stability stable
     */
    readonly targetResourceLocation?: string;
    /**
     * The resource type (e.g. Microsoft.Compute/virtualMachines) of the target resource. Required when using subscription, resource group scope or multiple scopes.
     *
     * @stability stable
     */
    readonly targetResourceType?: string;
    /**
     * @stability stable
     */
    readonly windowSize?: string;
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action?: MonitorMetricAlertAction[];
    /**
     * application_insights_web_test_location_availability_criteria block.
     *
     * @stability stable
     */
    readonly applicationInsightsWebTestLocationAvailabilityCriteria?: MonitorMetricAlertApplicationInsightsWebTestLocationAvailabilityCriteria[];
    /**
     * criteria block.
     *
     * @stability stable
     */
    readonly criteria?: MonitorMetricAlertCriteria[];
    /**
     * dynamic_criteria block.
     *
     * @stability stable
     */
    readonly dynamicCriteria?: MonitorMetricAlertDynamicCriteria[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorMetricAlertTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertAction {
    /**
     * @stability stable
     */
    readonly actionGroupId: string;
    /**
     * @stability stable
     */
    readonly webhookProperties?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertApplicationInsightsWebTestLocationAvailabilityCriteria {
    /**
     * @stability stable
     */
    readonly componentId: string;
    /**
     * @stability stable
     */
    readonly failedLocationCount: number;
    /**
     * @stability stable
     */
    readonly webTestId: string;
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertCriteriaDimension {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertCriteria {
    /**
     * @stability stable
     */
    readonly aggregation: string;
    /**
     * @stability stable
     */
    readonly metricName: string;
    /**
     * @stability stable
     */
    readonly metricNamespace: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly skipMetricValidation?: boolean;
    /**
     * @stability stable
     */
    readonly threshold: number;
    /**
     * dimension block.
     *
     * @stability stable
     */
    readonly dimension?: MonitorMetricAlertCriteriaDimension[];
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertDynamicCriteriaDimension {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertDynamicCriteria {
    /**
     * @stability stable
     */
    readonly aggregation: string;
    /**
     * @stability stable
     */
    readonly alertSensitivity: string;
    /**
     * @stability stable
     */
    readonly evaluationFailureCount?: number;
    /**
     * @stability stable
     */
    readonly evaluationTotalCount?: number;
    /**
     * @stability stable
     */
    readonly ignoreDataBefore?: string;
    /**
     * @stability stable
     */
    readonly metricName: string;
    /**
     * @stability stable
     */
    readonly metricNamespace: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly skipMetricValidation?: boolean;
    /**
     * dimension block.
     *
     * @stability stable
     */
    readonly dimension?: MonitorMetricAlertDynamicCriteriaDimension[];
}
/**
 * @stability stable
 */
export interface MonitorMetricAlertTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorMetricAlert extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorMetricAlertConfig);
    private _autoMitigate?;
    /**
     * @stability stable
     */
    get autoMitigate(): boolean;
    /**
     * @stability stable
     */
    set autoMitigate(value: boolean);
    /**
     * @stability stable
     */
    resetAutoMitigate(): void;
    /**
     * @stability stable
     */
    get autoMitigateInput(): boolean | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    private _frequency?;
    /**
     * @stability stable
     */
    get frequency(): string;
    /**
     * @stability stable
     */
    set frequency(value: string);
    /**
     * @stability stable
     */
    resetFrequency(): void;
    /**
     * @stability stable
     */
    get frequencyInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scopes;
    /**
     * @stability stable
     */
    get scopes(): string[];
    /**
     * @stability stable
     */
    set scopes(value: string[]);
    /**
     * @stability stable
     */
    get scopesInput(): string[];
    private _severity?;
    /**
     * @stability stable
     */
    get severity(): number;
    /**
     * @stability stable
     */
    set severity(value: number);
    /**
     * @stability stable
     */
    resetSeverity(): void;
    /**
     * @stability stable
     */
    get severityInput(): number | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetResourceLocation?;
    /**
     * @stability stable
     */
    get targetResourceLocation(): string;
    /**
     * @stability stable
     */
    set targetResourceLocation(value: string);
    /**
     * @stability stable
     */
    resetTargetResourceLocation(): void;
    /**
     * @stability stable
     */
    get targetResourceLocationInput(): string | undefined;
    private _targetResourceType?;
    /**
     * @stability stable
     */
    get targetResourceType(): string;
    /**
     * @stability stable
     */
    set targetResourceType(value: string);
    /**
     * @stability stable
     */
    resetTargetResourceType(): void;
    /**
     * @stability stable
     */
    get targetResourceTypeInput(): string | undefined;
    private _windowSize?;
    /**
     * @stability stable
     */
    get windowSize(): string;
    /**
     * @stability stable
     */
    set windowSize(value: string);
    /**
     * @stability stable
     */
    resetWindowSize(): void;
    /**
     * @stability stable
     */
    get windowSizeInput(): string | undefined;
    private _action?;
    /**
     * @stability stable
     */
    get action(): MonitorMetricAlertAction[];
    /**
     * @stability stable
     */
    set action(value: MonitorMetricAlertAction[]);
    /**
     * @stability stable
     */
    resetAction(): void;
    /**
     * @stability stable
     */
    get actionInput(): MonitorMetricAlertAction[] | undefined;
    private _applicationInsightsWebTestLocationAvailabilityCriteria?;
    /**
     * @stability stable
     */
    get applicationInsightsWebTestLocationAvailabilityCriteria(): MonitorMetricAlertApplicationInsightsWebTestLocationAvailabilityCriteria[];
    /**
     * @stability stable
     */
    set applicationInsightsWebTestLocationAvailabilityCriteria(value: MonitorMetricAlertApplicationInsightsWebTestLocationAvailabilityCriteria[]);
    /**
     * @stability stable
     */
    resetApplicationInsightsWebTestLocationAvailabilityCriteria(): void;
    /**
     * @stability stable
     */
    get applicationInsightsWebTestLocationAvailabilityCriteriaInput(): MonitorMetricAlertApplicationInsightsWebTestLocationAvailabilityCriteria[] | undefined;
    private _criteria?;
    /**
     * @stability stable
     */
    get criteria(): MonitorMetricAlertCriteria[];
    /**
     * @stability stable
     */
    set criteria(value: MonitorMetricAlertCriteria[]);
    /**
     * @stability stable
     */
    resetCriteria(): void;
    /**
     * @stability stable
     */
    get criteriaInput(): MonitorMetricAlertCriteria[] | undefined;
    private _dynamicCriteria?;
    /**
     * @stability stable
     */
    get dynamicCriteria(): MonitorMetricAlertDynamicCriteria[];
    /**
     * @stability stable
     */
    set dynamicCriteria(value: MonitorMetricAlertDynamicCriteria[]);
    /**
     * @stability stable
     */
    resetDynamicCriteria(): void;
    /**
     * @stability stable
     */
    get dynamicCriteriaInput(): MonitorMetricAlertDynamicCriteria[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorMetricAlertTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorMetricAlertTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorMetricAlertTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
