import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesAlertConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly authorizedResourceIds?: string[];
    /**
     * @stability stable
     */
    readonly dataSourceId: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly frequency: number;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly query: string;
    /**
     * @stability stable
     */
    readonly queryType?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly severity?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly throttling?: number;
    /**
     * @stability stable
     */
    readonly timeWindow: number;
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action: MonitorScheduledQueryRulesAlertAction[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorScheduledQueryRulesAlertTimeouts;
    /**
     * trigger block.
     *
     * @stability stable
     */
    readonly trigger: MonitorScheduledQueryRulesAlertTrigger[];
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesAlertAction {
    /**
     * @stability stable
     */
    readonly actionGroup: string[];
    /**
     * @stability stable
     */
    readonly customWebhookPayload?: string;
    /**
     * @stability stable
     */
    readonly emailSubject?: string;
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesAlertTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesAlertTriggerMetricTrigger {
    /**
     * @stability stable
     */
    readonly metricColumn: string;
    /**
     * @stability stable
     */
    readonly metricTriggerType: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly threshold: number;
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesAlertTrigger {
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly threshold: number;
    /**
     * metric_trigger block.
     *
     * @stability stable
     */
    readonly metricTrigger?: MonitorScheduledQueryRulesAlertTriggerMetricTrigger[];
}
/**
 * @stability stable
 */
export declare class MonitorScheduledQueryRulesAlert extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorScheduledQueryRulesAlertConfig);
    private _authorizedResourceIds?;
    /**
     * @stability stable
     */
    get authorizedResourceIds(): string[];
    /**
     * @stability stable
     */
    set authorizedResourceIds(value: string[]);
    /**
     * @stability stable
     */
    resetAuthorizedResourceIds(): void;
    /**
     * @stability stable
     */
    get authorizedResourceIdsInput(): string[] | undefined;
    private _dataSourceId;
    /**
     * @stability stable
     */
    get dataSourceId(): string;
    /**
     * @stability stable
     */
    set dataSourceId(value: string);
    /**
     * @stability stable
     */
    get dataSourceIdInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    private _frequency;
    /**
     * @stability stable
     */
    get frequency(): number;
    /**
     * @stability stable
     */
    set frequency(value: number);
    /**
     * @stability stable
     */
    get frequencyInput(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _query;
    /**
     * @stability stable
     */
    get query(): string;
    /**
     * @stability stable
     */
    set query(value: string);
    /**
     * @stability stable
     */
    get queryInput(): string;
    private _queryType?;
    /**
     * @stability stable
     */
    get queryType(): string;
    /**
     * @stability stable
     */
    set queryType(value: string);
    /**
     * @stability stable
     */
    resetQueryType(): void;
    /**
     * @stability stable
     */
    get queryTypeInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _severity?;
    /**
     * @stability stable
     */
    get severity(): number;
    /**
     * @stability stable
     */
    set severity(value: number);
    /**
     * @stability stable
     */
    resetSeverity(): void;
    /**
     * @stability stable
     */
    get severityInput(): number | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _throttling?;
    /**
     * @stability stable
     */
    get throttling(): number;
    /**
     * @stability stable
     */
    set throttling(value: number);
    /**
     * @stability stable
     */
    resetThrottling(): void;
    /**
     * @stability stable
     */
    get throttlingInput(): number | undefined;
    private _timeWindow;
    /**
     * @stability stable
     */
    get timeWindow(): number;
    /**
     * @stability stable
     */
    set timeWindow(value: number);
    /**
     * @stability stable
     */
    get timeWindowInput(): number;
    private _action;
    /**
     * @stability stable
     */
    get action(): MonitorScheduledQueryRulesAlertAction[];
    /**
     * @stability stable
     */
    set action(value: MonitorScheduledQueryRulesAlertAction[]);
    /**
     * @stability stable
     */
    get actionInput(): MonitorScheduledQueryRulesAlertAction[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorScheduledQueryRulesAlertTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorScheduledQueryRulesAlertTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorScheduledQueryRulesAlertTimeouts | undefined;
    private _trigger;
    /**
     * @stability stable
     */
    get trigger(): MonitorScheduledQueryRulesAlertTrigger[];
    /**
     * @stability stable
     */
    set trigger(value: MonitorScheduledQueryRulesAlertTrigger[]);
    /**
     * @stability stable
     */
    get triggerInput(): MonitorScheduledQueryRulesAlertTrigger[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
