import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesLogConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly authorizedResourceIds?: string[];
    /**
     * @stability stable
     */
    readonly dataSourceId: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * criteria block.
     *
     * @stability stable
     */
    readonly criteria: MonitorScheduledQueryRulesLogCriteria[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorScheduledQueryRulesLogTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesLogCriteriaDimension {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly operator?: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesLogCriteria {
    /**
     * @stability stable
     */
    readonly metricName: string;
    /**
     * dimension block.
     *
     * @stability stable
     */
    readonly dimension: MonitorScheduledQueryRulesLogCriteriaDimension[];
}
/**
 * @stability stable
 */
export interface MonitorScheduledQueryRulesLogTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorScheduledQueryRulesLog extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorScheduledQueryRulesLogConfig);
    private _authorizedResourceIds?;
    /**
     * @stability stable
     */
    get authorizedResourceIds(): string[];
    /**
     * @stability stable
     */
    set authorizedResourceIds(value: string[]);
    /**
     * @stability stable
     */
    resetAuthorizedResourceIds(): void;
    /**
     * @stability stable
     */
    get authorizedResourceIdsInput(): string[] | undefined;
    private _dataSourceId;
    /**
     * @stability stable
     */
    get dataSourceId(): string;
    /**
     * @stability stable
     */
    set dataSourceId(value: string);
    /**
     * @stability stable
     */
    get dataSourceIdInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _criteria;
    /**
     * @stability stable
     */
    get criteria(): MonitorScheduledQueryRulesLogCriteria[];
    /**
     * @stability stable
     */
    set criteria(value: MonitorScheduledQueryRulesLogCriteria[]);
    /**
     * @stability stable
     */
    get criteriaInput(): MonitorScheduledQueryRulesLogCriteria[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorScheduledQueryRulesLogTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorScheduledQueryRulesLogTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorScheduledQueryRulesLogTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
