import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MonitorSmartDetectorAlertRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly detectorType: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly frequency: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scopeResourceIds: string[];
    /**
     * @stability stable
     */
    readonly severity: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly throttlingDuration?: string;
    /**
     * action_group block.
     *
     * @stability stable
     */
    readonly actionGroup: MonitorSmartDetectorAlertRuleActionGroup[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MonitorSmartDetectorAlertRuleTimeouts;
}
/**
 * @stability stable
 */
export interface MonitorSmartDetectorAlertRuleActionGroup {
    /**
     * @stability stable
     */
    readonly emailSubject?: string;
    /**
     * @stability stable
     */
    readonly ids: string[];
    /**
     * @stability stable
     */
    readonly webhookPayload?: string;
}
/**
 * @stability stable
 */
export interface MonitorSmartDetectorAlertRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MonitorSmartDetectorAlertRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MonitorSmartDetectorAlertRuleConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _detectorType;
    /**
     * @stability stable
     */
    get detectorType(): string;
    /**
     * @stability stable
     */
    set detectorType(value: string);
    /**
     * @stability stable
     */
    get detectorTypeInput(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    private _frequency;
    /**
     * @stability stable
     */
    get frequency(): string;
    /**
     * @stability stable
     */
    set frequency(value: string);
    /**
     * @stability stable
     */
    get frequencyInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scopeResourceIds;
    /**
     * @stability stable
     */
    get scopeResourceIds(): string[];
    /**
     * @stability stable
     */
    set scopeResourceIds(value: string[]);
    /**
     * @stability stable
     */
    get scopeResourceIdsInput(): string[];
    private _severity;
    /**
     * @stability stable
     */
    get severity(): string;
    /**
     * @stability stable
     */
    set severity(value: string);
    /**
     * @stability stable
     */
    get severityInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _throttlingDuration?;
    /**
     * @stability stable
     */
    get throttlingDuration(): string;
    /**
     * @stability stable
     */
    set throttlingDuration(value: string);
    /**
     * @stability stable
     */
    resetThrottlingDuration(): void;
    /**
     * @stability stable
     */
    get throttlingDurationInput(): string | undefined;
    private _actionGroup;
    /**
     * @stability stable
     */
    get actionGroup(): MonitorSmartDetectorAlertRuleActionGroup[];
    /**
     * @stability stable
     */
    set actionGroup(value: MonitorSmartDetectorAlertRuleActionGroup[]);
    /**
     * @stability stable
     */
    get actionGroupInput(): MonitorSmartDetectorAlertRuleActionGroup[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MonitorSmartDetectorAlertRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MonitorSmartDetectorAlertRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MonitorSmartDetectorAlertRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
