import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MssqlElasticpoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maxSizeBytes?: number;
    /**
     * @stability stable
     */
    readonly maxSizeGb?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serverName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zoneRedundant?: boolean;
    /**
     * per_database_settings block.
     *
     * @stability stable
     */
    readonly perDatabaseSettings: MssqlElasticpoolPerDatabaseSettings[];
    /**
     * sku block.
     *
     * @stability stable
     */
    readonly sku: MssqlElasticpoolSku[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MssqlElasticpoolTimeouts;
}
/**
 * @stability stable
 */
export interface MssqlElasticpoolPerDatabaseSettings {
    /**
     * @stability stable
     */
    readonly maxCapacity: number;
    /**
     * @stability stable
     */
    readonly minCapacity: number;
}
/**
 * @stability stable
 */
export interface MssqlElasticpoolSku {
    /**
     * @stability stable
     */
    readonly capacity: number;
    /**
     * @stability stable
     */
    readonly family?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tier: string;
}
/**
 * @stability stable
 */
export interface MssqlElasticpoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MssqlElasticpool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MssqlElasticpoolConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _licenseType?;
    /**
     * @stability stable
     */
    get licenseType(): string;
    /**
     * @stability stable
     */
    set licenseType(value: string);
    /**
     * @stability stable
     */
    resetLicenseType(): void;
    /**
     * @stability stable
     */
    get licenseTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maxSizeBytes?;
    /**
     * @stability stable
     */
    get maxSizeBytes(): number;
    /**
     * @stability stable
     */
    set maxSizeBytes(value: number);
    /**
     * @stability stable
     */
    resetMaxSizeBytes(): void;
    /**
     * @stability stable
     */
    get maxSizeBytesInput(): number | undefined;
    private _maxSizeGb?;
    /**
     * @stability stable
     */
    get maxSizeGb(): number;
    /**
     * @stability stable
     */
    set maxSizeGb(value: number);
    /**
     * @stability stable
     */
    resetMaxSizeGb(): void;
    /**
     * @stability stable
     */
    get maxSizeGbInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serverName;
    /**
     * @stability stable
     */
    get serverName(): string;
    /**
     * @stability stable
     */
    set serverName(value: string);
    /**
     * @stability stable
     */
    get serverNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zoneRedundant?;
    /**
     * @stability stable
     */
    get zoneRedundant(): boolean;
    /**
     * @stability stable
     */
    set zoneRedundant(value: boolean);
    /**
     * @stability stable
     */
    resetZoneRedundant(): void;
    /**
     * @stability stable
     */
    get zoneRedundantInput(): boolean | undefined;
    private _perDatabaseSettings;
    /**
     * @stability stable
     */
    get perDatabaseSettings(): MssqlElasticpoolPerDatabaseSettings[];
    /**
     * @stability stable
     */
    set perDatabaseSettings(value: MssqlElasticpoolPerDatabaseSettings[]);
    /**
     * @stability stable
     */
    get perDatabaseSettingsInput(): MssqlElasticpoolPerDatabaseSettings[];
    private _sku;
    /**
     * @stability stable
     */
    get sku(): MssqlElasticpoolSku[];
    /**
     * @stability stable
     */
    set sku(value: MssqlElasticpoolSku[]);
    /**
     * @stability stable
     */
    get skuInput(): MssqlElasticpoolSku[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MssqlElasticpoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MssqlElasticpoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MssqlElasticpoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
