import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MysqlServerKeyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly keyVaultKeyId: string;
    /**
     * @stability stable
     */
    readonly serverId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MysqlServerKeyTimeouts;
}
/**
 * @stability stable
 */
export interface MysqlServerKeyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MysqlServerKey extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MysqlServerKeyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _keyVaultKeyId;
    /**
     * @stability stable
     */
    get keyVaultKeyId(): string;
    /**
     * @stability stable
     */
    set keyVaultKeyId(value: string);
    /**
     * @stability stable
     */
    get keyVaultKeyIdInput(): string;
    private _serverId;
    /**
     * @stability stable
     */
    get serverId(): string;
    /**
     * @stability stable
     */
    set serverId(value: string);
    /**
     * @stability stable
     */
    get serverIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MysqlServerKeyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MysqlServerKeyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MysqlServerKeyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
