import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NatGatewayPublicIpAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly natGatewayId: string;
    /**
     * @stability stable
     */
    readonly publicIpAddressId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NatGatewayPublicIpAssociationTimeouts;
}
/**
 * @stability stable
 */
export interface NatGatewayPublicIpAssociationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class NatGatewayPublicIpAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NatGatewayPublicIpAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _natGatewayId;
    /**
     * @stability stable
     */
    get natGatewayId(): string;
    /**
     * @stability stable
     */
    set natGatewayId(value: string);
    /**
     * @stability stable
     */
    get natGatewayIdInput(): string;
    private _publicIpAddressId;
    /**
     * @stability stable
     */
    get publicIpAddressId(): string;
    /**
     * @stability stable
     */
    set publicIpAddressId(value: string);
    /**
     * @stability stable
     */
    get publicIpAddressIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NatGatewayPublicIpAssociationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NatGatewayPublicIpAssociationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NatGatewayPublicIpAssociationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
