import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetappVolumeConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountName: string;
    /**
     * @stability stable
     */
    readonly createFromSnapshotResourceId?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly poolName: string;
    /**
     * @stability stable
     */
    readonly protocols?: string[];
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceLevel: string;
    /**
     * @stability stable
     */
    readonly storageQuotaInGb: number;
    /**
     * @stability stable
     */
    readonly subnetId: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly volumePath: string;
    /**
     * data_protection_replication block.
     *
     * @stability stable
     */
    readonly dataProtectionReplication?: NetappVolumeDataProtectionReplication[];
    /**
     * export_policy_rule block.
     *
     * @stability stable
     */
    readonly exportPolicyRule?: NetappVolumeExportPolicyRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetappVolumeTimeouts;
}
/**
 * @stability stable
 */
export interface NetappVolumeDataProtectionReplication {
    /**
     * @stability stable
     */
    readonly endpointType?: string;
    /**
     * @stability stable
     */
    readonly remoteVolumeLocation: string;
    /**
     * @stability stable
     */
    readonly remoteVolumeResourceId: string;
    /**
     * @stability stable
     */
    readonly replicationFrequency: string;
}
/**
 * @stability stable
 */
export interface NetappVolumeExportPolicyRule {
    /**
     * @stability stable
     */
    readonly allowedClients: string[];
    /**
     * @stability stable
     */
    readonly cifsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly nfsv3Enabled?: boolean;
    /**
     * @stability stable
     */
    readonly nfsv4Enabled?: boolean;
    /**
     * @stability stable
     */
    readonly protocolsEnabled?: string[];
    /**
     * @stability stable
     */
    readonly rootAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly ruleIndex: number;
    /**
     * @stability stable
     */
    readonly unixReadOnly?: boolean;
    /**
     * @stability stable
     */
    readonly unixReadWrite?: boolean;
}
/**
 * @stability stable
 */
export interface NetappVolumeTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NetappVolume extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetappVolumeConfig);
    private _accountName;
    /**
     * @stability stable
     */
    get accountName(): string;
    /**
     * @stability stable
     */
    set accountName(value: string);
    /**
     * @stability stable
     */
    get accountNameInput(): string;
    private _createFromSnapshotResourceId?;
    /**
     * @stability stable
     */
    get createFromSnapshotResourceId(): string;
    /**
     * @stability stable
     */
    set createFromSnapshotResourceId(value: string);
    /**
     * @stability stable
     */
    resetCreateFromSnapshotResourceId(): void;
    /**
     * @stability stable
     */
    get createFromSnapshotResourceIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get mountIpAddresses(): string[];
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _poolName;
    /**
     * @stability stable
     */
    get poolName(): string;
    /**
     * @stability stable
     */
    set poolName(value: string);
    /**
     * @stability stable
     */
    get poolNameInput(): string;
    private _protocols?;
    /**
     * @stability stable
     */
    get protocols(): string[];
    /**
     * @stability stable
     */
    set protocols(value: string[]);
    /**
     * @stability stable
     */
    resetProtocols(): void;
    /**
     * @stability stable
     */
    get protocolsInput(): string[] | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serviceLevel;
    /**
     * @stability stable
     */
    get serviceLevel(): string;
    /**
     * @stability stable
     */
    set serviceLevel(value: string);
    /**
     * @stability stable
     */
    get serviceLevelInput(): string;
    private _storageQuotaInGb;
    /**
     * @stability stable
     */
    get storageQuotaInGb(): number;
    /**
     * @stability stable
     */
    set storageQuotaInGb(value: number);
    /**
     * @stability stable
     */
    get storageQuotaInGbInput(): number;
    private _subnetId;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    set subnetId(value: string);
    /**
     * @stability stable
     */
    get subnetIdInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _volumePath;
    /**
     * @stability stable
     */
    get volumePath(): string;
    /**
     * @stability stable
     */
    set volumePath(value: string);
    /**
     * @stability stable
     */
    get volumePathInput(): string;
    private _dataProtectionReplication?;
    /**
     * @stability stable
     */
    get dataProtectionReplication(): NetappVolumeDataProtectionReplication[];
    /**
     * @stability stable
     */
    set dataProtectionReplication(value: NetappVolumeDataProtectionReplication[]);
    /**
     * @stability stable
     */
    resetDataProtectionReplication(): void;
    /**
     * @stability stable
     */
    get dataProtectionReplicationInput(): NetappVolumeDataProtectionReplication[] | undefined;
    private _exportPolicyRule?;
    /**
     * @stability stable
     */
    get exportPolicyRule(): NetappVolumeExportPolicyRule[];
    /**
     * @stability stable
     */
    set exportPolicyRule(value: NetappVolumeExportPolicyRule[]);
    /**
     * @stability stable
     */
    resetExportPolicyRule(): void;
    /**
     * @stability stable
     */
    get exportPolicyRuleInput(): NetappVolumeExportPolicyRule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetappVolumeTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetappVolumeTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetappVolumeTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
