import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkInterfaceNatRuleAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly ipConfigurationName: string;
    /**
     * @stability stable
     */
    readonly natRuleId: string;
    /**
     * @stability stable
     */
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetworkInterfaceNatRuleAssociationTimeouts;
}
/**
 * @stability stable
 */
export interface NetworkInterfaceNatRuleAssociationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NetworkInterfaceNatRuleAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceNatRuleAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _ipConfigurationName;
    /**
     * @stability stable
     */
    get ipConfigurationName(): string;
    /**
     * @stability stable
     */
    set ipConfigurationName(value: string);
    /**
     * @stability stable
     */
    get ipConfigurationNameInput(): string;
    private _natRuleId;
    /**
     * @stability stable
     */
    get natRuleId(): string;
    /**
     * @stability stable
     */
    set natRuleId(value: string);
    /**
     * @stability stable
     */
    get natRuleIdInput(): string;
    private _networkInterfaceId;
    /**
     * @stability stable
     */
    get networkInterfaceId(): string;
    /**
     * @stability stable
     */
    set networkInterfaceId(value: string);
    /**
     * @stability stable
     */
    get networkInterfaceIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetworkInterfaceNatRuleAssociationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetworkInterfaceNatRuleAssociationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetworkInterfaceNatRuleAssociationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
