import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkInterfaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dnsServers?: string[];
    /**
     * @stability stable
     */
    readonly enableAcceleratedNetworking?: boolean;
    /**
     * @stability stable
     */
    readonly enableIpForwarding?: boolean;
    /**
     * @stability stable
     */
    readonly internalDnsNameLabel?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ip_configuration block.
     *
     * @stability stable
     */
    readonly ipConfiguration: NetworkInterfaceIpConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetworkInterfaceTimeouts;
}
/**
 * @stability stable
 */
export interface NetworkInterfaceIpConfiguration {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly primary?: boolean;
    /**
     * @stability stable
     */
    readonly privateIpAddress?: string;
    /**
     * @stability stable
     */
    readonly privateIpAddressAllocation: string;
    /**
     * @stability stable
     */
    readonly privateIpAddressVersion?: string;
    /**
     * @stability stable
     */
    readonly publicIpAddressId?: string;
    /**
     * @stability stable
     */
    readonly subnetId?: string;
}
/**
 * @stability stable
 */
export interface NetworkInterfaceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NetworkInterface extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceConfig);
    /**
     * @stability stable
     */
    get appliedDnsServers(): string[];
    private _dnsServers?;
    /**
     * @stability stable
     */
    get dnsServers(): string[];
    /**
     * @stability stable
     */
    set dnsServers(value: string[]);
    /**
     * @stability stable
     */
    resetDnsServers(): void;
    /**
     * @stability stable
     */
    get dnsServersInput(): string[] | undefined;
    private _enableAcceleratedNetworking?;
    /**
     * @stability stable
     */
    get enableAcceleratedNetworking(): boolean;
    /**
     * @stability stable
     */
    set enableAcceleratedNetworking(value: boolean);
    /**
     * @stability stable
     */
    resetEnableAcceleratedNetworking(): void;
    /**
     * @stability stable
     */
    get enableAcceleratedNetworkingInput(): boolean | undefined;
    private _enableIpForwarding?;
    /**
     * @stability stable
     */
    get enableIpForwarding(): boolean;
    /**
     * @stability stable
     */
    set enableIpForwarding(value: boolean);
    /**
     * @stability stable
     */
    resetEnableIpForwarding(): void;
    /**
     * @stability stable
     */
    get enableIpForwardingInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _internalDnsNameLabel?;
    /**
     * @stability stable
     */
    get internalDnsNameLabel(): string;
    /**
     * @stability stable
     */
    set internalDnsNameLabel(value: string);
    /**
     * @stability stable
     */
    resetInternalDnsNameLabel(): void;
    /**
     * @stability stable
     */
    get internalDnsNameLabelInput(): string | undefined;
    /**
     * @stability stable
     */
    get internalDomainNameSuffix(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get macAddress(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get privateIpAddress(): string;
    /**
     * @stability stable
     */
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get virtualMachineId(): string;
    private _ipConfiguration;
    /**
     * @stability stable
     */
    get ipConfiguration(): NetworkInterfaceIpConfiguration[];
    /**
     * @stability stable
     */
    set ipConfiguration(value: NetworkInterfaceIpConfiguration[]);
    /**
     * @stability stable
     */
    get ipConfigurationInput(): NetworkInterfaceIpConfiguration[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetworkInterfaceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetworkInterfaceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetworkInterfaceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
