import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkProfileConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * container_network_interface block.
     *
     * @stability stable
     */
    readonly containerNetworkInterface: NetworkProfileContainerNetworkInterface[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetworkProfileTimeouts;
}
/**
 * @stability stable
 */
export interface NetworkProfileContainerNetworkInterfaceIpConfiguration {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface NetworkProfileContainerNetworkInterface {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * ip_configuration block.
     *
     * @stability stable
     */
    readonly ipConfiguration: NetworkProfileContainerNetworkInterfaceIpConfiguration[];
}
/**
 * @stability stable
 */
export interface NetworkProfileTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NetworkProfile extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkProfileConfig);
    /**
     * @stability stable
     */
    get containerNetworkInterfaceIds(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _containerNetworkInterface;
    /**
     * @stability stable
     */
    get containerNetworkInterface(): NetworkProfileContainerNetworkInterface[];
    /**
     * @stability stable
     */
    set containerNetworkInterface(value: NetworkProfileContainerNetworkInterface[]);
    /**
     * @stability stable
     */
    get containerNetworkInterfaceInput(): NetworkProfileContainerNetworkInterface[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetworkProfileTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetworkProfileTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetworkProfileTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
