import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkSecurityGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly securityRule?: NetworkSecurityGroupSecurityRule[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetworkSecurityGroupTimeouts;
}
/**
 * @stability stable
 */
export interface NetworkSecurityGroupSecurityRule {
    /**
     * @stability stable
     */
    readonly access?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly destinationAddressPrefix?: string;
    /**
     * @stability stable
     */
    readonly destinationAddressPrefixes?: string[];
    /**
     * @stability stable
     */
    readonly destinationApplicationSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly destinationPortRange?: string;
    /**
     * @stability stable
     */
    readonly destinationPortRanges?: string[];
    /**
     * @stability stable
     */
    readonly direction?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly protocol?: string;
    /**
     * @stability stable
     */
    readonly sourceAddressPrefix?: string;
    /**
     * @stability stable
     */
    readonly sourceAddressPrefixes?: string[];
    /**
     * @stability stable
     */
    readonly sourceApplicationSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly sourcePortRange?: string;
    /**
     * @stability stable
     */
    readonly sourcePortRanges?: string[];
}
/**
 * @stability stable
 */
export interface NetworkSecurityGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NetworkSecurityGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkSecurityGroupConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _securityRule?;
    /**
     * @stability stable
     */
    get securityRule(): NetworkSecurityGroupSecurityRule[];
    /**
     * @stability stable
     */
    set securityRule(value: NetworkSecurityGroupSecurityRule[]);
    /**
     * @stability stable
     */
    resetSecurityRule(): void;
    /**
     * @stability stable
     */
    get securityRuleInput(): NetworkSecurityGroupSecurityRule[] | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetworkSecurityGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetworkSecurityGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetworkSecurityGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
