import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkSecurityRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly access: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly destinationAddressPrefix?: string;
    /**
     * @stability stable
     */
    readonly destinationAddressPrefixes?: string[];
    /**
     * @stability stable
     */
    readonly destinationApplicationSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly destinationPortRange?: string;
    /**
     * @stability stable
     */
    readonly destinationPortRanges?: string[];
    /**
     * @stability stable
     */
    readonly direction: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkSecurityGroupName: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sourceAddressPrefix?: string;
    /**
     * @stability stable
     */
    readonly sourceAddressPrefixes?: string[];
    /**
     * @stability stable
     */
    readonly sourceApplicationSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly sourcePortRange?: string;
    /**
     * @stability stable
     */
    readonly sourcePortRanges?: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetworkSecurityRuleTimeouts;
}
/**
 * @stability stable
 */
export interface NetworkSecurityRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NetworkSecurityRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkSecurityRuleConfig);
    private _access;
    /**
     * @stability stable
     */
    get access(): string;
    /**
     * @stability stable
     */
    set access(value: string);
    /**
     * @stability stable
     */
    get accessInput(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _destinationAddressPrefix?;
    /**
     * @stability stable
     */
    get destinationAddressPrefix(): string;
    /**
     * @stability stable
     */
    set destinationAddressPrefix(value: string);
    /**
     * @stability stable
     */
    resetDestinationAddressPrefix(): void;
    /**
     * @stability stable
     */
    get destinationAddressPrefixInput(): string | undefined;
    private _destinationAddressPrefixes?;
    /**
     * @stability stable
     */
    get destinationAddressPrefixes(): string[];
    /**
     * @stability stable
     */
    set destinationAddressPrefixes(value: string[]);
    /**
     * @stability stable
     */
    resetDestinationAddressPrefixes(): void;
    /**
     * @stability stable
     */
    get destinationAddressPrefixesInput(): string[] | undefined;
    private _destinationApplicationSecurityGroupIds?;
    /**
     * @stability stable
     */
    get destinationApplicationSecurityGroupIds(): string[];
    /**
     * @stability stable
     */
    set destinationApplicationSecurityGroupIds(value: string[]);
    /**
     * @stability stable
     */
    resetDestinationApplicationSecurityGroupIds(): void;
    /**
     * @stability stable
     */
    get destinationApplicationSecurityGroupIdsInput(): string[] | undefined;
    private _destinationPortRange?;
    /**
     * @stability stable
     */
    get destinationPortRange(): string;
    /**
     * @stability stable
     */
    set destinationPortRange(value: string);
    /**
     * @stability stable
     */
    resetDestinationPortRange(): void;
    /**
     * @stability stable
     */
    get destinationPortRangeInput(): string | undefined;
    private _destinationPortRanges?;
    /**
     * @stability stable
     */
    get destinationPortRanges(): string[];
    /**
     * @stability stable
     */
    set destinationPortRanges(value: string[]);
    /**
     * @stability stable
     */
    resetDestinationPortRanges(): void;
    /**
     * @stability stable
     */
    get destinationPortRangesInput(): string[] | undefined;
    private _direction;
    /**
     * @stability stable
     */
    get direction(): string;
    /**
     * @stability stable
     */
    set direction(value: string);
    /**
     * @stability stable
     */
    get directionInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkSecurityGroupName;
    /**
     * @stability stable
     */
    get networkSecurityGroupName(): string;
    /**
     * @stability stable
     */
    set networkSecurityGroupName(value: string);
    /**
     * @stability stable
     */
    get networkSecurityGroupNameInput(): string;
    private _priority;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    get priorityInput(): number;
    private _protocol;
    /**
     * @stability stable
     */
    get protocol(): string;
    /**
     * @stability stable
     */
    set protocol(value: string);
    /**
     * @stability stable
     */
    get protocolInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sourceAddressPrefix?;
    /**
     * @stability stable
     */
    get sourceAddressPrefix(): string;
    /**
     * @stability stable
     */
    set sourceAddressPrefix(value: string);
    /**
     * @stability stable
     */
    resetSourceAddressPrefix(): void;
    /**
     * @stability stable
     */
    get sourceAddressPrefixInput(): string | undefined;
    private _sourceAddressPrefixes?;
    /**
     * @stability stable
     */
    get sourceAddressPrefixes(): string[];
    /**
     * @stability stable
     */
    set sourceAddressPrefixes(value: string[]);
    /**
     * @stability stable
     */
    resetSourceAddressPrefixes(): void;
    /**
     * @stability stable
     */
    get sourceAddressPrefixesInput(): string[] | undefined;
    private _sourceApplicationSecurityGroupIds?;
    /**
     * @stability stable
     */
    get sourceApplicationSecurityGroupIds(): string[];
    /**
     * @stability stable
     */
    set sourceApplicationSecurityGroupIds(value: string[]);
    /**
     * @stability stable
     */
    resetSourceApplicationSecurityGroupIds(): void;
    /**
     * @stability stable
     */
    get sourceApplicationSecurityGroupIdsInput(): string[] | undefined;
    private _sourcePortRange?;
    /**
     * @stability stable
     */
    get sourcePortRange(): string;
    /**
     * @stability stable
     */
    set sourcePortRange(value: string);
    /**
     * @stability stable
     */
    resetSourcePortRange(): void;
    /**
     * @stability stable
     */
    get sourcePortRangeInput(): string | undefined;
    private _sourcePortRanges?;
    /**
     * @stability stable
     */
    get sourcePortRanges(): string[];
    /**
     * @stability stable
     */
    set sourcePortRanges(value: string[]);
    /**
     * @stability stable
     */
    resetSourcePortRanges(): void;
    /**
     * @stability stable
     */
    get sourcePortRangesInput(): string[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetworkSecurityRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetworkSecurityRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetworkSecurityRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
