import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkWatcherFlowLogConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly networkSecurityGroupId: string;
    /**
     * @stability stable
     */
    readonly networkWatcherName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * @stability stable
     */
    readonly version?: number;
    /**
     * retention_policy block.
     *
     * @stability stable
     */
    readonly retentionPolicy: NetworkWatcherFlowLogRetentionPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NetworkWatcherFlowLogTimeouts;
    /**
     * traffic_analytics block.
     *
     * @stability stable
     */
    readonly trafficAnalytics?: NetworkWatcherFlowLogTrafficAnalytics[];
}
/**
 * @stability stable
 */
export interface NetworkWatcherFlowLogRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days: number;
    /**
     * @stability stable
     */
    readonly enabled: boolean;
}
/**
 * @stability stable
 */
export interface NetworkWatcherFlowLogTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface NetworkWatcherFlowLogTrafficAnalytics {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly intervalInMinutes?: number;
    /**
     * @stability stable
     */
    readonly workspaceId: string;
    /**
     * @stability stable
     */
    readonly workspaceRegion: string;
    /**
     * @stability stable
     */
    readonly workspaceResourceId: string;
}
/**
 * @stability stable
 */
export declare class NetworkWatcherFlowLog extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkWatcherFlowLogConfig);
    private _enabled;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    get enabledInput(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _networkSecurityGroupId;
    /**
     * @stability stable
     */
    get networkSecurityGroupId(): string;
    /**
     * @stability stable
     */
    set networkSecurityGroupId(value: string);
    /**
     * @stability stable
     */
    get networkSecurityGroupIdInput(): string;
    private _networkWatcherName;
    /**
     * @stability stable
     */
    get networkWatcherName(): string;
    /**
     * @stability stable
     */
    set networkWatcherName(value: string);
    /**
     * @stability stable
     */
    get networkWatcherNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _storageAccountId;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string;
    private _version?;
    /**
     * @stability stable
     */
    get version(): number;
    /**
     * @stability stable
     */
    set version(value: number);
    /**
     * @stability stable
     */
    resetVersion(): void;
    /**
     * @stability stable
     */
    get versionInput(): number | undefined;
    private _retentionPolicy;
    /**
     * @stability stable
     */
    get retentionPolicy(): NetworkWatcherFlowLogRetentionPolicy[];
    /**
     * @stability stable
     */
    set retentionPolicy(value: NetworkWatcherFlowLogRetentionPolicy[]);
    /**
     * @stability stable
     */
    get retentionPolicyInput(): NetworkWatcherFlowLogRetentionPolicy[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NetworkWatcherFlowLogTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NetworkWatcherFlowLogTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NetworkWatcherFlowLogTimeouts | undefined;
    private _trafficAnalytics?;
    /**
     * @stability stable
     */
    get trafficAnalytics(): NetworkWatcherFlowLogTrafficAnalytics[];
    /**
     * @stability stable
     */
    set trafficAnalytics(value: NetworkWatcherFlowLogTrafficAnalytics[]);
    /**
     * @stability stable
     */
    resetTrafficAnalytics(): void;
    /**
     * @stability stable
     */
    get trafficAnalyticsInput(): NetworkWatcherFlowLogTrafficAnalytics[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
