import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface NotificationHubConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly namespaceName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * apns_credential block.
     *
     * @stability stable
     */
    readonly apnsCredential?: NotificationHubApnsCredential[];
    /**
     * gcm_credential block.
     *
     * @stability stable
     */
    readonly gcmCredential?: NotificationHubGcmCredential[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: NotificationHubTimeouts;
}
/**
 * @stability stable
 */
export interface NotificationHubApnsCredential {
    /**
     * @stability stable
     */
    readonly applicationMode: string;
    /**
     * @stability stable
     */
    readonly bundleId: string;
    /**
     * @stability stable
     */
    readonly keyId: string;
    /**
     * @stability stable
     */
    readonly teamId: string;
    /**
     * @stability stable
     */
    readonly token: string;
}
/**
 * @stability stable
 */
export interface NotificationHubGcmCredential {
    /**
     * @stability stable
     */
    readonly apiKey: string;
}
/**
 * @stability stable
 */
export interface NotificationHubTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class NotificationHub extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NotificationHubConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _namespaceName;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    /**
     * @stability stable
     */
    set namespaceName(value: string);
    /**
     * @stability stable
     */
    get namespaceNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _apnsCredential?;
    /**
     * @stability stable
     */
    get apnsCredential(): NotificationHubApnsCredential[];
    /**
     * @stability stable
     */
    set apnsCredential(value: NotificationHubApnsCredential[]);
    /**
     * @stability stable
     */
    resetApnsCredential(): void;
    /**
     * @stability stable
     */
    get apnsCredentialInput(): NotificationHubApnsCredential[] | undefined;
    private _gcmCredential?;
    /**
     * @stability stable
     */
    get gcmCredential(): NotificationHubGcmCredential[];
    /**
     * @stability stable
     */
    set gcmCredential(value: NotificationHubGcmCredential[]);
    /**
     * @stability stable
     */
    resetGcmCredential(): void;
    /**
     * @stability stable
     */
    get gcmCredentialInput(): NotificationHubGcmCredential[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): NotificationHubTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: NotificationHubTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): NotificationHubTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
