import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PacketCaptureConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly maximumBytesPerPacket?: number;
    /**
     * @stability stable
     */
    readonly maximumBytesPerSession?: number;
    /**
     * @stability stable
     */
    readonly maximumCaptureDuration?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkWatcherName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly targetResourceId: string;
    /**
     * filter block.
     *
     * @stability stable
     */
    readonly filter?: PacketCaptureFilter[];
    /**
     * storage_location block.
     *
     * @stability stable
     */
    readonly storageLocation: PacketCaptureStorageLocation[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PacketCaptureTimeouts;
}
/**
 * @stability stable
 */
export interface PacketCaptureFilter {
    /**
     * @stability stable
     */
    readonly localIpAddress?: string;
    /**
     * @stability stable
     */
    readonly localPort?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly remoteIpAddress?: string;
    /**
     * @stability stable
     */
    readonly remotePort?: string;
}
/**
 * @stability stable
 */
export interface PacketCaptureStorageLocation {
    /**
     * @stability stable
     */
    readonly filePath?: string;
    /**
     * @stability stable
     */
    readonly storageAccountId?: string;
}
/**
 * @stability stable
 */
export interface PacketCaptureTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PacketCapture extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PacketCaptureConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _maximumBytesPerPacket?;
    /**
     * @stability stable
     */
    get maximumBytesPerPacket(): number;
    /**
     * @stability stable
     */
    set maximumBytesPerPacket(value: number);
    /**
     * @stability stable
     */
    resetMaximumBytesPerPacket(): void;
    /**
     * @stability stable
     */
    get maximumBytesPerPacketInput(): number | undefined;
    private _maximumBytesPerSession?;
    /**
     * @stability stable
     */
    get maximumBytesPerSession(): number;
    /**
     * @stability stable
     */
    set maximumBytesPerSession(value: number);
    /**
     * @stability stable
     */
    resetMaximumBytesPerSession(): void;
    /**
     * @stability stable
     */
    get maximumBytesPerSessionInput(): number | undefined;
    private _maximumCaptureDuration?;
    /**
     * @stability stable
     */
    get maximumCaptureDuration(): number;
    /**
     * @stability stable
     */
    set maximumCaptureDuration(value: number);
    /**
     * @stability stable
     */
    resetMaximumCaptureDuration(): void;
    /**
     * @stability stable
     */
    get maximumCaptureDurationInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkWatcherName;
    /**
     * @stability stable
     */
    get networkWatcherName(): string;
    /**
     * @stability stable
     */
    set networkWatcherName(value: string);
    /**
     * @stability stable
     */
    get networkWatcherNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _targetResourceId;
    /**
     * @stability stable
     */
    get targetResourceId(): string;
    /**
     * @stability stable
     */
    set targetResourceId(value: string);
    /**
     * @stability stable
     */
    get targetResourceIdInput(): string;
    private _filter?;
    /**
     * @stability stable
     */
    get filter(): PacketCaptureFilter[];
    /**
     * @stability stable
     */
    set filter(value: PacketCaptureFilter[]);
    /**
     * @stability stable
     */
    resetFilter(): void;
    /**
     * @stability stable
     */
    get filterInput(): PacketCaptureFilter[] | undefined;
    private _storageLocation;
    /**
     * @stability stable
     */
    get storageLocation(): PacketCaptureStorageLocation[];
    /**
     * @stability stable
     */
    set storageLocation(value: PacketCaptureStorageLocation[]);
    /**
     * @stability stable
     */
    get storageLocationInput(): PacketCaptureStorageLocation[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PacketCaptureTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PacketCaptureTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PacketCaptureTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
