import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PointToSiteVpnGatewayConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dnsServers?: string[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scaleUnit: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualHubId: string;
    /**
     * @stability stable
     */
    readonly vpnServerConfigurationId: string;
    /**
     * connection_configuration block.
     *
     * @stability stable
     */
    readonly connectionConfiguration: PointToSiteVpnGatewayConnectionConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PointToSiteVpnGatewayTimeouts;
}
/**
 * @stability stable
 */
export interface PointToSiteVpnGatewayConnectionConfigurationRoutePropagatedRouteTable {
    /**
     * @stability stable
     */
    readonly ids: string[];
    /**
     * @stability stable
     */
    readonly labels?: string[];
}
/**
 * @stability stable
 */
export interface PointToSiteVpnGatewayConnectionConfigurationRoute {
    /**
     * @stability stable
     */
    readonly associatedRouteTableId: string;
    /**
     * propagated_route_table block.
     *
     * @stability stable
     */
    readonly propagatedRouteTable?: PointToSiteVpnGatewayConnectionConfigurationRoutePropagatedRouteTable[];
}
/**
 * @stability stable
 */
export interface PointToSiteVpnGatewayConnectionConfigurationVpnClientAddressPool {
    /**
     * @stability stable
     */
    readonly addressPrefixes: string[];
}
/**
 * @stability stable
 */
export interface PointToSiteVpnGatewayConnectionConfiguration {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * route block.
     *
     * @stability stable
     */
    readonly route?: PointToSiteVpnGatewayConnectionConfigurationRoute[];
    /**
     * vpn_client_address_pool block.
     *
     * @stability stable
     */
    readonly vpnClientAddressPool: PointToSiteVpnGatewayConnectionConfigurationVpnClientAddressPool[];
}
/**
 * @stability stable
 */
export interface PointToSiteVpnGatewayTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PointToSiteVpnGateway extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PointToSiteVpnGatewayConfig);
    private _dnsServers?;
    /**
     * @stability stable
     */
    get dnsServers(): string[];
    /**
     * @stability stable
     */
    set dnsServers(value: string[]);
    /**
     * @stability stable
     */
    resetDnsServers(): void;
    /**
     * @stability stable
     */
    get dnsServersInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scaleUnit;
    /**
     * @stability stable
     */
    get scaleUnit(): number;
    /**
     * @stability stable
     */
    set scaleUnit(value: number);
    /**
     * @stability stable
     */
    get scaleUnitInput(): number;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualHubId;
    /**
     * @stability stable
     */
    get virtualHubId(): string;
    /**
     * @stability stable
     */
    set virtualHubId(value: string);
    /**
     * @stability stable
     */
    get virtualHubIdInput(): string;
    private _vpnServerConfigurationId;
    /**
     * @stability stable
     */
    get vpnServerConfigurationId(): string;
    /**
     * @stability stable
     */
    set vpnServerConfigurationId(value: string);
    /**
     * @stability stable
     */
    get vpnServerConfigurationIdInput(): string;
    private _connectionConfiguration;
    /**
     * @stability stable
     */
    get connectionConfiguration(): PointToSiteVpnGatewayConnectionConfiguration[];
    /**
     * @stability stable
     */
    set connectionConfiguration(value: PointToSiteVpnGatewayConnectionConfiguration[]);
    /**
     * @stability stable
     */
    get connectionConfigurationInput(): PointToSiteVpnGatewayConnectionConfiguration[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PointToSiteVpnGatewayTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PointToSiteVpnGatewayTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PointToSiteVpnGatewayTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
