import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PolicyRemediationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly locationFilters?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly policyAssignmentId: string;
    /**
     * @stability stable
     */
    readonly policyDefinitionReferenceId?: string;
    /**
     * @stability stable
     */
    readonly resourceDiscoveryMode?: string;
    /**
     * @stability stable
     */
    readonly scope: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PolicyRemediationTimeouts;
}
/**
 * @stability stable
 */
export interface PolicyRemediationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PolicyRemediation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PolicyRemediationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _locationFilters?;
    /**
     * @stability stable
     */
    get locationFilters(): string[];
    /**
     * @stability stable
     */
    set locationFilters(value: string[]);
    /**
     * @stability stable
     */
    resetLocationFilters(): void;
    /**
     * @stability stable
     */
    get locationFiltersInput(): string[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _policyAssignmentId;
    /**
     * @stability stable
     */
    get policyAssignmentId(): string;
    /**
     * @stability stable
     */
    set policyAssignmentId(value: string);
    /**
     * @stability stable
     */
    get policyAssignmentIdInput(): string;
    private _policyDefinitionReferenceId?;
    /**
     * @stability stable
     */
    get policyDefinitionReferenceId(): string;
    /**
     * @stability stable
     */
    set policyDefinitionReferenceId(value: string);
    /**
     * @stability stable
     */
    resetPolicyDefinitionReferenceId(): void;
    /**
     * @stability stable
     */
    get policyDefinitionReferenceIdInput(): string | undefined;
    private _resourceDiscoveryMode?;
    /**
     * @stability stable
     */
    get resourceDiscoveryMode(): string;
    /**
     * @stability stable
     */
    set resourceDiscoveryMode(value: string);
    /**
     * @stability stable
     */
    resetResourceDiscoveryMode(): void;
    /**
     * @stability stable
     */
    get resourceDiscoveryModeInput(): string | undefined;
    private _scope;
    /**
     * @stability stable
     */
    get scope(): string;
    /**
     * @stability stable
     */
    set scope(value: string);
    /**
     * @stability stable
     */
    get scopeInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PolicyRemediationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PolicyRemediationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PolicyRemediationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
