import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PolicySetDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly managementGroupId?: string;
    /**
     * @stability stable
     */
    readonly managementGroupName?: string;
    /**
     * @stability stable
     */
    readonly metadata?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: string;
    /**
     * @stability stable
     */
    readonly policyDefinitions?: string;
    /**
     * @stability stable
     */
    readonly policyType: string;
    /**
     * policy_definition_group block.
     *
     * @stability stable
     */
    readonly policyDefinitionGroup?: PolicySetDefinitionPolicyDefinitionGroup[];
    /**
     * policy_definition_reference block.
     *
     * @stability stable
     */
    readonly policyDefinitionReference?: PolicySetDefinitionPolicyDefinitionReference[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PolicySetDefinitionTimeouts;
}
/**
 * @stability stable
 */
export interface PolicySetDefinitionPolicyDefinitionGroup {
    /**
     * @stability stable
     */
    readonly additionalMetadataResourceId?: string;
    /**
     * @stability stable
     */
    readonly category?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName?: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface PolicySetDefinitionPolicyDefinitionReference {
    /**
     * @stability stable
     */
    readonly parameterValues?: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly policyDefinitionId: string;
    /**
     * @stability stable
     */
    readonly policyGroupNames?: string[];
    /**
     * @stability stable
     */
    readonly referenceId?: string;
}
/**
 * @stability stable
 */
export interface PolicySetDefinitionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PolicySetDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PolicySetDefinitionConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _managementGroupId?;
    /**
     * @stability stable
     */
    get managementGroupId(): string;
    /**
     * @stability stable
     */
    set managementGroupId(value: string);
    /**
     * @stability stable
     */
    resetManagementGroupId(): void;
    /**
     * @stability stable
     */
    get managementGroupIdInput(): string | undefined;
    private _managementGroupName?;
    /**
     * @stability stable
     */
    get managementGroupName(): string;
    /**
     * @stability stable
     */
    set managementGroupName(value: string);
    /**
     * @stability stable
     */
    resetManagementGroupName(): void;
    /**
     * @stability stable
     */
    get managementGroupNameInput(): string | undefined;
    private _metadata?;
    /**
     * @stability stable
     */
    get metadata(): string;
    /**
     * @stability stable
     */
    set metadata(value: string);
    /**
     * @stability stable
     */
    resetMetadata(): void;
    /**
     * @stability stable
     */
    get metadataInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): string;
    /**
     * @stability stable
     */
    set parameters(value: string);
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): string | undefined;
    private _policyDefinitions?;
    /**
     * @stability stable
     */
    get policyDefinitions(): string;
    /**
     * @stability stable
     */
    set policyDefinitions(value: string);
    /**
     * @stability stable
     */
    resetPolicyDefinitions(): void;
    /**
     * @stability stable
     */
    get policyDefinitionsInput(): string | undefined;
    private _policyType;
    /**
     * @stability stable
     */
    get policyType(): string;
    /**
     * @stability stable
     */
    set policyType(value: string);
    /**
     * @stability stable
     */
    get policyTypeInput(): string;
    private _policyDefinitionGroup?;
    /**
     * @stability stable
     */
    get policyDefinitionGroup(): PolicySetDefinitionPolicyDefinitionGroup[];
    /**
     * @stability stable
     */
    set policyDefinitionGroup(value: PolicySetDefinitionPolicyDefinitionGroup[]);
    /**
     * @stability stable
     */
    resetPolicyDefinitionGroup(): void;
    /**
     * @stability stable
     */
    get policyDefinitionGroupInput(): PolicySetDefinitionPolicyDefinitionGroup[] | undefined;
    private _policyDefinitionReference?;
    /**
     * @stability stable
     */
    get policyDefinitionReference(): PolicySetDefinitionPolicyDefinitionReference[];
    /**
     * @stability stable
     */
    set policyDefinitionReference(value: PolicySetDefinitionPolicyDefinitionReference[]);
    /**
     * @stability stable
     */
    resetPolicyDefinitionReference(): void;
    /**
     * @stability stable
     */
    get policyDefinitionReferenceInput(): PolicySetDefinitionPolicyDefinitionReference[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PolicySetDefinitionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PolicySetDefinitionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PolicySetDefinitionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
