import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PrivateDnsZoneVirtualNetworkLinkConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateDnsZoneName: string;
    /**
     * @stability stable
     */
    readonly registrationEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualNetworkId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PrivateDnsZoneVirtualNetworkLinkTimeouts;
}
/**
 * @stability stable
 */
export interface PrivateDnsZoneVirtualNetworkLinkTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PrivateDnsZoneVirtualNetworkLink extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PrivateDnsZoneVirtualNetworkLinkConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _privateDnsZoneName;
    /**
     * @stability stable
     */
    get privateDnsZoneName(): string;
    /**
     * @stability stable
     */
    set privateDnsZoneName(value: string);
    /**
     * @stability stable
     */
    get privateDnsZoneNameInput(): string;
    private _registrationEnabled?;
    /**
     * @stability stable
     */
    get registrationEnabled(): boolean;
    /**
     * @stability stable
     */
    set registrationEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetRegistrationEnabled(): void;
    /**
     * @stability stable
     */
    get registrationEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualNetworkId;
    /**
     * @stability stable
     */
    get virtualNetworkId(): string;
    /**
     * @stability stable
     */
    set virtualNetworkId(value: string);
    /**
     * @stability stable
     */
    get virtualNetworkIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PrivateDnsZoneVirtualNetworkLinkTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PrivateDnsZoneVirtualNetworkLinkTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PrivateDnsZoneVirtualNetworkLinkTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
