import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PrivateEndpointConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * private_dns_zone_group block.
     *
     * @stability stable
     */
    readonly privateDnsZoneGroup?: PrivateEndpointPrivateDnsZoneGroup[];
    /**
     * private_service_connection block.
     *
     * @stability stable
     */
    readonly privateServiceConnection: PrivateEndpointPrivateServiceConnection[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PrivateEndpointTimeouts;
}
/**
 * @stability stable
 */
export declare class PrivateEndpointCustomDnsConfigs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get ipAddresses(): string[];
}
/**
 * @stability stable
 */
export declare class PrivateEndpointPrivateDnsZoneConfigsRecordSets extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get ipAddresses(): string[];
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get ttl(): number;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export declare class PrivateEndpointPrivateDnsZoneConfigs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get privateDnsZoneId(): string;
    /**
     * @stability stable
     */
    get recordSets(): any;
}
/**
 * @stability stable
 */
export interface PrivateEndpointPrivateDnsZoneGroup {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateDnsZoneIds: string[];
}
/**
 * @stability stable
 */
export interface PrivateEndpointPrivateServiceConnection {
    /**
     * @stability stable
     */
    readonly isManualConnection: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateConnectionResourceAlias?: string;
    /**
     * @stability stable
     */
    readonly privateConnectionResourceId?: string;
    /**
     * @stability stable
     */
    readonly requestMessage?: string;
    /**
     * @stability stable
     */
    readonly subresourceNames?: string[];
}
/**
 * @stability stable
 */
export interface PrivateEndpointTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PrivateEndpoint extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PrivateEndpointConfig);
    /**
     * @stability stable
     */
    customDnsConfigs(index: string): PrivateEndpointCustomDnsConfigs;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    privateDnsZoneConfigs(index: string): PrivateEndpointPrivateDnsZoneConfigs;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _subnetId;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    set subnetId(value: string);
    /**
     * @stability stable
     */
    get subnetIdInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _privateDnsZoneGroup?;
    /**
     * @stability stable
     */
    get privateDnsZoneGroup(): PrivateEndpointPrivateDnsZoneGroup[];
    /**
     * @stability stable
     */
    set privateDnsZoneGroup(value: PrivateEndpointPrivateDnsZoneGroup[]);
    /**
     * @stability stable
     */
    resetPrivateDnsZoneGroup(): void;
    /**
     * @stability stable
     */
    get privateDnsZoneGroupInput(): PrivateEndpointPrivateDnsZoneGroup[] | undefined;
    private _privateServiceConnection;
    /**
     * @stability stable
     */
    get privateServiceConnection(): PrivateEndpointPrivateServiceConnection[];
    /**
     * @stability stable
     */
    set privateServiceConnection(value: PrivateEndpointPrivateServiceConnection[]);
    /**
     * @stability stable
     */
    get privateServiceConnectionInput(): PrivateEndpointPrivateServiceConnection[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PrivateEndpointTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PrivateEndpointTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PrivateEndpointTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
