import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PrivateLinkServiceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoApprovalSubscriptionIds?: string[];
    /**
     * @stability stable
     */
    readonly enableProxyProtocol?: boolean;
    /**
     * @stability stable
     */
    readonly loadBalancerFrontendIpConfigurationIds: string[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly visibilitySubscriptionIds?: string[];
    /**
     * nat_ip_configuration block.
     *
     * @stability stable
     */
    readonly natIpConfiguration: PrivateLinkServiceNatIpConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PrivateLinkServiceTimeouts;
}
/**
 * @stability stable
 */
export interface PrivateLinkServiceNatIpConfiguration {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly primary: boolean;
    /**
     * @stability stable
     */
    readonly privateIpAddress?: string;
    /**
     * @stability stable
     */
    readonly privateIpAddressVersion?: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface PrivateLinkServiceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PrivateLinkService extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PrivateLinkServiceConfig);
    /**
     * @stability stable
     */
    get alias(): string;
    private _autoApprovalSubscriptionIds?;
    /**
     * @stability stable
     */
    get autoApprovalSubscriptionIds(): string[];
    /**
     * @stability stable
     */
    set autoApprovalSubscriptionIds(value: string[]);
    /**
     * @stability stable
     */
    resetAutoApprovalSubscriptionIds(): void;
    /**
     * @stability stable
     */
    get autoApprovalSubscriptionIdsInput(): string[] | undefined;
    private _enableProxyProtocol?;
    /**
     * @stability stable
     */
    get enableProxyProtocol(): boolean;
    /**
     * @stability stable
     */
    set enableProxyProtocol(value: boolean);
    /**
     * @stability stable
     */
    resetEnableProxyProtocol(): void;
    /**
     * @stability stable
     */
    get enableProxyProtocolInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _loadBalancerFrontendIpConfigurationIds;
    /**
     * @stability stable
     */
    get loadBalancerFrontendIpConfigurationIds(): string[];
    /**
     * @stability stable
     */
    set loadBalancerFrontendIpConfigurationIds(value: string[]);
    /**
     * @stability stable
     */
    get loadBalancerFrontendIpConfigurationIdsInput(): string[];
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _visibilitySubscriptionIds?;
    /**
     * @stability stable
     */
    get visibilitySubscriptionIds(): string[];
    /**
     * @stability stable
     */
    set visibilitySubscriptionIds(value: string[]);
    /**
     * @stability stable
     */
    resetVisibilitySubscriptionIds(): void;
    /**
     * @stability stable
     */
    get visibilitySubscriptionIdsInput(): string[] | undefined;
    private _natIpConfiguration;
    /**
     * @stability stable
     */
    get natIpConfiguration(): PrivateLinkServiceNatIpConfiguration[];
    /**
     * @stability stable
     */
    set natIpConfiguration(value: PrivateLinkServiceNatIpConfiguration[]);
    /**
     * @stability stable
     */
    get natIpConfigurationInput(): PrivateLinkServiceNatIpConfiguration[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PrivateLinkServiceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PrivateLinkServiceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PrivateLinkServiceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
