import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface PublicIpConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allocationMethod: string;
    /**
     * @stability stable
     */
    readonly domainNameLabel?: string;
    /**
     * @stability stable
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     * @stability stable
     */
    readonly ipTags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly ipVersion?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly publicIpPrefixId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly reverseFqdn?: string;
    /**
     * @stability stable
     */
    readonly sku?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: PublicIpTimeouts;
}
/**
 * @stability stable
 */
export interface PublicIpTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class PublicIp extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: PublicIpConfig);
    private _allocationMethod;
    /**
     * @stability stable
     */
    get allocationMethod(): string;
    /**
     * @stability stable
     */
    set allocationMethod(value: string);
    /**
     * @stability stable
     */
    get allocationMethodInput(): string;
    private _domainNameLabel?;
    /**
     * @stability stable
     */
    get domainNameLabel(): string;
    /**
     * @stability stable
     */
    set domainNameLabel(value: string);
    /**
     * @stability stable
     */
    resetDomainNameLabel(): void;
    /**
     * @stability stable
     */
    get domainNameLabelInput(): string | undefined;
    /**
     * @stability stable
     */
    get fqdn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _idleTimeoutInMinutes?;
    /**
     * @stability stable
     */
    get idleTimeoutInMinutes(): number;
    /**
     * @stability stable
     */
    set idleTimeoutInMinutes(value: number);
    /**
     * @stability stable
     */
    resetIdleTimeoutInMinutes(): void;
    /**
     * @stability stable
     */
    get idleTimeoutInMinutesInput(): number | undefined;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    private _ipTags?;
    /**
     * @stability stable
     */
    get ipTags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set ipTags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetIpTags(): void;
    /**
     * @stability stable
     */
    get ipTagsInput(): {
        [key: string]: string;
    } | undefined;
    private _ipVersion?;
    /**
     * @stability stable
     */
    get ipVersion(): string;
    /**
     * @stability stable
     */
    set ipVersion(value: string);
    /**
     * @stability stable
     */
    resetIpVersion(): void;
    /**
     * @stability stable
     */
    get ipVersionInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _publicIpPrefixId?;
    /**
     * @stability stable
     */
    get publicIpPrefixId(): string;
    /**
     * @stability stable
     */
    set publicIpPrefixId(value: string);
    /**
     * @stability stable
     */
    resetPublicIpPrefixId(): void;
    /**
     * @stability stable
     */
    get publicIpPrefixIdInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _reverseFqdn?;
    /**
     * @stability stable
     */
    get reverseFqdn(): string;
    /**
     * @stability stable
     */
    set reverseFqdn(value: string);
    /**
     * @stability stable
     */
    resetReverseFqdn(): void;
    /**
     * @stability stable
     */
    get reverseFqdnInput(): string | undefined;
    private _sku?;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    resetSku(): void;
    /**
     * @stability stable
     */
    get skuInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): PublicIpTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: PublicIpTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): PublicIpTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
