import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RedisCacheConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly capacity: number;
    /**
     * @stability stable
     */
    readonly enableNonSslPort?: boolean;
    /**
     * @stability stable
     */
    readonly family: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly minimumTlsVersion?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateStaticIpAddress?: string;
    /**
     * @stability stable
     */
    readonly publicNetworkAccessEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly shardCount?: number;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * patch_schedule block.
     *
     * @stability stable
     */
    readonly patchSchedule?: RedisCachePatchSchedule[];
    /**
     * redis_configuration block.
     *
     * @stability stable
     */
    readonly redisConfiguration?: RedisCacheRedisConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RedisCacheTimeouts;
}
/**
 * @stability stable
 */
export interface RedisCachePatchSchedule {
    /**
     * @stability stable
     */
    readonly dayOfWeek: string;
    /**
     * @stability stable
     */
    readonly startHourUtc?: number;
}
/**
 * @stability stable
 */
export interface RedisCacheRedisConfiguration {
    /**
     * @stability stable
     */
    readonly aofBackupEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly aofStorageConnectionString0?: string;
    /**
     * @stability stable
     */
    readonly aofStorageConnectionString1?: string;
    /**
     * @stability stable
     */
    readonly enableAuthentication?: boolean;
    /**
     * @stability stable
     */
    readonly maxfragmentationmemoryReserved?: number;
    /**
     * @stability stable
     */
    readonly maxmemoryDelta?: number;
    /**
     * @stability stable
     */
    readonly maxmemoryPolicy?: string;
    /**
     * @stability stable
     */
    readonly maxmemoryReserved?: number;
    /**
     * @stability stable
     */
    readonly notifyKeyspaceEvents?: string;
    /**
     * @stability stable
     */
    readonly rdbBackupEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly rdbBackupFrequency?: number;
    /**
     * @stability stable
     */
    readonly rdbBackupMaxSnapshotCount?: number;
    /**
     * @stability stable
     */
    readonly rdbStorageConnectionString?: string;
}
/**
 * @stability stable
 */
export interface RedisCacheTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class RedisCache extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RedisCacheConfig);
    private _capacity;
    /**
     * @stability stable
     */
    get capacity(): number;
    /**
     * @stability stable
     */
    set capacity(value: number);
    /**
     * @stability stable
     */
    get capacityInput(): number;
    private _enableNonSslPort?;
    /**
     * @stability stable
     */
    get enableNonSslPort(): boolean;
    /**
     * @stability stable
     */
    set enableNonSslPort(value: boolean);
    /**
     * @stability stable
     */
    resetEnableNonSslPort(): void;
    /**
     * @stability stable
     */
    get enableNonSslPortInput(): boolean | undefined;
    private _family;
    /**
     * @stability stable
     */
    get family(): string;
    /**
     * @stability stable
     */
    set family(value: string);
    /**
     * @stability stable
     */
    get familyInput(): string;
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _minimumTlsVersion?;
    /**
     * @stability stable
     */
    get minimumTlsVersion(): string;
    /**
     * @stability stable
     */
    set minimumTlsVersion(value: string);
    /**
     * @stability stable
     */
    resetMinimumTlsVersion(): void;
    /**
     * @stability stable
     */
    get minimumTlsVersionInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get port(): number;
    /**
     * @stability stable
     */
    get primaryAccessKey(): string;
    /**
     * @stability stable
     */
    get primaryConnectionString(): string;
    private _privateStaticIpAddress?;
    /**
     * @stability stable
     */
    get privateStaticIpAddress(): string;
    /**
     * @stability stable
     */
    set privateStaticIpAddress(value: string);
    /**
     * @stability stable
     */
    resetPrivateStaticIpAddress(): void;
    /**
     * @stability stable
     */
    get privateStaticIpAddressInput(): string | undefined;
    private _publicNetworkAccessEnabled?;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabled(): boolean;
    /**
     * @stability stable
     */
    set publicNetworkAccessEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetPublicNetworkAccessEnabled(): void;
    /**
     * @stability stable
     */
    get publicNetworkAccessEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryAccessKey(): string;
    /**
     * @stability stable
     */
    get secondaryConnectionString(): string;
    private _shardCount?;
    /**
     * @stability stable
     */
    get shardCount(): number;
    /**
     * @stability stable
     */
    set shardCount(value: number);
    /**
     * @stability stable
     */
    resetShardCount(): void;
    /**
     * @stability stable
     */
    get shardCountInput(): number | undefined;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    /**
     * @stability stable
     */
    get sslPort(): number;
    private _subnetId?;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    set subnetId(value: string);
    /**
     * @stability stable
     */
    resetSubnetId(): void;
    /**
     * @stability stable
     */
    get subnetIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _patchSchedule?;
    /**
     * @stability stable
     */
    get patchSchedule(): RedisCachePatchSchedule[];
    /**
     * @stability stable
     */
    set patchSchedule(value: RedisCachePatchSchedule[]);
    /**
     * @stability stable
     */
    resetPatchSchedule(): void;
    /**
     * @stability stable
     */
    get patchScheduleInput(): RedisCachePatchSchedule[] | undefined;
    private _redisConfiguration?;
    /**
     * @stability stable
     */
    get redisConfiguration(): RedisCacheRedisConfiguration[];
    /**
     * @stability stable
     */
    set redisConfiguration(value: RedisCacheRedisConfiguration[]);
    /**
     * @stability stable
     */
    resetRedisConfiguration(): void;
    /**
     * @stability stable
     */
    get redisConfigurationInput(): RedisCacheRedisConfiguration[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RedisCacheTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RedisCacheTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RedisCacheTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
