import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RedisEnterpriseDatabaseConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clientProtocol?: string;
    /**
     * @stability stable
     */
    readonly clusterId: string;
    /**
     * @stability stable
     */
    readonly clusteringPolicy?: string;
    /**
     * @stability stable
     */
    readonly evictionPolicy?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly port?: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * module block.
     *
     * @stability stable
     */
    readonly module?: RedisEnterpriseDatabaseModule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RedisEnterpriseDatabaseTimeouts;
}
/**
 * @stability stable
 */
export interface RedisEnterpriseDatabaseModule {
    /**
     * @stability stable
     */
    readonly args?: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface RedisEnterpriseDatabaseTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class RedisEnterpriseDatabase extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RedisEnterpriseDatabaseConfig);
    private _clientProtocol?;
    /**
     * @stability stable
     */
    get clientProtocol(): string;
    /**
     * @stability stable
     */
    set clientProtocol(value: string);
    /**
     * @stability stable
     */
    resetClientProtocol(): void;
    /**
     * @stability stable
     */
    get clientProtocolInput(): string | undefined;
    private _clusterId;
    /**
     * @stability stable
     */
    get clusterId(): string;
    /**
     * @stability stable
     */
    set clusterId(value: string);
    /**
     * @stability stable
     */
    get clusterIdInput(): string;
    private _clusteringPolicy?;
    /**
     * @stability stable
     */
    get clusteringPolicy(): string;
    /**
     * @stability stable
     */
    set clusteringPolicy(value: string);
    /**
     * @stability stable
     */
    resetClusteringPolicy(): void;
    /**
     * @stability stable
     */
    get clusteringPolicyInput(): string | undefined;
    private _evictionPolicy?;
    /**
     * @stability stable
     */
    get evictionPolicy(): string;
    /**
     * @stability stable
     */
    set evictionPolicy(value: string);
    /**
     * @stability stable
     */
    resetEvictionPolicy(): void;
    /**
     * @stability stable
     */
    get evictionPolicyInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _port?;
    /**
     * @stability stable
     */
    get port(): number;
    /**
     * @stability stable
     */
    set port(value: number);
    /**
     * @stability stable
     */
    resetPort(): void;
    /**
     * @stability stable
     */
    get portInput(): number | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _module?;
    /**
     * @stability stable
     */
    get module(): RedisEnterpriseDatabaseModule[];
    /**
     * @stability stable
     */
    set module(value: RedisEnterpriseDatabaseModule[]);
    /**
     * @stability stable
     */
    resetModule(): void;
    /**
     * @stability stable
     */
    get moduleInput(): RedisEnterpriseDatabaseModule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RedisEnterpriseDatabaseTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RedisEnterpriseDatabaseTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RedisEnterpriseDatabaseTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
