import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RedisFirewallRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly endIp: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly redisCacheName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly startIp: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RedisFirewallRuleTimeouts;
}
/**
 * @stability stable
 */
export interface RedisFirewallRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class RedisFirewallRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RedisFirewallRuleConfig);
    private _endIp;
    /**
     * @stability stable
     */
    get endIp(): string;
    /**
     * @stability stable
     */
    set endIp(value: string);
    /**
     * @stability stable
     */
    get endIpInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _redisCacheName;
    /**
     * @stability stable
     */
    get redisCacheName(): string;
    /**
     * @stability stable
     */
    set redisCacheName(value: string);
    /**
     * @stability stable
     */
    get redisCacheNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _startIp;
    /**
     * @stability stable
     */
    get startIp(): string;
    /**
     * @stability stable
     */
    set startIp(value: string);
    /**
     * @stability stable
     */
    get startIpInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RedisFirewallRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RedisFirewallRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RedisFirewallRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
