import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RedisLinkedServerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly linkedRedisCacheId: string;
    /**
     * @stability stable
     */
    readonly linkedRedisCacheLocation: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serverRole: string;
    /**
     * @stability stable
     */
    readonly targetRedisCacheName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RedisLinkedServerTimeouts;
}
/**
 * @stability stable
 */
export interface RedisLinkedServerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class RedisLinkedServer extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RedisLinkedServerConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _linkedRedisCacheId;
    /**
     * @stability stable
     */
    get linkedRedisCacheId(): string;
    /**
     * @stability stable
     */
    set linkedRedisCacheId(value: string);
    /**
     * @stability stable
     */
    get linkedRedisCacheIdInput(): string;
    private _linkedRedisCacheLocation;
    /**
     * @stability stable
     */
    get linkedRedisCacheLocation(): string;
    /**
     * @stability stable
     */
    set linkedRedisCacheLocation(value: string);
    /**
     * @stability stable
     */
    get linkedRedisCacheLocationInput(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serverRole;
    /**
     * @stability stable
     */
    get serverRole(): string;
    /**
     * @stability stable
     */
    set serverRole(value: string);
    /**
     * @stability stable
     */
    get serverRoleInput(): string;
    private _targetRedisCacheName;
    /**
     * @stability stable
     */
    get targetRedisCacheName(): string;
    /**
     * @stability stable
     */
    set targetRedisCacheName(value: string);
    /**
     * @stability stable
     */
    get targetRedisCacheNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RedisLinkedServerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RedisLinkedServerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RedisLinkedServerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
