import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RelayHybridConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly relayNamespaceName: string;
    /**
     * @stability stable
     */
    readonly requiresClientAuthorization?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly userMetadata?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RelayHybridConnectionTimeouts;
}
/**
 * @stability stable
 */
export interface RelayHybridConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class RelayHybridConnection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RelayHybridConnectionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _relayNamespaceName;
    /**
     * @stability stable
     */
    get relayNamespaceName(): string;
    /**
     * @stability stable
     */
    set relayNamespaceName(value: string);
    /**
     * @stability stable
     */
    get relayNamespaceNameInput(): string;
    private _requiresClientAuthorization?;
    /**
     * @stability stable
     */
    get requiresClientAuthorization(): boolean;
    /**
     * @stability stable
     */
    set requiresClientAuthorization(value: boolean);
    /**
     * @stability stable
     */
    resetRequiresClientAuthorization(): void;
    /**
     * @stability stable
     */
    get requiresClientAuthorizationInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _userMetadata?;
    /**
     * @stability stable
     */
    get userMetadata(): string;
    /**
     * @stability stable
     */
    set userMetadata(value: string);
    /**
     * @stability stable
     */
    resetUserMetadata(): void;
    /**
     * @stability stable
     */
    get userMetadataInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RelayHybridConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RelayHybridConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RelayHybridConnectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
