import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RoleAssignmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly condition?: string;
    /**
     * @stability stable
     */
    readonly conditionVersion?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly principalId: string;
    /**
     * @stability stable
     */
    readonly roleDefinitionId?: string;
    /**
     * @stability stable
     */
    readonly roleDefinitionName?: string;
    /**
     * @stability stable
     */
    readonly scope: string;
    /**
     * @stability stable
     */
    readonly skipServicePrincipalAadCheck?: boolean;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RoleAssignmentTimeouts;
}
/**
 * @stability stable
 */
export interface RoleAssignmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class RoleAssignment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RoleAssignmentConfig);
    private _condition?;
    /**
     * @stability stable
     */
    get condition(): string;
    /**
     * @stability stable
     */
    set condition(value: string);
    /**
     * @stability stable
     */
    resetCondition(): void;
    /**
     * @stability stable
     */
    get conditionInput(): string | undefined;
    private _conditionVersion?;
    /**
     * @stability stable
     */
    get conditionVersion(): string;
    /**
     * @stability stable
     */
    set conditionVersion(value: string);
    /**
     * @stability stable
     */
    resetConditionVersion(): void;
    /**
     * @stability stable
     */
    get conditionVersionInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _principalId;
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    set principalId(value: string);
    /**
     * @stability stable
     */
    get principalIdInput(): string;
    /**
     * @stability stable
     */
    get principalType(): string;
    private _roleDefinitionId?;
    /**
     * @stability stable
     */
    get roleDefinitionId(): string;
    /**
     * @stability stable
     */
    set roleDefinitionId(value: string);
    /**
     * @stability stable
     */
    resetRoleDefinitionId(): void;
    /**
     * @stability stable
     */
    get roleDefinitionIdInput(): string | undefined;
    private _roleDefinitionName?;
    /**
     * @stability stable
     */
    get roleDefinitionName(): string;
    /**
     * @stability stable
     */
    set roleDefinitionName(value: string);
    /**
     * @stability stable
     */
    resetRoleDefinitionName(): void;
    /**
     * @stability stable
     */
    get roleDefinitionNameInput(): string | undefined;
    private _scope;
    /**
     * @stability stable
     */
    get scope(): string;
    /**
     * @stability stable
     */
    set scope(value: string);
    /**
     * @stability stable
     */
    get scopeInput(): string;
    private _skipServicePrincipalAadCheck?;
    /**
     * @stability stable
     */
    get skipServicePrincipalAadCheck(): boolean;
    /**
     * @stability stable
     */
    set skipServicePrincipalAadCheck(value: boolean);
    /**
     * @stability stable
     */
    resetSkipServicePrincipalAadCheck(): void;
    /**
     * @stability stable
     */
    get skipServicePrincipalAadCheckInput(): boolean | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RoleAssignmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RoleAssignmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RoleAssignmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
