import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RoleDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly assignableScopes?: string[];
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly roleDefinitionId?: string;
    /**
     * @stability stable
     */
    readonly scope: string;
    /**
     * permissions block.
     *
     * @stability stable
     */
    readonly permissions?: RoleDefinitionPermissions[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: RoleDefinitionTimeouts;
}
/**
 * @stability stable
 */
export interface RoleDefinitionPermissions {
    /**
     * @stability stable
     */
    readonly actions?: string[];
    /**
     * @stability stable
     */
    readonly dataActions?: string[];
    /**
     * @stability stable
     */
    readonly notActions?: string[];
    /**
     * @stability stable
     */
    readonly notDataActions?: string[];
}
/**
 * @stability stable
 */
export interface RoleDefinitionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class RoleDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RoleDefinitionConfig);
    private _assignableScopes?;
    /**
     * @stability stable
     */
    get assignableScopes(): string[];
    /**
     * @stability stable
     */
    set assignableScopes(value: string[]);
    /**
     * @stability stable
     */
    resetAssignableScopes(): void;
    /**
     * @stability stable
     */
    get assignableScopesInput(): string[] | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _roleDefinitionId?;
    /**
     * @stability stable
     */
    get roleDefinitionId(): string;
    /**
     * @stability stable
     */
    set roleDefinitionId(value: string);
    /**
     * @stability stable
     */
    resetRoleDefinitionId(): void;
    /**
     * @stability stable
     */
    get roleDefinitionIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get roleDefinitionResourceId(): string;
    private _scope;
    /**
     * @stability stable
     */
    get scope(): string;
    /**
     * @stability stable
     */
    set scope(value: string);
    /**
     * @stability stable
     */
    get scopeInput(): string;
    private _permissions?;
    /**
     * @stability stable
     */
    get permissions(): RoleDefinitionPermissions[];
    /**
     * @stability stable
     */
    set permissions(value: RoleDefinitionPermissions[]);
    /**
     * @stability stable
     */
    resetPermissions(): void;
    /**
     * @stability stable
     */
    get permissionsInput(): RoleDefinitionPermissions[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): RoleDefinitionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: RoleDefinitionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): RoleDefinitionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
