import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityCenterAssessmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly additionalData?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly assessmentPolicyId: string;
    /**
     * @stability stable
     */
    readonly targetResourceId: string;
    /**
     * status block.
     *
     * @stability stable
     */
    readonly status: SecurityCenterAssessmentStatus[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecurityCenterAssessmentTimeouts;
}
/**
 * @stability stable
 */
export interface SecurityCenterAssessmentStatus {
    /**
     * @stability stable
     */
    readonly cause?: string;
    /**
     * @stability stable
     */
    readonly code: string;
    /**
     * @stability stable
     */
    readonly description?: string;
}
/**
 * @stability stable
 */
export interface SecurityCenterAssessmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SecurityCenterAssessment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityCenterAssessmentConfig);
    private _additionalData?;
    /**
     * @stability stable
     */
    get additionalData(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set additionalData(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetAdditionalData(): void;
    /**
     * @stability stable
     */
    get additionalDataInput(): {
        [key: string]: string;
    } | undefined;
    private _assessmentPolicyId;
    /**
     * @stability stable
     */
    get assessmentPolicyId(): string;
    /**
     * @stability stable
     */
    set assessmentPolicyId(value: string);
    /**
     * @stability stable
     */
    get assessmentPolicyIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _targetResourceId;
    /**
     * @stability stable
     */
    get targetResourceId(): string;
    /**
     * @stability stable
     */
    set targetResourceId(value: string);
    /**
     * @stability stable
     */
    get targetResourceIdInput(): string;
    private _status;
    /**
     * @stability stable
     */
    get status(): SecurityCenterAssessmentStatus[];
    /**
     * @stability stable
     */
    set status(value: SecurityCenterAssessmentStatus[]);
    /**
     * @stability stable
     */
    get statusInput(): SecurityCenterAssessmentStatus[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecurityCenterAssessmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecurityCenterAssessmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecurityCenterAssessmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
