import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityCenterAutoProvisioningConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoProvision: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecurityCenterAutoProvisioningTimeouts;
}
/**
 * @stability stable
 */
export interface SecurityCenterAutoProvisioningTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SecurityCenterAutoProvisioning extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityCenterAutoProvisioningConfig);
    private _autoProvision;
    /**
     * @stability stable
     */
    get autoProvision(): string;
    /**
     * @stability stable
     */
    set autoProvision(value: string);
    /**
     * @stability stable
     */
    get autoProvisionInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecurityCenterAutoProvisioningTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecurityCenterAutoProvisioningTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecurityCenterAutoProvisioningTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
