import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityCenterAutomationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scopes: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action: SecurityCenterAutomationAction[];
    /**
     * source block.
     *
     * @stability stable
     */
    readonly source: SecurityCenterAutomationSource[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecurityCenterAutomationTimeouts;
}
/**
 * @stability stable
 */
export interface SecurityCenterAutomationAction {
    /**
     * @stability stable
     */
    readonly connectionString?: string;
    /**
     * @stability stable
     */
    readonly resourceId: string;
    /**
     * @stability stable
     */
    readonly triggerUrl?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface SecurityCenterAutomationSourceRuleSetRule {
    /**
     * @stability stable
     */
    readonly expectedValue: string;
    /**
     * @stability stable
     */
    readonly operator: string;
    /**
     * @stability stable
     */
    readonly propertyPath: string;
    /**
     * @stability stable
     */
    readonly propertyType: string;
}
/**
 * @stability stable
 */
export interface SecurityCenterAutomationSourceRuleSet {
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: SecurityCenterAutomationSourceRuleSetRule[];
}
/**
 * @stability stable
 */
export interface SecurityCenterAutomationSource {
    /**
     * @stability stable
     */
    readonly eventSource: string;
    /**
     * rule_set block.
     *
     * @stability stable
     */
    readonly ruleSet?: SecurityCenterAutomationSourceRuleSet[];
}
/**
 * @stability stable
 */
export interface SecurityCenterAutomationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SecurityCenterAutomation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityCenterAutomationConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scopes;
    /**
     * @stability stable
     */
    get scopes(): string[];
    /**
     * @stability stable
     */
    set scopes(value: string[]);
    /**
     * @stability stable
     */
    get scopesInput(): string[];
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _action;
    /**
     * @stability stable
     */
    get action(): SecurityCenterAutomationAction[];
    /**
     * @stability stable
     */
    set action(value: SecurityCenterAutomationAction[]);
    /**
     * @stability stable
     */
    get actionInput(): SecurityCenterAutomationAction[];
    private _source;
    /**
     * @stability stable
     */
    get source(): SecurityCenterAutomationSource[];
    /**
     * @stability stable
     */
    set source(value: SecurityCenterAutomationSource[]);
    /**
     * @stability stable
     */
    get sourceInput(): SecurityCenterAutomationSource[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecurityCenterAutomationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecurityCenterAutomationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecurityCenterAutomationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
