import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityCenterContactConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly alertNotifications: boolean;
    /**
     * @stability stable
     */
    readonly alertsToAdmins: boolean;
    /**
     * @stability stable
     */
    readonly email: string;
    /**
     * @stability stable
     */
    readonly phone?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecurityCenterContactTimeouts;
}
/**
 * @stability stable
 */
export interface SecurityCenterContactTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SecurityCenterContact extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityCenterContactConfig);
    private _alertNotifications;
    /**
     * @stability stable
     */
    get alertNotifications(): boolean;
    /**
     * @stability stable
     */
    set alertNotifications(value: boolean);
    /**
     * @stability stable
     */
    get alertNotificationsInput(): boolean;
    private _alertsToAdmins;
    /**
     * @stability stable
     */
    get alertsToAdmins(): boolean;
    /**
     * @stability stable
     */
    set alertsToAdmins(value: boolean);
    /**
     * @stability stable
     */
    get alertsToAdminsInput(): boolean;
    private _email;
    /**
     * @stability stable
     */
    get email(): string;
    /**
     * @stability stable
     */
    set email(value: string);
    /**
     * @stability stable
     */
    get emailInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _phone?;
    /**
     * @stability stable
     */
    get phone(): string;
    /**
     * @stability stable
     */
    set phone(value: string);
    /**
     * @stability stable
     */
    resetPhone(): void;
    /**
     * @stability stable
     */
    get phoneInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecurityCenterContactTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecurityCenterContactTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecurityCenterContactTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
