import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityCenterSubscriptionPricingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly resourceType?: string;
    /**
     * @stability stable
     */
    readonly tier: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecurityCenterSubscriptionPricingTimeouts;
}
/**
 * @stability stable
 */
export interface SecurityCenterSubscriptionPricingTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SecurityCenterSubscriptionPricing extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityCenterSubscriptionPricingConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceType?;
    /**
     * @stability stable
     */
    get resourceType(): string;
    /**
     * @stability stable
     */
    set resourceType(value: string);
    /**
     * @stability stable
     */
    resetResourceType(): void;
    /**
     * @stability stable
     */
    get resourceTypeInput(): string | undefined;
    private _tier;
    /**
     * @stability stable
     */
    get tier(): string;
    /**
     * @stability stable
     */
    set tier(value: string);
    /**
     * @stability stable
     */
    get tierInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecurityCenterSubscriptionPricingTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecurityCenterSubscriptionPricingTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecurityCenterSubscriptionPricingTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
