import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SentinelAlertRuleMsSecurityIncidentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly alertRuleTemplateGuid?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly displayNameExcludeFilter?: string[];
    /**
     * @stability stable
     */
    readonly displayNameFilter?: string[];
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly productFilter: string;
    /**
     * @stability stable
     */
    readonly severityFilter: string[];
    /**
     * @stability stable
     */
    readonly textWhitelist?: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SentinelAlertRuleMsSecurityIncidentTimeouts;
}
/**
 * @stability stable
 */
export interface SentinelAlertRuleMsSecurityIncidentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SentinelAlertRuleMsSecurityIncident extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SentinelAlertRuleMsSecurityIncidentConfig);
    private _alertRuleTemplateGuid?;
    /**
     * @stability stable
     */
    get alertRuleTemplateGuid(): string;
    /**
     * @stability stable
     */
    set alertRuleTemplateGuid(value: string);
    /**
     * @stability stable
     */
    resetAlertRuleTemplateGuid(): void;
    /**
     * @stability stable
     */
    get alertRuleTemplateGuidInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    private _displayNameExcludeFilter?;
    /**
     * @stability stable
     */
    get displayNameExcludeFilter(): string[];
    /**
     * @stability stable
     */
    set displayNameExcludeFilter(value: string[]);
    /**
     * @stability stable
     */
    resetDisplayNameExcludeFilter(): void;
    /**
     * @stability stable
     */
    get displayNameExcludeFilterInput(): string[] | undefined;
    private _displayNameFilter?;
    /**
     * @stability stable
     */
    get displayNameFilter(): string[];
    /**
     * @stability stable
     */
    set displayNameFilter(value: string[]);
    /**
     * @stability stable
     */
    resetDisplayNameFilter(): void;
    /**
     * @stability stable
     */
    get displayNameFilterInput(): string[] | undefined;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsWorkspaceId;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _productFilter;
    /**
     * @stability stable
     */
    get productFilter(): string;
    /**
     * @stability stable
     */
    set productFilter(value: string);
    /**
     * @stability stable
     */
    get productFilterInput(): string;
    private _severityFilter;
    /**
     * @stability stable
     */
    get severityFilter(): string[];
    /**
     * @stability stable
     */
    set severityFilter(value: string[]);
    /**
     * @stability stable
     */
    get severityFilterInput(): string[];
    private _textWhitelist?;
    /**
     * @stability stable
     */
    get textWhitelist(): string[];
    /**
     * @stability stable
     */
    set textWhitelist(value: string[]);
    /**
     * @stability stable
     */
    resetTextWhitelist(): void;
    /**
     * @stability stable
     */
    get textWhitelistInput(): string[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SentinelAlertRuleMsSecurityIncidentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SentinelAlertRuleMsSecurityIncidentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SentinelAlertRuleMsSecurityIncidentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
