import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SentinelAlertRuleScheduledConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly alertRuleTemplateGuid?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly displayName: string;
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly query: string;
    /**
     * @stability stable
     */
    readonly queryFrequency?: string;
    /**
     * @stability stable
     */
    readonly queryPeriod?: string;
    /**
     * @stability stable
     */
    readonly severity: string;
    /**
     * @stability stable
     */
    readonly suppressionDuration?: string;
    /**
     * @stability stable
     */
    readonly suppressionEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tactics?: string[];
    /**
     * @stability stable
     */
    readonly triggerOperator?: string;
    /**
     * @stability stable
     */
    readonly triggerThreshold?: number;
    /**
     * event_grouping block.
     *
     * @stability stable
     */
    readonly eventGrouping?: SentinelAlertRuleScheduledEventGrouping[];
    /**
     * incident_configuration block.
     *
     * @stability stable
     */
    readonly incidentConfiguration?: SentinelAlertRuleScheduledIncidentConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SentinelAlertRuleScheduledTimeouts;
}
/**
 * @stability stable
 */
export interface SentinelAlertRuleScheduledEventGrouping {
    /**
     * @stability stable
     */
    readonly aggregationMethod: string;
}
/**
 * @stability stable
 */
export interface SentinelAlertRuleScheduledIncidentConfigurationGrouping {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly entityMatchingMethod?: string;
    /**
     * @stability stable
     */
    readonly groupBy?: string[];
    /**
     * @stability stable
     */
    readonly lookbackDuration?: string;
    /**
     * @stability stable
     */
    readonly reopenClosedIncidents?: boolean;
}
/**
 * @stability stable
 */
export interface SentinelAlertRuleScheduledIncidentConfiguration {
    /**
     * @stability stable
     */
    readonly createIncident: boolean;
    /**
     * grouping block.
     *
     * @stability stable
     */
    readonly grouping: SentinelAlertRuleScheduledIncidentConfigurationGrouping[];
}
/**
 * @stability stable
 */
export interface SentinelAlertRuleScheduledTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SentinelAlertRuleScheduled extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SentinelAlertRuleScheduledConfig);
    private _alertRuleTemplateGuid?;
    /**
     * @stability stable
     */
    get alertRuleTemplateGuid(): string;
    /**
     * @stability stable
     */
    set alertRuleTemplateGuid(value: string);
    /**
     * @stability stable
     */
    resetAlertRuleTemplateGuid(): void;
    /**
     * @stability stable
     */
    get alertRuleTemplateGuidInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     * @stability stable
     */
    get displayName(): string;
    /**
     * @stability stable
     */
    set displayName(value: string);
    /**
     * @stability stable
     */
    get displayNameInput(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsWorkspaceId;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _query;
    /**
     * @stability stable
     */
    get query(): string;
    /**
     * @stability stable
     */
    set query(value: string);
    /**
     * @stability stable
     */
    get queryInput(): string;
    private _queryFrequency?;
    /**
     * @stability stable
     */
    get queryFrequency(): string;
    /**
     * @stability stable
     */
    set queryFrequency(value: string);
    /**
     * @stability stable
     */
    resetQueryFrequency(): void;
    /**
     * @stability stable
     */
    get queryFrequencyInput(): string | undefined;
    private _queryPeriod?;
    /**
     * @stability stable
     */
    get queryPeriod(): string;
    /**
     * @stability stable
     */
    set queryPeriod(value: string);
    /**
     * @stability stable
     */
    resetQueryPeriod(): void;
    /**
     * @stability stable
     */
    get queryPeriodInput(): string | undefined;
    private _severity;
    /**
     * @stability stable
     */
    get severity(): string;
    /**
     * @stability stable
     */
    set severity(value: string);
    /**
     * @stability stable
     */
    get severityInput(): string;
    private _suppressionDuration?;
    /**
     * @stability stable
     */
    get suppressionDuration(): string;
    /**
     * @stability stable
     */
    set suppressionDuration(value: string);
    /**
     * @stability stable
     */
    resetSuppressionDuration(): void;
    /**
     * @stability stable
     */
    get suppressionDurationInput(): string | undefined;
    private _suppressionEnabled?;
    /**
     * @stability stable
     */
    get suppressionEnabled(): boolean;
    /**
     * @stability stable
     */
    set suppressionEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetSuppressionEnabled(): void;
    /**
     * @stability stable
     */
    get suppressionEnabledInput(): boolean | undefined;
    private _tactics?;
    /**
     * @stability stable
     */
    get tactics(): string[];
    /**
     * @stability stable
     */
    set tactics(value: string[]);
    /**
     * @stability stable
     */
    resetTactics(): void;
    /**
     * @stability stable
     */
    get tacticsInput(): string[] | undefined;
    private _triggerOperator?;
    /**
     * @stability stable
     */
    get triggerOperator(): string;
    /**
     * @stability stable
     */
    set triggerOperator(value: string);
    /**
     * @stability stable
     */
    resetTriggerOperator(): void;
    /**
     * @stability stable
     */
    get triggerOperatorInput(): string | undefined;
    private _triggerThreshold?;
    /**
     * @stability stable
     */
    get triggerThreshold(): number;
    /**
     * @stability stable
     */
    set triggerThreshold(value: number);
    /**
     * @stability stable
     */
    resetTriggerThreshold(): void;
    /**
     * @stability stable
     */
    get triggerThresholdInput(): number | undefined;
    private _eventGrouping?;
    /**
     * @stability stable
     */
    get eventGrouping(): SentinelAlertRuleScheduledEventGrouping[];
    /**
     * @stability stable
     */
    set eventGrouping(value: SentinelAlertRuleScheduledEventGrouping[]);
    /**
     * @stability stable
     */
    resetEventGrouping(): void;
    /**
     * @stability stable
     */
    get eventGroupingInput(): SentinelAlertRuleScheduledEventGrouping[] | undefined;
    private _incidentConfiguration?;
    /**
     * @stability stable
     */
    get incidentConfiguration(): SentinelAlertRuleScheduledIncidentConfiguration[];
    /**
     * @stability stable
     */
    set incidentConfiguration(value: SentinelAlertRuleScheduledIncidentConfiguration[]);
    /**
     * @stability stable
     */
    resetIncidentConfiguration(): void;
    /**
     * @stability stable
     */
    get incidentConfigurationInput(): SentinelAlertRuleScheduledIncidentConfiguration[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SentinelAlertRuleScheduledTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SentinelAlertRuleScheduledTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SentinelAlertRuleScheduledTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
