import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SentinelDataConnectorMicrosoftCloudAppSecurityConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly alertsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly discoveryLogsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tenantId?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SentinelDataConnectorMicrosoftCloudAppSecurityTimeouts;
}
/**
 * @stability stable
 */
export interface SentinelDataConnectorMicrosoftCloudAppSecurityTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SentinelDataConnectorMicrosoftCloudAppSecurity extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SentinelDataConnectorMicrosoftCloudAppSecurityConfig);
    private _alertsEnabled?;
    /**
     * @stability stable
     */
    get alertsEnabled(): boolean;
    /**
     * @stability stable
     */
    set alertsEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetAlertsEnabled(): void;
    /**
     * @stability stable
     */
    get alertsEnabledInput(): boolean | undefined;
    private _discoveryLogsEnabled?;
    /**
     * @stability stable
     */
    get discoveryLogsEnabled(): boolean;
    /**
     * @stability stable
     */
    set discoveryLogsEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetDiscoveryLogsEnabled(): void;
    /**
     * @stability stable
     */
    get discoveryLogsEnabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsWorkspaceId;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _tenantId?;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    set tenantId(value: string);
    /**
     * @stability stable
     */
    resetTenantId(): void;
    /**
     * @stability stable
     */
    get tenantIdInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SentinelDataConnectorMicrosoftCloudAppSecurityTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SentinelDataConnectorMicrosoftCloudAppSecurityTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SentinelDataConnectorMicrosoftCloudAppSecurityTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
