import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SentinelDataConnectorOffice365Config extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly exchangeEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly logAnalyticsWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly sharepointEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly teamsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly tenantId?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SentinelDataConnectorOffice365Timeouts;
}
/**
 * @stability stable
 */
export interface SentinelDataConnectorOffice365Timeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SentinelDataConnectorOffice365 extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SentinelDataConnectorOffice365Config);
    private _exchangeEnabled?;
    /**
     * @stability stable
     */
    get exchangeEnabled(): boolean;
    /**
     * @stability stable
     */
    set exchangeEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetExchangeEnabled(): void;
    /**
     * @stability stable
     */
    get exchangeEnabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logAnalyticsWorkspaceId;
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceId(): string;
    /**
     * @stability stable
     */
    set logAnalyticsWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get logAnalyticsWorkspaceIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _sharepointEnabled?;
    /**
     * @stability stable
     */
    get sharepointEnabled(): boolean;
    /**
     * @stability stable
     */
    set sharepointEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetSharepointEnabled(): void;
    /**
     * @stability stable
     */
    get sharepointEnabledInput(): boolean | undefined;
    private _teamsEnabled?;
    /**
     * @stability stable
     */
    get teamsEnabled(): boolean;
    /**
     * @stability stable
     */
    set teamsEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetTeamsEnabled(): void;
    /**
     * @stability stable
     */
    get teamsEnabledInput(): boolean | undefined;
    private _tenantId?;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    set tenantId(value: string);
    /**
     * @stability stable
     */
    resetTenantId(): void;
    /**
     * @stability stable
     */
    get tenantIdInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SentinelDataConnectorOffice365Timeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SentinelDataConnectorOffice365Timeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SentinelDataConnectorOffice365Timeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
