import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServiceFabricClusterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly addOnFeatures?: string[];
    /**
     * @stability stable
     */
    readonly clusterCodeVersion?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly managementEndpoint: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly reliabilityLevel: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly upgradeMode: string;
    /**
     * @stability stable
     */
    readonly vmImage: string;
    /**
     * azure_active_directory block.
     *
     * @stability stable
     */
    readonly azureActiveDirectory?: ServiceFabricClusterAzureActiveDirectory[];
    /**
     * certificate block.
     *
     * @stability stable
     */
    readonly certificate?: ServiceFabricClusterCertificate[];
    /**
     * certificate_common_names block.
     *
     * @stability stable
     */
    readonly certificateCommonNames?: ServiceFabricClusterCertificateCommonNames[];
    /**
     * client_certificate_common_name block.
     *
     * @stability stable
     */
    readonly clientCertificateCommonName?: ServiceFabricClusterClientCertificateCommonName[];
    /**
     * client_certificate_thumbprint block.
     *
     * @stability stable
     */
    readonly clientCertificateThumbprint?: ServiceFabricClusterClientCertificateThumbprint[];
    /**
     * diagnostics_config block.
     *
     * @stability stable
     */
    readonly diagnosticsConfig?: ServiceFabricClusterDiagnosticsConfig[];
    /**
     * fabric_settings block.
     *
     * @stability stable
     */
    readonly fabricSettings?: ServiceFabricClusterFabricSettings[];
    /**
     * node_type block.
     *
     * @stability stable
     */
    readonly nodeType: ServiceFabricClusterNodeType[];
    /**
     * reverse_proxy_certificate block.
     *
     * @stability stable
     */
    readonly reverseProxyCertificate?: ServiceFabricClusterReverseProxyCertificate[];
    /**
     * reverse_proxy_certificate_common_names block.
     *
     * @stability stable
     */
    readonly reverseProxyCertificateCommonNames?: ServiceFabricClusterReverseProxyCertificateCommonNames[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ServiceFabricClusterTimeouts;
    /**
     * upgrade_policy block.
     *
     * @stability stable
     */
    readonly upgradePolicy?: ServiceFabricClusterUpgradePolicy[];
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterAzureActiveDirectory {
    /**
     * @stability stable
     */
    readonly clientApplicationId: string;
    /**
     * @stability stable
     */
    readonly clusterApplicationId: string;
    /**
     * @stability stable
     */
    readonly tenantId: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterCertificate {
    /**
     * @stability stable
     */
    readonly thumbprint: string;
    /**
     * @stability stable
     */
    readonly thumbprintSecondary?: string;
    /**
     * @stability stable
     */
    readonly x509StoreName: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterCertificateCommonNamesCommonNames {
    /**
     * @stability stable
     */
    readonly certificateCommonName: string;
    /**
     * @stability stable
     */
    readonly certificateIssuerThumbprint?: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterCertificateCommonNames {
    /**
     * @stability stable
     */
    readonly x509StoreName: string;
    /**
     * common_names block.
     *
     * @stability stable
     */
    readonly commonNames: ServiceFabricClusterCertificateCommonNamesCommonNames[];
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterClientCertificateCommonName {
    /**
     * @stability stable
     */
    readonly commonName: string;
    /**
     * @stability stable
     */
    readonly isAdmin: boolean;
    /**
     * @stability stable
     */
    readonly issuerThumbprint?: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterClientCertificateThumbprint {
    /**
     * @stability stable
     */
    readonly isAdmin: boolean;
    /**
     * @stability stable
     */
    readonly thumbprint: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterDiagnosticsConfig {
    /**
     * @stability stable
     */
    readonly blobEndpoint: string;
    /**
     * @stability stable
     */
    readonly protectedAccountKeyName: string;
    /**
     * @stability stable
     */
    readonly queueEndpoint: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * @stability stable
     */
    readonly tableEndpoint: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterFabricSettings {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterNodeTypeApplicationPorts {
    /**
     * @stability stable
     */
    readonly endPort: number;
    /**
     * @stability stable
     */
    readonly startPort: number;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterNodeTypeEphemeralPorts {
    /**
     * @stability stable
     */
    readonly endPort: number;
    /**
     * @stability stable
     */
    readonly startPort: number;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterNodeType {
    /**
     * @stability stable
     */
    readonly capacities?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly clientEndpointPort: number;
    /**
     * @stability stable
     */
    readonly durabilityLevel?: string;
    /**
     * @stability stable
     */
    readonly httpEndpointPort: number;
    /**
     * @stability stable
     */
    readonly instanceCount: number;
    /**
     * @stability stable
     */
    readonly isPrimary: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly placementProperties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly reverseProxyEndpointPort?: number;
    /**
     * application_ports block.
     *
     * @stability stable
     */
    readonly applicationPorts?: ServiceFabricClusterNodeTypeApplicationPorts[];
    /**
     * ephemeral_ports block.
     *
     * @stability stable
     */
    readonly ephemeralPorts?: ServiceFabricClusterNodeTypeEphemeralPorts[];
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterReverseProxyCertificate {
    /**
     * @stability stable
     */
    readonly thumbprint: string;
    /**
     * @stability stable
     */
    readonly thumbprintSecondary?: string;
    /**
     * @stability stable
     */
    readonly x509StoreName: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterReverseProxyCertificateCommonNamesCommonNames {
    /**
     * @stability stable
     */
    readonly certificateCommonName: string;
    /**
     * @stability stable
     */
    readonly certificateIssuerThumbprint?: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterReverseProxyCertificateCommonNames {
    /**
     * @stability stable
     */
    readonly x509StoreName: string;
    /**
     * common_names block.
     *
     * @stability stable
     */
    readonly commonNames: ServiceFabricClusterReverseProxyCertificateCommonNamesCommonNames[];
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterUpgradePolicyDeltaHealthPolicy {
    /**
     * @stability stable
     */
    readonly maxDeltaUnhealthyApplicationsPercent?: number;
    /**
     * @stability stable
     */
    readonly maxDeltaUnhealthyNodesPercent?: number;
    /**
     * @stability stable
     */
    readonly maxUpgradeDomainDeltaUnhealthyNodesPercent?: number;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterUpgradePolicyHealthPolicy {
    /**
     * @stability stable
     */
    readonly maxUnhealthyApplicationsPercent?: number;
    /**
     * @stability stable
     */
    readonly maxUnhealthyNodesPercent?: number;
}
/**
 * @stability stable
 */
export interface ServiceFabricClusterUpgradePolicy {
    /**
     * @stability stable
     */
    readonly forceRestartEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly healthCheckRetryTimeout?: string;
    /**
     * @stability stable
     */
    readonly healthCheckStableDuration?: string;
    /**
     * @stability stable
     */
    readonly healthCheckWaitDuration?: string;
    /**
     * @stability stable
     */
    readonly upgradeDomainTimeout?: string;
    /**
     * @stability stable
     */
    readonly upgradeReplicaSetCheckTimeout?: string;
    /**
     * @stability stable
     */
    readonly upgradeTimeout?: string;
    /**
     * delta_health_policy block.
     *
     * @stability stable
     */
    readonly deltaHealthPolicy?: ServiceFabricClusterUpgradePolicyDeltaHealthPolicy[];
    /**
     * health_policy block.
     *
     * @stability stable
     */
    readonly healthPolicy?: ServiceFabricClusterUpgradePolicyHealthPolicy[];
}
/**
 * @stability stable
 */
export declare class ServiceFabricCluster extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServiceFabricClusterConfig);
    private _addOnFeatures?;
    /**
     * @stability stable
     */
    get addOnFeatures(): string[];
    /**
     * @stability stable
     */
    set addOnFeatures(value: string[]);
    /**
     * @stability stable
     */
    resetAddOnFeatures(): void;
    /**
     * @stability stable
     */
    get addOnFeaturesInput(): string[] | undefined;
    private _clusterCodeVersion?;
    /**
     * @stability stable
     */
    get clusterCodeVersion(): string;
    /**
     * @stability stable
     */
    set clusterCodeVersion(value: string);
    /**
     * @stability stable
     */
    resetClusterCodeVersion(): void;
    /**
     * @stability stable
     */
    get clusterCodeVersionInput(): string | undefined;
    /**
     * @stability stable
     */
    get clusterEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _managementEndpoint;
    /**
     * @stability stable
     */
    get managementEndpoint(): string;
    /**
     * @stability stable
     */
    set managementEndpoint(value: string);
    /**
     * @stability stable
     */
    get managementEndpointInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _reliabilityLevel;
    /**
     * @stability stable
     */
    get reliabilityLevel(): string;
    /**
     * @stability stable
     */
    set reliabilityLevel(value: string);
    /**
     * @stability stable
     */
    get reliabilityLevelInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _upgradeMode;
    /**
     * @stability stable
     */
    get upgradeMode(): string;
    /**
     * @stability stable
     */
    set upgradeMode(value: string);
    /**
     * @stability stable
     */
    get upgradeModeInput(): string;
    private _vmImage;
    /**
     * @stability stable
     */
    get vmImage(): string;
    /**
     * @stability stable
     */
    set vmImage(value: string);
    /**
     * @stability stable
     */
    get vmImageInput(): string;
    private _azureActiveDirectory?;
    /**
     * @stability stable
     */
    get azureActiveDirectory(): ServiceFabricClusterAzureActiveDirectory[];
    /**
     * @stability stable
     */
    set azureActiveDirectory(value: ServiceFabricClusterAzureActiveDirectory[]);
    /**
     * @stability stable
     */
    resetAzureActiveDirectory(): void;
    /**
     * @stability stable
     */
    get azureActiveDirectoryInput(): ServiceFabricClusterAzureActiveDirectory[] | undefined;
    private _certificate?;
    /**
     * @stability stable
     */
    get certificate(): ServiceFabricClusterCertificate[];
    /**
     * @stability stable
     */
    set certificate(value: ServiceFabricClusterCertificate[]);
    /**
     * @stability stable
     */
    resetCertificate(): void;
    /**
     * @stability stable
     */
    get certificateInput(): ServiceFabricClusterCertificate[] | undefined;
    private _certificateCommonNames?;
    /**
     * @stability stable
     */
    get certificateCommonNames(): ServiceFabricClusterCertificateCommonNames[];
    /**
     * @stability stable
     */
    set certificateCommonNames(value: ServiceFabricClusterCertificateCommonNames[]);
    /**
     * @stability stable
     */
    resetCertificateCommonNames(): void;
    /**
     * @stability stable
     */
    get certificateCommonNamesInput(): ServiceFabricClusterCertificateCommonNames[] | undefined;
    private _clientCertificateCommonName?;
    /**
     * @stability stable
     */
    get clientCertificateCommonName(): ServiceFabricClusterClientCertificateCommonName[];
    /**
     * @stability stable
     */
    set clientCertificateCommonName(value: ServiceFabricClusterClientCertificateCommonName[]);
    /**
     * @stability stable
     */
    resetClientCertificateCommonName(): void;
    /**
     * @stability stable
     */
    get clientCertificateCommonNameInput(): ServiceFabricClusterClientCertificateCommonName[] | undefined;
    private _clientCertificateThumbprint?;
    /**
     * @stability stable
     */
    get clientCertificateThumbprint(): ServiceFabricClusterClientCertificateThumbprint[];
    /**
     * @stability stable
     */
    set clientCertificateThumbprint(value: ServiceFabricClusterClientCertificateThumbprint[]);
    /**
     * @stability stable
     */
    resetClientCertificateThumbprint(): void;
    /**
     * @stability stable
     */
    get clientCertificateThumbprintInput(): ServiceFabricClusterClientCertificateThumbprint[] | undefined;
    private _diagnosticsConfig?;
    /**
     * @stability stable
     */
    get diagnosticsConfig(): ServiceFabricClusterDiagnosticsConfig[];
    /**
     * @stability stable
     */
    set diagnosticsConfig(value: ServiceFabricClusterDiagnosticsConfig[]);
    /**
     * @stability stable
     */
    resetDiagnosticsConfig(): void;
    /**
     * @stability stable
     */
    get diagnosticsConfigInput(): ServiceFabricClusterDiagnosticsConfig[] | undefined;
    private _fabricSettings?;
    /**
     * @stability stable
     */
    get fabricSettings(): ServiceFabricClusterFabricSettings[];
    /**
     * @stability stable
     */
    set fabricSettings(value: ServiceFabricClusterFabricSettings[]);
    /**
     * @stability stable
     */
    resetFabricSettings(): void;
    /**
     * @stability stable
     */
    get fabricSettingsInput(): ServiceFabricClusterFabricSettings[] | undefined;
    private _nodeType;
    /**
     * @stability stable
     */
    get nodeType(): ServiceFabricClusterNodeType[];
    /**
     * @stability stable
     */
    set nodeType(value: ServiceFabricClusterNodeType[]);
    /**
     * @stability stable
     */
    get nodeTypeInput(): ServiceFabricClusterNodeType[];
    private _reverseProxyCertificate?;
    /**
     * @stability stable
     */
    get reverseProxyCertificate(): ServiceFabricClusterReverseProxyCertificate[];
    /**
     * @stability stable
     */
    set reverseProxyCertificate(value: ServiceFabricClusterReverseProxyCertificate[]);
    /**
     * @stability stable
     */
    resetReverseProxyCertificate(): void;
    /**
     * @stability stable
     */
    get reverseProxyCertificateInput(): ServiceFabricClusterReverseProxyCertificate[] | undefined;
    private _reverseProxyCertificateCommonNames?;
    /**
     * @stability stable
     */
    get reverseProxyCertificateCommonNames(): ServiceFabricClusterReverseProxyCertificateCommonNames[];
    /**
     * @stability stable
     */
    set reverseProxyCertificateCommonNames(value: ServiceFabricClusterReverseProxyCertificateCommonNames[]);
    /**
     * @stability stable
     */
    resetReverseProxyCertificateCommonNames(): void;
    /**
     * @stability stable
     */
    get reverseProxyCertificateCommonNamesInput(): ServiceFabricClusterReverseProxyCertificateCommonNames[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ServiceFabricClusterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ServiceFabricClusterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ServiceFabricClusterTimeouts | undefined;
    private _upgradePolicy?;
    /**
     * @stability stable
     */
    get upgradePolicy(): ServiceFabricClusterUpgradePolicy[];
    /**
     * @stability stable
     */
    set upgradePolicy(value: ServiceFabricClusterUpgradePolicy[]);
    /**
     * @stability stable
     */
    resetUpgradePolicy(): void;
    /**
     * @stability stable
     */
    get upgradePolicyInput(): ServiceFabricClusterUpgradePolicy[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
