import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * service block.
     *
     * @stability stable
     */
    readonly service: ServiceFabricMeshApplicationService[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ServiceFabricMeshApplicationTimeouts;
}
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationServiceCodePackageResourcesLimits {
    /**
     * @stability stable
     */
    readonly cpu: number;
    /**
     * @stability stable
     */
    readonly memory: number;
}
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationServiceCodePackageResourcesRequests {
    /**
     * @stability stable
     */
    readonly cpu: number;
    /**
     * @stability stable
     */
    readonly memory: number;
}
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationServiceCodePackageResources {
    /**
     * limits block.
     *
     * @stability stable
     */
    readonly limits?: ServiceFabricMeshApplicationServiceCodePackageResourcesLimits[];
    /**
     * requests block.
     *
     * @stability stable
     */
    readonly requests: ServiceFabricMeshApplicationServiceCodePackageResourcesRequests[];
}
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationServiceCodePackage {
    /**
     * @stability stable
     */
    readonly imageName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * resources block.
     *
     * @stability stable
     */
    readonly resources: ServiceFabricMeshApplicationServiceCodePackageResources[];
}
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationService {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly osType: string;
    /**
     * code_package block.
     *
     * @stability stable
     */
    readonly codePackage: ServiceFabricMeshApplicationServiceCodePackage[];
}
/**
 * @stability stable
 */
export interface ServiceFabricMeshApplicationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ServiceFabricMeshApplication extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServiceFabricMeshApplicationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _service;
    /**
     * @stability stable
     */
    get service(): ServiceFabricMeshApplicationService[];
    /**
     * @stability stable
     */
    set service(value: ServiceFabricMeshApplicationService[]);
    /**
     * @stability stable
     */
    get serviceInput(): ServiceFabricMeshApplicationService[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ServiceFabricMeshApplicationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ServiceFabricMeshApplicationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ServiceFabricMeshApplicationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
