import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicebusNamespaceNetworkRuleSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly defaultAction?: string;
    /**
     * @stability stable
     */
    readonly ipRules?: string[];
    /**
     * @stability stable
     */
    readonly namespaceName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * network_rules block.
     *
     * @stability stable
     */
    readonly networkRules?: ServicebusNamespaceNetworkRuleSetNetworkRules[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ServicebusNamespaceNetworkRuleSetTimeouts;
}
/**
 * @stability stable
 */
export interface ServicebusNamespaceNetworkRuleSetNetworkRules {
    /**
     * @stability stable
     */
    readonly ignoreMissingVnetServiceEndpoint?: boolean;
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface ServicebusNamespaceNetworkRuleSetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ServicebusNamespaceNetworkRuleSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicebusNamespaceNetworkRuleSetConfig);
    private _defaultAction?;
    /**
     * @stability stable
     */
    get defaultAction(): string;
    /**
     * @stability stable
     */
    set defaultAction(value: string);
    /**
     * @stability stable
     */
    resetDefaultAction(): void;
    /**
     * @stability stable
     */
    get defaultActionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _ipRules?;
    /**
     * @stability stable
     */
    get ipRules(): string[];
    /**
     * @stability stable
     */
    set ipRules(value: string[]);
    /**
     * @stability stable
     */
    resetIpRules(): void;
    /**
     * @stability stable
     */
    get ipRulesInput(): string[] | undefined;
    private _namespaceName;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    /**
     * @stability stable
     */
    set namespaceName(value: string);
    /**
     * @stability stable
     */
    get namespaceNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _networkRules?;
    /**
     * @stability stable
     */
    get networkRules(): ServicebusNamespaceNetworkRuleSetNetworkRules[];
    /**
     * @stability stable
     */
    set networkRules(value: ServicebusNamespaceNetworkRuleSetNetworkRules[]);
    /**
     * @stability stable
     */
    resetNetworkRules(): void;
    /**
     * @stability stable
     */
    get networkRulesInput(): ServicebusNamespaceNetworkRuleSetNetworkRules[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ServicebusNamespaceNetworkRuleSetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ServicebusNamespaceNetworkRuleSetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ServicebusNamespaceNetworkRuleSetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
