import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicebusQueueConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoDeleteOnIdle?: string;
    /**
     * @stability stable
     */
    readonly deadLetteringOnMessageExpiration?: boolean;
    /**
     * @stability stable
     */
    readonly defaultMessageTtl?: string;
    /**
     * @stability stable
     */
    readonly duplicateDetectionHistoryTimeWindow?: string;
    /**
     * @stability stable
     */
    readonly enableBatchedOperations?: boolean;
    /**
     * @stability stable
     */
    readonly enableExpress?: boolean;
    /**
     * @stability stable
     */
    readonly enablePartitioning?: boolean;
    /**
     * @stability stable
     */
    readonly forwardDeadLetteredMessagesTo?: string;
    /**
     * @stability stable
     */
    readonly forwardTo?: string;
    /**
     * @stability stable
     */
    readonly lockDuration?: string;
    /**
     * @stability stable
     */
    readonly maxDeliveryCount?: number;
    /**
     * @stability stable
     */
    readonly maxSizeInMegabytes?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly namespaceName: string;
    /**
     * @stability stable
     */
    readonly requiresDuplicateDetection?: boolean;
    /**
     * @stability stable
     */
    readonly requiresSession?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly status?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ServicebusQueueTimeouts;
}
/**
 * @stability stable
 */
export interface ServicebusQueueTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ServicebusQueue extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicebusQueueConfig);
    private _autoDeleteOnIdle?;
    /**
     * @stability stable
     */
    get autoDeleteOnIdle(): string;
    /**
     * @stability stable
     */
    set autoDeleteOnIdle(value: string);
    /**
     * @stability stable
     */
    resetAutoDeleteOnIdle(): void;
    /**
     * @stability stable
     */
    get autoDeleteOnIdleInput(): string | undefined;
    private _deadLetteringOnMessageExpiration?;
    /**
     * @stability stable
     */
    get deadLetteringOnMessageExpiration(): boolean;
    /**
     * @stability stable
     */
    set deadLetteringOnMessageExpiration(value: boolean);
    /**
     * @stability stable
     */
    resetDeadLetteringOnMessageExpiration(): void;
    /**
     * @stability stable
     */
    get deadLetteringOnMessageExpirationInput(): boolean | undefined;
    private _defaultMessageTtl?;
    /**
     * @stability stable
     */
    get defaultMessageTtl(): string;
    /**
     * @stability stable
     */
    set defaultMessageTtl(value: string);
    /**
     * @stability stable
     */
    resetDefaultMessageTtl(): void;
    /**
     * @stability stable
     */
    get defaultMessageTtlInput(): string | undefined;
    private _duplicateDetectionHistoryTimeWindow?;
    /**
     * @stability stable
     */
    get duplicateDetectionHistoryTimeWindow(): string;
    /**
     * @stability stable
     */
    set duplicateDetectionHistoryTimeWindow(value: string);
    /**
     * @stability stable
     */
    resetDuplicateDetectionHistoryTimeWindow(): void;
    /**
     * @stability stable
     */
    get duplicateDetectionHistoryTimeWindowInput(): string | undefined;
    private _enableBatchedOperations?;
    /**
     * @stability stable
     */
    get enableBatchedOperations(): boolean;
    /**
     * @stability stable
     */
    set enableBatchedOperations(value: boolean);
    /**
     * @stability stable
     */
    resetEnableBatchedOperations(): void;
    /**
     * @stability stable
     */
    get enableBatchedOperationsInput(): boolean | undefined;
    private _enableExpress?;
    /**
     * @stability stable
     */
    get enableExpress(): boolean;
    /**
     * @stability stable
     */
    set enableExpress(value: boolean);
    /**
     * @stability stable
     */
    resetEnableExpress(): void;
    /**
     * @stability stable
     */
    get enableExpressInput(): boolean | undefined;
    private _enablePartitioning?;
    /**
     * @stability stable
     */
    get enablePartitioning(): boolean;
    /**
     * @stability stable
     */
    set enablePartitioning(value: boolean);
    /**
     * @stability stable
     */
    resetEnablePartitioning(): void;
    /**
     * @stability stable
     */
    get enablePartitioningInput(): boolean | undefined;
    private _forwardDeadLetteredMessagesTo?;
    /**
     * @stability stable
     */
    get forwardDeadLetteredMessagesTo(): string;
    /**
     * @stability stable
     */
    set forwardDeadLetteredMessagesTo(value: string);
    /**
     * @stability stable
     */
    resetForwardDeadLetteredMessagesTo(): void;
    /**
     * @stability stable
     */
    get forwardDeadLetteredMessagesToInput(): string | undefined;
    private _forwardTo?;
    /**
     * @stability stable
     */
    get forwardTo(): string;
    /**
     * @stability stable
     */
    set forwardTo(value: string);
    /**
     * @stability stable
     */
    resetForwardTo(): void;
    /**
     * @stability stable
     */
    get forwardToInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _lockDuration?;
    /**
     * @stability stable
     */
    get lockDuration(): string;
    /**
     * @stability stable
     */
    set lockDuration(value: string);
    /**
     * @stability stable
     */
    resetLockDuration(): void;
    /**
     * @stability stable
     */
    get lockDurationInput(): string | undefined;
    private _maxDeliveryCount?;
    /**
     * @stability stable
     */
    get maxDeliveryCount(): number;
    /**
     * @stability stable
     */
    set maxDeliveryCount(value: number);
    /**
     * @stability stable
     */
    resetMaxDeliveryCount(): void;
    /**
     * @stability stable
     */
    get maxDeliveryCountInput(): number | undefined;
    private _maxSizeInMegabytes?;
    /**
     * @stability stable
     */
    get maxSizeInMegabytes(): number;
    /**
     * @stability stable
     */
    set maxSizeInMegabytes(value: number);
    /**
     * @stability stable
     */
    resetMaxSizeInMegabytes(): void;
    /**
     * @stability stable
     */
    get maxSizeInMegabytesInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _namespaceName;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    /**
     * @stability stable
     */
    set namespaceName(value: string);
    /**
     * @stability stable
     */
    get namespaceNameInput(): string;
    private _requiresDuplicateDetection?;
    /**
     * @stability stable
     */
    get requiresDuplicateDetection(): boolean;
    /**
     * @stability stable
     */
    set requiresDuplicateDetection(value: boolean);
    /**
     * @stability stable
     */
    resetRequiresDuplicateDetection(): void;
    /**
     * @stability stable
     */
    get requiresDuplicateDetectionInput(): boolean | undefined;
    private _requiresSession?;
    /**
     * @stability stable
     */
    get requiresSession(): boolean;
    /**
     * @stability stable
     */
    set requiresSession(value: boolean);
    /**
     * @stability stable
     */
    resetRequiresSession(): void;
    /**
     * @stability stable
     */
    get requiresSessionInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _status?;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    set status(value: string);
    /**
     * @stability stable
     */
    resetStatus(): void;
    /**
     * @stability stable
     */
    get statusInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ServicebusQueueTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ServicebusQueueTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ServicebusQueueTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
