import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicebusSubscriptionRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly action?: string;
    /**
     * @stability stable
     */
    readonly filterType: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly namespaceName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sqlFilter?: string;
    /**
     * @stability stable
     */
    readonly subscriptionName: string;
    /**
     * @stability stable
     */
    readonly topicName: string;
    /**
     * correlation_filter block.
     *
     * @stability stable
     */
    readonly correlationFilter?: ServicebusSubscriptionRuleCorrelationFilter[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: ServicebusSubscriptionRuleTimeouts;
}
/**
 * @stability stable
 */
export interface ServicebusSubscriptionRuleCorrelationFilter {
    /**
     * @stability stable
     */
    readonly contentType?: string;
    /**
     * @stability stable
     */
    readonly correlationId?: string;
    /**
     * @stability stable
     */
    readonly label?: string;
    /**
     * @stability stable
     */
    readonly messageId?: string;
    /**
     * @stability stable
     */
    readonly properties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly replyTo?: string;
    /**
     * @stability stable
     */
    readonly replyToSessionId?: string;
    /**
     * @stability stable
     */
    readonly sessionId?: string;
    /**
     * @stability stable
     */
    readonly to?: string;
}
/**
 * @stability stable
 */
export interface ServicebusSubscriptionRuleTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class ServicebusSubscriptionRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicebusSubscriptionRuleConfig);
    private _action?;
    /**
     * @stability stable
     */
    get action(): string;
    /**
     * @stability stable
     */
    set action(value: string);
    /**
     * @stability stable
     */
    resetAction(): void;
    /**
     * @stability stable
     */
    get actionInput(): string | undefined;
    private _filterType;
    /**
     * @stability stable
     */
    get filterType(): string;
    /**
     * @stability stable
     */
    set filterType(value: string);
    /**
     * @stability stable
     */
    get filterTypeInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _namespaceName;
    /**
     * @stability stable
     */
    get namespaceName(): string;
    /**
     * @stability stable
     */
    set namespaceName(value: string);
    /**
     * @stability stable
     */
    get namespaceNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sqlFilter?;
    /**
     * @stability stable
     */
    get sqlFilter(): string;
    /**
     * @stability stable
     */
    set sqlFilter(value: string);
    /**
     * @stability stable
     */
    resetSqlFilter(): void;
    /**
     * @stability stable
     */
    get sqlFilterInput(): string | undefined;
    private _subscriptionName;
    /**
     * @stability stable
     */
    get subscriptionName(): string;
    /**
     * @stability stable
     */
    set subscriptionName(value: string);
    /**
     * @stability stable
     */
    get subscriptionNameInput(): string;
    private _topicName;
    /**
     * @stability stable
     */
    get topicName(): string;
    /**
     * @stability stable
     */
    set topicName(value: string);
    /**
     * @stability stable
     */
    get topicNameInput(): string;
    private _correlationFilter?;
    /**
     * @stability stable
     */
    get correlationFilter(): ServicebusSubscriptionRuleCorrelationFilter[];
    /**
     * @stability stable
     */
    set correlationFilter(value: ServicebusSubscriptionRuleCorrelationFilter[]);
    /**
     * @stability stable
     */
    resetCorrelationFilter(): void;
    /**
     * @stability stable
     */
    get correlationFilterInput(): ServicebusSubscriptionRuleCorrelationFilter[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): ServicebusSubscriptionRuleTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: ServicebusSubscriptionRuleTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): ServicebusSubscriptionRuleTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
