import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SharedImageVersionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly excludeFromLatest?: boolean;
    /**
     * @stability stable
     */
    readonly galleryName: string;
    /**
     * @stability stable
     */
    readonly imageName: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly managedImageId?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly osDiskSnapshotId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * target_region block.
     *
     * @stability stable
     */
    readonly targetRegion: SharedImageVersionTargetRegion[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SharedImageVersionTimeouts;
}
/**
 * @stability stable
 */
export interface SharedImageVersionTargetRegion {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly regionalReplicaCount: number;
    /**
     * @stability stable
     */
    readonly storageAccountType?: string;
}
/**
 * @stability stable
 */
export interface SharedImageVersionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SharedImageVersion extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SharedImageVersionConfig);
    private _excludeFromLatest?;
    /**
     * @stability stable
     */
    get excludeFromLatest(): boolean;
    /**
     * @stability stable
     */
    set excludeFromLatest(value: boolean);
    /**
     * @stability stable
     */
    resetExcludeFromLatest(): void;
    /**
     * @stability stable
     */
    get excludeFromLatestInput(): boolean | undefined;
    private _galleryName;
    /**
     * @stability stable
     */
    get galleryName(): string;
    /**
     * @stability stable
     */
    set galleryName(value: string);
    /**
     * @stability stable
     */
    get galleryNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _imageName;
    /**
     * @stability stable
     */
    get imageName(): string;
    /**
     * @stability stable
     */
    set imageName(value: string);
    /**
     * @stability stable
     */
    get imageNameInput(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _managedImageId?;
    /**
     * @stability stable
     */
    get managedImageId(): string;
    /**
     * @stability stable
     */
    set managedImageId(value: string);
    /**
     * @stability stable
     */
    resetManagedImageId(): void;
    /**
     * @stability stable
     */
    get managedImageIdInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _osDiskSnapshotId?;
    /**
     * @stability stable
     */
    get osDiskSnapshotId(): string;
    /**
     * @stability stable
     */
    set osDiskSnapshotId(value: string);
    /**
     * @stability stable
     */
    resetOsDiskSnapshotId(): void;
    /**
     * @stability stable
     */
    get osDiskSnapshotIdInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetRegion;
    /**
     * @stability stable
     */
    get targetRegion(): SharedImageVersionTargetRegion[];
    /**
     * @stability stable
     */
    set targetRegion(value: SharedImageVersionTargetRegion[]);
    /**
     * @stability stable
     */
    get targetRegionInput(): SharedImageVersionTargetRegion[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SharedImageVersionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SharedImageVersionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SharedImageVersionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
