import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SharedImageConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly eula?: string;
    /**
     * @stability stable
     */
    readonly galleryName: string;
    /**
     * @stability stable
     */
    readonly hyperVGeneration?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly osType: string;
    /**
     * @stability stable
     */
    readonly privacyStatementUri?: string;
    /**
     * @stability stable
     */
    readonly releaseNoteUri?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly specialized?: boolean;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identifier block.
     *
     * @stability stable
     */
    readonly identifier: SharedImageIdentifier[];
    /**
     * purchase_plan block.
     *
     * @stability stable
     */
    readonly purchasePlan?: SharedImagePurchasePlan[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SharedImageTimeouts;
}
/**
 * @stability stable
 */
export interface SharedImageIdentifier {
    /**
     * @stability stable
     */
    readonly offer: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * @stability stable
     */
    readonly sku: string;
}
/**
 * @stability stable
 */
export interface SharedImagePurchasePlan {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly product?: string;
    /**
     * @stability stable
     */
    readonly publisher?: string;
}
/**
 * @stability stable
 */
export interface SharedImageTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SharedImage extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SharedImageConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _eula?;
    /**
     * @stability stable
     */
    get eula(): string;
    /**
     * @stability stable
     */
    set eula(value: string);
    /**
     * @stability stable
     */
    resetEula(): void;
    /**
     * @stability stable
     */
    get eulaInput(): string | undefined;
    private _galleryName;
    /**
     * @stability stable
     */
    get galleryName(): string;
    /**
     * @stability stable
     */
    set galleryName(value: string);
    /**
     * @stability stable
     */
    get galleryNameInput(): string;
    private _hyperVGeneration?;
    /**
     * @stability stable
     */
    get hyperVGeneration(): string;
    /**
     * @stability stable
     */
    set hyperVGeneration(value: string);
    /**
     * @stability stable
     */
    resetHyperVGeneration(): void;
    /**
     * @stability stable
     */
    get hyperVGenerationInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _osType;
    /**
     * @stability stable
     */
    get osType(): string;
    /**
     * @stability stable
     */
    set osType(value: string);
    /**
     * @stability stable
     */
    get osTypeInput(): string;
    private _privacyStatementUri?;
    /**
     * @stability stable
     */
    get privacyStatementUri(): string;
    /**
     * @stability stable
     */
    set privacyStatementUri(value: string);
    /**
     * @stability stable
     */
    resetPrivacyStatementUri(): void;
    /**
     * @stability stable
     */
    get privacyStatementUriInput(): string | undefined;
    private _releaseNoteUri?;
    /**
     * @stability stable
     */
    get releaseNoteUri(): string;
    /**
     * @stability stable
     */
    set releaseNoteUri(value: string);
    /**
     * @stability stable
     */
    resetReleaseNoteUri(): void;
    /**
     * @stability stable
     */
    get releaseNoteUriInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _specialized?;
    /**
     * @stability stable
     */
    get specialized(): boolean;
    /**
     * @stability stable
     */
    set specialized(value: boolean);
    /**
     * @stability stable
     */
    resetSpecialized(): void;
    /**
     * @stability stable
     */
    get specializedInput(): boolean | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _identifier;
    /**
     * @stability stable
     */
    get identifier(): SharedImageIdentifier[];
    /**
     * @stability stable
     */
    set identifier(value: SharedImageIdentifier[]);
    /**
     * @stability stable
     */
    get identifierInput(): SharedImageIdentifier[];
    private _purchasePlan?;
    /**
     * @stability stable
     */
    get purchasePlan(): SharedImagePurchasePlan[];
    /**
     * @stability stable
     */
    set purchasePlan(value: SharedImagePurchasePlan[]);
    /**
     * @stability stable
     */
    resetPurchasePlan(): void;
    /**
     * @stability stable
     */
    get purchasePlanInput(): SharedImagePurchasePlan[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SharedImageTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SharedImageTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SharedImageTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
