import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SiteRecoveryNetworkMappingConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly recoveryVaultName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sourceNetworkId: string;
    /**
     * @stability stable
     */
    readonly sourceRecoveryFabricName: string;
    /**
     * @stability stable
     */
    readonly targetNetworkId: string;
    /**
     * @stability stable
     */
    readonly targetRecoveryFabricName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SiteRecoveryNetworkMappingTimeouts;
}
/**
 * @stability stable
 */
export interface SiteRecoveryNetworkMappingTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SiteRecoveryNetworkMapping extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SiteRecoveryNetworkMappingConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _recoveryVaultName;
    /**
     * @stability stable
     */
    get recoveryVaultName(): string;
    /**
     * @stability stable
     */
    set recoveryVaultName(value: string);
    /**
     * @stability stable
     */
    get recoveryVaultNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sourceNetworkId;
    /**
     * @stability stable
     */
    get sourceNetworkId(): string;
    /**
     * @stability stable
     */
    set sourceNetworkId(value: string);
    /**
     * @stability stable
     */
    get sourceNetworkIdInput(): string;
    private _sourceRecoveryFabricName;
    /**
     * @stability stable
     */
    get sourceRecoveryFabricName(): string;
    /**
     * @stability stable
     */
    set sourceRecoveryFabricName(value: string);
    /**
     * @stability stable
     */
    get sourceRecoveryFabricNameInput(): string;
    private _targetNetworkId;
    /**
     * @stability stable
     */
    get targetNetworkId(): string;
    /**
     * @stability stable
     */
    set targetNetworkId(value: string);
    /**
     * @stability stable
     */
    get targetNetworkIdInput(): string;
    private _targetRecoveryFabricName;
    /**
     * @stability stable
     */
    get targetRecoveryFabricName(): string;
    /**
     * @stability stable
     */
    set targetRecoveryFabricName(value: string);
    /**
     * @stability stable
     */
    get targetRecoveryFabricNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SiteRecoveryNetworkMappingTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SiteRecoveryNetworkMappingTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SiteRecoveryNetworkMappingTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
