import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SnapshotConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly createOption: string;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sourceResourceId?: string;
    /**
     * @stability stable
     */
    readonly sourceUri?: string;
    /**
     * @stability stable
     */
    readonly storageAccountId?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * encryption_settings block.
     *
     * @stability stable
     */
    readonly encryptionSettings?: SnapshotEncryptionSettings[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SnapshotTimeouts;
}
/**
 * @stability stable
 */
export interface SnapshotEncryptionSettingsDiskEncryptionKey {
    /**
     * @stability stable
     */
    readonly secretUrl: string;
    /**
     * @stability stable
     */
    readonly sourceVaultId: string;
}
/**
 * @stability stable
 */
export interface SnapshotEncryptionSettingsKeyEncryptionKey {
    /**
     * @stability stable
     */
    readonly keyUrl: string;
    /**
     * @stability stable
     */
    readonly sourceVaultId: string;
}
/**
 * @stability stable
 */
export interface SnapshotEncryptionSettings {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * disk_encryption_key block.
     *
     * @stability stable
     */
    readonly diskEncryptionKey?: SnapshotEncryptionSettingsDiskEncryptionKey[];
    /**
     * key_encryption_key block.
     *
     * @stability stable
     */
    readonly keyEncryptionKey?: SnapshotEncryptionSettingsKeyEncryptionKey[];
}
/**
 * @stability stable
 */
export interface SnapshotTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class Snapshot extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SnapshotConfig);
    private _createOption;
    /**
     * @stability stable
     */
    get createOption(): string;
    /**
     * @stability stable
     */
    set createOption(value: string);
    /**
     * @stability stable
     */
    get createOptionInput(): string;
    private _diskSizeGb?;
    /**
     * @stability stable
     */
    get diskSizeGb(): number;
    /**
     * @stability stable
     */
    set diskSizeGb(value: number);
    /**
     * @stability stable
     */
    resetDiskSizeGb(): void;
    /**
     * @stability stable
     */
    get diskSizeGbInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sourceResourceId?;
    /**
     * @stability stable
     */
    get sourceResourceId(): string;
    /**
     * @stability stable
     */
    set sourceResourceId(value: string);
    /**
     * @stability stable
     */
    resetSourceResourceId(): void;
    /**
     * @stability stable
     */
    get sourceResourceIdInput(): string | undefined;
    private _sourceUri?;
    /**
     * @stability stable
     */
    get sourceUri(): string;
    /**
     * @stability stable
     */
    set sourceUri(value: string);
    /**
     * @stability stable
     */
    resetSourceUri(): void;
    /**
     * @stability stable
     */
    get sourceUriInput(): string | undefined;
    private _storageAccountId?;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountId(): void;
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _encryptionSettings?;
    /**
     * @stability stable
     */
    get encryptionSettings(): SnapshotEncryptionSettings[];
    /**
     * @stability stable
     */
    set encryptionSettings(value: SnapshotEncryptionSettings[]);
    /**
     * @stability stable
     */
    resetEncryptionSettings(): void;
    /**
     * @stability stable
     */
    get encryptionSettingsInput(): SnapshotEncryptionSettings[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SnapshotTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SnapshotTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SnapshotTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
