import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SpringCloudActiveDeploymentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deploymentName: string;
    /**
     * @stability stable
     */
    readonly springCloudAppId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SpringCloudActiveDeploymentTimeouts;
}
/**
 * @stability stable
 */
export interface SpringCloudActiveDeploymentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SpringCloudActiveDeployment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SpringCloudActiveDeploymentConfig);
    private _deploymentName;
    /**
     * @stability stable
     */
    get deploymentName(): string;
    /**
     * @stability stable
     */
    set deploymentName(value: string);
    /**
     * @stability stable
     */
    get deploymentNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _springCloudAppId;
    /**
     * @stability stable
     */
    get springCloudAppId(): string;
    /**
     * @stability stable
     */
    set springCloudAppId(value: string);
    /**
     * @stability stable
     */
    get springCloudAppIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SpringCloudActiveDeploymentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SpringCloudActiveDeploymentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SpringCloudActiveDeploymentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
