import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SpringCloudAppRedisAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly redisAccessKey: string;
    /**
     * @stability stable
     */
    readonly redisCacheId: string;
    /**
     * @stability stable
     */
    readonly springCloudAppId: string;
    /**
     * @stability stable
     */
    readonly sslEnabled?: boolean;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SpringCloudAppRedisAssociationTimeouts;
}
/**
 * @stability stable
 */
export interface SpringCloudAppRedisAssociationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SpringCloudAppRedisAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SpringCloudAppRedisAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _redisAccessKey;
    /**
     * @stability stable
     */
    get redisAccessKey(): string;
    /**
     * @stability stable
     */
    set redisAccessKey(value: string);
    /**
     * @stability stable
     */
    get redisAccessKeyInput(): string;
    private _redisCacheId;
    /**
     * @stability stable
     */
    get redisCacheId(): string;
    /**
     * @stability stable
     */
    set redisCacheId(value: string);
    /**
     * @stability stable
     */
    get redisCacheIdInput(): string;
    private _springCloudAppId;
    /**
     * @stability stable
     */
    get springCloudAppId(): string;
    /**
     * @stability stable
     */
    set springCloudAppId(value: string);
    /**
     * @stability stable
     */
    get springCloudAppIdInput(): string;
    private _sslEnabled?;
    /**
     * @stability stable
     */
    get sslEnabled(): boolean;
    /**
     * @stability stable
     */
    set sslEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetSslEnabled(): void;
    /**
     * @stability stable
     */
    get sslEnabledInput(): boolean | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SpringCloudAppRedisAssociationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SpringCloudAppRedisAssociationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SpringCloudAppRedisAssociationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
