import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SpringCloudAppConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly httpsOnly?: boolean;
    /**
     * @stability stable
     */
    readonly isPublic?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceName: string;
    /**
     * @stability stable
     */
    readonly tlsEnabled?: boolean;
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: SpringCloudAppIdentity[];
    /**
     * persistent_disk block.
     *
     * @stability stable
     */
    readonly persistentDisk?: SpringCloudAppPersistentDisk[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SpringCloudAppTimeouts;
}
/**
 * @stability stable
 */
export interface SpringCloudAppIdentity {
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export interface SpringCloudAppPersistentDisk {
    /**
     * @stability stable
     */
    readonly mountPath?: string;
    /**
     * @stability stable
     */
    readonly sizeInGb: number;
}
/**
 * @stability stable
 */
export interface SpringCloudAppTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SpringCloudApp extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SpringCloudAppConfig);
    /**
     * @stability stable
     */
    get fqdn(): string;
    private _httpsOnly?;
    /**
     * @stability stable
     */
    get httpsOnly(): boolean;
    /**
     * @stability stable
     */
    set httpsOnly(value: boolean);
    /**
     * @stability stable
     */
    resetHttpsOnly(): void;
    /**
     * @stability stable
     */
    get httpsOnlyInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _isPublic?;
    /**
     * @stability stable
     */
    get isPublic(): boolean;
    /**
     * @stability stable
     */
    set isPublic(value: boolean);
    /**
     * @stability stable
     */
    resetIsPublic(): void;
    /**
     * @stability stable
     */
    get isPublicInput(): boolean | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serviceName;
    /**
     * @stability stable
     */
    get serviceName(): string;
    /**
     * @stability stable
     */
    set serviceName(value: string);
    /**
     * @stability stable
     */
    get serviceNameInput(): string;
    private _tlsEnabled?;
    /**
     * @stability stable
     */
    get tlsEnabled(): boolean;
    /**
     * @stability stable
     */
    set tlsEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetTlsEnabled(): void;
    /**
     * @stability stable
     */
    get tlsEnabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get url(): string;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): SpringCloudAppIdentity[];
    /**
     * @stability stable
     */
    set identity(value: SpringCloudAppIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): SpringCloudAppIdentity[] | undefined;
    private _persistentDisk?;
    /**
     * @stability stable
     */
    get persistentDisk(): SpringCloudAppPersistentDisk[];
    /**
     * @stability stable
     */
    set persistentDisk(value: SpringCloudAppPersistentDisk[]);
    /**
     * @stability stable
     */
    resetPersistentDisk(): void;
    /**
     * @stability stable
     */
    get persistentDiskInput(): SpringCloudAppPersistentDisk[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SpringCloudAppTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SpringCloudAppTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SpringCloudAppTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
