import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SpringCloudCertificateConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly keyVaultCertificateId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SpringCloudCertificateTimeouts;
}
/**
 * @stability stable
 */
export interface SpringCloudCertificateTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class SpringCloudCertificate extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SpringCloudCertificateConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _keyVaultCertificateId;
    /**
     * @stability stable
     */
    get keyVaultCertificateId(): string;
    /**
     * @stability stable
     */
    set keyVaultCertificateId(value: string);
    /**
     * @stability stable
     */
    get keyVaultCertificateIdInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serviceName;
    /**
     * @stability stable
     */
    get serviceName(): string;
    /**
     * @stability stable
     */
    set serviceName(value: string);
    /**
     * @stability stable
     */
    get serviceNameInput(): string;
    /**
     * @stability stable
     */
    get thumbprint(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SpringCloudCertificateTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SpringCloudCertificateTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SpringCloudCertificateTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
