import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SpringCloudJavaDeploymentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cpu?: number;
    /**
     * @stability stable
     */
    readonly environmentVariables?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly instanceCount?: number;
    /**
     * @stability stable
     */
    readonly jvmOptions?: string;
    /**
     * @stability stable
     */
    readonly memoryInGb?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly runtimeVersion?: string;
    /**
     * @stability stable
     */
    readonly springCloudAppId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SpringCloudJavaDeploymentTimeouts;
}
/**
 * @stability stable
 */
export interface SpringCloudJavaDeploymentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SpringCloudJavaDeployment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SpringCloudJavaDeploymentConfig);
    private _cpu?;
    /**
     * @stability stable
     */
    get cpu(): number;
    /**
     * @stability stable
     */
    set cpu(value: number);
    /**
     * @stability stable
     */
    resetCpu(): void;
    /**
     * @stability stable
     */
    get cpuInput(): number | undefined;
    private _environmentVariables?;
    /**
     * @stability stable
     */
    get environmentVariables(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set environmentVariables(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetEnvironmentVariables(): void;
    /**
     * @stability stable
     */
    get environmentVariablesInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceCount?;
    /**
     * @stability stable
     */
    get instanceCount(): number;
    /**
     * @stability stable
     */
    set instanceCount(value: number);
    /**
     * @stability stable
     */
    resetInstanceCount(): void;
    /**
     * @stability stable
     */
    get instanceCountInput(): number | undefined;
    private _jvmOptions?;
    /**
     * @stability stable
     */
    get jvmOptions(): string;
    /**
     * @stability stable
     */
    set jvmOptions(value: string);
    /**
     * @stability stable
     */
    resetJvmOptions(): void;
    /**
     * @stability stable
     */
    get jvmOptionsInput(): string | undefined;
    private _memoryInGb?;
    /**
     * @stability stable
     */
    get memoryInGb(): number;
    /**
     * @stability stable
     */
    set memoryInGb(value: number);
    /**
     * @stability stable
     */
    resetMemoryInGb(): void;
    /**
     * @stability stable
     */
    get memoryInGbInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _runtimeVersion?;
    /**
     * @stability stable
     */
    get runtimeVersion(): string;
    /**
     * @stability stable
     */
    set runtimeVersion(value: string);
    /**
     * @stability stable
     */
    resetRuntimeVersion(): void;
    /**
     * @stability stable
     */
    get runtimeVersionInput(): string | undefined;
    private _springCloudAppId;
    /**
     * @stability stable
     */
    get springCloudAppId(): string;
    /**
     * @stability stable
     */
    set springCloudAppId(value: string);
    /**
     * @stability stable
     */
    get springCloudAppIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SpringCloudJavaDeploymentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SpringCloudJavaDeploymentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SpringCloudJavaDeploymentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
