import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SqlElasticpoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dbDtuMax?: number;
    /**
     * @stability stable
     */
    readonly dbDtuMin?: number;
    /**
     * @stability stable
     */
    readonly dtu: number;
    /**
     * @stability stable
     */
    readonly edition: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly poolSize?: number;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serverName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SqlElasticpoolTimeouts;
}
/**
 * @stability stable
 */
export interface SqlElasticpoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SqlElasticpool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SqlElasticpoolConfig);
    /**
     * @stability stable
     */
    get creationDate(): string;
    private _dbDtuMax?;
    /**
     * @stability stable
     */
    get dbDtuMax(): number;
    /**
     * @stability stable
     */
    set dbDtuMax(value: number);
    /**
     * @stability stable
     */
    resetDbDtuMax(): void;
    /**
     * @stability stable
     */
    get dbDtuMaxInput(): number | undefined;
    private _dbDtuMin?;
    /**
     * @stability stable
     */
    get dbDtuMin(): number;
    /**
     * @stability stable
     */
    set dbDtuMin(value: number);
    /**
     * @stability stable
     */
    resetDbDtuMin(): void;
    /**
     * @stability stable
     */
    get dbDtuMinInput(): number | undefined;
    private _dtu;
    /**
     * @stability stable
     */
    get dtu(): number;
    /**
     * @stability stable
     */
    set dtu(value: number);
    /**
     * @stability stable
     */
    get dtuInput(): number;
    private _edition;
    /**
     * @stability stable
     */
    get edition(): string;
    /**
     * @stability stable
     */
    set edition(value: string);
    /**
     * @stability stable
     */
    get editionInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _poolSize?;
    /**
     * @stability stable
     */
    get poolSize(): number;
    /**
     * @stability stable
     */
    set poolSize(value: number);
    /**
     * @stability stable
     */
    resetPoolSize(): void;
    /**
     * @stability stable
     */
    get poolSizeInput(): number | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serverName;
    /**
     * @stability stable
     */
    get serverName(): string;
    /**
     * @stability stable
     */
    set serverName(value: string);
    /**
     * @stability stable
     */
    get serverNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SqlElasticpoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SqlElasticpoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SqlElasticpoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
