import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SqlFailoverGroupConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly databases?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serverName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * partner_servers block.
     *
     * @stability stable
     */
    readonly partnerServers: SqlFailoverGroupPartnerServers[];
    /**
     * read_write_endpoint_failover_policy block.
     *
     * @stability stable
     */
    readonly readWriteEndpointFailoverPolicy: SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    /**
     * readonly_endpoint_failover_policy block.
     *
     * @stability stable
     */
    readonly readonlyEndpointFailoverPolicy?: SqlFailoverGroupReadonlyEndpointFailoverPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SqlFailoverGroupTimeouts;
}
/**
 * @stability stable
 */
export interface SqlFailoverGroupPartnerServers {
    /**
     * @stability stable
     */
    readonly id: string;
}
/**
 * @stability stable
 */
export interface SqlFailoverGroupReadWriteEndpointFailoverPolicy {
    /**
     * @stability stable
     */
    readonly graceMinutes?: number;
    /**
     * @stability stable
     */
    readonly mode: string;
}
/**
 * @stability stable
 */
export interface SqlFailoverGroupReadonlyEndpointFailoverPolicy {
    /**
     * @stability stable
     */
    readonly mode: string;
}
/**
 * @stability stable
 */
export interface SqlFailoverGroupTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SqlFailoverGroup extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SqlFailoverGroupConfig);
    private _databases?;
    /**
     * @stability stable
     */
    get databases(): string[];
    /**
     * @stability stable
     */
    set databases(value: string[]);
    /**
     * @stability stable
     */
    resetDatabases(): void;
    /**
     * @stability stable
     */
    get databasesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get location(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get role(): string;
    private _serverName;
    /**
     * @stability stable
     */
    get serverName(): string;
    /**
     * @stability stable
     */
    set serverName(value: string);
    /**
     * @stability stable
     */
    get serverNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _partnerServers;
    /**
     * @stability stable
     */
    get partnerServers(): SqlFailoverGroupPartnerServers[];
    /**
     * @stability stable
     */
    set partnerServers(value: SqlFailoverGroupPartnerServers[]);
    /**
     * @stability stable
     */
    get partnerServersInput(): SqlFailoverGroupPartnerServers[];
    private _readWriteEndpointFailoverPolicy;
    /**
     * @stability stable
     */
    get readWriteEndpointFailoverPolicy(): SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    /**
     * @stability stable
     */
    set readWriteEndpointFailoverPolicy(value: SqlFailoverGroupReadWriteEndpointFailoverPolicy[]);
    /**
     * @stability stable
     */
    get readWriteEndpointFailoverPolicyInput(): SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    private _readonlyEndpointFailoverPolicy?;
    /**
     * @stability stable
     */
    get readonlyEndpointFailoverPolicy(): SqlFailoverGroupReadonlyEndpointFailoverPolicy[];
    /**
     * @stability stable
     */
    set readonlyEndpointFailoverPolicy(value: SqlFailoverGroupReadonlyEndpointFailoverPolicy[]);
    /**
     * @stability stable
     */
    resetReadonlyEndpointFailoverPolicy(): void;
    /**
     * @stability stable
     */
    get readonlyEndpointFailoverPolicyInput(): SqlFailoverGroupReadonlyEndpointFailoverPolicy[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SqlFailoverGroupTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SqlFailoverGroupTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SqlFailoverGroupTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
