import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageAccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accessTier?: string;
    /**
     * @stability stable
     */
    readonly accountKind?: string;
    /**
     * @stability stable
     */
    readonly accountReplicationType: string;
    /**
     * @stability stable
     */
    readonly accountTier: string;
    /**
     * @stability stable
     */
    readonly allowBlobPublicAccess?: boolean;
    /**
     * @stability stable
     */
    readonly enableHttpsTrafficOnly?: boolean;
    /**
     * @stability stable
     */
    readonly isHnsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly largeFileShareEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly minTlsVersion?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * blob_properties block.
     *
     * @stability stable
     */
    readonly blobProperties?: StorageAccountBlobProperties[];
    /**
     * custom_domain block.
     *
     * @stability stable
     */
    readonly customDomain?: StorageAccountCustomDomain[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: StorageAccountIdentity[];
    /**
     * network_rules block.
     *
     * @stability stable
     */
    readonly networkRules?: StorageAccountNetworkRules[];
    /**
     * queue_properties block.
     *
     * @stability stable
     */
    readonly queueProperties?: StorageAccountQueueProperties[];
    /**
     * static_website block.
     *
     * @stability stable
     */
    readonly staticWebsite?: StorageAccountStaticWebsite[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageAccountTimeouts;
}
/**
 * @stability stable
 */
export interface StorageAccountBlobPropertiesContainerDeleteRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days?: number;
}
/**
 * @stability stable
 */
export interface StorageAccountBlobPropertiesCorsRule {
    /**
     * @stability stable
     */
    readonly allowedHeaders: string[];
    /**
     * @stability stable
     */
    readonly allowedMethods: string[];
    /**
     * @stability stable
     */
    readonly allowedOrigins: string[];
    /**
     * @stability stable
     */
    readonly exposedHeaders: string[];
    /**
     * @stability stable
     */
    readonly maxAgeInSeconds: number;
}
/**
 * @stability stable
 */
export interface StorageAccountBlobPropertiesDeleteRetentionPolicy {
    /**
     * @stability stable
     */
    readonly days?: number;
}
/**
 * @stability stable
 */
export interface StorageAccountBlobProperties {
    /**
     * container_delete_retention_policy block.
     *
     * @stability stable
     */
    readonly containerDeleteRetentionPolicy?: StorageAccountBlobPropertiesContainerDeleteRetentionPolicy[];
    /**
     * cors_rule block.
     *
     * @stability stable
     */
    readonly corsRule?: StorageAccountBlobPropertiesCorsRule[];
    /**
     * delete_retention_policy block.
     *
     * @stability stable
     */
    readonly deleteRetentionPolicy?: StorageAccountBlobPropertiesDeleteRetentionPolicy[];
}
/**
 * @stability stable
 */
export interface StorageAccountCustomDomain {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly useSubdomain?: boolean;
}
/**
 * @stability stable
 */
export interface StorageAccountIdentity {
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StorageAccountNetworkRules {
    /**
     * @stability stable
     */
    readonly bypass?: string[];
    /**
     * @stability stable
     */
    readonly defaultAction: string;
    /**
     * @stability stable
     */
    readonly ipRules?: string[];
    /**
     * @stability stable
     */
    readonly virtualNetworkSubnetIds?: string[];
}
/**
 * @stability stable
 */
export interface StorageAccountQueuePropertiesCorsRule {
    /**
     * @stability stable
     */
    readonly allowedHeaders: string[];
    /**
     * @stability stable
     */
    readonly allowedMethods: string[];
    /**
     * @stability stable
     */
    readonly allowedOrigins: string[];
    /**
     * @stability stable
     */
    readonly exposedHeaders: string[];
    /**
     * @stability stable
     */
    readonly maxAgeInSeconds: number;
}
/**
 * @stability stable
 */
export interface StorageAccountQueuePropertiesHourMetrics {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly includeApis?: boolean;
    /**
     * @stability stable
     */
    readonly retentionPolicyDays?: number;
    /**
     * @stability stable
     */
    readonly version: string;
}
/**
 * @stability stable
 */
export interface StorageAccountQueuePropertiesLogging {
    /**
     * @stability stable
     */
    readonly delete: boolean;
    /**
     * @stability stable
     */
    readonly read: boolean;
    /**
     * @stability stable
     */
    readonly retentionPolicyDays?: number;
    /**
     * @stability stable
     */
    readonly version: string;
    /**
     * @stability stable
     */
    readonly write: boolean;
}
/**
 * @stability stable
 */
export interface StorageAccountQueuePropertiesMinuteMetrics {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly includeApis?: boolean;
    /**
     * @stability stable
     */
    readonly retentionPolicyDays?: number;
    /**
     * @stability stable
     */
    readonly version: string;
}
/**
 * @stability stable
 */
export interface StorageAccountQueueProperties {
    /**
     * cors_rule block.
     *
     * @stability stable
     */
    readonly corsRule?: StorageAccountQueuePropertiesCorsRule[];
    /**
     * hour_metrics block.
     *
     * @stability stable
     */
    readonly hourMetrics?: StorageAccountQueuePropertiesHourMetrics[];
    /**
     * logging block.
     *
     * @stability stable
     */
    readonly logging?: StorageAccountQueuePropertiesLogging[];
    /**
     * minute_metrics block.
     *
     * @stability stable
     */
    readonly minuteMetrics?: StorageAccountQueuePropertiesMinuteMetrics[];
}
/**
 * @stability stable
 */
export interface StorageAccountStaticWebsite {
    /**
     * @stability stable
     */
    readonly error404Document?: string;
    /**
     * @stability stable
     */
    readonly indexDocument?: string;
}
/**
 * @stability stable
 */
export interface StorageAccountTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageAccount extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageAccountConfig);
    private _accessTier?;
    /**
     * @stability stable
     */
    get accessTier(): string;
    /**
     * @stability stable
     */
    set accessTier(value: string);
    /**
     * @stability stable
     */
    resetAccessTier(): void;
    /**
     * @stability stable
     */
    get accessTierInput(): string | undefined;
    private _accountKind?;
    /**
     * @stability stable
     */
    get accountKind(): string;
    /**
     * @stability stable
     */
    set accountKind(value: string);
    /**
     * @stability stable
     */
    resetAccountKind(): void;
    /**
     * @stability stable
     */
    get accountKindInput(): string | undefined;
    private _accountReplicationType;
    /**
     * @stability stable
     */
    get accountReplicationType(): string;
    /**
     * @stability stable
     */
    set accountReplicationType(value: string);
    /**
     * @stability stable
     */
    get accountReplicationTypeInput(): string;
    private _accountTier;
    /**
     * @stability stable
     */
    get accountTier(): string;
    /**
     * @stability stable
     */
    set accountTier(value: string);
    /**
     * @stability stable
     */
    get accountTierInput(): string;
    private _allowBlobPublicAccess?;
    /**
     * @stability stable
     */
    get allowBlobPublicAccess(): boolean;
    /**
     * @stability stable
     */
    set allowBlobPublicAccess(value: boolean);
    /**
     * @stability stable
     */
    resetAllowBlobPublicAccess(): void;
    /**
     * @stability stable
     */
    get allowBlobPublicAccessInput(): boolean | undefined;
    private _enableHttpsTrafficOnly?;
    /**
     * @stability stable
     */
    get enableHttpsTrafficOnly(): boolean;
    /**
     * @stability stable
     */
    set enableHttpsTrafficOnly(value: boolean);
    /**
     * @stability stable
     */
    resetEnableHttpsTrafficOnly(): void;
    /**
     * @stability stable
     */
    get enableHttpsTrafficOnlyInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _isHnsEnabled?;
    /**
     * @stability stable
     */
    get isHnsEnabled(): boolean;
    /**
     * @stability stable
     */
    set isHnsEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetIsHnsEnabled(): void;
    /**
     * @stability stable
     */
    get isHnsEnabledInput(): boolean | undefined;
    private _largeFileShareEnabled?;
    /**
     * @stability stable
     */
    get largeFileShareEnabled(): boolean;
    /**
     * @stability stable
     */
    set largeFileShareEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetLargeFileShareEnabled(): void;
    /**
     * @stability stable
     */
    get largeFileShareEnabledInput(): boolean | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _minTlsVersion?;
    /**
     * @stability stable
     */
    get minTlsVersion(): string;
    /**
     * @stability stable
     */
    set minTlsVersion(value: string);
    /**
     * @stability stable
     */
    resetMinTlsVersion(): void;
    /**
     * @stability stable
     */
    get minTlsVersionInput(): string | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get primaryAccessKey(): string;
    /**
     * @stability stable
     */
    get primaryBlobConnectionString(): string;
    /**
     * @stability stable
     */
    get primaryBlobEndpoint(): string;
    /**
     * @stability stable
     */
    get primaryBlobHost(): string;
    /**
     * @stability stable
     */
    get primaryConnectionString(): string;
    /**
     * @stability stable
     */
    get primaryDfsEndpoint(): string;
    /**
     * @stability stable
     */
    get primaryDfsHost(): string;
    /**
     * @stability stable
     */
    get primaryFileEndpoint(): string;
    /**
     * @stability stable
     */
    get primaryFileHost(): string;
    /**
     * @stability stable
     */
    get primaryLocation(): string;
    /**
     * @stability stable
     */
    get primaryQueueEndpoint(): string;
    /**
     * @stability stable
     */
    get primaryQueueHost(): string;
    /**
     * @stability stable
     */
    get primaryTableEndpoint(): string;
    /**
     * @stability stable
     */
    get primaryTableHost(): string;
    /**
     * @stability stable
     */
    get primaryWebEndpoint(): string;
    /**
     * @stability stable
     */
    get primaryWebHost(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    /**
     * @stability stable
     */
    get secondaryAccessKey(): string;
    /**
     * @stability stable
     */
    get secondaryBlobConnectionString(): string;
    /**
     * @stability stable
     */
    get secondaryBlobEndpoint(): string;
    /**
     * @stability stable
     */
    get secondaryBlobHost(): string;
    /**
     * @stability stable
     */
    get secondaryConnectionString(): string;
    /**
     * @stability stable
     */
    get secondaryDfsEndpoint(): string;
    /**
     * @stability stable
     */
    get secondaryDfsHost(): string;
    /**
     * @stability stable
     */
    get secondaryFileEndpoint(): string;
    /**
     * @stability stable
     */
    get secondaryFileHost(): string;
    /**
     * @stability stable
     */
    get secondaryLocation(): string;
    /**
     * @stability stable
     */
    get secondaryQueueEndpoint(): string;
    /**
     * @stability stable
     */
    get secondaryQueueHost(): string;
    /**
     * @stability stable
     */
    get secondaryTableEndpoint(): string;
    /**
     * @stability stable
     */
    get secondaryTableHost(): string;
    /**
     * @stability stable
     */
    get secondaryWebEndpoint(): string;
    /**
     * @stability stable
     */
    get secondaryWebHost(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _blobProperties?;
    /**
     * @stability stable
     */
    get blobProperties(): StorageAccountBlobProperties[];
    /**
     * @stability stable
     */
    set blobProperties(value: StorageAccountBlobProperties[]);
    /**
     * @stability stable
     */
    resetBlobProperties(): void;
    /**
     * @stability stable
     */
    get blobPropertiesInput(): StorageAccountBlobProperties[] | undefined;
    private _customDomain?;
    /**
     * @stability stable
     */
    get customDomain(): StorageAccountCustomDomain[];
    /**
     * @stability stable
     */
    set customDomain(value: StorageAccountCustomDomain[]);
    /**
     * @stability stable
     */
    resetCustomDomain(): void;
    /**
     * @stability stable
     */
    get customDomainInput(): StorageAccountCustomDomain[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): StorageAccountIdentity[];
    /**
     * @stability stable
     */
    set identity(value: StorageAccountIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): StorageAccountIdentity[] | undefined;
    private _networkRules?;
    /**
     * @stability stable
     */
    get networkRules(): StorageAccountNetworkRules[];
    /**
     * @stability stable
     */
    set networkRules(value: StorageAccountNetworkRules[]);
    /**
     * @stability stable
     */
    resetNetworkRules(): void;
    /**
     * @stability stable
     */
    get networkRulesInput(): StorageAccountNetworkRules[] | undefined;
    private _queueProperties?;
    /**
     * @stability stable
     */
    get queueProperties(): StorageAccountQueueProperties[];
    /**
     * @stability stable
     */
    set queueProperties(value: StorageAccountQueueProperties[]);
    /**
     * @stability stable
     */
    resetQueueProperties(): void;
    /**
     * @stability stable
     */
    get queuePropertiesInput(): StorageAccountQueueProperties[] | undefined;
    private _staticWebsite?;
    /**
     * @stability stable
     */
    get staticWebsite(): StorageAccountStaticWebsite[];
    /**
     * @stability stable
     */
    set staticWebsite(value: StorageAccountStaticWebsite[]);
    /**
     * @stability stable
     */
    resetStaticWebsite(): void;
    /**
     * @stability stable
     */
    get staticWebsiteInput(): StorageAccountStaticWebsite[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageAccountTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageAccountTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageAccountTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
