import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageContainerConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly containerAccessType?: string;
    /**
     * @stability stable
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageContainerTimeouts;
}
/**
 * @stability stable
 */
export interface StorageContainerTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageContainer extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageContainerConfig);
    private _containerAccessType?;
    /**
     * @stability stable
     */
    get containerAccessType(): string;
    /**
     * @stability stable
     */
    set containerAccessType(value: string);
    /**
     * @stability stable
     */
    resetContainerAccessType(): void;
    /**
     * @stability stable
     */
    get containerAccessTypeInput(): string | undefined;
    /**
     * @stability stable
     */
    get hasImmutabilityPolicy(): boolean;
    /**
     * @stability stable
     */
    get hasLegalHold(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _metadata?;
    /**
     * @stability stable
     */
    get metadata(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set metadata(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetMetadata(): void;
    /**
     * @stability stable
     */
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get resourceManagerId(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageContainerTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageContainerTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageContainerTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
