import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageDataLakeGen2FilesystemConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly properties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * ace block.
     *
     * @stability stable
     */
    readonly ace?: StorageDataLakeGen2FilesystemAce[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageDataLakeGen2FilesystemTimeouts;
}
/**
 * @stability stable
 */
export interface StorageDataLakeGen2FilesystemAce {
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly permissions: string;
    /**
     * @stability stable
     */
    readonly scope?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StorageDataLakeGen2FilesystemTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageDataLakeGen2Filesystem extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageDataLakeGen2FilesystemConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _properties?;
    /**
     * @stability stable
     */
    get properties(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set properties(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetProperties(): void;
    /**
     * @stability stable
     */
    get propertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _storageAccountId;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string;
    private _ace?;
    /**
     * @stability stable
     */
    get ace(): StorageDataLakeGen2FilesystemAce[];
    /**
     * @stability stable
     */
    set ace(value: StorageDataLakeGen2FilesystemAce[]);
    /**
     * @stability stable
     */
    resetAce(): void;
    /**
     * @stability stable
     */
    get aceInput(): StorageDataLakeGen2FilesystemAce[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageDataLakeGen2FilesystemTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageDataLakeGen2FilesystemTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageDataLakeGen2FilesystemTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
