import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageDataLakeGen2PathConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly filesystemName: string;
    /**
     * @stability stable
     */
    readonly group?: string;
    /**
     * @stability stable
     */
    readonly owner?: string;
    /**
     * @stability stable
     */
    readonly path: string;
    /**
     * @stability stable
     */
    readonly resource: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * ace block.
     *
     * @stability stable
     */
    readonly ace?: StorageDataLakeGen2PathAce[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageDataLakeGen2PathTimeouts;
}
/**
 * @stability stable
 */
export interface StorageDataLakeGen2PathAce {
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly permissions: string;
    /**
     * @stability stable
     */
    readonly scope?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StorageDataLakeGen2PathTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageDataLakeGen2Path extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageDataLakeGen2PathConfig);
    private _filesystemName;
    /**
     * @stability stable
     */
    get filesystemName(): string;
    /**
     * @stability stable
     */
    set filesystemName(value: string);
    /**
     * @stability stable
     */
    get filesystemNameInput(): string;
    private _group?;
    /**
     * @stability stable
     */
    get group(): string;
    /**
     * @stability stable
     */
    set group(value: string);
    /**
     * @stability stable
     */
    resetGroup(): void;
    /**
     * @stability stable
     */
    get groupInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _owner?;
    /**
     * @stability stable
     */
    get owner(): string;
    /**
     * @stability stable
     */
    set owner(value: string);
    /**
     * @stability stable
     */
    resetOwner(): void;
    /**
     * @stability stable
     */
    get ownerInput(): string | undefined;
    private _path;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    set path(value: string);
    /**
     * @stability stable
     */
    get pathInput(): string;
    private _resource;
    /**
     * @stability stable
     */
    get resource(): string;
    /**
     * @stability stable
     */
    set resource(value: string);
    /**
     * @stability stable
     */
    get resourceInput(): string;
    private _storageAccountId;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string;
    private _ace?;
    /**
     * @stability stable
     */
    get ace(): StorageDataLakeGen2PathAce[];
    /**
     * @stability stable
     */
    set ace(value: StorageDataLakeGen2PathAce[]);
    /**
     * @stability stable
     */
    resetAce(): void;
    /**
     * @stability stable
     */
    get aceInput(): StorageDataLakeGen2PathAce[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageDataLakeGen2PathTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageDataLakeGen2PathTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageDataLakeGen2PathTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
