import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageManagementPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule?: StorageManagementPolicyRule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageManagementPolicyTimeouts;
}
/**
 * @stability stable
 */
export interface StorageManagementPolicyRuleActionsBaseBlob {
    /**
     * @stability stable
     */
    readonly deleteAfterDaysSinceModificationGreaterThan?: number;
    /**
     * @stability stable
     */
    readonly tierToArchiveAfterDaysSinceModificationGreaterThan?: number;
    /**
     * @stability stable
     */
    readonly tierToCoolAfterDaysSinceModificationGreaterThan?: number;
}
/**
 * @stability stable
 */
export interface StorageManagementPolicyRuleActionsSnapshot {
    /**
     * @stability stable
     */
    readonly deleteAfterDaysSinceCreationGreaterThan?: number;
}
/**
 * @stability stable
 */
export interface StorageManagementPolicyRuleActions {
    /**
     * base_blob block.
     *
     * @stability stable
     */
    readonly baseBlob?: StorageManagementPolicyRuleActionsBaseBlob[];
    /**
     * snapshot block.
     *
     * @stability stable
     */
    readonly snapshot?: StorageManagementPolicyRuleActionsSnapshot[];
}
/**
 * @stability stable
 */
export interface StorageManagementPolicyRuleFilters {
    /**
     * @stability stable
     */
    readonly blobTypes?: string[];
    /**
     * @stability stable
     */
    readonly prefixMatch?: string[];
}
/**
 * @stability stable
 */
export interface StorageManagementPolicyRule {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * actions block.
     *
     * @stability stable
     */
    readonly actions: StorageManagementPolicyRuleActions[];
    /**
     * filters block.
     *
     * @stability stable
     */
    readonly filters?: StorageManagementPolicyRuleFilters[];
}
/**
 * @stability stable
 */
export interface StorageManagementPolicyTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageManagementPolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageManagementPolicyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _storageAccountId;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string;
    private _rule?;
    /**
     * @stability stable
     */
    get rule(): StorageManagementPolicyRule[];
    /**
     * @stability stable
     */
    set rule(value: StorageManagementPolicyRule[]);
    /**
     * @stability stable
     */
    resetRule(): void;
    /**
     * @stability stable
     */
    get ruleInput(): StorageManagementPolicyRule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageManagementPolicyTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageManagementPolicyTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageManagementPolicyTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
