import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageShareConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly quota?: number;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * acl block.
     *
     * @stability stable
     */
    readonly acl?: StorageShareAcl[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageShareTimeouts;
}
/**
 * @stability stable
 */
export interface StorageShareAclAccessPolicy {
    /**
     * @stability stable
     */
    readonly expiry?: string;
    /**
     * @stability stable
     */
    readonly permissions: string;
    /**
     * @stability stable
     */
    readonly start?: string;
}
/**
 * @stability stable
 */
export interface StorageShareAcl {
    /**
     * @stability stable
     */
    readonly id: string;
    /**
     * access_policy block.
     *
     * @stability stable
     */
    readonly accessPolicy?: StorageShareAclAccessPolicy[];
}
/**
 * @stability stable
 */
export interface StorageShareTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageShare extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageShareConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _metadata?;
    /**
     * @stability stable
     */
    get metadata(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set metadata(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetMetadata(): void;
    /**
     * @stability stable
     */
    get metadataInput(): {
        [key: string]: string;
    } | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _quota?;
    /**
     * @stability stable
     */
    get quota(): number;
    /**
     * @stability stable
     */
    set quota(value: number);
    /**
     * @stability stable
     */
    resetQuota(): void;
    /**
     * @stability stable
     */
    get quotaInput(): number | undefined;
    /**
     * @stability stable
     */
    get resourceManagerId(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    /**
     * @stability stable
     */
    get url(): string;
    private _acl?;
    /**
     * @stability stable
     */
    get acl(): StorageShareAcl[];
    /**
     * @stability stable
     */
    set acl(value: StorageShareAcl[]);
    /**
     * @stability stable
     */
    resetAcl(): void;
    /**
     * @stability stable
     */
    get aclInput(): StorageShareAcl[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageShareTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageShareTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageShareTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
