import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageSyncCloudEndpointConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly fileShareName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly storageAccountId: string;
    /**
     * @stability stable
     */
    readonly storageAccountTenantId?: string;
    /**
     * @stability stable
     */
    readonly storageSyncGroupId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageSyncCloudEndpointTimeouts;
}
/**
 * @stability stable
 */
export interface StorageSyncCloudEndpointTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class StorageSyncCloudEndpoint extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageSyncCloudEndpointConfig);
    private _fileShareName;
    /**
     * @stability stable
     */
    get fileShareName(): string;
    /**
     * @stability stable
     */
    set fileShareName(value: string);
    /**
     * @stability stable
     */
    get fileShareNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _storageAccountId;
    /**
     * @stability stable
     */
    get storageAccountId(): string;
    /**
     * @stability stable
     */
    set storageAccountId(value: string);
    /**
     * @stability stable
     */
    get storageAccountIdInput(): string;
    private _storageAccountTenantId?;
    /**
     * @stability stable
     */
    get storageAccountTenantId(): string;
    /**
     * @stability stable
     */
    set storageAccountTenantId(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountTenantId(): void;
    /**
     * @stability stable
     */
    get storageAccountTenantIdInput(): string | undefined;
    private _storageSyncGroupId;
    /**
     * @stability stable
     */
    get storageSyncGroupId(): string;
    /**
     * @stability stable
     */
    set storageSyncGroupId(value: string);
    /**
     * @stability stable
     */
    get storageSyncGroupIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageSyncCloudEndpointTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageSyncCloudEndpointTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageSyncCloudEndpointTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
