import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageTableEntityConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly entity: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly partitionKey: string;
    /**
     * @stability stable
     */
    readonly rowKey: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * @stability stable
     */
    readonly tableName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageTableEntityTimeouts;
}
/**
 * @stability stable
 */
export interface StorageTableEntityTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageTableEntity extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageTableEntityConfig);
    private _entity;
    /**
     * @stability stable
     */
    get entity(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set entity(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    get entityInput(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    get id(): string;
    private _partitionKey;
    /**
     * @stability stable
     */
    get partitionKey(): string;
    /**
     * @stability stable
     */
    set partitionKey(value: string);
    /**
     * @stability stable
     */
    get partitionKeyInput(): string;
    private _rowKey;
    /**
     * @stability stable
     */
    get rowKey(): string;
    /**
     * @stability stable
     */
    set rowKey(value: string);
    /**
     * @stability stable
     */
    get rowKeyInput(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    private _tableName;
    /**
     * @stability stable
     */
    get tableName(): string;
    /**
     * @stability stable
     */
    set tableName(value: string);
    /**
     * @stability stable
     */
    get tableNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageTableEntityTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageTableEntityTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageTableEntityTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
