import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StorageTableConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * acl block.
     *
     * @stability stable
     */
    readonly acl?: StorageTableAcl[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StorageTableTimeouts;
}
/**
 * @stability stable
 */
export interface StorageTableAclAccessPolicy {
    /**
     * @stability stable
     */
    readonly expiry: string;
    /**
     * @stability stable
     */
    readonly permissions: string;
    /**
     * @stability stable
     */
    readonly start: string;
}
/**
 * @stability stable
 */
export interface StorageTableAcl {
    /**
     * @stability stable
     */
    readonly id: string;
    /**
     * access_policy block.
     *
     * @stability stable
     */
    readonly accessPolicy?: StorageTableAclAccessPolicy[];
}
/**
 * @stability stable
 */
export interface StorageTableTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StorageTable extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StorageTableConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    private _acl?;
    /**
     * @stability stable
     */
    get acl(): StorageTableAcl[];
    /**
     * @stability stable
     */
    set acl(value: StorageTableAcl[]);
    /**
     * @stability stable
     */
    resetAcl(): void;
    /**
     * @stability stable
     */
    get aclInput(): StorageTableAcl[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StorageTableTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StorageTableTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StorageTableTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
