import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StreamAnalyticsFunctionJavascriptUdfConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly script: string;
    /**
     * @stability stable
     */
    readonly streamAnalyticsJobName: string;
    /**
     * input block.
     *
     * @stability stable
     */
    readonly input: StreamAnalyticsFunctionJavascriptUdfInput[];
    /**
     * output block.
     *
     * @stability stable
     */
    readonly output: StreamAnalyticsFunctionJavascriptUdfOutput[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StreamAnalyticsFunctionJavascriptUdfTimeouts;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsFunctionJavascriptUdfInput {
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsFunctionJavascriptUdfOutput {
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsFunctionJavascriptUdfTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StreamAnalyticsFunctionJavascriptUdf extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsFunctionJavascriptUdfConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _script;
    /**
     * @stability stable
     */
    get script(): string;
    /**
     * @stability stable
     */
    set script(value: string);
    /**
     * @stability stable
     */
    get scriptInput(): string;
    private _streamAnalyticsJobName;
    /**
     * @stability stable
     */
    get streamAnalyticsJobName(): string;
    /**
     * @stability stable
     */
    set streamAnalyticsJobName(value: string);
    /**
     * @stability stable
     */
    get streamAnalyticsJobNameInput(): string;
    private _input;
    /**
     * @stability stable
     */
    get input(): StreamAnalyticsFunctionJavascriptUdfInput[];
    /**
     * @stability stable
     */
    set input(value: StreamAnalyticsFunctionJavascriptUdfInput[]);
    /**
     * @stability stable
     */
    get inputInput(): StreamAnalyticsFunctionJavascriptUdfInput[];
    private _output;
    /**
     * @stability stable
     */
    get output(): StreamAnalyticsFunctionJavascriptUdfOutput[];
    /**
     * @stability stable
     */
    set output(value: StreamAnalyticsFunctionJavascriptUdfOutput[]);
    /**
     * @stability stable
     */
    get outputInput(): StreamAnalyticsFunctionJavascriptUdfOutput[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StreamAnalyticsFunctionJavascriptUdfTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StreamAnalyticsFunctionJavascriptUdfTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StreamAnalyticsFunctionJavascriptUdfTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
