import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StreamAnalyticsJobConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly compatibilityLevel?: string;
    /**
     * @stability stable
     */
    readonly dataLocale?: string;
    /**
     * @stability stable
     */
    readonly eventsLateArrivalMaxDelayInSeconds?: number;
    /**
     * @stability stable
     */
    readonly eventsOutOfOrderMaxDelayInSeconds?: number;
    /**
     * @stability stable
     */
    readonly eventsOutOfOrderPolicy?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly outputErrorPolicy?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly streamingUnits: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly transformationQuery: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StreamAnalyticsJobTimeouts;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsJobTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StreamAnalyticsJob extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsJobConfig);
    private _compatibilityLevel?;
    /**
     * @stability stable
     */
    get compatibilityLevel(): string;
    /**
     * @stability stable
     */
    set compatibilityLevel(value: string);
    /**
     * @stability stable
     */
    resetCompatibilityLevel(): void;
    /**
     * @stability stable
     */
    get compatibilityLevelInput(): string | undefined;
    private _dataLocale?;
    /**
     * @stability stable
     */
    get dataLocale(): string;
    /**
     * @stability stable
     */
    set dataLocale(value: string);
    /**
     * @stability stable
     */
    resetDataLocale(): void;
    /**
     * @stability stable
     */
    get dataLocaleInput(): string | undefined;
    private _eventsLateArrivalMaxDelayInSeconds?;
    /**
     * @stability stable
     */
    get eventsLateArrivalMaxDelayInSeconds(): number;
    /**
     * @stability stable
     */
    set eventsLateArrivalMaxDelayInSeconds(value: number);
    /**
     * @stability stable
     */
    resetEventsLateArrivalMaxDelayInSeconds(): void;
    /**
     * @stability stable
     */
    get eventsLateArrivalMaxDelayInSecondsInput(): number | undefined;
    private _eventsOutOfOrderMaxDelayInSeconds?;
    /**
     * @stability stable
     */
    get eventsOutOfOrderMaxDelayInSeconds(): number;
    /**
     * @stability stable
     */
    set eventsOutOfOrderMaxDelayInSeconds(value: number);
    /**
     * @stability stable
     */
    resetEventsOutOfOrderMaxDelayInSeconds(): void;
    /**
     * @stability stable
     */
    get eventsOutOfOrderMaxDelayInSecondsInput(): number | undefined;
    private _eventsOutOfOrderPolicy?;
    /**
     * @stability stable
     */
    get eventsOutOfOrderPolicy(): string;
    /**
     * @stability stable
     */
    set eventsOutOfOrderPolicy(value: string);
    /**
     * @stability stable
     */
    resetEventsOutOfOrderPolicy(): void;
    /**
     * @stability stable
     */
    get eventsOutOfOrderPolicyInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get jobId(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _outputErrorPolicy?;
    /**
     * @stability stable
     */
    get outputErrorPolicy(): string;
    /**
     * @stability stable
     */
    set outputErrorPolicy(value: string);
    /**
     * @stability stable
     */
    resetOutputErrorPolicy(): void;
    /**
     * @stability stable
     */
    get outputErrorPolicyInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _streamingUnits;
    /**
     * @stability stable
     */
    get streamingUnits(): number;
    /**
     * @stability stable
     */
    set streamingUnits(value: number);
    /**
     * @stability stable
     */
    get streamingUnitsInput(): number;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _transformationQuery;
    /**
     * @stability stable
     */
    get transformationQuery(): string;
    /**
     * @stability stable
     */
    set transformationQuery(value: string);
    /**
     * @stability stable
     */
    get transformationQueryInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StreamAnalyticsJobTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StreamAnalyticsJobTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StreamAnalyticsJobTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
