import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StreamAnalyticsOutputEventhubConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly eventhubName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly servicebusNamespace: string;
    /**
     * @stability stable
     */
    readonly sharedAccessPolicyKey: string;
    /**
     * @stability stable
     */
    readonly sharedAccessPolicyName: string;
    /**
     * @stability stable
     */
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     *
     * @stability stable
     */
    readonly serialization: StreamAnalyticsOutputEventhubSerialization[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StreamAnalyticsOutputEventhubTimeouts;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsOutputEventhubSerialization {
    /**
     * @stability stable
     */
    readonly encoding?: string;
    /**
     * @stability stable
     */
    readonly fieldDelimiter?: string;
    /**
     * @stability stable
     */
    readonly format?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsOutputEventhubTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StreamAnalyticsOutputEventhub extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputEventhubConfig);
    private _eventhubName;
    /**
     * @stability stable
     */
    get eventhubName(): string;
    /**
     * @stability stable
     */
    set eventhubName(value: string);
    /**
     * @stability stable
     */
    get eventhubNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _servicebusNamespace;
    /**
     * @stability stable
     */
    get servicebusNamespace(): string;
    /**
     * @stability stable
     */
    set servicebusNamespace(value: string);
    /**
     * @stability stable
     */
    get servicebusNamespaceInput(): string;
    private _sharedAccessPolicyKey;
    /**
     * @stability stable
     */
    get sharedAccessPolicyKey(): string;
    /**
     * @stability stable
     */
    set sharedAccessPolicyKey(value: string);
    /**
     * @stability stable
     */
    get sharedAccessPolicyKeyInput(): string;
    private _sharedAccessPolicyName;
    /**
     * @stability stable
     */
    get sharedAccessPolicyName(): string;
    /**
     * @stability stable
     */
    set sharedAccessPolicyName(value: string);
    /**
     * @stability stable
     */
    get sharedAccessPolicyNameInput(): string;
    private _streamAnalyticsJobName;
    /**
     * @stability stable
     */
    get streamAnalyticsJobName(): string;
    /**
     * @stability stable
     */
    set streamAnalyticsJobName(value: string);
    /**
     * @stability stable
     */
    get streamAnalyticsJobNameInput(): string;
    private _serialization;
    /**
     * @stability stable
     */
    get serialization(): StreamAnalyticsOutputEventhubSerialization[];
    /**
     * @stability stable
     */
    set serialization(value: StreamAnalyticsOutputEventhubSerialization[]);
    /**
     * @stability stable
     */
    get serializationInput(): StreamAnalyticsOutputEventhubSerialization[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StreamAnalyticsOutputEventhubTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StreamAnalyticsOutputEventhubTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StreamAnalyticsOutputEventhubTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
