import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface StreamAnalyticsReferenceInputBlobConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dateFormat: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly pathPattern: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly storageAccountKey: string;
    /**
     * @stability stable
     */
    readonly storageAccountName: string;
    /**
     * @stability stable
     */
    readonly storageContainerName: string;
    /**
     * @stability stable
     */
    readonly streamAnalyticsJobName: string;
    /**
     * @stability stable
     */
    readonly timeFormat: string;
    /**
     * serialization block.
     *
     * @stability stable
     */
    readonly serialization: StreamAnalyticsReferenceInputBlobSerialization[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StreamAnalyticsReferenceInputBlobTimeouts;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsReferenceInputBlobSerialization {
    /**
     * @stability stable
     */
    readonly encoding?: string;
    /**
     * @stability stable
     */
    readonly fieldDelimiter?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface StreamAnalyticsReferenceInputBlobTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StreamAnalyticsReferenceInputBlob extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsReferenceInputBlobConfig);
    private _dateFormat;
    /**
     * @stability stable
     */
    get dateFormat(): string;
    /**
     * @stability stable
     */
    set dateFormat(value: string);
    /**
     * @stability stable
     */
    get dateFormatInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _pathPattern;
    /**
     * @stability stable
     */
    get pathPattern(): string;
    /**
     * @stability stable
     */
    set pathPattern(value: string);
    /**
     * @stability stable
     */
    get pathPatternInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _storageAccountKey;
    /**
     * @stability stable
     */
    get storageAccountKey(): string;
    /**
     * @stability stable
     */
    set storageAccountKey(value: string);
    /**
     * @stability stable
     */
    get storageAccountKeyInput(): string;
    private _storageAccountName;
    /**
     * @stability stable
     */
    get storageAccountName(): string;
    /**
     * @stability stable
     */
    set storageAccountName(value: string);
    /**
     * @stability stable
     */
    get storageAccountNameInput(): string;
    private _storageContainerName;
    /**
     * @stability stable
     */
    get storageContainerName(): string;
    /**
     * @stability stable
     */
    set storageContainerName(value: string);
    /**
     * @stability stable
     */
    get storageContainerNameInput(): string;
    private _streamAnalyticsJobName;
    /**
     * @stability stable
     */
    get streamAnalyticsJobName(): string;
    /**
     * @stability stable
     */
    set streamAnalyticsJobName(value: string);
    /**
     * @stability stable
     */
    get streamAnalyticsJobNameInput(): string;
    private _timeFormat;
    /**
     * @stability stable
     */
    get timeFormat(): string;
    /**
     * @stability stable
     */
    set timeFormat(value: string);
    /**
     * @stability stable
     */
    get timeFormatInput(): string;
    private _serialization;
    /**
     * @stability stable
     */
    get serialization(): StreamAnalyticsReferenceInputBlobSerialization[];
    /**
     * @stability stable
     */
    set serialization(value: StreamAnalyticsReferenceInputBlobSerialization[]);
    /**
     * @stability stable
     */
    get serializationInput(): StreamAnalyticsReferenceInputBlobSerialization[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StreamAnalyticsReferenceInputBlobTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StreamAnalyticsReferenceInputBlobTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StreamAnalyticsReferenceInputBlobTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
