import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SubnetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly addressPrefix?: string;
    /**
     * @stability stable
     */
    readonly addressPrefixes?: string[];
    /**
     * @stability stable
     */
    readonly enforcePrivateLinkEndpointNetworkPolicies?: boolean;
    /**
     * @stability stable
     */
    readonly enforcePrivateLinkServiceNetworkPolicies?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly serviceEndpointPolicyIds?: string[];
    /**
     * @stability stable
     */
    readonly serviceEndpoints?: string[];
    /**
     * @stability stable
     */
    readonly virtualNetworkName: string;
    /**
     * delegation block.
     *
     * @stability stable
     */
    readonly delegation?: SubnetDelegation[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SubnetTimeouts;
}
/**
 * @stability stable
 */
export interface SubnetDelegationServiceDelegation {
    /**
     * @stability stable
     */
    readonly actions?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface SubnetDelegation {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * service_delegation block.
     *
     * @stability stable
     */
    readonly serviceDelegation: SubnetDelegationServiceDelegation[];
}
/**
 * @stability stable
 */
export interface SubnetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class Subnet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SubnetConfig);
    private _addressPrefix?;
    /**
     * @stability stable
     */
    get addressPrefix(): string;
    /**
     * @stability stable
     */
    set addressPrefix(value: string);
    /**
     * @stability stable
     */
    resetAddressPrefix(): void;
    /**
     * @stability stable
     */
    get addressPrefixInput(): string | undefined;
    private _addressPrefixes?;
    /**
     * @stability stable
     */
    get addressPrefixes(): string[];
    /**
     * @stability stable
     */
    set addressPrefixes(value: string[]);
    /**
     * @stability stable
     */
    resetAddressPrefixes(): void;
    /**
     * @stability stable
     */
    get addressPrefixesInput(): string[] | undefined;
    private _enforcePrivateLinkEndpointNetworkPolicies?;
    /**
     * @stability stable
     */
    get enforcePrivateLinkEndpointNetworkPolicies(): boolean;
    /**
     * @stability stable
     */
    set enforcePrivateLinkEndpointNetworkPolicies(value: boolean);
    /**
     * @stability stable
     */
    resetEnforcePrivateLinkEndpointNetworkPolicies(): void;
    /**
     * @stability stable
     */
    get enforcePrivateLinkEndpointNetworkPoliciesInput(): boolean | undefined;
    private _enforcePrivateLinkServiceNetworkPolicies?;
    /**
     * @stability stable
     */
    get enforcePrivateLinkServiceNetworkPolicies(): boolean;
    /**
     * @stability stable
     */
    set enforcePrivateLinkServiceNetworkPolicies(value: boolean);
    /**
     * @stability stable
     */
    resetEnforcePrivateLinkServiceNetworkPolicies(): void;
    /**
     * @stability stable
     */
    get enforcePrivateLinkServiceNetworkPoliciesInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _serviceEndpointPolicyIds?;
    /**
     * @stability stable
     */
    get serviceEndpointPolicyIds(): string[];
    /**
     * @stability stable
     */
    set serviceEndpointPolicyIds(value: string[]);
    /**
     * @stability stable
     */
    resetServiceEndpointPolicyIds(): void;
    /**
     * @stability stable
     */
    get serviceEndpointPolicyIdsInput(): string[] | undefined;
    private _serviceEndpoints?;
    /**
     * @stability stable
     */
    get serviceEndpoints(): string[];
    /**
     * @stability stable
     */
    set serviceEndpoints(value: string[]);
    /**
     * @stability stable
     */
    resetServiceEndpoints(): void;
    /**
     * @stability stable
     */
    get serviceEndpointsInput(): string[] | undefined;
    private _virtualNetworkName;
    /**
     * @stability stable
     */
    get virtualNetworkName(): string;
    /**
     * @stability stable
     */
    set virtualNetworkName(value: string);
    /**
     * @stability stable
     */
    get virtualNetworkNameInput(): string;
    private _delegation?;
    /**
     * @stability stable
     */
    get delegation(): SubnetDelegation[];
    /**
     * @stability stable
     */
    set delegation(value: SubnetDelegation[]);
    /**
     * @stability stable
     */
    resetDelegation(): void;
    /**
     * @stability stable
     */
    get delegationInput(): SubnetDelegation[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SubnetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SubnetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SubnetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
