import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SubscriptionConfig extends cdktf.TerraformMetaArguments {
    /**
     * The Alias Name of the subscription.
     *
     * If omitted a new UUID will be generated for this property.
     *
     * @stability stable
     */
    readonly alias?: string;
    /**
     * @stability stable
     */
    readonly billingScopeId?: string;
    /**
     * The GUID of the Subscription.
     *
     * @stability stable
     */
    readonly subscriptionId?: string;
    /**
     * The Display Name for the Subscription.
     *
     * @stability stable
     */
    readonly subscriptionName: string;
    /**
     * The workload type for the Subscription.
     *
     * Possible values are `Production` (default) and `DevTest`.
     *
     * @stability stable
     */
    readonly workload?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SubscriptionTimeouts;
}
/**
 * @stability stable
 */
export interface SubscriptionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class Subscription extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SubscriptionConfig);
    private _alias?;
    /**
     * @stability stable
     */
    get alias(): string;
    /**
     * @stability stable
     */
    set alias(value: string);
    /**
     * @stability stable
     */
    resetAlias(): void;
    /**
     * @stability stable
     */
    get aliasInput(): string | undefined;
    private _billingScopeId?;
    /**
     * @stability stable
     */
    get billingScopeId(): string;
    /**
     * @stability stable
     */
    set billingScopeId(value: string);
    /**
     * @stability stable
     */
    resetBillingScopeId(): void;
    /**
     * @stability stable
     */
    get billingScopeIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _subscriptionId?;
    /**
     * @stability stable
     */
    get subscriptionId(): string;
    /**
     * @stability stable
     */
    set subscriptionId(value: string);
    /**
     * @stability stable
     */
    resetSubscriptionId(): void;
    /**
     * @stability stable
     */
    get subscriptionIdInput(): string | undefined;
    private _subscriptionName;
    /**
     * @stability stable
     */
    get subscriptionName(): string;
    /**
     * @stability stable
     */
    set subscriptionName(value: string);
    /**
     * @stability stable
     */
    get subscriptionNameInput(): string;
    /**
     * @stability stable
     */
    tags(key: string): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
    private _workload?;
    /**
     * @stability stable
     */
    get workload(): string;
    /**
     * @stability stable
     */
    set workload(value: string);
    /**
     * @stability stable
     */
    resetWorkload(): void;
    /**
     * @stability stable
     */
    get workloadInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SubscriptionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SubscriptionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SubscriptionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
