import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SynapseRoleAssignmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly principalId: string;
    /**
     * @stability stable
     */
    readonly roleName: string;
    /**
     * @stability stable
     */
    readonly synapseWorkspaceId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SynapseRoleAssignmentTimeouts;
}
/**
 * @stability stable
 */
export interface SynapseRoleAssignmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class SynapseRoleAssignment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SynapseRoleAssignmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _principalId;
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    set principalId(value: string);
    /**
     * @stability stable
     */
    get principalIdInput(): string;
    private _roleName;
    /**
     * @stability stable
     */
    get roleName(): string;
    /**
     * @stability stable
     */
    set roleName(value: string);
    /**
     * @stability stable
     */
    get roleNameInput(): string;
    private _synapseWorkspaceId;
    /**
     * @stability stable
     */
    get synapseWorkspaceId(): string;
    /**
     * @stability stable
     */
    set synapseWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get synapseWorkspaceIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SynapseRoleAssignmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SynapseRoleAssignmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SynapseRoleAssignmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
