import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SynapseSqlPoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly collation?: string;
    /**
     * @stability stable
     */
    readonly createMode?: string;
    /**
     * @stability stable
     */
    readonly dataEncrypted?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly recoveryDatabaseId?: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly synapseWorkspaceId: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * restore block.
     *
     * @stability stable
     */
    readonly restore?: SynapseSqlPoolRestore[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SynapseSqlPoolTimeouts;
}
/**
 * @stability stable
 */
export interface SynapseSqlPoolRestore {
    /**
     * @stability stable
     */
    readonly pointInTime: string;
    /**
     * @stability stable
     */
    readonly sourceDatabaseId: string;
}
/**
 * @stability stable
 */
export interface SynapseSqlPoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SynapseSqlPool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SynapseSqlPoolConfig);
    private _collation?;
    /**
     * @stability stable
     */
    get collation(): string;
    /**
     * @stability stable
     */
    set collation(value: string);
    /**
     * @stability stable
     */
    resetCollation(): void;
    /**
     * @stability stable
     */
    get collationInput(): string | undefined;
    private _createMode?;
    /**
     * @stability stable
     */
    get createMode(): string;
    /**
     * @stability stable
     */
    set createMode(value: string);
    /**
     * @stability stable
     */
    resetCreateMode(): void;
    /**
     * @stability stable
     */
    get createModeInput(): string | undefined;
    private _dataEncrypted?;
    /**
     * @stability stable
     */
    get dataEncrypted(): boolean;
    /**
     * @stability stable
     */
    set dataEncrypted(value: boolean);
    /**
     * @stability stable
     */
    resetDataEncrypted(): void;
    /**
     * @stability stable
     */
    get dataEncryptedInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _recoveryDatabaseId?;
    /**
     * @stability stable
     */
    get recoveryDatabaseId(): string;
    /**
     * @stability stable
     */
    set recoveryDatabaseId(value: string);
    /**
     * @stability stable
     */
    resetRecoveryDatabaseId(): void;
    /**
     * @stability stable
     */
    get recoveryDatabaseIdInput(): string | undefined;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _synapseWorkspaceId;
    /**
     * @stability stable
     */
    get synapseWorkspaceId(): string;
    /**
     * @stability stable
     */
    set synapseWorkspaceId(value: string);
    /**
     * @stability stable
     */
    get synapseWorkspaceIdInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _restore?;
    /**
     * @stability stable
     */
    get restore(): SynapseSqlPoolRestore[];
    /**
     * @stability stable
     */
    set restore(value: SynapseSqlPoolRestore[]);
    /**
     * @stability stable
     */
    resetRestore(): void;
    /**
     * @stability stable
     */
    get restoreInput(): SynapseSqlPoolRestore[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SynapseSqlPoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SynapseSqlPoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SynapseSqlPoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
