import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface TrafficManagerEndpointConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly endpointLocation?: string;
    /**
     * @stability stable
     */
    readonly endpointStatus?: string;
    /**
     * @stability stable
     */
    readonly geoMappings?: string[];
    /**
     * @stability stable
     */
    readonly minChildEndpoints?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * @stability stable
     */
    readonly profileName: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly target?: string;
    /**
     * @stability stable
     */
    readonly targetResourceId?: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly weight?: number;
    /**
     * custom_header block.
     *
     * @stability stable
     */
    readonly customHeader?: TrafficManagerEndpointCustomHeader[];
    /**
     * subnet block.
     *
     * @stability stable
     */
    readonly subnet?: TrafficManagerEndpointSubnet[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: TrafficManagerEndpointTimeouts;
}
/**
 * @stability stable
 */
export interface TrafficManagerEndpointCustomHeader {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface TrafficManagerEndpointSubnet {
    /**
     * @stability stable
     */
    readonly first: string;
    /**
     * @stability stable
     */
    readonly last?: string;
    /**
     * @stability stable
     */
    readonly scope?: number;
}
/**
 * @stability stable
 */
export interface TrafficManagerEndpointTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class TrafficManagerEndpoint extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: TrafficManagerEndpointConfig);
    private _endpointLocation?;
    /**
     * @stability stable
     */
    get endpointLocation(): string;
    /**
     * @stability stable
     */
    set endpointLocation(value: string);
    /**
     * @stability stable
     */
    resetEndpointLocation(): void;
    /**
     * @stability stable
     */
    get endpointLocationInput(): string | undefined;
    /**
     * @stability stable
     */
    get endpointMonitorStatus(): string;
    private _endpointStatus?;
    /**
     * @stability stable
     */
    get endpointStatus(): string;
    /**
     * @stability stable
     */
    set endpointStatus(value: string);
    /**
     * @stability stable
     */
    resetEndpointStatus(): void;
    /**
     * @stability stable
     */
    get endpointStatusInput(): string | undefined;
    private _geoMappings?;
    /**
     * @stability stable
     */
    get geoMappings(): string[];
    /**
     * @stability stable
     */
    set geoMappings(value: string[]);
    /**
     * @stability stable
     */
    resetGeoMappings(): void;
    /**
     * @stability stable
     */
    get geoMappingsInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _minChildEndpoints?;
    /**
     * @stability stable
     */
    get minChildEndpoints(): number;
    /**
     * @stability stable
     */
    set minChildEndpoints(value: number);
    /**
     * @stability stable
     */
    resetMinChildEndpoints(): void;
    /**
     * @stability stable
     */
    get minChildEndpointsInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): number | undefined;
    private _profileName;
    /**
     * @stability stable
     */
    get profileName(): string;
    /**
     * @stability stable
     */
    set profileName(value: string);
    /**
     * @stability stable
     */
    get profileNameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _target?;
    /**
     * @stability stable
     */
    get target(): string;
    /**
     * @stability stable
     */
    set target(value: string);
    /**
     * @stability stable
     */
    resetTarget(): void;
    /**
     * @stability stable
     */
    get targetInput(): string | undefined;
    private _targetResourceId?;
    /**
     * @stability stable
     */
    get targetResourceId(): string;
    /**
     * @stability stable
     */
    set targetResourceId(value: string);
    /**
     * @stability stable
     */
    resetTargetResourceId(): void;
    /**
     * @stability stable
     */
    get targetResourceIdInput(): string | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _weight?;
    /**
     * @stability stable
     */
    get weight(): number;
    /**
     * @stability stable
     */
    set weight(value: number);
    /**
     * @stability stable
     */
    resetWeight(): void;
    /**
     * @stability stable
     */
    get weightInput(): number | undefined;
    private _customHeader?;
    /**
     * @stability stable
     */
    get customHeader(): TrafficManagerEndpointCustomHeader[];
    /**
     * @stability stable
     */
    set customHeader(value: TrafficManagerEndpointCustomHeader[]);
    /**
     * @stability stable
     */
    resetCustomHeader(): void;
    /**
     * @stability stable
     */
    get customHeaderInput(): TrafficManagerEndpointCustomHeader[] | undefined;
    private _subnet?;
    /**
     * @stability stable
     */
    get subnet(): TrafficManagerEndpointSubnet[];
    /**
     * @stability stable
     */
    set subnet(value: TrafficManagerEndpointSubnet[]);
    /**
     * @stability stable
     */
    resetSubnet(): void;
    /**
     * @stability stable
     */
    get subnetInput(): TrafficManagerEndpointSubnet[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): TrafficManagerEndpointTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: TrafficManagerEndpointTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): TrafficManagerEndpointTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
