import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualDesktopHostPoolConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customRdpProperties?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly friendlyName?: string;
    /**
     * @stability stable
     */
    readonly loadBalancerType: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maximumSessionsAllowed?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly personalDesktopAssignmentType?: string;
    /**
     * Preferred App Group type to display.
     *
     * @stability stable
     */
    readonly preferredAppGroupType?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly validateEnvironment?: boolean;
    /**
     * registration_info block.
     *
     * @stability stable
     */
    readonly registrationInfo?: VirtualDesktopHostPoolRegistrationInfo[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualDesktopHostPoolTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualDesktopHostPoolRegistrationInfo {
    /**
     * @stability stable
     */
    readonly expirationDate: string;
}
/**
 * @stability stable
 */
export interface VirtualDesktopHostPoolTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualDesktopHostPool extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualDesktopHostPoolConfig);
    private _customRdpProperties?;
    /**
     * @stability stable
     */
    get customRdpProperties(): string;
    /**
     * @stability stable
     */
    set customRdpProperties(value: string);
    /**
     * @stability stable
     */
    resetCustomRdpProperties(): void;
    /**
     * @stability stable
     */
    get customRdpPropertiesInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _friendlyName?;
    /**
     * @stability stable
     */
    get friendlyName(): string;
    /**
     * @stability stable
     */
    set friendlyName(value: string);
    /**
     * @stability stable
     */
    resetFriendlyName(): void;
    /**
     * @stability stable
     */
    get friendlyNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _loadBalancerType;
    /**
     * @stability stable
     */
    get loadBalancerType(): string;
    /**
     * @stability stable
     */
    set loadBalancerType(value: string);
    /**
     * @stability stable
     */
    get loadBalancerTypeInput(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maximumSessionsAllowed?;
    /**
     * @stability stable
     */
    get maximumSessionsAllowed(): number;
    /**
     * @stability stable
     */
    set maximumSessionsAllowed(value: number);
    /**
     * @stability stable
     */
    resetMaximumSessionsAllowed(): void;
    /**
     * @stability stable
     */
    get maximumSessionsAllowedInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _personalDesktopAssignmentType?;
    /**
     * @stability stable
     */
    get personalDesktopAssignmentType(): string;
    /**
     * @stability stable
     */
    set personalDesktopAssignmentType(value: string);
    /**
     * @stability stable
     */
    resetPersonalDesktopAssignmentType(): void;
    /**
     * @stability stable
     */
    get personalDesktopAssignmentTypeInput(): string | undefined;
    private _preferredAppGroupType?;
    /**
     * @stability stable
     */
    get preferredAppGroupType(): string;
    /**
     * @stability stable
     */
    set preferredAppGroupType(value: string);
    /**
     * @stability stable
     */
    resetPreferredAppGroupType(): void;
    /**
     * @stability stable
     */
    get preferredAppGroupTypeInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _validateEnvironment?;
    /**
     * @stability stable
     */
    get validateEnvironment(): boolean;
    /**
     * @stability stable
     */
    set validateEnvironment(value: boolean);
    /**
     * @stability stable
     */
    resetValidateEnvironment(): void;
    /**
     * @stability stable
     */
    get validateEnvironmentInput(): boolean | undefined;
    private _registrationInfo?;
    /**
     * @stability stable
     */
    get registrationInfo(): VirtualDesktopHostPoolRegistrationInfo[];
    /**
     * @stability stable
     */
    set registrationInfo(value: VirtualDesktopHostPoolRegistrationInfo[]);
    /**
     * @stability stable
     */
    resetRegistrationInfo(): void;
    /**
     * @stability stable
     */
    get registrationInfoInput(): VirtualDesktopHostPoolRegistrationInfo[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualDesktopHostPoolTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualDesktopHostPoolTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualDesktopHostPoolTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
