import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualHubBgpConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly peerAsn: number;
    /**
     * @stability stable
     */
    readonly peerIp: string;
    /**
     * @stability stable
     */
    readonly virtualHubId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualHubBgpConnectionTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualHubBgpConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
}
/**
 * @stability stable
 */
export declare class VirtualHubBgpConnection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualHubBgpConnectionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _peerAsn;
    /**
     * @stability stable
     */
    get peerAsn(): number;
    /**
     * @stability stable
     */
    set peerAsn(value: number);
    /**
     * @stability stable
     */
    get peerAsnInput(): number;
    private _peerIp;
    /**
     * @stability stable
     */
    get peerIp(): string;
    /**
     * @stability stable
     */
    set peerIp(value: string);
    /**
     * @stability stable
     */
    get peerIpInput(): string;
    private _virtualHubId;
    /**
     * @stability stable
     */
    get virtualHubId(): string;
    /**
     * @stability stable
     */
    set virtualHubId(value: string);
    /**
     * @stability stable
     */
    get virtualHubIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualHubBgpConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualHubBgpConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualHubBgpConnectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
