import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualHubConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly hubToVitualNetworkTrafficAllowed?: boolean;
    /**
     * @stability stable
     */
    readonly internetSecurityEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly remoteVirtualNetworkId: string;
    /**
     * @stability stable
     */
    readonly virtualHubId: string;
    /**
     * @stability stable
     */
    readonly vitualNetworkToHubGatewaysTrafficAllowed?: boolean;
    /**
     * routing block.
     *
     * @stability stable
     */
    readonly routing?: VirtualHubConnectionRouting[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualHubConnectionTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualHubConnectionRoutingPropagatedRouteTable {
    /**
     * @stability stable
     */
    readonly labels?: string[];
    /**
     * @stability stable
     */
    readonly routeTableIds?: string[];
}
/**
 * @stability stable
 */
export interface VirtualHubConnectionRoutingStaticVnetRoute {
    /**
     * @stability stable
     */
    readonly addressPrefixes?: string[];
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly nextHopIpAddress?: string;
}
/**
 * @stability stable
 */
export interface VirtualHubConnectionRouting {
    /**
     * @stability stable
     */
    readonly associatedRouteTableId?: string;
    /**
     * propagated_route_table block.
     *
     * @stability stable
     */
    readonly propagatedRouteTable?: VirtualHubConnectionRoutingPropagatedRouteTable[];
    /**
     * static_vnet_route block.
     *
     * @stability stable
     */
    readonly staticVnetRoute?: VirtualHubConnectionRoutingStaticVnetRoute[];
}
/**
 * @stability stable
 */
export interface VirtualHubConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualHubConnection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualHubConnectionConfig);
    private _hubToVitualNetworkTrafficAllowed?;
    /**
     * @stability stable
     */
    get hubToVitualNetworkTrafficAllowed(): boolean;
    /**
     * @stability stable
     */
    set hubToVitualNetworkTrafficAllowed(value: boolean);
    /**
     * @stability stable
     */
    resetHubToVitualNetworkTrafficAllowed(): void;
    /**
     * @stability stable
     */
    get hubToVitualNetworkTrafficAllowedInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _internetSecurityEnabled?;
    /**
     * @stability stable
     */
    get internetSecurityEnabled(): boolean;
    /**
     * @stability stable
     */
    set internetSecurityEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetInternetSecurityEnabled(): void;
    /**
     * @stability stable
     */
    get internetSecurityEnabledInput(): boolean | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _remoteVirtualNetworkId;
    /**
     * @stability stable
     */
    get remoteVirtualNetworkId(): string;
    /**
     * @stability stable
     */
    set remoteVirtualNetworkId(value: string);
    /**
     * @stability stable
     */
    get remoteVirtualNetworkIdInput(): string;
    private _virtualHubId;
    /**
     * @stability stable
     */
    get virtualHubId(): string;
    /**
     * @stability stable
     */
    set virtualHubId(value: string);
    /**
     * @stability stable
     */
    get virtualHubIdInput(): string;
    private _vitualNetworkToHubGatewaysTrafficAllowed?;
    /**
     * @stability stable
     */
    get vitualNetworkToHubGatewaysTrafficAllowed(): boolean;
    /**
     * @stability stable
     */
    set vitualNetworkToHubGatewaysTrafficAllowed(value: boolean);
    /**
     * @stability stable
     */
    resetVitualNetworkToHubGatewaysTrafficAllowed(): void;
    /**
     * @stability stable
     */
    get vitualNetworkToHubGatewaysTrafficAllowedInput(): boolean | undefined;
    private _routing?;
    /**
     * @stability stable
     */
    get routing(): VirtualHubConnectionRouting[];
    /**
     * @stability stable
     */
    set routing(value: VirtualHubConnectionRouting[]);
    /**
     * @stability stable
     */
    resetRouting(): void;
    /**
     * @stability stable
     */
    get routingInput(): VirtualHubConnectionRouting[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualHubConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualHubConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualHubConnectionTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
