import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualHubIpConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateIpAddress?: string;
    /**
     * @stability stable
     */
    readonly privateIpAllocationMethod?: string;
    /**
     * @stability stable
     */
    readonly publicIpAddressId?: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
    /**
     * @stability stable
     */
    readonly virtualHubId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualHubIpTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualHubIpTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualHubIp extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualHubIpConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _privateIpAddress?;
    /**
     * @stability stable
     */
    get privateIpAddress(): string;
    /**
     * @stability stable
     */
    set privateIpAddress(value: string);
    /**
     * @stability stable
     */
    resetPrivateIpAddress(): void;
    /**
     * @stability stable
     */
    get privateIpAddressInput(): string | undefined;
    private _privateIpAllocationMethod?;
    /**
     * @stability stable
     */
    get privateIpAllocationMethod(): string;
    /**
     * @stability stable
     */
    set privateIpAllocationMethod(value: string);
    /**
     * @stability stable
     */
    resetPrivateIpAllocationMethod(): void;
    /**
     * @stability stable
     */
    get privateIpAllocationMethodInput(): string | undefined;
    private _publicIpAddressId?;
    /**
     * @stability stable
     */
    get publicIpAddressId(): string;
    /**
     * @stability stable
     */
    set publicIpAddressId(value: string);
    /**
     * @stability stable
     */
    resetPublicIpAddressId(): void;
    /**
     * @stability stable
     */
    get publicIpAddressIdInput(): string | undefined;
    private _subnetId;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    set subnetId(value: string);
    /**
     * @stability stable
     */
    get subnetIdInput(): string;
    private _virtualHubId;
    /**
     * @stability stable
     */
    get virtualHubId(): string;
    /**
     * @stability stable
     */
    set virtualHubId(value: string);
    /**
     * @stability stable
     */
    get virtualHubIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualHubIpTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualHubIpTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualHubIpTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
