import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualHubRouteTableConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly labels?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly virtualHubId: string;
    /**
     * route block.
     *
     * @stability stable
     */
    readonly route?: VirtualHubRouteTableRoute[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualHubRouteTableTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualHubRouteTableRoute {
    /**
     * @stability stable
     */
    readonly destinations: string[];
    /**
     * @stability stable
     */
    readonly destinationsType: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly nextHop: string;
    /**
     * @stability stable
     */
    readonly nextHopType?: string;
}
/**
 * @stability stable
 */
export interface VirtualHubRouteTableTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualHubRouteTable extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualHubRouteTableConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _labels?;
    /**
     * @stability stable
     */
    get labels(): string[];
    /**
     * @stability stable
     */
    set labels(value: string[]);
    /**
     * @stability stable
     */
    resetLabels(): void;
    /**
     * @stability stable
     */
    get labelsInput(): string[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _virtualHubId;
    /**
     * @stability stable
     */
    get virtualHubId(): string;
    /**
     * @stability stable
     */
    set virtualHubId(value: string);
    /**
     * @stability stable
     */
    get virtualHubIdInput(): string;
    private _route?;
    /**
     * @stability stable
     */
    get route(): VirtualHubRouteTableRoute[];
    /**
     * @stability stable
     */
    set route(value: VirtualHubRouteTableRoute[]);
    /**
     * @stability stable
     */
    resetRoute(): void;
    /**
     * @stability stable
     */
    get routeInput(): VirtualHubRouteTableRoute[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualHubRouteTableTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualHubRouteTableTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualHubRouteTableTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
