import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualMachineDataDiskAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly caching: string;
    /**
     * @stability stable
     */
    readonly createOption?: string;
    /**
     * @stability stable
     */
    readonly lun: number;
    /**
     * @stability stable
     */
    readonly managedDiskId: string;
    /**
     * @stability stable
     */
    readonly virtualMachineId: string;
    /**
     * @stability stable
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualMachineDataDiskAttachmentTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualMachineDataDiskAttachmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualMachineDataDiskAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualMachineDataDiskAttachmentConfig);
    private _caching;
    /**
     * @stability stable
     */
    get caching(): string;
    /**
     * @stability stable
     */
    set caching(value: string);
    /**
     * @stability stable
     */
    get cachingInput(): string;
    private _createOption?;
    /**
     * @stability stable
     */
    get createOption(): string;
    /**
     * @stability stable
     */
    set createOption(value: string);
    /**
     * @stability stable
     */
    resetCreateOption(): void;
    /**
     * @stability stable
     */
    get createOptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _lun;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    set lun(value: number);
    /**
     * @stability stable
     */
    get lunInput(): number;
    private _managedDiskId;
    /**
     * @stability stable
     */
    get managedDiskId(): string;
    /**
     * @stability stable
     */
    set managedDiskId(value: string);
    /**
     * @stability stable
     */
    get managedDiskIdInput(): string;
    private _virtualMachineId;
    /**
     * @stability stable
     */
    get virtualMachineId(): string;
    /**
     * @stability stable
     */
    set virtualMachineId(value: string);
    /**
     * @stability stable
     */
    get virtualMachineIdInput(): string;
    private _writeAcceleratorEnabled?;
    /**
     * @stability stable
     */
    get writeAcceleratorEnabled(): boolean;
    /**
     * @stability stable
     */
    set writeAcceleratorEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetWriteAcceleratorEnabled(): void;
    /**
     * @stability stable
     */
    get writeAcceleratorEnabledInput(): boolean | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualMachineDataDiskAttachmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualMachineDataDiskAttachmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualMachineDataDiskAttachmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
