import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly automaticOsUpgrade?: boolean;
    /**
     * @stability stable
     */
    readonly evictionPolicy?: string;
    /**
     * @stability stable
     */
    readonly healthProbeId?: string;
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly overprovision?: boolean;
    /**
     * @stability stable
     */
    readonly priority?: string;
    /**
     * @stability stable
     */
    readonly proximityPlacementGroupId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly singlePlacementGroup?: boolean;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly upgradePolicyMode: string;
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * boot_diagnostics block.
     *
     * @stability stable
     */
    readonly bootDiagnostics?: VirtualMachineScaleSetBootDiagnostics[];
    /**
     * extension block.
     *
     * @stability stable
     */
    readonly extension?: VirtualMachineScaleSetExtension[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: VirtualMachineScaleSetIdentity[];
    /**
     * network_profile block.
     *
     * @stability stable
     */
    readonly networkProfile: VirtualMachineScaleSetNetworkProfile[];
    /**
     * os_profile block.
     *
     * @stability stable
     */
    readonly osProfile: VirtualMachineScaleSetOsProfile[];
    /**
     * os_profile_linux_config block.
     *
     * @stability stable
     */
    readonly osProfileLinuxConfig?: VirtualMachineScaleSetOsProfileLinuxConfig[];
    /**
     * os_profile_secrets block.
     *
     * @stability stable
     */
    readonly osProfileSecrets?: VirtualMachineScaleSetOsProfileSecrets[];
    /**
     * os_profile_windows_config block.
     *
     * @stability stable
     */
    readonly osProfileWindowsConfig?: VirtualMachineScaleSetOsProfileWindowsConfig[];
    /**
     * plan block.
     *
     * @stability stable
     */
    readonly plan?: VirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     *
     * @stability stable
     */
    readonly rollingUpgradePolicy?: VirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * sku block.
     *
     * @stability stable
     */
    readonly sku: VirtualMachineScaleSetSku[];
    /**
     * storage_profile_data_disk block.
     *
     * @stability stable
     */
    readonly storageProfileDataDisk?: VirtualMachineScaleSetStorageProfileDataDisk[];
    /**
     * storage_profile_image_reference block.
     *
     * @stability stable
     */
    readonly storageProfileImageReference?: VirtualMachineScaleSetStorageProfileImageReference[];
    /**
     * storage_profile_os_disk block.
     *
     * @stability stable
     */
    readonly storageProfileOsDisk: VirtualMachineScaleSetStorageProfileOsDisk[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualMachineScaleSetTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetBootDiagnostics {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly storageUri: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetExtension {
    /**
     * @stability stable
     */
    readonly autoUpgradeMinorVersion?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protectedSettings?: string;
    /**
     * @stability stable
     */
    readonly provisionAfterExtensions?: string[];
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * @stability stable
     */
    readonly settings?: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly typeHandlerVersion: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetNetworkProfileDnsSettings {
    /**
     * @stability stable
     */
    readonly dnsServers: string[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetNetworkProfileIpConfigurationPublicIpAddressConfiguration {
    /**
     * @stability stable
     */
    readonly domainNameLabel: string;
    /**
     * @stability stable
     */
    readonly idleTimeout: number;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetNetworkProfileIpConfiguration {
    /**
     * @stability stable
     */
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    /**
     * @stability stable
     */
    readonly applicationSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly loadBalancerBackendAddressPoolIds?: string[];
    /**
     * @stability stable
     */
    readonly loadBalancerInboundNatRulesIds?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly primary: boolean;
    /**
     * @stability stable
     */
    readonly subnetId: string;
    /**
     * public_ip_address_configuration block.
     *
     * @stability stable
     */
    readonly publicIpAddressConfiguration?: VirtualMachineScaleSetNetworkProfileIpConfigurationPublicIpAddressConfiguration[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetNetworkProfile {
    /**
     * @stability stable
     */
    readonly acceleratedNetworking?: boolean;
    /**
     * @stability stable
     */
    readonly ipForwarding?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkSecurityGroupId?: string;
    /**
     * @stability stable
     */
    readonly primary: boolean;
    /**
     * dns_settings block.
     *
     * @stability stable
     */
    readonly dnsSettings?: VirtualMachineScaleSetNetworkProfileDnsSettings[];
    /**
     * ip_configuration block.
     *
     * @stability stable
     */
    readonly ipConfiguration: VirtualMachineScaleSetNetworkProfileIpConfiguration[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfile {
    /**
     * @stability stable
     */
    readonly adminPassword?: string;
    /**
     * @stability stable
     */
    readonly adminUsername: string;
    /**
     * @stability stable
     */
    readonly computerNamePrefix: string;
    /**
     * @stability stable
     */
    readonly customData?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileLinuxConfigSshKeys {
    /**
     * @stability stable
     */
    readonly keyData?: string;
    /**
     * @stability stable
     */
    readonly path: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileLinuxConfig {
    /**
     * @stability stable
     */
    readonly disablePasswordAuthentication?: boolean;
    /**
     * ssh_keys block.
     *
     * @stability stable
     */
    readonly sshKeys?: VirtualMachineScaleSetOsProfileLinuxConfigSshKeys[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileSecretsVaultCertificates {
    /**
     * @stability stable
     */
    readonly certificateStore?: string;
    /**
     * @stability stable
     */
    readonly certificateUrl: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileSecrets {
    /**
     * @stability stable
     */
    readonly sourceVaultId: string;
    /**
     * vault_certificates block.
     *
     * @stability stable
     */
    readonly vaultCertificates?: VirtualMachineScaleSetOsProfileSecretsVaultCertificates[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileWindowsConfigAdditionalUnattendConfig {
    /**
     * @stability stable
     */
    readonly component: string;
    /**
     * @stability stable
     */
    readonly content: string;
    /**
     * @stability stable
     */
    readonly pass: string;
    /**
     * @stability stable
     */
    readonly settingName: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileWindowsConfigWinrm {
    /**
     * @stability stable
     */
    readonly certificateUrl?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetOsProfileWindowsConfig {
    /**
     * @stability stable
     */
    readonly enableAutomaticUpgrades?: boolean;
    /**
     * @stability stable
     */
    readonly provisionVmAgent?: boolean;
    /**
     * additional_unattend_config block.
     *
     * @stability stable
     */
    readonly additionalUnattendConfig?: VirtualMachineScaleSetOsProfileWindowsConfigAdditionalUnattendConfig[];
    /**
     * winrm block.
     *
     * @stability stable
     */
    readonly winrm?: VirtualMachineScaleSetOsProfileWindowsConfigWinrm[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetPlan {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly product: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetRollingUpgradePolicy {
    /**
     * @stability stable
     */
    readonly maxBatchInstancePercent?: number;
    /**
     * @stability stable
     */
    readonly maxUnhealthyInstancePercent?: number;
    /**
     * @stability stable
     */
    readonly maxUnhealthyUpgradedInstancePercent?: number;
    /**
     * @stability stable
     */
    readonly pauseTimeBetweenBatches?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetSku {
    /**
     * @stability stable
     */
    readonly capacity: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tier?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetStorageProfileDataDisk {
    /**
     * @stability stable
     */
    readonly caching?: string;
    /**
     * @stability stable
     */
    readonly createOption: string;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly lun: number;
    /**
     * @stability stable
     */
    readonly managedDiskType?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetStorageProfileImageReference {
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly offer?: string;
    /**
     * @stability stable
     */
    readonly publisher?: string;
    /**
     * @stability stable
     */
    readonly sku?: string;
    /**
     * @stability stable
     */
    readonly version?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetStorageProfileOsDisk {
    /**
     * @stability stable
     */
    readonly caching?: string;
    /**
     * @stability stable
     */
    readonly createOption: string;
    /**
     * @stability stable
     */
    readonly image?: string;
    /**
     * @stability stable
     */
    readonly managedDiskType?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly osType?: string;
    /**
     * @stability stable
     */
    readonly vhdContainers?: string[];
}
/**
 * @stability stable
 */
export interface VirtualMachineScaleSetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualMachineScaleSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualMachineScaleSetConfig);
    private _automaticOsUpgrade?;
    /**
     * @stability stable
     */
    get automaticOsUpgrade(): boolean;
    /**
     * @stability stable
     */
    set automaticOsUpgrade(value: boolean);
    /**
     * @stability stable
     */
    resetAutomaticOsUpgrade(): void;
    /**
     * @stability stable
     */
    get automaticOsUpgradeInput(): boolean | undefined;
    private _evictionPolicy?;
    /**
     * @stability stable
     */
    get evictionPolicy(): string;
    /**
     * @stability stable
     */
    set evictionPolicy(value: string);
    /**
     * @stability stable
     */
    resetEvictionPolicy(): void;
    /**
     * @stability stable
     */
    get evictionPolicyInput(): string | undefined;
    private _healthProbeId?;
    /**
     * @stability stable
     */
    get healthProbeId(): string;
    /**
     * @stability stable
     */
    set healthProbeId(value: string);
    /**
     * @stability stable
     */
    resetHealthProbeId(): void;
    /**
     * @stability stable
     */
    get healthProbeIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _licenseType?;
    /**
     * @stability stable
     */
    get licenseType(): string;
    /**
     * @stability stable
     */
    set licenseType(value: string);
    /**
     * @stability stable
     */
    resetLicenseType(): void;
    /**
     * @stability stable
     */
    get licenseTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _overprovision?;
    /**
     * @stability stable
     */
    get overprovision(): boolean;
    /**
     * @stability stable
     */
    set overprovision(value: boolean);
    /**
     * @stability stable
     */
    resetOverprovision(): void;
    /**
     * @stability stable
     */
    get overprovisionInput(): boolean | undefined;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): string;
    /**
     * @stability stable
     */
    set priority(value: string);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): string | undefined;
    private _proximityPlacementGroupId?;
    /**
     * @stability stable
     */
    get proximityPlacementGroupId(): string;
    /**
     * @stability stable
     */
    set proximityPlacementGroupId(value: string);
    /**
     * @stability stable
     */
    resetProximityPlacementGroupId(): void;
    /**
     * @stability stable
     */
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _singlePlacementGroup?;
    /**
     * @stability stable
     */
    get singlePlacementGroup(): boolean;
    /**
     * @stability stable
     */
    set singlePlacementGroup(value: boolean);
    /**
     * @stability stable
     */
    resetSinglePlacementGroup(): void;
    /**
     * @stability stable
     */
    get singlePlacementGroupInput(): boolean | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _upgradePolicyMode;
    /**
     * @stability stable
     */
    get upgradePolicyMode(): string;
    /**
     * @stability stable
     */
    set upgradePolicyMode(value: string);
    /**
     * @stability stable
     */
    get upgradePolicyModeInput(): string;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _bootDiagnostics?;
    /**
     * @stability stable
     */
    get bootDiagnostics(): VirtualMachineScaleSetBootDiagnostics[];
    /**
     * @stability stable
     */
    set bootDiagnostics(value: VirtualMachineScaleSetBootDiagnostics[]);
    /**
     * @stability stable
     */
    resetBootDiagnostics(): void;
    /**
     * @stability stable
     */
    get bootDiagnosticsInput(): VirtualMachineScaleSetBootDiagnostics[] | undefined;
    private _extension?;
    /**
     * @stability stable
     */
    get extension(): VirtualMachineScaleSetExtension[];
    /**
     * @stability stable
     */
    set extension(value: VirtualMachineScaleSetExtension[]);
    /**
     * @stability stable
     */
    resetExtension(): void;
    /**
     * @stability stable
     */
    get extensionInput(): VirtualMachineScaleSetExtension[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): VirtualMachineScaleSetIdentity[];
    /**
     * @stability stable
     */
    set identity(value: VirtualMachineScaleSetIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): VirtualMachineScaleSetIdentity[] | undefined;
    private _networkProfile;
    /**
     * @stability stable
     */
    get networkProfile(): VirtualMachineScaleSetNetworkProfile[];
    /**
     * @stability stable
     */
    set networkProfile(value: VirtualMachineScaleSetNetworkProfile[]);
    /**
     * @stability stable
     */
    get networkProfileInput(): VirtualMachineScaleSetNetworkProfile[];
    private _osProfile;
    /**
     * @stability stable
     */
    get osProfile(): VirtualMachineScaleSetOsProfile[];
    /**
     * @stability stable
     */
    set osProfile(value: VirtualMachineScaleSetOsProfile[]);
    /**
     * @stability stable
     */
    get osProfileInput(): VirtualMachineScaleSetOsProfile[];
    private _osProfileLinuxConfig?;
    /**
     * @stability stable
     */
    get osProfileLinuxConfig(): VirtualMachineScaleSetOsProfileLinuxConfig[];
    /**
     * @stability stable
     */
    set osProfileLinuxConfig(value: VirtualMachineScaleSetOsProfileLinuxConfig[]);
    /**
     * @stability stable
     */
    resetOsProfileLinuxConfig(): void;
    /**
     * @stability stable
     */
    get osProfileLinuxConfigInput(): VirtualMachineScaleSetOsProfileLinuxConfig[] | undefined;
    private _osProfileSecrets?;
    /**
     * @stability stable
     */
    get osProfileSecrets(): VirtualMachineScaleSetOsProfileSecrets[];
    /**
     * @stability stable
     */
    set osProfileSecrets(value: VirtualMachineScaleSetOsProfileSecrets[]);
    /**
     * @stability stable
     */
    resetOsProfileSecrets(): void;
    /**
     * @stability stable
     */
    get osProfileSecretsInput(): VirtualMachineScaleSetOsProfileSecrets[] | undefined;
    private _osProfileWindowsConfig?;
    /**
     * @stability stable
     */
    get osProfileWindowsConfig(): VirtualMachineScaleSetOsProfileWindowsConfig[];
    /**
     * @stability stable
     */
    set osProfileWindowsConfig(value: VirtualMachineScaleSetOsProfileWindowsConfig[]);
    /**
     * @stability stable
     */
    resetOsProfileWindowsConfig(): void;
    /**
     * @stability stable
     */
    get osProfileWindowsConfigInput(): VirtualMachineScaleSetOsProfileWindowsConfig[] | undefined;
    private _plan?;
    /**
     * @stability stable
     */
    get plan(): VirtualMachineScaleSetPlan[];
    /**
     * @stability stable
     */
    set plan(value: VirtualMachineScaleSetPlan[]);
    /**
     * @stability stable
     */
    resetPlan(): void;
    /**
     * @stability stable
     */
    get planInput(): VirtualMachineScaleSetPlan[] | undefined;
    private _rollingUpgradePolicy?;
    /**
     * @stability stable
     */
    get rollingUpgradePolicy(): VirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * @stability stable
     */
    set rollingUpgradePolicy(value: VirtualMachineScaleSetRollingUpgradePolicy[]);
    /**
     * @stability stable
     */
    resetRollingUpgradePolicy(): void;
    /**
     * @stability stable
     */
    get rollingUpgradePolicyInput(): VirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): VirtualMachineScaleSetSku[];
    /**
     * @stability stable
     */
    set sku(value: VirtualMachineScaleSetSku[]);
    /**
     * @stability stable
     */
    get skuInput(): VirtualMachineScaleSetSku[];
    private _storageProfileDataDisk?;
    /**
     * @stability stable
     */
    get storageProfileDataDisk(): VirtualMachineScaleSetStorageProfileDataDisk[];
    /**
     * @stability stable
     */
    set storageProfileDataDisk(value: VirtualMachineScaleSetStorageProfileDataDisk[]);
    /**
     * @stability stable
     */
    resetStorageProfileDataDisk(): void;
    /**
     * @stability stable
     */
    get storageProfileDataDiskInput(): VirtualMachineScaleSetStorageProfileDataDisk[] | undefined;
    private _storageProfileImageReference?;
    /**
     * @stability stable
     */
    get storageProfileImageReference(): VirtualMachineScaleSetStorageProfileImageReference[];
    /**
     * @stability stable
     */
    set storageProfileImageReference(value: VirtualMachineScaleSetStorageProfileImageReference[]);
    /**
     * @stability stable
     */
    resetStorageProfileImageReference(): void;
    /**
     * @stability stable
     */
    get storageProfileImageReferenceInput(): VirtualMachineScaleSetStorageProfileImageReference[] | undefined;
    private _storageProfileOsDisk;
    /**
     * @stability stable
     */
    get storageProfileOsDisk(): VirtualMachineScaleSetStorageProfileOsDisk[];
    /**
     * @stability stable
     */
    set storageProfileOsDisk(value: VirtualMachineScaleSetStorageProfileOsDisk[]);
    /**
     * @stability stable
     */
    get storageProfileOsDiskInput(): VirtualMachineScaleSetStorageProfileOsDisk[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualMachineScaleSetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualMachineScaleSetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualMachineScaleSetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
