import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualMachineConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly availabilitySetId?: string;
    /**
     * @stability stable
     */
    readonly deleteDataDisksOnTermination?: boolean;
    /**
     * @stability stable
     */
    readonly deleteOsDiskOnTermination?: boolean;
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkInterfaceIds: string[];
    /**
     * @stability stable
     */
    readonly primaryNetworkInterfaceId?: string;
    /**
     * @stability stable
     */
    readonly proximityPlacementGroupId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly vmSize: string;
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * additional_capabilities block.
     *
     * @stability stable
     */
    readonly additionalCapabilities?: VirtualMachineAdditionalCapabilities[];
    /**
     * boot_diagnostics block.
     *
     * @stability stable
     */
    readonly bootDiagnostics?: VirtualMachineBootDiagnostics[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: VirtualMachineIdentity[];
    /**
     * os_profile block.
     *
     * @stability stable
     */
    readonly osProfile?: VirtualMachineOsProfile[];
    /**
     * os_profile_linux_config block.
     *
     * @stability stable
     */
    readonly osProfileLinuxConfig?: VirtualMachineOsProfileLinuxConfig[];
    /**
     * os_profile_secrets block.
     *
     * @stability stable
     */
    readonly osProfileSecrets?: VirtualMachineOsProfileSecrets[];
    /**
     * os_profile_windows_config block.
     *
     * @stability stable
     */
    readonly osProfileWindowsConfig?: VirtualMachineOsProfileWindowsConfig[];
    /**
     * plan block.
     *
     * @stability stable
     */
    readonly plan?: VirtualMachinePlan[];
    /**
     * storage_data_disk block.
     *
     * @stability stable
     */
    readonly storageDataDisk?: VirtualMachineStorageDataDisk[];
    /**
     * storage_image_reference block.
     *
     * @stability stable
     */
    readonly storageImageReference?: VirtualMachineStorageImageReference[];
    /**
     * storage_os_disk block.
     *
     * @stability stable
     */
    readonly storageOsDisk: VirtualMachineStorageOsDisk[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualMachineTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualMachineAdditionalCapabilities {
    /**
     * @stability stable
     */
    readonly ultraSsdEnabled: boolean;
}
/**
 * @stability stable
 */
export interface VirtualMachineBootDiagnostics {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly storageUri: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfile {
    /**
     * @stability stable
     */
    readonly adminPassword?: string;
    /**
     * @stability stable
     */
    readonly adminUsername: string;
    /**
     * @stability stable
     */
    readonly computerName: string;
    /**
     * @stability stable
     */
    readonly customData?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileLinuxConfigSshKeys {
    /**
     * @stability stable
     */
    readonly keyData: string;
    /**
     * @stability stable
     */
    readonly path: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileLinuxConfig {
    /**
     * @stability stable
     */
    readonly disablePasswordAuthentication: boolean;
    /**
     * ssh_keys block.
     *
     * @stability stable
     */
    readonly sshKeys?: VirtualMachineOsProfileLinuxConfigSshKeys[];
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileSecretsVaultCertificates {
    /**
     * @stability stable
     */
    readonly certificateStore?: string;
    /**
     * @stability stable
     */
    readonly certificateUrl: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileSecrets {
    /**
     * @stability stable
     */
    readonly sourceVaultId: string;
    /**
     * vault_certificates block.
     *
     * @stability stable
     */
    readonly vaultCertificates?: VirtualMachineOsProfileSecretsVaultCertificates[];
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileWindowsConfigAdditionalUnattendConfig {
    /**
     * @stability stable
     */
    readonly component: string;
    /**
     * @stability stable
     */
    readonly content: string;
    /**
     * @stability stable
     */
    readonly pass: string;
    /**
     * @stability stable
     */
    readonly settingName: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileWindowsConfigWinrm {
    /**
     * @stability stable
     */
    readonly certificateUrl?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineOsProfileWindowsConfig {
    /**
     * @stability stable
     */
    readonly enableAutomaticUpgrades?: boolean;
    /**
     * @stability stable
     */
    readonly provisionVmAgent?: boolean;
    /**
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * additional_unattend_config block.
     *
     * @stability stable
     */
    readonly additionalUnattendConfig?: VirtualMachineOsProfileWindowsConfigAdditionalUnattendConfig[];
    /**
     * winrm block.
     *
     * @stability stable
     */
    readonly winrm?: VirtualMachineOsProfileWindowsConfigWinrm[];
}
/**
 * @stability stable
 */
export interface VirtualMachinePlan {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly product: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineStorageDataDisk {
    /**
     * @stability stable
     */
    readonly caching?: string;
    /**
     * @stability stable
     */
    readonly createOption: string;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly lun: number;
    /**
     * @stability stable
     */
    readonly managedDiskId?: string;
    /**
     * @stability stable
     */
    readonly managedDiskType?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly vhdUri?: string;
    /**
     * @stability stable
     */
    readonly writeAcceleratorEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface VirtualMachineStorageImageReference {
    /**
     * @stability stable
     */
    readonly id?: string;
    /**
     * @stability stable
     */
    readonly offer?: string;
    /**
     * @stability stable
     */
    readonly publisher?: string;
    /**
     * @stability stable
     */
    readonly sku?: string;
    /**
     * @stability stable
     */
    readonly version?: string;
}
/**
 * @stability stable
 */
export interface VirtualMachineStorageOsDisk {
    /**
     * @stability stable
     */
    readonly caching?: string;
    /**
     * @stability stable
     */
    readonly createOption: string;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly imageUri?: string;
    /**
     * @stability stable
     */
    readonly managedDiskId?: string;
    /**
     * @stability stable
     */
    readonly managedDiskType?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly osType?: string;
    /**
     * @stability stable
     */
    readonly vhdUri?: string;
    /**
     * @stability stable
     */
    readonly writeAcceleratorEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface VirtualMachineTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualMachine extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualMachineConfig);
    private _availabilitySetId?;
    /**
     * @stability stable
     */
    get availabilitySetId(): string;
    /**
     * @stability stable
     */
    set availabilitySetId(value: string);
    /**
     * @stability stable
     */
    resetAvailabilitySetId(): void;
    /**
     * @stability stable
     */
    get availabilitySetIdInput(): string | undefined;
    private _deleteDataDisksOnTermination?;
    /**
     * @stability stable
     */
    get deleteDataDisksOnTermination(): boolean;
    /**
     * @stability stable
     */
    set deleteDataDisksOnTermination(value: boolean);
    /**
     * @stability stable
     */
    resetDeleteDataDisksOnTermination(): void;
    /**
     * @stability stable
     */
    get deleteDataDisksOnTerminationInput(): boolean | undefined;
    private _deleteOsDiskOnTermination?;
    /**
     * @stability stable
     */
    get deleteOsDiskOnTermination(): boolean;
    /**
     * @stability stable
     */
    set deleteOsDiskOnTermination(value: boolean);
    /**
     * @stability stable
     */
    resetDeleteOsDiskOnTermination(): void;
    /**
     * @stability stable
     */
    get deleteOsDiskOnTerminationInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _licenseType?;
    /**
     * @stability stable
     */
    get licenseType(): string;
    /**
     * @stability stable
     */
    set licenseType(value: string);
    /**
     * @stability stable
     */
    resetLicenseType(): void;
    /**
     * @stability stable
     */
    get licenseTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkInterfaceIds;
    /**
     * @stability stable
     */
    get networkInterfaceIds(): string[];
    /**
     * @stability stable
     */
    set networkInterfaceIds(value: string[]);
    /**
     * @stability stable
     */
    get networkInterfaceIdsInput(): string[];
    private _primaryNetworkInterfaceId?;
    /**
     * @stability stable
     */
    get primaryNetworkInterfaceId(): string;
    /**
     * @stability stable
     */
    set primaryNetworkInterfaceId(value: string);
    /**
     * @stability stable
     */
    resetPrimaryNetworkInterfaceId(): void;
    /**
     * @stability stable
     */
    get primaryNetworkInterfaceIdInput(): string | undefined;
    private _proximityPlacementGroupId?;
    /**
     * @stability stable
     */
    get proximityPlacementGroupId(): string;
    /**
     * @stability stable
     */
    set proximityPlacementGroupId(value: string);
    /**
     * @stability stable
     */
    resetProximityPlacementGroupId(): void;
    /**
     * @stability stable
     */
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _vmSize;
    /**
     * @stability stable
     */
    get vmSize(): string;
    /**
     * @stability stable
     */
    set vmSize(value: string);
    /**
     * @stability stable
     */
    get vmSizeInput(): string;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _additionalCapabilities?;
    /**
     * @stability stable
     */
    get additionalCapabilities(): VirtualMachineAdditionalCapabilities[];
    /**
     * @stability stable
     */
    set additionalCapabilities(value: VirtualMachineAdditionalCapabilities[]);
    /**
     * @stability stable
     */
    resetAdditionalCapabilities(): void;
    /**
     * @stability stable
     */
    get additionalCapabilitiesInput(): VirtualMachineAdditionalCapabilities[] | undefined;
    private _bootDiagnostics?;
    /**
     * @stability stable
     */
    get bootDiagnostics(): VirtualMachineBootDiagnostics[];
    /**
     * @stability stable
     */
    set bootDiagnostics(value: VirtualMachineBootDiagnostics[]);
    /**
     * @stability stable
     */
    resetBootDiagnostics(): void;
    /**
     * @stability stable
     */
    get bootDiagnosticsInput(): VirtualMachineBootDiagnostics[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): VirtualMachineIdentity[];
    /**
     * @stability stable
     */
    set identity(value: VirtualMachineIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): VirtualMachineIdentity[] | undefined;
    private _osProfile?;
    /**
     * @stability stable
     */
    get osProfile(): VirtualMachineOsProfile[];
    /**
     * @stability stable
     */
    set osProfile(value: VirtualMachineOsProfile[]);
    /**
     * @stability stable
     */
    resetOsProfile(): void;
    /**
     * @stability stable
     */
    get osProfileInput(): VirtualMachineOsProfile[] | undefined;
    private _osProfileLinuxConfig?;
    /**
     * @stability stable
     */
    get osProfileLinuxConfig(): VirtualMachineOsProfileLinuxConfig[];
    /**
     * @stability stable
     */
    set osProfileLinuxConfig(value: VirtualMachineOsProfileLinuxConfig[]);
    /**
     * @stability stable
     */
    resetOsProfileLinuxConfig(): void;
    /**
     * @stability stable
     */
    get osProfileLinuxConfigInput(): VirtualMachineOsProfileLinuxConfig[] | undefined;
    private _osProfileSecrets?;
    /**
     * @stability stable
     */
    get osProfileSecrets(): VirtualMachineOsProfileSecrets[];
    /**
     * @stability stable
     */
    set osProfileSecrets(value: VirtualMachineOsProfileSecrets[]);
    /**
     * @stability stable
     */
    resetOsProfileSecrets(): void;
    /**
     * @stability stable
     */
    get osProfileSecretsInput(): VirtualMachineOsProfileSecrets[] | undefined;
    private _osProfileWindowsConfig?;
    /**
     * @stability stable
     */
    get osProfileWindowsConfig(): VirtualMachineOsProfileWindowsConfig[];
    /**
     * @stability stable
     */
    set osProfileWindowsConfig(value: VirtualMachineOsProfileWindowsConfig[]);
    /**
     * @stability stable
     */
    resetOsProfileWindowsConfig(): void;
    /**
     * @stability stable
     */
    get osProfileWindowsConfigInput(): VirtualMachineOsProfileWindowsConfig[] | undefined;
    private _plan?;
    /**
     * @stability stable
     */
    get plan(): VirtualMachinePlan[];
    /**
     * @stability stable
     */
    set plan(value: VirtualMachinePlan[]);
    /**
     * @stability stable
     */
    resetPlan(): void;
    /**
     * @stability stable
     */
    get planInput(): VirtualMachinePlan[] | undefined;
    private _storageDataDisk?;
    /**
     * @stability stable
     */
    get storageDataDisk(): VirtualMachineStorageDataDisk[];
    /**
     * @stability stable
     */
    set storageDataDisk(value: VirtualMachineStorageDataDisk[]);
    /**
     * @stability stable
     */
    resetStorageDataDisk(): void;
    /**
     * @stability stable
     */
    get storageDataDiskInput(): VirtualMachineStorageDataDisk[] | undefined;
    private _storageImageReference?;
    /**
     * @stability stable
     */
    get storageImageReference(): VirtualMachineStorageImageReference[];
    /**
     * @stability stable
     */
    set storageImageReference(value: VirtualMachineStorageImageReference[]);
    /**
     * @stability stable
     */
    resetStorageImageReference(): void;
    /**
     * @stability stable
     */
    get storageImageReferenceInput(): VirtualMachineStorageImageReference[] | undefined;
    private _storageOsDisk;
    /**
     * @stability stable
     */
    get storageOsDisk(): VirtualMachineStorageOsDisk[];
    /**
     * @stability stable
     */
    set storageOsDisk(value: VirtualMachineStorageOsDisk[]);
    /**
     * @stability stable
     */
    get storageOsDiskInput(): VirtualMachineStorageOsDisk[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualMachineTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualMachineTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualMachineTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
