import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly authorizationKey?: string;
    /**
     * @stability stable
     */
    readonly connectionProtocol?: string;
    /**
     * @stability stable
     */
    readonly dpdTimeoutSeconds?: number;
    /**
     * @stability stable
     */
    readonly enableBgp?: boolean;
    /**
     * @stability stable
     */
    readonly expressRouteCircuitId?: string;
    /**
     * @stability stable
     */
    readonly expressRouteGatewayBypass?: boolean;
    /**
     * @stability stable
     */
    readonly localAzureIpAddressEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly localNetworkGatewayId?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly peerVirtualNetworkGatewayId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly routingWeight?: number;
    /**
     * @stability stable
     */
    readonly sharedKey?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly usePolicyBasedTrafficSelectors?: boolean;
    /**
     * @stability stable
     */
    readonly virtualNetworkGatewayId: string;
    /**
     * ipsec_policy block.
     *
     * @stability stable
     */
    readonly ipsecPolicy?: VirtualNetworkGatewayConnectionIpsecPolicy[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualNetworkGatewayConnectionTimeouts;
    /**
     * traffic_selector_policy block.
     *
     * @stability stable
     */
    readonly trafficSelectorPolicy?: VirtualNetworkGatewayConnectionTrafficSelectorPolicy[];
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayConnectionIpsecPolicy {
    /**
     * @stability stable
     */
    readonly dhGroup: string;
    /**
     * @stability stable
     */
    readonly ikeEncryption: string;
    /**
     * @stability stable
     */
    readonly ikeIntegrity: string;
    /**
     * @stability stable
     */
    readonly ipsecEncryption: string;
    /**
     * @stability stable
     */
    readonly ipsecIntegrity: string;
    /**
     * @stability stable
     */
    readonly pfsGroup: string;
    /**
     * @stability stable
     */
    readonly saDatasize?: number;
    /**
     * @stability stable
     */
    readonly saLifetime?: number;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayConnectionTrafficSelectorPolicy {
    /**
     * @stability stable
     */
    readonly localAddressCidrs: string[];
    /**
     * @stability stable
     */
    readonly remoteAddressCidrs: string[];
}
/**
 * @stability stable
 */
export declare class VirtualNetworkGatewayConnection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkGatewayConnectionConfig);
    private _authorizationKey?;
    /**
     * @stability stable
     */
    get authorizationKey(): string;
    /**
     * @stability stable
     */
    set authorizationKey(value: string);
    /**
     * @stability stable
     */
    resetAuthorizationKey(): void;
    /**
     * @stability stable
     */
    get authorizationKeyInput(): string | undefined;
    private _connectionProtocol?;
    /**
     * @stability stable
     */
    get connectionProtocol(): string;
    /**
     * @stability stable
     */
    set connectionProtocol(value: string);
    /**
     * @stability stable
     */
    resetConnectionProtocol(): void;
    /**
     * @stability stable
     */
    get connectionProtocolInput(): string | undefined;
    private _dpdTimeoutSeconds?;
    /**
     * @stability stable
     */
    get dpdTimeoutSeconds(): number;
    /**
     * @stability stable
     */
    set dpdTimeoutSeconds(value: number);
    /**
     * @stability stable
     */
    resetDpdTimeoutSeconds(): void;
    /**
     * @stability stable
     */
    get dpdTimeoutSecondsInput(): number | undefined;
    private _enableBgp?;
    /**
     * @stability stable
     */
    get enableBgp(): boolean;
    /**
     * @stability stable
     */
    set enableBgp(value: boolean);
    /**
     * @stability stable
     */
    resetEnableBgp(): void;
    /**
     * @stability stable
     */
    get enableBgpInput(): boolean | undefined;
    private _expressRouteCircuitId?;
    /**
     * @stability stable
     */
    get expressRouteCircuitId(): string;
    /**
     * @stability stable
     */
    set expressRouteCircuitId(value: string);
    /**
     * @stability stable
     */
    resetExpressRouteCircuitId(): void;
    /**
     * @stability stable
     */
    get expressRouteCircuitIdInput(): string | undefined;
    private _expressRouteGatewayBypass?;
    /**
     * @stability stable
     */
    get expressRouteGatewayBypass(): boolean;
    /**
     * @stability stable
     */
    set expressRouteGatewayBypass(value: boolean);
    /**
     * @stability stable
     */
    resetExpressRouteGatewayBypass(): void;
    /**
     * @stability stable
     */
    get expressRouteGatewayBypassInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _localAzureIpAddressEnabled?;
    /**
     * @stability stable
     */
    get localAzureIpAddressEnabled(): boolean;
    /**
     * @stability stable
     */
    set localAzureIpAddressEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetLocalAzureIpAddressEnabled(): void;
    /**
     * @stability stable
     */
    get localAzureIpAddressEnabledInput(): boolean | undefined;
    private _localNetworkGatewayId?;
    /**
     * @stability stable
     */
    get localNetworkGatewayId(): string;
    /**
     * @stability stable
     */
    set localNetworkGatewayId(value: string);
    /**
     * @stability stable
     */
    resetLocalNetworkGatewayId(): void;
    /**
     * @stability stable
     */
    get localNetworkGatewayIdInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _peerVirtualNetworkGatewayId?;
    /**
     * @stability stable
     */
    get peerVirtualNetworkGatewayId(): string;
    /**
     * @stability stable
     */
    set peerVirtualNetworkGatewayId(value: string);
    /**
     * @stability stable
     */
    resetPeerVirtualNetworkGatewayId(): void;
    /**
     * @stability stable
     */
    get peerVirtualNetworkGatewayIdInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _routingWeight?;
    /**
     * @stability stable
     */
    get routingWeight(): number;
    /**
     * @stability stable
     */
    set routingWeight(value: number);
    /**
     * @stability stable
     */
    resetRoutingWeight(): void;
    /**
     * @stability stable
     */
    get routingWeightInput(): number | undefined;
    private _sharedKey?;
    /**
     * @stability stable
     */
    get sharedKey(): string;
    /**
     * @stability stable
     */
    set sharedKey(value: string);
    /**
     * @stability stable
     */
    resetSharedKey(): void;
    /**
     * @stability stable
     */
    get sharedKeyInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _usePolicyBasedTrafficSelectors?;
    /**
     * @stability stable
     */
    get usePolicyBasedTrafficSelectors(): boolean;
    /**
     * @stability stable
     */
    set usePolicyBasedTrafficSelectors(value: boolean);
    /**
     * @stability stable
     */
    resetUsePolicyBasedTrafficSelectors(): void;
    /**
     * @stability stable
     */
    get usePolicyBasedTrafficSelectorsInput(): boolean | undefined;
    private _virtualNetworkGatewayId;
    /**
     * @stability stable
     */
    get virtualNetworkGatewayId(): string;
    /**
     * @stability stable
     */
    set virtualNetworkGatewayId(value: string);
    /**
     * @stability stable
     */
    get virtualNetworkGatewayIdInput(): string;
    private _ipsecPolicy?;
    /**
     * @stability stable
     */
    get ipsecPolicy(): VirtualNetworkGatewayConnectionIpsecPolicy[];
    /**
     * @stability stable
     */
    set ipsecPolicy(value: VirtualNetworkGatewayConnectionIpsecPolicy[]);
    /**
     * @stability stable
     */
    resetIpsecPolicy(): void;
    /**
     * @stability stable
     */
    get ipsecPolicyInput(): VirtualNetworkGatewayConnectionIpsecPolicy[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualNetworkGatewayConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualNetworkGatewayConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualNetworkGatewayConnectionTimeouts | undefined;
    private _trafficSelectorPolicy?;
    /**
     * @stability stable
     */
    get trafficSelectorPolicy(): VirtualNetworkGatewayConnectionTrafficSelectorPolicy[];
    /**
     * @stability stable
     */
    set trafficSelectorPolicy(value: VirtualNetworkGatewayConnectionTrafficSelectorPolicy[]);
    /**
     * @stability stable
     */
    resetTrafficSelectorPolicy(): void;
    /**
     * @stability stable
     */
    get trafficSelectorPolicyInput(): VirtualNetworkGatewayConnectionTrafficSelectorPolicy[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
