import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly activeActive?: boolean;
    /**
     * @stability stable
     */
    readonly defaultLocalNetworkGatewayId?: string;
    /**
     * @stability stable
     */
    readonly enableBgp?: boolean;
    /**
     * @stability stable
     */
    readonly generation?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly privateIpAddressEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly vpnType?: string;
    /**
     * bgp_settings block.
     *
     * @stability stable
     */
    readonly bgpSettings?: VirtualNetworkGatewayBgpSettings[];
    /**
     * custom_route block.
     *
     * @stability stable
     */
    readonly customRoute?: VirtualNetworkGatewayCustomRoute[];
    /**
     * ip_configuration block.
     *
     * @stability stable
     */
    readonly ipConfiguration: VirtualNetworkGatewayIpConfiguration[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualNetworkGatewayTimeouts;
    /**
     * vpn_client_configuration block.
     *
     * @stability stable
     */
    readonly vpnClientConfiguration?: VirtualNetworkGatewayVpnClientConfiguration[];
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayBgpSettingsPeeringAddresses {
    /**
     * @stability stable
     */
    readonly apipaAddresses?: string[];
    /**
     * @stability stable
     */
    readonly ipConfigurationName?: string;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayBgpSettings {
    /**
     * @stability stable
     */
    readonly asn?: number;
    /**
     * @stability stable
     */
    readonly peerWeight?: number;
    /**
     * @stability stable
     */
    readonly peeringAddress?: string;
    /**
     * peering_addresses block.
     *
     * @stability stable
     */
    readonly peeringAddresses?: VirtualNetworkGatewayBgpSettingsPeeringAddresses[];
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayCustomRoute {
    /**
     * @stability stable
     */
    readonly addressPrefixes?: string[];
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayIpConfiguration {
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly privateIpAddressAllocation?: string;
    /**
     * @stability stable
     */
    readonly publicIpAddressId: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayVpnClientConfigurationRevokedCertificate {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly thumbprint: string;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayVpnClientConfigurationRootCertificate {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly publicCertData: string;
}
/**
 * @stability stable
 */
export interface VirtualNetworkGatewayVpnClientConfiguration {
    /**
     * @stability stable
     */
    readonly aadAudience?: string;
    /**
     * @stability stable
     */
    readonly aadIssuer?: string;
    /**
     * @stability stable
     */
    readonly aadTenant?: string;
    /**
     * @stability stable
     */
    readonly addressSpace: string[];
    /**
     * @stability stable
     */
    readonly radiusServerAddress?: string;
    /**
     * @stability stable
     */
    readonly radiusServerSecret?: string;
    /**
     * @stability stable
     */
    readonly vpnClientProtocols?: string[];
    /**
     * revoked_certificate block.
     *
     * @stability stable
     */
    readonly revokedCertificate?: VirtualNetworkGatewayVpnClientConfigurationRevokedCertificate[];
    /**
     * root_certificate block.
     *
     * @stability stable
     */
    readonly rootCertificate?: VirtualNetworkGatewayVpnClientConfigurationRootCertificate[];
}
/**
 * @stability stable
 */
export declare class VirtualNetworkGateway extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkGatewayConfig);
    private _activeActive?;
    /**
     * @stability stable
     */
    get activeActive(): boolean;
    /**
     * @stability stable
     */
    set activeActive(value: boolean);
    /**
     * @stability stable
     */
    resetActiveActive(): void;
    /**
     * @stability stable
     */
    get activeActiveInput(): boolean | undefined;
    private _defaultLocalNetworkGatewayId?;
    /**
     * @stability stable
     */
    get defaultLocalNetworkGatewayId(): string;
    /**
     * @stability stable
     */
    set defaultLocalNetworkGatewayId(value: string);
    /**
     * @stability stable
     */
    resetDefaultLocalNetworkGatewayId(): void;
    /**
     * @stability stable
     */
    get defaultLocalNetworkGatewayIdInput(): string | undefined;
    private _enableBgp?;
    /**
     * @stability stable
     */
    get enableBgp(): boolean;
    /**
     * @stability stable
     */
    set enableBgp(value: boolean);
    /**
     * @stability stable
     */
    resetEnableBgp(): void;
    /**
     * @stability stable
     */
    get enableBgpInput(): boolean | undefined;
    private _generation?;
    /**
     * @stability stable
     */
    get generation(): string;
    /**
     * @stability stable
     */
    set generation(value: string);
    /**
     * @stability stable
     */
    resetGeneration(): void;
    /**
     * @stability stable
     */
    get generationInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _privateIpAddressEnabled?;
    /**
     * @stability stable
     */
    get privateIpAddressEnabled(): boolean;
    /**
     * @stability stable
     */
    set privateIpAddressEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetPrivateIpAddressEnabled(): void;
    /**
     * @stability stable
     */
    get privateIpAddressEnabledInput(): boolean | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    get skuInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _vpnType?;
    /**
     * @stability stable
     */
    get vpnType(): string;
    /**
     * @stability stable
     */
    set vpnType(value: string);
    /**
     * @stability stable
     */
    resetVpnType(): void;
    /**
     * @stability stable
     */
    get vpnTypeInput(): string | undefined;
    private _bgpSettings?;
    /**
     * @stability stable
     */
    get bgpSettings(): VirtualNetworkGatewayBgpSettings[];
    /**
     * @stability stable
     */
    set bgpSettings(value: VirtualNetworkGatewayBgpSettings[]);
    /**
     * @stability stable
     */
    resetBgpSettings(): void;
    /**
     * @stability stable
     */
    get bgpSettingsInput(): VirtualNetworkGatewayBgpSettings[] | undefined;
    private _customRoute?;
    /**
     * @stability stable
     */
    get customRoute(): VirtualNetworkGatewayCustomRoute[];
    /**
     * @stability stable
     */
    set customRoute(value: VirtualNetworkGatewayCustomRoute[]);
    /**
     * @stability stable
     */
    resetCustomRoute(): void;
    /**
     * @stability stable
     */
    get customRouteInput(): VirtualNetworkGatewayCustomRoute[] | undefined;
    private _ipConfiguration;
    /**
     * @stability stable
     */
    get ipConfiguration(): VirtualNetworkGatewayIpConfiguration[];
    /**
     * @stability stable
     */
    set ipConfiguration(value: VirtualNetworkGatewayIpConfiguration[]);
    /**
     * @stability stable
     */
    get ipConfigurationInput(): VirtualNetworkGatewayIpConfiguration[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualNetworkGatewayTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualNetworkGatewayTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualNetworkGatewayTimeouts | undefined;
    private _vpnClientConfiguration?;
    /**
     * @stability stable
     */
    get vpnClientConfiguration(): VirtualNetworkGatewayVpnClientConfiguration[];
    /**
     * @stability stable
     */
    set vpnClientConfiguration(value: VirtualNetworkGatewayVpnClientConfiguration[]);
    /**
     * @stability stable
     */
    resetVpnClientConfiguration(): void;
    /**
     * @stability stable
     */
    get vpnClientConfigurationInput(): VirtualNetworkGatewayVpnClientConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
