import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VirtualNetworkPeeringConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allowForwardedTraffic?: boolean;
    /**
     * @stability stable
     */
    readonly allowGatewayTransit?: boolean;
    /**
     * @stability stable
     */
    readonly allowVirtualNetworkAccess?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly remoteVirtualNetworkId: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly useRemoteGateways?: boolean;
    /**
     * @stability stable
     */
    readonly virtualNetworkName: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VirtualNetworkPeeringTimeouts;
}
/**
 * @stability stable
 */
export interface VirtualNetworkPeeringTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VirtualNetworkPeering extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkPeeringConfig);
    private _allowForwardedTraffic?;
    /**
     * @stability stable
     */
    get allowForwardedTraffic(): boolean;
    /**
     * @stability stable
     */
    set allowForwardedTraffic(value: boolean);
    /**
     * @stability stable
     */
    resetAllowForwardedTraffic(): void;
    /**
     * @stability stable
     */
    get allowForwardedTrafficInput(): boolean | undefined;
    private _allowGatewayTransit?;
    /**
     * @stability stable
     */
    get allowGatewayTransit(): boolean;
    /**
     * @stability stable
     */
    set allowGatewayTransit(value: boolean);
    /**
     * @stability stable
     */
    resetAllowGatewayTransit(): void;
    /**
     * @stability stable
     */
    get allowGatewayTransitInput(): boolean | undefined;
    private _allowVirtualNetworkAccess?;
    /**
     * @stability stable
     */
    get allowVirtualNetworkAccess(): boolean;
    /**
     * @stability stable
     */
    set allowVirtualNetworkAccess(value: boolean);
    /**
     * @stability stable
     */
    resetAllowVirtualNetworkAccess(): void;
    /**
     * @stability stable
     */
    get allowVirtualNetworkAccessInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _remoteVirtualNetworkId;
    /**
     * @stability stable
     */
    get remoteVirtualNetworkId(): string;
    /**
     * @stability stable
     */
    set remoteVirtualNetworkId(value: string);
    /**
     * @stability stable
     */
    get remoteVirtualNetworkIdInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _useRemoteGateways?;
    /**
     * @stability stable
     */
    get useRemoteGateways(): boolean;
    /**
     * @stability stable
     */
    set useRemoteGateways(value: boolean);
    /**
     * @stability stable
     */
    resetUseRemoteGateways(): void;
    /**
     * @stability stable
     */
    get useRemoteGatewaysInput(): boolean | undefined;
    private _virtualNetworkName;
    /**
     * @stability stable
     */
    get virtualNetworkName(): string;
    /**
     * @stability stable
     */
    set virtualNetworkName(value: string);
    /**
     * @stability stable
     */
    get virtualNetworkNameInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VirtualNetworkPeeringTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VirtualNetworkPeeringTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VirtualNetworkPeeringTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
