import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VmwarePrivateCloudConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly internetConnectionEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkSubnetCidr: string;
    /**
     * @stability stable
     */
    readonly nsxtPassword?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly skuName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly vcenterPassword?: string;
    /**
     * management_cluster block.
     *
     * @stability stable
     */
    readonly managementCluster: VmwarePrivateCloudManagementCluster[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VmwarePrivateCloudTimeouts;
}
/**
 * @stability stable
 */
export declare class VmwarePrivateCloudCircuit extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get expressRouteId(): string;
    /**
     * @stability stable
     */
    get expressRoutePrivatePeeringId(): string;
    /**
     * @stability stable
     */
    get primarySubnetCidr(): string;
    /**
     * @stability stable
     */
    get secondarySubnetCidr(): string;
}
/**
 * @stability stable
 */
export interface VmwarePrivateCloudManagementCluster {
    /**
     * @stability stable
     */
    readonly size: number;
}
/**
 * @stability stable
 */
export interface VmwarePrivateCloudTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VmwarePrivateCloud extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VmwarePrivateCloudConfig);
    /**
     * @stability stable
     */
    circuit(index: string): VmwarePrivateCloudCircuit;
    /**
     * @stability stable
     */
    get hcxCloudManagerEndpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _internetConnectionEnabled?;
    /**
     * @stability stable
     */
    get internetConnectionEnabled(): boolean;
    /**
     * @stability stable
     */
    set internetConnectionEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetInternetConnectionEnabled(): void;
    /**
     * @stability stable
     */
    get internetConnectionEnabledInput(): boolean | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get managementSubnetCidr(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _networkSubnetCidr;
    /**
     * @stability stable
     */
    get networkSubnetCidr(): string;
    /**
     * @stability stable
     */
    set networkSubnetCidr(value: string);
    /**
     * @stability stable
     */
    get networkSubnetCidrInput(): string;
    /**
     * @stability stable
     */
    get nsxtCertificateThumbprint(): string;
    /**
     * @stability stable
     */
    get nsxtManagerEndpoint(): string;
    private _nsxtPassword?;
    /**
     * @stability stable
     */
    get nsxtPassword(): string;
    /**
     * @stability stable
     */
    set nsxtPassword(value: string);
    /**
     * @stability stable
     */
    resetNsxtPassword(): void;
    /**
     * @stability stable
     */
    get nsxtPasswordInput(): string | undefined;
    /**
     * @stability stable
     */
    get provisioningSubnetCidr(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _skuName;
    /**
     * @stability stable
     */
    get skuName(): string;
    /**
     * @stability stable
     */
    set skuName(value: string);
    /**
     * @stability stable
     */
    get skuNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get vcenterCertificateThumbprint(): string;
    private _vcenterPassword?;
    /**
     * @stability stable
     */
    get vcenterPassword(): string;
    /**
     * @stability stable
     */
    set vcenterPassword(value: string);
    /**
     * @stability stable
     */
    resetVcenterPassword(): void;
    /**
     * @stability stable
     */
    get vcenterPasswordInput(): string | undefined;
    /**
     * @stability stable
     */
    get vcsaEndpoint(): string;
    /**
     * @stability stable
     */
    get vmotionSubnetCidr(): string;
    private _managementCluster;
    /**
     * @stability stable
     */
    get managementCluster(): VmwarePrivateCloudManagementCluster[];
    /**
     * @stability stable
     */
    set managementCluster(value: VmwarePrivateCloudManagementCluster[]);
    /**
     * @stability stable
     */
    get managementClusterInput(): VmwarePrivateCloudManagementCluster[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VmwarePrivateCloudTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VmwarePrivateCloudTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VmwarePrivateCloudTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
