import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VpnGatewayConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly internetSecurityEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly remoteVpnSiteId: string;
    /**
     * @stability stable
     */
    readonly vpnGatewayId: string;
    /**
     * routing block.
     *
     * @stability stable
     */
    readonly routing?: VpnGatewayConnectionRouting[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VpnGatewayConnectionTimeouts;
    /**
     * vpn_link block.
     *
     * @stability stable
     */
    readonly vpnLink: VpnGatewayConnectionVpnLink[];
}
/**
 * @stability stable
 */
export interface VpnGatewayConnectionRouting {
    /**
     * @stability stable
     */
    readonly associatedRouteTable: string;
    /**
     * @stability stable
     */
    readonly propagatedRouteTables: string[];
}
/**
 * @stability stable
 */
export interface VpnGatewayConnectionTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface VpnGatewayConnectionVpnLinkIpsecPolicy {
    /**
     * @stability stable
     */
    readonly dhGroup: string;
    /**
     * @stability stable
     */
    readonly encryptionAlgorithm: string;
    /**
     * @stability stable
     */
    readonly ikeEncryptionAlgorithm: string;
    /**
     * @stability stable
     */
    readonly ikeIntegrityAlgorithm: string;
    /**
     * @stability stable
     */
    readonly integrityAlgorithm: string;
    /**
     * @stability stable
     */
    readonly pfsGroup: string;
    /**
     * @stability stable
     */
    readonly saDataSizeKb: number;
    /**
     * @stability stable
     */
    readonly saLifetimeSec: number;
}
/**
 * @stability stable
 */
export interface VpnGatewayConnectionVpnLink {
    /**
     * @stability stable
     */
    readonly bandwidthMbps?: number;
    /**
     * @stability stable
     */
    readonly bgpEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly localAzureIpAddressEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly policyBasedTrafficSelectorEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly protocol?: string;
    /**
     * @stability stable
     */
    readonly ratelimitEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly routeWeight?: number;
    /**
     * @stability stable
     */
    readonly sharedKey?: string;
    /**
     * @stability stable
     */
    readonly vpnSiteLinkId: string;
    /**
     * ipsec_policy block.
     *
     * @stability stable
     */
    readonly ipsecPolicy?: VpnGatewayConnectionVpnLinkIpsecPolicy[];
}
/**
 * @stability stable
 */
export declare class VpnGatewayConnection extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpnGatewayConnectionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _internetSecurityEnabled?;
    /**
     * @stability stable
     */
    get internetSecurityEnabled(): boolean;
    /**
     * @stability stable
     */
    set internetSecurityEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetInternetSecurityEnabled(): void;
    /**
     * @stability stable
     */
    get internetSecurityEnabledInput(): boolean | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _remoteVpnSiteId;
    /**
     * @stability stable
     */
    get remoteVpnSiteId(): string;
    /**
     * @stability stable
     */
    set remoteVpnSiteId(value: string);
    /**
     * @stability stable
     */
    get remoteVpnSiteIdInput(): string;
    private _vpnGatewayId;
    /**
     * @stability stable
     */
    get vpnGatewayId(): string;
    /**
     * @stability stable
     */
    set vpnGatewayId(value: string);
    /**
     * @stability stable
     */
    get vpnGatewayIdInput(): string;
    private _routing?;
    /**
     * @stability stable
     */
    get routing(): VpnGatewayConnectionRouting[];
    /**
     * @stability stable
     */
    set routing(value: VpnGatewayConnectionRouting[]);
    /**
     * @stability stable
     */
    resetRouting(): void;
    /**
     * @stability stable
     */
    get routingInput(): VpnGatewayConnectionRouting[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VpnGatewayConnectionTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VpnGatewayConnectionTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VpnGatewayConnectionTimeouts | undefined;
    private _vpnLink;
    /**
     * @stability stable
     */
    get vpnLink(): VpnGatewayConnectionVpnLink[];
    /**
     * @stability stable
     */
    set vpnLink(value: VpnGatewayConnectionVpnLink[]);
    /**
     * @stability stable
     */
    get vpnLinkInput(): VpnGatewayConnectionVpnLink[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
