import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VpnGatewayConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scaleUnit?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualHubId: string;
    /**
     * bgp_settings block.
     *
     * @stability stable
     */
    readonly bgpSettings?: VpnGatewayBgpSettings[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VpnGatewayTimeouts;
}
/**
 * @stability stable
 */
export interface VpnGatewayBgpSettingsInstance0BgpPeeringAddress {
    /**
     * @stability stable
     */
    readonly customIps: string[];
}
/**
 * @stability stable
 */
export interface VpnGatewayBgpSettingsInstance1BgpPeeringAddress {
    /**
     * @stability stable
     */
    readonly customIps: string[];
}
/**
 * @stability stable
 */
export interface VpnGatewayBgpSettings {
    /**
     * @stability stable
     */
    readonly asn: number;
    /**
     * @stability stable
     */
    readonly peerWeight: number;
    /**
     * instance_0_bgp_peering_address block.
     *
     * @stability stable
     */
    readonly instance0BgpPeeringAddress?: VpnGatewayBgpSettingsInstance0BgpPeeringAddress[];
    /**
     * instance_1_bgp_peering_address block.
     *
     * @stability stable
     */
    readonly instance1BgpPeeringAddress?: VpnGatewayBgpSettingsInstance1BgpPeeringAddress[];
}
/**
 * @stability stable
 */
export interface VpnGatewayTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VpnGateway extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpnGatewayConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scaleUnit?;
    /**
     * @stability stable
     */
    get scaleUnit(): number;
    /**
     * @stability stable
     */
    set scaleUnit(value: number);
    /**
     * @stability stable
     */
    resetScaleUnit(): void;
    /**
     * @stability stable
     */
    get scaleUnitInput(): number | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualHubId;
    /**
     * @stability stable
     */
    get virtualHubId(): string;
    /**
     * @stability stable
     */
    set virtualHubId(value: string);
    /**
     * @stability stable
     */
    get virtualHubIdInput(): string;
    private _bgpSettings?;
    /**
     * @stability stable
     */
    get bgpSettings(): VpnGatewayBgpSettings[];
    /**
     * @stability stable
     */
    set bgpSettings(value: VpnGatewayBgpSettings[]);
    /**
     * @stability stable
     */
    resetBgpSettings(): void;
    /**
     * @stability stable
     */
    get bgpSettingsInput(): VpnGatewayBgpSettings[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VpnGatewayTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VpnGatewayTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VpnGatewayTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
