import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VpnSiteConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly addressCidrs?: string[];
    /**
     * @stability stable
     */
    readonly deviceModel?: string;
    /**
     * @stability stable
     */
    readonly deviceVendor?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualWanId: string;
    /**
     * link block.
     *
     * @stability stable
     */
    readonly link?: VpnSiteLink[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VpnSiteTimeouts;
}
/**
 * @stability stable
 */
export interface VpnSiteLinkBgp {
    /**
     * @stability stable
     */
    readonly asn: number;
    /**
     * @stability stable
     */
    readonly peeringAddress: string;
}
/**
 * @stability stable
 */
export interface VpnSiteLink {
    /**
     * @stability stable
     */
    readonly fqdn?: string;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly providerName?: string;
    /**
     * @stability stable
     */
    readonly speedInMbps?: number;
    /**
     * bgp block.
     *
     * @stability stable
     */
    readonly bgp?: VpnSiteLinkBgp[];
}
/**
 * @stability stable
 */
export interface VpnSiteTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class VpnSite extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpnSiteConfig);
    private _addressCidrs?;
    /**
     * @stability stable
     */
    get addressCidrs(): string[];
    /**
     * @stability stable
     */
    set addressCidrs(value: string[]);
    /**
     * @stability stable
     */
    resetAddressCidrs(): void;
    /**
     * @stability stable
     */
    get addressCidrsInput(): string[] | undefined;
    private _deviceModel?;
    /**
     * @stability stable
     */
    get deviceModel(): string;
    /**
     * @stability stable
     */
    set deviceModel(value: string);
    /**
     * @stability stable
     */
    resetDeviceModel(): void;
    /**
     * @stability stable
     */
    get deviceModelInput(): string | undefined;
    private _deviceVendor?;
    /**
     * @stability stable
     */
    get deviceVendor(): string;
    /**
     * @stability stable
     */
    set deviceVendor(value: string);
    /**
     * @stability stable
     */
    resetDeviceVendor(): void;
    /**
     * @stability stable
     */
    get deviceVendorInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualWanId;
    /**
     * @stability stable
     */
    get virtualWanId(): string;
    /**
     * @stability stable
     */
    set virtualWanId(value: string);
    /**
     * @stability stable
     */
    get virtualWanIdInput(): string;
    private _link?;
    /**
     * @stability stable
     */
    get link(): VpnSiteLink[];
    /**
     * @stability stable
     */
    set link(value: VpnSiteLink[]);
    /**
     * @stability stable
     */
    resetLink(): void;
    /**
     * @stability stable
     */
    get linkInput(): VpnSiteLink[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VpnSiteTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VpnSiteTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VpnSiteTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
