import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly adminPassword: string;
    /**
     * @stability stable
     */
    readonly adminUsername: string;
    /**
     * @stability stable
     */
    readonly computerNamePrefix?: string;
    /**
     * @stability stable
     */
    readonly customData?: string;
    /**
     * @stability stable
     */
    readonly doNotRunExtensionsOnOverprovisionedMachines?: boolean;
    /**
     * @stability stable
     */
    readonly enableAutomaticUpdates?: boolean;
    /**
     * @stability stable
     */
    readonly encryptionAtHostEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly evictionPolicy?: string;
    /**
     * @stability stable
     */
    readonly extensionsTimeBudget?: string;
    /**
     * @stability stable
     */
    readonly healthProbeId?: string;
    /**
     * @stability stable
     */
    readonly instances: number;
    /**
     * @stability stable
     */
    readonly licenseType?: string;
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly maxBidPrice?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly overprovision?: boolean;
    /**
     * @stability stable
     */
    readonly platformFaultDomainCount?: number;
    /**
     * @stability stable
     */
    readonly priority?: string;
    /**
     * @stability stable
     */
    readonly provisionVmAgent?: boolean;
    /**
     * @stability stable
     */
    readonly proximityPlacementGroupId?: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly scaleInPolicy?: string;
    /**
     * @stability stable
     */
    readonly singlePlacementGroup?: boolean;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly sourceImageId?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * @stability stable
     */
    readonly upgradeMode?: string;
    /**
     * @stability stable
     */
    readonly zoneBalance?: boolean;
    /**
     * @stability stable
     */
    readonly zones?: string[];
    /**
     * additional_capabilities block.
     *
     * @stability stable
     */
    readonly additionalCapabilities?: WindowsVirtualMachineScaleSetAdditionalCapabilities[];
    /**
     * additional_unattend_content block.
     *
     * @stability stable
     */
    readonly additionalUnattendContent?: WindowsVirtualMachineScaleSetAdditionalUnattendContent[];
    /**
     * automatic_instance_repair block.
     *
     * @stability stable
     */
    readonly automaticInstanceRepair?: WindowsVirtualMachineScaleSetAutomaticInstanceRepair[];
    /**
     * automatic_os_upgrade_policy block.
     *
     * @stability stable
     */
    readonly automaticOsUpgradePolicy?: WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    /**
     * boot_diagnostics block.
     *
     * @stability stable
     */
    readonly bootDiagnostics?: WindowsVirtualMachineScaleSetBootDiagnostics[];
    /**
     * data_disk block.
     *
     * @stability stable
     */
    readonly dataDisk?: WindowsVirtualMachineScaleSetDataDisk[];
    /**
     * extension block.
     *
     * @stability stable
     */
    readonly extension?: WindowsVirtualMachineScaleSetExtension[];
    /**
     * identity block.
     *
     * @stability stable
     */
    readonly identity?: WindowsVirtualMachineScaleSetIdentity[];
    /**
     * network_interface block.
     *
     * @stability stable
     */
    readonly networkInterface: WindowsVirtualMachineScaleSetNetworkInterface[];
    /**
     * os_disk block.
     *
     * @stability stable
     */
    readonly osDisk: WindowsVirtualMachineScaleSetOsDisk[];
    /**
     * plan block.
     *
     * @stability stable
     */
    readonly plan?: WindowsVirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     *
     * @stability stable
     */
    readonly rollingUpgradePolicy?: WindowsVirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * secret block.
     *
     * @stability stable
     */
    readonly secret?: WindowsVirtualMachineScaleSetSecret[];
    /**
     * source_image_reference block.
     *
     * @stability stable
     */
    readonly sourceImageReference?: WindowsVirtualMachineScaleSetSourceImageReference[];
    /**
     * terminate_notification block.
     *
     * @stability stable
     */
    readonly terminateNotification?: WindowsVirtualMachineScaleSetTerminateNotification[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: WindowsVirtualMachineScaleSetTimeouts;
    /**
     * winrm_listener block.
     *
     * @stability stable
     */
    readonly winrmListener?: WindowsVirtualMachineScaleSetWinrmListener[];
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetAdditionalCapabilities {
    /**
     * @stability stable
     */
    readonly ultraSsdEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetAdditionalUnattendContent {
    /**
     * @stability stable
     */
    readonly content: string;
    /**
     * @stability stable
     */
    readonly setting: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetAutomaticInstanceRepair {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly gracePeriod?: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy {
    /**
     * @stability stable
     */
    readonly disableAutomaticRollback: boolean;
    /**
     * @stability stable
     */
    readonly enableAutomaticOsUpgrade: boolean;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetBootDiagnostics {
    /**
     * @stability stable
     */
    readonly storageAccountUri?: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetDataDisk {
    /**
     * @stability stable
     */
    readonly caching: string;
    /**
     * @stability stable
     */
    readonly createOption?: string;
    /**
     * @stability stable
     */
    readonly diskEncryptionSetId?: string;
    /**
     * @stability stable
     */
    readonly diskIopsReadWrite?: number;
    /**
     * @stability stable
     */
    readonly diskMbpsReadWrite?: number;
    /**
     * @stability stable
     */
    readonly diskSizeGb: number;
    /**
     * @stability stable
     */
    readonly lun: number;
    /**
     * @stability stable
     */
    readonly storageAccountType: string;
    /**
     * @stability stable
     */
    readonly writeAcceleratorEnabled?: boolean;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetExtension {
    /**
     * @stability stable
     */
    readonly autoUpgradeMinorVersion?: boolean;
    /**
     * @stability stable
     */
    readonly forceUpdateTag?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly protectedSettings?: string;
    /**
     * @stability stable
     */
    readonly provisionAfterExtensions?: string[];
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * @stability stable
     */
    readonly settings?: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly typeHandlerVersion: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetIdentity {
    /**
     * @stability stable
     */
    readonly identityIds?: string[];
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag {
    /**
     * @stability stable
     */
    readonly tag: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress {
    /**
     * @stability stable
     */
    readonly domainNameLabel?: string;
    /**
     * @stability stable
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly publicIpPrefixId?: string;
    /**
     * ip_tag block.
     *
     * @stability stable
     */
    readonly ipTag?: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag[];
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfiguration {
    /**
     * @stability stable
     */
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    /**
     * @stability stable
     */
    readonly applicationSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly loadBalancerBackendAddressPoolIds?: string[];
    /**
     * @stability stable
     */
    readonly loadBalancerInboundNatRulesIds?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly primary?: boolean;
    /**
     * @stability stable
     */
    readonly subnetId?: string;
    /**
     * @stability stable
     */
    readonly version?: string;
    /**
     * public_ip_address block.
     *
     * @stability stable
     */
    readonly publicIpAddress?: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress[];
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetNetworkInterface {
    /**
     * @stability stable
     */
    readonly dnsServers?: string[];
    /**
     * @stability stable
     */
    readonly enableAcceleratedNetworking?: boolean;
    /**
     * @stability stable
     */
    readonly enableIpForwarding?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly networkSecurityGroupId?: string;
    /**
     * @stability stable
     */
    readonly primary?: boolean;
    /**
     * ip_configuration block.
     *
     * @stability stable
     */
    readonly ipConfiguration: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfiguration[];
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetOsDiskDiffDiskSettings {
    /**
     * @stability stable
     */
    readonly option: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetOsDisk {
    /**
     * @stability stable
     */
    readonly caching: string;
    /**
     * @stability stable
     */
    readonly diskEncryptionSetId?: string;
    /**
     * @stability stable
     */
    readonly diskSizeGb?: number;
    /**
     * @stability stable
     */
    readonly storageAccountType: string;
    /**
     * @stability stable
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     *
     * @stability stable
     */
    readonly diffDiskSettings?: WindowsVirtualMachineScaleSetOsDiskDiffDiskSettings[];
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetPlan {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly product: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetRollingUpgradePolicy {
    /**
     * @stability stable
     */
    readonly maxBatchInstancePercent: number;
    /**
     * @stability stable
     */
    readonly maxUnhealthyInstancePercent: number;
    /**
     * @stability stable
     */
    readonly maxUnhealthyUpgradedInstancePercent: number;
    /**
     * @stability stable
     */
    readonly pauseTimeBetweenBatches: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetSecretCertificate {
    /**
     * @stability stable
     */
    readonly store: string;
    /**
     * @stability stable
     */
    readonly url: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetSecret {
    /**
     * @stability stable
     */
    readonly keyVaultId: string;
    /**
     * certificate block.
     *
     * @stability stable
     */
    readonly certificate: WindowsVirtualMachineScaleSetSecretCertificate[];
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetSourceImageReference {
    /**
     * @stability stable
     */
    readonly offer: string;
    /**
     * @stability stable
     */
    readonly publisher: string;
    /**
     * @stability stable
     */
    readonly sku: string;
    /**
     * @stability stable
     */
    readonly version: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetTerminateNotification {
    /**
     * @stability stable
     */
    readonly enabled: boolean;
    /**
     * @stability stable
     */
    readonly timeout?: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export interface WindowsVirtualMachineScaleSetWinrmListener {
    /**
     * @stability stable
     */
    readonly certificateUrl?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
}
/**
 * @stability stable
 */
export declare class WindowsVirtualMachineScaleSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WindowsVirtualMachineScaleSetConfig);
    private _adminPassword;
    /**
     * @stability stable
     */
    get adminPassword(): string;
    /**
     * @stability stable
     */
    set adminPassword(value: string);
    /**
     * @stability stable
     */
    get adminPasswordInput(): string;
    private _adminUsername;
    /**
     * @stability stable
     */
    get adminUsername(): string;
    /**
     * @stability stable
     */
    set adminUsername(value: string);
    /**
     * @stability stable
     */
    get adminUsernameInput(): string;
    private _computerNamePrefix?;
    /**
     * @stability stable
     */
    get computerNamePrefix(): string;
    /**
     * @stability stable
     */
    set computerNamePrefix(value: string);
    /**
     * @stability stable
     */
    resetComputerNamePrefix(): void;
    /**
     * @stability stable
     */
    get computerNamePrefixInput(): string | undefined;
    private _customData?;
    /**
     * @stability stable
     */
    get customData(): string;
    /**
     * @stability stable
     */
    set customData(value: string);
    /**
     * @stability stable
     */
    resetCustomData(): void;
    /**
     * @stability stable
     */
    get customDataInput(): string | undefined;
    private _doNotRunExtensionsOnOverprovisionedMachines?;
    /**
     * @stability stable
     */
    get doNotRunExtensionsOnOverprovisionedMachines(): boolean;
    /**
     * @stability stable
     */
    set doNotRunExtensionsOnOverprovisionedMachines(value: boolean);
    /**
     * @stability stable
     */
    resetDoNotRunExtensionsOnOverprovisionedMachines(): void;
    /**
     * @stability stable
     */
    get doNotRunExtensionsOnOverprovisionedMachinesInput(): boolean | undefined;
    private _enableAutomaticUpdates?;
    /**
     * @stability stable
     */
    get enableAutomaticUpdates(): boolean;
    /**
     * @stability stable
     */
    set enableAutomaticUpdates(value: boolean);
    /**
     * @stability stable
     */
    resetEnableAutomaticUpdates(): void;
    /**
     * @stability stable
     */
    get enableAutomaticUpdatesInput(): boolean | undefined;
    private _encryptionAtHostEnabled?;
    /**
     * @stability stable
     */
    get encryptionAtHostEnabled(): boolean;
    /**
     * @stability stable
     */
    set encryptionAtHostEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetEncryptionAtHostEnabled(): void;
    /**
     * @stability stable
     */
    get encryptionAtHostEnabledInput(): boolean | undefined;
    private _evictionPolicy?;
    /**
     * @stability stable
     */
    get evictionPolicy(): string;
    /**
     * @stability stable
     */
    set evictionPolicy(value: string);
    /**
     * @stability stable
     */
    resetEvictionPolicy(): void;
    /**
     * @stability stable
     */
    get evictionPolicyInput(): string | undefined;
    private _extensionsTimeBudget?;
    /**
     * @stability stable
     */
    get extensionsTimeBudget(): string;
    /**
     * @stability stable
     */
    set extensionsTimeBudget(value: string);
    /**
     * @stability stable
     */
    resetExtensionsTimeBudget(): void;
    /**
     * @stability stable
     */
    get extensionsTimeBudgetInput(): string | undefined;
    private _healthProbeId?;
    /**
     * @stability stable
     */
    get healthProbeId(): string;
    /**
     * @stability stable
     */
    set healthProbeId(value: string);
    /**
     * @stability stable
     */
    resetHealthProbeId(): void;
    /**
     * @stability stable
     */
    get healthProbeIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _instances;
    /**
     * @stability stable
     */
    get instances(): number;
    /**
     * @stability stable
     */
    set instances(value: number);
    /**
     * @stability stable
     */
    get instancesInput(): number;
    private _licenseType?;
    /**
     * @stability stable
     */
    get licenseType(): string;
    /**
     * @stability stable
     */
    set licenseType(value: string);
    /**
     * @stability stable
     */
    resetLicenseType(): void;
    /**
     * @stability stable
     */
    get licenseTypeInput(): string | undefined;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    private _maxBidPrice?;
    /**
     * @stability stable
     */
    get maxBidPrice(): number;
    /**
     * @stability stable
     */
    set maxBidPrice(value: number);
    /**
     * @stability stable
     */
    resetMaxBidPrice(): void;
    /**
     * @stability stable
     */
    get maxBidPriceInput(): number | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _overprovision?;
    /**
     * @stability stable
     */
    get overprovision(): boolean;
    /**
     * @stability stable
     */
    set overprovision(value: boolean);
    /**
     * @stability stable
     */
    resetOverprovision(): void;
    /**
     * @stability stable
     */
    get overprovisionInput(): boolean | undefined;
    private _platformFaultDomainCount?;
    /**
     * @stability stable
     */
    get platformFaultDomainCount(): number;
    /**
     * @stability stable
     */
    set platformFaultDomainCount(value: number);
    /**
     * @stability stable
     */
    resetPlatformFaultDomainCount(): void;
    /**
     * @stability stable
     */
    get platformFaultDomainCountInput(): number | undefined;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): string;
    /**
     * @stability stable
     */
    set priority(value: string);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): string | undefined;
    private _provisionVmAgent?;
    /**
     * @stability stable
     */
    get provisionVmAgent(): boolean;
    /**
     * @stability stable
     */
    set provisionVmAgent(value: boolean);
    /**
     * @stability stable
     */
    resetProvisionVmAgent(): void;
    /**
     * @stability stable
     */
    get provisionVmAgentInput(): boolean | undefined;
    private _proximityPlacementGroupId?;
    /**
     * @stability stable
     */
    get proximityPlacementGroupId(): string;
    /**
     * @stability stable
     */
    set proximityPlacementGroupId(value: string);
    /**
     * @stability stable
     */
    resetProximityPlacementGroupId(): void;
    /**
     * @stability stable
     */
    get proximityPlacementGroupIdInput(): string | undefined;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _scaleInPolicy?;
    /**
     * @stability stable
     */
    get scaleInPolicy(): string;
    /**
     * @stability stable
     */
    set scaleInPolicy(value: string);
    /**
     * @stability stable
     */
    resetScaleInPolicy(): void;
    /**
     * @stability stable
     */
    get scaleInPolicyInput(): string | undefined;
    private _singlePlacementGroup?;
    /**
     * @stability stable
     */
    get singlePlacementGroup(): boolean;
    /**
     * @stability stable
     */
    set singlePlacementGroup(value: boolean);
    /**
     * @stability stable
     */
    resetSinglePlacementGroup(): void;
    /**
     * @stability stable
     */
    get singlePlacementGroupInput(): boolean | undefined;
    private _sku;
    /**
     * @stability stable
     */
    get sku(): string;
    /**
     * @stability stable
     */
    set sku(value: string);
    /**
     * @stability stable
     */
    get skuInput(): string;
    private _sourceImageId?;
    /**
     * @stability stable
     */
    get sourceImageId(): string;
    /**
     * @stability stable
     */
    set sourceImageId(value: string);
    /**
     * @stability stable
     */
    resetSourceImageId(): void;
    /**
     * @stability stable
     */
    get sourceImageIdInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timezone?;
    /**
     * @stability stable
     */
    get timezone(): string;
    /**
     * @stability stable
     */
    set timezone(value: string);
    /**
     * @stability stable
     */
    resetTimezone(): void;
    /**
     * @stability stable
     */
    get timezoneInput(): string | undefined;
    /**
     * @stability stable
     */
    get uniqueId(): string;
    private _upgradeMode?;
    /**
     * @stability stable
     */
    get upgradeMode(): string;
    /**
     * @stability stable
     */
    set upgradeMode(value: string);
    /**
     * @stability stable
     */
    resetUpgradeMode(): void;
    /**
     * @stability stable
     */
    get upgradeModeInput(): string | undefined;
    private _zoneBalance?;
    /**
     * @stability stable
     */
    get zoneBalance(): boolean;
    /**
     * @stability stable
     */
    set zoneBalance(value: boolean);
    /**
     * @stability stable
     */
    resetZoneBalance(): void;
    /**
     * @stability stable
     */
    get zoneBalanceInput(): boolean | undefined;
    private _zones?;
    /**
     * @stability stable
     */
    get zones(): string[];
    /**
     * @stability stable
     */
    set zones(value: string[]);
    /**
     * @stability stable
     */
    resetZones(): void;
    /**
     * @stability stable
     */
    get zonesInput(): string[] | undefined;
    private _additionalCapabilities?;
    /**
     * @stability stable
     */
    get additionalCapabilities(): WindowsVirtualMachineScaleSetAdditionalCapabilities[];
    /**
     * @stability stable
     */
    set additionalCapabilities(value: WindowsVirtualMachineScaleSetAdditionalCapabilities[]);
    /**
     * @stability stable
     */
    resetAdditionalCapabilities(): void;
    /**
     * @stability stable
     */
    get additionalCapabilitiesInput(): WindowsVirtualMachineScaleSetAdditionalCapabilities[] | undefined;
    private _additionalUnattendContent?;
    /**
     * @stability stable
     */
    get additionalUnattendContent(): WindowsVirtualMachineScaleSetAdditionalUnattendContent[];
    /**
     * @stability stable
     */
    set additionalUnattendContent(value: WindowsVirtualMachineScaleSetAdditionalUnattendContent[]);
    /**
     * @stability stable
     */
    resetAdditionalUnattendContent(): void;
    /**
     * @stability stable
     */
    get additionalUnattendContentInput(): WindowsVirtualMachineScaleSetAdditionalUnattendContent[] | undefined;
    private _automaticInstanceRepair?;
    /**
     * @stability stable
     */
    get automaticInstanceRepair(): WindowsVirtualMachineScaleSetAutomaticInstanceRepair[];
    /**
     * @stability stable
     */
    set automaticInstanceRepair(value: WindowsVirtualMachineScaleSetAutomaticInstanceRepair[]);
    /**
     * @stability stable
     */
    resetAutomaticInstanceRepair(): void;
    /**
     * @stability stable
     */
    get automaticInstanceRepairInput(): WindowsVirtualMachineScaleSetAutomaticInstanceRepair[] | undefined;
    private _automaticOsUpgradePolicy?;
    /**
     * @stability stable
     */
    get automaticOsUpgradePolicy(): WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    /**
     * @stability stable
     */
    set automaticOsUpgradePolicy(value: WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[]);
    /**
     * @stability stable
     */
    resetAutomaticOsUpgradePolicy(): void;
    /**
     * @stability stable
     */
    get automaticOsUpgradePolicyInput(): WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined;
    private _bootDiagnostics?;
    /**
     * @stability stable
     */
    get bootDiagnostics(): WindowsVirtualMachineScaleSetBootDiagnostics[];
    /**
     * @stability stable
     */
    set bootDiagnostics(value: WindowsVirtualMachineScaleSetBootDiagnostics[]);
    /**
     * @stability stable
     */
    resetBootDiagnostics(): void;
    /**
     * @stability stable
     */
    get bootDiagnosticsInput(): WindowsVirtualMachineScaleSetBootDiagnostics[] | undefined;
    private _dataDisk?;
    /**
     * @stability stable
     */
    get dataDisk(): WindowsVirtualMachineScaleSetDataDisk[];
    /**
     * @stability stable
     */
    set dataDisk(value: WindowsVirtualMachineScaleSetDataDisk[]);
    /**
     * @stability stable
     */
    resetDataDisk(): void;
    /**
     * @stability stable
     */
    get dataDiskInput(): WindowsVirtualMachineScaleSetDataDisk[] | undefined;
    private _extension?;
    /**
     * @stability stable
     */
    get extension(): WindowsVirtualMachineScaleSetExtension[];
    /**
     * @stability stable
     */
    set extension(value: WindowsVirtualMachineScaleSetExtension[]);
    /**
     * @stability stable
     */
    resetExtension(): void;
    /**
     * @stability stable
     */
    get extensionInput(): WindowsVirtualMachineScaleSetExtension[] | undefined;
    private _identity?;
    /**
     * @stability stable
     */
    get identity(): WindowsVirtualMachineScaleSetIdentity[];
    /**
     * @stability stable
     */
    set identity(value: WindowsVirtualMachineScaleSetIdentity[]);
    /**
     * @stability stable
     */
    resetIdentity(): void;
    /**
     * @stability stable
     */
    get identityInput(): WindowsVirtualMachineScaleSetIdentity[] | undefined;
    private _networkInterface;
    /**
     * @stability stable
     */
    get networkInterface(): WindowsVirtualMachineScaleSetNetworkInterface[];
    /**
     * @stability stable
     */
    set networkInterface(value: WindowsVirtualMachineScaleSetNetworkInterface[]);
    /**
     * @stability stable
     */
    get networkInterfaceInput(): WindowsVirtualMachineScaleSetNetworkInterface[];
    private _osDisk;
    /**
     * @stability stable
     */
    get osDisk(): WindowsVirtualMachineScaleSetOsDisk[];
    /**
     * @stability stable
     */
    set osDisk(value: WindowsVirtualMachineScaleSetOsDisk[]);
    /**
     * @stability stable
     */
    get osDiskInput(): WindowsVirtualMachineScaleSetOsDisk[];
    private _plan?;
    /**
     * @stability stable
     */
    get plan(): WindowsVirtualMachineScaleSetPlan[];
    /**
     * @stability stable
     */
    set plan(value: WindowsVirtualMachineScaleSetPlan[]);
    /**
     * @stability stable
     */
    resetPlan(): void;
    /**
     * @stability stable
     */
    get planInput(): WindowsVirtualMachineScaleSetPlan[] | undefined;
    private _rollingUpgradePolicy?;
    /**
     * @stability stable
     */
    get rollingUpgradePolicy(): WindowsVirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * @stability stable
     */
    set rollingUpgradePolicy(value: WindowsVirtualMachineScaleSetRollingUpgradePolicy[]);
    /**
     * @stability stable
     */
    resetRollingUpgradePolicy(): void;
    /**
     * @stability stable
     */
    get rollingUpgradePolicyInput(): WindowsVirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    private _secret?;
    /**
     * @stability stable
     */
    get secret(): WindowsVirtualMachineScaleSetSecret[];
    /**
     * @stability stable
     */
    set secret(value: WindowsVirtualMachineScaleSetSecret[]);
    /**
     * @stability stable
     */
    resetSecret(): void;
    /**
     * @stability stable
     */
    get secretInput(): WindowsVirtualMachineScaleSetSecret[] | undefined;
    private _sourceImageReference?;
    /**
     * @stability stable
     */
    get sourceImageReference(): WindowsVirtualMachineScaleSetSourceImageReference[];
    /**
     * @stability stable
     */
    set sourceImageReference(value: WindowsVirtualMachineScaleSetSourceImageReference[]);
    /**
     * @stability stable
     */
    resetSourceImageReference(): void;
    /**
     * @stability stable
     */
    get sourceImageReferenceInput(): WindowsVirtualMachineScaleSetSourceImageReference[] | undefined;
    private _terminateNotification?;
    /**
     * @stability stable
     */
    get terminateNotification(): WindowsVirtualMachineScaleSetTerminateNotification[];
    /**
     * @stability stable
     */
    set terminateNotification(value: WindowsVirtualMachineScaleSetTerminateNotification[]);
    /**
     * @stability stable
     */
    resetTerminateNotification(): void;
    /**
     * @stability stable
     */
    get terminateNotificationInput(): WindowsVirtualMachineScaleSetTerminateNotification[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): WindowsVirtualMachineScaleSetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: WindowsVirtualMachineScaleSetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): WindowsVirtualMachineScaleSetTimeouts | undefined;
    private _winrmListener?;
    /**
     * @stability stable
     */
    get winrmListener(): WindowsVirtualMachineScaleSetWinrmListener[];
    /**
     * @stability stable
     */
    set winrmListener(value: WindowsVirtualMachineScaleSetWinrmListener[]);
    /**
     * @stability stable
     */
    resetWinrmListener(): void;
    /**
     * @stability stable
     */
    get winrmListenerInput(): WindowsVirtualMachineScaleSetWinrmListener[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
