import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly baselineName?: string;
    /**
     * @stability stable
     */
    readonly databaseName: string;
    /**
     * @stability stable
     */
    readonly ruleId: string;
    /**
     * @stability stable
     */
    readonly serverVulnerabilityAssessmentId: string;
    /**
     * baseline_result block.
     *
     * @stability stable
     */
    readonly baselineResult: MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts;
}
/**
 * @stability stable
 */
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult {
    /**
     * @stability stable
     */
    readonly result: string[];
}
/**
 * @stability stable
 */
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MssqlDatabaseVulnerabilityAssessmentRuleBaseline extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MssqlDatabaseVulnerabilityAssessmentRuleBaselineConfig);
    private _baselineName?;
    /**
     * @stability stable
     */
    get baselineName(): string;
    /**
     * @stability stable
     */
    set baselineName(value: string);
    /**
     * @stability stable
     */
    resetBaselineName(): void;
    /**
     * @stability stable
     */
    get baselineNameInput(): string | undefined;
    private _databaseName;
    /**
     * @stability stable
     */
    get databaseName(): string;
    /**
     * @stability stable
     */
    set databaseName(value: string);
    /**
     * @stability stable
     */
    get databaseNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _ruleId;
    /**
     * @stability stable
     */
    get ruleId(): string;
    /**
     * @stability stable
     */
    set ruleId(value: string);
    /**
     * @stability stable
     */
    get ruleIdInput(): string;
    private _serverVulnerabilityAssessmentId;
    /**
     * @stability stable
     */
    get serverVulnerabilityAssessmentId(): string;
    /**
     * @stability stable
     */
    set serverVulnerabilityAssessmentId(value: string);
    /**
     * @stability stable
     */
    get serverVulnerabilityAssessmentIdInput(): string;
    private _baselineResult;
    /**
     * @stability stable
     */
    get baselineResult(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    /**
     * @stability stable
     */
    set baselineResult(value: MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[]);
    /**
     * @stability stable
     */
    get baselineResultInput(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
