import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MssqlServerVulnerabilityAssessmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly serverSecurityAlertPolicyId: string;
    /**
     * @stability stable
     */
    readonly storageAccountAccessKey?: string;
    /**
     * @stability stable
     */
    readonly storageContainerPath: string;
    /**
     * @stability stable
     */
    readonly storageContainerSasKey?: string;
    /**
     * recurring_scans block.
     *
     * @stability stable
     */
    readonly recurringScans?: MssqlServerVulnerabilityAssessmentRecurringScans[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: MssqlServerVulnerabilityAssessmentTimeouts;
}
/**
 * @stability stable
 */
export interface MssqlServerVulnerabilityAssessmentRecurringScans {
    /**
     * @stability stable
     */
    readonly emailSubscriptionAdmins?: boolean;
    /**
     * @stability stable
     */
    readonly emails?: string[];
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
}
/**
 * @stability stable
 */
export interface MssqlServerVulnerabilityAssessmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class MssqlServerVulnerabilityAssessment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MssqlServerVulnerabilityAssessmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _serverSecurityAlertPolicyId;
    /**
     * @stability stable
     */
    get serverSecurityAlertPolicyId(): string;
    /**
     * @stability stable
     */
    set serverSecurityAlertPolicyId(value: string);
    /**
     * @stability stable
     */
    get serverSecurityAlertPolicyIdInput(): string;
    private _storageAccountAccessKey?;
    /**
     * @stability stable
     */
    get storageAccountAccessKey(): string;
    /**
     * @stability stable
     */
    set storageAccountAccessKey(value: string);
    /**
     * @stability stable
     */
    resetStorageAccountAccessKey(): void;
    /**
     * @stability stable
     */
    get storageAccountAccessKeyInput(): string | undefined;
    private _storageContainerPath;
    /**
     * @stability stable
     */
    get storageContainerPath(): string;
    /**
     * @stability stable
     */
    set storageContainerPath(value: string);
    /**
     * @stability stable
     */
    get storageContainerPathInput(): string;
    private _storageContainerSasKey?;
    /**
     * @stability stable
     */
    get storageContainerSasKey(): string;
    /**
     * @stability stable
     */
    set storageContainerSasKey(value: string);
    /**
     * @stability stable
     */
    resetStorageContainerSasKey(): void;
    /**
     * @stability stable
     */
    get storageContainerSasKeyInput(): string | undefined;
    private _recurringScans?;
    /**
     * @stability stable
     */
    get recurringScans(): MssqlServerVulnerabilityAssessmentRecurringScans[];
    /**
     * @stability stable
     */
    set recurringScans(value: MssqlServerVulnerabilityAssessmentRecurringScans[]);
    /**
     * @stability stable
     */
    resetRecurringScans(): void;
    /**
     * @stability stable
     */
    get recurringScansInput(): MssqlServerVulnerabilityAssessmentRecurringScans[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): MssqlServerVulnerabilityAssessmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: MssqlServerVulnerabilityAssessmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): MssqlServerVulnerabilityAssessmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
