import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityCenterServerVulnerabilityAssessmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly hybridMachineId?: string;
    /**
     * @stability stable
     */
    readonly virtualMachineId?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SecurityCenterServerVulnerabilityAssessmentTimeouts;
}
/**
 * @stability stable
 */
export interface SecurityCenterServerVulnerabilityAssessmentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SecurityCenterServerVulnerabilityAssessment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: SecurityCenterServerVulnerabilityAssessmentConfig);
    private _hybridMachineId?;
    /**
     * @stability stable
     */
    get hybridMachineId(): string;
    /**
     * @stability stable
     */
    set hybridMachineId(value: string);
    /**
     * @stability stable
     */
    resetHybridMachineId(): void;
    /**
     * @stability stable
     */
    get hybridMachineIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _virtualMachineId?;
    /**
     * @stability stable
     */
    get virtualMachineId(): string;
    /**
     * @stability stable
     */
    set virtualMachineId(value: string);
    /**
     * @stability stable
     */
    resetVirtualMachineId(): void;
    /**
     * @stability stable
     */
    get virtualMachineIdInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SecurityCenterServerVulnerabilityAssessmentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SecurityCenterServerVulnerabilityAssessmentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SecurityCenterServerVulnerabilityAssessmentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
